import * as i0 from '@angular/core';
import { EventEmitter, Component, ContentChildren, forwardRef, HostBinding, Output, Input, NgModule, Injectable, Pipe, Directive, HostListener, InjectionToken, Inject, Injector, ViewChild, ElementRef, Host, SkipSelf, PLATFORM_ID, Optional, ContentChild, ViewChildren, TemplateRef } from '@angular/core';
import * as i1 from '@angular/common';
import { CommonModule, DOCUMENT, isPlatformServer } from '@angular/common';
import { SlideUpDownAnimation, FadeInOutAnimation, CarouselSlideAnimation, EnterFromTopAnimation } from '@mintplayer/ng-animations';
import { BehaviorSubject, map, Subject, takeUntil, filter, take, combineLatest, debounceTime, delayWhen, of, interval, delay, fromEvent } from 'rxjs';
import { map as map$1, takeUntil as takeUntil$1, take as take$1 } from 'rxjs/operators';
import * as i1$1 from '@angular/cdk/overlay';
import { OverlayModule } from '@angular/cdk/overlay';
import { ComponentPortal, TemplatePortal } from '@angular/cdk/portal';
import * as i3 from 'ngx-highlightjs';
import { HighlightModule } from 'ngx-highlightjs';
import '@mintplayer/ng-pagination';
import * as i1$2 from '@mintplayer/ng-click-outside';
import { ClickOutsideDirective, ClickOutsideModule } from '@mintplayer/ng-click-outside';
import { FocusOnLoadModule } from '@mintplayer/ng-focus-on-load';
import * as i1$3 from '@angular/router';
import { RouterModule, ROUTER_CONFIGURATION } from '@angular/router';
import * as i2 from '@angular/forms';
import { NG_VALUE_ACCESSOR, FormsModule } from '@angular/forms';

class BsAccordionTabComponent {
    constructor(accordion) {
        this.accordionItemClass = true;
        this.dBlock = true;
        this.noBorder = false;
        //#region IsActive
        this.isActiveChange = new EventEmitter();
        this._isActive = false;
        this.accordion = accordion;
    }
    get isActive() {
        return this._isActive;
    }
    set isActive(value) {
        if (this._isActive !== value) {
            this._isActive = value;
            if (this._isActive) {
                this.accordion.tabPages.filter((tab) => {
                    return tab !== this;
                }).forEach((tab) => {
                    tab.isActive = false;
                });
            }
            else {
                this.childAccordions.forEach((accordion) => {
                    accordion.tabPages.forEach((tab) => {
                        tab.isActive = false;
                    });
                });
            }
            this.isActiveChange.emit(value);
        }
    }
}
BsAccordionTabComponent.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "14.2.2", ngImport: i0, type: BsAccordionTabComponent, deps: [{ token: BsAccordionComponent }], target: i0.ɵɵFactoryTarget.Component });
BsAccordionTabComponent.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "14.2.2", type: BsAccordionTabComponent, selector: "bs-accordion-tab", inputs: { isActive: "isActive" }, outputs: { isActiveChange: "isActiveChange" }, host: { properties: { "class.accordion-item": "this.accordionItemClass", "class.d-block": "this.dBlock", "class.border-0": "this.noBorder" } }, queries: [{ propertyName: "childAccordions", predicate: i0.forwardRef(function () { return BsAccordionComponent; }) }], ngImport: i0, template: "<div [class.border-0]=\"false\" [@.disabled]=\"accordion.disableAnimations\">\n    <ng-content select=\"bs-accordion-tab-header\"></ng-content>\n    <div class=\"accordion-collapse collapse show overflow-hidden\" [@slideUpDown] *ngIf=\"isActive\">\n        <div class=\"accordion-body p-0\">\n            <ng-content></ng-content>\n        </div>\n    </div>\n</div>", styles: [".card,.card-header,.card-block{border-radius:0}.card{margin-bottom:-1px}\n"], dependencies: [{ kind: "directive", type: i1.NgIf, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }], animations: [SlideUpDownAnimation] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "14.2.2", ngImport: i0, type: BsAccordionTabComponent, decorators: [{
            type: Component,
            args: [{ selector: 'bs-accordion-tab', animations: [SlideUpDownAnimation], template: "<div [class.border-0]=\"false\" [@.disabled]=\"accordion.disableAnimations\">\n    <ng-content select=\"bs-accordion-tab-header\"></ng-content>\n    <div class=\"accordion-collapse collapse show overflow-hidden\" [@slideUpDown] *ngIf=\"isActive\">\n        <div class=\"accordion-body p-0\">\n            <ng-content></ng-content>\n        </div>\n    </div>\n</div>", styles: [".card,.card-header,.card-block{border-radius:0}.card{margin-bottom:-1px}\n"] }]
        }], ctorParameters: function () { return [{ type: BsAccordionComponent }]; }, propDecorators: { childAccordions: [{
                type: ContentChildren,
                args: [forwardRef(() => BsAccordionComponent)]
            }], accordionItemClass: [{
                type: HostBinding,
                args: ['class.accordion-item']
            }], dBlock: [{
                type: HostBinding,
                args: ['class.d-block']
            }], noBorder: [{
                type: HostBinding,
                args: ['class.border-0']
            }], isActiveChange: [{
                type: Output
            }], isActive: [{
                type: Input
            }] } });

class BsAccordionComponent {
    constructor() {
        this.disableAnimations = false;
        this.highlightActiveTab = false;
    }
}
BsAccordionComponent.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "14.2.2", ngImport: i0, type: BsAccordionComponent, deps: [], target: i0.ɵɵFactoryTarget.Component });
BsAccordionComponent.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "14.2.2", type: BsAccordionComponent, selector: "bs-accordion", inputs: { highlightActiveTab: "highlightActiveTab" }, queries: [{ propertyName: "tabPages", predicate: BsAccordionTabComponent }], ngImport: i0, template: "<div class=\"accordion\">\n    <ng-content></ng-content>\n</div>", styles: [":host ::ng-deep .accordion{--bs-accordion-color: var(--bs-body-color);--bs-accordion-bg: #fff;--bs-accordion-transition: color .15s ease-in-out, background-color .15s ease-in-out, border-color .15s ease-in-out, box-shadow .15s ease-in-out, border-radius .15s ease;--bs-accordion-border-color: var(--bs-border-color);--bs-accordion-border-width: 1px;--bs-accordion-border-radius: .375rem;--bs-accordion-inner-border-radius:calc(.375rem - 1px);--bs-accordion-btn-padding-x: 1.25rem;--bs-accordion-btn-padding-y: 1rem;--bs-accordion-btn-color: var(--bs-body-color);--bs-accordion-btn-bg: var(--bs-accordion-bg);--bs-accordion-btn-icon: url(\"data:image/svg+xml,%3csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 16 16' fill='var%28--bs-body-color%29'%3e%3cpath fill-rule='evenodd' d='M1.646 4.646a.5.5 0 0 1 .708 0L8 10.293l5.646-5.647a.5.5 0 0 1 .708.708l-6 6a.5.5 0 0 1-.708 0l-6-6a.5.5 0 0 1 0-.708z'/%3e%3c/svg%3e\");--bs-accordion-btn-icon-width: 1.25rem;--bs-accordion-btn-icon-transform: rotate(-180deg);--bs-accordion-btn-icon-transition: transform .2s ease-in-out;--bs-accordion-btn-active-icon: url(\"data:image/svg+xml,%3csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 16 16' fill='%230c63e4'%3e%3cpath fill-rule='evenodd' d='M1.646 4.646a.5.5 0 0 1 .708 0L8 10.293l5.646-5.647a.5.5 0 0 1 .708.708l-6 6a.5.5 0 0 1-.708 0l-6-6a.5.5 0 0 1 0-.708z'/%3e%3c/svg%3e\");--bs-accordion-btn-focus-border-color: #86b7fe;--bs-accordion-btn-focus-box-shadow: 0 0 0 .25rem rgba(13, 110, 253, .25);--bs-accordion-body-padding-x: 1.25rem;--bs-accordion-body-padding-y: 1rem;--bs-accordion-active-color: #0c63e4;--bs-accordion-active-bg: #e7f1ff}:host ::ng-deep .accordion-button{position:relative;display:flex;align-items:center;width:100%;padding:var(--bs-accordion-btn-padding-y) var(--bs-accordion-btn-padding-x);font-size:1rem;color:var(--bs-accordion-btn-color);text-align:left;background-color:var(--bs-accordion-btn-bg);border:0;border-radius:0;overflow-anchor:none;transition:var(--bs-accordion-transition)}@media (prefers-reduced-motion: reduce){:host ::ng-deep .accordion-button{transition:none}}:host ::ng-deep .accordion-button:not(.collapsed){color:var(--bs-accordion-active-color);background-color:var(--bs-accordion-active-bg);box-shadow:inset 0 calc(-1 * var(--bs-accordion-border-width)) 0 var(--bs-accordion-border-color)}:host ::ng-deep .accordion-button:not(.collapsed):after{background-image:var(--bs-accordion-btn-active-icon);transform:var(--bs-accordion-btn-icon-transform)}:host ::ng-deep .accordion-button:after{flex-shrink:0;width:var(--bs-accordion-btn-icon-width);height:var(--bs-accordion-btn-icon-width);margin-left:auto;content:\"\";background-image:var(--bs-accordion-btn-icon);background-repeat:no-repeat;background-size:var(--bs-accordion-btn-icon-width);transition:var(--bs-accordion-btn-icon-transition)}@media (prefers-reduced-motion: reduce){:host ::ng-deep .accordion-button:after{transition:none}}:host ::ng-deep .accordion-button:hover{z-index:2}:host ::ng-deep .accordion-button:focus{z-index:3;border-color:var(--bs-accordion-btn-focus-border-color);outline:0;box-shadow:var(--bs-accordion-btn-focus-box-shadow)}:host ::ng-deep .accordion-header{margin-bottom:0}:host ::ng-deep .accordion-item{color:var(--bs-accordion-color);background-color:var(--bs-accordion-bg);border:var(--bs-accordion-border-width) solid var(--bs-accordion-border-color)}:host ::ng-deep .accordion-item:first-of-type{border-top-left-radius:var(--bs-accordion-border-radius);border-top-right-radius:var(--bs-accordion-border-radius)}:host ::ng-deep .accordion-item:first-of-type .accordion-button{border-top-left-radius:var(--bs-accordion-inner-border-radius);border-top-right-radius:var(--bs-accordion-inner-border-radius)}:host ::ng-deep .accordion-item:not(:first-of-type){border-top:0}:host ::ng-deep .accordion-item:last-of-type{border-bottom-right-radius:var(--bs-accordion-border-radius);border-bottom-left-radius:var(--bs-accordion-border-radius)}:host ::ng-deep .accordion-item:last-of-type .accordion-button.collapsed{border-bottom-right-radius:var(--bs-accordion-inner-border-radius);border-bottom-left-radius:var(--bs-accordion-inner-border-radius)}:host ::ng-deep .accordion-item:last-of-type .accordion-collapse{border-bottom-right-radius:var(--bs-accordion-border-radius);border-bottom-left-radius:var(--bs-accordion-border-radius)}:host ::ng-deep .accordion-body{padding:var(--bs-accordion-body-padding-y) var(--bs-accordion-body-padding-x)}:host ::ng-deep .accordion-flush .accordion-collapse{border-width:0}:host ::ng-deep .accordion-flush .accordion-item{border-right:0;border-left:0;border-radius:0}:host ::ng-deep .accordion-flush .accordion-item:first-child{border-top:0}:host ::ng-deep .accordion-flush .accordion-item:last-child{border-bottom:0}:host ::ng-deep .accordion-flush .accordion-item .accordion-button,:host ::ng-deep .accordion-flush .accordion-item .accordion-button.collapsed{border-radius:0}:host ::ng-deep bs-accordion{margin:-1px}\n"] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "14.2.2", ngImport: i0, type: BsAccordionComponent, decorators: [{
            type: Component,
            args: [{ selector: 'bs-accordion', template: "<div class=\"accordion\">\n    <ng-content></ng-content>\n</div>", styles: [":host ::ng-deep .accordion{--bs-accordion-color: var(--bs-body-color);--bs-accordion-bg: #fff;--bs-accordion-transition: color .15s ease-in-out, background-color .15s ease-in-out, border-color .15s ease-in-out, box-shadow .15s ease-in-out, border-radius .15s ease;--bs-accordion-border-color: var(--bs-border-color);--bs-accordion-border-width: 1px;--bs-accordion-border-radius: .375rem;--bs-accordion-inner-border-radius:calc(.375rem - 1px);--bs-accordion-btn-padding-x: 1.25rem;--bs-accordion-btn-padding-y: 1rem;--bs-accordion-btn-color: var(--bs-body-color);--bs-accordion-btn-bg: var(--bs-accordion-bg);--bs-accordion-btn-icon: url(\"data:image/svg+xml,%3csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 16 16' fill='var%28--bs-body-color%29'%3e%3cpath fill-rule='evenodd' d='M1.646 4.646a.5.5 0 0 1 .708 0L8 10.293l5.646-5.647a.5.5 0 0 1 .708.708l-6 6a.5.5 0 0 1-.708 0l-6-6a.5.5 0 0 1 0-.708z'/%3e%3c/svg%3e\");--bs-accordion-btn-icon-width: 1.25rem;--bs-accordion-btn-icon-transform: rotate(-180deg);--bs-accordion-btn-icon-transition: transform .2s ease-in-out;--bs-accordion-btn-active-icon: url(\"data:image/svg+xml,%3csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 16 16' fill='%230c63e4'%3e%3cpath fill-rule='evenodd' d='M1.646 4.646a.5.5 0 0 1 .708 0L8 10.293l5.646-5.647a.5.5 0 0 1 .708.708l-6 6a.5.5 0 0 1-.708 0l-6-6a.5.5 0 0 1 0-.708z'/%3e%3c/svg%3e\");--bs-accordion-btn-focus-border-color: #86b7fe;--bs-accordion-btn-focus-box-shadow: 0 0 0 .25rem rgba(13, 110, 253, .25);--bs-accordion-body-padding-x: 1.25rem;--bs-accordion-body-padding-y: 1rem;--bs-accordion-active-color: #0c63e4;--bs-accordion-active-bg: #e7f1ff}:host ::ng-deep .accordion-button{position:relative;display:flex;align-items:center;width:100%;padding:var(--bs-accordion-btn-padding-y) var(--bs-accordion-btn-padding-x);font-size:1rem;color:var(--bs-accordion-btn-color);text-align:left;background-color:var(--bs-accordion-btn-bg);border:0;border-radius:0;overflow-anchor:none;transition:var(--bs-accordion-transition)}@media (prefers-reduced-motion: reduce){:host ::ng-deep .accordion-button{transition:none}}:host ::ng-deep .accordion-button:not(.collapsed){color:var(--bs-accordion-active-color);background-color:var(--bs-accordion-active-bg);box-shadow:inset 0 calc(-1 * var(--bs-accordion-border-width)) 0 var(--bs-accordion-border-color)}:host ::ng-deep .accordion-button:not(.collapsed):after{background-image:var(--bs-accordion-btn-active-icon);transform:var(--bs-accordion-btn-icon-transform)}:host ::ng-deep .accordion-button:after{flex-shrink:0;width:var(--bs-accordion-btn-icon-width);height:var(--bs-accordion-btn-icon-width);margin-left:auto;content:\"\";background-image:var(--bs-accordion-btn-icon);background-repeat:no-repeat;background-size:var(--bs-accordion-btn-icon-width);transition:var(--bs-accordion-btn-icon-transition)}@media (prefers-reduced-motion: reduce){:host ::ng-deep .accordion-button:after{transition:none}}:host ::ng-deep .accordion-button:hover{z-index:2}:host ::ng-deep .accordion-button:focus{z-index:3;border-color:var(--bs-accordion-btn-focus-border-color);outline:0;box-shadow:var(--bs-accordion-btn-focus-box-shadow)}:host ::ng-deep .accordion-header{margin-bottom:0}:host ::ng-deep .accordion-item{color:var(--bs-accordion-color);background-color:var(--bs-accordion-bg);border:var(--bs-accordion-border-width) solid var(--bs-accordion-border-color)}:host ::ng-deep .accordion-item:first-of-type{border-top-left-radius:var(--bs-accordion-border-radius);border-top-right-radius:var(--bs-accordion-border-radius)}:host ::ng-deep .accordion-item:first-of-type .accordion-button{border-top-left-radius:var(--bs-accordion-inner-border-radius);border-top-right-radius:var(--bs-accordion-inner-border-radius)}:host ::ng-deep .accordion-item:not(:first-of-type){border-top:0}:host ::ng-deep .accordion-item:last-of-type{border-bottom-right-radius:var(--bs-accordion-border-radius);border-bottom-left-radius:var(--bs-accordion-border-radius)}:host ::ng-deep .accordion-item:last-of-type .accordion-button.collapsed{border-bottom-right-radius:var(--bs-accordion-inner-border-radius);border-bottom-left-radius:var(--bs-accordion-inner-border-radius)}:host ::ng-deep .accordion-item:last-of-type .accordion-collapse{border-bottom-right-radius:var(--bs-accordion-border-radius);border-bottom-left-radius:var(--bs-accordion-border-radius)}:host ::ng-deep .accordion-body{padding:var(--bs-accordion-body-padding-y) var(--bs-accordion-body-padding-x)}:host ::ng-deep .accordion-flush .accordion-collapse{border-width:0}:host ::ng-deep .accordion-flush .accordion-item{border-right:0;border-left:0;border-radius:0}:host ::ng-deep .accordion-flush .accordion-item:first-child{border-top:0}:host ::ng-deep .accordion-flush .accordion-item:last-child{border-bottom:0}:host ::ng-deep .accordion-flush .accordion-item .accordion-button,:host ::ng-deep .accordion-flush .accordion-item .accordion-button.collapsed{border-radius:0}:host ::ng-deep bs-accordion{margin:-1px}\n"] }]
        }], propDecorators: { tabPages: [{
                type: ContentChildren,
                args: [BsAccordionTabComponent]
            }], highlightActiveTab: [{
                type: Input
            }] } });

class BsAccordionTabHeaderComponent {
    constructor(accordionTab) {
        this.accordionTab = accordionTab;
    }
    headerClicked(event) {
        event.preventDefault();
        this.accordionTab.isActive = !this.accordionTab.isActive;
    }
}
BsAccordionTabHeaderComponent.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "14.2.2", ngImport: i0, type: BsAccordionTabHeaderComponent, deps: [{ token: BsAccordionTabComponent }], target: i0.ɵɵFactoryTarget.Component });
BsAccordionTabHeaderComponent.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "14.2.2", type: BsAccordionTabHeaderComponent, selector: "bs-accordion-tab-header", ngImport: i0, template: "<h2 class=\"accordion-header cursor-pointer\" (click)=\"headerClicked($event)\">\n    <button class=\"accordion-button\" [class.bg-transparent]=\"!accordionTab.isActive && accordionTab.accordion.highlightActiveTab\" [class.collapsed]=\"!accordionTab.isActive\" [class.background-unset]=\"!accordionTab.accordion.highlightActiveTab\" type=\"button\">\n        <ng-content></ng-content>\n    </button>\n</h2>", styles: [".accordion-button{background:unset}.background-unset{background:unset!important}\n"] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "14.2.2", ngImport: i0, type: BsAccordionTabHeaderComponent, decorators: [{
            type: Component,
            args: [{ selector: 'bs-accordion-tab-header', template: "<h2 class=\"accordion-header cursor-pointer\" (click)=\"headerClicked($event)\">\n    <button class=\"accordion-button\" [class.bg-transparent]=\"!accordionTab.isActive && accordionTab.accordion.highlightActiveTab\" [class.collapsed]=\"!accordionTab.isActive\" [class.background-unset]=\"!accordionTab.accordion.highlightActiveTab\" type=\"button\">\n        <ng-content></ng-content>\n    </button>\n</h2>", styles: [".accordion-button{background:unset}.background-unset{background:unset!important}\n"] }]
        }], ctorParameters: function () { return [{ type: BsAccordionTabComponent }]; } });

class BsAccordionModule {
}
BsAccordionModule.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "14.2.2", ngImport: i0, type: BsAccordionModule, deps: [], target: i0.ɵɵFactoryTarget.NgModule });
BsAccordionModule.ɵmod = i0.ɵɵngDeclareNgModule({ minVersion: "14.0.0", version: "14.2.2", ngImport: i0, type: BsAccordionModule, declarations: [BsAccordionComponent,
        BsAccordionTabComponent,
        BsAccordionTabHeaderComponent], imports: [CommonModule], exports: [BsAccordionComponent,
        BsAccordionTabComponent,
        BsAccordionTabHeaderComponent] });
BsAccordionModule.ɵinj = i0.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "14.2.2", ngImport: i0, type: BsAccordionModule, imports: [CommonModule] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "14.2.2", ngImport: i0, type: BsAccordionModule, decorators: [{
            type: NgModule,
            args: [{
                    declarations: [
                        BsAccordionComponent,
                        BsAccordionTabComponent,
                        BsAccordionTabHeaderComponent
                    ],
                    imports: [
                        CommonModule
                    ],
                    exports: [
                        BsAccordionComponent,
                        BsAccordionTabComponent,
                        BsAccordionTabHeaderComponent
                    ]
                }]
        }] });

var Color;
(function (Color) {
    Color[Color["primary"] = 0] = "primary";
    Color[Color["secondary"] = 1] = "secondary";
    Color[Color["success"] = 2] = "success";
    Color[Color["danger"] = 3] = "danger";
    Color[Color["warning"] = 4] = "warning";
    Color[Color["info"] = 5] = "info";
    Color[Color["light"] = 6] = "light";
    Color[Color["dark"] = 7] = "dark";
    Color[Color["body"] = 8] = "body";
    Color[Color["white"] = 9] = "white";
    Color[Color["transparent"] = 10] = "transparent";
})(Color || (Color = {}));

var Position;
(function (Position) {
    Position[Position["top"] = 0] = "top";
    Position[Position["left"] = 1] = "left";
    Position[Position["bottom"] = 2] = "bottom";
    Position[Position["right"] = 3] = "right";
})(Position || (Position = {}));

class BsAlertComponent {
    constructor() {
        this.type = Color.primary;
        this.colors = Color;
        //#region IsVisible
        this._isVisible = true;
        this.isVisibleChange = new EventEmitter();
        //#endregion
        this.afterOpenedOrClosed = new EventEmitter();
    }
    get isVisible() {
        return this._isVisible;
    }
    set isVisible(value) {
        this._isVisible = value;
        this.isVisibleChange.emit(value);
    }
    onAfterOpenedOrClosed(isVisible) {
        this.afterOpenedOrClosed.emit(isVisible);
    }
}
BsAlertComponent.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "14.2.2", ngImport: i0, type: BsAlertComponent, deps: [], target: i0.ɵɵFactoryTarget.Component });
BsAlertComponent.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "14.2.2", type: BsAlertComponent, selector: "bs-alert", inputs: { type: "type", isVisible: "isVisible" }, outputs: { isVisibleChange: "isVisibleChange", afterOpenedOrClosed: "afterOpenedOrClosed" }, ngImport: i0, template: "<div class=\"mb-3 overflow-hidden\" *ngIf=\"isVisible\" [@fadeInOut] (@fadeInOut.done)=\"onAfterOpenedOrClosed(isVisible)\">\n    <div class=\"alert mb-0\" [ngClass]=\"'alert-' + colors[type]\">\n        <ng-content></ng-content>\n    </div>\n</div>", styles: [":host ::ng-deep .alert{--bs-alert-bg: transparent;--bs-alert-padding-x: 1rem;--bs-alert-padding-y: 1rem;--bs-alert-margin-bottom: 1rem;--bs-alert-color: inherit;--bs-alert-border-color: transparent;--bs-alert-border: 1px solid var(--bs-alert-border-color);--bs-alert-border-radius: .375rem;position:relative;padding:var(--bs-alert-padding-y) var(--bs-alert-padding-x);margin-bottom:var(--bs-alert-margin-bottom);color:var(--bs-alert-color);background-color:var(--bs-alert-bg);border:var(--bs-alert-border);border-radius:var(--bs-alert-border-radius)}:host ::ng-deep .alert-heading{color:inherit}:host ::ng-deep .alert-link{font-weight:700}:host ::ng-deep .alert-dismissible{padding-right:3rem}:host ::ng-deep .alert-dismissible .btn-close{position:absolute;top:0;right:0;z-index:2;padding:1.25rem 1rem}:host ::ng-deep .alert-primary{--bs-alert-color: #084298;--bs-alert-bg: #cfe2ff;--bs-alert-border-color: #b6d4fe}:host ::ng-deep .alert-primary .alert-link{color:#06357a}:host ::ng-deep .alert-secondary{--bs-alert-color: #41464b;--bs-alert-bg: #e2e3e5;--bs-alert-border-color: #d3d6d8}:host ::ng-deep .alert-secondary .alert-link{color:#34383c}:host ::ng-deep .alert-success{--bs-alert-color: #0f5132;--bs-alert-bg: #d1e7dd;--bs-alert-border-color: #badbcc}:host ::ng-deep .alert-success .alert-link{color:#0c4128}:host ::ng-deep .alert-info{--bs-alert-color: #055160;--bs-alert-bg: #cff4fc;--bs-alert-border-color: #b6effb}:host ::ng-deep .alert-info .alert-link{color:#04414d}:host ::ng-deep .alert-warning{--bs-alert-color: #664d03;--bs-alert-bg: #fff3cd;--bs-alert-border-color: #ffecb5}:host ::ng-deep .alert-warning .alert-link{color:#523e02}:host ::ng-deep .alert-danger{--bs-alert-color: #842029;--bs-alert-bg: #f8d7da;--bs-alert-border-color: #f5c2c7}:host ::ng-deep .alert-danger .alert-link{color:#6a1a21}:host ::ng-deep .alert-light{--bs-alert-color: #636464;--bs-alert-bg: #fefefe;--bs-alert-border-color: #fdfdfe}:host ::ng-deep .alert-light .alert-link{color:#4f5050}:host ::ng-deep .alert-dark{--bs-alert-color: #141619;--bs-alert-bg: #d3d3d4;--bs-alert-border-color: #bcbebf}:host ::ng-deep .alert-dark .alert-link{color:#101214}:host ::ng-deep .alert .btn{bottom:0;display:inline-flex;align-items:center}\n"], dependencies: [{ kind: "directive", type: i1.NgClass, selector: "[ngClass]", inputs: ["class", "ngClass"] }, { kind: "directive", type: i1.NgIf, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }], animations: [FadeInOutAnimation] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "14.2.2", ngImport: i0, type: BsAlertComponent, decorators: [{
            type: Component,
            args: [{ selector: 'bs-alert', animations: [FadeInOutAnimation], template: "<div class=\"mb-3 overflow-hidden\" *ngIf=\"isVisible\" [@fadeInOut] (@fadeInOut.done)=\"onAfterOpenedOrClosed(isVisible)\">\n    <div class=\"alert mb-0\" [ngClass]=\"'alert-' + colors[type]\">\n        <ng-content></ng-content>\n    </div>\n</div>", styles: [":host ::ng-deep .alert{--bs-alert-bg: transparent;--bs-alert-padding-x: 1rem;--bs-alert-padding-y: 1rem;--bs-alert-margin-bottom: 1rem;--bs-alert-color: inherit;--bs-alert-border-color: transparent;--bs-alert-border: 1px solid var(--bs-alert-border-color);--bs-alert-border-radius: .375rem;position:relative;padding:var(--bs-alert-padding-y) var(--bs-alert-padding-x);margin-bottom:var(--bs-alert-margin-bottom);color:var(--bs-alert-color);background-color:var(--bs-alert-bg);border:var(--bs-alert-border);border-radius:var(--bs-alert-border-radius)}:host ::ng-deep .alert-heading{color:inherit}:host ::ng-deep .alert-link{font-weight:700}:host ::ng-deep .alert-dismissible{padding-right:3rem}:host ::ng-deep .alert-dismissible .btn-close{position:absolute;top:0;right:0;z-index:2;padding:1.25rem 1rem}:host ::ng-deep .alert-primary{--bs-alert-color: #084298;--bs-alert-bg: #cfe2ff;--bs-alert-border-color: #b6d4fe}:host ::ng-deep .alert-primary .alert-link{color:#06357a}:host ::ng-deep .alert-secondary{--bs-alert-color: #41464b;--bs-alert-bg: #e2e3e5;--bs-alert-border-color: #d3d6d8}:host ::ng-deep .alert-secondary .alert-link{color:#34383c}:host ::ng-deep .alert-success{--bs-alert-color: #0f5132;--bs-alert-bg: #d1e7dd;--bs-alert-border-color: #badbcc}:host ::ng-deep .alert-success .alert-link{color:#0c4128}:host ::ng-deep .alert-info{--bs-alert-color: #055160;--bs-alert-bg: #cff4fc;--bs-alert-border-color: #b6effb}:host ::ng-deep .alert-info .alert-link{color:#04414d}:host ::ng-deep .alert-warning{--bs-alert-color: #664d03;--bs-alert-bg: #fff3cd;--bs-alert-border-color: #ffecb5}:host ::ng-deep .alert-warning .alert-link{color:#523e02}:host ::ng-deep .alert-danger{--bs-alert-color: #842029;--bs-alert-bg: #f8d7da;--bs-alert-border-color: #f5c2c7}:host ::ng-deep .alert-danger .alert-link{color:#6a1a21}:host ::ng-deep .alert-light{--bs-alert-color: #636464;--bs-alert-bg: #fefefe;--bs-alert-border-color: #fdfdfe}:host ::ng-deep .alert-light .alert-link{color:#4f5050}:host ::ng-deep .alert-dark{--bs-alert-color: #141619;--bs-alert-bg: #d3d3d4;--bs-alert-border-color: #bcbebf}:host ::ng-deep .alert-dark .alert-link{color:#101214}:host ::ng-deep .alert .btn{bottom:0;display:inline-flex;align-items:center}\n"] }]
        }], propDecorators: { type: [{
                type: Input
            }], isVisible: [{
                type: Input
            }], isVisibleChange: [{
                type: Output
            }], afterOpenedOrClosed: [{
                type: Output
            }] } });

class BsAlertCloseComponent {
    constructor(alert) {
        this.alert = alert;
    }
    closeAlert() {
        this.alert.isVisible = false;
        return false;
    }
}
BsAlertCloseComponent.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "14.2.2", ngImport: i0, type: BsAlertCloseComponent, deps: [{ token: BsAlertComponent }], target: i0.ɵɵFactoryTarget.Component });
BsAlertCloseComponent.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "14.2.2", type: BsAlertCloseComponent, selector: "bs-alert-close", ngImport: i0, template: "<button class=\"btn float-end\" (click)=\"closeAlert()\">\n    <span class=\"text-dark\">\u00D7</span>\n</button>", styles: ["button{top:0;right:0;border:0;position:absolute;padding:.75rem 1.25rem!important;background:transparent}\n"] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "14.2.2", ngImport: i0, type: BsAlertCloseComponent, decorators: [{
            type: Component,
            args: [{ selector: 'bs-alert-close', template: "<button class=\"btn float-end\" (click)=\"closeAlert()\">\n    <span class=\"text-dark\">\u00D7</span>\n</button>", styles: ["button{top:0;right:0;border:0;position:absolute;padding:.75rem 1.25rem!important;background:transparent}\n"] }]
        }], ctorParameters: function () { return [{ type: BsAlertComponent }]; } });

class BsAlertModule {
}
BsAlertModule.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "14.2.2", ngImport: i0, type: BsAlertModule, deps: [], target: i0.ɵɵFactoryTarget.NgModule });
BsAlertModule.ɵmod = i0.ɵɵngDeclareNgModule({ minVersion: "14.0.0", version: "14.2.2", ngImport: i0, type: BsAlertModule, declarations: [BsAlertComponent,
        BsAlertCloseComponent], imports: [CommonModule], exports: [BsAlertComponent,
        BsAlertCloseComponent] });
BsAlertModule.ɵinj = i0.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "14.2.2", ngImport: i0, type: BsAlertModule, imports: [CommonModule] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "14.2.2", ngImport: i0, type: BsAlertModule, decorators: [{
            type: NgModule,
            args: [{
                    imports: [CommonModule],
                    declarations: [
                        BsAlertComponent,
                        BsAlertCloseComponent
                    ],
                    exports: [
                        BsAlertComponent,
                        BsAlertCloseComponent
                    ]
                }]
        }] });

class BsBadgeComponent {
    constructor() {
        this.colors = Color;
        //#region Type
        this.type$ = new BehaviorSubject(Color.primary);
        this.colorClass$ = this.type$
            .pipe(map((type) => `bg-${this.colors[type]}`));
    }
    get type() {
        return this.type$.value;
    }
    set type(value) {
        this.type$.next(value);
    }
    ngOnInit() { }
}
BsBadgeComponent.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "14.2.2", ngImport: i0, type: BsBadgeComponent, deps: [], target: i0.ɵɵFactoryTarget.Component });
BsBadgeComponent.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "14.2.2", type: BsBadgeComponent, selector: "bs-badge", inputs: { type: "type" }, ngImport: i0, template: "<span class=\"badge\" [class]=\"colorClass$ | async\">\n    <ng-content></ng-content>\n</span>", styles: [":host ::ng-deep .badge{--bs-badge-padding-x: .65em;--bs-badge-padding-y: .35em;--bs-badge-font-size: .75em;--bs-badge-font-weight: 700;--bs-badge-color: #fff;--bs-badge-border-radius: .375rem;display:inline-block;padding:var(--bs-badge-padding-y) var(--bs-badge-padding-x);font-size:var(--bs-badge-font-size);font-weight:var(--bs-badge-font-weight);line-height:1;color:var(--bs-badge-color);text-align:center;white-space:nowrap;vertical-align:baseline;border-radius:var(--bs-badge-border-radius)}:host ::ng-deep .badge:empty{display:none}:host ::ng-deep .btn .badge{position:relative;top:-1px}\n"], dependencies: [{ kind: "pipe", type: i1.AsyncPipe, name: "async" }] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "14.2.2", ngImport: i0, type: BsBadgeComponent, decorators: [{
            type: Component,
            args: [{ selector: 'bs-badge', template: "<span class=\"badge\" [class]=\"colorClass$ | async\">\n    <ng-content></ng-content>\n</span>", styles: [":host ::ng-deep .badge{--bs-badge-padding-x: .65em;--bs-badge-padding-y: .35em;--bs-badge-font-size: .75em;--bs-badge-font-weight: 700;--bs-badge-color: #fff;--bs-badge-border-radius: .375rem;display:inline-block;padding:var(--bs-badge-padding-y) var(--bs-badge-padding-x);font-size:var(--bs-badge-font-size);font-weight:var(--bs-badge-font-weight);line-height:1;color:var(--bs-badge-color);text-align:center;white-space:nowrap;vertical-align:baseline;border-radius:var(--bs-badge-border-radius)}:host ::ng-deep .badge:empty{display:none}:host ::ng-deep .btn .badge{position:relative;top:-1px}\n"] }]
        }], ctorParameters: function () { return []; }, propDecorators: { type: [{
                type: Input
            }] } });

class BsBadgeModule {
}
BsBadgeModule.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "14.2.2", ngImport: i0, type: BsBadgeModule, deps: [], target: i0.ɵɵFactoryTarget.NgModule });
BsBadgeModule.ɵmod = i0.ɵɵngDeclareNgModule({ minVersion: "14.0.0", version: "14.2.2", ngImport: i0, type: BsBadgeModule, declarations: [BsBadgeComponent], imports: [CommonModule], exports: [BsBadgeComponent] });
BsBadgeModule.ɵinj = i0.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "14.2.2", ngImport: i0, type: BsBadgeModule, imports: [CommonModule] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "14.2.2", ngImport: i0, type: BsBadgeModule, decorators: [{
            type: NgModule,
            args: [{
                    declarations: [BsBadgeComponent],
                    imports: [CommonModule],
                    exports: [BsBadgeComponent],
                }]
        }] });

class BsBreadcrumbComponent {
    constructor() { }
    ngOnInit() { }
}
BsBreadcrumbComponent.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "14.2.2", ngImport: i0, type: BsBreadcrumbComponent, deps: [], target: i0.ɵɵFactoryTarget.Component });
BsBreadcrumbComponent.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "14.2.2", type: BsBreadcrumbComponent, selector: "bs-breadcrumb", ngImport: i0, template: "<nav aria-label=\"breadcrumb\">\n    <ol class=\"breadcrumb\">\n        <ng-content></ng-content>\n    </ol>\n</nav>", styles: [":host ::ng-deep .breadcrumb{--bs-breadcrumb-padding-x: 0;--bs-breadcrumb-padding-y: 0;--bs-breadcrumb-margin-bottom: 1rem;--bs-breadcrumb-bg: ;--bs-breadcrumb-border-radius: ;--bs-breadcrumb-divider-color: #6c757d;--bs-breadcrumb-item-padding-x: .5rem;--bs-breadcrumb-item-active-color: #6c757d;display:flex;flex-wrap:wrap;padding:var(--bs-breadcrumb-padding-y) var(--bs-breadcrumb-padding-x);margin-bottom:var(--bs-breadcrumb-margin-bottom);font-size:var(--bs-breadcrumb-font-size);list-style:none;background-color:var(--bs-breadcrumb-bg);border-radius:var(--bs-breadcrumb-border-radius)}:host ::ng-deep .breadcrumb-item+.breadcrumb-item{padding-left:var(--bs-breadcrumb-item-padding-x)}:host ::ng-deep .breadcrumb-item+.breadcrumb-item:before{float:left;padding-right:var(--bs-breadcrumb-item-padding-x);color:var(--bs-breadcrumb-divider-color);content:var(--bs-breadcrumb-divider, \"/\")}:host ::ng-deep .breadcrumb-item.active{color:var(--bs-breadcrumb-item-active-color)}\n"] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "14.2.2", ngImport: i0, type: BsBreadcrumbComponent, decorators: [{
            type: Component,
            args: [{ selector: 'bs-breadcrumb', template: "<nav aria-label=\"breadcrumb\">\n    <ol class=\"breadcrumb\">\n        <ng-content></ng-content>\n    </ol>\n</nav>", styles: [":host ::ng-deep .breadcrumb{--bs-breadcrumb-padding-x: 0;--bs-breadcrumb-padding-y: 0;--bs-breadcrumb-margin-bottom: 1rem;--bs-breadcrumb-bg: ;--bs-breadcrumb-border-radius: ;--bs-breadcrumb-divider-color: #6c757d;--bs-breadcrumb-item-padding-x: .5rem;--bs-breadcrumb-item-active-color: #6c757d;display:flex;flex-wrap:wrap;padding:var(--bs-breadcrumb-padding-y) var(--bs-breadcrumb-padding-x);margin-bottom:var(--bs-breadcrumb-margin-bottom);font-size:var(--bs-breadcrumb-font-size);list-style:none;background-color:var(--bs-breadcrumb-bg);border-radius:var(--bs-breadcrumb-border-radius)}:host ::ng-deep .breadcrumb-item+.breadcrumb-item{padding-left:var(--bs-breadcrumb-item-padding-x)}:host ::ng-deep .breadcrumb-item+.breadcrumb-item:before{float:left;padding-right:var(--bs-breadcrumb-item-padding-x);color:var(--bs-breadcrumb-divider-color);content:var(--bs-breadcrumb-divider, \"/\")}:host ::ng-deep .breadcrumb-item.active{color:var(--bs-breadcrumb-item-active-color)}\n"] }]
        }], ctorParameters: function () { return []; } });

class BsBreadcrumbItemComponent {
    constructor() {
        this.classes = true;
    }
    ngOnInit() { }
}
BsBreadcrumbItemComponent.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "14.2.2", ngImport: i0, type: BsBreadcrumbItemComponent, deps: [], target: i0.ɵɵFactoryTarget.Component });
BsBreadcrumbItemComponent.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "14.2.2", type: BsBreadcrumbItemComponent, selector: "bs-breadcrumb-item", host: { properties: { "class.breadcrumb-item": "this.classes" } }, ngImport: i0, template: "<!-- <li class=\"breadcrumb-item\"> -->\n    <ng-content></ng-content>\n<!-- </li> -->", styles: [""] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "14.2.2", ngImport: i0, type: BsBreadcrumbItemComponent, decorators: [{
            type: Component,
            args: [{ selector: 'bs-breadcrumb-item', template: "<!-- <li class=\"breadcrumb-item\"> -->\n    <ng-content></ng-content>\n<!-- </li> -->" }]
        }], ctorParameters: function () { return []; }, propDecorators: { classes: [{
                type: HostBinding,
                args: ['class.breadcrumb-item']
            }] } });

class BsBreadcrumbModule {
}
BsBreadcrumbModule.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "14.2.2", ngImport: i0, type: BsBreadcrumbModule, deps: [], target: i0.ɵɵFactoryTarget.NgModule });
BsBreadcrumbModule.ɵmod = i0.ɵɵngDeclareNgModule({ minVersion: "14.0.0", version: "14.2.2", ngImport: i0, type: BsBreadcrumbModule, declarations: [BsBreadcrumbComponent, BsBreadcrumbItemComponent], imports: [CommonModule], exports: [BsBreadcrumbComponent, BsBreadcrumbItemComponent] });
BsBreadcrumbModule.ɵinj = i0.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "14.2.2", ngImport: i0, type: BsBreadcrumbModule, imports: [CommonModule] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "14.2.2", ngImport: i0, type: BsBreadcrumbModule, decorators: [{
            type: NgModule,
            args: [{
                    declarations: [BsBreadcrumbComponent, BsBreadcrumbItemComponent],
                    imports: [CommonModule],
                    exports: [BsBreadcrumbComponent, BsBreadcrumbItemComponent],
                }]
        }] });

class BsButtonGroupComponent {
    constructor() { }
    ngOnInit() { }
}
BsButtonGroupComponent.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "14.2.2", ngImport: i0, type: BsButtonGroupComponent, deps: [], target: i0.ɵɵFactoryTarget.Component });
BsButtonGroupComponent.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "14.2.2", type: BsButtonGroupComponent, selector: "bs-button-group", ngImport: i0, template: "<div class=\"btn-group\" role=\"group\" aria-label=\"Basic example\">\n    <ng-content></ng-content>\n</div>", styles: [":host ::ng-deep .btn-group,:host ::ng-deep .btn-group-vertical{position:relative;display:inline-flex;vertical-align:middle}:host ::ng-deep .btn-group>.btn,:host ::ng-deep .btn-group-vertical>.btn{position:relative;flex:1 1 auto}:host ::ng-deep .btn-group>.btn-check:checked+.btn,:host ::ng-deep .btn-group>.btn-check:focus+.btn,:host ::ng-deep .btn-group>.btn:hover,:host ::ng-deep .btn-group>.btn:focus,:host ::ng-deep .btn-group>.btn:active,:host ::ng-deep .btn-group>.btn.active,:host ::ng-deep .btn-group-vertical>.btn-check:checked+.btn,:host ::ng-deep .btn-group-vertical>.btn-check:focus+.btn,:host ::ng-deep .btn-group-vertical>.btn:hover,:host ::ng-deep .btn-group-vertical>.btn:focus,:host ::ng-deep .btn-group-vertical>.btn:active,:host ::ng-deep .btn-group-vertical>.btn.active{z-index:1}:host ::ng-deep .btn-toolbar{display:flex;flex-wrap:wrap;justify-content:flex-start}:host ::ng-deep .btn-toolbar .input-group{width:auto}:host ::ng-deep .btn-group{border-radius:.375rem}:host ::ng-deep .btn-group>:not(.btn-check:first-child)+.btn,:host ::ng-deep .btn-group>.btn-group:not(:first-child){margin-left:-1px}:host ::ng-deep .btn-group>.btn:not(:last-child):not(.dropdown-toggle),:host ::ng-deep .btn-group>.btn.dropdown-toggle-split:first-child,:host ::ng-deep .btn-group>.btn-group:not(:last-child)>.btn{border-top-right-radius:0;border-bottom-right-radius:0}:host ::ng-deep .btn-group>.btn:nth-child(n+3),:host ::ng-deep .btn-group>:not(.btn-check)+.btn,:host ::ng-deep .btn-group>.btn-group:not(:first-child)>.btn{border-top-left-radius:0;border-bottom-left-radius:0}:host ::ng-deep .dropdown-toggle-split{padding-right:.5625rem;padding-left:.5625rem}:host ::ng-deep .dropdown-toggle-split:after,.dropup :host ::ng-deep .dropdown-toggle-split:after,.dropend :host ::ng-deep .dropdown-toggle-split:after{margin-left:0}.dropstart :host ::ng-deep .dropdown-toggle-split:before{margin-right:0}:host ::ng-deep .btn-sm+.dropdown-toggle-split,:host ::ng-deep .btn-group-sm>.btn+.dropdown-toggle-split{padding-right:.375rem;padding-left:.375rem}:host ::ng-deep .btn-lg+.dropdown-toggle-split,:host ::ng-deep .btn-group-lg>.btn+.dropdown-toggle-split{padding-right:.75rem;padding-left:.75rem}:host ::ng-deep .btn-group-vertical{flex-direction:column;align-items:flex-start;justify-content:center}:host ::ng-deep .btn-group-vertical>.btn,:host ::ng-deep .btn-group-vertical>.btn-group{width:100%}:host ::ng-deep .btn-group-vertical>.btn:not(:first-child),:host ::ng-deep .btn-group-vertical>.btn-group:not(:first-child){margin-top:-1px}:host ::ng-deep .btn-group-vertical>.btn:not(:last-child):not(.dropdown-toggle),:host ::ng-deep .btn-group-vertical>.btn-group:not(:last-child)>.btn{border-bottom-right-radius:0;border-bottom-left-radius:0}:host ::ng-deep .btn-group-vertical>.btn~.btn,:host ::ng-deep .btn-group-vertical>.btn-group:not(:first-child)>.btn{border-top-left-radius:0;border-top-right-radius:0}\n"] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "14.2.2", ngImport: i0, type: BsButtonGroupComponent, decorators: [{
            type: Component,
            args: [{ selector: 'bs-button-group', template: "<div class=\"btn-group\" role=\"group\" aria-label=\"Basic example\">\n    <ng-content></ng-content>\n</div>", styles: [":host ::ng-deep .btn-group,:host ::ng-deep .btn-group-vertical{position:relative;display:inline-flex;vertical-align:middle}:host ::ng-deep .btn-group>.btn,:host ::ng-deep .btn-group-vertical>.btn{position:relative;flex:1 1 auto}:host ::ng-deep .btn-group>.btn-check:checked+.btn,:host ::ng-deep .btn-group>.btn-check:focus+.btn,:host ::ng-deep .btn-group>.btn:hover,:host ::ng-deep .btn-group>.btn:focus,:host ::ng-deep .btn-group>.btn:active,:host ::ng-deep .btn-group>.btn.active,:host ::ng-deep .btn-group-vertical>.btn-check:checked+.btn,:host ::ng-deep .btn-group-vertical>.btn-check:focus+.btn,:host ::ng-deep .btn-group-vertical>.btn:hover,:host ::ng-deep .btn-group-vertical>.btn:focus,:host ::ng-deep .btn-group-vertical>.btn:active,:host ::ng-deep .btn-group-vertical>.btn.active{z-index:1}:host ::ng-deep .btn-toolbar{display:flex;flex-wrap:wrap;justify-content:flex-start}:host ::ng-deep .btn-toolbar .input-group{width:auto}:host ::ng-deep .btn-group{border-radius:.375rem}:host ::ng-deep .btn-group>:not(.btn-check:first-child)+.btn,:host ::ng-deep .btn-group>.btn-group:not(:first-child){margin-left:-1px}:host ::ng-deep .btn-group>.btn:not(:last-child):not(.dropdown-toggle),:host ::ng-deep .btn-group>.btn.dropdown-toggle-split:first-child,:host ::ng-deep .btn-group>.btn-group:not(:last-child)>.btn{border-top-right-radius:0;border-bottom-right-radius:0}:host ::ng-deep .btn-group>.btn:nth-child(n+3),:host ::ng-deep .btn-group>:not(.btn-check)+.btn,:host ::ng-deep .btn-group>.btn-group:not(:first-child)>.btn{border-top-left-radius:0;border-bottom-left-radius:0}:host ::ng-deep .dropdown-toggle-split{padding-right:.5625rem;padding-left:.5625rem}:host ::ng-deep .dropdown-toggle-split:after,.dropup :host ::ng-deep .dropdown-toggle-split:after,.dropend :host ::ng-deep .dropdown-toggle-split:after{margin-left:0}.dropstart :host ::ng-deep .dropdown-toggle-split:before{margin-right:0}:host ::ng-deep .btn-sm+.dropdown-toggle-split,:host ::ng-deep .btn-group-sm>.btn+.dropdown-toggle-split{padding-right:.375rem;padding-left:.375rem}:host ::ng-deep .btn-lg+.dropdown-toggle-split,:host ::ng-deep .btn-group-lg>.btn+.dropdown-toggle-split{padding-right:.75rem;padding-left:.75rem}:host ::ng-deep .btn-group-vertical{flex-direction:column;align-items:flex-start;justify-content:center}:host ::ng-deep .btn-group-vertical>.btn,:host ::ng-deep .btn-group-vertical>.btn-group{width:100%}:host ::ng-deep .btn-group-vertical>.btn:not(:first-child),:host ::ng-deep .btn-group-vertical>.btn-group:not(:first-child){margin-top:-1px}:host ::ng-deep .btn-group-vertical>.btn:not(:last-child):not(.dropdown-toggle),:host ::ng-deep .btn-group-vertical>.btn-group:not(:last-child)>.btn{border-bottom-right-radius:0;border-bottom-left-radius:0}:host ::ng-deep .btn-group-vertical>.btn~.btn,:host ::ng-deep .btn-group-vertical>.btn-group:not(:first-child)>.btn{border-top-left-radius:0;border-top-right-radius:0}\n"] }]
        }], ctorParameters: function () { return []; } });

class BsButtonGroupModule {
}
BsButtonGroupModule.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "14.2.2", ngImport: i0, type: BsButtonGroupModule, deps: [], target: i0.ɵɵFactoryTarget.NgModule });
BsButtonGroupModule.ɵmod = i0.ɵɵngDeclareNgModule({ minVersion: "14.0.0", version: "14.2.2", ngImport: i0, type: BsButtonGroupModule, declarations: [BsButtonGroupComponent], imports: [CommonModule], exports: [BsButtonGroupComponent] });
BsButtonGroupModule.ɵinj = i0.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "14.2.2", ngImport: i0, type: BsButtonGroupModule, imports: [CommonModule] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "14.2.2", ngImport: i0, type: BsButtonGroupModule, decorators: [{
            type: NgModule,
            args: [{
                    declarations: [BsButtonGroupComponent],
                    imports: [CommonModule],
                    exports: [BsButtonGroupComponent],
                }]
        }] });

class BsCalendarMonthService {
    getWeeks(month) {
        const firstAndLast = this.getFirstAndLastDayOfMonth(month);
        const firstOfMonth = this.getMondayBefore(firstAndLast.first);
        const lastOfMonth = this.getSundayAfter(firstAndLast.last);
        const days = this.dateDiff(firstOfMonth, lastOfMonth) + 1;
        const firstDayOffset = (firstAndLast.first.getDay() + 7 - 1) % 7;
        const allDays = this.generateList(days).map(d => d - firstDayOffset).map(d => {
            const wrongDate = new Date(firstAndLast.first.getFullYear(), firstAndLast.first.getMonth(), firstAndLast.first.getDate() + d);
            const correctDate = new Date(wrongDate.getFullYear(), wrongDate.getMonth(), wrongDate.getDate());
            return {
                date: correctDate,
                dayOfMonth: correctDate.getDate(),
                isInMonth: (correctDate.getFullYear() === month.getFullYear()) && (correctDate.getMonth() === month.getMonth())
            };
        });
        const weeks = this.chunk(allDays, 7);
        const weeksMapped = weeks.map((w, i) => ({
            number: this.weekOfYear(new Date(month.getFullYear(), month.getMonth(), w.find(d => d.isInMonth)?.dayOfMonth)),
            days: w
        }));
        return weeksMapped;
    }
    generateList(count) {
        return [...Array(count).keys()];
    }
    dayOfWeekMondayBased(date) {
        const d = date.getDay() - 1;
        if (d < 0) {
            return 6;
        }
        else {
            return d;
        }
    }
    weekOfYear(date) {
        const dateClone = new Date(Date.UTC(date.getFullYear(), date.getMonth(), date.getDate()));
        dateClone.setUTCDate(dateClone.getUTCDate() + 4 - (dateClone.getUTCDay() || 7));
        const yearStart = new Date(Date.UTC(dateClone.getUTCFullYear(), 0, 1));
        const utcDiff = this.toUTC(dateClone) - this.toUTC(yearStart);
        return Math.ceil((utcDiff / (1000 * 60 * 60 * 24) + 1) / 7);
    }
    getFirstAndLastDayOfMonth(date) {
        const first = new Date(date.getFullYear(), date.getMonth(), 1);
        const last = new Date(date.getFullYear(), date.getMonth() + 1, 0);
        return { first, last };
    }
    dateDiff(date1, date2) {
        const utc1 = this.toUTC(date1);
        const utc2 = this.toUTC(date2);
        const msPerDay = 1000 * 60 * 60 * 24;
        return Math.floor((utc2 - utc1) / msPerDay);
    }
    dayOfYear(date) {
        const start = new Date(date.getFullYear(), 0, 0);
        return this.dateDiff(start, date);
    }
    toUTC(date) {
        return Date.UTC(date.getFullYear(), date.getMonth(), date.getDate());
    }
    chunk(items, size) {
        const result = [];
        for (let i = 0; i < items.length; i += size) {
            result.push(items.slice(i, i + size));
        }
        return result;
    }
    getMondayBefore(date) {
        const day = date.getDay(), diff = date.getDate() - day + (day == 0 ? -6 : 1); // adjust when day is sunday
        const monday = new Date(date);
        monday.setDate(diff);
        return monday;
    }
    getSundayAfter(date) {
        const day = date.getDay();
        const sunday = new Date(date);
        if (day !== 0) {
            const diff = date.getDate() + 7 - day;
            sunday.setDate(diff);
        }
        return sunday;
    }
}
BsCalendarMonthService.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "14.2.2", ngImport: i0, type: BsCalendarMonthService, deps: [], target: i0.ɵɵFactoryTarget.Injectable });
BsCalendarMonthService.ɵprov = i0.ɵɵngDeclareInjectable({ minVersion: "12.0.0", version: "14.2.2", ngImport: i0, type: BsCalendarMonthService, providedIn: 'root' });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "14.2.2", ngImport: i0, type: BsCalendarMonthService, decorators: [{
            type: Injectable,
            args: [{
                    providedIn: 'root'
                }]
        }] });

class UcFirstPipe {
    transform(value, ...args) {
        return value[0].toUpperCase() + value.slice(1);
    }
}
UcFirstPipe.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "14.2.2", ngImport: i0, type: UcFirstPipe, deps: [], target: i0.ɵɵFactoryTarget.Pipe });
UcFirstPipe.ɵpipe = i0.ɵɵngDeclarePipe({ minVersion: "14.0.0", version: "14.2.2", ngImport: i0, type: UcFirstPipe, name: "ucFirst" });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "14.2.2", ngImport: i0, type: UcFirstPipe, decorators: [{
            type: Pipe,
            args: [{
                    name: 'ucFirst'
                }]
        }] });

class MonthNamePipe {
    transform(date, ...args) {
        if (date) {
            return date.toLocaleString("default", { month: 'long' });
        }
        else {
            return '';
        }
    }
}
MonthNamePipe.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "14.2.2", ngImport: i0, type: MonthNamePipe, deps: [], target: i0.ɵɵFactoryTarget.Pipe });
MonthNamePipe.ɵpipe = i0.ɵɵngDeclarePipe({ minVersion: "14.0.0", version: "14.2.2", ngImport: i0, type: MonthNamePipe, name: "monthName" });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "14.2.2", ngImport: i0, type: MonthNamePipe, decorators: [{
            type: Pipe,
            args: [{
                    name: 'monthName'
                }]
        }] });

class BsCalendarComponent {
    constructor(calendarMonthService) {
        this.calendarMonthService = calendarMonthService;
        this.destroyed$ = new Subject();
        //#region CurrentMonth
        this.currentMonth$ = new BehaviorSubject(new Date());
        this.currentMonthChange = new EventEmitter();
        //#endregion
        //#region SelectedDate
        this.selectedDate$ = new BehaviorSubject(new Date());
        this.selectedDateChange = new EventEmitter();
        this.weeks$ = this.currentMonth$
            .pipe(map((month) => this.calendarMonthService.getWeeks(month)))
            .pipe(takeUntil(this.destroyed$));
        this.shownDays$ = this.weeks$
            .pipe(filter((weeks) => weeks.length > 1))
            .pipe(map((weeks) => weeks[1].days))
            .pipe(map((days) => {
            const firstDay = days[0];
            if (firstDay) {
                return days.map((d) => {
                    const date = new Date(firstDay.date.getFullYear(), firstDay.date.getMonth(), d?.dayOfMonth);
                    return {
                        short: date.toLocaleString('default', { weekday: 'short' }),
                        long: date.toLocaleString('default', { weekday: 'long' })
                    };
                });
            }
            else {
                return [];
            }
        }));
        this.selectedDate$.pipe(takeUntil(this.destroyed$)).subscribe((date) => {
            this.selectedDateChange.emit(date);
        });
        this.currentMonth$.pipe(takeUntil(this.destroyed$)).subscribe((month) => {
            this.currentMonthChange.emit(month);
        });
    }
    get currentMonth() {
        return this.currentMonth$.value;
    }
    set currentMonth(value) {
        this.currentMonth$.next(value);
    }
    get selectedDate() {
        return this.selectedDate$.value;
    }
    set selectedDate(value) {
        this.selectedDate$.next(value);
    }
    //#endregion
    ngOnDestroy() {
        this.destroyed$.next(true);
    }
    previousMonth() {
        this.currentMonth$.pipe(take(1)).subscribe((month) => {
            this.currentMonth$.next(new Date(month.getFullYear(), month.getMonth() - 1, 1));
        });
        return false;
    }
    nextMonth() {
        this.currentMonth$.pipe(take(1)).subscribe((month) => {
            this.currentMonth$.next(new Date(month.getFullYear(), month.getMonth() + 1, 1));
        });
        return false;
    }
    isSameDate(date1, date2) {
        if (date1 === null && date2 === null)
            return true;
        if (date1 === null || date2 === null)
            return false;
        return (date1.getFullYear() === date2.getFullYear() &&
            date1.getMonth() === date2.getMonth() &&
            date1.getDate() === date2.getDate());
    }
    goto(day) {
        if (day) {
            this.selectedDate$.next(day.date);
        }
    }
}
BsCalendarComponent.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "14.2.2", ngImport: i0, type: BsCalendarComponent, deps: [{ token: BsCalendarMonthService }], target: i0.ɵɵFactoryTarget.Component });
BsCalendarComponent.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "14.2.2", type: BsCalendarComponent, selector: "bs-calendar", inputs: { currentMonth: "currentMonth", selectedDate: "selectedDate" }, outputs: { currentMonthChange: "currentMonthChange", selectedDateChange: "selectedDateChange" }, ngImport: i0, template: "<table class=\"table w-auto mb-0\">\n    <tr>\n        <td>\n            <button class=\"btn btn-default\" (click)=\"previousMonth()\">\n                <i class=\"bi bi-chevron-left fw-bolder\"></i>\n            </button>\n        </td>\n        <td colspan=\"6\" class=\"fw-bolder\">\n            {{ currentMonth$ | async | monthName | ucFirst }}\n            {{ (currentMonth$ | async)?.getFullYear() }}\n        </td>\n        <td>\n            <button class=\"btn btn-default border-bottom-0\" (click)=\"nextMonth()\">\n                <i class=\"bi bi-chevron-right fw-bolder\"></i>\n            </button>\n        </td>\n    </tr>\n    <tr>\n        <th></th>\n        <th *ngFor=\"let dayOfWeek of shownDays$ | async\" [title]=\"dayOfWeek.long\">\n            {{ dayOfWeek.short }}\n        </th>\n    </tr>\n    <tr *ngFor=\"let week of (weeks$ | async)\">\n        <th>\n            {{ week.number }}\n        </th>\n        <td [class.selected]=\"day === null ? false : isSameDate(selectedDate$ | async, day.date)\" *ngFor=\"let day of week.days\" (click)=\"goto(day)\">\n            <span *ngIf=\"day !== null\" [class.text-muted]=\"!day.isInMonth\">{{ day.dayOfMonth }}</span>\n        </td>\n    </tr>\n</table>", styles: [".text-muted{color:#9ea7af!important}table{border-collapse:collapse;border:1px solid rgba(0,0,0,.125);background:#fff}table td,table th{width:40px;height:40px;text-align:center}table td span,table th span{cursor:pointer;white-space:nowrap}table td.selected{background-color:#0d6efd;color:#fff}table th{background-color:#f8f9fa}table tr{border-top:none}table tr:first-child>td{border-bottom:1px solid rgba(0,0,0,.125)}table tr:nth-of-type(2)>th:not(:nth-of-type(1)){border-bottom:1px solid rgba(0,0,0,.125)}table tr:not(:nth-of-type(2))>th:nth-of-type(1){border-right:1px solid rgba(0,0,0,.125)}\n"], dependencies: [{ kind: "directive", type: i1.NgForOf, selector: "[ngFor][ngForOf]", inputs: ["ngForOf", "ngForTrackBy", "ngForTemplate"] }, { kind: "directive", type: i1.NgIf, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }, { kind: "pipe", type: i1.AsyncPipe, name: "async" }, { kind: "pipe", type: UcFirstPipe, name: "ucFirst" }, { kind: "pipe", type: MonthNamePipe, name: "monthName" }] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "14.2.2", ngImport: i0, type: BsCalendarComponent, decorators: [{
            type: Component,
            args: [{ selector: 'bs-calendar', template: "<table class=\"table w-auto mb-0\">\n    <tr>\n        <td>\n            <button class=\"btn btn-default\" (click)=\"previousMonth()\">\n                <i class=\"bi bi-chevron-left fw-bolder\"></i>\n            </button>\n        </td>\n        <td colspan=\"6\" class=\"fw-bolder\">\n            {{ currentMonth$ | async | monthName | ucFirst }}\n            {{ (currentMonth$ | async)?.getFullYear() }}\n        </td>\n        <td>\n            <button class=\"btn btn-default border-bottom-0\" (click)=\"nextMonth()\">\n                <i class=\"bi bi-chevron-right fw-bolder\"></i>\n            </button>\n        </td>\n    </tr>\n    <tr>\n        <th></th>\n        <th *ngFor=\"let dayOfWeek of shownDays$ | async\" [title]=\"dayOfWeek.long\">\n            {{ dayOfWeek.short }}\n        </th>\n    </tr>\n    <tr *ngFor=\"let week of (weeks$ | async)\">\n        <th>\n            {{ week.number }}\n        </th>\n        <td [class.selected]=\"day === null ? false : isSameDate(selectedDate$ | async, day.date)\" *ngFor=\"let day of week.days\" (click)=\"goto(day)\">\n            <span *ngIf=\"day !== null\" [class.text-muted]=\"!day.isInMonth\">{{ day.dayOfMonth }}</span>\n        </td>\n    </tr>\n</table>", styles: [".text-muted{color:#9ea7af!important}table{border-collapse:collapse;border:1px solid rgba(0,0,0,.125);background:#fff}table td,table th{width:40px;height:40px;text-align:center}table td span,table th span{cursor:pointer;white-space:nowrap}table td.selected{background-color:#0d6efd;color:#fff}table th{background-color:#f8f9fa}table tr{border-top:none}table tr:first-child>td{border-bottom:1px solid rgba(0,0,0,.125)}table tr:nth-of-type(2)>th:not(:nth-of-type(1)){border-bottom:1px solid rgba(0,0,0,.125)}table tr:not(:nth-of-type(2))>th:nth-of-type(1){border-right:1px solid rgba(0,0,0,.125)}\n"] }]
        }], ctorParameters: function () { return [{ type: BsCalendarMonthService }]; }, propDecorators: { currentMonthChange: [{
                type: Output
            }], currentMonth: [{
                type: Input
            }], selectedDateChange: [{
                type: Output
            }], selectedDate: [{
                type: Input
            }] } });

class BsMonthNamePipeModule {
}
BsMonthNamePipeModule.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "14.2.2", ngImport: i0, type: BsMonthNamePipeModule, deps: [], target: i0.ɵɵFactoryTarget.NgModule });
BsMonthNamePipeModule.ɵmod = i0.ɵɵngDeclareNgModule({ minVersion: "14.0.0", version: "14.2.2", ngImport: i0, type: BsMonthNamePipeModule, declarations: [MonthNamePipe], imports: [CommonModule], exports: [MonthNamePipe] });
BsMonthNamePipeModule.ɵinj = i0.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "14.2.2", ngImport: i0, type: BsMonthNamePipeModule, imports: [CommonModule] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "14.2.2", ngImport: i0, type: BsMonthNamePipeModule, decorators: [{
            type: NgModule,
            args: [{
                    declarations: [
                        MonthNamePipe
                    ],
                    imports: [
                        CommonModule
                    ],
                    exports: [
                        MonthNamePipe
                    ]
                }]
        }] });

class BsUcFirstPipeModule {
}
BsUcFirstPipeModule.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "14.2.2", ngImport: i0, type: BsUcFirstPipeModule, deps: [], target: i0.ɵɵFactoryTarget.NgModule });
BsUcFirstPipeModule.ɵmod = i0.ɵɵngDeclareNgModule({ minVersion: "14.0.0", version: "14.2.2", ngImport: i0, type: BsUcFirstPipeModule, declarations: [UcFirstPipe], imports: [CommonModule], exports: [UcFirstPipe] });
BsUcFirstPipeModule.ɵinj = i0.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "14.2.2", ngImport: i0, type: BsUcFirstPipeModule, imports: [CommonModule] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "14.2.2", ngImport: i0, type: BsUcFirstPipeModule, decorators: [{
            type: NgModule,
            args: [{
                    declarations: [
                        UcFirstPipe
                    ],
                    imports: [
                        CommonModule
                    ],
                    exports: [
                        UcFirstPipe
                    ]
                }]
        }] });

class WeekdayNamePipe {
    transform(date, ...args) {
        return date.toLocaleString("default", { weekday: 'short' });
    }
}
WeekdayNamePipe.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "14.2.2", ngImport: i0, type: WeekdayNamePipe, deps: [], target: i0.ɵɵFactoryTarget.Pipe });
WeekdayNamePipe.ɵpipe = i0.ɵɵngDeclarePipe({ minVersion: "14.0.0", version: "14.2.2", ngImport: i0, type: WeekdayNamePipe, name: "weekdayName" });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "14.2.2", ngImport: i0, type: WeekdayNamePipe, decorators: [{
            type: Pipe,
            args: [{
                    name: 'weekdayName'
                }]
        }] });

class BsWeekdayNameModule {
}
BsWeekdayNameModule.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "14.2.2", ngImport: i0, type: BsWeekdayNameModule, deps: [], target: i0.ɵɵFactoryTarget.NgModule });
BsWeekdayNameModule.ɵmod = i0.ɵɵngDeclareNgModule({ minVersion: "14.0.0", version: "14.2.2", ngImport: i0, type: BsWeekdayNameModule, declarations: [WeekdayNamePipe], imports: [CommonModule], exports: [WeekdayNamePipe] });
BsWeekdayNameModule.ɵinj = i0.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "14.2.2", ngImport: i0, type: BsWeekdayNameModule, imports: [CommonModule] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "14.2.2", ngImport: i0, type: BsWeekdayNameModule, decorators: [{
            type: NgModule,
            args: [{
                    declarations: [
                        WeekdayNamePipe
                    ],
                    imports: [
                        CommonModule
                    ],
                    exports: [
                        WeekdayNamePipe
                    ]
                }]
        }] });

class BsCalendarModule {
}
BsCalendarModule.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "14.2.2", ngImport: i0, type: BsCalendarModule, deps: [], target: i0.ɵɵFactoryTarget.NgModule });
BsCalendarModule.ɵmod = i0.ɵɵngDeclareNgModule({ minVersion: "14.0.0", version: "14.2.2", ngImport: i0, type: BsCalendarModule, declarations: [BsCalendarComponent], imports: [CommonModule,
        BsUcFirstPipeModule,
        BsMonthNamePipeModule,
        BsWeekdayNameModule], exports: [BsCalendarComponent] });
BsCalendarModule.ɵinj = i0.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "14.2.2", ngImport: i0, type: BsCalendarModule, imports: [CommonModule,
        BsUcFirstPipeModule,
        BsMonthNamePipeModule,
        BsWeekdayNameModule] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "14.2.2", ngImport: i0, type: BsCalendarModule, decorators: [{
            type: NgModule,
            args: [{
                    declarations: [
                        BsCalendarComponent
                    ],
                    imports: [
                        CommonModule,
                        BsUcFirstPipeModule,
                        BsMonthNamePipeModule,
                        BsWeekdayNameModule
                    ],
                    exports: [
                        BsCalendarComponent
                    ]
                }]
        }] });

class BsCardComponent {
}
BsCardComponent.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "14.2.2", ngImport: i0, type: BsCardComponent, deps: [], target: i0.ɵɵFactoryTarget.Component });
BsCardComponent.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "14.2.2", type: BsCardComponent, selector: "bs-card", ngImport: i0, template: "<div class=\"card\">\n    <ng-content select=\"bs-card-header\"></ng-content>\n    <div class=\"card-body p-0\">\n        <ng-content></ng-content>\n    </div>\n</div>", styles: [":host ::ng-deep .card{--bs-card-spacer-y: 1rem;--bs-card-spacer-x: 1rem;--bs-card-title-spacer-y: .5rem;--bs-card-border-width: 1px;--bs-card-border-color: var(--bs-border-color-translucent);--bs-card-border-radius: .375rem;--bs-card-box-shadow: ;--bs-card-inner-border-radius:calc(.375rem - 1px);--bs-card-cap-padding-y: .5rem;--bs-card-cap-padding-x: 1rem;--bs-card-cap-bg: rgba(0, 0, 0, .03);--bs-card-cap-color: ;--bs-card-height: ;--bs-card-color: ;--bs-card-bg: #fff;--bs-card-img-overlay-padding: 1rem;--bs-card-group-margin: .75rem;position:relative;display:flex;flex-direction:column;min-width:0;height:var(--bs-card-height);word-wrap:break-word;background-color:var(--bs-card-bg);background-clip:border-box;border:var(--bs-card-border-width) solid var(--bs-card-border-color);border-radius:var(--bs-card-border-radius)}:host ::ng-deep .card>hr{margin-right:0;margin-left:0}:host ::ng-deep .card>.list-group{border-top:inherit;border-bottom:inherit}:host ::ng-deep .card>.list-group:first-child{border-top-width:0;border-top-left-radius:var(--bs-card-inner-border-radius);border-top-right-radius:var(--bs-card-inner-border-radius)}:host ::ng-deep .card>.list-group:last-child{border-bottom-width:0;border-bottom-right-radius:var(--bs-card-inner-border-radius);border-bottom-left-radius:var(--bs-card-inner-border-radius)}:host ::ng-deep .card>.card-header+.list-group,:host ::ng-deep .card>.list-group+.card-footer{border-top:0}:host ::ng-deep .card-body{flex:1 1 auto;padding:var(--bs-card-spacer-y) var(--bs-card-spacer-x);color:var(--bs-card-color)}:host ::ng-deep .card-title{margin-bottom:var(--bs-card-title-spacer-y)}:host ::ng-deep .card-subtitle{margin-top:calc(-.5 * var(--bs-card-title-spacer-y));margin-bottom:0}:host ::ng-deep .card-text:last-child{margin-bottom:0}:host ::ng-deep .card-link+.card-link{margin-left:var(--bs-card-spacer-x)}:host ::ng-deep .card-header{padding:var(--bs-card-cap-padding-y) var(--bs-card-cap-padding-x);margin-bottom:0;color:var(--bs-card-cap-color);background-color:var(--bs-card-cap-bg);border-bottom:var(--bs-card-border-width) solid var(--bs-card-border-color)}:host ::ng-deep .card-header:first-child{border-radius:var(--bs-card-inner-border-radius) var(--bs-card-inner-border-radius) 0 0}:host ::ng-deep .card-footer{padding:var(--bs-card-cap-padding-y) var(--bs-card-cap-padding-x);color:var(--bs-card-cap-color);background-color:var(--bs-card-cap-bg);border-top:var(--bs-card-border-width) solid var(--bs-card-border-color)}:host ::ng-deep .card-footer:last-child{border-radius:0 0 var(--bs-card-inner-border-radius) var(--bs-card-inner-border-radius)}:host ::ng-deep .card-header-tabs{margin-right:calc(-.5 * var(--bs-card-cap-padding-x));margin-bottom:calc(-1 * var(--bs-card-cap-padding-y));margin-left:calc(-.5 * var(--bs-card-cap-padding-x));border-bottom:0}:host ::ng-deep .card-header-tabs .nav-link.active{background-color:var(--bs-card-bg);border-bottom-color:var(--bs-card-bg)}:host ::ng-deep .card-header-pills{margin-right:calc(-.5 * var(--bs-card-cap-padding-x));margin-left:calc(-.5 * var(--bs-card-cap-padding-x))}:host ::ng-deep .card-img-overlay{position:absolute;inset:0;padding:var(--bs-card-img-overlay-padding);border-radius:var(--bs-card-inner-border-radius)}:host ::ng-deep .card-img,:host ::ng-deep .card-img-top,:host ::ng-deep .card-img-bottom{width:100%}:host ::ng-deep .card-img,:host ::ng-deep .card-img-top{border-top-left-radius:var(--bs-card-inner-border-radius);border-top-right-radius:var(--bs-card-inner-border-radius)}:host ::ng-deep .card-img,:host ::ng-deep .card-img-bottom{border-bottom-right-radius:var(--bs-card-inner-border-radius);border-bottom-left-radius:var(--bs-card-inner-border-radius)}:host ::ng-deep .card-group>.card{margin-bottom:var(--bs-card-group-margin)}@media (min-width: 576px){:host ::ng-deep .card-group{display:flex;flex-flow:row wrap}:host ::ng-deep .card-group>.card{flex:1 0 0%;margin-bottom:0}:host ::ng-deep .card-group>.card+.card{margin-left:0;border-left:0}:host ::ng-deep .card-group>.card:not(:last-child){border-top-right-radius:0;border-bottom-right-radius:0}:host ::ng-deep .card-group>.card:not(:last-child) .card-img-top,:host ::ng-deep .card-group>.card:not(:last-child) .card-header{border-top-right-radius:0}:host ::ng-deep .card-group>.card:not(:last-child) .card-img-bottom,:host ::ng-deep .card-group>.card:not(:last-child) .card-footer{border-bottom-right-radius:0}:host ::ng-deep .card-group>.card:not(:first-child){border-top-left-radius:0;border-bottom-left-radius:0}:host ::ng-deep .card-group>.card:not(:first-child) .card-img-top,:host ::ng-deep .card-group>.card:not(:first-child) .card-header{border-top-left-radius:0}:host ::ng-deep .card-group>.card:not(:first-child) .card-img-bottom,:host ::ng-deep .card-group>.card:not(:first-child) .card-footer{border-bottom-left-radius:0}}:host ::ng-deep .card-body{margin:-1px}\n"] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "14.2.2", ngImport: i0, type: BsCardComponent, decorators: [{
            type: Component,
            args: [{ selector: 'bs-card', template: "<div class=\"card\">\n    <ng-content select=\"bs-card-header\"></ng-content>\n    <div class=\"card-body p-0\">\n        <ng-content></ng-content>\n    </div>\n</div>", styles: [":host ::ng-deep .card{--bs-card-spacer-y: 1rem;--bs-card-spacer-x: 1rem;--bs-card-title-spacer-y: .5rem;--bs-card-border-width: 1px;--bs-card-border-color: var(--bs-border-color-translucent);--bs-card-border-radius: .375rem;--bs-card-box-shadow: ;--bs-card-inner-border-radius:calc(.375rem - 1px);--bs-card-cap-padding-y: .5rem;--bs-card-cap-padding-x: 1rem;--bs-card-cap-bg: rgba(0, 0, 0, .03);--bs-card-cap-color: ;--bs-card-height: ;--bs-card-color: ;--bs-card-bg: #fff;--bs-card-img-overlay-padding: 1rem;--bs-card-group-margin: .75rem;position:relative;display:flex;flex-direction:column;min-width:0;height:var(--bs-card-height);word-wrap:break-word;background-color:var(--bs-card-bg);background-clip:border-box;border:var(--bs-card-border-width) solid var(--bs-card-border-color);border-radius:var(--bs-card-border-radius)}:host ::ng-deep .card>hr{margin-right:0;margin-left:0}:host ::ng-deep .card>.list-group{border-top:inherit;border-bottom:inherit}:host ::ng-deep .card>.list-group:first-child{border-top-width:0;border-top-left-radius:var(--bs-card-inner-border-radius);border-top-right-radius:var(--bs-card-inner-border-radius)}:host ::ng-deep .card>.list-group:last-child{border-bottom-width:0;border-bottom-right-radius:var(--bs-card-inner-border-radius);border-bottom-left-radius:var(--bs-card-inner-border-radius)}:host ::ng-deep .card>.card-header+.list-group,:host ::ng-deep .card>.list-group+.card-footer{border-top:0}:host ::ng-deep .card-body{flex:1 1 auto;padding:var(--bs-card-spacer-y) var(--bs-card-spacer-x);color:var(--bs-card-color)}:host ::ng-deep .card-title{margin-bottom:var(--bs-card-title-spacer-y)}:host ::ng-deep .card-subtitle{margin-top:calc(-.5 * var(--bs-card-title-spacer-y));margin-bottom:0}:host ::ng-deep .card-text:last-child{margin-bottom:0}:host ::ng-deep .card-link+.card-link{margin-left:var(--bs-card-spacer-x)}:host ::ng-deep .card-header{padding:var(--bs-card-cap-padding-y) var(--bs-card-cap-padding-x);margin-bottom:0;color:var(--bs-card-cap-color);background-color:var(--bs-card-cap-bg);border-bottom:var(--bs-card-border-width) solid var(--bs-card-border-color)}:host ::ng-deep .card-header:first-child{border-radius:var(--bs-card-inner-border-radius) var(--bs-card-inner-border-radius) 0 0}:host ::ng-deep .card-footer{padding:var(--bs-card-cap-padding-y) var(--bs-card-cap-padding-x);color:var(--bs-card-cap-color);background-color:var(--bs-card-cap-bg);border-top:var(--bs-card-border-width) solid var(--bs-card-border-color)}:host ::ng-deep .card-footer:last-child{border-radius:0 0 var(--bs-card-inner-border-radius) var(--bs-card-inner-border-radius)}:host ::ng-deep .card-header-tabs{margin-right:calc(-.5 * var(--bs-card-cap-padding-x));margin-bottom:calc(-1 * var(--bs-card-cap-padding-y));margin-left:calc(-.5 * var(--bs-card-cap-padding-x));border-bottom:0}:host ::ng-deep .card-header-tabs .nav-link.active{background-color:var(--bs-card-bg);border-bottom-color:var(--bs-card-bg)}:host ::ng-deep .card-header-pills{margin-right:calc(-.5 * var(--bs-card-cap-padding-x));margin-left:calc(-.5 * var(--bs-card-cap-padding-x))}:host ::ng-deep .card-img-overlay{position:absolute;inset:0;padding:var(--bs-card-img-overlay-padding);border-radius:var(--bs-card-inner-border-radius)}:host ::ng-deep .card-img,:host ::ng-deep .card-img-top,:host ::ng-deep .card-img-bottom{width:100%}:host ::ng-deep .card-img,:host ::ng-deep .card-img-top{border-top-left-radius:var(--bs-card-inner-border-radius);border-top-right-radius:var(--bs-card-inner-border-radius)}:host ::ng-deep .card-img,:host ::ng-deep .card-img-bottom{border-bottom-right-radius:var(--bs-card-inner-border-radius);border-bottom-left-radius:var(--bs-card-inner-border-radius)}:host ::ng-deep .card-group>.card{margin-bottom:var(--bs-card-group-margin)}@media (min-width: 576px){:host ::ng-deep .card-group{display:flex;flex-flow:row wrap}:host ::ng-deep .card-group>.card{flex:1 0 0%;margin-bottom:0}:host ::ng-deep .card-group>.card+.card{margin-left:0;border-left:0}:host ::ng-deep .card-group>.card:not(:last-child){border-top-right-radius:0;border-bottom-right-radius:0}:host ::ng-deep .card-group>.card:not(:last-child) .card-img-top,:host ::ng-deep .card-group>.card:not(:last-child) .card-header{border-top-right-radius:0}:host ::ng-deep .card-group>.card:not(:last-child) .card-img-bottom,:host ::ng-deep .card-group>.card:not(:last-child) .card-footer{border-bottom-right-radius:0}:host ::ng-deep .card-group>.card:not(:first-child){border-top-left-radius:0;border-bottom-left-radius:0}:host ::ng-deep .card-group>.card:not(:first-child) .card-img-top,:host ::ng-deep .card-group>.card:not(:first-child) .card-header{border-top-left-radius:0}:host ::ng-deep .card-group>.card:not(:first-child) .card-img-bottom,:host ::ng-deep .card-group>.card:not(:first-child) .card-footer{border-bottom-left-radius:0}}:host ::ng-deep .card-body{margin:-1px}\n"] }]
        }] });

class BsCardHeaderComponent {
}
BsCardHeaderComponent.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "14.2.2", ngImport: i0, type: BsCardHeaderComponent, deps: [], target: i0.ɵɵFactoryTarget.Component });
BsCardHeaderComponent.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "14.2.2", type: BsCardHeaderComponent, selector: "bs-card-header", ngImport: i0, template: "<div class=\"card-header\">\n    <ng-content></ng-content>\n</div>", styles: [""] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "14.2.2", ngImport: i0, type: BsCardHeaderComponent, decorators: [{
            type: Component,
            args: [{ selector: 'bs-card-header', template: "<div class=\"card-header\">\n    <ng-content></ng-content>\n</div>" }]
        }] });

class BsCardModule {
}
BsCardModule.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "14.2.2", ngImport: i0, type: BsCardModule, deps: [], target: i0.ɵɵFactoryTarget.NgModule });
BsCardModule.ɵmod = i0.ɵɵngDeclareNgModule({ minVersion: "14.0.0", version: "14.2.2", ngImport: i0, type: BsCardModule, declarations: [BsCardComponent,
        BsCardHeaderComponent], imports: [CommonModule], exports: [BsCardComponent,
        BsCardHeaderComponent] });
BsCardModule.ɵinj = i0.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "14.2.2", ngImport: i0, type: BsCardModule, imports: [CommonModule] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "14.2.2", ngImport: i0, type: BsCardModule, decorators: [{
            type: NgModule,
            args: [{
                    imports: [CommonModule],
                    declarations: [
                        BsCardComponent,
                        BsCardHeaderComponent
                    ],
                    exports: [
                        BsCardComponent,
                        BsCardHeaderComponent
                    ]
                }]
        }] });

class BsCarouselImageDirective {
    constructor(templateRef) {
        this.templateRef = templateRef;
        this.itemTemplate = this.templateRef;
    }
}
BsCarouselImageDirective.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "14.2.2", ngImport: i0, type: BsCarouselImageDirective, deps: [{ token: i0.TemplateRef }], target: i0.ɵɵFactoryTarget.Directive });
BsCarouselImageDirective.ɵdir = i0.ɵɵngDeclareDirective({ minVersion: "14.0.0", version: "14.2.2", type: BsCarouselImageDirective, selector: "*[bsCarouselImage]", ngImport: i0 });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "14.2.2", ngImport: i0, type: BsCarouselImageDirective, decorators: [{
            type: Directive,
            args: [{
                    selector: '*[bsCarouselImage]'
                }]
        }], ctorParameters: function () { return [{ type: i0.TemplateRef }]; } });

class BsCarouselComponent {
    constructor() {
        this.animationsDisabled = false;
        this.indicators = true;
        this._animation = 'slide';
        this.destroyed$ = new Subject();
        this.currentImageCounter$ = new BehaviorSubject(-1);
        this.currentImageIndex$ = this.currentImageCounter$
            .pipe(map$1((counter) => {
            const l = this.images.length;
            return ((counter % l) + l) % l;
        }))
            .pipe(takeUntil$1(this.destroyed$));
        this.currentImage$ = this.currentImageIndex$
            .pipe(map$1((index) => this.images.get(index)?.itemTemplate ?? null))
            .pipe(takeUntil$1(this.destroyed$));
    }
    ngOnDestroy() {
        this.destroyed$.next(true);
    }
    ngAfterContentInit() {
        if (this.images.length > 0) {
            this.currentImageCounter$.next(0);
        }
        else {
            this.currentImageCounter$.next(-1);
        }
    }
    //#region Animation
    set animation(value) {
        this.animationsDisabled = true;
        this._animation = value;
        setTimeout(() => {
            this.animationsDisabled = false;
        }, 20);
    }
    get animation() {
        return this._animation;
    }
    //#endregion
    previousImage() {
        this.currentImageCounter$
            .pipe(take$1(1))
            .subscribe((currentImageCounter) => {
            this.currentImageCounter$.next(currentImageCounter - 1);
        });
    }
    nextImage() {
        this.currentImageCounter$
            .pipe(take$1(1))
            .subscribe((currentImageCounter) => {
            this.currentImageCounter$.next(currentImageCounter + 1);
        });
    }
    setCurrentImage(index) {
        const currentValue = this.currentImageCounter$.value;
        const l = this.images.length;
        const counterMod = ((currentValue % l) + l) % l;
        const newValue = currentValue - counterMod + index;
        this.currentImageCounter$.next(newValue);
    }
    onKeyPress(ev) {
        switch (ev.key) {
            case 'ArrowLeft':
                this.previousImage();
                break;
            case 'ArrowRight':
                this.nextImage();
                break;
        }
        ev.preventDefault();
    }
}
BsCarouselComponent.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "14.2.2", ngImport: i0, type: BsCarouselComponent, deps: [], target: i0.ɵɵFactoryTarget.Component });
BsCarouselComponent.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "14.2.2", type: BsCarouselComponent, selector: "bs-carousel", inputs: { indicators: "indicators", animation: "animation" }, host: { listeners: { "document:keydown.ArrowLeft": "onKeyPress($event)", "document:keydown.ArrowRight": "onKeyPress($event)" }, properties: { "@.disabled": "this.animationsDisabled" } }, queries: [{ propertyName: "images", predicate: BsCarouselImageDirective }], ngImport: i0, template: "<div class=\"carousel slide\">\n    <div *ngIf=\"indicators\" class=\"carousel-indicators\">\n        <button *ngFor=\"let image of images; let i = index\" type=\"button\" (click)=\"setCurrentImage(i)\"\n            [class.active]=\"(currentImageIndex$ | async) === i\" data-bs-target\n            [attr.aria-current]=\"(currentImageIndex$ | async) === i ? true : null\"\n            [attr.aria-label]=\"'Slide ' + i\"></button>\n    </div>\n\n    <div class=\"carousel-inner\" [@carouselSlide]=\"currentImageCounter$ | async\" *ngIf=\"animation === 'slide'\">\n        <ng-container *ngFor=\"let image of images; let i = index\">\n            <div class=\"carousel-item\" [class.active]=\"true\" *ngIf=\"(currentImageIndex$ | async) === i\">\n                <ng-container [ngTemplateOutlet]=\"image.itemTemplate\"></ng-container>    \n            </div>\n        </ng-container>\n    </div>\n    <div class=\"carousel-inner\" *ngIf=\"animation === 'fade'\">\n        <ng-container *ngFor=\"let image of images; let i = index\">\n            <div class=\"carousel-item\" [class.active]=\"true\" @fadeInOut *ngIf=\"(currentImageIndex$ | async) === i\">\n                <ng-container [ngTemplateOutlet]=\"image.itemTemplate\"></ng-container>    \n            </div>\n        </ng-container>\n    </div>\n\n    <button class=\"carousel-control-prev\" type=\"button\" (click)=\"previousImage()\">\n        <span class=\"carousel-control-prev-icon\" aria-hidden=\"true\"></span>\n        <span class=\"visually-hidden\">Previous</span>\n    </button>\n    <button class=\"carousel-control-next\" type=\"button\" (click)=\"nextImage()\">\n        <span class=\"carousel-control-next-icon\" aria-hidden=\"true\"></span>\n        <span class=\"visually-hidden\">Next</span>\n    </button>\n</div>", styles: [":host ::ng-deep .carousel{position:relative}:host ::ng-deep .carousel.pointer-event{touch-action:pan-y}:host ::ng-deep .carousel-inner{position:relative;width:100%;overflow:hidden}:host ::ng-deep .carousel-inner:after{display:block;clear:both;content:\"\"}:host ::ng-deep .carousel-item{position:relative;display:none;float:left;width:100%;margin-right:-100%;-webkit-backface-visibility:hidden;backface-visibility:hidden;transition:transform .6s ease-in-out}@media (prefers-reduced-motion: reduce){:host ::ng-deep .carousel-item{transition:none}}:host ::ng-deep .carousel-item.active,:host ::ng-deep .carousel-item-next,:host ::ng-deep .carousel-item-prev{display:block}:host ::ng-deep .carousel-item-next:not(.carousel-item-start),:host ::ng-deep .active.carousel-item-end{transform:translate(100%)}:host ::ng-deep .carousel-item-prev:not(.carousel-item-end),:host ::ng-deep .active.carousel-item-start{transform:translate(-100%)}:host ::ng-deep .carousel-fade .carousel-item{opacity:0;transition-property:opacity;transform:none}:host ::ng-deep .carousel-fade .carousel-item.active,:host ::ng-deep .carousel-fade .carousel-item-next.carousel-item-start,:host ::ng-deep .carousel-fade .carousel-item-prev.carousel-item-end{z-index:1;opacity:1}:host ::ng-deep .carousel-fade .active.carousel-item-start,:host ::ng-deep .carousel-fade .active.carousel-item-end{z-index:0;opacity:0;transition:opacity 0s .6s}@media (prefers-reduced-motion: reduce){:host ::ng-deep .carousel-fade .active.carousel-item-start,:host ::ng-deep .carousel-fade .active.carousel-item-end{transition:none}}:host ::ng-deep .carousel-control-prev,:host ::ng-deep .carousel-control-next{position:absolute;top:0;bottom:0;z-index:1;display:flex;align-items:center;justify-content:center;width:15%;padding:0;color:#fff;text-align:center;background:none;border:0;opacity:.5;transition:opacity .15s ease}@media (prefers-reduced-motion: reduce){:host ::ng-deep .carousel-control-prev,:host ::ng-deep .carousel-control-next{transition:none}}:host ::ng-deep .carousel-control-prev:hover,:host ::ng-deep .carousel-control-prev:focus,:host ::ng-deep .carousel-control-next:hover,:host ::ng-deep .carousel-control-next:focus{color:#fff;text-decoration:none;outline:0;opacity:.9}:host ::ng-deep .carousel-control-prev{left:0}:host ::ng-deep .carousel-control-next{right:0}:host ::ng-deep .carousel-control-prev-icon,:host ::ng-deep .carousel-control-next-icon{display:inline-block;width:2rem;height:2rem;background-repeat:no-repeat;background-position:50%;background-size:100% 100%}:host ::ng-deep .carousel-control-prev-icon{background-image:url(\"data:image/svg+xml,%3csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 16 16' fill='%23fff'%3e%3cpath d='M11.354 1.646a.5.5 0 0 1 0 .708L5.707 8l5.647 5.646a.5.5 0 0 1-.708.708l-6-6a.5.5 0 0 1 0-.708l6-6a.5.5 0 0 1 .708 0z'/%3e%3c/svg%3e\")}:host ::ng-deep .carousel-control-next-icon{background-image:url(\"data:image/svg+xml,%3csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 16 16' fill='%23fff'%3e%3cpath d='M4.646 1.646a.5.5 0 0 1 .708 0l6 6a.5.5 0 0 1 0 .708l-6 6a.5.5 0 0 1-.708-.708L10.293 8 4.646 2.354a.5.5 0 0 1 0-.708z'/%3e%3c/svg%3e\")}:host ::ng-deep .carousel-indicators{position:absolute;right:0;bottom:0;left:0;z-index:2;display:flex;justify-content:center;padding:0;margin-right:15%;margin-bottom:1rem;margin-left:15%;list-style:none}:host ::ng-deep .carousel-indicators [data-bs-target]{box-sizing:content-box;flex:0 1 auto;width:30px;height:3px;padding:0;margin-right:3px;margin-left:3px;text-indent:-999px;cursor:pointer;background-color:#fff;background-clip:padding-box;border:0;border-top:10px solid transparent;border-bottom:10px solid transparent;opacity:.5;transition:opacity .6s ease}@media (prefers-reduced-motion: reduce){:host ::ng-deep .carousel-indicators [data-bs-target]{transition:none}}:host ::ng-deep .carousel-indicators .active{opacity:1}:host ::ng-deep .carousel-caption{position:absolute;right:15%;bottom:1.25rem;left:15%;padding-top:1.25rem;padding-bottom:1.25rem;color:#fff;text-align:center}:host ::ng-deep .carousel-dark .carousel-control-prev-icon,:host ::ng-deep .carousel-dark .carousel-control-next-icon{filter:invert(1) grayscale(100)}:host ::ng-deep .carousel-dark .carousel-indicators [data-bs-target]{background-color:#000}:host ::ng-deep .carousel-dark .carousel-caption{color:#000}:host ::ng-deep .carousel{min-height:100px}\n"], dependencies: [{ kind: "directive", type: i1.NgForOf, selector: "[ngFor][ngForOf]", inputs: ["ngForOf", "ngForTrackBy", "ngForTemplate"] }, { kind: "directive", type: i1.NgIf, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }, { kind: "directive", type: i1.NgTemplateOutlet, selector: "[ngTemplateOutlet]", inputs: ["ngTemplateOutletContext", "ngTemplateOutlet", "ngTemplateOutletInjector"] }, { kind: "pipe", type: i1.AsyncPipe, name: "async" }], animations: [FadeInOutAnimation, CarouselSlideAnimation] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "14.2.2", ngImport: i0, type: BsCarouselComponent, decorators: [{
            type: Component,
            args: [{ selector: 'bs-carousel', animations: [FadeInOutAnimation, CarouselSlideAnimation], template: "<div class=\"carousel slide\">\n    <div *ngIf=\"indicators\" class=\"carousel-indicators\">\n        <button *ngFor=\"let image of images; let i = index\" type=\"button\" (click)=\"setCurrentImage(i)\"\n            [class.active]=\"(currentImageIndex$ | async) === i\" data-bs-target\n            [attr.aria-current]=\"(currentImageIndex$ | async) === i ? true : null\"\n            [attr.aria-label]=\"'Slide ' + i\"></button>\n    </div>\n\n    <div class=\"carousel-inner\" [@carouselSlide]=\"currentImageCounter$ | async\" *ngIf=\"animation === 'slide'\">\n        <ng-container *ngFor=\"let image of images; let i = index\">\n            <div class=\"carousel-item\" [class.active]=\"true\" *ngIf=\"(currentImageIndex$ | async) === i\">\n                <ng-container [ngTemplateOutlet]=\"image.itemTemplate\"></ng-container>    \n            </div>\n        </ng-container>\n    </div>\n    <div class=\"carousel-inner\" *ngIf=\"animation === 'fade'\">\n        <ng-container *ngFor=\"let image of images; let i = index\">\n            <div class=\"carousel-item\" [class.active]=\"true\" @fadeInOut *ngIf=\"(currentImageIndex$ | async) === i\">\n                <ng-container [ngTemplateOutlet]=\"image.itemTemplate\"></ng-container>    \n            </div>\n        </ng-container>\n    </div>\n\n    <button class=\"carousel-control-prev\" type=\"button\" (click)=\"previousImage()\">\n        <span class=\"carousel-control-prev-icon\" aria-hidden=\"true\"></span>\n        <span class=\"visually-hidden\">Previous</span>\n    </button>\n    <button class=\"carousel-control-next\" type=\"button\" (click)=\"nextImage()\">\n        <span class=\"carousel-control-next-icon\" aria-hidden=\"true\"></span>\n        <span class=\"visually-hidden\">Next</span>\n    </button>\n</div>", styles: [":host ::ng-deep .carousel{position:relative}:host ::ng-deep .carousel.pointer-event{touch-action:pan-y}:host ::ng-deep .carousel-inner{position:relative;width:100%;overflow:hidden}:host ::ng-deep .carousel-inner:after{display:block;clear:both;content:\"\"}:host ::ng-deep .carousel-item{position:relative;display:none;float:left;width:100%;margin-right:-100%;-webkit-backface-visibility:hidden;backface-visibility:hidden;transition:transform .6s ease-in-out}@media (prefers-reduced-motion: reduce){:host ::ng-deep .carousel-item{transition:none}}:host ::ng-deep .carousel-item.active,:host ::ng-deep .carousel-item-next,:host ::ng-deep .carousel-item-prev{display:block}:host ::ng-deep .carousel-item-next:not(.carousel-item-start),:host ::ng-deep .active.carousel-item-end{transform:translate(100%)}:host ::ng-deep .carousel-item-prev:not(.carousel-item-end),:host ::ng-deep .active.carousel-item-start{transform:translate(-100%)}:host ::ng-deep .carousel-fade .carousel-item{opacity:0;transition-property:opacity;transform:none}:host ::ng-deep .carousel-fade .carousel-item.active,:host ::ng-deep .carousel-fade .carousel-item-next.carousel-item-start,:host ::ng-deep .carousel-fade .carousel-item-prev.carousel-item-end{z-index:1;opacity:1}:host ::ng-deep .carousel-fade .active.carousel-item-start,:host ::ng-deep .carousel-fade .active.carousel-item-end{z-index:0;opacity:0;transition:opacity 0s .6s}@media (prefers-reduced-motion: reduce){:host ::ng-deep .carousel-fade .active.carousel-item-start,:host ::ng-deep .carousel-fade .active.carousel-item-end{transition:none}}:host ::ng-deep .carousel-control-prev,:host ::ng-deep .carousel-control-next{position:absolute;top:0;bottom:0;z-index:1;display:flex;align-items:center;justify-content:center;width:15%;padding:0;color:#fff;text-align:center;background:none;border:0;opacity:.5;transition:opacity .15s ease}@media (prefers-reduced-motion: reduce){:host ::ng-deep .carousel-control-prev,:host ::ng-deep .carousel-control-next{transition:none}}:host ::ng-deep .carousel-control-prev:hover,:host ::ng-deep .carousel-control-prev:focus,:host ::ng-deep .carousel-control-next:hover,:host ::ng-deep .carousel-control-next:focus{color:#fff;text-decoration:none;outline:0;opacity:.9}:host ::ng-deep .carousel-control-prev{left:0}:host ::ng-deep .carousel-control-next{right:0}:host ::ng-deep .carousel-control-prev-icon,:host ::ng-deep .carousel-control-next-icon{display:inline-block;width:2rem;height:2rem;background-repeat:no-repeat;background-position:50%;background-size:100% 100%}:host ::ng-deep .carousel-control-prev-icon{background-image:url(\"data:image/svg+xml,%3csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 16 16' fill='%23fff'%3e%3cpath d='M11.354 1.646a.5.5 0 0 1 0 .708L5.707 8l5.647 5.646a.5.5 0 0 1-.708.708l-6-6a.5.5 0 0 1 0-.708l6-6a.5.5 0 0 1 .708 0z'/%3e%3c/svg%3e\")}:host ::ng-deep .carousel-control-next-icon{background-image:url(\"data:image/svg+xml,%3csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 16 16' fill='%23fff'%3e%3cpath d='M4.646 1.646a.5.5 0 0 1 .708 0l6 6a.5.5 0 0 1 0 .708l-6 6a.5.5 0 0 1-.708-.708L10.293 8 4.646 2.354a.5.5 0 0 1 0-.708z'/%3e%3c/svg%3e\")}:host ::ng-deep .carousel-indicators{position:absolute;right:0;bottom:0;left:0;z-index:2;display:flex;justify-content:center;padding:0;margin-right:15%;margin-bottom:1rem;margin-left:15%;list-style:none}:host ::ng-deep .carousel-indicators [data-bs-target]{box-sizing:content-box;flex:0 1 auto;width:30px;height:3px;padding:0;margin-right:3px;margin-left:3px;text-indent:-999px;cursor:pointer;background-color:#fff;background-clip:padding-box;border:0;border-top:10px solid transparent;border-bottom:10px solid transparent;opacity:.5;transition:opacity .6s ease}@media (prefers-reduced-motion: reduce){:host ::ng-deep .carousel-indicators [data-bs-target]{transition:none}}:host ::ng-deep .carousel-indicators .active{opacity:1}:host ::ng-deep .carousel-caption{position:absolute;right:15%;bottom:1.25rem;left:15%;padding-top:1.25rem;padding-bottom:1.25rem;color:#fff;text-align:center}:host ::ng-deep .carousel-dark .carousel-control-prev-icon,:host ::ng-deep .carousel-dark .carousel-control-next-icon{filter:invert(1) grayscale(100)}:host ::ng-deep .carousel-dark .carousel-indicators [data-bs-target]{background-color:#000}:host ::ng-deep .carousel-dark .carousel-caption{color:#000}:host ::ng-deep .carousel{min-height:100px}\n"] }]
        }], ctorParameters: function () { return []; }, propDecorators: { animationsDisabled: [{
                type: HostBinding,
                args: ['@.disabled']
            }], indicators: [{
                type: Input
            }], images: [{
                type: ContentChildren,
                args: [BsCarouselImageDirective]
            }], animation: [{
                type: Input
            }], onKeyPress: [{
                type: HostListener,
                args: ['document:keydown.ArrowLeft', ['$event']]
            }, {
                type: HostListener,
                args: ['document:keydown.ArrowRight', ['$event']]
            }] } });

class BsCarouselModule {
}
BsCarouselModule.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "14.2.2", ngImport: i0, type: BsCarouselModule, deps: [], target: i0.ɵɵFactoryTarget.NgModule });
BsCarouselModule.ɵmod = i0.ɵɵngDeclareNgModule({ minVersion: "14.0.0", version: "14.2.2", ngImport: i0, type: BsCarouselModule, declarations: [BsCarouselComponent,
        BsCarouselImageDirective], imports: [CommonModule], exports: [BsCarouselComponent,
        BsCarouselImageDirective] });
BsCarouselModule.ɵinj = i0.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "14.2.2", ngImport: i0, type: BsCarouselModule, imports: [CommonModule] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "14.2.2", ngImport: i0, type: BsCarouselModule, decorators: [{
            type: NgModule,
            args: [{
                    declarations: [
                        BsCarouselComponent,
                        BsCarouselImageDirective
                    ],
                    imports: [
                        CommonModule
                    ],
                    exports: [
                        BsCarouselComponent,
                        BsCarouselImageDirective
                    ]
                }]
        }] });

class BsCloseComponent {
    constructor() {
        this.click = new EventEmitter();
    }
    ngOnInit() { }
    onClose(ev) {
        this.click.emit();
        ev.stopImmediatePropagation();
    }
}
BsCloseComponent.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "14.2.2", ngImport: i0, type: BsCloseComponent, deps: [], target: i0.ɵɵFactoryTarget.Component });
BsCloseComponent.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "14.2.2", type: BsCloseComponent, selector: "bs-close", outputs: { click: "click" }, ngImport: i0, template: "<button type=\"button\" (click)=\"onClose($event)\" class=\"btn-close\" aria-label=\"Close\"></button>", styles: [":host ::ng-deep .btn-close{box-sizing:content-box;width:1em;height:1em;padding:.25em;color:#000;background:transparent url(\"data:image/svg+xml,%3csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 16 16' fill='%23000'%3e%3cpath d='M.293.293a1 1 0 0 1 1.414 0L8 6.586 14.293.293a1 1 0 1 1 1.414 1.414L9.414 8l6.293 6.293a1 1 0 0 1-1.414 1.414L8 9.414l-6.293 6.293a1 1 0 0 1-1.414-1.414L6.586 8 .293 1.707a1 1 0 0 1 0-1.414z'/%3e%3c/svg%3e\") center/1em auto no-repeat;border:0;border-radius:.375rem;opacity:.5}:host ::ng-deep .btn-close:hover{color:#000;text-decoration:none;opacity:.75}:host ::ng-deep .btn-close:focus{outline:0;box-shadow:0 0 0 .25rem #0d6efd40;opacity:1}:host ::ng-deep .btn-close:disabled,:host ::ng-deep .btn-close.disabled{pointer-events:none;-webkit-user-select:none;user-select:none;opacity:.25}:host ::ng-deep .btn-close-white{filter:invert(1) grayscale(100%) brightness(200%)}\n"] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "14.2.2", ngImport: i0, type: BsCloseComponent, decorators: [{
            type: Component,
            args: [{ selector: 'bs-close', template: "<button type=\"button\" (click)=\"onClose($event)\" class=\"btn-close\" aria-label=\"Close\"></button>", styles: [":host ::ng-deep .btn-close{box-sizing:content-box;width:1em;height:1em;padding:.25em;color:#000;background:transparent url(\"data:image/svg+xml,%3csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 16 16' fill='%23000'%3e%3cpath d='M.293.293a1 1 0 0 1 1.414 0L8 6.586 14.293.293a1 1 0 1 1 1.414 1.414L9.414 8l6.293 6.293a1 1 0 0 1-1.414 1.414L8 9.414l-6.293 6.293a1 1 0 0 1-1.414-1.414L6.586 8 .293 1.707a1 1 0 0 1 0-1.414z'/%3e%3c/svg%3e\") center/1em auto no-repeat;border:0;border-radius:.375rem;opacity:.5}:host ::ng-deep .btn-close:hover{color:#000;text-decoration:none;opacity:.75}:host ::ng-deep .btn-close:focus{outline:0;box-shadow:0 0 0 .25rem #0d6efd40;opacity:1}:host ::ng-deep .btn-close:disabled,:host ::ng-deep .btn-close.disabled{pointer-events:none;-webkit-user-select:none;user-select:none;opacity:.25}:host ::ng-deep .btn-close-white{filter:invert(1) grayscale(100%) brightness(200%)}\n"] }]
        }], ctorParameters: function () { return []; }, propDecorators: { click: [{
                type: Output
            }] } });

class BsCloseModule {
}
BsCloseModule.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "14.2.2", ngImport: i0, type: BsCloseModule, deps: [], target: i0.ɵɵFactoryTarget.NgModule });
BsCloseModule.ɵmod = i0.ɵɵngDeclareNgModule({ minVersion: "14.0.0", version: "14.2.2", ngImport: i0, type: BsCloseModule, declarations: [BsCloseComponent], imports: [CommonModule], exports: [BsCloseComponent] });
BsCloseModule.ɵinj = i0.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "14.2.2", ngImport: i0, type: BsCloseModule, imports: [CommonModule] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "14.2.2", ngImport: i0, type: BsCloseModule, decorators: [{
            type: NgModule,
            args: [{
                    declarations: [BsCloseComponent],
                    imports: [CommonModule],
                    exports: [BsCloseComponent],
                }]
        }] });

const SNACKBAR_CONTENT = new InjectionToken('SnackbarContent');

class BsSnackbarComponent {
    constructor(content) {
        this.displayBlock = true;
        this.width100 = true;
        this.instance = null;
        //#region Monitor @slideUpDown hooks
        this.animationState = '';
        this.animationStateChanged = new EventEmitter();
        this.content = content;
    }
    onAnimationChanged(event) {
        this.animationStateChanged.emit(event);
    }
}
BsSnackbarComponent.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "14.2.2", ngImport: i0, type: BsSnackbarComponent, deps: [{ token: SNACKBAR_CONTENT }], target: i0.ɵɵFactoryTarget.Component });
BsSnackbarComponent.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "14.2.2", type: BsSnackbarComponent, selector: "bs-snackbar", host: { properties: { "class.d-block": "this.displayBlock", "class.w-100": "this.width100" } }, ngImport: i0, template: "<div [@slideUpDown]=\"animationState\"\n     (@slideUpDown.start)=\"onAnimationChanged($event)\"\n     (@slideUpDown.done)=\"onAnimationChanged($event)\">\n\n    <ng-container *ngTemplateOutlet=\"content; context: { $implicit: this }\" ></ng-container>\n</div>", styles: [":host{background:#232323;color:rgba(var(--bs-light-rgb))}\n"], dependencies: [{ kind: "directive", type: i1.NgTemplateOutlet, selector: "[ngTemplateOutlet]", inputs: ["ngTemplateOutletContext", "ngTemplateOutlet", "ngTemplateOutletInjector"] }], animations: [SlideUpDownAnimation] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "14.2.2", ngImport: i0, type: BsSnackbarComponent, decorators: [{
            type: Component,
            args: [{ selector: 'bs-snackbar', animations: [SlideUpDownAnimation], template: "<div [@slideUpDown]=\"animationState\"\n     (@slideUpDown.start)=\"onAnimationChanged($event)\"\n     (@slideUpDown.done)=\"onAnimationChanged($event)\">\n\n    <ng-container *ngTemplateOutlet=\"content; context: { $implicit: this }\" ></ng-container>\n</div>", styles: [":host{background:#232323;color:rgba(var(--bs-light-rgb))}\n"] }]
        }], ctorParameters: function () { return [{ type: i0.TemplateRef, decorators: [{
                    type: Inject,
                    args: [SNACKBAR_CONTENT]
                }] }]; }, propDecorators: { displayBlock: [{
                type: HostBinding,
                args: ['class.d-block']
            }], width100: [{
                type: HostBinding,
                args: ['class.w-100']
            }] } });

class BsSnackbarCloseDirective {
    constructor(snackbarService) {
        this.snackbarService = snackbarService;
    }
    onClick() {
        this.snackbarService.hide(this.bsSnackbarClose);
    }
}
BsSnackbarCloseDirective.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "14.2.2", ngImport: i0, type: BsSnackbarCloseDirective, deps: [{ token: BsSnackbarService }], target: i0.ɵɵFactoryTarget.Directive });
BsSnackbarCloseDirective.ɵdir = i0.ɵɵngDeclareDirective({ minVersion: "14.0.0", version: "14.2.2", type: BsSnackbarCloseDirective, selector: "[bsSnackbarClose]", inputs: { bsSnackbarClose: "bsSnackbarClose" }, host: { listeners: { "click": "onClick()" } }, ngImport: i0 });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "14.2.2", ngImport: i0, type: BsSnackbarCloseDirective, decorators: [{
            type: Directive,
            args: [{
                    selector: '[bsSnackbarClose]'
                }]
        }], ctorParameters: function () { return [{ type: BsSnackbarService }]; }, propDecorators: { bsSnackbarClose: [{
                type: Input
            }], onClick: [{
                type: HostListener,
                args: ['click']
            }] } });

class BsSnackbarModule {
}
BsSnackbarModule.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "14.2.2", ngImport: i0, type: BsSnackbarModule, deps: [], target: i0.ɵɵFactoryTarget.NgModule });
BsSnackbarModule.ɵmod = i0.ɵɵngDeclareNgModule({ minVersion: "14.0.0", version: "14.2.2", ngImport: i0, type: BsSnackbarModule, declarations: [BsSnackbarComponent,
        BsSnackbarCloseDirective], imports: [CommonModule,
        OverlayModule], exports: [BsSnackbarComponent,
        BsSnackbarCloseDirective] });
BsSnackbarModule.ɵinj = i0.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "14.2.2", ngImport: i0, type: BsSnackbarModule, imports: [CommonModule,
        OverlayModule] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "14.2.2", ngImport: i0, type: BsSnackbarModule, decorators: [{
            type: NgModule,
            args: [{
                    declarations: [
                        BsSnackbarComponent,
                        BsSnackbarCloseDirective
                    ],
                    imports: [
                        CommonModule,
                        OverlayModule
                    ],
                    exports: [
                        BsSnackbarComponent,
                        BsSnackbarCloseDirective
                    ]
                }]
        }] });

class BsSnackbarService {
    constructor(overlay, parentInjector) {
        this.overlay = overlay;
        this.parentInjector = parentInjector;
    }
    show(template) {
        const injector = Injector.create({
            providers: [{ provide: SNACKBAR_CONTENT, useValue: template }],
            parent: this.parentInjector
        });
        const portal = new ComponentPortal(BsSnackbarComponent, null, injector);
        const overlayRef = this.overlay.create({
            scrollStrategy: this.overlay.scrollStrategies.reposition(),
            positionStrategy: this.overlay.position()
                .global().centerHorizontally().bottom('0'),
            width: '100%'
        });
        const componentInstance = overlayRef.attach(portal);
        componentInstance.instance['instance'] = {
            component: componentInstance,
            overlay: overlayRef
        };
        return componentInstance.instance;
    }
    hide(snackbar) {
        snackbar.animationStateChanged.pipe(filter(ev => ev.phaseName === 'done' && ev.toState === 'void'), take(1)).subscribe(() => {
            snackbar['instance']?.overlay.dispose();
        });
        snackbar.animationState = 'void';
    }
}
BsSnackbarService.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "14.2.2", ngImport: i0, type: BsSnackbarService, deps: [{ token: i1$1.Overlay }, { token: i0.Injector }], target: i0.ɵɵFactoryTarget.Injectable });
BsSnackbarService.ɵprov = i0.ɵɵngDeclareInjectable({ minVersion: "12.0.0", version: "14.2.2", ngImport: i0, type: BsSnackbarService, providedIn: BsSnackbarModule });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "14.2.2", ngImport: i0, type: BsSnackbarService, decorators: [{
            type: Injectable,
            args: [{
                    providedIn: BsSnackbarModule
                }]
        }], ctorParameters: function () { return [{ type: i1$1.Overlay }, { type: i0.Injector }]; } });

class BsCopyDirective {
    constructor(doc) {
        this.bsCopy = null;
        this.bsCopied = new EventEmitter();
        this.doc = doc;
    }
    click(event) {
        event.preventDefault();
        const listener = (e) => {
            if (!!this.bsCopy && !!window) {
                const clipboard = e.clipboardData || window['clipboardData'] || null;
                if (clipboard) {
                    clipboard.setData('text', this.bsCopy?.toString());
                    e.preventDefault();
                    this.bsCopied.emit(this.bsCopy);
                }
            }
        };
        this.doc.addEventListener('copy', listener, false);
        this.doc.execCommand('copy');
        this.doc.removeEventListener('copy', listener, false);
    }
}
BsCopyDirective.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "14.2.2", ngImport: i0, type: BsCopyDirective, deps: [{ token: DOCUMENT }], target: i0.ɵɵFactoryTarget.Directive });
BsCopyDirective.ɵdir = i0.ɵɵngDeclareDirective({ minVersion: "14.0.0", version: "14.2.2", type: BsCopyDirective, selector: "[bsCopy]", inputs: { bsCopy: "bsCopy" }, outputs: { bsCopied: "bsCopied" }, host: { listeners: { "click": "click($event)" } }, ngImport: i0 });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "14.2.2", ngImport: i0, type: BsCopyDirective, decorators: [{
            type: Directive,
            args: [{
                    selector: '[bsCopy]',
                }]
        }], ctorParameters: function () { return [{ type: undefined, decorators: [{
                    type: Inject,
                    args: [DOCUMENT]
                }] }]; }, propDecorators: { bsCopy: [{
                type: Input
            }], bsCopied: [{
                type: Output
            }], click: [{
                type: HostListener,
                args: ['click', ['$event']]
            }] } });

class BsCodeSnippetComponent {
    constructor(snackbarService) {
        this.snackbarService = snackbarService;
        this.htmlToCopy = '';
    }
    copiedHtml() {
        const snackbar = this.snackbarService.show(this.copiedTemplate);
        setTimeout(() => this.snackbarService.hide(snackbar), 3000);
    }
}
BsCodeSnippetComponent.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "14.2.2", ngImport: i0, type: BsCodeSnippetComponent, deps: [{ token: BsSnackbarService }], target: i0.ɵɵFactoryTarget.Component });
BsCodeSnippetComponent.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "14.2.2", type: BsCodeSnippetComponent, selector: "bs-code-snippet", inputs: { htmlToCopy: "htmlToCopy" }, viewQueries: [{ propertyName: "copiedTemplate", first: true, predicate: ["copiedTemplate"], descendants: true }], ngImport: i0, template: "<div class=\"position-relative\">\n    <button #copyBtn [bsCopy]=\"htmlToCopy\" (bsCopied)=\"copiedHtml()\" class=\"btn btn-link rounded-0 text-light position-absolute copy-btn\">\n        Copy html\n    </button>\n    <pre class=\"white-space-normal\">\n        <code class=\"d-block white-space-pre\" [highlight]=\"htmlToCopy\"></code>\n    </pre>\n    <ng-template #copiedTemplate>\n        <div class=\"p-3\">Copied!</div>\n    </ng-template>\n</div>", styles: [".copy-btn{right:0}\n"], dependencies: [{ kind: "directive", type: BsCopyDirective, selector: "[bsCopy]", inputs: ["bsCopy"], outputs: ["bsCopied"] }, { kind: "directive", type: i3.Highlight, selector: "[highlight]", inputs: ["highlight", "languages", "lineNumbers"], outputs: ["highlighted"] }] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "14.2.2", ngImport: i0, type: BsCodeSnippetComponent, decorators: [{
            type: Component,
            args: [{ selector: 'bs-code-snippet', template: "<div class=\"position-relative\">\n    <button #copyBtn [bsCopy]=\"htmlToCopy\" (bsCopied)=\"copiedHtml()\" class=\"btn btn-link rounded-0 text-light position-absolute copy-btn\">\n        Copy html\n    </button>\n    <pre class=\"white-space-normal\">\n        <code class=\"d-block white-space-pre\" [highlight]=\"htmlToCopy\"></code>\n    </pre>\n    <ng-template #copiedTemplate>\n        <div class=\"p-3\">Copied!</div>\n    </ng-template>\n</div>", styles: [".copy-btn{right:0}\n"] }]
        }], ctorParameters: function () { return [{ type: BsSnackbarService }]; }, propDecorators: { htmlToCopy: [{
                type: Input
            }], copiedTemplate: [{
                type: ViewChild,
                args: ['copiedTemplate']
            }] } });

class BsCopyModule {
}
BsCopyModule.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "14.2.2", ngImport: i0, type: BsCopyModule, deps: [], target: i0.ɵɵFactoryTarget.NgModule });
BsCopyModule.ɵmod = i0.ɵɵngDeclareNgModule({ minVersion: "14.0.0", version: "14.2.2", ngImport: i0, type: BsCopyModule, declarations: [BsCopyDirective], imports: [CommonModule], exports: [BsCopyDirective] });
BsCopyModule.ɵinj = i0.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "14.2.2", ngImport: i0, type: BsCopyModule, imports: [CommonModule] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "14.2.2", ngImport: i0, type: BsCopyModule, decorators: [{
            type: NgModule,
            args: [{
                    declarations: [
                        BsCopyDirective
                    ],
                    imports: [
                        CommonModule
                    ],
                    exports: [
                        BsCopyDirective
                    ]
                }]
        }] });

class BsCodeSnippetModule {
}
BsCodeSnippetModule.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "14.2.2", ngImport: i0, type: BsCodeSnippetModule, deps: [], target: i0.ɵɵFactoryTarget.NgModule });
BsCodeSnippetModule.ɵmod = i0.ɵɵngDeclareNgModule({ minVersion: "14.0.0", version: "14.2.2", ngImport: i0, type: BsCodeSnippetModule, declarations: [BsCodeSnippetComponent], imports: [CommonModule,
        BsCopyModule,
        HighlightModule], exports: [BsCodeSnippetComponent] });
BsCodeSnippetModule.ɵinj = i0.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "14.2.2", ngImport: i0, type: BsCodeSnippetModule, imports: [CommonModule,
        BsCopyModule,
        HighlightModule] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "14.2.2", ngImport: i0, type: BsCodeSnippetModule, decorators: [{
            type: NgModule,
            args: [{
                    declarations: [
                        BsCodeSnippetComponent
                    ],
                    imports: [
                        CommonModule,
                        BsCopyModule,
                        HighlightModule
                    ],
                    exports: [
                        BsCodeSnippetComponent
                    ]
                }]
        }] });

class BsContextMenuDirective {
    constructor(overlay, templateRef, viewContainerRef, element) {
        this.overlay = overlay;
        this.templateRef = templateRef;
        this.viewContainerRef = viewContainerRef;
        this.element = element;
        this.overlayRef = null;
        this.templatePortal = null;
        this.element.nativeElement.oncontextmenu = (ev) => {
            ev.preventDefault();
            this.checkAndCloseExisting(ev);
            const target = {
                getBoundingClientRect: () => {
                    return ({
                        width: 0,
                        height: 0,
                        top: ev.clientY,
                        left: ev.clientX,
                        bottom: ev.clientY,
                        right: ev.clientX,
                    });
                },
            };
            const element = new ElementRef(target);
            this.overlayRef = this.overlay.create({
                hasBackdrop: false,
                scrollStrategy: this.overlay.scrollStrategies.close(),
                positionStrategy: this.overlay.position()
                    .flexibleConnectedTo(element)
                    .withPositions([
                    { originX: "end", originY: "top", overlayX: "start", overlayY: "top" },
                    { originX: "end", originY: "bottom", overlayX: "start", overlayY: "bottom" },
                    { originX: "start", originY: "top", overlayX: "end", overlayY: "top" },
                    { originX: "start", originY: "bottom", overlayX: "end", overlayY: "bottom" },
                ])
            });
            this.templatePortal = new TemplatePortal(this.templateRef, this.viewContainerRef);
            const view = this.overlayRef.attach(this.templatePortal);
            view.rootNodes.forEach(node => node.classList.add('position-static'));
        };
    }
    clickAnywhere(ev) {
        this.checkAndCloseExisting(ev);
    }
    onBlur() {
        this.close();
    }
    close() {
        if (this.overlayRef) {
            this.overlayRef.detach();
            this.overlayRef.dispose();
            this.overlayRef = null;
        }
    }
    checkAndCloseExisting(ev) {
        if (this.overlayRef && !this.overlayRef.overlayElement.contains(ev.target)) {
            this.close();
        }
    }
}
BsContextMenuDirective.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "14.2.2", ngImport: i0, type: BsContextMenuDirective, deps: [{ token: i1$1.Overlay }, { token: i0.TemplateRef }, { token: i0.ViewContainerRef }, { token: i0.ElementRef, host: true, skipSelf: true }], target: i0.ɵɵFactoryTarget.Directive });
BsContextMenuDirective.ɵdir = i0.ɵɵngDeclareDirective({ minVersion: "14.0.0", version: "14.2.2", type: BsContextMenuDirective, selector: "[bsContextMenu]", host: { listeners: { "document:click": "clickAnywhere($event)", "window:blur": "onBlur()" } }, ngImport: i0 });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "14.2.2", ngImport: i0, type: BsContextMenuDirective, decorators: [{
            type: Directive,
            args: [{
                    selector: '[bsContextMenu]'
                }]
        }], ctorParameters: function () { return [{ type: i1$1.Overlay }, { type: i0.TemplateRef }, { type: i0.ViewContainerRef }, { type: i0.ElementRef, decorators: [{
                    type: Host
                }, {
                    type: SkipSelf
                }] }]; }, propDecorators: { clickAnywhere: [{
                type: HostListener,
                args: ['document:click', ['$event']]
            }], onBlur: [{
                type: HostListener,
                args: ['window:blur']
            }] } });

class BsContextMenuModule {
}
BsContextMenuModule.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "14.2.2", ngImport: i0, type: BsContextMenuModule, deps: [], target: i0.ɵɵFactoryTarget.NgModule });
BsContextMenuModule.ɵmod = i0.ɵɵngDeclareNgModule({ minVersion: "14.0.0", version: "14.2.2", ngImport: i0, type: BsContextMenuModule, declarations: [BsContextMenuDirective], imports: [CommonModule,
        OverlayModule], exports: [BsContextMenuDirective] });
BsContextMenuModule.ɵinj = i0.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "14.2.2", ngImport: i0, type: BsContextMenuModule, imports: [CommonModule,
        OverlayModule] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "14.2.2", ngImport: i0, type: BsContextMenuModule, decorators: [{
            type: NgModule,
            args: [{
                    declarations: [
                        BsContextMenuDirective
                    ],
                    imports: [
                        CommonModule,
                        OverlayModule
                    ],
                    exports: [
                        BsContextMenuDirective
                    ]
                }]
        }] });

class BsDatatableColumnDirective {
    constructor(templateRef) {
        this.bsDatatableColumn = { name: '', sortable: true };
        this.templateRef = templateRef;
    }
}
BsDatatableColumnDirective.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "14.2.2", ngImport: i0, type: BsDatatableColumnDirective, deps: [{ token: i0.TemplateRef }], target: i0.ɵɵFactoryTarget.Directive });
BsDatatableColumnDirective.ɵdir = i0.ɵɵngDeclareDirective({ minVersion: "14.0.0", version: "14.2.2", type: BsDatatableColumnDirective, selector: "[bsDatatableColumn]", inputs: { bsDatatableColumn: "bsDatatableColumn" }, ngImport: i0 });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "14.2.2", ngImport: i0, type: BsDatatableColumnDirective, decorators: [{
            type: Directive,
            args: [{
                    selector: '[bsDatatableColumn]'
                }]
        }], ctorParameters: function () { return [{ type: i0.TemplateRef }]; }, propDecorators: { bsDatatableColumn: [{
                type: Input
            }] } });

class DatatableSettings {
    constructor(data) {
        this.sortProperty = '';
        this.sortDirection = 'ascending';
        Object.assign(this, data);
        if (data && data.perPage) {
            this.perPage = data.perPage;
        }
        else {
            // Set default value
            this.perPage = {
                values: [10, 20, 50],
                selected: 20
            };
        }
        if (data && data.page) {
            this.page = data.page;
        }
        else {
            // Set default value
            this.page = {
                values: [1],
                selected: 1
            };
        }
    }
    toPagination() {
        const res = {
            sortProperty: this.sortProperty,
            sortDirection: this.sortDirection,
            perPage: this.perPage.selected,
            page: this.page.selected
        };
        return res;
    }
}

class BsGridComponent {
    constructor() {
        //#region StopFullWidthAt
        this.stopFullWidthAt$ = new BehaviorSubject('sm');
        this.containerClass$ = this.stopFullWidthAt$.pipe(map((stopFullWidthAt) => {
            switch (stopFullWidthAt) {
                case 'sm': return 'container';
                case 'never': return 'container-fluid';
                default: return `container-${stopFullWidthAt}`;
            }
        }));
    }
    get stopFullWidthAt() {
        return this.stopFullWidthAt$.value;
    }
    set stopFullWidthAt(value) {
        this.stopFullWidthAt$.next(value);
    }
}
BsGridComponent.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "14.2.2", ngImport: i0, type: BsGridComponent, deps: [], target: i0.ɵɵFactoryTarget.Component });
BsGridComponent.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "14.2.2", type: BsGridComponent, selector: "bs-grid", inputs: { stopFullWidthAt: "stopFullWidthAt" }, ngImport: i0, template: "<div [class]=\"containerClass$ | async\">\n    <ng-content></ng-content>\n</div>", styles: [":host ::ng-deep .clearfix:after{display:block;clear:both;content:\"\"}:host ::ng-deep .text-bg-primary{color:#fff!important;background-color:RGBA(13,110,253,var(--bs-bg-opacity, 1))!important}:host ::ng-deep .text-bg-secondary{color:#fff!important;background-color:RGBA(108,117,125,var(--bs-bg-opacity, 1))!important}:host ::ng-deep .text-bg-success{color:#fff!important;background-color:RGBA(25,135,84,var(--bs-bg-opacity, 1))!important}:host ::ng-deep .text-bg-info{color:#000!important;background-color:RGBA(13,202,240,var(--bs-bg-opacity, 1))!important}:host ::ng-deep .text-bg-warning{color:#000!important;background-color:RGBA(255,193,7,var(--bs-bg-opacity, 1))!important}:host ::ng-deep .text-bg-danger{color:#fff!important;background-color:RGBA(220,53,69,var(--bs-bg-opacity, 1))!important}:host ::ng-deep .text-bg-light{color:#000!important;background-color:RGBA(248,249,250,var(--bs-bg-opacity, 1))!important}:host ::ng-deep .text-bg-dark{color:#fff!important;background-color:RGBA(33,37,41,var(--bs-bg-opacity, 1))!important}:host ::ng-deep .link-primary{color:#0d6efd!important}:host ::ng-deep .link-primary:hover,:host ::ng-deep .link-primary:focus{color:#0a58ca!important}:host ::ng-deep .link-secondary{color:#6c757d!important}:host ::ng-deep .link-secondary:hover,:host ::ng-deep .link-secondary:focus{color:#565e64!important}:host ::ng-deep .link-success{color:#198754!important}:host ::ng-deep .link-success:hover,:host ::ng-deep .link-success:focus{color:#146c43!important}:host ::ng-deep .link-info{color:#0dcaf0!important}:host ::ng-deep .link-info:hover,:host ::ng-deep .link-info:focus{color:#3dd5f3!important}:host ::ng-deep .link-warning{color:#ffc107!important}:host ::ng-deep .link-warning:hover,:host ::ng-deep .link-warning:focus{color:#ffcd39!important}:host ::ng-deep .link-danger{color:#dc3545!important}:host ::ng-deep .link-danger:hover,:host ::ng-deep .link-danger:focus{color:#b02a37!important}:host ::ng-deep .link-light{color:#f8f9fa!important}:host ::ng-deep .link-light:hover,:host ::ng-deep .link-light:focus{color:#f9fafb!important}:host ::ng-deep .link-dark{color:#212529!important}:host ::ng-deep .link-dark:hover,:host ::ng-deep .link-dark:focus{color:#1a1e21!important}:host ::ng-deep .ratio{position:relative;width:100%}:host ::ng-deep .ratio:before{display:block;padding-top:var(--bs-aspect-ratio);content:\"\"}:host ::ng-deep .ratio>*{position:absolute;top:0;left:0;width:100%;height:100%}:host ::ng-deep .ratio-1x1{--bs-aspect-ratio: 100%}:host ::ng-deep .ratio-4x3{--bs-aspect-ratio: 75%}:host ::ng-deep .ratio-16x9{--bs-aspect-ratio: 56.25%}:host ::ng-deep .ratio-21x9{--bs-aspect-ratio: 42.8571428571%}:host ::ng-deep .fixed-top{position:fixed;top:0;right:0;left:0;z-index:1030}:host ::ng-deep .fixed-bottom{position:fixed;right:0;bottom:0;left:0;z-index:1030}:host ::ng-deep .sticky-top{position:sticky;top:0;z-index:1020}:host ::ng-deep .sticky-bottom{position:sticky;bottom:0;z-index:1020}@media (min-width: 576px){:host ::ng-deep .sticky-sm-top{position:sticky;top:0;z-index:1020}:host ::ng-deep .sticky-sm-bottom{position:sticky;bottom:0;z-index:1020}}@media (min-width: 768px){:host ::ng-deep .sticky-md-top{position:sticky;top:0;z-index:1020}:host ::ng-deep .sticky-md-bottom{position:sticky;bottom:0;z-index:1020}}@media (min-width: 992px){:host ::ng-deep .sticky-lg-top{position:sticky;top:0;z-index:1020}:host ::ng-deep .sticky-lg-bottom{position:sticky;bottom:0;z-index:1020}}@media (min-width: 1200px){:host ::ng-deep .sticky-xl-top{position:sticky;top:0;z-index:1020}:host ::ng-deep .sticky-xl-bottom{position:sticky;bottom:0;z-index:1020}}@media (min-width: 1400px){:host ::ng-deep .sticky-xxl-top{position:sticky;top:0;z-index:1020}:host ::ng-deep .sticky-xxl-bottom{position:sticky;bottom:0;z-index:1020}}:host ::ng-deep .hstack{display:flex;flex-direction:row;align-items:center;align-self:stretch}:host ::ng-deep .vstack{display:flex;flex:1 1 auto;flex-direction:column;align-self:stretch}:host ::ng-deep .visually-hidden,:host ::ng-deep .visually-hidden-focusable:not(:focus):not(:focus-within){position:absolute!important;width:1px!important;height:1px!important;padding:0!important;margin:-1px!important;overflow:hidden!important;clip:rect(0,0,0,0)!important;white-space:nowrap!important;border:0!important}:host ::ng-deep .stretched-link:after{position:absolute;inset:0;z-index:1;content:\"\"}:host ::ng-deep .text-truncate{overflow:hidden;text-overflow:ellipsis;white-space:nowrap}:host ::ng-deep .vr{display:inline-block;align-self:stretch;width:1px;min-height:1em;background-color:currentcolor;opacity:.25}:host ::ng-deep .align-baseline{vertical-align:baseline!important}:host ::ng-deep .align-top{vertical-align:top!important}:host ::ng-deep .align-middle{vertical-align:middle!important}:host ::ng-deep .align-bottom{vertical-align:bottom!important}:host ::ng-deep .align-text-bottom{vertical-align:text-bottom!important}:host ::ng-deep .align-text-top{vertical-align:text-top!important}:host ::ng-deep .float-start{float:left!important}:host ::ng-deep .float-end{float:right!important}:host ::ng-deep .float-none{float:none!important}:host ::ng-deep .opacity-0{opacity:0!important}:host ::ng-deep .opacity-25{opacity:.25!important}:host ::ng-deep .opacity-50{opacity:.5!important}:host ::ng-deep .opacity-75{opacity:.75!important}:host ::ng-deep .opacity-100{opacity:1!important}:host ::ng-deep .overflow-auto{overflow:auto!important}:host ::ng-deep .overflow-hidden{overflow:hidden!important}:host ::ng-deep .overflow-visible{overflow:visible!important}:host ::ng-deep .overflow-scroll{overflow:scroll!important}:host ::ng-deep .d-inline{display:inline!important}:host ::ng-deep .d-inline-block{display:inline-block!important}:host ::ng-deep .d-block{display:block!important}:host ::ng-deep .d-grid{display:grid!important}:host ::ng-deep .d-table{display:table!important}:host ::ng-deep .d-table-row{display:table-row!important}:host ::ng-deep .d-table-cell{display:table-cell!important}:host ::ng-deep .d-flex{display:flex!important}:host ::ng-deep .d-inline-flex{display:inline-flex!important}:host ::ng-deep .d-none{display:none!important}:host ::ng-deep .shadow{box-shadow:0 .5rem 1rem #00000026!important}:host ::ng-deep .shadow-sm{box-shadow:0 .125rem .25rem #00000013!important}:host ::ng-deep .shadow-lg{box-shadow:0 1rem 3rem #0000002d!important}:host ::ng-deep .shadow-none{box-shadow:none!important}:host ::ng-deep .position-static{position:static!important}:host ::ng-deep .position-relative{position:relative!important}:host ::ng-deep .position-absolute{position:absolute!important}:host ::ng-deep .position-fixed{position:fixed!important}:host ::ng-deep .position-sticky{position:sticky!important}:host ::ng-deep .top-0{top:0!important}:host ::ng-deep .top-50{top:50%!important}:host ::ng-deep .top-100{top:100%!important}:host ::ng-deep .bottom-0{bottom:0!important}:host ::ng-deep .bottom-50{bottom:50%!important}:host ::ng-deep .bottom-100{bottom:100%!important}:host ::ng-deep .start-0{left:0!important}:host ::ng-deep .start-50{left:50%!important}:host ::ng-deep .start-100{left:100%!important}:host ::ng-deep .end-0{right:0!important}:host ::ng-deep .end-50{right:50%!important}:host ::ng-deep .end-100{right:100%!important}:host ::ng-deep .translate-middle{transform:translate(-50%,-50%)!important}:host ::ng-deep .translate-middle-x{transform:translate(-50%)!important}:host ::ng-deep .translate-middle-y{transform:translateY(-50%)!important}:host ::ng-deep .border{border:var(--bs-border-width) var(--bs-border-style) var(--bs-border-color)!important}:host ::ng-deep .border-0{border:0!important}:host ::ng-deep .border-top{border-top:var(--bs-border-width) var(--bs-border-style) var(--bs-border-color)!important}:host ::ng-deep .border-top-0{border-top:0!important}:host ::ng-deep .border-end{border-right:var(--bs-border-width) var(--bs-border-style) var(--bs-border-color)!important}:host ::ng-deep .border-end-0{border-right:0!important}:host ::ng-deep .border-bottom{border-bottom:var(--bs-border-width) var(--bs-border-style) var(--bs-border-color)!important}:host ::ng-deep .border-bottom-0{border-bottom:0!important}:host ::ng-deep .border-start{border-left:var(--bs-border-width) var(--bs-border-style) var(--bs-border-color)!important}:host ::ng-deep .border-start-0{border-left:0!important}:host ::ng-deep .border-primary{--bs-border-opacity: 1;border-color:rgba(var(--bs-primary-rgb),var(--bs-border-opacity))!important}:host ::ng-deep .border-secondary{--bs-border-opacity: 1;border-color:rgba(var(--bs-secondary-rgb),var(--bs-border-opacity))!important}:host ::ng-deep .border-success{--bs-border-opacity: 1;border-color:rgba(var(--bs-success-rgb),var(--bs-border-opacity))!important}:host ::ng-deep .border-info{--bs-border-opacity: 1;border-color:rgba(var(--bs-info-rgb),var(--bs-border-opacity))!important}:host ::ng-deep .border-warning{--bs-border-opacity: 1;border-color:rgba(var(--bs-warning-rgb),var(--bs-border-opacity))!important}:host ::ng-deep .border-danger{--bs-border-opacity: 1;border-color:rgba(var(--bs-danger-rgb),var(--bs-border-opacity))!important}:host ::ng-deep .border-light{--bs-border-opacity: 1;border-color:rgba(var(--bs-light-rgb),var(--bs-border-opacity))!important}:host ::ng-deep .border-dark{--bs-border-opacity: 1;border-color:rgba(var(--bs-dark-rgb),var(--bs-border-opacity))!important}:host ::ng-deep .border-white{--bs-border-opacity: 1;border-color:rgba(var(--bs-white-rgb),var(--bs-border-opacity))!important}:host ::ng-deep .border-1{--bs-border-width: 1px}:host ::ng-deep .border-2{--bs-border-width: 2px}:host ::ng-deep .border-3{--bs-border-width: 3px}:host ::ng-deep .border-4{--bs-border-width: 4px}:host ::ng-deep .border-5{--bs-border-width: 5px}:host ::ng-deep .border-opacity-10{--bs-border-opacity: .1}:host ::ng-deep .border-opacity-25{--bs-border-opacity: .25}:host ::ng-deep .border-opacity-50{--bs-border-opacity: .5}:host ::ng-deep .border-opacity-75{--bs-border-opacity: .75}:host ::ng-deep .border-opacity-100{--bs-border-opacity: 1}:host ::ng-deep .w-25{width:25%!important}:host ::ng-deep .w-50{width:50%!important}:host ::ng-deep .w-75{width:75%!important}:host ::ng-deep .w-100{width:100%!important}:host ::ng-deep .w-auto{width:auto!important}:host ::ng-deep .mw-100{max-width:100%!important}:host ::ng-deep .vw-100{width:100vw!important}:host ::ng-deep .min-vw-100{min-width:100vw!important}:host ::ng-deep .h-25{height:25%!important}:host ::ng-deep .h-50{height:50%!important}:host ::ng-deep .h-75{height:75%!important}:host ::ng-deep .h-100{height:100%!important}:host ::ng-deep .h-auto{height:auto!important}:host ::ng-deep .mh-100{max-height:100%!important}:host ::ng-deep .vh-100{height:100vh!important}:host ::ng-deep .min-vh-100{min-height:100vh!important}:host ::ng-deep .flex-fill{flex:1 1 auto!important}:host ::ng-deep .flex-row{flex-direction:row!important}:host ::ng-deep .flex-column{flex-direction:column!important}:host ::ng-deep .flex-row-reverse{flex-direction:row-reverse!important}:host ::ng-deep .flex-column-reverse{flex-direction:column-reverse!important}:host ::ng-deep .flex-grow-0{flex-grow:0!important}:host ::ng-deep .flex-grow-1{flex-grow:1!important}:host ::ng-deep .flex-shrink-0{flex-shrink:0!important}:host ::ng-deep .flex-shrink-1{flex-shrink:1!important}:host ::ng-deep .flex-wrap{flex-wrap:wrap!important}:host ::ng-deep .flex-nowrap{flex-wrap:nowrap!important}:host ::ng-deep .flex-wrap-reverse{flex-wrap:wrap-reverse!important}:host ::ng-deep .justify-content-start{justify-content:flex-start!important}:host ::ng-deep .justify-content-end{justify-content:flex-end!important}:host ::ng-deep .justify-content-center{justify-content:center!important}:host ::ng-deep .justify-content-between{justify-content:space-between!important}:host ::ng-deep .justify-content-around{justify-content:space-around!important}:host ::ng-deep .justify-content-evenly{justify-content:space-evenly!important}:host ::ng-deep .align-items-start{align-items:flex-start!important}:host ::ng-deep .align-items-end{align-items:flex-end!important}:host ::ng-deep .align-items-center{align-items:center!important}:host ::ng-deep .align-items-baseline{align-items:baseline!important}:host ::ng-deep .align-items-stretch{align-items:stretch!important}:host ::ng-deep .align-content-start{align-content:flex-start!important}:host ::ng-deep .align-content-end{align-content:flex-end!important}:host ::ng-deep .align-content-center{align-content:center!important}:host ::ng-deep .align-content-between{align-content:space-between!important}:host ::ng-deep .align-content-around{align-content:space-around!important}:host ::ng-deep .align-content-stretch{align-content:stretch!important}:host ::ng-deep .align-self-auto{align-self:auto!important}:host ::ng-deep .align-self-start{align-self:flex-start!important}:host ::ng-deep .align-self-end{align-self:flex-end!important}:host ::ng-deep .align-self-center{align-self:center!important}:host ::ng-deep .align-self-baseline{align-self:baseline!important}:host ::ng-deep .align-self-stretch{align-self:stretch!important}:host ::ng-deep .order-first{order:-1!important}:host ::ng-deep .order-0{order:0!important}:host ::ng-deep .order-1{order:1!important}:host ::ng-deep .order-2{order:2!important}:host ::ng-deep .order-3{order:3!important}:host ::ng-deep .order-4{order:4!important}:host ::ng-deep .order-5{order:5!important}:host ::ng-deep .order-last{order:6!important}:host ::ng-deep .m-0{margin:0!important}:host ::ng-deep .m-1{margin:.25rem!important}:host ::ng-deep .m-2{margin:.5rem!important}:host ::ng-deep .m-3{margin:1rem!important}:host ::ng-deep .m-4{margin:1.5rem!important}:host ::ng-deep .m-5{margin:3rem!important}:host ::ng-deep .m-auto{margin:auto!important}:host ::ng-deep .mx-0{margin-right:0!important;margin-left:0!important}:host ::ng-deep .mx-1{margin-right:.25rem!important;margin-left:.25rem!important}:host ::ng-deep .mx-2{margin-right:.5rem!important;margin-left:.5rem!important}:host ::ng-deep .mx-3{margin-right:1rem!important;margin-left:1rem!important}:host ::ng-deep .mx-4{margin-right:1.5rem!important;margin-left:1.5rem!important}:host ::ng-deep .mx-5{margin-right:3rem!important;margin-left:3rem!important}:host ::ng-deep .mx-auto{margin-right:auto!important;margin-left:auto!important}:host ::ng-deep .my-0{margin-top:0!important;margin-bottom:0!important}:host ::ng-deep .my-1{margin-top:.25rem!important;margin-bottom:.25rem!important}:host ::ng-deep .my-2{margin-top:.5rem!important;margin-bottom:.5rem!important}:host ::ng-deep .my-3{margin-top:1rem!important;margin-bottom:1rem!important}:host ::ng-deep .my-4{margin-top:1.5rem!important;margin-bottom:1.5rem!important}:host ::ng-deep .my-5{margin-top:3rem!important;margin-bottom:3rem!important}:host ::ng-deep .my-auto{margin-top:auto!important;margin-bottom:auto!important}:host ::ng-deep .mt-0{margin-top:0!important}:host ::ng-deep .mt-1{margin-top:.25rem!important}:host ::ng-deep .mt-2{margin-top:.5rem!important}:host ::ng-deep .mt-3{margin-top:1rem!important}:host ::ng-deep .mt-4{margin-top:1.5rem!important}:host ::ng-deep .mt-5{margin-top:3rem!important}:host ::ng-deep .mt-auto{margin-top:auto!important}:host ::ng-deep .me-0{margin-right:0!important}:host ::ng-deep .me-1{margin-right:.25rem!important}:host ::ng-deep .me-2{margin-right:.5rem!important}:host ::ng-deep .me-3{margin-right:1rem!important}:host ::ng-deep .me-4{margin-right:1.5rem!important}:host ::ng-deep .me-5{margin-right:3rem!important}:host ::ng-deep .me-auto{margin-right:auto!important}:host ::ng-deep .mb-0{margin-bottom:0!important}:host ::ng-deep .mb-1{margin-bottom:.25rem!important}:host ::ng-deep .mb-2{margin-bottom:.5rem!important}:host ::ng-deep .mb-3{margin-bottom:1rem!important}:host ::ng-deep .mb-4{margin-bottom:1.5rem!important}:host ::ng-deep .mb-5{margin-bottom:3rem!important}:host ::ng-deep .mb-auto{margin-bottom:auto!important}:host ::ng-deep .ms-0{margin-left:0!important}:host ::ng-deep .ms-1{margin-left:.25rem!important}:host ::ng-deep .ms-2{margin-left:.5rem!important}:host ::ng-deep .ms-3{margin-left:1rem!important}:host ::ng-deep .ms-4{margin-left:1.5rem!important}:host ::ng-deep .ms-5{margin-left:3rem!important}:host ::ng-deep .ms-auto{margin-left:auto!important}:host ::ng-deep .p-0{padding:0!important}:host ::ng-deep .p-1{padding:.25rem!important}:host ::ng-deep .p-2{padding:.5rem!important}:host ::ng-deep .p-3{padding:1rem!important}:host ::ng-deep .p-4{padding:1.5rem!important}:host ::ng-deep .p-5{padding:3rem!important}:host ::ng-deep .px-0{padding-right:0!important;padding-left:0!important}:host ::ng-deep .px-1{padding-right:.25rem!important;padding-left:.25rem!important}:host ::ng-deep .px-2{padding-right:.5rem!important;padding-left:.5rem!important}:host ::ng-deep .px-3{padding-right:1rem!important;padding-left:1rem!important}:host ::ng-deep .px-4{padding-right:1.5rem!important;padding-left:1.5rem!important}:host ::ng-deep .px-5{padding-right:3rem!important;padding-left:3rem!important}:host ::ng-deep .py-0{padding-top:0!important;padding-bottom:0!important}:host ::ng-deep .py-1{padding-top:.25rem!important;padding-bottom:.25rem!important}:host ::ng-deep .py-2{padding-top:.5rem!important;padding-bottom:.5rem!important}:host ::ng-deep .py-3{padding-top:1rem!important;padding-bottom:1rem!important}:host ::ng-deep .py-4{padding-top:1.5rem!important;padding-bottom:1.5rem!important}:host ::ng-deep .py-5{padding-top:3rem!important;padding-bottom:3rem!important}:host ::ng-deep .pt-0{padding-top:0!important}:host ::ng-deep .pt-1{padding-top:.25rem!important}:host ::ng-deep .pt-2{padding-top:.5rem!important}:host ::ng-deep .pt-3{padding-top:1rem!important}:host ::ng-deep .pt-4{padding-top:1.5rem!important}:host ::ng-deep .pt-5{padding-top:3rem!important}:host ::ng-deep .pe-0{padding-right:0!important}:host ::ng-deep .pe-1{padding-right:.25rem!important}:host ::ng-deep .pe-2{padding-right:.5rem!important}:host ::ng-deep .pe-3{padding-right:1rem!important}:host ::ng-deep .pe-4{padding-right:1.5rem!important}:host ::ng-deep .pe-5{padding-right:3rem!important}:host ::ng-deep .pb-0{padding-bottom:0!important}:host ::ng-deep .pb-1{padding-bottom:.25rem!important}:host ::ng-deep .pb-2{padding-bottom:.5rem!important}:host ::ng-deep .pb-3{padding-bottom:1rem!important}:host ::ng-deep .pb-4{padding-bottom:1.5rem!important}:host ::ng-deep .pb-5{padding-bottom:3rem!important}:host ::ng-deep .ps-0{padding-left:0!important}:host ::ng-deep .ps-1{padding-left:.25rem!important}:host ::ng-deep .ps-2{padding-left:.5rem!important}:host ::ng-deep .ps-3{padding-left:1rem!important}:host ::ng-deep .ps-4{padding-left:1.5rem!important}:host ::ng-deep .ps-5{padding-left:3rem!important}:host ::ng-deep .gap-0{gap:0!important}:host ::ng-deep .gap-1{gap:.25rem!important}:host ::ng-deep .gap-2{gap:.5rem!important}:host ::ng-deep .gap-3{gap:1rem!important}:host ::ng-deep .gap-4{gap:1.5rem!important}:host ::ng-deep .gap-5{gap:3rem!important}:host ::ng-deep .font-monospace{font-family:var(--bs-font-monospace)!important}:host ::ng-deep .fs-1{font-size:calc(1.375rem + 1.5vw)!important}:host ::ng-deep .fs-2{font-size:calc(1.325rem + .9vw)!important}:host ::ng-deep .fs-3{font-size:calc(1.3rem + .6vw)!important}:host ::ng-deep .fs-4{font-size:calc(1.275rem + .3vw)!important}:host ::ng-deep .fs-5{font-size:1.25rem!important}:host ::ng-deep .fs-6{font-size:1rem!important}:host ::ng-deep .fst-italic{font-style:italic!important}:host ::ng-deep .fst-normal{font-style:normal!important}:host ::ng-deep .fw-light{font-weight:300!important}:host ::ng-deep .fw-lighter{font-weight:lighter!important}:host ::ng-deep .fw-normal{font-weight:400!important}:host ::ng-deep .fw-bold{font-weight:700!important}:host ::ng-deep .fw-semibold{font-weight:600!important}:host ::ng-deep .fw-bolder{font-weight:bolder!important}:host ::ng-deep .lh-1{line-height:1!important}:host ::ng-deep .lh-sm{line-height:1.25!important}:host ::ng-deep .lh-base{line-height:1.5!important}:host ::ng-deep .lh-lg{line-height:2!important}:host ::ng-deep .text-start{text-align:left!important}:host ::ng-deep .text-end{text-align:right!important}:host ::ng-deep .text-center{text-align:center!important}:host ::ng-deep .text-decoration-none{text-decoration:none!important}:host ::ng-deep .text-decoration-underline{text-decoration:underline!important}:host ::ng-deep .text-decoration-line-through{text-decoration:line-through!important}:host ::ng-deep .text-lowercase{text-transform:lowercase!important}:host ::ng-deep .text-uppercase{text-transform:uppercase!important}:host ::ng-deep .text-capitalize{text-transform:capitalize!important}:host ::ng-deep .text-wrap{white-space:normal!important}:host ::ng-deep .text-nowrap{white-space:nowrap!important}:host ::ng-deep .text-break{word-wrap:break-word!important;word-break:break-word!important}:host ::ng-deep .text-primary{--bs-text-opacity: 1;color:rgba(var(--bs-primary-rgb),var(--bs-text-opacity))!important}:host ::ng-deep .text-secondary{--bs-text-opacity: 1;color:rgba(var(--bs-secondary-rgb),var(--bs-text-opacity))!important}:host ::ng-deep .text-success{--bs-text-opacity: 1;color:rgba(var(--bs-success-rgb),var(--bs-text-opacity))!important}:host ::ng-deep .text-info{--bs-text-opacity: 1;color:rgba(var(--bs-info-rgb),var(--bs-text-opacity))!important}:host ::ng-deep .text-warning{--bs-text-opacity: 1;color:rgba(var(--bs-warning-rgb),var(--bs-text-opacity))!important}:host ::ng-deep .text-danger{--bs-text-opacity: 1;color:rgba(var(--bs-danger-rgb),var(--bs-text-opacity))!important}:host ::ng-deep .text-light{--bs-text-opacity: 1;color:rgba(var(--bs-light-rgb),var(--bs-text-opacity))!important}:host ::ng-deep .text-dark{--bs-text-opacity: 1;color:rgba(var(--bs-dark-rgb),var(--bs-text-opacity))!important}:host ::ng-deep .text-black{--bs-text-opacity: 1;color:rgba(var(--bs-black-rgb),var(--bs-text-opacity))!important}:host ::ng-deep .text-white{--bs-text-opacity: 1;color:rgba(var(--bs-white-rgb),var(--bs-text-opacity))!important}:host ::ng-deep .text-body{--bs-text-opacity: 1;color:rgba(var(--bs-body-color-rgb),var(--bs-text-opacity))!important}:host ::ng-deep .text-muted{--bs-text-opacity: 1;color:#6c757d!important}:host ::ng-deep .text-black-50{--bs-text-opacity: 1;color:#00000080!important}:host ::ng-deep .text-white-50{--bs-text-opacity: 1;color:#ffffff80!important}:host ::ng-deep .text-reset{--bs-text-opacity: 1;color:inherit!important}:host ::ng-deep .text-opacity-25{--bs-text-opacity: .25}:host ::ng-deep .text-opacity-50{--bs-text-opacity: .5}:host ::ng-deep .text-opacity-75{--bs-text-opacity: .75}:host ::ng-deep .text-opacity-100{--bs-text-opacity: 1}:host ::ng-deep .bg-primary{--bs-bg-opacity: 1;background-color:rgba(var(--bs-primary-rgb),var(--bs-bg-opacity))!important}:host ::ng-deep .bg-secondary{--bs-bg-opacity: 1;background-color:rgba(var(--bs-secondary-rgb),var(--bs-bg-opacity))!important}:host ::ng-deep .bg-success{--bs-bg-opacity: 1;background-color:rgba(var(--bs-success-rgb),var(--bs-bg-opacity))!important}:host ::ng-deep .bg-info{--bs-bg-opacity: 1;background-color:rgba(var(--bs-info-rgb),var(--bs-bg-opacity))!important}:host ::ng-deep .bg-warning{--bs-bg-opacity: 1;background-color:rgba(var(--bs-warning-rgb),var(--bs-bg-opacity))!important}:host ::ng-deep .bg-danger{--bs-bg-opacity: 1;background-color:rgba(var(--bs-danger-rgb),var(--bs-bg-opacity))!important}:host ::ng-deep .bg-light{--bs-bg-opacity: 1;background-color:rgba(var(--bs-light-rgb),var(--bs-bg-opacity))!important}:host ::ng-deep .bg-dark{--bs-bg-opacity: 1;background-color:rgba(var(--bs-dark-rgb),var(--bs-bg-opacity))!important}:host ::ng-deep .bg-black{--bs-bg-opacity: 1;background-color:rgba(var(--bs-black-rgb),var(--bs-bg-opacity))!important}:host ::ng-deep .bg-white{--bs-bg-opacity: 1;background-color:rgba(var(--bs-white-rgb),var(--bs-bg-opacity))!important}:host ::ng-deep .bg-body{--bs-bg-opacity: 1;background-color:rgba(var(--bs-body-bg-rgb),var(--bs-bg-opacity))!important}:host ::ng-deep .bg-transparent{--bs-bg-opacity: 1;background-color:transparent!important}:host ::ng-deep .bg-opacity-10{--bs-bg-opacity: .1}:host ::ng-deep .bg-opacity-25{--bs-bg-opacity: .25}:host ::ng-deep .bg-opacity-50{--bs-bg-opacity: .5}:host ::ng-deep .bg-opacity-75{--bs-bg-opacity: .75}:host ::ng-deep .bg-opacity-100{--bs-bg-opacity: 1}:host ::ng-deep .bg-gradient{background-image:var(--bs-gradient)!important}:host ::ng-deep .user-select-all{-webkit-user-select:all!important;user-select:all!important}:host ::ng-deep .user-select-auto{-webkit-user-select:auto!important;user-select:auto!important}:host ::ng-deep .user-select-none{-webkit-user-select:none!important;user-select:none!important}:host ::ng-deep .pe-none{pointer-events:none!important}:host ::ng-deep .pe-auto{pointer-events:auto!important}:host ::ng-deep .rounded{border-radius:var(--bs-border-radius)!important}:host ::ng-deep .rounded-0{border-radius:0!important}:host ::ng-deep .rounded-1{border-radius:var(--bs-border-radius-sm)!important}:host ::ng-deep .rounded-2{border-radius:var(--bs-border-radius)!important}:host ::ng-deep .rounded-3{border-radius:var(--bs-border-radius-lg)!important}:host ::ng-deep .rounded-4{border-radius:var(--bs-border-radius-xl)!important}:host ::ng-deep .rounded-5{border-radius:var(--bs-border-radius-2xl)!important}:host ::ng-deep .rounded-circle{border-radius:50%!important}:host ::ng-deep .rounded-pill{border-radius:var(--bs-border-radius-pill)!important}:host ::ng-deep .rounded-top{border-top-left-radius:var(--bs-border-radius)!important;border-top-right-radius:var(--bs-border-radius)!important}:host ::ng-deep .rounded-end{border-top-right-radius:var(--bs-border-radius)!important;border-bottom-right-radius:var(--bs-border-radius)!important}:host ::ng-deep .rounded-bottom{border-bottom-right-radius:var(--bs-border-radius)!important;border-bottom-left-radius:var(--bs-border-radius)!important}:host ::ng-deep .rounded-start{border-bottom-left-radius:var(--bs-border-radius)!important;border-top-left-radius:var(--bs-border-radius)!important}:host ::ng-deep .visible{visibility:visible!important}:host ::ng-deep .invisible{visibility:hidden!important}@media (min-width: 576px){:host ::ng-deep .float-sm-start{float:left!important}:host ::ng-deep .float-sm-end{float:right!important}:host ::ng-deep .float-sm-none{float:none!important}:host ::ng-deep .d-sm-inline{display:inline!important}:host ::ng-deep .d-sm-inline-block{display:inline-block!important}:host ::ng-deep .d-sm-block{display:block!important}:host ::ng-deep .d-sm-grid{display:grid!important}:host ::ng-deep .d-sm-table{display:table!important}:host ::ng-deep .d-sm-table-row{display:table-row!important}:host ::ng-deep .d-sm-table-cell{display:table-cell!important}:host ::ng-deep .d-sm-flex{display:flex!important}:host ::ng-deep .d-sm-inline-flex{display:inline-flex!important}:host ::ng-deep .d-sm-none{display:none!important}:host ::ng-deep .flex-sm-fill{flex:1 1 auto!important}:host ::ng-deep .flex-sm-row{flex-direction:row!important}:host ::ng-deep .flex-sm-column{flex-direction:column!important}:host ::ng-deep .flex-sm-row-reverse{flex-direction:row-reverse!important}:host ::ng-deep .flex-sm-column-reverse{flex-direction:column-reverse!important}:host ::ng-deep .flex-sm-grow-0{flex-grow:0!important}:host ::ng-deep .flex-sm-grow-1{flex-grow:1!important}:host ::ng-deep .flex-sm-shrink-0{flex-shrink:0!important}:host ::ng-deep .flex-sm-shrink-1{flex-shrink:1!important}:host ::ng-deep .flex-sm-wrap{flex-wrap:wrap!important}:host ::ng-deep .flex-sm-nowrap{flex-wrap:nowrap!important}:host ::ng-deep .flex-sm-wrap-reverse{flex-wrap:wrap-reverse!important}:host ::ng-deep .justify-content-sm-start{justify-content:flex-start!important}:host ::ng-deep .justify-content-sm-end{justify-content:flex-end!important}:host ::ng-deep .justify-content-sm-center{justify-content:center!important}:host ::ng-deep .justify-content-sm-between{justify-content:space-between!important}:host ::ng-deep .justify-content-sm-around{justify-content:space-around!important}:host ::ng-deep .justify-content-sm-evenly{justify-content:space-evenly!important}:host ::ng-deep .align-items-sm-start{align-items:flex-start!important}:host ::ng-deep .align-items-sm-end{align-items:flex-end!important}:host ::ng-deep .align-items-sm-center{align-items:center!important}:host ::ng-deep .align-items-sm-baseline{align-items:baseline!important}:host ::ng-deep .align-items-sm-stretch{align-items:stretch!important}:host ::ng-deep .align-content-sm-start{align-content:flex-start!important}:host ::ng-deep .align-content-sm-end{align-content:flex-end!important}:host ::ng-deep .align-content-sm-center{align-content:center!important}:host ::ng-deep .align-content-sm-between{align-content:space-between!important}:host ::ng-deep .align-content-sm-around{align-content:space-around!important}:host ::ng-deep .align-content-sm-stretch{align-content:stretch!important}:host ::ng-deep .align-self-sm-auto{align-self:auto!important}:host ::ng-deep .align-self-sm-start{align-self:flex-start!important}:host ::ng-deep .align-self-sm-end{align-self:flex-end!important}:host ::ng-deep .align-self-sm-center{align-self:center!important}:host ::ng-deep .align-self-sm-baseline{align-self:baseline!important}:host ::ng-deep .align-self-sm-stretch{align-self:stretch!important}:host ::ng-deep .order-sm-first{order:-1!important}:host ::ng-deep .order-sm-0{order:0!important}:host ::ng-deep .order-sm-1{order:1!important}:host ::ng-deep .order-sm-2{order:2!important}:host ::ng-deep .order-sm-3{order:3!important}:host ::ng-deep .order-sm-4{order:4!important}:host ::ng-deep .order-sm-5{order:5!important}:host ::ng-deep .order-sm-last{order:6!important}:host ::ng-deep .m-sm-0{margin:0!important}:host ::ng-deep .m-sm-1{margin:.25rem!important}:host ::ng-deep .m-sm-2{margin:.5rem!important}:host ::ng-deep .m-sm-3{margin:1rem!important}:host ::ng-deep .m-sm-4{margin:1.5rem!important}:host ::ng-deep .m-sm-5{margin:3rem!important}:host ::ng-deep .m-sm-auto{margin:auto!important}:host ::ng-deep .mx-sm-0{margin-right:0!important;margin-left:0!important}:host ::ng-deep .mx-sm-1{margin-right:.25rem!important;margin-left:.25rem!important}:host ::ng-deep .mx-sm-2{margin-right:.5rem!important;margin-left:.5rem!important}:host ::ng-deep .mx-sm-3{margin-right:1rem!important;margin-left:1rem!important}:host ::ng-deep .mx-sm-4{margin-right:1.5rem!important;margin-left:1.5rem!important}:host ::ng-deep .mx-sm-5{margin-right:3rem!important;margin-left:3rem!important}:host ::ng-deep .mx-sm-auto{margin-right:auto!important;margin-left:auto!important}:host ::ng-deep .my-sm-0{margin-top:0!important;margin-bottom:0!important}:host ::ng-deep .my-sm-1{margin-top:.25rem!important;margin-bottom:.25rem!important}:host ::ng-deep .my-sm-2{margin-top:.5rem!important;margin-bottom:.5rem!important}:host ::ng-deep .my-sm-3{margin-top:1rem!important;margin-bottom:1rem!important}:host ::ng-deep .my-sm-4{margin-top:1.5rem!important;margin-bottom:1.5rem!important}:host ::ng-deep .my-sm-5{margin-top:3rem!important;margin-bottom:3rem!important}:host ::ng-deep .my-sm-auto{margin-top:auto!important;margin-bottom:auto!important}:host ::ng-deep .mt-sm-0{margin-top:0!important}:host ::ng-deep .mt-sm-1{margin-top:.25rem!important}:host ::ng-deep .mt-sm-2{margin-top:.5rem!important}:host ::ng-deep .mt-sm-3{margin-top:1rem!important}:host ::ng-deep .mt-sm-4{margin-top:1.5rem!important}:host ::ng-deep .mt-sm-5{margin-top:3rem!important}:host ::ng-deep .mt-sm-auto{margin-top:auto!important}:host ::ng-deep .me-sm-0{margin-right:0!important}:host ::ng-deep .me-sm-1{margin-right:.25rem!important}:host ::ng-deep .me-sm-2{margin-right:.5rem!important}:host ::ng-deep .me-sm-3{margin-right:1rem!important}:host ::ng-deep .me-sm-4{margin-right:1.5rem!important}:host ::ng-deep .me-sm-5{margin-right:3rem!important}:host ::ng-deep .me-sm-auto{margin-right:auto!important}:host ::ng-deep .mb-sm-0{margin-bottom:0!important}:host ::ng-deep .mb-sm-1{margin-bottom:.25rem!important}:host ::ng-deep .mb-sm-2{margin-bottom:.5rem!important}:host ::ng-deep .mb-sm-3{margin-bottom:1rem!important}:host ::ng-deep .mb-sm-4{margin-bottom:1.5rem!important}:host ::ng-deep .mb-sm-5{margin-bottom:3rem!important}:host ::ng-deep .mb-sm-auto{margin-bottom:auto!important}:host ::ng-deep .ms-sm-0{margin-left:0!important}:host ::ng-deep .ms-sm-1{margin-left:.25rem!important}:host ::ng-deep .ms-sm-2{margin-left:.5rem!important}:host ::ng-deep .ms-sm-3{margin-left:1rem!important}:host ::ng-deep .ms-sm-4{margin-left:1.5rem!important}:host ::ng-deep .ms-sm-5{margin-left:3rem!important}:host ::ng-deep .ms-sm-auto{margin-left:auto!important}:host ::ng-deep .p-sm-0{padding:0!important}:host ::ng-deep .p-sm-1{padding:.25rem!important}:host ::ng-deep .p-sm-2{padding:.5rem!important}:host ::ng-deep .p-sm-3{padding:1rem!important}:host ::ng-deep .p-sm-4{padding:1.5rem!important}:host ::ng-deep .p-sm-5{padding:3rem!important}:host ::ng-deep .px-sm-0{padding-right:0!important;padding-left:0!important}:host ::ng-deep .px-sm-1{padding-right:.25rem!important;padding-left:.25rem!important}:host ::ng-deep .px-sm-2{padding-right:.5rem!important;padding-left:.5rem!important}:host ::ng-deep .px-sm-3{padding-right:1rem!important;padding-left:1rem!important}:host ::ng-deep .px-sm-4{padding-right:1.5rem!important;padding-left:1.5rem!important}:host ::ng-deep .px-sm-5{padding-right:3rem!important;padding-left:3rem!important}:host ::ng-deep .py-sm-0{padding-top:0!important;padding-bottom:0!important}:host ::ng-deep .py-sm-1{padding-top:.25rem!important;padding-bottom:.25rem!important}:host ::ng-deep .py-sm-2{padding-top:.5rem!important;padding-bottom:.5rem!important}:host ::ng-deep .py-sm-3{padding-top:1rem!important;padding-bottom:1rem!important}:host ::ng-deep .py-sm-4{padding-top:1.5rem!important;padding-bottom:1.5rem!important}:host ::ng-deep .py-sm-5{padding-top:3rem!important;padding-bottom:3rem!important}:host ::ng-deep .pt-sm-0{padding-top:0!important}:host ::ng-deep .pt-sm-1{padding-top:.25rem!important}:host ::ng-deep .pt-sm-2{padding-top:.5rem!important}:host ::ng-deep .pt-sm-3{padding-top:1rem!important}:host ::ng-deep .pt-sm-4{padding-top:1.5rem!important}:host ::ng-deep .pt-sm-5{padding-top:3rem!important}:host ::ng-deep .pe-sm-0{padding-right:0!important}:host ::ng-deep .pe-sm-1{padding-right:.25rem!important}:host ::ng-deep .pe-sm-2{padding-right:.5rem!important}:host ::ng-deep .pe-sm-3{padding-right:1rem!important}:host ::ng-deep .pe-sm-4{padding-right:1.5rem!important}:host ::ng-deep .pe-sm-5{padding-right:3rem!important}:host ::ng-deep .pb-sm-0{padding-bottom:0!important}:host ::ng-deep .pb-sm-1{padding-bottom:.25rem!important}:host ::ng-deep .pb-sm-2{padding-bottom:.5rem!important}:host ::ng-deep .pb-sm-3{padding-bottom:1rem!important}:host ::ng-deep .pb-sm-4{padding-bottom:1.5rem!important}:host ::ng-deep .pb-sm-5{padding-bottom:3rem!important}:host ::ng-deep .ps-sm-0{padding-left:0!important}:host ::ng-deep .ps-sm-1{padding-left:.25rem!important}:host ::ng-deep .ps-sm-2{padding-left:.5rem!important}:host ::ng-deep .ps-sm-3{padding-left:1rem!important}:host ::ng-deep .ps-sm-4{padding-left:1.5rem!important}:host ::ng-deep .ps-sm-5{padding-left:3rem!important}:host ::ng-deep .gap-sm-0{gap:0!important}:host ::ng-deep .gap-sm-1{gap:.25rem!important}:host ::ng-deep .gap-sm-2{gap:.5rem!important}:host ::ng-deep .gap-sm-3{gap:1rem!important}:host ::ng-deep .gap-sm-4{gap:1.5rem!important}:host ::ng-deep .gap-sm-5{gap:3rem!important}:host ::ng-deep .text-sm-start{text-align:left!important}:host ::ng-deep .text-sm-end{text-align:right!important}:host ::ng-deep .text-sm-center{text-align:center!important}}@media (min-width: 768px){:host ::ng-deep .float-md-start{float:left!important}:host ::ng-deep .float-md-end{float:right!important}:host ::ng-deep .float-md-none{float:none!important}:host ::ng-deep .d-md-inline{display:inline!important}:host ::ng-deep .d-md-inline-block{display:inline-block!important}:host ::ng-deep .d-md-block{display:block!important}:host ::ng-deep .d-md-grid{display:grid!important}:host ::ng-deep .d-md-table{display:table!important}:host ::ng-deep .d-md-table-row{display:table-row!important}:host ::ng-deep .d-md-table-cell{display:table-cell!important}:host ::ng-deep .d-md-flex{display:flex!important}:host ::ng-deep .d-md-inline-flex{display:inline-flex!important}:host ::ng-deep .d-md-none{display:none!important}:host ::ng-deep .flex-md-fill{flex:1 1 auto!important}:host ::ng-deep .flex-md-row{flex-direction:row!important}:host ::ng-deep .flex-md-column{flex-direction:column!important}:host ::ng-deep .flex-md-row-reverse{flex-direction:row-reverse!important}:host ::ng-deep .flex-md-column-reverse{flex-direction:column-reverse!important}:host ::ng-deep .flex-md-grow-0{flex-grow:0!important}:host ::ng-deep .flex-md-grow-1{flex-grow:1!important}:host ::ng-deep .flex-md-shrink-0{flex-shrink:0!important}:host ::ng-deep .flex-md-shrink-1{flex-shrink:1!important}:host ::ng-deep .flex-md-wrap{flex-wrap:wrap!important}:host ::ng-deep .flex-md-nowrap{flex-wrap:nowrap!important}:host ::ng-deep .flex-md-wrap-reverse{flex-wrap:wrap-reverse!important}:host ::ng-deep .justify-content-md-start{justify-content:flex-start!important}:host ::ng-deep .justify-content-md-end{justify-content:flex-end!important}:host ::ng-deep .justify-content-md-center{justify-content:center!important}:host ::ng-deep .justify-content-md-between{justify-content:space-between!important}:host ::ng-deep .justify-content-md-around{justify-content:space-around!important}:host ::ng-deep .justify-content-md-evenly{justify-content:space-evenly!important}:host ::ng-deep .align-items-md-start{align-items:flex-start!important}:host ::ng-deep .align-items-md-end{align-items:flex-end!important}:host ::ng-deep .align-items-md-center{align-items:center!important}:host ::ng-deep .align-items-md-baseline{align-items:baseline!important}:host ::ng-deep .align-items-md-stretch{align-items:stretch!important}:host ::ng-deep .align-content-md-start{align-content:flex-start!important}:host ::ng-deep .align-content-md-end{align-content:flex-end!important}:host ::ng-deep .align-content-md-center{align-content:center!important}:host ::ng-deep .align-content-md-between{align-content:space-between!important}:host ::ng-deep .align-content-md-around{align-content:space-around!important}:host ::ng-deep .align-content-md-stretch{align-content:stretch!important}:host ::ng-deep .align-self-md-auto{align-self:auto!important}:host ::ng-deep .align-self-md-start{align-self:flex-start!important}:host ::ng-deep .align-self-md-end{align-self:flex-end!important}:host ::ng-deep .align-self-md-center{align-self:center!important}:host ::ng-deep .align-self-md-baseline{align-self:baseline!important}:host ::ng-deep .align-self-md-stretch{align-self:stretch!important}:host ::ng-deep .order-md-first{order:-1!important}:host ::ng-deep .order-md-0{order:0!important}:host ::ng-deep .order-md-1{order:1!important}:host ::ng-deep .order-md-2{order:2!important}:host ::ng-deep .order-md-3{order:3!important}:host ::ng-deep .order-md-4{order:4!important}:host ::ng-deep .order-md-5{order:5!important}:host ::ng-deep .order-md-last{order:6!important}:host ::ng-deep .m-md-0{margin:0!important}:host ::ng-deep .m-md-1{margin:.25rem!important}:host ::ng-deep .m-md-2{margin:.5rem!important}:host ::ng-deep .m-md-3{margin:1rem!important}:host ::ng-deep .m-md-4{margin:1.5rem!important}:host ::ng-deep .m-md-5{margin:3rem!important}:host ::ng-deep .m-md-auto{margin:auto!important}:host ::ng-deep .mx-md-0{margin-right:0!important;margin-left:0!important}:host ::ng-deep .mx-md-1{margin-right:.25rem!important;margin-left:.25rem!important}:host ::ng-deep .mx-md-2{margin-right:.5rem!important;margin-left:.5rem!important}:host ::ng-deep .mx-md-3{margin-right:1rem!important;margin-left:1rem!important}:host ::ng-deep .mx-md-4{margin-right:1.5rem!important;margin-left:1.5rem!important}:host ::ng-deep .mx-md-5{margin-right:3rem!important;margin-left:3rem!important}:host ::ng-deep .mx-md-auto{margin-right:auto!important;margin-left:auto!important}:host ::ng-deep .my-md-0{margin-top:0!important;margin-bottom:0!important}:host ::ng-deep .my-md-1{margin-top:.25rem!important;margin-bottom:.25rem!important}:host ::ng-deep .my-md-2{margin-top:.5rem!important;margin-bottom:.5rem!important}:host ::ng-deep .my-md-3{margin-top:1rem!important;margin-bottom:1rem!important}:host ::ng-deep .my-md-4{margin-top:1.5rem!important;margin-bottom:1.5rem!important}:host ::ng-deep .my-md-5{margin-top:3rem!important;margin-bottom:3rem!important}:host ::ng-deep .my-md-auto{margin-top:auto!important;margin-bottom:auto!important}:host ::ng-deep .mt-md-0{margin-top:0!important}:host ::ng-deep .mt-md-1{margin-top:.25rem!important}:host ::ng-deep .mt-md-2{margin-top:.5rem!important}:host ::ng-deep .mt-md-3{margin-top:1rem!important}:host ::ng-deep .mt-md-4{margin-top:1.5rem!important}:host ::ng-deep .mt-md-5{margin-top:3rem!important}:host ::ng-deep .mt-md-auto{margin-top:auto!important}:host ::ng-deep .me-md-0{margin-right:0!important}:host ::ng-deep .me-md-1{margin-right:.25rem!important}:host ::ng-deep .me-md-2{margin-right:.5rem!important}:host ::ng-deep .me-md-3{margin-right:1rem!important}:host ::ng-deep .me-md-4{margin-right:1.5rem!important}:host ::ng-deep .me-md-5{margin-right:3rem!important}:host ::ng-deep .me-md-auto{margin-right:auto!important}:host ::ng-deep .mb-md-0{margin-bottom:0!important}:host ::ng-deep .mb-md-1{margin-bottom:.25rem!important}:host ::ng-deep .mb-md-2{margin-bottom:.5rem!important}:host ::ng-deep .mb-md-3{margin-bottom:1rem!important}:host ::ng-deep .mb-md-4{margin-bottom:1.5rem!important}:host ::ng-deep .mb-md-5{margin-bottom:3rem!important}:host ::ng-deep .mb-md-auto{margin-bottom:auto!important}:host ::ng-deep .ms-md-0{margin-left:0!important}:host ::ng-deep .ms-md-1{margin-left:.25rem!important}:host ::ng-deep .ms-md-2{margin-left:.5rem!important}:host ::ng-deep .ms-md-3{margin-left:1rem!important}:host ::ng-deep .ms-md-4{margin-left:1.5rem!important}:host ::ng-deep .ms-md-5{margin-left:3rem!important}:host ::ng-deep .ms-md-auto{margin-left:auto!important}:host ::ng-deep .p-md-0{padding:0!important}:host ::ng-deep .p-md-1{padding:.25rem!important}:host ::ng-deep .p-md-2{padding:.5rem!important}:host ::ng-deep .p-md-3{padding:1rem!important}:host ::ng-deep .p-md-4{padding:1.5rem!important}:host ::ng-deep .p-md-5{padding:3rem!important}:host ::ng-deep .px-md-0{padding-right:0!important;padding-left:0!important}:host ::ng-deep .px-md-1{padding-right:.25rem!important;padding-left:.25rem!important}:host ::ng-deep .px-md-2{padding-right:.5rem!important;padding-left:.5rem!important}:host ::ng-deep .px-md-3{padding-right:1rem!important;padding-left:1rem!important}:host ::ng-deep .px-md-4{padding-right:1.5rem!important;padding-left:1.5rem!important}:host ::ng-deep .px-md-5{padding-right:3rem!important;padding-left:3rem!important}:host ::ng-deep .py-md-0{padding-top:0!important;padding-bottom:0!important}:host ::ng-deep .py-md-1{padding-top:.25rem!important;padding-bottom:.25rem!important}:host ::ng-deep .py-md-2{padding-top:.5rem!important;padding-bottom:.5rem!important}:host ::ng-deep .py-md-3{padding-top:1rem!important;padding-bottom:1rem!important}:host ::ng-deep .py-md-4{padding-top:1.5rem!important;padding-bottom:1.5rem!important}:host ::ng-deep .py-md-5{padding-top:3rem!important;padding-bottom:3rem!important}:host ::ng-deep .pt-md-0{padding-top:0!important}:host ::ng-deep .pt-md-1{padding-top:.25rem!important}:host ::ng-deep .pt-md-2{padding-top:.5rem!important}:host ::ng-deep .pt-md-3{padding-top:1rem!important}:host ::ng-deep .pt-md-4{padding-top:1.5rem!important}:host ::ng-deep .pt-md-5{padding-top:3rem!important}:host ::ng-deep .pe-md-0{padding-right:0!important}:host ::ng-deep .pe-md-1{padding-right:.25rem!important}:host ::ng-deep .pe-md-2{padding-right:.5rem!important}:host ::ng-deep .pe-md-3{padding-right:1rem!important}:host ::ng-deep .pe-md-4{padding-right:1.5rem!important}:host ::ng-deep .pe-md-5{padding-right:3rem!important}:host ::ng-deep .pb-md-0{padding-bottom:0!important}:host ::ng-deep .pb-md-1{padding-bottom:.25rem!important}:host ::ng-deep .pb-md-2{padding-bottom:.5rem!important}:host ::ng-deep .pb-md-3{padding-bottom:1rem!important}:host ::ng-deep .pb-md-4{padding-bottom:1.5rem!important}:host ::ng-deep .pb-md-5{padding-bottom:3rem!important}:host ::ng-deep .ps-md-0{padding-left:0!important}:host ::ng-deep .ps-md-1{padding-left:.25rem!important}:host ::ng-deep .ps-md-2{padding-left:.5rem!important}:host ::ng-deep .ps-md-3{padding-left:1rem!important}:host ::ng-deep .ps-md-4{padding-left:1.5rem!important}:host ::ng-deep .ps-md-5{padding-left:3rem!important}:host ::ng-deep .gap-md-0{gap:0!important}:host ::ng-deep .gap-md-1{gap:.25rem!important}:host ::ng-deep .gap-md-2{gap:.5rem!important}:host ::ng-deep .gap-md-3{gap:1rem!important}:host ::ng-deep .gap-md-4{gap:1.5rem!important}:host ::ng-deep .gap-md-5{gap:3rem!important}:host ::ng-deep .text-md-start{text-align:left!important}:host ::ng-deep .text-md-end{text-align:right!important}:host ::ng-deep .text-md-center{text-align:center!important}}@media (min-width: 992px){:host ::ng-deep .float-lg-start{float:left!important}:host ::ng-deep .float-lg-end{float:right!important}:host ::ng-deep .float-lg-none{float:none!important}:host ::ng-deep .d-lg-inline{display:inline!important}:host ::ng-deep .d-lg-inline-block{display:inline-block!important}:host ::ng-deep .d-lg-block{display:block!important}:host ::ng-deep .d-lg-grid{display:grid!important}:host ::ng-deep .d-lg-table{display:table!important}:host ::ng-deep .d-lg-table-row{display:table-row!important}:host ::ng-deep .d-lg-table-cell{display:table-cell!important}:host ::ng-deep .d-lg-flex{display:flex!important}:host ::ng-deep .d-lg-inline-flex{display:inline-flex!important}:host ::ng-deep .d-lg-none{display:none!important}:host ::ng-deep .flex-lg-fill{flex:1 1 auto!important}:host ::ng-deep .flex-lg-row{flex-direction:row!important}:host ::ng-deep .flex-lg-column{flex-direction:column!important}:host ::ng-deep .flex-lg-row-reverse{flex-direction:row-reverse!important}:host ::ng-deep .flex-lg-column-reverse{flex-direction:column-reverse!important}:host ::ng-deep .flex-lg-grow-0{flex-grow:0!important}:host ::ng-deep .flex-lg-grow-1{flex-grow:1!important}:host ::ng-deep .flex-lg-shrink-0{flex-shrink:0!important}:host ::ng-deep .flex-lg-shrink-1{flex-shrink:1!important}:host ::ng-deep .flex-lg-wrap{flex-wrap:wrap!important}:host ::ng-deep .flex-lg-nowrap{flex-wrap:nowrap!important}:host ::ng-deep .flex-lg-wrap-reverse{flex-wrap:wrap-reverse!important}:host ::ng-deep .justify-content-lg-start{justify-content:flex-start!important}:host ::ng-deep .justify-content-lg-end{justify-content:flex-end!important}:host ::ng-deep .justify-content-lg-center{justify-content:center!important}:host ::ng-deep .justify-content-lg-between{justify-content:space-between!important}:host ::ng-deep .justify-content-lg-around{justify-content:space-around!important}:host ::ng-deep .justify-content-lg-evenly{justify-content:space-evenly!important}:host ::ng-deep .align-items-lg-start{align-items:flex-start!important}:host ::ng-deep .align-items-lg-end{align-items:flex-end!important}:host ::ng-deep .align-items-lg-center{align-items:center!important}:host ::ng-deep .align-items-lg-baseline{align-items:baseline!important}:host ::ng-deep .align-items-lg-stretch{align-items:stretch!important}:host ::ng-deep .align-content-lg-start{align-content:flex-start!important}:host ::ng-deep .align-content-lg-end{align-content:flex-end!important}:host ::ng-deep .align-content-lg-center{align-content:center!important}:host ::ng-deep .align-content-lg-between{align-content:space-between!important}:host ::ng-deep .align-content-lg-around{align-content:space-around!important}:host ::ng-deep .align-content-lg-stretch{align-content:stretch!important}:host ::ng-deep .align-self-lg-auto{align-self:auto!important}:host ::ng-deep .align-self-lg-start{align-self:flex-start!important}:host ::ng-deep .align-self-lg-end{align-self:flex-end!important}:host ::ng-deep .align-self-lg-center{align-self:center!important}:host ::ng-deep .align-self-lg-baseline{align-self:baseline!important}:host ::ng-deep .align-self-lg-stretch{align-self:stretch!important}:host ::ng-deep .order-lg-first{order:-1!important}:host ::ng-deep .order-lg-0{order:0!important}:host ::ng-deep .order-lg-1{order:1!important}:host ::ng-deep .order-lg-2{order:2!important}:host ::ng-deep .order-lg-3{order:3!important}:host ::ng-deep .order-lg-4{order:4!important}:host ::ng-deep .order-lg-5{order:5!important}:host ::ng-deep .order-lg-last{order:6!important}:host ::ng-deep .m-lg-0{margin:0!important}:host ::ng-deep .m-lg-1{margin:.25rem!important}:host ::ng-deep .m-lg-2{margin:.5rem!important}:host ::ng-deep .m-lg-3{margin:1rem!important}:host ::ng-deep .m-lg-4{margin:1.5rem!important}:host ::ng-deep .m-lg-5{margin:3rem!important}:host ::ng-deep .m-lg-auto{margin:auto!important}:host ::ng-deep .mx-lg-0{margin-right:0!important;margin-left:0!important}:host ::ng-deep .mx-lg-1{margin-right:.25rem!important;margin-left:.25rem!important}:host ::ng-deep .mx-lg-2{margin-right:.5rem!important;margin-left:.5rem!important}:host ::ng-deep .mx-lg-3{margin-right:1rem!important;margin-left:1rem!important}:host ::ng-deep .mx-lg-4{margin-right:1.5rem!important;margin-left:1.5rem!important}:host ::ng-deep .mx-lg-5{margin-right:3rem!important;margin-left:3rem!important}:host ::ng-deep .mx-lg-auto{margin-right:auto!important;margin-left:auto!important}:host ::ng-deep .my-lg-0{margin-top:0!important;margin-bottom:0!important}:host ::ng-deep .my-lg-1{margin-top:.25rem!important;margin-bottom:.25rem!important}:host ::ng-deep .my-lg-2{margin-top:.5rem!important;margin-bottom:.5rem!important}:host ::ng-deep .my-lg-3{margin-top:1rem!important;margin-bottom:1rem!important}:host ::ng-deep .my-lg-4{margin-top:1.5rem!important;margin-bottom:1.5rem!important}:host ::ng-deep .my-lg-5{margin-top:3rem!important;margin-bottom:3rem!important}:host ::ng-deep .my-lg-auto{margin-top:auto!important;margin-bottom:auto!important}:host ::ng-deep .mt-lg-0{margin-top:0!important}:host ::ng-deep .mt-lg-1{margin-top:.25rem!important}:host ::ng-deep .mt-lg-2{margin-top:.5rem!important}:host ::ng-deep .mt-lg-3{margin-top:1rem!important}:host ::ng-deep .mt-lg-4{margin-top:1.5rem!important}:host ::ng-deep .mt-lg-5{margin-top:3rem!important}:host ::ng-deep .mt-lg-auto{margin-top:auto!important}:host ::ng-deep .me-lg-0{margin-right:0!important}:host ::ng-deep .me-lg-1{margin-right:.25rem!important}:host ::ng-deep .me-lg-2{margin-right:.5rem!important}:host ::ng-deep .me-lg-3{margin-right:1rem!important}:host ::ng-deep .me-lg-4{margin-right:1.5rem!important}:host ::ng-deep .me-lg-5{margin-right:3rem!important}:host ::ng-deep .me-lg-auto{margin-right:auto!important}:host ::ng-deep .mb-lg-0{margin-bottom:0!important}:host ::ng-deep .mb-lg-1{margin-bottom:.25rem!important}:host ::ng-deep .mb-lg-2{margin-bottom:.5rem!important}:host ::ng-deep .mb-lg-3{margin-bottom:1rem!important}:host ::ng-deep .mb-lg-4{margin-bottom:1.5rem!important}:host ::ng-deep .mb-lg-5{margin-bottom:3rem!important}:host ::ng-deep .mb-lg-auto{margin-bottom:auto!important}:host ::ng-deep .ms-lg-0{margin-left:0!important}:host ::ng-deep .ms-lg-1{margin-left:.25rem!important}:host ::ng-deep .ms-lg-2{margin-left:.5rem!important}:host ::ng-deep .ms-lg-3{margin-left:1rem!important}:host ::ng-deep .ms-lg-4{margin-left:1.5rem!important}:host ::ng-deep .ms-lg-5{margin-left:3rem!important}:host ::ng-deep .ms-lg-auto{margin-left:auto!important}:host ::ng-deep .p-lg-0{padding:0!important}:host ::ng-deep .p-lg-1{padding:.25rem!important}:host ::ng-deep .p-lg-2{padding:.5rem!important}:host ::ng-deep .p-lg-3{padding:1rem!important}:host ::ng-deep .p-lg-4{padding:1.5rem!important}:host ::ng-deep .p-lg-5{padding:3rem!important}:host ::ng-deep .px-lg-0{padding-right:0!important;padding-left:0!important}:host ::ng-deep .px-lg-1{padding-right:.25rem!important;padding-left:.25rem!important}:host ::ng-deep .px-lg-2{padding-right:.5rem!important;padding-left:.5rem!important}:host ::ng-deep .px-lg-3{padding-right:1rem!important;padding-left:1rem!important}:host ::ng-deep .px-lg-4{padding-right:1.5rem!important;padding-left:1.5rem!important}:host ::ng-deep .px-lg-5{padding-right:3rem!important;padding-left:3rem!important}:host ::ng-deep .py-lg-0{padding-top:0!important;padding-bottom:0!important}:host ::ng-deep .py-lg-1{padding-top:.25rem!important;padding-bottom:.25rem!important}:host ::ng-deep .py-lg-2{padding-top:.5rem!important;padding-bottom:.5rem!important}:host ::ng-deep .py-lg-3{padding-top:1rem!important;padding-bottom:1rem!important}:host ::ng-deep .py-lg-4{padding-top:1.5rem!important;padding-bottom:1.5rem!important}:host ::ng-deep .py-lg-5{padding-top:3rem!important;padding-bottom:3rem!important}:host ::ng-deep .pt-lg-0{padding-top:0!important}:host ::ng-deep .pt-lg-1{padding-top:.25rem!important}:host ::ng-deep .pt-lg-2{padding-top:.5rem!important}:host ::ng-deep .pt-lg-3{padding-top:1rem!important}:host ::ng-deep .pt-lg-4{padding-top:1.5rem!important}:host ::ng-deep .pt-lg-5{padding-top:3rem!important}:host ::ng-deep .pe-lg-0{padding-right:0!important}:host ::ng-deep .pe-lg-1{padding-right:.25rem!important}:host ::ng-deep .pe-lg-2{padding-right:.5rem!important}:host ::ng-deep .pe-lg-3{padding-right:1rem!important}:host ::ng-deep .pe-lg-4{padding-right:1.5rem!important}:host ::ng-deep .pe-lg-5{padding-right:3rem!important}:host ::ng-deep .pb-lg-0{padding-bottom:0!important}:host ::ng-deep .pb-lg-1{padding-bottom:.25rem!important}:host ::ng-deep .pb-lg-2{padding-bottom:.5rem!important}:host ::ng-deep .pb-lg-3{padding-bottom:1rem!important}:host ::ng-deep .pb-lg-4{padding-bottom:1.5rem!important}:host ::ng-deep .pb-lg-5{padding-bottom:3rem!important}:host ::ng-deep .ps-lg-0{padding-left:0!important}:host ::ng-deep .ps-lg-1{padding-left:.25rem!important}:host ::ng-deep .ps-lg-2{padding-left:.5rem!important}:host ::ng-deep .ps-lg-3{padding-left:1rem!important}:host ::ng-deep .ps-lg-4{padding-left:1.5rem!important}:host ::ng-deep .ps-lg-5{padding-left:3rem!important}:host ::ng-deep .gap-lg-0{gap:0!important}:host ::ng-deep .gap-lg-1{gap:.25rem!important}:host ::ng-deep .gap-lg-2{gap:.5rem!important}:host ::ng-deep .gap-lg-3{gap:1rem!important}:host ::ng-deep .gap-lg-4{gap:1.5rem!important}:host ::ng-deep .gap-lg-5{gap:3rem!important}:host ::ng-deep .text-lg-start{text-align:left!important}:host ::ng-deep .text-lg-end{text-align:right!important}:host ::ng-deep .text-lg-center{text-align:center!important}}@media (min-width: 1200px){:host ::ng-deep .float-xl-start{float:left!important}:host ::ng-deep .float-xl-end{float:right!important}:host ::ng-deep .float-xl-none{float:none!important}:host ::ng-deep .d-xl-inline{display:inline!important}:host ::ng-deep .d-xl-inline-block{display:inline-block!important}:host ::ng-deep .d-xl-block{display:block!important}:host ::ng-deep .d-xl-grid{display:grid!important}:host ::ng-deep .d-xl-table{display:table!important}:host ::ng-deep .d-xl-table-row{display:table-row!important}:host ::ng-deep .d-xl-table-cell{display:table-cell!important}:host ::ng-deep .d-xl-flex{display:flex!important}:host ::ng-deep .d-xl-inline-flex{display:inline-flex!important}:host ::ng-deep .d-xl-none{display:none!important}:host ::ng-deep .flex-xl-fill{flex:1 1 auto!important}:host ::ng-deep .flex-xl-row{flex-direction:row!important}:host ::ng-deep .flex-xl-column{flex-direction:column!important}:host ::ng-deep .flex-xl-row-reverse{flex-direction:row-reverse!important}:host ::ng-deep .flex-xl-column-reverse{flex-direction:column-reverse!important}:host ::ng-deep .flex-xl-grow-0{flex-grow:0!important}:host ::ng-deep .flex-xl-grow-1{flex-grow:1!important}:host ::ng-deep .flex-xl-shrink-0{flex-shrink:0!important}:host ::ng-deep .flex-xl-shrink-1{flex-shrink:1!important}:host ::ng-deep .flex-xl-wrap{flex-wrap:wrap!important}:host ::ng-deep .flex-xl-nowrap{flex-wrap:nowrap!important}:host ::ng-deep .flex-xl-wrap-reverse{flex-wrap:wrap-reverse!important}:host ::ng-deep .justify-content-xl-start{justify-content:flex-start!important}:host ::ng-deep .justify-content-xl-end{justify-content:flex-end!important}:host ::ng-deep .justify-content-xl-center{justify-content:center!important}:host ::ng-deep .justify-content-xl-between{justify-content:space-between!important}:host ::ng-deep .justify-content-xl-around{justify-content:space-around!important}:host ::ng-deep .justify-content-xl-evenly{justify-content:space-evenly!important}:host ::ng-deep .align-items-xl-start{align-items:flex-start!important}:host ::ng-deep .align-items-xl-end{align-items:flex-end!important}:host ::ng-deep .align-items-xl-center{align-items:center!important}:host ::ng-deep .align-items-xl-baseline{align-items:baseline!important}:host ::ng-deep .align-items-xl-stretch{align-items:stretch!important}:host ::ng-deep .align-content-xl-start{align-content:flex-start!important}:host ::ng-deep .align-content-xl-end{align-content:flex-end!important}:host ::ng-deep .align-content-xl-center{align-content:center!important}:host ::ng-deep .align-content-xl-between{align-content:space-between!important}:host ::ng-deep .align-content-xl-around{align-content:space-around!important}:host ::ng-deep .align-content-xl-stretch{align-content:stretch!important}:host ::ng-deep .align-self-xl-auto{align-self:auto!important}:host ::ng-deep .align-self-xl-start{align-self:flex-start!important}:host ::ng-deep .align-self-xl-end{align-self:flex-end!important}:host ::ng-deep .align-self-xl-center{align-self:center!important}:host ::ng-deep .align-self-xl-baseline{align-self:baseline!important}:host ::ng-deep .align-self-xl-stretch{align-self:stretch!important}:host ::ng-deep .order-xl-first{order:-1!important}:host ::ng-deep .order-xl-0{order:0!important}:host ::ng-deep .order-xl-1{order:1!important}:host ::ng-deep .order-xl-2{order:2!important}:host ::ng-deep .order-xl-3{order:3!important}:host ::ng-deep .order-xl-4{order:4!important}:host ::ng-deep .order-xl-5{order:5!important}:host ::ng-deep .order-xl-last{order:6!important}:host ::ng-deep .m-xl-0{margin:0!important}:host ::ng-deep .m-xl-1{margin:.25rem!important}:host ::ng-deep .m-xl-2{margin:.5rem!important}:host ::ng-deep .m-xl-3{margin:1rem!important}:host ::ng-deep .m-xl-4{margin:1.5rem!important}:host ::ng-deep .m-xl-5{margin:3rem!important}:host ::ng-deep .m-xl-auto{margin:auto!important}:host ::ng-deep .mx-xl-0{margin-right:0!important;margin-left:0!important}:host ::ng-deep .mx-xl-1{margin-right:.25rem!important;margin-left:.25rem!important}:host ::ng-deep .mx-xl-2{margin-right:.5rem!important;margin-left:.5rem!important}:host ::ng-deep .mx-xl-3{margin-right:1rem!important;margin-left:1rem!important}:host ::ng-deep .mx-xl-4{margin-right:1.5rem!important;margin-left:1.5rem!important}:host ::ng-deep .mx-xl-5{margin-right:3rem!important;margin-left:3rem!important}:host ::ng-deep .mx-xl-auto{margin-right:auto!important;margin-left:auto!important}:host ::ng-deep .my-xl-0{margin-top:0!important;margin-bottom:0!important}:host ::ng-deep .my-xl-1{margin-top:.25rem!important;margin-bottom:.25rem!important}:host ::ng-deep .my-xl-2{margin-top:.5rem!important;margin-bottom:.5rem!important}:host ::ng-deep .my-xl-3{margin-top:1rem!important;margin-bottom:1rem!important}:host ::ng-deep .my-xl-4{margin-top:1.5rem!important;margin-bottom:1.5rem!important}:host ::ng-deep .my-xl-5{margin-top:3rem!important;margin-bottom:3rem!important}:host ::ng-deep .my-xl-auto{margin-top:auto!important;margin-bottom:auto!important}:host ::ng-deep .mt-xl-0{margin-top:0!important}:host ::ng-deep .mt-xl-1{margin-top:.25rem!important}:host ::ng-deep .mt-xl-2{margin-top:.5rem!important}:host ::ng-deep .mt-xl-3{margin-top:1rem!important}:host ::ng-deep .mt-xl-4{margin-top:1.5rem!important}:host ::ng-deep .mt-xl-5{margin-top:3rem!important}:host ::ng-deep .mt-xl-auto{margin-top:auto!important}:host ::ng-deep .me-xl-0{margin-right:0!important}:host ::ng-deep .me-xl-1{margin-right:.25rem!important}:host ::ng-deep .me-xl-2{margin-right:.5rem!important}:host ::ng-deep .me-xl-3{margin-right:1rem!important}:host ::ng-deep .me-xl-4{margin-right:1.5rem!important}:host ::ng-deep .me-xl-5{margin-right:3rem!important}:host ::ng-deep .me-xl-auto{margin-right:auto!important}:host ::ng-deep .mb-xl-0{margin-bottom:0!important}:host ::ng-deep .mb-xl-1{margin-bottom:.25rem!important}:host ::ng-deep .mb-xl-2{margin-bottom:.5rem!important}:host ::ng-deep .mb-xl-3{margin-bottom:1rem!important}:host ::ng-deep .mb-xl-4{margin-bottom:1.5rem!important}:host ::ng-deep .mb-xl-5{margin-bottom:3rem!important}:host ::ng-deep .mb-xl-auto{margin-bottom:auto!important}:host ::ng-deep .ms-xl-0{margin-left:0!important}:host ::ng-deep .ms-xl-1{margin-left:.25rem!important}:host ::ng-deep .ms-xl-2{margin-left:.5rem!important}:host ::ng-deep .ms-xl-3{margin-left:1rem!important}:host ::ng-deep .ms-xl-4{margin-left:1.5rem!important}:host ::ng-deep .ms-xl-5{margin-left:3rem!important}:host ::ng-deep .ms-xl-auto{margin-left:auto!important}:host ::ng-deep .p-xl-0{padding:0!important}:host ::ng-deep .p-xl-1{padding:.25rem!important}:host ::ng-deep .p-xl-2{padding:.5rem!important}:host ::ng-deep .p-xl-3{padding:1rem!important}:host ::ng-deep .p-xl-4{padding:1.5rem!important}:host ::ng-deep .p-xl-5{padding:3rem!important}:host ::ng-deep .px-xl-0{padding-right:0!important;padding-left:0!important}:host ::ng-deep .px-xl-1{padding-right:.25rem!important;padding-left:.25rem!important}:host ::ng-deep .px-xl-2{padding-right:.5rem!important;padding-left:.5rem!important}:host ::ng-deep .px-xl-3{padding-right:1rem!important;padding-left:1rem!important}:host ::ng-deep .px-xl-4{padding-right:1.5rem!important;padding-left:1.5rem!important}:host ::ng-deep .px-xl-5{padding-right:3rem!important;padding-left:3rem!important}:host ::ng-deep .py-xl-0{padding-top:0!important;padding-bottom:0!important}:host ::ng-deep .py-xl-1{padding-top:.25rem!important;padding-bottom:.25rem!important}:host ::ng-deep .py-xl-2{padding-top:.5rem!important;padding-bottom:.5rem!important}:host ::ng-deep .py-xl-3{padding-top:1rem!important;padding-bottom:1rem!important}:host ::ng-deep .py-xl-4{padding-top:1.5rem!important;padding-bottom:1.5rem!important}:host ::ng-deep .py-xl-5{padding-top:3rem!important;padding-bottom:3rem!important}:host ::ng-deep .pt-xl-0{padding-top:0!important}:host ::ng-deep .pt-xl-1{padding-top:.25rem!important}:host ::ng-deep .pt-xl-2{padding-top:.5rem!important}:host ::ng-deep .pt-xl-3{padding-top:1rem!important}:host ::ng-deep .pt-xl-4{padding-top:1.5rem!important}:host ::ng-deep .pt-xl-5{padding-top:3rem!important}:host ::ng-deep .pe-xl-0{padding-right:0!important}:host ::ng-deep .pe-xl-1{padding-right:.25rem!important}:host ::ng-deep .pe-xl-2{padding-right:.5rem!important}:host ::ng-deep .pe-xl-3{padding-right:1rem!important}:host ::ng-deep .pe-xl-4{padding-right:1.5rem!important}:host ::ng-deep .pe-xl-5{padding-right:3rem!important}:host ::ng-deep .pb-xl-0{padding-bottom:0!important}:host ::ng-deep .pb-xl-1{padding-bottom:.25rem!important}:host ::ng-deep .pb-xl-2{padding-bottom:.5rem!important}:host ::ng-deep .pb-xl-3{padding-bottom:1rem!important}:host ::ng-deep .pb-xl-4{padding-bottom:1.5rem!important}:host ::ng-deep .pb-xl-5{padding-bottom:3rem!important}:host ::ng-deep .ps-xl-0{padding-left:0!important}:host ::ng-deep .ps-xl-1{padding-left:.25rem!important}:host ::ng-deep .ps-xl-2{padding-left:.5rem!important}:host ::ng-deep .ps-xl-3{padding-left:1rem!important}:host ::ng-deep .ps-xl-4{padding-left:1.5rem!important}:host ::ng-deep .ps-xl-5{padding-left:3rem!important}:host ::ng-deep .gap-xl-0{gap:0!important}:host ::ng-deep .gap-xl-1{gap:.25rem!important}:host ::ng-deep .gap-xl-2{gap:.5rem!important}:host ::ng-deep .gap-xl-3{gap:1rem!important}:host ::ng-deep .gap-xl-4{gap:1.5rem!important}:host ::ng-deep .gap-xl-5{gap:3rem!important}:host ::ng-deep .text-xl-start{text-align:left!important}:host ::ng-deep .text-xl-end{text-align:right!important}:host ::ng-deep .text-xl-center{text-align:center!important}}@media (min-width: 1400px){:host ::ng-deep .float-xxl-start{float:left!important}:host ::ng-deep .float-xxl-end{float:right!important}:host ::ng-deep .float-xxl-none{float:none!important}:host ::ng-deep .d-xxl-inline{display:inline!important}:host ::ng-deep .d-xxl-inline-block{display:inline-block!important}:host ::ng-deep .d-xxl-block{display:block!important}:host ::ng-deep .d-xxl-grid{display:grid!important}:host ::ng-deep .d-xxl-table{display:table!important}:host ::ng-deep .d-xxl-table-row{display:table-row!important}:host ::ng-deep .d-xxl-table-cell{display:table-cell!important}:host ::ng-deep .d-xxl-flex{display:flex!important}:host ::ng-deep .d-xxl-inline-flex{display:inline-flex!important}:host ::ng-deep .d-xxl-none{display:none!important}:host ::ng-deep .flex-xxl-fill{flex:1 1 auto!important}:host ::ng-deep .flex-xxl-row{flex-direction:row!important}:host ::ng-deep .flex-xxl-column{flex-direction:column!important}:host ::ng-deep .flex-xxl-row-reverse{flex-direction:row-reverse!important}:host ::ng-deep .flex-xxl-column-reverse{flex-direction:column-reverse!important}:host ::ng-deep .flex-xxl-grow-0{flex-grow:0!important}:host ::ng-deep .flex-xxl-grow-1{flex-grow:1!important}:host ::ng-deep .flex-xxl-shrink-0{flex-shrink:0!important}:host ::ng-deep .flex-xxl-shrink-1{flex-shrink:1!important}:host ::ng-deep .flex-xxl-wrap{flex-wrap:wrap!important}:host ::ng-deep .flex-xxl-nowrap{flex-wrap:nowrap!important}:host ::ng-deep .flex-xxl-wrap-reverse{flex-wrap:wrap-reverse!important}:host ::ng-deep .justify-content-xxl-start{justify-content:flex-start!important}:host ::ng-deep .justify-content-xxl-end{justify-content:flex-end!important}:host ::ng-deep .justify-content-xxl-center{justify-content:center!important}:host ::ng-deep .justify-content-xxl-between{justify-content:space-between!important}:host ::ng-deep .justify-content-xxl-around{justify-content:space-around!important}:host ::ng-deep .justify-content-xxl-evenly{justify-content:space-evenly!important}:host ::ng-deep .align-items-xxl-start{align-items:flex-start!important}:host ::ng-deep .align-items-xxl-end{align-items:flex-end!important}:host ::ng-deep .align-items-xxl-center{align-items:center!important}:host ::ng-deep .align-items-xxl-baseline{align-items:baseline!important}:host ::ng-deep .align-items-xxl-stretch{align-items:stretch!important}:host ::ng-deep .align-content-xxl-start{align-content:flex-start!important}:host ::ng-deep .align-content-xxl-end{align-content:flex-end!important}:host ::ng-deep .align-content-xxl-center{align-content:center!important}:host ::ng-deep .align-content-xxl-between{align-content:space-between!important}:host ::ng-deep .align-content-xxl-around{align-content:space-around!important}:host ::ng-deep .align-content-xxl-stretch{align-content:stretch!important}:host ::ng-deep .align-self-xxl-auto{align-self:auto!important}:host ::ng-deep .align-self-xxl-start{align-self:flex-start!important}:host ::ng-deep .align-self-xxl-end{align-self:flex-end!important}:host ::ng-deep .align-self-xxl-center{align-self:center!important}:host ::ng-deep .align-self-xxl-baseline{align-self:baseline!important}:host ::ng-deep .align-self-xxl-stretch{align-self:stretch!important}:host ::ng-deep .order-xxl-first{order:-1!important}:host ::ng-deep .order-xxl-0{order:0!important}:host ::ng-deep .order-xxl-1{order:1!important}:host ::ng-deep .order-xxl-2{order:2!important}:host ::ng-deep .order-xxl-3{order:3!important}:host ::ng-deep .order-xxl-4{order:4!important}:host ::ng-deep .order-xxl-5{order:5!important}:host ::ng-deep .order-xxl-last{order:6!important}:host ::ng-deep .m-xxl-0{margin:0!important}:host ::ng-deep .m-xxl-1{margin:.25rem!important}:host ::ng-deep .m-xxl-2{margin:.5rem!important}:host ::ng-deep .m-xxl-3{margin:1rem!important}:host ::ng-deep .m-xxl-4{margin:1.5rem!important}:host ::ng-deep .m-xxl-5{margin:3rem!important}:host ::ng-deep .m-xxl-auto{margin:auto!important}:host ::ng-deep .mx-xxl-0{margin-right:0!important;margin-left:0!important}:host ::ng-deep .mx-xxl-1{margin-right:.25rem!important;margin-left:.25rem!important}:host ::ng-deep .mx-xxl-2{margin-right:.5rem!important;margin-left:.5rem!important}:host ::ng-deep .mx-xxl-3{margin-right:1rem!important;margin-left:1rem!important}:host ::ng-deep .mx-xxl-4{margin-right:1.5rem!important;margin-left:1.5rem!important}:host ::ng-deep .mx-xxl-5{margin-right:3rem!important;margin-left:3rem!important}:host ::ng-deep .mx-xxl-auto{margin-right:auto!important;margin-left:auto!important}:host ::ng-deep .my-xxl-0{margin-top:0!important;margin-bottom:0!important}:host ::ng-deep .my-xxl-1{margin-top:.25rem!important;margin-bottom:.25rem!important}:host ::ng-deep .my-xxl-2{margin-top:.5rem!important;margin-bottom:.5rem!important}:host ::ng-deep .my-xxl-3{margin-top:1rem!important;margin-bottom:1rem!important}:host ::ng-deep .my-xxl-4{margin-top:1.5rem!important;margin-bottom:1.5rem!important}:host ::ng-deep .my-xxl-5{margin-top:3rem!important;margin-bottom:3rem!important}:host ::ng-deep .my-xxl-auto{margin-top:auto!important;margin-bottom:auto!important}:host ::ng-deep .mt-xxl-0{margin-top:0!important}:host ::ng-deep .mt-xxl-1{margin-top:.25rem!important}:host ::ng-deep .mt-xxl-2{margin-top:.5rem!important}:host ::ng-deep .mt-xxl-3{margin-top:1rem!important}:host ::ng-deep .mt-xxl-4{margin-top:1.5rem!important}:host ::ng-deep .mt-xxl-5{margin-top:3rem!important}:host ::ng-deep .mt-xxl-auto{margin-top:auto!important}:host ::ng-deep .me-xxl-0{margin-right:0!important}:host ::ng-deep .me-xxl-1{margin-right:.25rem!important}:host ::ng-deep .me-xxl-2{margin-right:.5rem!important}:host ::ng-deep .me-xxl-3{margin-right:1rem!important}:host ::ng-deep .me-xxl-4{margin-right:1.5rem!important}:host ::ng-deep .me-xxl-5{margin-right:3rem!important}:host ::ng-deep .me-xxl-auto{margin-right:auto!important}:host ::ng-deep .mb-xxl-0{margin-bottom:0!important}:host ::ng-deep .mb-xxl-1{margin-bottom:.25rem!important}:host ::ng-deep .mb-xxl-2{margin-bottom:.5rem!important}:host ::ng-deep .mb-xxl-3{margin-bottom:1rem!important}:host ::ng-deep .mb-xxl-4{margin-bottom:1.5rem!important}:host ::ng-deep .mb-xxl-5{margin-bottom:3rem!important}:host ::ng-deep .mb-xxl-auto{margin-bottom:auto!important}:host ::ng-deep .ms-xxl-0{margin-left:0!important}:host ::ng-deep .ms-xxl-1{margin-left:.25rem!important}:host ::ng-deep .ms-xxl-2{margin-left:.5rem!important}:host ::ng-deep .ms-xxl-3{margin-left:1rem!important}:host ::ng-deep .ms-xxl-4{margin-left:1.5rem!important}:host ::ng-deep .ms-xxl-5{margin-left:3rem!important}:host ::ng-deep .ms-xxl-auto{margin-left:auto!important}:host ::ng-deep .p-xxl-0{padding:0!important}:host ::ng-deep .p-xxl-1{padding:.25rem!important}:host ::ng-deep .p-xxl-2{padding:.5rem!important}:host ::ng-deep .p-xxl-3{padding:1rem!important}:host ::ng-deep .p-xxl-4{padding:1.5rem!important}:host ::ng-deep .p-xxl-5{padding:3rem!important}:host ::ng-deep .px-xxl-0{padding-right:0!important;padding-left:0!important}:host ::ng-deep .px-xxl-1{padding-right:.25rem!important;padding-left:.25rem!important}:host ::ng-deep .px-xxl-2{padding-right:.5rem!important;padding-left:.5rem!important}:host ::ng-deep .px-xxl-3{padding-right:1rem!important;padding-left:1rem!important}:host ::ng-deep .px-xxl-4{padding-right:1.5rem!important;padding-left:1.5rem!important}:host ::ng-deep .px-xxl-5{padding-right:3rem!important;padding-left:3rem!important}:host ::ng-deep .py-xxl-0{padding-top:0!important;padding-bottom:0!important}:host ::ng-deep .py-xxl-1{padding-top:.25rem!important;padding-bottom:.25rem!important}:host ::ng-deep .py-xxl-2{padding-top:.5rem!important;padding-bottom:.5rem!important}:host ::ng-deep .py-xxl-3{padding-top:1rem!important;padding-bottom:1rem!important}:host ::ng-deep .py-xxl-4{padding-top:1.5rem!important;padding-bottom:1.5rem!important}:host ::ng-deep .py-xxl-5{padding-top:3rem!important;padding-bottom:3rem!important}:host ::ng-deep .pt-xxl-0{padding-top:0!important}:host ::ng-deep .pt-xxl-1{padding-top:.25rem!important}:host ::ng-deep .pt-xxl-2{padding-top:.5rem!important}:host ::ng-deep .pt-xxl-3{padding-top:1rem!important}:host ::ng-deep .pt-xxl-4{padding-top:1.5rem!important}:host ::ng-deep .pt-xxl-5{padding-top:3rem!important}:host ::ng-deep .pe-xxl-0{padding-right:0!important}:host ::ng-deep .pe-xxl-1{padding-right:.25rem!important}:host ::ng-deep .pe-xxl-2{padding-right:.5rem!important}:host ::ng-deep .pe-xxl-3{padding-right:1rem!important}:host ::ng-deep .pe-xxl-4{padding-right:1.5rem!important}:host ::ng-deep .pe-xxl-5{padding-right:3rem!important}:host ::ng-deep .pb-xxl-0{padding-bottom:0!important}:host ::ng-deep .pb-xxl-1{padding-bottom:.25rem!important}:host ::ng-deep .pb-xxl-2{padding-bottom:.5rem!important}:host ::ng-deep .pb-xxl-3{padding-bottom:1rem!important}:host ::ng-deep .pb-xxl-4{padding-bottom:1.5rem!important}:host ::ng-deep .pb-xxl-5{padding-bottom:3rem!important}:host ::ng-deep .ps-xxl-0{padding-left:0!important}:host ::ng-deep .ps-xxl-1{padding-left:.25rem!important}:host ::ng-deep .ps-xxl-2{padding-left:.5rem!important}:host ::ng-deep .ps-xxl-3{padding-left:1rem!important}:host ::ng-deep .ps-xxl-4{padding-left:1.5rem!important}:host ::ng-deep .ps-xxl-5{padding-left:3rem!important}:host ::ng-deep .gap-xxl-0{gap:0!important}:host ::ng-deep .gap-xxl-1{gap:.25rem!important}:host ::ng-deep .gap-xxl-2{gap:.5rem!important}:host ::ng-deep .gap-xxl-3{gap:1rem!important}:host ::ng-deep .gap-xxl-4{gap:1.5rem!important}:host ::ng-deep .gap-xxl-5{gap:3rem!important}:host ::ng-deep .text-xxl-start{text-align:left!important}:host ::ng-deep .text-xxl-end{text-align:right!important}:host ::ng-deep .text-xxl-center{text-align:center!important}}@media (min-width: 1200px){:host ::ng-deep .fs-1{font-size:2.5rem!important}:host ::ng-deep .fs-2{font-size:2rem!important}:host ::ng-deep .fs-3{font-size:1.75rem!important}:host ::ng-deep .fs-4{font-size:1.5rem!important}}@media print{:host ::ng-deep .d-print-inline{display:inline!important}:host ::ng-deep .d-print-inline-block{display:inline-block!important}:host ::ng-deep .d-print-block{display:block!important}:host ::ng-deep .d-print-grid{display:grid!important}:host ::ng-deep .d-print-table{display:table!important}:host ::ng-deep .d-print-table-row{display:table-row!important}:host ::ng-deep .d-print-table-cell{display:table-cell!important}:host ::ng-deep .d-print-flex{display:flex!important}:host ::ng-deep .d-print-inline-flex{display:inline-flex!important}:host ::ng-deep .d-print-none{display:none!important}}:host ::ng-deep .container,:host ::ng-deep .container-fluid,:host ::ng-deep .container-xxl,:host ::ng-deep .container-xl,:host ::ng-deep .container-lg,:host ::ng-deep .container-md,:host ::ng-deep .container-sm{--bs-gutter-x: 1.5rem;--bs-gutter-y: 0;width:100%;padding-right:calc(var(--bs-gutter-x) * .5);padding-left:calc(var(--bs-gutter-x) * .5);margin-right:auto;margin-left:auto}@media (min-width: 576px){:host ::ng-deep .container-sm,:host ::ng-deep .container{max-width:540px}}@media (min-width: 768px){:host ::ng-deep .container-md,:host ::ng-deep .container-sm,:host ::ng-deep .container{max-width:720px}}@media (min-width: 992px){:host ::ng-deep .container-lg,:host ::ng-deep .container-md,:host ::ng-deep .container-sm,:host ::ng-deep .container{max-width:960px}}@media (min-width: 1200px){:host ::ng-deep .container-xl,:host ::ng-deep .container-lg,:host ::ng-deep .container-md,:host ::ng-deep .container-sm,:host ::ng-deep .container{max-width:1140px}}@media (min-width: 1400px){:host ::ng-deep .container-xxl,:host ::ng-deep .container-xl,:host ::ng-deep .container-lg,:host ::ng-deep .container-md,:host ::ng-deep .container-sm,:host ::ng-deep .container{max-width:1320px}}:host ::ng-deep .row{--bs-gutter-x: 1.5rem;--bs-gutter-y: 0;display:flex;flex-wrap:wrap;margin-top:calc(-1 * var(--bs-gutter-y));margin-right:calc(-.5 * var(--bs-gutter-x));margin-left:calc(-.5 * var(--bs-gutter-x))}:host ::ng-deep .row>*{flex-shrink:0;width:100%;max-width:100%;padding-right:calc(var(--bs-gutter-x) * .5);padding-left:calc(var(--bs-gutter-x) * .5);margin-top:var(--bs-gutter-y)}:host ::ng-deep .col{flex:1 0 0%}:host ::ng-deep .row-cols-auto>*{flex:0 0 auto;width:auto}:host ::ng-deep .row-cols-1>*{flex:0 0 auto;width:100%}:host ::ng-deep .row-cols-2>*{flex:0 0 auto;width:50%}:host ::ng-deep .row-cols-3>*{flex:0 0 auto;width:33.3333333333%}:host ::ng-deep .row-cols-4>*{flex:0 0 auto;width:25%}:host ::ng-deep .row-cols-5>*{flex:0 0 auto;width:20%}:host ::ng-deep .row-cols-6>*{flex:0 0 auto;width:16.6666666667%}:host ::ng-deep .col-auto{flex:0 0 auto;width:auto}:host ::ng-deep .col-1{flex:0 0 auto;width:8.33333333%}:host ::ng-deep .col-2{flex:0 0 auto;width:16.66666667%}:host ::ng-deep .col-3{flex:0 0 auto;width:25%}:host ::ng-deep .col-4{flex:0 0 auto;width:33.33333333%}:host ::ng-deep .col-5{flex:0 0 auto;width:41.66666667%}:host ::ng-deep .col-6{flex:0 0 auto;width:50%}:host ::ng-deep .col-7{flex:0 0 auto;width:58.33333333%}:host ::ng-deep .col-8{flex:0 0 auto;width:66.66666667%}:host ::ng-deep .col-9{flex:0 0 auto;width:75%}:host ::ng-deep .col-10{flex:0 0 auto;width:83.33333333%}:host ::ng-deep .col-11{flex:0 0 auto;width:91.66666667%}:host ::ng-deep .col-12{flex:0 0 auto;width:100%}:host ::ng-deep .offset-1{margin-left:8.33333333%}:host ::ng-deep .offset-2{margin-left:16.66666667%}:host ::ng-deep .offset-3{margin-left:25%}:host ::ng-deep .offset-4{margin-left:33.33333333%}:host ::ng-deep .offset-5{margin-left:41.66666667%}:host ::ng-deep .offset-6{margin-left:50%}:host ::ng-deep .offset-7{margin-left:58.33333333%}:host ::ng-deep .offset-8{margin-left:66.66666667%}:host ::ng-deep .offset-9{margin-left:75%}:host ::ng-deep .offset-10{margin-left:83.33333333%}:host ::ng-deep .offset-11{margin-left:91.66666667%}:host ::ng-deep .g-0,:host ::ng-deep .gx-0{--bs-gutter-x: 0}:host ::ng-deep .g-0,:host ::ng-deep .gy-0{--bs-gutter-y: 0}:host ::ng-deep .g-1,:host ::ng-deep .gx-1{--bs-gutter-x: .25rem}:host ::ng-deep .g-1,:host ::ng-deep .gy-1{--bs-gutter-y: .25rem}:host ::ng-deep .g-2,:host ::ng-deep .gx-2{--bs-gutter-x: .5rem}:host ::ng-deep .g-2,:host ::ng-deep .gy-2{--bs-gutter-y: .5rem}:host ::ng-deep .g-3,:host ::ng-deep .gx-3{--bs-gutter-x: 1rem}:host ::ng-deep .g-3,:host ::ng-deep .gy-3{--bs-gutter-y: 1rem}:host ::ng-deep .g-4,:host ::ng-deep .gx-4{--bs-gutter-x: 1.5rem}:host ::ng-deep .g-4,:host ::ng-deep .gy-4{--bs-gutter-y: 1.5rem}:host ::ng-deep .g-5,:host ::ng-deep .gx-5{--bs-gutter-x: 3rem}:host ::ng-deep .g-5,:host ::ng-deep .gy-5{--bs-gutter-y: 3rem}@media (min-width: 576px){:host ::ng-deep .col-sm{flex:1 0 0%}:host ::ng-deep .row-cols-sm-auto>*{flex:0 0 auto;width:auto}:host ::ng-deep .row-cols-sm-1>*{flex:0 0 auto;width:100%}:host ::ng-deep .row-cols-sm-2>*{flex:0 0 auto;width:50%}:host ::ng-deep .row-cols-sm-3>*{flex:0 0 auto;width:33.3333333333%}:host ::ng-deep .row-cols-sm-4>*{flex:0 0 auto;width:25%}:host ::ng-deep .row-cols-sm-5>*{flex:0 0 auto;width:20%}:host ::ng-deep .row-cols-sm-6>*{flex:0 0 auto;width:16.6666666667%}:host ::ng-deep .col-sm-auto{flex:0 0 auto;width:auto}:host ::ng-deep .col-sm-1{flex:0 0 auto;width:8.33333333%}:host ::ng-deep .col-sm-2{flex:0 0 auto;width:16.66666667%}:host ::ng-deep .col-sm-3{flex:0 0 auto;width:25%}:host ::ng-deep .col-sm-4{flex:0 0 auto;width:33.33333333%}:host ::ng-deep .col-sm-5{flex:0 0 auto;width:41.66666667%}:host ::ng-deep .col-sm-6{flex:0 0 auto;width:50%}:host ::ng-deep .col-sm-7{flex:0 0 auto;width:58.33333333%}:host ::ng-deep .col-sm-8{flex:0 0 auto;width:66.66666667%}:host ::ng-deep .col-sm-9{flex:0 0 auto;width:75%}:host ::ng-deep .col-sm-10{flex:0 0 auto;width:83.33333333%}:host ::ng-deep .col-sm-11{flex:0 0 auto;width:91.66666667%}:host ::ng-deep .col-sm-12{flex:0 0 auto;width:100%}:host ::ng-deep .offset-sm-0{margin-left:0}:host ::ng-deep .offset-sm-1{margin-left:8.33333333%}:host ::ng-deep .offset-sm-2{margin-left:16.66666667%}:host ::ng-deep .offset-sm-3{margin-left:25%}:host ::ng-deep .offset-sm-4{margin-left:33.33333333%}:host ::ng-deep .offset-sm-5{margin-left:41.66666667%}:host ::ng-deep .offset-sm-6{margin-left:50%}:host ::ng-deep .offset-sm-7{margin-left:58.33333333%}:host ::ng-deep .offset-sm-8{margin-left:66.66666667%}:host ::ng-deep .offset-sm-9{margin-left:75%}:host ::ng-deep .offset-sm-10{margin-left:83.33333333%}:host ::ng-deep .offset-sm-11{margin-left:91.66666667%}:host ::ng-deep .g-sm-0,:host ::ng-deep .gx-sm-0{--bs-gutter-x: 0}:host ::ng-deep .g-sm-0,:host ::ng-deep .gy-sm-0{--bs-gutter-y: 0}:host ::ng-deep .g-sm-1,:host ::ng-deep .gx-sm-1{--bs-gutter-x: .25rem}:host ::ng-deep .g-sm-1,:host ::ng-deep .gy-sm-1{--bs-gutter-y: .25rem}:host ::ng-deep .g-sm-2,:host ::ng-deep .gx-sm-2{--bs-gutter-x: .5rem}:host ::ng-deep .g-sm-2,:host ::ng-deep .gy-sm-2{--bs-gutter-y: .5rem}:host ::ng-deep .g-sm-3,:host ::ng-deep .gx-sm-3{--bs-gutter-x: 1rem}:host ::ng-deep .g-sm-3,:host ::ng-deep .gy-sm-3{--bs-gutter-y: 1rem}:host ::ng-deep .g-sm-4,:host ::ng-deep .gx-sm-4{--bs-gutter-x: 1.5rem}:host ::ng-deep .g-sm-4,:host ::ng-deep .gy-sm-4{--bs-gutter-y: 1.5rem}:host ::ng-deep .g-sm-5,:host ::ng-deep .gx-sm-5{--bs-gutter-x: 3rem}:host ::ng-deep .g-sm-5,:host ::ng-deep .gy-sm-5{--bs-gutter-y: 3rem}}@media (min-width: 768px){:host ::ng-deep .col-md{flex:1 0 0%}:host ::ng-deep .row-cols-md-auto>*{flex:0 0 auto;width:auto}:host ::ng-deep .row-cols-md-1>*{flex:0 0 auto;width:100%}:host ::ng-deep .row-cols-md-2>*{flex:0 0 auto;width:50%}:host ::ng-deep .row-cols-md-3>*{flex:0 0 auto;width:33.3333333333%}:host ::ng-deep .row-cols-md-4>*{flex:0 0 auto;width:25%}:host ::ng-deep .row-cols-md-5>*{flex:0 0 auto;width:20%}:host ::ng-deep .row-cols-md-6>*{flex:0 0 auto;width:16.6666666667%}:host ::ng-deep .col-md-auto{flex:0 0 auto;width:auto}:host ::ng-deep .col-md-1{flex:0 0 auto;width:8.33333333%}:host ::ng-deep .col-md-2{flex:0 0 auto;width:16.66666667%}:host ::ng-deep .col-md-3{flex:0 0 auto;width:25%}:host ::ng-deep .col-md-4{flex:0 0 auto;width:33.33333333%}:host ::ng-deep .col-md-5{flex:0 0 auto;width:41.66666667%}:host ::ng-deep .col-md-6{flex:0 0 auto;width:50%}:host ::ng-deep .col-md-7{flex:0 0 auto;width:58.33333333%}:host ::ng-deep .col-md-8{flex:0 0 auto;width:66.66666667%}:host ::ng-deep .col-md-9{flex:0 0 auto;width:75%}:host ::ng-deep .col-md-10{flex:0 0 auto;width:83.33333333%}:host ::ng-deep .col-md-11{flex:0 0 auto;width:91.66666667%}:host ::ng-deep .col-md-12{flex:0 0 auto;width:100%}:host ::ng-deep .offset-md-0{margin-left:0}:host ::ng-deep .offset-md-1{margin-left:8.33333333%}:host ::ng-deep .offset-md-2{margin-left:16.66666667%}:host ::ng-deep .offset-md-3{margin-left:25%}:host ::ng-deep .offset-md-4{margin-left:33.33333333%}:host ::ng-deep .offset-md-5{margin-left:41.66666667%}:host ::ng-deep .offset-md-6{margin-left:50%}:host ::ng-deep .offset-md-7{margin-left:58.33333333%}:host ::ng-deep .offset-md-8{margin-left:66.66666667%}:host ::ng-deep .offset-md-9{margin-left:75%}:host ::ng-deep .offset-md-10{margin-left:83.33333333%}:host ::ng-deep .offset-md-11{margin-left:91.66666667%}:host ::ng-deep .g-md-0,:host ::ng-deep .gx-md-0{--bs-gutter-x: 0}:host ::ng-deep .g-md-0,:host ::ng-deep .gy-md-0{--bs-gutter-y: 0}:host ::ng-deep .g-md-1,:host ::ng-deep .gx-md-1{--bs-gutter-x: .25rem}:host ::ng-deep .g-md-1,:host ::ng-deep .gy-md-1{--bs-gutter-y: .25rem}:host ::ng-deep .g-md-2,:host ::ng-deep .gx-md-2{--bs-gutter-x: .5rem}:host ::ng-deep .g-md-2,:host ::ng-deep .gy-md-2{--bs-gutter-y: .5rem}:host ::ng-deep .g-md-3,:host ::ng-deep .gx-md-3{--bs-gutter-x: 1rem}:host ::ng-deep .g-md-3,:host ::ng-deep .gy-md-3{--bs-gutter-y: 1rem}:host ::ng-deep .g-md-4,:host ::ng-deep .gx-md-4{--bs-gutter-x: 1.5rem}:host ::ng-deep .g-md-4,:host ::ng-deep .gy-md-4{--bs-gutter-y: 1.5rem}:host ::ng-deep .g-md-5,:host ::ng-deep .gx-md-5{--bs-gutter-x: 3rem}:host ::ng-deep .g-md-5,:host ::ng-deep .gy-md-5{--bs-gutter-y: 3rem}}@media (min-width: 992px){:host ::ng-deep .col-lg{flex:1 0 0%}:host ::ng-deep .row-cols-lg-auto>*{flex:0 0 auto;width:auto}:host ::ng-deep .row-cols-lg-1>*{flex:0 0 auto;width:100%}:host ::ng-deep .row-cols-lg-2>*{flex:0 0 auto;width:50%}:host ::ng-deep .row-cols-lg-3>*{flex:0 0 auto;width:33.3333333333%}:host ::ng-deep .row-cols-lg-4>*{flex:0 0 auto;width:25%}:host ::ng-deep .row-cols-lg-5>*{flex:0 0 auto;width:20%}:host ::ng-deep .row-cols-lg-6>*{flex:0 0 auto;width:16.6666666667%}:host ::ng-deep .col-lg-auto{flex:0 0 auto;width:auto}:host ::ng-deep .col-lg-1{flex:0 0 auto;width:8.33333333%}:host ::ng-deep .col-lg-2{flex:0 0 auto;width:16.66666667%}:host ::ng-deep .col-lg-3{flex:0 0 auto;width:25%}:host ::ng-deep .col-lg-4{flex:0 0 auto;width:33.33333333%}:host ::ng-deep .col-lg-5{flex:0 0 auto;width:41.66666667%}:host ::ng-deep .col-lg-6{flex:0 0 auto;width:50%}:host ::ng-deep .col-lg-7{flex:0 0 auto;width:58.33333333%}:host ::ng-deep .col-lg-8{flex:0 0 auto;width:66.66666667%}:host ::ng-deep .col-lg-9{flex:0 0 auto;width:75%}:host ::ng-deep .col-lg-10{flex:0 0 auto;width:83.33333333%}:host ::ng-deep .col-lg-11{flex:0 0 auto;width:91.66666667%}:host ::ng-deep .col-lg-12{flex:0 0 auto;width:100%}:host ::ng-deep .offset-lg-0{margin-left:0}:host ::ng-deep .offset-lg-1{margin-left:8.33333333%}:host ::ng-deep .offset-lg-2{margin-left:16.66666667%}:host ::ng-deep .offset-lg-3{margin-left:25%}:host ::ng-deep .offset-lg-4{margin-left:33.33333333%}:host ::ng-deep .offset-lg-5{margin-left:41.66666667%}:host ::ng-deep .offset-lg-6{margin-left:50%}:host ::ng-deep .offset-lg-7{margin-left:58.33333333%}:host ::ng-deep .offset-lg-8{margin-left:66.66666667%}:host ::ng-deep .offset-lg-9{margin-left:75%}:host ::ng-deep .offset-lg-10{margin-left:83.33333333%}:host ::ng-deep .offset-lg-11{margin-left:91.66666667%}:host ::ng-deep .g-lg-0,:host ::ng-deep .gx-lg-0{--bs-gutter-x: 0}:host ::ng-deep .g-lg-0,:host ::ng-deep .gy-lg-0{--bs-gutter-y: 0}:host ::ng-deep .g-lg-1,:host ::ng-deep .gx-lg-1{--bs-gutter-x: .25rem}:host ::ng-deep .g-lg-1,:host ::ng-deep .gy-lg-1{--bs-gutter-y: .25rem}:host ::ng-deep .g-lg-2,:host ::ng-deep .gx-lg-2{--bs-gutter-x: .5rem}:host ::ng-deep .g-lg-2,:host ::ng-deep .gy-lg-2{--bs-gutter-y: .5rem}:host ::ng-deep .g-lg-3,:host ::ng-deep .gx-lg-3{--bs-gutter-x: 1rem}:host ::ng-deep .g-lg-3,:host ::ng-deep .gy-lg-3{--bs-gutter-y: 1rem}:host ::ng-deep .g-lg-4,:host ::ng-deep .gx-lg-4{--bs-gutter-x: 1.5rem}:host ::ng-deep .g-lg-4,:host ::ng-deep .gy-lg-4{--bs-gutter-y: 1.5rem}:host ::ng-deep .g-lg-5,:host ::ng-deep .gx-lg-5{--bs-gutter-x: 3rem}:host ::ng-deep .g-lg-5,:host ::ng-deep .gy-lg-5{--bs-gutter-y: 3rem}}@media (min-width: 1200px){:host ::ng-deep .col-xl{flex:1 0 0%}:host ::ng-deep .row-cols-xl-auto>*{flex:0 0 auto;width:auto}:host ::ng-deep .row-cols-xl-1>*{flex:0 0 auto;width:100%}:host ::ng-deep .row-cols-xl-2>*{flex:0 0 auto;width:50%}:host ::ng-deep .row-cols-xl-3>*{flex:0 0 auto;width:33.3333333333%}:host ::ng-deep .row-cols-xl-4>*{flex:0 0 auto;width:25%}:host ::ng-deep .row-cols-xl-5>*{flex:0 0 auto;width:20%}:host ::ng-deep .row-cols-xl-6>*{flex:0 0 auto;width:16.6666666667%}:host ::ng-deep .col-xl-auto{flex:0 0 auto;width:auto}:host ::ng-deep .col-xl-1{flex:0 0 auto;width:8.33333333%}:host ::ng-deep .col-xl-2{flex:0 0 auto;width:16.66666667%}:host ::ng-deep .col-xl-3{flex:0 0 auto;width:25%}:host ::ng-deep .col-xl-4{flex:0 0 auto;width:33.33333333%}:host ::ng-deep .col-xl-5{flex:0 0 auto;width:41.66666667%}:host ::ng-deep .col-xl-6{flex:0 0 auto;width:50%}:host ::ng-deep .col-xl-7{flex:0 0 auto;width:58.33333333%}:host ::ng-deep .col-xl-8{flex:0 0 auto;width:66.66666667%}:host ::ng-deep .col-xl-9{flex:0 0 auto;width:75%}:host ::ng-deep .col-xl-10{flex:0 0 auto;width:83.33333333%}:host ::ng-deep .col-xl-11{flex:0 0 auto;width:91.66666667%}:host ::ng-deep .col-xl-12{flex:0 0 auto;width:100%}:host ::ng-deep .offset-xl-0{margin-left:0}:host ::ng-deep .offset-xl-1{margin-left:8.33333333%}:host ::ng-deep .offset-xl-2{margin-left:16.66666667%}:host ::ng-deep .offset-xl-3{margin-left:25%}:host ::ng-deep .offset-xl-4{margin-left:33.33333333%}:host ::ng-deep .offset-xl-5{margin-left:41.66666667%}:host ::ng-deep .offset-xl-6{margin-left:50%}:host ::ng-deep .offset-xl-7{margin-left:58.33333333%}:host ::ng-deep .offset-xl-8{margin-left:66.66666667%}:host ::ng-deep .offset-xl-9{margin-left:75%}:host ::ng-deep .offset-xl-10{margin-left:83.33333333%}:host ::ng-deep .offset-xl-11{margin-left:91.66666667%}:host ::ng-deep .g-xl-0,:host ::ng-deep .gx-xl-0{--bs-gutter-x: 0}:host ::ng-deep .g-xl-0,:host ::ng-deep .gy-xl-0{--bs-gutter-y: 0}:host ::ng-deep .g-xl-1,:host ::ng-deep .gx-xl-1{--bs-gutter-x: .25rem}:host ::ng-deep .g-xl-1,:host ::ng-deep .gy-xl-1{--bs-gutter-y: .25rem}:host ::ng-deep .g-xl-2,:host ::ng-deep .gx-xl-2{--bs-gutter-x: .5rem}:host ::ng-deep .g-xl-2,:host ::ng-deep .gy-xl-2{--bs-gutter-y: .5rem}:host ::ng-deep .g-xl-3,:host ::ng-deep .gx-xl-3{--bs-gutter-x: 1rem}:host ::ng-deep .g-xl-3,:host ::ng-deep .gy-xl-3{--bs-gutter-y: 1rem}:host ::ng-deep .g-xl-4,:host ::ng-deep .gx-xl-4{--bs-gutter-x: 1.5rem}:host ::ng-deep .g-xl-4,:host ::ng-deep .gy-xl-4{--bs-gutter-y: 1.5rem}:host ::ng-deep .g-xl-5,:host ::ng-deep .gx-xl-5{--bs-gutter-x: 3rem}:host ::ng-deep .g-xl-5,:host ::ng-deep .gy-xl-5{--bs-gutter-y: 3rem}}@media (min-width: 1400px){:host ::ng-deep .col-xxl{flex:1 0 0%}:host ::ng-deep .row-cols-xxl-auto>*{flex:0 0 auto;width:auto}:host ::ng-deep .row-cols-xxl-1>*{flex:0 0 auto;width:100%}:host ::ng-deep .row-cols-xxl-2>*{flex:0 0 auto;width:50%}:host ::ng-deep .row-cols-xxl-3>*{flex:0 0 auto;width:33.3333333333%}:host ::ng-deep .row-cols-xxl-4>*{flex:0 0 auto;width:25%}:host ::ng-deep .row-cols-xxl-5>*{flex:0 0 auto;width:20%}:host ::ng-deep .row-cols-xxl-6>*{flex:0 0 auto;width:16.6666666667%}:host ::ng-deep .col-xxl-auto{flex:0 0 auto;width:auto}:host ::ng-deep .col-xxl-1{flex:0 0 auto;width:8.33333333%}:host ::ng-deep .col-xxl-2{flex:0 0 auto;width:16.66666667%}:host ::ng-deep .col-xxl-3{flex:0 0 auto;width:25%}:host ::ng-deep .col-xxl-4{flex:0 0 auto;width:33.33333333%}:host ::ng-deep .col-xxl-5{flex:0 0 auto;width:41.66666667%}:host ::ng-deep .col-xxl-6{flex:0 0 auto;width:50%}:host ::ng-deep .col-xxl-7{flex:0 0 auto;width:58.33333333%}:host ::ng-deep .col-xxl-8{flex:0 0 auto;width:66.66666667%}:host ::ng-deep .col-xxl-9{flex:0 0 auto;width:75%}:host ::ng-deep .col-xxl-10{flex:0 0 auto;width:83.33333333%}:host ::ng-deep .col-xxl-11{flex:0 0 auto;width:91.66666667%}:host ::ng-deep .col-xxl-12{flex:0 0 auto;width:100%}:host ::ng-deep .offset-xxl-0{margin-left:0}:host ::ng-deep .offset-xxl-1{margin-left:8.33333333%}:host ::ng-deep .offset-xxl-2{margin-left:16.66666667%}:host ::ng-deep .offset-xxl-3{margin-left:25%}:host ::ng-deep .offset-xxl-4{margin-left:33.33333333%}:host ::ng-deep .offset-xxl-5{margin-left:41.66666667%}:host ::ng-deep .offset-xxl-6{margin-left:50%}:host ::ng-deep .offset-xxl-7{margin-left:58.33333333%}:host ::ng-deep .offset-xxl-8{margin-left:66.66666667%}:host ::ng-deep .offset-xxl-9{margin-left:75%}:host ::ng-deep .offset-xxl-10{margin-left:83.33333333%}:host ::ng-deep .offset-xxl-11{margin-left:91.66666667%}:host ::ng-deep .g-xxl-0,:host ::ng-deep .gx-xxl-0{--bs-gutter-x: 0}:host ::ng-deep .g-xxl-0,:host ::ng-deep .gy-xxl-0{--bs-gutter-y: 0}:host ::ng-deep .g-xxl-1,:host ::ng-deep .gx-xxl-1{--bs-gutter-x: .25rem}:host ::ng-deep .g-xxl-1,:host ::ng-deep .gy-xxl-1{--bs-gutter-y: .25rem}:host ::ng-deep .g-xxl-2,:host ::ng-deep .gx-xxl-2{--bs-gutter-x: .5rem}:host ::ng-deep .g-xxl-2,:host ::ng-deep .gy-xxl-2{--bs-gutter-y: .5rem}:host ::ng-deep .g-xxl-3,:host ::ng-deep .gx-xxl-3{--bs-gutter-x: 1rem}:host ::ng-deep .g-xxl-3,:host ::ng-deep .gy-xxl-3{--bs-gutter-y: 1rem}:host ::ng-deep .g-xxl-4,:host ::ng-deep .gx-xxl-4{--bs-gutter-x: 1.5rem}:host ::ng-deep .g-xxl-4,:host ::ng-deep .gy-xxl-4{--bs-gutter-y: 1.5rem}:host ::ng-deep .g-xxl-5,:host ::ng-deep .gx-xxl-5{--bs-gutter-x: 3rem}:host ::ng-deep .g-xxl-5,:host ::ng-deep .gy-xxl-5{--bs-gutter-y: 3rem}}:host{display:contents}\n"], dependencies: [{ kind: "pipe", type: i1.AsyncPipe, name: "async" }] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "14.2.2", ngImport: i0, type: BsGridComponent, decorators: [{
            type: Component,
            args: [{ selector: 'bs-grid', template: "<div [class]=\"containerClass$ | async\">\n    <ng-content></ng-content>\n</div>", styles: [":host ::ng-deep .clearfix:after{display:block;clear:both;content:\"\"}:host ::ng-deep .text-bg-primary{color:#fff!important;background-color:RGBA(13,110,253,var(--bs-bg-opacity, 1))!important}:host ::ng-deep .text-bg-secondary{color:#fff!important;background-color:RGBA(108,117,125,var(--bs-bg-opacity, 1))!important}:host ::ng-deep .text-bg-success{color:#fff!important;background-color:RGBA(25,135,84,var(--bs-bg-opacity, 1))!important}:host ::ng-deep .text-bg-info{color:#000!important;background-color:RGBA(13,202,240,var(--bs-bg-opacity, 1))!important}:host ::ng-deep .text-bg-warning{color:#000!important;background-color:RGBA(255,193,7,var(--bs-bg-opacity, 1))!important}:host ::ng-deep .text-bg-danger{color:#fff!important;background-color:RGBA(220,53,69,var(--bs-bg-opacity, 1))!important}:host ::ng-deep .text-bg-light{color:#000!important;background-color:RGBA(248,249,250,var(--bs-bg-opacity, 1))!important}:host ::ng-deep .text-bg-dark{color:#fff!important;background-color:RGBA(33,37,41,var(--bs-bg-opacity, 1))!important}:host ::ng-deep .link-primary{color:#0d6efd!important}:host ::ng-deep .link-primary:hover,:host ::ng-deep .link-primary:focus{color:#0a58ca!important}:host ::ng-deep .link-secondary{color:#6c757d!important}:host ::ng-deep .link-secondary:hover,:host ::ng-deep .link-secondary:focus{color:#565e64!important}:host ::ng-deep .link-success{color:#198754!important}:host ::ng-deep .link-success:hover,:host ::ng-deep .link-success:focus{color:#146c43!important}:host ::ng-deep .link-info{color:#0dcaf0!important}:host ::ng-deep .link-info:hover,:host ::ng-deep .link-info:focus{color:#3dd5f3!important}:host ::ng-deep .link-warning{color:#ffc107!important}:host ::ng-deep .link-warning:hover,:host ::ng-deep .link-warning:focus{color:#ffcd39!important}:host ::ng-deep .link-danger{color:#dc3545!important}:host ::ng-deep .link-danger:hover,:host ::ng-deep .link-danger:focus{color:#b02a37!important}:host ::ng-deep .link-light{color:#f8f9fa!important}:host ::ng-deep .link-light:hover,:host ::ng-deep .link-light:focus{color:#f9fafb!important}:host ::ng-deep .link-dark{color:#212529!important}:host ::ng-deep .link-dark:hover,:host ::ng-deep .link-dark:focus{color:#1a1e21!important}:host ::ng-deep .ratio{position:relative;width:100%}:host ::ng-deep .ratio:before{display:block;padding-top:var(--bs-aspect-ratio);content:\"\"}:host ::ng-deep .ratio>*{position:absolute;top:0;left:0;width:100%;height:100%}:host ::ng-deep .ratio-1x1{--bs-aspect-ratio: 100%}:host ::ng-deep .ratio-4x3{--bs-aspect-ratio: 75%}:host ::ng-deep .ratio-16x9{--bs-aspect-ratio: 56.25%}:host ::ng-deep .ratio-21x9{--bs-aspect-ratio: 42.8571428571%}:host ::ng-deep .fixed-top{position:fixed;top:0;right:0;left:0;z-index:1030}:host ::ng-deep .fixed-bottom{position:fixed;right:0;bottom:0;left:0;z-index:1030}:host ::ng-deep .sticky-top{position:sticky;top:0;z-index:1020}:host ::ng-deep .sticky-bottom{position:sticky;bottom:0;z-index:1020}@media (min-width: 576px){:host ::ng-deep .sticky-sm-top{position:sticky;top:0;z-index:1020}:host ::ng-deep .sticky-sm-bottom{position:sticky;bottom:0;z-index:1020}}@media (min-width: 768px){:host ::ng-deep .sticky-md-top{position:sticky;top:0;z-index:1020}:host ::ng-deep .sticky-md-bottom{position:sticky;bottom:0;z-index:1020}}@media (min-width: 992px){:host ::ng-deep .sticky-lg-top{position:sticky;top:0;z-index:1020}:host ::ng-deep .sticky-lg-bottom{position:sticky;bottom:0;z-index:1020}}@media (min-width: 1200px){:host ::ng-deep .sticky-xl-top{position:sticky;top:0;z-index:1020}:host ::ng-deep .sticky-xl-bottom{position:sticky;bottom:0;z-index:1020}}@media (min-width: 1400px){:host ::ng-deep .sticky-xxl-top{position:sticky;top:0;z-index:1020}:host ::ng-deep .sticky-xxl-bottom{position:sticky;bottom:0;z-index:1020}}:host ::ng-deep .hstack{display:flex;flex-direction:row;align-items:center;align-self:stretch}:host ::ng-deep .vstack{display:flex;flex:1 1 auto;flex-direction:column;align-self:stretch}:host ::ng-deep .visually-hidden,:host ::ng-deep .visually-hidden-focusable:not(:focus):not(:focus-within){position:absolute!important;width:1px!important;height:1px!important;padding:0!important;margin:-1px!important;overflow:hidden!important;clip:rect(0,0,0,0)!important;white-space:nowrap!important;border:0!important}:host ::ng-deep .stretched-link:after{position:absolute;inset:0;z-index:1;content:\"\"}:host ::ng-deep .text-truncate{overflow:hidden;text-overflow:ellipsis;white-space:nowrap}:host ::ng-deep .vr{display:inline-block;align-self:stretch;width:1px;min-height:1em;background-color:currentcolor;opacity:.25}:host ::ng-deep .align-baseline{vertical-align:baseline!important}:host ::ng-deep .align-top{vertical-align:top!important}:host ::ng-deep .align-middle{vertical-align:middle!important}:host ::ng-deep .align-bottom{vertical-align:bottom!important}:host ::ng-deep .align-text-bottom{vertical-align:text-bottom!important}:host ::ng-deep .align-text-top{vertical-align:text-top!important}:host ::ng-deep .float-start{float:left!important}:host ::ng-deep .float-end{float:right!important}:host ::ng-deep .float-none{float:none!important}:host ::ng-deep .opacity-0{opacity:0!important}:host ::ng-deep .opacity-25{opacity:.25!important}:host ::ng-deep .opacity-50{opacity:.5!important}:host ::ng-deep .opacity-75{opacity:.75!important}:host ::ng-deep .opacity-100{opacity:1!important}:host ::ng-deep .overflow-auto{overflow:auto!important}:host ::ng-deep .overflow-hidden{overflow:hidden!important}:host ::ng-deep .overflow-visible{overflow:visible!important}:host ::ng-deep .overflow-scroll{overflow:scroll!important}:host ::ng-deep .d-inline{display:inline!important}:host ::ng-deep .d-inline-block{display:inline-block!important}:host ::ng-deep .d-block{display:block!important}:host ::ng-deep .d-grid{display:grid!important}:host ::ng-deep .d-table{display:table!important}:host ::ng-deep .d-table-row{display:table-row!important}:host ::ng-deep .d-table-cell{display:table-cell!important}:host ::ng-deep .d-flex{display:flex!important}:host ::ng-deep .d-inline-flex{display:inline-flex!important}:host ::ng-deep .d-none{display:none!important}:host ::ng-deep .shadow{box-shadow:0 .5rem 1rem #00000026!important}:host ::ng-deep .shadow-sm{box-shadow:0 .125rem .25rem #00000013!important}:host ::ng-deep .shadow-lg{box-shadow:0 1rem 3rem #0000002d!important}:host ::ng-deep .shadow-none{box-shadow:none!important}:host ::ng-deep .position-static{position:static!important}:host ::ng-deep .position-relative{position:relative!important}:host ::ng-deep .position-absolute{position:absolute!important}:host ::ng-deep .position-fixed{position:fixed!important}:host ::ng-deep .position-sticky{position:sticky!important}:host ::ng-deep .top-0{top:0!important}:host ::ng-deep .top-50{top:50%!important}:host ::ng-deep .top-100{top:100%!important}:host ::ng-deep .bottom-0{bottom:0!important}:host ::ng-deep .bottom-50{bottom:50%!important}:host ::ng-deep .bottom-100{bottom:100%!important}:host ::ng-deep .start-0{left:0!important}:host ::ng-deep .start-50{left:50%!important}:host ::ng-deep .start-100{left:100%!important}:host ::ng-deep .end-0{right:0!important}:host ::ng-deep .end-50{right:50%!important}:host ::ng-deep .end-100{right:100%!important}:host ::ng-deep .translate-middle{transform:translate(-50%,-50%)!important}:host ::ng-deep .translate-middle-x{transform:translate(-50%)!important}:host ::ng-deep .translate-middle-y{transform:translateY(-50%)!important}:host ::ng-deep .border{border:var(--bs-border-width) var(--bs-border-style) var(--bs-border-color)!important}:host ::ng-deep .border-0{border:0!important}:host ::ng-deep .border-top{border-top:var(--bs-border-width) var(--bs-border-style) var(--bs-border-color)!important}:host ::ng-deep .border-top-0{border-top:0!important}:host ::ng-deep .border-end{border-right:var(--bs-border-width) var(--bs-border-style) var(--bs-border-color)!important}:host ::ng-deep .border-end-0{border-right:0!important}:host ::ng-deep .border-bottom{border-bottom:var(--bs-border-width) var(--bs-border-style) var(--bs-border-color)!important}:host ::ng-deep .border-bottom-0{border-bottom:0!important}:host ::ng-deep .border-start{border-left:var(--bs-border-width) var(--bs-border-style) var(--bs-border-color)!important}:host ::ng-deep .border-start-0{border-left:0!important}:host ::ng-deep .border-primary{--bs-border-opacity: 1;border-color:rgba(var(--bs-primary-rgb),var(--bs-border-opacity))!important}:host ::ng-deep .border-secondary{--bs-border-opacity: 1;border-color:rgba(var(--bs-secondary-rgb),var(--bs-border-opacity))!important}:host ::ng-deep .border-success{--bs-border-opacity: 1;border-color:rgba(var(--bs-success-rgb),var(--bs-border-opacity))!important}:host ::ng-deep .border-info{--bs-border-opacity: 1;border-color:rgba(var(--bs-info-rgb),var(--bs-border-opacity))!important}:host ::ng-deep .border-warning{--bs-border-opacity: 1;border-color:rgba(var(--bs-warning-rgb),var(--bs-border-opacity))!important}:host ::ng-deep .border-danger{--bs-border-opacity: 1;border-color:rgba(var(--bs-danger-rgb),var(--bs-border-opacity))!important}:host ::ng-deep .border-light{--bs-border-opacity: 1;border-color:rgba(var(--bs-light-rgb),var(--bs-border-opacity))!important}:host ::ng-deep .border-dark{--bs-border-opacity: 1;border-color:rgba(var(--bs-dark-rgb),var(--bs-border-opacity))!important}:host ::ng-deep .border-white{--bs-border-opacity: 1;border-color:rgba(var(--bs-white-rgb),var(--bs-border-opacity))!important}:host ::ng-deep .border-1{--bs-border-width: 1px}:host ::ng-deep .border-2{--bs-border-width: 2px}:host ::ng-deep .border-3{--bs-border-width: 3px}:host ::ng-deep .border-4{--bs-border-width: 4px}:host ::ng-deep .border-5{--bs-border-width: 5px}:host ::ng-deep .border-opacity-10{--bs-border-opacity: .1}:host ::ng-deep .border-opacity-25{--bs-border-opacity: .25}:host ::ng-deep .border-opacity-50{--bs-border-opacity: .5}:host ::ng-deep .border-opacity-75{--bs-border-opacity: .75}:host ::ng-deep .border-opacity-100{--bs-border-opacity: 1}:host ::ng-deep .w-25{width:25%!important}:host ::ng-deep .w-50{width:50%!important}:host ::ng-deep .w-75{width:75%!important}:host ::ng-deep .w-100{width:100%!important}:host ::ng-deep .w-auto{width:auto!important}:host ::ng-deep .mw-100{max-width:100%!important}:host ::ng-deep .vw-100{width:100vw!important}:host ::ng-deep .min-vw-100{min-width:100vw!important}:host ::ng-deep .h-25{height:25%!important}:host ::ng-deep .h-50{height:50%!important}:host ::ng-deep .h-75{height:75%!important}:host ::ng-deep .h-100{height:100%!important}:host ::ng-deep .h-auto{height:auto!important}:host ::ng-deep .mh-100{max-height:100%!important}:host ::ng-deep .vh-100{height:100vh!important}:host ::ng-deep .min-vh-100{min-height:100vh!important}:host ::ng-deep .flex-fill{flex:1 1 auto!important}:host ::ng-deep .flex-row{flex-direction:row!important}:host ::ng-deep .flex-column{flex-direction:column!important}:host ::ng-deep .flex-row-reverse{flex-direction:row-reverse!important}:host ::ng-deep .flex-column-reverse{flex-direction:column-reverse!important}:host ::ng-deep .flex-grow-0{flex-grow:0!important}:host ::ng-deep .flex-grow-1{flex-grow:1!important}:host ::ng-deep .flex-shrink-0{flex-shrink:0!important}:host ::ng-deep .flex-shrink-1{flex-shrink:1!important}:host ::ng-deep .flex-wrap{flex-wrap:wrap!important}:host ::ng-deep .flex-nowrap{flex-wrap:nowrap!important}:host ::ng-deep .flex-wrap-reverse{flex-wrap:wrap-reverse!important}:host ::ng-deep .justify-content-start{justify-content:flex-start!important}:host ::ng-deep .justify-content-end{justify-content:flex-end!important}:host ::ng-deep .justify-content-center{justify-content:center!important}:host ::ng-deep .justify-content-between{justify-content:space-between!important}:host ::ng-deep .justify-content-around{justify-content:space-around!important}:host ::ng-deep .justify-content-evenly{justify-content:space-evenly!important}:host ::ng-deep .align-items-start{align-items:flex-start!important}:host ::ng-deep .align-items-end{align-items:flex-end!important}:host ::ng-deep .align-items-center{align-items:center!important}:host ::ng-deep .align-items-baseline{align-items:baseline!important}:host ::ng-deep .align-items-stretch{align-items:stretch!important}:host ::ng-deep .align-content-start{align-content:flex-start!important}:host ::ng-deep .align-content-end{align-content:flex-end!important}:host ::ng-deep .align-content-center{align-content:center!important}:host ::ng-deep .align-content-between{align-content:space-between!important}:host ::ng-deep .align-content-around{align-content:space-around!important}:host ::ng-deep .align-content-stretch{align-content:stretch!important}:host ::ng-deep .align-self-auto{align-self:auto!important}:host ::ng-deep .align-self-start{align-self:flex-start!important}:host ::ng-deep .align-self-end{align-self:flex-end!important}:host ::ng-deep .align-self-center{align-self:center!important}:host ::ng-deep .align-self-baseline{align-self:baseline!important}:host ::ng-deep .align-self-stretch{align-self:stretch!important}:host ::ng-deep .order-first{order:-1!important}:host ::ng-deep .order-0{order:0!important}:host ::ng-deep .order-1{order:1!important}:host ::ng-deep .order-2{order:2!important}:host ::ng-deep .order-3{order:3!important}:host ::ng-deep .order-4{order:4!important}:host ::ng-deep .order-5{order:5!important}:host ::ng-deep .order-last{order:6!important}:host ::ng-deep .m-0{margin:0!important}:host ::ng-deep .m-1{margin:.25rem!important}:host ::ng-deep .m-2{margin:.5rem!important}:host ::ng-deep .m-3{margin:1rem!important}:host ::ng-deep .m-4{margin:1.5rem!important}:host ::ng-deep .m-5{margin:3rem!important}:host ::ng-deep .m-auto{margin:auto!important}:host ::ng-deep .mx-0{margin-right:0!important;margin-left:0!important}:host ::ng-deep .mx-1{margin-right:.25rem!important;margin-left:.25rem!important}:host ::ng-deep .mx-2{margin-right:.5rem!important;margin-left:.5rem!important}:host ::ng-deep .mx-3{margin-right:1rem!important;margin-left:1rem!important}:host ::ng-deep .mx-4{margin-right:1.5rem!important;margin-left:1.5rem!important}:host ::ng-deep .mx-5{margin-right:3rem!important;margin-left:3rem!important}:host ::ng-deep .mx-auto{margin-right:auto!important;margin-left:auto!important}:host ::ng-deep .my-0{margin-top:0!important;margin-bottom:0!important}:host ::ng-deep .my-1{margin-top:.25rem!important;margin-bottom:.25rem!important}:host ::ng-deep .my-2{margin-top:.5rem!important;margin-bottom:.5rem!important}:host ::ng-deep .my-3{margin-top:1rem!important;margin-bottom:1rem!important}:host ::ng-deep .my-4{margin-top:1.5rem!important;margin-bottom:1.5rem!important}:host ::ng-deep .my-5{margin-top:3rem!important;margin-bottom:3rem!important}:host ::ng-deep .my-auto{margin-top:auto!important;margin-bottom:auto!important}:host ::ng-deep .mt-0{margin-top:0!important}:host ::ng-deep .mt-1{margin-top:.25rem!important}:host ::ng-deep .mt-2{margin-top:.5rem!important}:host ::ng-deep .mt-3{margin-top:1rem!important}:host ::ng-deep .mt-4{margin-top:1.5rem!important}:host ::ng-deep .mt-5{margin-top:3rem!important}:host ::ng-deep .mt-auto{margin-top:auto!important}:host ::ng-deep .me-0{margin-right:0!important}:host ::ng-deep .me-1{margin-right:.25rem!important}:host ::ng-deep .me-2{margin-right:.5rem!important}:host ::ng-deep .me-3{margin-right:1rem!important}:host ::ng-deep .me-4{margin-right:1.5rem!important}:host ::ng-deep .me-5{margin-right:3rem!important}:host ::ng-deep .me-auto{margin-right:auto!important}:host ::ng-deep .mb-0{margin-bottom:0!important}:host ::ng-deep .mb-1{margin-bottom:.25rem!important}:host ::ng-deep .mb-2{margin-bottom:.5rem!important}:host ::ng-deep .mb-3{margin-bottom:1rem!important}:host ::ng-deep .mb-4{margin-bottom:1.5rem!important}:host ::ng-deep .mb-5{margin-bottom:3rem!important}:host ::ng-deep .mb-auto{margin-bottom:auto!important}:host ::ng-deep .ms-0{margin-left:0!important}:host ::ng-deep .ms-1{margin-left:.25rem!important}:host ::ng-deep .ms-2{margin-left:.5rem!important}:host ::ng-deep .ms-3{margin-left:1rem!important}:host ::ng-deep .ms-4{margin-left:1.5rem!important}:host ::ng-deep .ms-5{margin-left:3rem!important}:host ::ng-deep .ms-auto{margin-left:auto!important}:host ::ng-deep .p-0{padding:0!important}:host ::ng-deep .p-1{padding:.25rem!important}:host ::ng-deep .p-2{padding:.5rem!important}:host ::ng-deep .p-3{padding:1rem!important}:host ::ng-deep .p-4{padding:1.5rem!important}:host ::ng-deep .p-5{padding:3rem!important}:host ::ng-deep .px-0{padding-right:0!important;padding-left:0!important}:host ::ng-deep .px-1{padding-right:.25rem!important;padding-left:.25rem!important}:host ::ng-deep .px-2{padding-right:.5rem!important;padding-left:.5rem!important}:host ::ng-deep .px-3{padding-right:1rem!important;padding-left:1rem!important}:host ::ng-deep .px-4{padding-right:1.5rem!important;padding-left:1.5rem!important}:host ::ng-deep .px-5{padding-right:3rem!important;padding-left:3rem!important}:host ::ng-deep .py-0{padding-top:0!important;padding-bottom:0!important}:host ::ng-deep .py-1{padding-top:.25rem!important;padding-bottom:.25rem!important}:host ::ng-deep .py-2{padding-top:.5rem!important;padding-bottom:.5rem!important}:host ::ng-deep .py-3{padding-top:1rem!important;padding-bottom:1rem!important}:host ::ng-deep .py-4{padding-top:1.5rem!important;padding-bottom:1.5rem!important}:host ::ng-deep .py-5{padding-top:3rem!important;padding-bottom:3rem!important}:host ::ng-deep .pt-0{padding-top:0!important}:host ::ng-deep .pt-1{padding-top:.25rem!important}:host ::ng-deep .pt-2{padding-top:.5rem!important}:host ::ng-deep .pt-3{padding-top:1rem!important}:host ::ng-deep .pt-4{padding-top:1.5rem!important}:host ::ng-deep .pt-5{padding-top:3rem!important}:host ::ng-deep .pe-0{padding-right:0!important}:host ::ng-deep .pe-1{padding-right:.25rem!important}:host ::ng-deep .pe-2{padding-right:.5rem!important}:host ::ng-deep .pe-3{padding-right:1rem!important}:host ::ng-deep .pe-4{padding-right:1.5rem!important}:host ::ng-deep .pe-5{padding-right:3rem!important}:host ::ng-deep .pb-0{padding-bottom:0!important}:host ::ng-deep .pb-1{padding-bottom:.25rem!important}:host ::ng-deep .pb-2{padding-bottom:.5rem!important}:host ::ng-deep .pb-3{padding-bottom:1rem!important}:host ::ng-deep .pb-4{padding-bottom:1.5rem!important}:host ::ng-deep .pb-5{padding-bottom:3rem!important}:host ::ng-deep .ps-0{padding-left:0!important}:host ::ng-deep .ps-1{padding-left:.25rem!important}:host ::ng-deep .ps-2{padding-left:.5rem!important}:host ::ng-deep .ps-3{padding-left:1rem!important}:host ::ng-deep .ps-4{padding-left:1.5rem!important}:host ::ng-deep .ps-5{padding-left:3rem!important}:host ::ng-deep .gap-0{gap:0!important}:host ::ng-deep .gap-1{gap:.25rem!important}:host ::ng-deep .gap-2{gap:.5rem!important}:host ::ng-deep .gap-3{gap:1rem!important}:host ::ng-deep .gap-4{gap:1.5rem!important}:host ::ng-deep .gap-5{gap:3rem!important}:host ::ng-deep .font-monospace{font-family:var(--bs-font-monospace)!important}:host ::ng-deep .fs-1{font-size:calc(1.375rem + 1.5vw)!important}:host ::ng-deep .fs-2{font-size:calc(1.325rem + .9vw)!important}:host ::ng-deep .fs-3{font-size:calc(1.3rem + .6vw)!important}:host ::ng-deep .fs-4{font-size:calc(1.275rem + .3vw)!important}:host ::ng-deep .fs-5{font-size:1.25rem!important}:host ::ng-deep .fs-6{font-size:1rem!important}:host ::ng-deep .fst-italic{font-style:italic!important}:host ::ng-deep .fst-normal{font-style:normal!important}:host ::ng-deep .fw-light{font-weight:300!important}:host ::ng-deep .fw-lighter{font-weight:lighter!important}:host ::ng-deep .fw-normal{font-weight:400!important}:host ::ng-deep .fw-bold{font-weight:700!important}:host ::ng-deep .fw-semibold{font-weight:600!important}:host ::ng-deep .fw-bolder{font-weight:bolder!important}:host ::ng-deep .lh-1{line-height:1!important}:host ::ng-deep .lh-sm{line-height:1.25!important}:host ::ng-deep .lh-base{line-height:1.5!important}:host ::ng-deep .lh-lg{line-height:2!important}:host ::ng-deep .text-start{text-align:left!important}:host ::ng-deep .text-end{text-align:right!important}:host ::ng-deep .text-center{text-align:center!important}:host ::ng-deep .text-decoration-none{text-decoration:none!important}:host ::ng-deep .text-decoration-underline{text-decoration:underline!important}:host ::ng-deep .text-decoration-line-through{text-decoration:line-through!important}:host ::ng-deep .text-lowercase{text-transform:lowercase!important}:host ::ng-deep .text-uppercase{text-transform:uppercase!important}:host ::ng-deep .text-capitalize{text-transform:capitalize!important}:host ::ng-deep .text-wrap{white-space:normal!important}:host ::ng-deep .text-nowrap{white-space:nowrap!important}:host ::ng-deep .text-break{word-wrap:break-word!important;word-break:break-word!important}:host ::ng-deep .text-primary{--bs-text-opacity: 1;color:rgba(var(--bs-primary-rgb),var(--bs-text-opacity))!important}:host ::ng-deep .text-secondary{--bs-text-opacity: 1;color:rgba(var(--bs-secondary-rgb),var(--bs-text-opacity))!important}:host ::ng-deep .text-success{--bs-text-opacity: 1;color:rgba(var(--bs-success-rgb),var(--bs-text-opacity))!important}:host ::ng-deep .text-info{--bs-text-opacity: 1;color:rgba(var(--bs-info-rgb),var(--bs-text-opacity))!important}:host ::ng-deep .text-warning{--bs-text-opacity: 1;color:rgba(var(--bs-warning-rgb),var(--bs-text-opacity))!important}:host ::ng-deep .text-danger{--bs-text-opacity: 1;color:rgba(var(--bs-danger-rgb),var(--bs-text-opacity))!important}:host ::ng-deep .text-light{--bs-text-opacity: 1;color:rgba(var(--bs-light-rgb),var(--bs-text-opacity))!important}:host ::ng-deep .text-dark{--bs-text-opacity: 1;color:rgba(var(--bs-dark-rgb),var(--bs-text-opacity))!important}:host ::ng-deep .text-black{--bs-text-opacity: 1;color:rgba(var(--bs-black-rgb),var(--bs-text-opacity))!important}:host ::ng-deep .text-white{--bs-text-opacity: 1;color:rgba(var(--bs-white-rgb),var(--bs-text-opacity))!important}:host ::ng-deep .text-body{--bs-text-opacity: 1;color:rgba(var(--bs-body-color-rgb),var(--bs-text-opacity))!important}:host ::ng-deep .text-muted{--bs-text-opacity: 1;color:#6c757d!important}:host ::ng-deep .text-black-50{--bs-text-opacity: 1;color:#00000080!important}:host ::ng-deep .text-white-50{--bs-text-opacity: 1;color:#ffffff80!important}:host ::ng-deep .text-reset{--bs-text-opacity: 1;color:inherit!important}:host ::ng-deep .text-opacity-25{--bs-text-opacity: .25}:host ::ng-deep .text-opacity-50{--bs-text-opacity: .5}:host ::ng-deep .text-opacity-75{--bs-text-opacity: .75}:host ::ng-deep .text-opacity-100{--bs-text-opacity: 1}:host ::ng-deep .bg-primary{--bs-bg-opacity: 1;background-color:rgba(var(--bs-primary-rgb),var(--bs-bg-opacity))!important}:host ::ng-deep .bg-secondary{--bs-bg-opacity: 1;background-color:rgba(var(--bs-secondary-rgb),var(--bs-bg-opacity))!important}:host ::ng-deep .bg-success{--bs-bg-opacity: 1;background-color:rgba(var(--bs-success-rgb),var(--bs-bg-opacity))!important}:host ::ng-deep .bg-info{--bs-bg-opacity: 1;background-color:rgba(var(--bs-info-rgb),var(--bs-bg-opacity))!important}:host ::ng-deep .bg-warning{--bs-bg-opacity: 1;background-color:rgba(var(--bs-warning-rgb),var(--bs-bg-opacity))!important}:host ::ng-deep .bg-danger{--bs-bg-opacity: 1;background-color:rgba(var(--bs-danger-rgb),var(--bs-bg-opacity))!important}:host ::ng-deep .bg-light{--bs-bg-opacity: 1;background-color:rgba(var(--bs-light-rgb),var(--bs-bg-opacity))!important}:host ::ng-deep .bg-dark{--bs-bg-opacity: 1;background-color:rgba(var(--bs-dark-rgb),var(--bs-bg-opacity))!important}:host ::ng-deep .bg-black{--bs-bg-opacity: 1;background-color:rgba(var(--bs-black-rgb),var(--bs-bg-opacity))!important}:host ::ng-deep .bg-white{--bs-bg-opacity: 1;background-color:rgba(var(--bs-white-rgb),var(--bs-bg-opacity))!important}:host ::ng-deep .bg-body{--bs-bg-opacity: 1;background-color:rgba(var(--bs-body-bg-rgb),var(--bs-bg-opacity))!important}:host ::ng-deep .bg-transparent{--bs-bg-opacity: 1;background-color:transparent!important}:host ::ng-deep .bg-opacity-10{--bs-bg-opacity: .1}:host ::ng-deep .bg-opacity-25{--bs-bg-opacity: .25}:host ::ng-deep .bg-opacity-50{--bs-bg-opacity: .5}:host ::ng-deep .bg-opacity-75{--bs-bg-opacity: .75}:host ::ng-deep .bg-opacity-100{--bs-bg-opacity: 1}:host ::ng-deep .bg-gradient{background-image:var(--bs-gradient)!important}:host ::ng-deep .user-select-all{-webkit-user-select:all!important;user-select:all!important}:host ::ng-deep .user-select-auto{-webkit-user-select:auto!important;user-select:auto!important}:host ::ng-deep .user-select-none{-webkit-user-select:none!important;user-select:none!important}:host ::ng-deep .pe-none{pointer-events:none!important}:host ::ng-deep .pe-auto{pointer-events:auto!important}:host ::ng-deep .rounded{border-radius:var(--bs-border-radius)!important}:host ::ng-deep .rounded-0{border-radius:0!important}:host ::ng-deep .rounded-1{border-radius:var(--bs-border-radius-sm)!important}:host ::ng-deep .rounded-2{border-radius:var(--bs-border-radius)!important}:host ::ng-deep .rounded-3{border-radius:var(--bs-border-radius-lg)!important}:host ::ng-deep .rounded-4{border-radius:var(--bs-border-radius-xl)!important}:host ::ng-deep .rounded-5{border-radius:var(--bs-border-radius-2xl)!important}:host ::ng-deep .rounded-circle{border-radius:50%!important}:host ::ng-deep .rounded-pill{border-radius:var(--bs-border-radius-pill)!important}:host ::ng-deep .rounded-top{border-top-left-radius:var(--bs-border-radius)!important;border-top-right-radius:var(--bs-border-radius)!important}:host ::ng-deep .rounded-end{border-top-right-radius:var(--bs-border-radius)!important;border-bottom-right-radius:var(--bs-border-radius)!important}:host ::ng-deep .rounded-bottom{border-bottom-right-radius:var(--bs-border-radius)!important;border-bottom-left-radius:var(--bs-border-radius)!important}:host ::ng-deep .rounded-start{border-bottom-left-radius:var(--bs-border-radius)!important;border-top-left-radius:var(--bs-border-radius)!important}:host ::ng-deep .visible{visibility:visible!important}:host ::ng-deep .invisible{visibility:hidden!important}@media (min-width: 576px){:host ::ng-deep .float-sm-start{float:left!important}:host ::ng-deep .float-sm-end{float:right!important}:host ::ng-deep .float-sm-none{float:none!important}:host ::ng-deep .d-sm-inline{display:inline!important}:host ::ng-deep .d-sm-inline-block{display:inline-block!important}:host ::ng-deep .d-sm-block{display:block!important}:host ::ng-deep .d-sm-grid{display:grid!important}:host ::ng-deep .d-sm-table{display:table!important}:host ::ng-deep .d-sm-table-row{display:table-row!important}:host ::ng-deep .d-sm-table-cell{display:table-cell!important}:host ::ng-deep .d-sm-flex{display:flex!important}:host ::ng-deep .d-sm-inline-flex{display:inline-flex!important}:host ::ng-deep .d-sm-none{display:none!important}:host ::ng-deep .flex-sm-fill{flex:1 1 auto!important}:host ::ng-deep .flex-sm-row{flex-direction:row!important}:host ::ng-deep .flex-sm-column{flex-direction:column!important}:host ::ng-deep .flex-sm-row-reverse{flex-direction:row-reverse!important}:host ::ng-deep .flex-sm-column-reverse{flex-direction:column-reverse!important}:host ::ng-deep .flex-sm-grow-0{flex-grow:0!important}:host ::ng-deep .flex-sm-grow-1{flex-grow:1!important}:host ::ng-deep .flex-sm-shrink-0{flex-shrink:0!important}:host ::ng-deep .flex-sm-shrink-1{flex-shrink:1!important}:host ::ng-deep .flex-sm-wrap{flex-wrap:wrap!important}:host ::ng-deep .flex-sm-nowrap{flex-wrap:nowrap!important}:host ::ng-deep .flex-sm-wrap-reverse{flex-wrap:wrap-reverse!important}:host ::ng-deep .justify-content-sm-start{justify-content:flex-start!important}:host ::ng-deep .justify-content-sm-end{justify-content:flex-end!important}:host ::ng-deep .justify-content-sm-center{justify-content:center!important}:host ::ng-deep .justify-content-sm-between{justify-content:space-between!important}:host ::ng-deep .justify-content-sm-around{justify-content:space-around!important}:host ::ng-deep .justify-content-sm-evenly{justify-content:space-evenly!important}:host ::ng-deep .align-items-sm-start{align-items:flex-start!important}:host ::ng-deep .align-items-sm-end{align-items:flex-end!important}:host ::ng-deep .align-items-sm-center{align-items:center!important}:host ::ng-deep .align-items-sm-baseline{align-items:baseline!important}:host ::ng-deep .align-items-sm-stretch{align-items:stretch!important}:host ::ng-deep .align-content-sm-start{align-content:flex-start!important}:host ::ng-deep .align-content-sm-end{align-content:flex-end!important}:host ::ng-deep .align-content-sm-center{align-content:center!important}:host ::ng-deep .align-content-sm-between{align-content:space-between!important}:host ::ng-deep .align-content-sm-around{align-content:space-around!important}:host ::ng-deep .align-content-sm-stretch{align-content:stretch!important}:host ::ng-deep .align-self-sm-auto{align-self:auto!important}:host ::ng-deep .align-self-sm-start{align-self:flex-start!important}:host ::ng-deep .align-self-sm-end{align-self:flex-end!important}:host ::ng-deep .align-self-sm-center{align-self:center!important}:host ::ng-deep .align-self-sm-baseline{align-self:baseline!important}:host ::ng-deep .align-self-sm-stretch{align-self:stretch!important}:host ::ng-deep .order-sm-first{order:-1!important}:host ::ng-deep .order-sm-0{order:0!important}:host ::ng-deep .order-sm-1{order:1!important}:host ::ng-deep .order-sm-2{order:2!important}:host ::ng-deep .order-sm-3{order:3!important}:host ::ng-deep .order-sm-4{order:4!important}:host ::ng-deep .order-sm-5{order:5!important}:host ::ng-deep .order-sm-last{order:6!important}:host ::ng-deep .m-sm-0{margin:0!important}:host ::ng-deep .m-sm-1{margin:.25rem!important}:host ::ng-deep .m-sm-2{margin:.5rem!important}:host ::ng-deep .m-sm-3{margin:1rem!important}:host ::ng-deep .m-sm-4{margin:1.5rem!important}:host ::ng-deep .m-sm-5{margin:3rem!important}:host ::ng-deep .m-sm-auto{margin:auto!important}:host ::ng-deep .mx-sm-0{margin-right:0!important;margin-left:0!important}:host ::ng-deep .mx-sm-1{margin-right:.25rem!important;margin-left:.25rem!important}:host ::ng-deep .mx-sm-2{margin-right:.5rem!important;margin-left:.5rem!important}:host ::ng-deep .mx-sm-3{margin-right:1rem!important;margin-left:1rem!important}:host ::ng-deep .mx-sm-4{margin-right:1.5rem!important;margin-left:1.5rem!important}:host ::ng-deep .mx-sm-5{margin-right:3rem!important;margin-left:3rem!important}:host ::ng-deep .mx-sm-auto{margin-right:auto!important;margin-left:auto!important}:host ::ng-deep .my-sm-0{margin-top:0!important;margin-bottom:0!important}:host ::ng-deep .my-sm-1{margin-top:.25rem!important;margin-bottom:.25rem!important}:host ::ng-deep .my-sm-2{margin-top:.5rem!important;margin-bottom:.5rem!important}:host ::ng-deep .my-sm-3{margin-top:1rem!important;margin-bottom:1rem!important}:host ::ng-deep .my-sm-4{margin-top:1.5rem!important;margin-bottom:1.5rem!important}:host ::ng-deep .my-sm-5{margin-top:3rem!important;margin-bottom:3rem!important}:host ::ng-deep .my-sm-auto{margin-top:auto!important;margin-bottom:auto!important}:host ::ng-deep .mt-sm-0{margin-top:0!important}:host ::ng-deep .mt-sm-1{margin-top:.25rem!important}:host ::ng-deep .mt-sm-2{margin-top:.5rem!important}:host ::ng-deep .mt-sm-3{margin-top:1rem!important}:host ::ng-deep .mt-sm-4{margin-top:1.5rem!important}:host ::ng-deep .mt-sm-5{margin-top:3rem!important}:host ::ng-deep .mt-sm-auto{margin-top:auto!important}:host ::ng-deep .me-sm-0{margin-right:0!important}:host ::ng-deep .me-sm-1{margin-right:.25rem!important}:host ::ng-deep .me-sm-2{margin-right:.5rem!important}:host ::ng-deep .me-sm-3{margin-right:1rem!important}:host ::ng-deep .me-sm-4{margin-right:1.5rem!important}:host ::ng-deep .me-sm-5{margin-right:3rem!important}:host ::ng-deep .me-sm-auto{margin-right:auto!important}:host ::ng-deep .mb-sm-0{margin-bottom:0!important}:host ::ng-deep .mb-sm-1{margin-bottom:.25rem!important}:host ::ng-deep .mb-sm-2{margin-bottom:.5rem!important}:host ::ng-deep .mb-sm-3{margin-bottom:1rem!important}:host ::ng-deep .mb-sm-4{margin-bottom:1.5rem!important}:host ::ng-deep .mb-sm-5{margin-bottom:3rem!important}:host ::ng-deep .mb-sm-auto{margin-bottom:auto!important}:host ::ng-deep .ms-sm-0{margin-left:0!important}:host ::ng-deep .ms-sm-1{margin-left:.25rem!important}:host ::ng-deep .ms-sm-2{margin-left:.5rem!important}:host ::ng-deep .ms-sm-3{margin-left:1rem!important}:host ::ng-deep .ms-sm-4{margin-left:1.5rem!important}:host ::ng-deep .ms-sm-5{margin-left:3rem!important}:host ::ng-deep .ms-sm-auto{margin-left:auto!important}:host ::ng-deep .p-sm-0{padding:0!important}:host ::ng-deep .p-sm-1{padding:.25rem!important}:host ::ng-deep .p-sm-2{padding:.5rem!important}:host ::ng-deep .p-sm-3{padding:1rem!important}:host ::ng-deep .p-sm-4{padding:1.5rem!important}:host ::ng-deep .p-sm-5{padding:3rem!important}:host ::ng-deep .px-sm-0{padding-right:0!important;padding-left:0!important}:host ::ng-deep .px-sm-1{padding-right:.25rem!important;padding-left:.25rem!important}:host ::ng-deep .px-sm-2{padding-right:.5rem!important;padding-left:.5rem!important}:host ::ng-deep .px-sm-3{padding-right:1rem!important;padding-left:1rem!important}:host ::ng-deep .px-sm-4{padding-right:1.5rem!important;padding-left:1.5rem!important}:host ::ng-deep .px-sm-5{padding-right:3rem!important;padding-left:3rem!important}:host ::ng-deep .py-sm-0{padding-top:0!important;padding-bottom:0!important}:host ::ng-deep .py-sm-1{padding-top:.25rem!important;padding-bottom:.25rem!important}:host ::ng-deep .py-sm-2{padding-top:.5rem!important;padding-bottom:.5rem!important}:host ::ng-deep .py-sm-3{padding-top:1rem!important;padding-bottom:1rem!important}:host ::ng-deep .py-sm-4{padding-top:1.5rem!important;padding-bottom:1.5rem!important}:host ::ng-deep .py-sm-5{padding-top:3rem!important;padding-bottom:3rem!important}:host ::ng-deep .pt-sm-0{padding-top:0!important}:host ::ng-deep .pt-sm-1{padding-top:.25rem!important}:host ::ng-deep .pt-sm-2{padding-top:.5rem!important}:host ::ng-deep .pt-sm-3{padding-top:1rem!important}:host ::ng-deep .pt-sm-4{padding-top:1.5rem!important}:host ::ng-deep .pt-sm-5{padding-top:3rem!important}:host ::ng-deep .pe-sm-0{padding-right:0!important}:host ::ng-deep .pe-sm-1{padding-right:.25rem!important}:host ::ng-deep .pe-sm-2{padding-right:.5rem!important}:host ::ng-deep .pe-sm-3{padding-right:1rem!important}:host ::ng-deep .pe-sm-4{padding-right:1.5rem!important}:host ::ng-deep .pe-sm-5{padding-right:3rem!important}:host ::ng-deep .pb-sm-0{padding-bottom:0!important}:host ::ng-deep .pb-sm-1{padding-bottom:.25rem!important}:host ::ng-deep .pb-sm-2{padding-bottom:.5rem!important}:host ::ng-deep .pb-sm-3{padding-bottom:1rem!important}:host ::ng-deep .pb-sm-4{padding-bottom:1.5rem!important}:host ::ng-deep .pb-sm-5{padding-bottom:3rem!important}:host ::ng-deep .ps-sm-0{padding-left:0!important}:host ::ng-deep .ps-sm-1{padding-left:.25rem!important}:host ::ng-deep .ps-sm-2{padding-left:.5rem!important}:host ::ng-deep .ps-sm-3{padding-left:1rem!important}:host ::ng-deep .ps-sm-4{padding-left:1.5rem!important}:host ::ng-deep .ps-sm-5{padding-left:3rem!important}:host ::ng-deep .gap-sm-0{gap:0!important}:host ::ng-deep .gap-sm-1{gap:.25rem!important}:host ::ng-deep .gap-sm-2{gap:.5rem!important}:host ::ng-deep .gap-sm-3{gap:1rem!important}:host ::ng-deep .gap-sm-4{gap:1.5rem!important}:host ::ng-deep .gap-sm-5{gap:3rem!important}:host ::ng-deep .text-sm-start{text-align:left!important}:host ::ng-deep .text-sm-end{text-align:right!important}:host ::ng-deep .text-sm-center{text-align:center!important}}@media (min-width: 768px){:host ::ng-deep .float-md-start{float:left!important}:host ::ng-deep .float-md-end{float:right!important}:host ::ng-deep .float-md-none{float:none!important}:host ::ng-deep .d-md-inline{display:inline!important}:host ::ng-deep .d-md-inline-block{display:inline-block!important}:host ::ng-deep .d-md-block{display:block!important}:host ::ng-deep .d-md-grid{display:grid!important}:host ::ng-deep .d-md-table{display:table!important}:host ::ng-deep .d-md-table-row{display:table-row!important}:host ::ng-deep .d-md-table-cell{display:table-cell!important}:host ::ng-deep .d-md-flex{display:flex!important}:host ::ng-deep .d-md-inline-flex{display:inline-flex!important}:host ::ng-deep .d-md-none{display:none!important}:host ::ng-deep .flex-md-fill{flex:1 1 auto!important}:host ::ng-deep .flex-md-row{flex-direction:row!important}:host ::ng-deep .flex-md-column{flex-direction:column!important}:host ::ng-deep .flex-md-row-reverse{flex-direction:row-reverse!important}:host ::ng-deep .flex-md-column-reverse{flex-direction:column-reverse!important}:host ::ng-deep .flex-md-grow-0{flex-grow:0!important}:host ::ng-deep .flex-md-grow-1{flex-grow:1!important}:host ::ng-deep .flex-md-shrink-0{flex-shrink:0!important}:host ::ng-deep .flex-md-shrink-1{flex-shrink:1!important}:host ::ng-deep .flex-md-wrap{flex-wrap:wrap!important}:host ::ng-deep .flex-md-nowrap{flex-wrap:nowrap!important}:host ::ng-deep .flex-md-wrap-reverse{flex-wrap:wrap-reverse!important}:host ::ng-deep .justify-content-md-start{justify-content:flex-start!important}:host ::ng-deep .justify-content-md-end{justify-content:flex-end!important}:host ::ng-deep .justify-content-md-center{justify-content:center!important}:host ::ng-deep .justify-content-md-between{justify-content:space-between!important}:host ::ng-deep .justify-content-md-around{justify-content:space-around!important}:host ::ng-deep .justify-content-md-evenly{justify-content:space-evenly!important}:host ::ng-deep .align-items-md-start{align-items:flex-start!important}:host ::ng-deep .align-items-md-end{align-items:flex-end!important}:host ::ng-deep .align-items-md-center{align-items:center!important}:host ::ng-deep .align-items-md-baseline{align-items:baseline!important}:host ::ng-deep .align-items-md-stretch{align-items:stretch!important}:host ::ng-deep .align-content-md-start{align-content:flex-start!important}:host ::ng-deep .align-content-md-end{align-content:flex-end!important}:host ::ng-deep .align-content-md-center{align-content:center!important}:host ::ng-deep .align-content-md-between{align-content:space-between!important}:host ::ng-deep .align-content-md-around{align-content:space-around!important}:host ::ng-deep .align-content-md-stretch{align-content:stretch!important}:host ::ng-deep .align-self-md-auto{align-self:auto!important}:host ::ng-deep .align-self-md-start{align-self:flex-start!important}:host ::ng-deep .align-self-md-end{align-self:flex-end!important}:host ::ng-deep .align-self-md-center{align-self:center!important}:host ::ng-deep .align-self-md-baseline{align-self:baseline!important}:host ::ng-deep .align-self-md-stretch{align-self:stretch!important}:host ::ng-deep .order-md-first{order:-1!important}:host ::ng-deep .order-md-0{order:0!important}:host ::ng-deep .order-md-1{order:1!important}:host ::ng-deep .order-md-2{order:2!important}:host ::ng-deep .order-md-3{order:3!important}:host ::ng-deep .order-md-4{order:4!important}:host ::ng-deep .order-md-5{order:5!important}:host ::ng-deep .order-md-last{order:6!important}:host ::ng-deep .m-md-0{margin:0!important}:host ::ng-deep .m-md-1{margin:.25rem!important}:host ::ng-deep .m-md-2{margin:.5rem!important}:host ::ng-deep .m-md-3{margin:1rem!important}:host ::ng-deep .m-md-4{margin:1.5rem!important}:host ::ng-deep .m-md-5{margin:3rem!important}:host ::ng-deep .m-md-auto{margin:auto!important}:host ::ng-deep .mx-md-0{margin-right:0!important;margin-left:0!important}:host ::ng-deep .mx-md-1{margin-right:.25rem!important;margin-left:.25rem!important}:host ::ng-deep .mx-md-2{margin-right:.5rem!important;margin-left:.5rem!important}:host ::ng-deep .mx-md-3{margin-right:1rem!important;margin-left:1rem!important}:host ::ng-deep .mx-md-4{margin-right:1.5rem!important;margin-left:1.5rem!important}:host ::ng-deep .mx-md-5{margin-right:3rem!important;margin-left:3rem!important}:host ::ng-deep .mx-md-auto{margin-right:auto!important;margin-left:auto!important}:host ::ng-deep .my-md-0{margin-top:0!important;margin-bottom:0!important}:host ::ng-deep .my-md-1{margin-top:.25rem!important;margin-bottom:.25rem!important}:host ::ng-deep .my-md-2{margin-top:.5rem!important;margin-bottom:.5rem!important}:host ::ng-deep .my-md-3{margin-top:1rem!important;margin-bottom:1rem!important}:host ::ng-deep .my-md-4{margin-top:1.5rem!important;margin-bottom:1.5rem!important}:host ::ng-deep .my-md-5{margin-top:3rem!important;margin-bottom:3rem!important}:host ::ng-deep .my-md-auto{margin-top:auto!important;margin-bottom:auto!important}:host ::ng-deep .mt-md-0{margin-top:0!important}:host ::ng-deep .mt-md-1{margin-top:.25rem!important}:host ::ng-deep .mt-md-2{margin-top:.5rem!important}:host ::ng-deep .mt-md-3{margin-top:1rem!important}:host ::ng-deep .mt-md-4{margin-top:1.5rem!important}:host ::ng-deep .mt-md-5{margin-top:3rem!important}:host ::ng-deep .mt-md-auto{margin-top:auto!important}:host ::ng-deep .me-md-0{margin-right:0!important}:host ::ng-deep .me-md-1{margin-right:.25rem!important}:host ::ng-deep .me-md-2{margin-right:.5rem!important}:host ::ng-deep .me-md-3{margin-right:1rem!important}:host ::ng-deep .me-md-4{margin-right:1.5rem!important}:host ::ng-deep .me-md-5{margin-right:3rem!important}:host ::ng-deep .me-md-auto{margin-right:auto!important}:host ::ng-deep .mb-md-0{margin-bottom:0!important}:host ::ng-deep .mb-md-1{margin-bottom:.25rem!important}:host ::ng-deep .mb-md-2{margin-bottom:.5rem!important}:host ::ng-deep .mb-md-3{margin-bottom:1rem!important}:host ::ng-deep .mb-md-4{margin-bottom:1.5rem!important}:host ::ng-deep .mb-md-5{margin-bottom:3rem!important}:host ::ng-deep .mb-md-auto{margin-bottom:auto!important}:host ::ng-deep .ms-md-0{margin-left:0!important}:host ::ng-deep .ms-md-1{margin-left:.25rem!important}:host ::ng-deep .ms-md-2{margin-left:.5rem!important}:host ::ng-deep .ms-md-3{margin-left:1rem!important}:host ::ng-deep .ms-md-4{margin-left:1.5rem!important}:host ::ng-deep .ms-md-5{margin-left:3rem!important}:host ::ng-deep .ms-md-auto{margin-left:auto!important}:host ::ng-deep .p-md-0{padding:0!important}:host ::ng-deep .p-md-1{padding:.25rem!important}:host ::ng-deep .p-md-2{padding:.5rem!important}:host ::ng-deep .p-md-3{padding:1rem!important}:host ::ng-deep .p-md-4{padding:1.5rem!important}:host ::ng-deep .p-md-5{padding:3rem!important}:host ::ng-deep .px-md-0{padding-right:0!important;padding-left:0!important}:host ::ng-deep .px-md-1{padding-right:.25rem!important;padding-left:.25rem!important}:host ::ng-deep .px-md-2{padding-right:.5rem!important;padding-left:.5rem!important}:host ::ng-deep .px-md-3{padding-right:1rem!important;padding-left:1rem!important}:host ::ng-deep .px-md-4{padding-right:1.5rem!important;padding-left:1.5rem!important}:host ::ng-deep .px-md-5{padding-right:3rem!important;padding-left:3rem!important}:host ::ng-deep .py-md-0{padding-top:0!important;padding-bottom:0!important}:host ::ng-deep .py-md-1{padding-top:.25rem!important;padding-bottom:.25rem!important}:host ::ng-deep .py-md-2{padding-top:.5rem!important;padding-bottom:.5rem!important}:host ::ng-deep .py-md-3{padding-top:1rem!important;padding-bottom:1rem!important}:host ::ng-deep .py-md-4{padding-top:1.5rem!important;padding-bottom:1.5rem!important}:host ::ng-deep .py-md-5{padding-top:3rem!important;padding-bottom:3rem!important}:host ::ng-deep .pt-md-0{padding-top:0!important}:host ::ng-deep .pt-md-1{padding-top:.25rem!important}:host ::ng-deep .pt-md-2{padding-top:.5rem!important}:host ::ng-deep .pt-md-3{padding-top:1rem!important}:host ::ng-deep .pt-md-4{padding-top:1.5rem!important}:host ::ng-deep .pt-md-5{padding-top:3rem!important}:host ::ng-deep .pe-md-0{padding-right:0!important}:host ::ng-deep .pe-md-1{padding-right:.25rem!important}:host ::ng-deep .pe-md-2{padding-right:.5rem!important}:host ::ng-deep .pe-md-3{padding-right:1rem!important}:host ::ng-deep .pe-md-4{padding-right:1.5rem!important}:host ::ng-deep .pe-md-5{padding-right:3rem!important}:host ::ng-deep .pb-md-0{padding-bottom:0!important}:host ::ng-deep .pb-md-1{padding-bottom:.25rem!important}:host ::ng-deep .pb-md-2{padding-bottom:.5rem!important}:host ::ng-deep .pb-md-3{padding-bottom:1rem!important}:host ::ng-deep .pb-md-4{padding-bottom:1.5rem!important}:host ::ng-deep .pb-md-5{padding-bottom:3rem!important}:host ::ng-deep .ps-md-0{padding-left:0!important}:host ::ng-deep .ps-md-1{padding-left:.25rem!important}:host ::ng-deep .ps-md-2{padding-left:.5rem!important}:host ::ng-deep .ps-md-3{padding-left:1rem!important}:host ::ng-deep .ps-md-4{padding-left:1.5rem!important}:host ::ng-deep .ps-md-5{padding-left:3rem!important}:host ::ng-deep .gap-md-0{gap:0!important}:host ::ng-deep .gap-md-1{gap:.25rem!important}:host ::ng-deep .gap-md-2{gap:.5rem!important}:host ::ng-deep .gap-md-3{gap:1rem!important}:host ::ng-deep .gap-md-4{gap:1.5rem!important}:host ::ng-deep .gap-md-5{gap:3rem!important}:host ::ng-deep .text-md-start{text-align:left!important}:host ::ng-deep .text-md-end{text-align:right!important}:host ::ng-deep .text-md-center{text-align:center!important}}@media (min-width: 992px){:host ::ng-deep .float-lg-start{float:left!important}:host ::ng-deep .float-lg-end{float:right!important}:host ::ng-deep .float-lg-none{float:none!important}:host ::ng-deep .d-lg-inline{display:inline!important}:host ::ng-deep .d-lg-inline-block{display:inline-block!important}:host ::ng-deep .d-lg-block{display:block!important}:host ::ng-deep .d-lg-grid{display:grid!important}:host ::ng-deep .d-lg-table{display:table!important}:host ::ng-deep .d-lg-table-row{display:table-row!important}:host ::ng-deep .d-lg-table-cell{display:table-cell!important}:host ::ng-deep .d-lg-flex{display:flex!important}:host ::ng-deep .d-lg-inline-flex{display:inline-flex!important}:host ::ng-deep .d-lg-none{display:none!important}:host ::ng-deep .flex-lg-fill{flex:1 1 auto!important}:host ::ng-deep .flex-lg-row{flex-direction:row!important}:host ::ng-deep .flex-lg-column{flex-direction:column!important}:host ::ng-deep .flex-lg-row-reverse{flex-direction:row-reverse!important}:host ::ng-deep .flex-lg-column-reverse{flex-direction:column-reverse!important}:host ::ng-deep .flex-lg-grow-0{flex-grow:0!important}:host ::ng-deep .flex-lg-grow-1{flex-grow:1!important}:host ::ng-deep .flex-lg-shrink-0{flex-shrink:0!important}:host ::ng-deep .flex-lg-shrink-1{flex-shrink:1!important}:host ::ng-deep .flex-lg-wrap{flex-wrap:wrap!important}:host ::ng-deep .flex-lg-nowrap{flex-wrap:nowrap!important}:host ::ng-deep .flex-lg-wrap-reverse{flex-wrap:wrap-reverse!important}:host ::ng-deep .justify-content-lg-start{justify-content:flex-start!important}:host ::ng-deep .justify-content-lg-end{justify-content:flex-end!important}:host ::ng-deep .justify-content-lg-center{justify-content:center!important}:host ::ng-deep .justify-content-lg-between{justify-content:space-between!important}:host ::ng-deep .justify-content-lg-around{justify-content:space-around!important}:host ::ng-deep .justify-content-lg-evenly{justify-content:space-evenly!important}:host ::ng-deep .align-items-lg-start{align-items:flex-start!important}:host ::ng-deep .align-items-lg-end{align-items:flex-end!important}:host ::ng-deep .align-items-lg-center{align-items:center!important}:host ::ng-deep .align-items-lg-baseline{align-items:baseline!important}:host ::ng-deep .align-items-lg-stretch{align-items:stretch!important}:host ::ng-deep .align-content-lg-start{align-content:flex-start!important}:host ::ng-deep .align-content-lg-end{align-content:flex-end!important}:host ::ng-deep .align-content-lg-center{align-content:center!important}:host ::ng-deep .align-content-lg-between{align-content:space-between!important}:host ::ng-deep .align-content-lg-around{align-content:space-around!important}:host ::ng-deep .align-content-lg-stretch{align-content:stretch!important}:host ::ng-deep .align-self-lg-auto{align-self:auto!important}:host ::ng-deep .align-self-lg-start{align-self:flex-start!important}:host ::ng-deep .align-self-lg-end{align-self:flex-end!important}:host ::ng-deep .align-self-lg-center{align-self:center!important}:host ::ng-deep .align-self-lg-baseline{align-self:baseline!important}:host ::ng-deep .align-self-lg-stretch{align-self:stretch!important}:host ::ng-deep .order-lg-first{order:-1!important}:host ::ng-deep .order-lg-0{order:0!important}:host ::ng-deep .order-lg-1{order:1!important}:host ::ng-deep .order-lg-2{order:2!important}:host ::ng-deep .order-lg-3{order:3!important}:host ::ng-deep .order-lg-4{order:4!important}:host ::ng-deep .order-lg-5{order:5!important}:host ::ng-deep .order-lg-last{order:6!important}:host ::ng-deep .m-lg-0{margin:0!important}:host ::ng-deep .m-lg-1{margin:.25rem!important}:host ::ng-deep .m-lg-2{margin:.5rem!important}:host ::ng-deep .m-lg-3{margin:1rem!important}:host ::ng-deep .m-lg-4{margin:1.5rem!important}:host ::ng-deep .m-lg-5{margin:3rem!important}:host ::ng-deep .m-lg-auto{margin:auto!important}:host ::ng-deep .mx-lg-0{margin-right:0!important;margin-left:0!important}:host ::ng-deep .mx-lg-1{margin-right:.25rem!important;margin-left:.25rem!important}:host ::ng-deep .mx-lg-2{margin-right:.5rem!important;margin-left:.5rem!important}:host ::ng-deep .mx-lg-3{margin-right:1rem!important;margin-left:1rem!important}:host ::ng-deep .mx-lg-4{margin-right:1.5rem!important;margin-left:1.5rem!important}:host ::ng-deep .mx-lg-5{margin-right:3rem!important;margin-left:3rem!important}:host ::ng-deep .mx-lg-auto{margin-right:auto!important;margin-left:auto!important}:host ::ng-deep .my-lg-0{margin-top:0!important;margin-bottom:0!important}:host ::ng-deep .my-lg-1{margin-top:.25rem!important;margin-bottom:.25rem!important}:host ::ng-deep .my-lg-2{margin-top:.5rem!important;margin-bottom:.5rem!important}:host ::ng-deep .my-lg-3{margin-top:1rem!important;margin-bottom:1rem!important}:host ::ng-deep .my-lg-4{margin-top:1.5rem!important;margin-bottom:1.5rem!important}:host ::ng-deep .my-lg-5{margin-top:3rem!important;margin-bottom:3rem!important}:host ::ng-deep .my-lg-auto{margin-top:auto!important;margin-bottom:auto!important}:host ::ng-deep .mt-lg-0{margin-top:0!important}:host ::ng-deep .mt-lg-1{margin-top:.25rem!important}:host ::ng-deep .mt-lg-2{margin-top:.5rem!important}:host ::ng-deep .mt-lg-3{margin-top:1rem!important}:host ::ng-deep .mt-lg-4{margin-top:1.5rem!important}:host ::ng-deep .mt-lg-5{margin-top:3rem!important}:host ::ng-deep .mt-lg-auto{margin-top:auto!important}:host ::ng-deep .me-lg-0{margin-right:0!important}:host ::ng-deep .me-lg-1{margin-right:.25rem!important}:host ::ng-deep .me-lg-2{margin-right:.5rem!important}:host ::ng-deep .me-lg-3{margin-right:1rem!important}:host ::ng-deep .me-lg-4{margin-right:1.5rem!important}:host ::ng-deep .me-lg-5{margin-right:3rem!important}:host ::ng-deep .me-lg-auto{margin-right:auto!important}:host ::ng-deep .mb-lg-0{margin-bottom:0!important}:host ::ng-deep .mb-lg-1{margin-bottom:.25rem!important}:host ::ng-deep .mb-lg-2{margin-bottom:.5rem!important}:host ::ng-deep .mb-lg-3{margin-bottom:1rem!important}:host ::ng-deep .mb-lg-4{margin-bottom:1.5rem!important}:host ::ng-deep .mb-lg-5{margin-bottom:3rem!important}:host ::ng-deep .mb-lg-auto{margin-bottom:auto!important}:host ::ng-deep .ms-lg-0{margin-left:0!important}:host ::ng-deep .ms-lg-1{margin-left:.25rem!important}:host ::ng-deep .ms-lg-2{margin-left:.5rem!important}:host ::ng-deep .ms-lg-3{margin-left:1rem!important}:host ::ng-deep .ms-lg-4{margin-left:1.5rem!important}:host ::ng-deep .ms-lg-5{margin-left:3rem!important}:host ::ng-deep .ms-lg-auto{margin-left:auto!important}:host ::ng-deep .p-lg-0{padding:0!important}:host ::ng-deep .p-lg-1{padding:.25rem!important}:host ::ng-deep .p-lg-2{padding:.5rem!important}:host ::ng-deep .p-lg-3{padding:1rem!important}:host ::ng-deep .p-lg-4{padding:1.5rem!important}:host ::ng-deep .p-lg-5{padding:3rem!important}:host ::ng-deep .px-lg-0{padding-right:0!important;padding-left:0!important}:host ::ng-deep .px-lg-1{padding-right:.25rem!important;padding-left:.25rem!important}:host ::ng-deep .px-lg-2{padding-right:.5rem!important;padding-left:.5rem!important}:host ::ng-deep .px-lg-3{padding-right:1rem!important;padding-left:1rem!important}:host ::ng-deep .px-lg-4{padding-right:1.5rem!important;padding-left:1.5rem!important}:host ::ng-deep .px-lg-5{padding-right:3rem!important;padding-left:3rem!important}:host ::ng-deep .py-lg-0{padding-top:0!important;padding-bottom:0!important}:host ::ng-deep .py-lg-1{padding-top:.25rem!important;padding-bottom:.25rem!important}:host ::ng-deep .py-lg-2{padding-top:.5rem!important;padding-bottom:.5rem!important}:host ::ng-deep .py-lg-3{padding-top:1rem!important;padding-bottom:1rem!important}:host ::ng-deep .py-lg-4{padding-top:1.5rem!important;padding-bottom:1.5rem!important}:host ::ng-deep .py-lg-5{padding-top:3rem!important;padding-bottom:3rem!important}:host ::ng-deep .pt-lg-0{padding-top:0!important}:host ::ng-deep .pt-lg-1{padding-top:.25rem!important}:host ::ng-deep .pt-lg-2{padding-top:.5rem!important}:host ::ng-deep .pt-lg-3{padding-top:1rem!important}:host ::ng-deep .pt-lg-4{padding-top:1.5rem!important}:host ::ng-deep .pt-lg-5{padding-top:3rem!important}:host ::ng-deep .pe-lg-0{padding-right:0!important}:host ::ng-deep .pe-lg-1{padding-right:.25rem!important}:host ::ng-deep .pe-lg-2{padding-right:.5rem!important}:host ::ng-deep .pe-lg-3{padding-right:1rem!important}:host ::ng-deep .pe-lg-4{padding-right:1.5rem!important}:host ::ng-deep .pe-lg-5{padding-right:3rem!important}:host ::ng-deep .pb-lg-0{padding-bottom:0!important}:host ::ng-deep .pb-lg-1{padding-bottom:.25rem!important}:host ::ng-deep .pb-lg-2{padding-bottom:.5rem!important}:host ::ng-deep .pb-lg-3{padding-bottom:1rem!important}:host ::ng-deep .pb-lg-4{padding-bottom:1.5rem!important}:host ::ng-deep .pb-lg-5{padding-bottom:3rem!important}:host ::ng-deep .ps-lg-0{padding-left:0!important}:host ::ng-deep .ps-lg-1{padding-left:.25rem!important}:host ::ng-deep .ps-lg-2{padding-left:.5rem!important}:host ::ng-deep .ps-lg-3{padding-left:1rem!important}:host ::ng-deep .ps-lg-4{padding-left:1.5rem!important}:host ::ng-deep .ps-lg-5{padding-left:3rem!important}:host ::ng-deep .gap-lg-0{gap:0!important}:host ::ng-deep .gap-lg-1{gap:.25rem!important}:host ::ng-deep .gap-lg-2{gap:.5rem!important}:host ::ng-deep .gap-lg-3{gap:1rem!important}:host ::ng-deep .gap-lg-4{gap:1.5rem!important}:host ::ng-deep .gap-lg-5{gap:3rem!important}:host ::ng-deep .text-lg-start{text-align:left!important}:host ::ng-deep .text-lg-end{text-align:right!important}:host ::ng-deep .text-lg-center{text-align:center!important}}@media (min-width: 1200px){:host ::ng-deep .float-xl-start{float:left!important}:host ::ng-deep .float-xl-end{float:right!important}:host ::ng-deep .float-xl-none{float:none!important}:host ::ng-deep .d-xl-inline{display:inline!important}:host ::ng-deep .d-xl-inline-block{display:inline-block!important}:host ::ng-deep .d-xl-block{display:block!important}:host ::ng-deep .d-xl-grid{display:grid!important}:host ::ng-deep .d-xl-table{display:table!important}:host ::ng-deep .d-xl-table-row{display:table-row!important}:host ::ng-deep .d-xl-table-cell{display:table-cell!important}:host ::ng-deep .d-xl-flex{display:flex!important}:host ::ng-deep .d-xl-inline-flex{display:inline-flex!important}:host ::ng-deep .d-xl-none{display:none!important}:host ::ng-deep .flex-xl-fill{flex:1 1 auto!important}:host ::ng-deep .flex-xl-row{flex-direction:row!important}:host ::ng-deep .flex-xl-column{flex-direction:column!important}:host ::ng-deep .flex-xl-row-reverse{flex-direction:row-reverse!important}:host ::ng-deep .flex-xl-column-reverse{flex-direction:column-reverse!important}:host ::ng-deep .flex-xl-grow-0{flex-grow:0!important}:host ::ng-deep .flex-xl-grow-1{flex-grow:1!important}:host ::ng-deep .flex-xl-shrink-0{flex-shrink:0!important}:host ::ng-deep .flex-xl-shrink-1{flex-shrink:1!important}:host ::ng-deep .flex-xl-wrap{flex-wrap:wrap!important}:host ::ng-deep .flex-xl-nowrap{flex-wrap:nowrap!important}:host ::ng-deep .flex-xl-wrap-reverse{flex-wrap:wrap-reverse!important}:host ::ng-deep .justify-content-xl-start{justify-content:flex-start!important}:host ::ng-deep .justify-content-xl-end{justify-content:flex-end!important}:host ::ng-deep .justify-content-xl-center{justify-content:center!important}:host ::ng-deep .justify-content-xl-between{justify-content:space-between!important}:host ::ng-deep .justify-content-xl-around{justify-content:space-around!important}:host ::ng-deep .justify-content-xl-evenly{justify-content:space-evenly!important}:host ::ng-deep .align-items-xl-start{align-items:flex-start!important}:host ::ng-deep .align-items-xl-end{align-items:flex-end!important}:host ::ng-deep .align-items-xl-center{align-items:center!important}:host ::ng-deep .align-items-xl-baseline{align-items:baseline!important}:host ::ng-deep .align-items-xl-stretch{align-items:stretch!important}:host ::ng-deep .align-content-xl-start{align-content:flex-start!important}:host ::ng-deep .align-content-xl-end{align-content:flex-end!important}:host ::ng-deep .align-content-xl-center{align-content:center!important}:host ::ng-deep .align-content-xl-between{align-content:space-between!important}:host ::ng-deep .align-content-xl-around{align-content:space-around!important}:host ::ng-deep .align-content-xl-stretch{align-content:stretch!important}:host ::ng-deep .align-self-xl-auto{align-self:auto!important}:host ::ng-deep .align-self-xl-start{align-self:flex-start!important}:host ::ng-deep .align-self-xl-end{align-self:flex-end!important}:host ::ng-deep .align-self-xl-center{align-self:center!important}:host ::ng-deep .align-self-xl-baseline{align-self:baseline!important}:host ::ng-deep .align-self-xl-stretch{align-self:stretch!important}:host ::ng-deep .order-xl-first{order:-1!important}:host ::ng-deep .order-xl-0{order:0!important}:host ::ng-deep .order-xl-1{order:1!important}:host ::ng-deep .order-xl-2{order:2!important}:host ::ng-deep .order-xl-3{order:3!important}:host ::ng-deep .order-xl-4{order:4!important}:host ::ng-deep .order-xl-5{order:5!important}:host ::ng-deep .order-xl-last{order:6!important}:host ::ng-deep .m-xl-0{margin:0!important}:host ::ng-deep .m-xl-1{margin:.25rem!important}:host ::ng-deep .m-xl-2{margin:.5rem!important}:host ::ng-deep .m-xl-3{margin:1rem!important}:host ::ng-deep .m-xl-4{margin:1.5rem!important}:host ::ng-deep .m-xl-5{margin:3rem!important}:host ::ng-deep .m-xl-auto{margin:auto!important}:host ::ng-deep .mx-xl-0{margin-right:0!important;margin-left:0!important}:host ::ng-deep .mx-xl-1{margin-right:.25rem!important;margin-left:.25rem!important}:host ::ng-deep .mx-xl-2{margin-right:.5rem!important;margin-left:.5rem!important}:host ::ng-deep .mx-xl-3{margin-right:1rem!important;margin-left:1rem!important}:host ::ng-deep .mx-xl-4{margin-right:1.5rem!important;margin-left:1.5rem!important}:host ::ng-deep .mx-xl-5{margin-right:3rem!important;margin-left:3rem!important}:host ::ng-deep .mx-xl-auto{margin-right:auto!important;margin-left:auto!important}:host ::ng-deep .my-xl-0{margin-top:0!important;margin-bottom:0!important}:host ::ng-deep .my-xl-1{margin-top:.25rem!important;margin-bottom:.25rem!important}:host ::ng-deep .my-xl-2{margin-top:.5rem!important;margin-bottom:.5rem!important}:host ::ng-deep .my-xl-3{margin-top:1rem!important;margin-bottom:1rem!important}:host ::ng-deep .my-xl-4{margin-top:1.5rem!important;margin-bottom:1.5rem!important}:host ::ng-deep .my-xl-5{margin-top:3rem!important;margin-bottom:3rem!important}:host ::ng-deep .my-xl-auto{margin-top:auto!important;margin-bottom:auto!important}:host ::ng-deep .mt-xl-0{margin-top:0!important}:host ::ng-deep .mt-xl-1{margin-top:.25rem!important}:host ::ng-deep .mt-xl-2{margin-top:.5rem!important}:host ::ng-deep .mt-xl-3{margin-top:1rem!important}:host ::ng-deep .mt-xl-4{margin-top:1.5rem!important}:host ::ng-deep .mt-xl-5{margin-top:3rem!important}:host ::ng-deep .mt-xl-auto{margin-top:auto!important}:host ::ng-deep .me-xl-0{margin-right:0!important}:host ::ng-deep .me-xl-1{margin-right:.25rem!important}:host ::ng-deep .me-xl-2{margin-right:.5rem!important}:host ::ng-deep .me-xl-3{margin-right:1rem!important}:host ::ng-deep .me-xl-4{margin-right:1.5rem!important}:host ::ng-deep .me-xl-5{margin-right:3rem!important}:host ::ng-deep .me-xl-auto{margin-right:auto!important}:host ::ng-deep .mb-xl-0{margin-bottom:0!important}:host ::ng-deep .mb-xl-1{margin-bottom:.25rem!important}:host ::ng-deep .mb-xl-2{margin-bottom:.5rem!important}:host ::ng-deep .mb-xl-3{margin-bottom:1rem!important}:host ::ng-deep .mb-xl-4{margin-bottom:1.5rem!important}:host ::ng-deep .mb-xl-5{margin-bottom:3rem!important}:host ::ng-deep .mb-xl-auto{margin-bottom:auto!important}:host ::ng-deep .ms-xl-0{margin-left:0!important}:host ::ng-deep .ms-xl-1{margin-left:.25rem!important}:host ::ng-deep .ms-xl-2{margin-left:.5rem!important}:host ::ng-deep .ms-xl-3{margin-left:1rem!important}:host ::ng-deep .ms-xl-4{margin-left:1.5rem!important}:host ::ng-deep .ms-xl-5{margin-left:3rem!important}:host ::ng-deep .ms-xl-auto{margin-left:auto!important}:host ::ng-deep .p-xl-0{padding:0!important}:host ::ng-deep .p-xl-1{padding:.25rem!important}:host ::ng-deep .p-xl-2{padding:.5rem!important}:host ::ng-deep .p-xl-3{padding:1rem!important}:host ::ng-deep .p-xl-4{padding:1.5rem!important}:host ::ng-deep .p-xl-5{padding:3rem!important}:host ::ng-deep .px-xl-0{padding-right:0!important;padding-left:0!important}:host ::ng-deep .px-xl-1{padding-right:.25rem!important;padding-left:.25rem!important}:host ::ng-deep .px-xl-2{padding-right:.5rem!important;padding-left:.5rem!important}:host ::ng-deep .px-xl-3{padding-right:1rem!important;padding-left:1rem!important}:host ::ng-deep .px-xl-4{padding-right:1.5rem!important;padding-left:1.5rem!important}:host ::ng-deep .px-xl-5{padding-right:3rem!important;padding-left:3rem!important}:host ::ng-deep .py-xl-0{padding-top:0!important;padding-bottom:0!important}:host ::ng-deep .py-xl-1{padding-top:.25rem!important;padding-bottom:.25rem!important}:host ::ng-deep .py-xl-2{padding-top:.5rem!important;padding-bottom:.5rem!important}:host ::ng-deep .py-xl-3{padding-top:1rem!important;padding-bottom:1rem!important}:host ::ng-deep .py-xl-4{padding-top:1.5rem!important;padding-bottom:1.5rem!important}:host ::ng-deep .py-xl-5{padding-top:3rem!important;padding-bottom:3rem!important}:host ::ng-deep .pt-xl-0{padding-top:0!important}:host ::ng-deep .pt-xl-1{padding-top:.25rem!important}:host ::ng-deep .pt-xl-2{padding-top:.5rem!important}:host ::ng-deep .pt-xl-3{padding-top:1rem!important}:host ::ng-deep .pt-xl-4{padding-top:1.5rem!important}:host ::ng-deep .pt-xl-5{padding-top:3rem!important}:host ::ng-deep .pe-xl-0{padding-right:0!important}:host ::ng-deep .pe-xl-1{padding-right:.25rem!important}:host ::ng-deep .pe-xl-2{padding-right:.5rem!important}:host ::ng-deep .pe-xl-3{padding-right:1rem!important}:host ::ng-deep .pe-xl-4{padding-right:1.5rem!important}:host ::ng-deep .pe-xl-5{padding-right:3rem!important}:host ::ng-deep .pb-xl-0{padding-bottom:0!important}:host ::ng-deep .pb-xl-1{padding-bottom:.25rem!important}:host ::ng-deep .pb-xl-2{padding-bottom:.5rem!important}:host ::ng-deep .pb-xl-3{padding-bottom:1rem!important}:host ::ng-deep .pb-xl-4{padding-bottom:1.5rem!important}:host ::ng-deep .pb-xl-5{padding-bottom:3rem!important}:host ::ng-deep .ps-xl-0{padding-left:0!important}:host ::ng-deep .ps-xl-1{padding-left:.25rem!important}:host ::ng-deep .ps-xl-2{padding-left:.5rem!important}:host ::ng-deep .ps-xl-3{padding-left:1rem!important}:host ::ng-deep .ps-xl-4{padding-left:1.5rem!important}:host ::ng-deep .ps-xl-5{padding-left:3rem!important}:host ::ng-deep .gap-xl-0{gap:0!important}:host ::ng-deep .gap-xl-1{gap:.25rem!important}:host ::ng-deep .gap-xl-2{gap:.5rem!important}:host ::ng-deep .gap-xl-3{gap:1rem!important}:host ::ng-deep .gap-xl-4{gap:1.5rem!important}:host ::ng-deep .gap-xl-5{gap:3rem!important}:host ::ng-deep .text-xl-start{text-align:left!important}:host ::ng-deep .text-xl-end{text-align:right!important}:host ::ng-deep .text-xl-center{text-align:center!important}}@media (min-width: 1400px){:host ::ng-deep .float-xxl-start{float:left!important}:host ::ng-deep .float-xxl-end{float:right!important}:host ::ng-deep .float-xxl-none{float:none!important}:host ::ng-deep .d-xxl-inline{display:inline!important}:host ::ng-deep .d-xxl-inline-block{display:inline-block!important}:host ::ng-deep .d-xxl-block{display:block!important}:host ::ng-deep .d-xxl-grid{display:grid!important}:host ::ng-deep .d-xxl-table{display:table!important}:host ::ng-deep .d-xxl-table-row{display:table-row!important}:host ::ng-deep .d-xxl-table-cell{display:table-cell!important}:host ::ng-deep .d-xxl-flex{display:flex!important}:host ::ng-deep .d-xxl-inline-flex{display:inline-flex!important}:host ::ng-deep .d-xxl-none{display:none!important}:host ::ng-deep .flex-xxl-fill{flex:1 1 auto!important}:host ::ng-deep .flex-xxl-row{flex-direction:row!important}:host ::ng-deep .flex-xxl-column{flex-direction:column!important}:host ::ng-deep .flex-xxl-row-reverse{flex-direction:row-reverse!important}:host ::ng-deep .flex-xxl-column-reverse{flex-direction:column-reverse!important}:host ::ng-deep .flex-xxl-grow-0{flex-grow:0!important}:host ::ng-deep .flex-xxl-grow-1{flex-grow:1!important}:host ::ng-deep .flex-xxl-shrink-0{flex-shrink:0!important}:host ::ng-deep .flex-xxl-shrink-1{flex-shrink:1!important}:host ::ng-deep .flex-xxl-wrap{flex-wrap:wrap!important}:host ::ng-deep .flex-xxl-nowrap{flex-wrap:nowrap!important}:host ::ng-deep .flex-xxl-wrap-reverse{flex-wrap:wrap-reverse!important}:host ::ng-deep .justify-content-xxl-start{justify-content:flex-start!important}:host ::ng-deep .justify-content-xxl-end{justify-content:flex-end!important}:host ::ng-deep .justify-content-xxl-center{justify-content:center!important}:host ::ng-deep .justify-content-xxl-between{justify-content:space-between!important}:host ::ng-deep .justify-content-xxl-around{justify-content:space-around!important}:host ::ng-deep .justify-content-xxl-evenly{justify-content:space-evenly!important}:host ::ng-deep .align-items-xxl-start{align-items:flex-start!important}:host ::ng-deep .align-items-xxl-end{align-items:flex-end!important}:host ::ng-deep .align-items-xxl-center{align-items:center!important}:host ::ng-deep .align-items-xxl-baseline{align-items:baseline!important}:host ::ng-deep .align-items-xxl-stretch{align-items:stretch!important}:host ::ng-deep .align-content-xxl-start{align-content:flex-start!important}:host ::ng-deep .align-content-xxl-end{align-content:flex-end!important}:host ::ng-deep .align-content-xxl-center{align-content:center!important}:host ::ng-deep .align-content-xxl-between{align-content:space-between!important}:host ::ng-deep .align-content-xxl-around{align-content:space-around!important}:host ::ng-deep .align-content-xxl-stretch{align-content:stretch!important}:host ::ng-deep .align-self-xxl-auto{align-self:auto!important}:host ::ng-deep .align-self-xxl-start{align-self:flex-start!important}:host ::ng-deep .align-self-xxl-end{align-self:flex-end!important}:host ::ng-deep .align-self-xxl-center{align-self:center!important}:host ::ng-deep .align-self-xxl-baseline{align-self:baseline!important}:host ::ng-deep .align-self-xxl-stretch{align-self:stretch!important}:host ::ng-deep .order-xxl-first{order:-1!important}:host ::ng-deep .order-xxl-0{order:0!important}:host ::ng-deep .order-xxl-1{order:1!important}:host ::ng-deep .order-xxl-2{order:2!important}:host ::ng-deep .order-xxl-3{order:3!important}:host ::ng-deep .order-xxl-4{order:4!important}:host ::ng-deep .order-xxl-5{order:5!important}:host ::ng-deep .order-xxl-last{order:6!important}:host ::ng-deep .m-xxl-0{margin:0!important}:host ::ng-deep .m-xxl-1{margin:.25rem!important}:host ::ng-deep .m-xxl-2{margin:.5rem!important}:host ::ng-deep .m-xxl-3{margin:1rem!important}:host ::ng-deep .m-xxl-4{margin:1.5rem!important}:host ::ng-deep .m-xxl-5{margin:3rem!important}:host ::ng-deep .m-xxl-auto{margin:auto!important}:host ::ng-deep .mx-xxl-0{margin-right:0!important;margin-left:0!important}:host ::ng-deep .mx-xxl-1{margin-right:.25rem!important;margin-left:.25rem!important}:host ::ng-deep .mx-xxl-2{margin-right:.5rem!important;margin-left:.5rem!important}:host ::ng-deep .mx-xxl-3{margin-right:1rem!important;margin-left:1rem!important}:host ::ng-deep .mx-xxl-4{margin-right:1.5rem!important;margin-left:1.5rem!important}:host ::ng-deep .mx-xxl-5{margin-right:3rem!important;margin-left:3rem!important}:host ::ng-deep .mx-xxl-auto{margin-right:auto!important;margin-left:auto!important}:host ::ng-deep .my-xxl-0{margin-top:0!important;margin-bottom:0!important}:host ::ng-deep .my-xxl-1{margin-top:.25rem!important;margin-bottom:.25rem!important}:host ::ng-deep .my-xxl-2{margin-top:.5rem!important;margin-bottom:.5rem!important}:host ::ng-deep .my-xxl-3{margin-top:1rem!important;margin-bottom:1rem!important}:host ::ng-deep .my-xxl-4{margin-top:1.5rem!important;margin-bottom:1.5rem!important}:host ::ng-deep .my-xxl-5{margin-top:3rem!important;margin-bottom:3rem!important}:host ::ng-deep .my-xxl-auto{margin-top:auto!important;margin-bottom:auto!important}:host ::ng-deep .mt-xxl-0{margin-top:0!important}:host ::ng-deep .mt-xxl-1{margin-top:.25rem!important}:host ::ng-deep .mt-xxl-2{margin-top:.5rem!important}:host ::ng-deep .mt-xxl-3{margin-top:1rem!important}:host ::ng-deep .mt-xxl-4{margin-top:1.5rem!important}:host ::ng-deep .mt-xxl-5{margin-top:3rem!important}:host ::ng-deep .mt-xxl-auto{margin-top:auto!important}:host ::ng-deep .me-xxl-0{margin-right:0!important}:host ::ng-deep .me-xxl-1{margin-right:.25rem!important}:host ::ng-deep .me-xxl-2{margin-right:.5rem!important}:host ::ng-deep .me-xxl-3{margin-right:1rem!important}:host ::ng-deep .me-xxl-4{margin-right:1.5rem!important}:host ::ng-deep .me-xxl-5{margin-right:3rem!important}:host ::ng-deep .me-xxl-auto{margin-right:auto!important}:host ::ng-deep .mb-xxl-0{margin-bottom:0!important}:host ::ng-deep .mb-xxl-1{margin-bottom:.25rem!important}:host ::ng-deep .mb-xxl-2{margin-bottom:.5rem!important}:host ::ng-deep .mb-xxl-3{margin-bottom:1rem!important}:host ::ng-deep .mb-xxl-4{margin-bottom:1.5rem!important}:host ::ng-deep .mb-xxl-5{margin-bottom:3rem!important}:host ::ng-deep .mb-xxl-auto{margin-bottom:auto!important}:host ::ng-deep .ms-xxl-0{margin-left:0!important}:host ::ng-deep .ms-xxl-1{margin-left:.25rem!important}:host ::ng-deep .ms-xxl-2{margin-left:.5rem!important}:host ::ng-deep .ms-xxl-3{margin-left:1rem!important}:host ::ng-deep .ms-xxl-4{margin-left:1.5rem!important}:host ::ng-deep .ms-xxl-5{margin-left:3rem!important}:host ::ng-deep .ms-xxl-auto{margin-left:auto!important}:host ::ng-deep .p-xxl-0{padding:0!important}:host ::ng-deep .p-xxl-1{padding:.25rem!important}:host ::ng-deep .p-xxl-2{padding:.5rem!important}:host ::ng-deep .p-xxl-3{padding:1rem!important}:host ::ng-deep .p-xxl-4{padding:1.5rem!important}:host ::ng-deep .p-xxl-5{padding:3rem!important}:host ::ng-deep .px-xxl-0{padding-right:0!important;padding-left:0!important}:host ::ng-deep .px-xxl-1{padding-right:.25rem!important;padding-left:.25rem!important}:host ::ng-deep .px-xxl-2{padding-right:.5rem!important;padding-left:.5rem!important}:host ::ng-deep .px-xxl-3{padding-right:1rem!important;padding-left:1rem!important}:host ::ng-deep .px-xxl-4{padding-right:1.5rem!important;padding-left:1.5rem!important}:host ::ng-deep .px-xxl-5{padding-right:3rem!important;padding-left:3rem!important}:host ::ng-deep .py-xxl-0{padding-top:0!important;padding-bottom:0!important}:host ::ng-deep .py-xxl-1{padding-top:.25rem!important;padding-bottom:.25rem!important}:host ::ng-deep .py-xxl-2{padding-top:.5rem!important;padding-bottom:.5rem!important}:host ::ng-deep .py-xxl-3{padding-top:1rem!important;padding-bottom:1rem!important}:host ::ng-deep .py-xxl-4{padding-top:1.5rem!important;padding-bottom:1.5rem!important}:host ::ng-deep .py-xxl-5{padding-top:3rem!important;padding-bottom:3rem!important}:host ::ng-deep .pt-xxl-0{padding-top:0!important}:host ::ng-deep .pt-xxl-1{padding-top:.25rem!important}:host ::ng-deep .pt-xxl-2{padding-top:.5rem!important}:host ::ng-deep .pt-xxl-3{padding-top:1rem!important}:host ::ng-deep .pt-xxl-4{padding-top:1.5rem!important}:host ::ng-deep .pt-xxl-5{padding-top:3rem!important}:host ::ng-deep .pe-xxl-0{padding-right:0!important}:host ::ng-deep .pe-xxl-1{padding-right:.25rem!important}:host ::ng-deep .pe-xxl-2{padding-right:.5rem!important}:host ::ng-deep .pe-xxl-3{padding-right:1rem!important}:host ::ng-deep .pe-xxl-4{padding-right:1.5rem!important}:host ::ng-deep .pe-xxl-5{padding-right:3rem!important}:host ::ng-deep .pb-xxl-0{padding-bottom:0!important}:host ::ng-deep .pb-xxl-1{padding-bottom:.25rem!important}:host ::ng-deep .pb-xxl-2{padding-bottom:.5rem!important}:host ::ng-deep .pb-xxl-3{padding-bottom:1rem!important}:host ::ng-deep .pb-xxl-4{padding-bottom:1.5rem!important}:host ::ng-deep .pb-xxl-5{padding-bottom:3rem!important}:host ::ng-deep .ps-xxl-0{padding-left:0!important}:host ::ng-deep .ps-xxl-1{padding-left:.25rem!important}:host ::ng-deep .ps-xxl-2{padding-left:.5rem!important}:host ::ng-deep .ps-xxl-3{padding-left:1rem!important}:host ::ng-deep .ps-xxl-4{padding-left:1.5rem!important}:host ::ng-deep .ps-xxl-5{padding-left:3rem!important}:host ::ng-deep .gap-xxl-0{gap:0!important}:host ::ng-deep .gap-xxl-1{gap:.25rem!important}:host ::ng-deep .gap-xxl-2{gap:.5rem!important}:host ::ng-deep .gap-xxl-3{gap:1rem!important}:host ::ng-deep .gap-xxl-4{gap:1.5rem!important}:host ::ng-deep .gap-xxl-5{gap:3rem!important}:host ::ng-deep .text-xxl-start{text-align:left!important}:host ::ng-deep .text-xxl-end{text-align:right!important}:host ::ng-deep .text-xxl-center{text-align:center!important}}@media (min-width: 1200px){:host ::ng-deep .fs-1{font-size:2.5rem!important}:host ::ng-deep .fs-2{font-size:2rem!important}:host ::ng-deep .fs-3{font-size:1.75rem!important}:host ::ng-deep .fs-4{font-size:1.5rem!important}}@media print{:host ::ng-deep .d-print-inline{display:inline!important}:host ::ng-deep .d-print-inline-block{display:inline-block!important}:host ::ng-deep .d-print-block{display:block!important}:host ::ng-deep .d-print-grid{display:grid!important}:host ::ng-deep .d-print-table{display:table!important}:host ::ng-deep .d-print-table-row{display:table-row!important}:host ::ng-deep .d-print-table-cell{display:table-cell!important}:host ::ng-deep .d-print-flex{display:flex!important}:host ::ng-deep .d-print-inline-flex{display:inline-flex!important}:host ::ng-deep .d-print-none{display:none!important}}:host ::ng-deep .container,:host ::ng-deep .container-fluid,:host ::ng-deep .container-xxl,:host ::ng-deep .container-xl,:host ::ng-deep .container-lg,:host ::ng-deep .container-md,:host ::ng-deep .container-sm{--bs-gutter-x: 1.5rem;--bs-gutter-y: 0;width:100%;padding-right:calc(var(--bs-gutter-x) * .5);padding-left:calc(var(--bs-gutter-x) * .5);margin-right:auto;margin-left:auto}@media (min-width: 576px){:host ::ng-deep .container-sm,:host ::ng-deep .container{max-width:540px}}@media (min-width: 768px){:host ::ng-deep .container-md,:host ::ng-deep .container-sm,:host ::ng-deep .container{max-width:720px}}@media (min-width: 992px){:host ::ng-deep .container-lg,:host ::ng-deep .container-md,:host ::ng-deep .container-sm,:host ::ng-deep .container{max-width:960px}}@media (min-width: 1200px){:host ::ng-deep .container-xl,:host ::ng-deep .container-lg,:host ::ng-deep .container-md,:host ::ng-deep .container-sm,:host ::ng-deep .container{max-width:1140px}}@media (min-width: 1400px){:host ::ng-deep .container-xxl,:host ::ng-deep .container-xl,:host ::ng-deep .container-lg,:host ::ng-deep .container-md,:host ::ng-deep .container-sm,:host ::ng-deep .container{max-width:1320px}}:host ::ng-deep .row{--bs-gutter-x: 1.5rem;--bs-gutter-y: 0;display:flex;flex-wrap:wrap;margin-top:calc(-1 * var(--bs-gutter-y));margin-right:calc(-.5 * var(--bs-gutter-x));margin-left:calc(-.5 * var(--bs-gutter-x))}:host ::ng-deep .row>*{flex-shrink:0;width:100%;max-width:100%;padding-right:calc(var(--bs-gutter-x) * .5);padding-left:calc(var(--bs-gutter-x) * .5);margin-top:var(--bs-gutter-y)}:host ::ng-deep .col{flex:1 0 0%}:host ::ng-deep .row-cols-auto>*{flex:0 0 auto;width:auto}:host ::ng-deep .row-cols-1>*{flex:0 0 auto;width:100%}:host ::ng-deep .row-cols-2>*{flex:0 0 auto;width:50%}:host ::ng-deep .row-cols-3>*{flex:0 0 auto;width:33.3333333333%}:host ::ng-deep .row-cols-4>*{flex:0 0 auto;width:25%}:host ::ng-deep .row-cols-5>*{flex:0 0 auto;width:20%}:host ::ng-deep .row-cols-6>*{flex:0 0 auto;width:16.6666666667%}:host ::ng-deep .col-auto{flex:0 0 auto;width:auto}:host ::ng-deep .col-1{flex:0 0 auto;width:8.33333333%}:host ::ng-deep .col-2{flex:0 0 auto;width:16.66666667%}:host ::ng-deep .col-3{flex:0 0 auto;width:25%}:host ::ng-deep .col-4{flex:0 0 auto;width:33.33333333%}:host ::ng-deep .col-5{flex:0 0 auto;width:41.66666667%}:host ::ng-deep .col-6{flex:0 0 auto;width:50%}:host ::ng-deep .col-7{flex:0 0 auto;width:58.33333333%}:host ::ng-deep .col-8{flex:0 0 auto;width:66.66666667%}:host ::ng-deep .col-9{flex:0 0 auto;width:75%}:host ::ng-deep .col-10{flex:0 0 auto;width:83.33333333%}:host ::ng-deep .col-11{flex:0 0 auto;width:91.66666667%}:host ::ng-deep .col-12{flex:0 0 auto;width:100%}:host ::ng-deep .offset-1{margin-left:8.33333333%}:host ::ng-deep .offset-2{margin-left:16.66666667%}:host ::ng-deep .offset-3{margin-left:25%}:host ::ng-deep .offset-4{margin-left:33.33333333%}:host ::ng-deep .offset-5{margin-left:41.66666667%}:host ::ng-deep .offset-6{margin-left:50%}:host ::ng-deep .offset-7{margin-left:58.33333333%}:host ::ng-deep .offset-8{margin-left:66.66666667%}:host ::ng-deep .offset-9{margin-left:75%}:host ::ng-deep .offset-10{margin-left:83.33333333%}:host ::ng-deep .offset-11{margin-left:91.66666667%}:host ::ng-deep .g-0,:host ::ng-deep .gx-0{--bs-gutter-x: 0}:host ::ng-deep .g-0,:host ::ng-deep .gy-0{--bs-gutter-y: 0}:host ::ng-deep .g-1,:host ::ng-deep .gx-1{--bs-gutter-x: .25rem}:host ::ng-deep .g-1,:host ::ng-deep .gy-1{--bs-gutter-y: .25rem}:host ::ng-deep .g-2,:host ::ng-deep .gx-2{--bs-gutter-x: .5rem}:host ::ng-deep .g-2,:host ::ng-deep .gy-2{--bs-gutter-y: .5rem}:host ::ng-deep .g-3,:host ::ng-deep .gx-3{--bs-gutter-x: 1rem}:host ::ng-deep .g-3,:host ::ng-deep .gy-3{--bs-gutter-y: 1rem}:host ::ng-deep .g-4,:host ::ng-deep .gx-4{--bs-gutter-x: 1.5rem}:host ::ng-deep .g-4,:host ::ng-deep .gy-4{--bs-gutter-y: 1.5rem}:host ::ng-deep .g-5,:host ::ng-deep .gx-5{--bs-gutter-x: 3rem}:host ::ng-deep .g-5,:host ::ng-deep .gy-5{--bs-gutter-y: 3rem}@media (min-width: 576px){:host ::ng-deep .col-sm{flex:1 0 0%}:host ::ng-deep .row-cols-sm-auto>*{flex:0 0 auto;width:auto}:host ::ng-deep .row-cols-sm-1>*{flex:0 0 auto;width:100%}:host ::ng-deep .row-cols-sm-2>*{flex:0 0 auto;width:50%}:host ::ng-deep .row-cols-sm-3>*{flex:0 0 auto;width:33.3333333333%}:host ::ng-deep .row-cols-sm-4>*{flex:0 0 auto;width:25%}:host ::ng-deep .row-cols-sm-5>*{flex:0 0 auto;width:20%}:host ::ng-deep .row-cols-sm-6>*{flex:0 0 auto;width:16.6666666667%}:host ::ng-deep .col-sm-auto{flex:0 0 auto;width:auto}:host ::ng-deep .col-sm-1{flex:0 0 auto;width:8.33333333%}:host ::ng-deep .col-sm-2{flex:0 0 auto;width:16.66666667%}:host ::ng-deep .col-sm-3{flex:0 0 auto;width:25%}:host ::ng-deep .col-sm-4{flex:0 0 auto;width:33.33333333%}:host ::ng-deep .col-sm-5{flex:0 0 auto;width:41.66666667%}:host ::ng-deep .col-sm-6{flex:0 0 auto;width:50%}:host ::ng-deep .col-sm-7{flex:0 0 auto;width:58.33333333%}:host ::ng-deep .col-sm-8{flex:0 0 auto;width:66.66666667%}:host ::ng-deep .col-sm-9{flex:0 0 auto;width:75%}:host ::ng-deep .col-sm-10{flex:0 0 auto;width:83.33333333%}:host ::ng-deep .col-sm-11{flex:0 0 auto;width:91.66666667%}:host ::ng-deep .col-sm-12{flex:0 0 auto;width:100%}:host ::ng-deep .offset-sm-0{margin-left:0}:host ::ng-deep .offset-sm-1{margin-left:8.33333333%}:host ::ng-deep .offset-sm-2{margin-left:16.66666667%}:host ::ng-deep .offset-sm-3{margin-left:25%}:host ::ng-deep .offset-sm-4{margin-left:33.33333333%}:host ::ng-deep .offset-sm-5{margin-left:41.66666667%}:host ::ng-deep .offset-sm-6{margin-left:50%}:host ::ng-deep .offset-sm-7{margin-left:58.33333333%}:host ::ng-deep .offset-sm-8{margin-left:66.66666667%}:host ::ng-deep .offset-sm-9{margin-left:75%}:host ::ng-deep .offset-sm-10{margin-left:83.33333333%}:host ::ng-deep .offset-sm-11{margin-left:91.66666667%}:host ::ng-deep .g-sm-0,:host ::ng-deep .gx-sm-0{--bs-gutter-x: 0}:host ::ng-deep .g-sm-0,:host ::ng-deep .gy-sm-0{--bs-gutter-y: 0}:host ::ng-deep .g-sm-1,:host ::ng-deep .gx-sm-1{--bs-gutter-x: .25rem}:host ::ng-deep .g-sm-1,:host ::ng-deep .gy-sm-1{--bs-gutter-y: .25rem}:host ::ng-deep .g-sm-2,:host ::ng-deep .gx-sm-2{--bs-gutter-x: .5rem}:host ::ng-deep .g-sm-2,:host ::ng-deep .gy-sm-2{--bs-gutter-y: .5rem}:host ::ng-deep .g-sm-3,:host ::ng-deep .gx-sm-3{--bs-gutter-x: 1rem}:host ::ng-deep .g-sm-3,:host ::ng-deep .gy-sm-3{--bs-gutter-y: 1rem}:host ::ng-deep .g-sm-4,:host ::ng-deep .gx-sm-4{--bs-gutter-x: 1.5rem}:host ::ng-deep .g-sm-4,:host ::ng-deep .gy-sm-4{--bs-gutter-y: 1.5rem}:host ::ng-deep .g-sm-5,:host ::ng-deep .gx-sm-5{--bs-gutter-x: 3rem}:host ::ng-deep .g-sm-5,:host ::ng-deep .gy-sm-5{--bs-gutter-y: 3rem}}@media (min-width: 768px){:host ::ng-deep .col-md{flex:1 0 0%}:host ::ng-deep .row-cols-md-auto>*{flex:0 0 auto;width:auto}:host ::ng-deep .row-cols-md-1>*{flex:0 0 auto;width:100%}:host ::ng-deep .row-cols-md-2>*{flex:0 0 auto;width:50%}:host ::ng-deep .row-cols-md-3>*{flex:0 0 auto;width:33.3333333333%}:host ::ng-deep .row-cols-md-4>*{flex:0 0 auto;width:25%}:host ::ng-deep .row-cols-md-5>*{flex:0 0 auto;width:20%}:host ::ng-deep .row-cols-md-6>*{flex:0 0 auto;width:16.6666666667%}:host ::ng-deep .col-md-auto{flex:0 0 auto;width:auto}:host ::ng-deep .col-md-1{flex:0 0 auto;width:8.33333333%}:host ::ng-deep .col-md-2{flex:0 0 auto;width:16.66666667%}:host ::ng-deep .col-md-3{flex:0 0 auto;width:25%}:host ::ng-deep .col-md-4{flex:0 0 auto;width:33.33333333%}:host ::ng-deep .col-md-5{flex:0 0 auto;width:41.66666667%}:host ::ng-deep .col-md-6{flex:0 0 auto;width:50%}:host ::ng-deep .col-md-7{flex:0 0 auto;width:58.33333333%}:host ::ng-deep .col-md-8{flex:0 0 auto;width:66.66666667%}:host ::ng-deep .col-md-9{flex:0 0 auto;width:75%}:host ::ng-deep .col-md-10{flex:0 0 auto;width:83.33333333%}:host ::ng-deep .col-md-11{flex:0 0 auto;width:91.66666667%}:host ::ng-deep .col-md-12{flex:0 0 auto;width:100%}:host ::ng-deep .offset-md-0{margin-left:0}:host ::ng-deep .offset-md-1{margin-left:8.33333333%}:host ::ng-deep .offset-md-2{margin-left:16.66666667%}:host ::ng-deep .offset-md-3{margin-left:25%}:host ::ng-deep .offset-md-4{margin-left:33.33333333%}:host ::ng-deep .offset-md-5{margin-left:41.66666667%}:host ::ng-deep .offset-md-6{margin-left:50%}:host ::ng-deep .offset-md-7{margin-left:58.33333333%}:host ::ng-deep .offset-md-8{margin-left:66.66666667%}:host ::ng-deep .offset-md-9{margin-left:75%}:host ::ng-deep .offset-md-10{margin-left:83.33333333%}:host ::ng-deep .offset-md-11{margin-left:91.66666667%}:host ::ng-deep .g-md-0,:host ::ng-deep .gx-md-0{--bs-gutter-x: 0}:host ::ng-deep .g-md-0,:host ::ng-deep .gy-md-0{--bs-gutter-y: 0}:host ::ng-deep .g-md-1,:host ::ng-deep .gx-md-1{--bs-gutter-x: .25rem}:host ::ng-deep .g-md-1,:host ::ng-deep .gy-md-1{--bs-gutter-y: .25rem}:host ::ng-deep .g-md-2,:host ::ng-deep .gx-md-2{--bs-gutter-x: .5rem}:host ::ng-deep .g-md-2,:host ::ng-deep .gy-md-2{--bs-gutter-y: .5rem}:host ::ng-deep .g-md-3,:host ::ng-deep .gx-md-3{--bs-gutter-x: 1rem}:host ::ng-deep .g-md-3,:host ::ng-deep .gy-md-3{--bs-gutter-y: 1rem}:host ::ng-deep .g-md-4,:host ::ng-deep .gx-md-4{--bs-gutter-x: 1.5rem}:host ::ng-deep .g-md-4,:host ::ng-deep .gy-md-4{--bs-gutter-y: 1.5rem}:host ::ng-deep .g-md-5,:host ::ng-deep .gx-md-5{--bs-gutter-x: 3rem}:host ::ng-deep .g-md-5,:host ::ng-deep .gy-md-5{--bs-gutter-y: 3rem}}@media (min-width: 992px){:host ::ng-deep .col-lg{flex:1 0 0%}:host ::ng-deep .row-cols-lg-auto>*{flex:0 0 auto;width:auto}:host ::ng-deep .row-cols-lg-1>*{flex:0 0 auto;width:100%}:host ::ng-deep .row-cols-lg-2>*{flex:0 0 auto;width:50%}:host ::ng-deep .row-cols-lg-3>*{flex:0 0 auto;width:33.3333333333%}:host ::ng-deep .row-cols-lg-4>*{flex:0 0 auto;width:25%}:host ::ng-deep .row-cols-lg-5>*{flex:0 0 auto;width:20%}:host ::ng-deep .row-cols-lg-6>*{flex:0 0 auto;width:16.6666666667%}:host ::ng-deep .col-lg-auto{flex:0 0 auto;width:auto}:host ::ng-deep .col-lg-1{flex:0 0 auto;width:8.33333333%}:host ::ng-deep .col-lg-2{flex:0 0 auto;width:16.66666667%}:host ::ng-deep .col-lg-3{flex:0 0 auto;width:25%}:host ::ng-deep .col-lg-4{flex:0 0 auto;width:33.33333333%}:host ::ng-deep .col-lg-5{flex:0 0 auto;width:41.66666667%}:host ::ng-deep .col-lg-6{flex:0 0 auto;width:50%}:host ::ng-deep .col-lg-7{flex:0 0 auto;width:58.33333333%}:host ::ng-deep .col-lg-8{flex:0 0 auto;width:66.66666667%}:host ::ng-deep .col-lg-9{flex:0 0 auto;width:75%}:host ::ng-deep .col-lg-10{flex:0 0 auto;width:83.33333333%}:host ::ng-deep .col-lg-11{flex:0 0 auto;width:91.66666667%}:host ::ng-deep .col-lg-12{flex:0 0 auto;width:100%}:host ::ng-deep .offset-lg-0{margin-left:0}:host ::ng-deep .offset-lg-1{margin-left:8.33333333%}:host ::ng-deep .offset-lg-2{margin-left:16.66666667%}:host ::ng-deep .offset-lg-3{margin-left:25%}:host ::ng-deep .offset-lg-4{margin-left:33.33333333%}:host ::ng-deep .offset-lg-5{margin-left:41.66666667%}:host ::ng-deep .offset-lg-6{margin-left:50%}:host ::ng-deep .offset-lg-7{margin-left:58.33333333%}:host ::ng-deep .offset-lg-8{margin-left:66.66666667%}:host ::ng-deep .offset-lg-9{margin-left:75%}:host ::ng-deep .offset-lg-10{margin-left:83.33333333%}:host ::ng-deep .offset-lg-11{margin-left:91.66666667%}:host ::ng-deep .g-lg-0,:host ::ng-deep .gx-lg-0{--bs-gutter-x: 0}:host ::ng-deep .g-lg-0,:host ::ng-deep .gy-lg-0{--bs-gutter-y: 0}:host ::ng-deep .g-lg-1,:host ::ng-deep .gx-lg-1{--bs-gutter-x: .25rem}:host ::ng-deep .g-lg-1,:host ::ng-deep .gy-lg-1{--bs-gutter-y: .25rem}:host ::ng-deep .g-lg-2,:host ::ng-deep .gx-lg-2{--bs-gutter-x: .5rem}:host ::ng-deep .g-lg-2,:host ::ng-deep .gy-lg-2{--bs-gutter-y: .5rem}:host ::ng-deep .g-lg-3,:host ::ng-deep .gx-lg-3{--bs-gutter-x: 1rem}:host ::ng-deep .g-lg-3,:host ::ng-deep .gy-lg-3{--bs-gutter-y: 1rem}:host ::ng-deep .g-lg-4,:host ::ng-deep .gx-lg-4{--bs-gutter-x: 1.5rem}:host ::ng-deep .g-lg-4,:host ::ng-deep .gy-lg-4{--bs-gutter-y: 1.5rem}:host ::ng-deep .g-lg-5,:host ::ng-deep .gx-lg-5{--bs-gutter-x: 3rem}:host ::ng-deep .g-lg-5,:host ::ng-deep .gy-lg-5{--bs-gutter-y: 3rem}}@media (min-width: 1200px){:host ::ng-deep .col-xl{flex:1 0 0%}:host ::ng-deep .row-cols-xl-auto>*{flex:0 0 auto;width:auto}:host ::ng-deep .row-cols-xl-1>*{flex:0 0 auto;width:100%}:host ::ng-deep .row-cols-xl-2>*{flex:0 0 auto;width:50%}:host ::ng-deep .row-cols-xl-3>*{flex:0 0 auto;width:33.3333333333%}:host ::ng-deep .row-cols-xl-4>*{flex:0 0 auto;width:25%}:host ::ng-deep .row-cols-xl-5>*{flex:0 0 auto;width:20%}:host ::ng-deep .row-cols-xl-6>*{flex:0 0 auto;width:16.6666666667%}:host ::ng-deep .col-xl-auto{flex:0 0 auto;width:auto}:host ::ng-deep .col-xl-1{flex:0 0 auto;width:8.33333333%}:host ::ng-deep .col-xl-2{flex:0 0 auto;width:16.66666667%}:host ::ng-deep .col-xl-3{flex:0 0 auto;width:25%}:host ::ng-deep .col-xl-4{flex:0 0 auto;width:33.33333333%}:host ::ng-deep .col-xl-5{flex:0 0 auto;width:41.66666667%}:host ::ng-deep .col-xl-6{flex:0 0 auto;width:50%}:host ::ng-deep .col-xl-7{flex:0 0 auto;width:58.33333333%}:host ::ng-deep .col-xl-8{flex:0 0 auto;width:66.66666667%}:host ::ng-deep .col-xl-9{flex:0 0 auto;width:75%}:host ::ng-deep .col-xl-10{flex:0 0 auto;width:83.33333333%}:host ::ng-deep .col-xl-11{flex:0 0 auto;width:91.66666667%}:host ::ng-deep .col-xl-12{flex:0 0 auto;width:100%}:host ::ng-deep .offset-xl-0{margin-left:0}:host ::ng-deep .offset-xl-1{margin-left:8.33333333%}:host ::ng-deep .offset-xl-2{margin-left:16.66666667%}:host ::ng-deep .offset-xl-3{margin-left:25%}:host ::ng-deep .offset-xl-4{margin-left:33.33333333%}:host ::ng-deep .offset-xl-5{margin-left:41.66666667%}:host ::ng-deep .offset-xl-6{margin-left:50%}:host ::ng-deep .offset-xl-7{margin-left:58.33333333%}:host ::ng-deep .offset-xl-8{margin-left:66.66666667%}:host ::ng-deep .offset-xl-9{margin-left:75%}:host ::ng-deep .offset-xl-10{margin-left:83.33333333%}:host ::ng-deep .offset-xl-11{margin-left:91.66666667%}:host ::ng-deep .g-xl-0,:host ::ng-deep .gx-xl-0{--bs-gutter-x: 0}:host ::ng-deep .g-xl-0,:host ::ng-deep .gy-xl-0{--bs-gutter-y: 0}:host ::ng-deep .g-xl-1,:host ::ng-deep .gx-xl-1{--bs-gutter-x: .25rem}:host ::ng-deep .g-xl-1,:host ::ng-deep .gy-xl-1{--bs-gutter-y: .25rem}:host ::ng-deep .g-xl-2,:host ::ng-deep .gx-xl-2{--bs-gutter-x: .5rem}:host ::ng-deep .g-xl-2,:host ::ng-deep .gy-xl-2{--bs-gutter-y: .5rem}:host ::ng-deep .g-xl-3,:host ::ng-deep .gx-xl-3{--bs-gutter-x: 1rem}:host ::ng-deep .g-xl-3,:host ::ng-deep .gy-xl-3{--bs-gutter-y: 1rem}:host ::ng-deep .g-xl-4,:host ::ng-deep .gx-xl-4{--bs-gutter-x: 1.5rem}:host ::ng-deep .g-xl-4,:host ::ng-deep .gy-xl-4{--bs-gutter-y: 1.5rem}:host ::ng-deep .g-xl-5,:host ::ng-deep .gx-xl-5{--bs-gutter-x: 3rem}:host ::ng-deep .g-xl-5,:host ::ng-deep .gy-xl-5{--bs-gutter-y: 3rem}}@media (min-width: 1400px){:host ::ng-deep .col-xxl{flex:1 0 0%}:host ::ng-deep .row-cols-xxl-auto>*{flex:0 0 auto;width:auto}:host ::ng-deep .row-cols-xxl-1>*{flex:0 0 auto;width:100%}:host ::ng-deep .row-cols-xxl-2>*{flex:0 0 auto;width:50%}:host ::ng-deep .row-cols-xxl-3>*{flex:0 0 auto;width:33.3333333333%}:host ::ng-deep .row-cols-xxl-4>*{flex:0 0 auto;width:25%}:host ::ng-deep .row-cols-xxl-5>*{flex:0 0 auto;width:20%}:host ::ng-deep .row-cols-xxl-6>*{flex:0 0 auto;width:16.6666666667%}:host ::ng-deep .col-xxl-auto{flex:0 0 auto;width:auto}:host ::ng-deep .col-xxl-1{flex:0 0 auto;width:8.33333333%}:host ::ng-deep .col-xxl-2{flex:0 0 auto;width:16.66666667%}:host ::ng-deep .col-xxl-3{flex:0 0 auto;width:25%}:host ::ng-deep .col-xxl-4{flex:0 0 auto;width:33.33333333%}:host ::ng-deep .col-xxl-5{flex:0 0 auto;width:41.66666667%}:host ::ng-deep .col-xxl-6{flex:0 0 auto;width:50%}:host ::ng-deep .col-xxl-7{flex:0 0 auto;width:58.33333333%}:host ::ng-deep .col-xxl-8{flex:0 0 auto;width:66.66666667%}:host ::ng-deep .col-xxl-9{flex:0 0 auto;width:75%}:host ::ng-deep .col-xxl-10{flex:0 0 auto;width:83.33333333%}:host ::ng-deep .col-xxl-11{flex:0 0 auto;width:91.66666667%}:host ::ng-deep .col-xxl-12{flex:0 0 auto;width:100%}:host ::ng-deep .offset-xxl-0{margin-left:0}:host ::ng-deep .offset-xxl-1{margin-left:8.33333333%}:host ::ng-deep .offset-xxl-2{margin-left:16.66666667%}:host ::ng-deep .offset-xxl-3{margin-left:25%}:host ::ng-deep .offset-xxl-4{margin-left:33.33333333%}:host ::ng-deep .offset-xxl-5{margin-left:41.66666667%}:host ::ng-deep .offset-xxl-6{margin-left:50%}:host ::ng-deep .offset-xxl-7{margin-left:58.33333333%}:host ::ng-deep .offset-xxl-8{margin-left:66.66666667%}:host ::ng-deep .offset-xxl-9{margin-left:75%}:host ::ng-deep .offset-xxl-10{margin-left:83.33333333%}:host ::ng-deep .offset-xxl-11{margin-left:91.66666667%}:host ::ng-deep .g-xxl-0,:host ::ng-deep .gx-xxl-0{--bs-gutter-x: 0}:host ::ng-deep .g-xxl-0,:host ::ng-deep .gy-xxl-0{--bs-gutter-y: 0}:host ::ng-deep .g-xxl-1,:host ::ng-deep .gx-xxl-1{--bs-gutter-x: .25rem}:host ::ng-deep .g-xxl-1,:host ::ng-deep .gy-xxl-1{--bs-gutter-y: .25rem}:host ::ng-deep .g-xxl-2,:host ::ng-deep .gx-xxl-2{--bs-gutter-x: .5rem}:host ::ng-deep .g-xxl-2,:host ::ng-deep .gy-xxl-2{--bs-gutter-y: .5rem}:host ::ng-deep .g-xxl-3,:host ::ng-deep .gx-xxl-3{--bs-gutter-x: 1rem}:host ::ng-deep .g-xxl-3,:host ::ng-deep .gy-xxl-3{--bs-gutter-y: 1rem}:host ::ng-deep .g-xxl-4,:host ::ng-deep .gx-xxl-4{--bs-gutter-x: 1.5rem}:host ::ng-deep .g-xxl-4,:host ::ng-deep .gy-xxl-4{--bs-gutter-y: 1.5rem}:host ::ng-deep .g-xxl-5,:host ::ng-deep .gx-xxl-5{--bs-gutter-x: 3rem}:host ::ng-deep .g-xxl-5,:host ::ng-deep .gy-xxl-5{--bs-gutter-y: 3rem}}:host{display:contents}\n"] }]
        }], ctorParameters: function () { return []; }, propDecorators: { stopFullWidthAt: [{
                type: Input
            }] } });

class BsGridRowDirective {
    constructor() {
        this.rowClass = true;
    }
}
BsGridRowDirective.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "14.2.2", ngImport: i0, type: BsGridRowDirective, deps: [], target: i0.ɵɵFactoryTarget.Directive });
BsGridRowDirective.ɵdir = i0.ɵɵngDeclareDirective({ minVersion: "14.0.0", version: "14.2.2", type: BsGridRowDirective, selector: "[bsRow]", host: { properties: { "class.row": "this.rowClass" } }, ngImport: i0 });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "14.2.2", ngImport: i0, type: BsGridRowDirective, decorators: [{
            type: Directive,
            args: [{
                    selector: '[bsRow]'
                }]
        }], propDecorators: { rowClass: [{
                type: HostBinding,
                args: ['class.row']
            }] } });

class BsGridColumnDirective {
    constructor() {
        this.customColClasses$ = new BehaviorSubject(undefined);
        this.destroyed$ = new Subject();
        this.classList = null;
        this.customColClasses$
            .pipe(map((data) => {
            if (!data) {
                return 'col';
            }
            else {
                return Object.keys(data)
                    .map(key => ({
                    key,
                    value: data[key]
                }))
                    .map(v => {
                    if (v.key === '_') {
                        return `col-${v.value}`;
                    }
                    else {
                        return `col-${v.key}-${v.value}`;
                    }
                })
                    .join(' ');
            }
        }))
            .pipe(takeUntil(this.destroyed$))
            .subscribe((classList) => {
            this.classList = classList;
        });
    }
    set bsColumn(value) {
        this.customColClasses$.next(value);
    }
    ngOnDestroy() {
        this.destroyed$.next(true);
    }
}
BsGridColumnDirective.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "14.2.2", ngImport: i0, type: BsGridColumnDirective, deps: [], target: i0.ɵɵFactoryTarget.Directive });
BsGridColumnDirective.ɵdir = i0.ɵɵngDeclareDirective({ minVersion: "14.0.0", version: "14.2.2", type: BsGridColumnDirective, selector: "[bsColumn]", inputs: { bsColumn: "bsColumn" }, host: { properties: { "class": "this.classList" } }, ngImport: i0 });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "14.2.2", ngImport: i0, type: BsGridColumnDirective, decorators: [{
            type: Directive,
            args: [{
                    selector: '[bsColumn]'
                }]
        }], ctorParameters: function () { return []; }, propDecorators: { classList: [{
                type: HostBinding,
                args: ['class']
            }], bsColumn: [{
                type: Input
            }] } });

class BsTableComponent {
    constructor() {
        //#region isResponsive
        this.isResponsive$ = new BehaviorSubject(false);
        //#endregion
        //#region striped
        this.striped$ = new BehaviorSubject(false);
        //#endregion
        //#region hover
        this.hover$ = new BehaviorSubject(false);
    }
    get isResponsive() {
        return this.isResponsive$.value;
    }
    set isResponsive(value) {
        this.isResponsive$.next(value);
    }
    get striped() {
        return this.striped$.value;
    }
    set striped(value) {
        this.striped$.next(value);
    }
    get hover() {
        return this.hover$.value;
    }
    set hover(value) {
        this.hover$.next(value);
    }
}
BsTableComponent.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "14.2.2", ngImport: i0, type: BsTableComponent, deps: [], target: i0.ɵɵFactoryTarget.Component });
BsTableComponent.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "14.2.2", type: BsTableComponent, selector: "bs-table", inputs: { isResponsive: "isResponsive", striped: "striped", hover: "hover" }, ngImport: i0, template: "<div class=\"d-block\" [class.table-responsive]=\"isResponsive$ | async\" [class.nowrap]=\"isResponsive$ | async\">\n    <table class=\"table\" cellspacing=\"0\" role=\"grid\"\n        [class.mb-0]=\"isResponsive$ | async\"\n        [class.table-striped]=\"striped$ | async\"\n        [class.table-hover]=\"hover$ | async\">\n\n        <ng-content></ng-content>\n\n    </table>\n</div>\n", styles: [":host ::ng-deep *,:host ::ng-deep *:before,:host ::ng-deep *:after{box-sizing:border-box}@media (prefers-reduced-motion: no-preference){:host ::ng-deep :root{scroll-behavior:smooth}}:host ::ng-deep body{margin:0;font-family:var(--bs-body-font-family);font-size:var(--bs-body-font-size);font-weight:var(--bs-body-font-weight);line-height:var(--bs-body-line-height);color:var(--bs-body-color);text-align:var(--bs-body-text-align);background-color:var(--bs-body-bg);-webkit-text-size-adjust:100%;-webkit-tap-highlight-color:rgba(0,0,0,0)}:host ::ng-deep hr{margin:1rem 0;color:inherit;border:0;border-top:1px solid;opacity:.25}:host ::ng-deep h6,:host ::ng-deep h5,:host ::ng-deep h4,:host ::ng-deep h3,:host ::ng-deep h2,:host ::ng-deep h1{margin-top:0;margin-bottom:.5rem;font-weight:500;line-height:1.2}:host ::ng-deep h1{font-size:calc(1.375rem + 1.5vw)}@media (min-width: 1200px){:host ::ng-deep h1{font-size:2.5rem}}:host ::ng-deep h2{font-size:calc(1.325rem + .9vw)}@media (min-width: 1200px){:host ::ng-deep h2{font-size:2rem}}:host ::ng-deep h3{font-size:calc(1.3rem + .6vw)}@media (min-width: 1200px){:host ::ng-deep h3{font-size:1.75rem}}:host ::ng-deep h4{font-size:calc(1.275rem + .3vw)}@media (min-width: 1200px){:host ::ng-deep h4{font-size:1.5rem}}:host ::ng-deep h5{font-size:1.25rem}:host ::ng-deep h6{font-size:1rem}:host ::ng-deep p{margin-top:0;margin-bottom:1rem}:host ::ng-deep abbr[title]{-webkit-text-decoration:underline dotted;text-decoration:underline dotted;cursor:help;-webkit-text-decoration-skip-ink:none;text-decoration-skip-ink:none}:host ::ng-deep address{margin-bottom:1rem;font-style:normal;line-height:inherit}:host ::ng-deep ol,:host ::ng-deep ul{padding-left:2rem}:host ::ng-deep ol,:host ::ng-deep ul,:host ::ng-deep dl{margin-top:0;margin-bottom:1rem}:host ::ng-deep ol ol,:host ::ng-deep ul ul,:host ::ng-deep ol ul,:host ::ng-deep ul ol{margin-bottom:0}:host ::ng-deep dt{font-weight:700}:host ::ng-deep dd{margin-bottom:.5rem;margin-left:0}:host ::ng-deep blockquote{margin:0 0 1rem}:host ::ng-deep b,:host ::ng-deep strong{font-weight:bolder}:host ::ng-deep small{font-size:.875em}:host ::ng-deep mark{padding:.1875em;background-color:var(--bs-highlight-bg)}:host ::ng-deep sub,:host ::ng-deep sup{position:relative;font-size:.75em;line-height:0;vertical-align:baseline}:host ::ng-deep sub{bottom:-.25em}:host ::ng-deep sup{top:-.5em}:host ::ng-deep a{color:var(--bs-link-color);text-decoration:underline}:host ::ng-deep a:hover{color:var(--bs-link-hover-color)}:host ::ng-deep a:not([href]):not([class]),:host ::ng-deep a:not([href]):not([class]):hover{color:inherit;text-decoration:none}:host ::ng-deep pre,:host ::ng-deep code,:host ::ng-deep kbd,:host ::ng-deep samp{font-family:var(--bs-font-monospace);font-size:1em}:host ::ng-deep pre{display:block;margin-top:0;margin-bottom:1rem;overflow:auto;font-size:.875em}:host ::ng-deep pre code{font-size:inherit;color:inherit;word-break:normal}:host ::ng-deep code{font-size:.875em;color:var(--bs-code-color);word-wrap:break-word}a>:host ::ng-deep code{color:inherit}:host ::ng-deep kbd{padding:.1875rem .375rem;font-size:.875em;color:var(--bs-body-bg);background-color:var(--bs-body-color);border-radius:.25rem}:host ::ng-deep kbd kbd{padding:0;font-size:1em}:host ::ng-deep figure{margin:0 0 1rem}:host ::ng-deep img,:host ::ng-deep svg{vertical-align:middle}:host ::ng-deep table{caption-side:bottom;border-collapse:collapse}:host ::ng-deep caption{padding-top:.5rem;padding-bottom:.5rem;color:#6c757d;text-align:left}:host ::ng-deep th{text-align:inherit;text-align:-webkit-match-parent}:host ::ng-deep thead,:host ::ng-deep tbody,:host ::ng-deep tfoot,:host ::ng-deep tr,:host ::ng-deep td,:host ::ng-deep th{border-color:inherit;border-style:solid;border-width:0}:host ::ng-deep label{display:inline-block}:host ::ng-deep button{border-radius:0}:host ::ng-deep button:focus:not(:focus-visible){outline:0}:host ::ng-deep input,:host ::ng-deep button,:host ::ng-deep select,:host ::ng-deep optgroup,:host ::ng-deep textarea{margin:0;font-family:inherit;font-size:inherit;line-height:inherit}:host ::ng-deep button,:host ::ng-deep select{text-transform:none}:host ::ng-deep [role=button]{cursor:pointer}:host ::ng-deep select{word-wrap:normal}:host ::ng-deep select:disabled{opacity:1}:host ::ng-deep [list]:not([type=date]):not([type=datetime-local]):not([type=month]):not([type=week]):not([type=time])::-webkit-calendar-picker-indicator{display:none!important}:host ::ng-deep button,:host ::ng-deep [type=button],:host ::ng-deep [type=reset],:host ::ng-deep [type=submit]{-webkit-appearance:button}:host ::ng-deep button:not(:disabled),:host ::ng-deep [type=button]:not(:disabled),:host ::ng-deep [type=reset]:not(:disabled),:host ::ng-deep [type=submit]:not(:disabled){cursor:pointer}:host ::ng-deep ::-moz-focus-inner{padding:0;border-style:none}:host ::ng-deep textarea{resize:vertical}:host ::ng-deep fieldset{min-width:0;padding:0;margin:0;border:0}:host ::ng-deep legend{float:left;width:100%;padding:0;margin-bottom:.5rem;font-size:calc(1.275rem + .3vw);line-height:inherit}@media (min-width: 1200px){:host ::ng-deep legend{font-size:1.5rem}}:host ::ng-deep legend+*{clear:left}:host ::ng-deep ::-webkit-datetime-edit-fields-wrapper,:host ::ng-deep ::-webkit-datetime-edit-text,:host ::ng-deep ::-webkit-datetime-edit-minute,:host ::ng-deep ::-webkit-datetime-edit-hour-field,:host ::ng-deep ::-webkit-datetime-edit-day-field,:host ::ng-deep ::-webkit-datetime-edit-month-field,:host ::ng-deep ::-webkit-datetime-edit-year-field{padding:0}:host ::ng-deep ::-webkit-inner-spin-button{height:auto}:host ::ng-deep [type=search]{outline-offset:-2px;-webkit-appearance:textfield}:host ::ng-deep ::-webkit-search-decoration{-webkit-appearance:none}:host ::ng-deep ::-webkit-color-swatch-wrapper{padding:0}:host ::ng-deep ::file-selector-button{font:inherit;-webkit-appearance:button}:host ::ng-deep output{display:inline-block}:host ::ng-deep iframe{border:0}:host ::ng-deep summary{display:list-item;cursor:pointer}:host ::ng-deep progress{vertical-align:baseline}:host ::ng-deep [hidden]{display:none!important}:host ::ng-deep .table{--bs-table-color: var(--bs-body-color);--bs-table-bg: transparent;--bs-table-border-color: var(--bs-border-color);--bs-table-accent-bg: transparent;--bs-table-striped-color: var(--bs-body-color);--bs-table-striped-bg: rgba(0, 0, 0, .05);--bs-table-active-color: var(--bs-body-color);--bs-table-active-bg: rgba(0, 0, 0, .1);--bs-table-hover-color: var(--bs-body-color);--bs-table-hover-bg: rgba(0, 0, 0, .075);width:100%;margin-bottom:1rem;color:var(--bs-table-color);vertical-align:top;border-color:var(--bs-table-border-color)}:host ::ng-deep .table>:not(caption)>*>*{padding:.5rem;background-color:var(--bs-table-bg);border-bottom-width:1px;box-shadow:inset 0 0 0 9999px var(--bs-table-accent-bg)}:host ::ng-deep .table>tbody{vertical-align:inherit}:host ::ng-deep .table>thead{vertical-align:bottom}:host ::ng-deep .table-group-divider{border-top:2px solid currentcolor}:host ::ng-deep .caption-top{caption-side:top}:host ::ng-deep .table-sm>:not(caption)>*>*{padding:.25rem}:host ::ng-deep .table-bordered>:not(caption)>*{border-width:1px 0}:host ::ng-deep .table-bordered>:not(caption)>*>*{border-width:0 1px}:host ::ng-deep .table-borderless>:not(caption)>*>*{border-bottom-width:0}:host ::ng-deep .table-borderless>:not(:first-child){border-top-width:0}:host ::ng-deep .table-striped>tbody>tr:nth-of-type(odd)>*{--bs-table-accent-bg: var(--bs-table-striped-bg);color:var(--bs-table-striped-color)}:host ::ng-deep .table-striped-columns>:not(caption)>tr>:nth-child(even){--bs-table-accent-bg: var(--bs-table-striped-bg);color:var(--bs-table-striped-color)}:host ::ng-deep .table-active{--bs-table-accent-bg: var(--bs-table-active-bg);color:var(--bs-table-active-color)}:host ::ng-deep .table-hover>tbody>tr:hover>*{--bs-table-accent-bg: var(--bs-table-hover-bg);color:var(--bs-table-hover-color)}:host ::ng-deep .table-primary{--bs-table-color: #000;--bs-table-bg: #cfe2ff;--bs-table-border-color: #bacbe6;--bs-table-striped-bg: #c5d7f2;--bs-table-striped-color: #000;--bs-table-active-bg: #bacbe6;--bs-table-active-color: #000;--bs-table-hover-bg: #bfd1ec;--bs-table-hover-color: #000;color:var(--bs-table-color);border-color:var(--bs-table-border-color)}:host ::ng-deep .table-secondary{--bs-table-color: #000;--bs-table-bg: #e2e3e5;--bs-table-border-color: #cbccce;--bs-table-striped-bg: #d7d8da;--bs-table-striped-color: #000;--bs-table-active-bg: #cbccce;--bs-table-active-color: #000;--bs-table-hover-bg: #d1d2d4;--bs-table-hover-color: #000;color:var(--bs-table-color);border-color:var(--bs-table-border-color)}:host ::ng-deep .table-success{--bs-table-color: #000;--bs-table-bg: #d1e7dd;--bs-table-border-color: #bcd0c7;--bs-table-striped-bg: #c7dbd2;--bs-table-striped-color: #000;--bs-table-active-bg: #bcd0c7;--bs-table-active-color: #000;--bs-table-hover-bg: #c1d6cc;--bs-table-hover-color: #000;color:var(--bs-table-color);border-color:var(--bs-table-border-color)}:host ::ng-deep .table-info{--bs-table-color: #000;--bs-table-bg: #cff4fc;--bs-table-border-color: #badce3;--bs-table-striped-bg: #c5e8ef;--bs-table-striped-color: #000;--bs-table-active-bg: #badce3;--bs-table-active-color: #000;--bs-table-hover-bg: #bfe2e9;--bs-table-hover-color: #000;color:var(--bs-table-color);border-color:var(--bs-table-border-color)}:host ::ng-deep .table-warning{--bs-table-color: #000;--bs-table-bg: #fff3cd;--bs-table-border-color: #e6dbb9;--bs-table-striped-bg: #f2e7c3;--bs-table-striped-color: #000;--bs-table-active-bg: #e6dbb9;--bs-table-active-color: #000;--bs-table-hover-bg: #ece1be;--bs-table-hover-color: #000;color:var(--bs-table-color);border-color:var(--bs-table-border-color)}:host ::ng-deep .table-danger{--bs-table-color: #000;--bs-table-bg: #f8d7da;--bs-table-border-color: #dfc2c4;--bs-table-striped-bg: #eccccf;--bs-table-striped-color: #000;--bs-table-active-bg: #dfc2c4;--bs-table-active-color: #000;--bs-table-hover-bg: #e5c7ca;--bs-table-hover-color: #000;color:var(--bs-table-color);border-color:var(--bs-table-border-color)}:host ::ng-deep .table-light{--bs-table-color: #000;--bs-table-bg: #f8f9fa;--bs-table-border-color: #dfe0e1;--bs-table-striped-bg: #ecedee;--bs-table-striped-color: #000;--bs-table-active-bg: #dfe0e1;--bs-table-active-color: #000;--bs-table-hover-bg: #e5e6e7;--bs-table-hover-color: #000;color:var(--bs-table-color);border-color:var(--bs-table-border-color)}:host ::ng-deep .table-dark{--bs-table-color: #fff;--bs-table-bg: #212529;--bs-table-border-color: #373b3e;--bs-table-striped-bg: #2c3034;--bs-table-striped-color: #fff;--bs-table-active-bg: #373b3e;--bs-table-active-color: #fff;--bs-table-hover-bg: #323539;--bs-table-hover-color: #fff;color:var(--bs-table-color);border-color:var(--bs-table-border-color)}:host ::ng-deep .table-responsive{overflow-x:auto;-webkit-overflow-scrolling:touch}@media (max-width: 575.98px){:host ::ng-deep .table-responsive-sm{overflow-x:auto;-webkit-overflow-scrolling:touch}}@media (max-width: 767.98px){:host ::ng-deep .table-responsive-md{overflow-x:auto;-webkit-overflow-scrolling:touch}}@media (max-width: 991.98px){:host ::ng-deep .table-responsive-lg{overflow-x:auto;-webkit-overflow-scrolling:touch}}@media (max-width: 1199.98px){:host ::ng-deep .table-responsive-xl{overflow-x:auto;-webkit-overflow-scrolling:touch}}@media (max-width: 1399.98px){:host ::ng-deep .table-responsive-xxl{overflow-x:auto;-webkit-overflow-scrolling:touch}}:host ::ng-deep .nowrap th,:host ::ng-deep td{white-space:nowrap}\n"], dependencies: [{ kind: "pipe", type: i1.AsyncPipe, name: "async" }] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "14.2.2", ngImport: i0, type: BsTableComponent, decorators: [{
            type: Component,
            args: [{ selector: 'bs-table', template: "<div class=\"d-block\" [class.table-responsive]=\"isResponsive$ | async\" [class.nowrap]=\"isResponsive$ | async\">\n    <table class=\"table\" cellspacing=\"0\" role=\"grid\"\n        [class.mb-0]=\"isResponsive$ | async\"\n        [class.table-striped]=\"striped$ | async\"\n        [class.table-hover]=\"hover$ | async\">\n\n        <ng-content></ng-content>\n\n    </table>\n</div>\n", styles: [":host ::ng-deep *,:host ::ng-deep *:before,:host ::ng-deep *:after{box-sizing:border-box}@media (prefers-reduced-motion: no-preference){:host ::ng-deep :root{scroll-behavior:smooth}}:host ::ng-deep body{margin:0;font-family:var(--bs-body-font-family);font-size:var(--bs-body-font-size);font-weight:var(--bs-body-font-weight);line-height:var(--bs-body-line-height);color:var(--bs-body-color);text-align:var(--bs-body-text-align);background-color:var(--bs-body-bg);-webkit-text-size-adjust:100%;-webkit-tap-highlight-color:rgba(0,0,0,0)}:host ::ng-deep hr{margin:1rem 0;color:inherit;border:0;border-top:1px solid;opacity:.25}:host ::ng-deep h6,:host ::ng-deep h5,:host ::ng-deep h4,:host ::ng-deep h3,:host ::ng-deep h2,:host ::ng-deep h1{margin-top:0;margin-bottom:.5rem;font-weight:500;line-height:1.2}:host ::ng-deep h1{font-size:calc(1.375rem + 1.5vw)}@media (min-width: 1200px){:host ::ng-deep h1{font-size:2.5rem}}:host ::ng-deep h2{font-size:calc(1.325rem + .9vw)}@media (min-width: 1200px){:host ::ng-deep h2{font-size:2rem}}:host ::ng-deep h3{font-size:calc(1.3rem + .6vw)}@media (min-width: 1200px){:host ::ng-deep h3{font-size:1.75rem}}:host ::ng-deep h4{font-size:calc(1.275rem + .3vw)}@media (min-width: 1200px){:host ::ng-deep h4{font-size:1.5rem}}:host ::ng-deep h5{font-size:1.25rem}:host ::ng-deep h6{font-size:1rem}:host ::ng-deep p{margin-top:0;margin-bottom:1rem}:host ::ng-deep abbr[title]{-webkit-text-decoration:underline dotted;text-decoration:underline dotted;cursor:help;-webkit-text-decoration-skip-ink:none;text-decoration-skip-ink:none}:host ::ng-deep address{margin-bottom:1rem;font-style:normal;line-height:inherit}:host ::ng-deep ol,:host ::ng-deep ul{padding-left:2rem}:host ::ng-deep ol,:host ::ng-deep ul,:host ::ng-deep dl{margin-top:0;margin-bottom:1rem}:host ::ng-deep ol ol,:host ::ng-deep ul ul,:host ::ng-deep ol ul,:host ::ng-deep ul ol{margin-bottom:0}:host ::ng-deep dt{font-weight:700}:host ::ng-deep dd{margin-bottom:.5rem;margin-left:0}:host ::ng-deep blockquote{margin:0 0 1rem}:host ::ng-deep b,:host ::ng-deep strong{font-weight:bolder}:host ::ng-deep small{font-size:.875em}:host ::ng-deep mark{padding:.1875em;background-color:var(--bs-highlight-bg)}:host ::ng-deep sub,:host ::ng-deep sup{position:relative;font-size:.75em;line-height:0;vertical-align:baseline}:host ::ng-deep sub{bottom:-.25em}:host ::ng-deep sup{top:-.5em}:host ::ng-deep a{color:var(--bs-link-color);text-decoration:underline}:host ::ng-deep a:hover{color:var(--bs-link-hover-color)}:host ::ng-deep a:not([href]):not([class]),:host ::ng-deep a:not([href]):not([class]):hover{color:inherit;text-decoration:none}:host ::ng-deep pre,:host ::ng-deep code,:host ::ng-deep kbd,:host ::ng-deep samp{font-family:var(--bs-font-monospace);font-size:1em}:host ::ng-deep pre{display:block;margin-top:0;margin-bottom:1rem;overflow:auto;font-size:.875em}:host ::ng-deep pre code{font-size:inherit;color:inherit;word-break:normal}:host ::ng-deep code{font-size:.875em;color:var(--bs-code-color);word-wrap:break-word}a>:host ::ng-deep code{color:inherit}:host ::ng-deep kbd{padding:.1875rem .375rem;font-size:.875em;color:var(--bs-body-bg);background-color:var(--bs-body-color);border-radius:.25rem}:host ::ng-deep kbd kbd{padding:0;font-size:1em}:host ::ng-deep figure{margin:0 0 1rem}:host ::ng-deep img,:host ::ng-deep svg{vertical-align:middle}:host ::ng-deep table{caption-side:bottom;border-collapse:collapse}:host ::ng-deep caption{padding-top:.5rem;padding-bottom:.5rem;color:#6c757d;text-align:left}:host ::ng-deep th{text-align:inherit;text-align:-webkit-match-parent}:host ::ng-deep thead,:host ::ng-deep tbody,:host ::ng-deep tfoot,:host ::ng-deep tr,:host ::ng-deep td,:host ::ng-deep th{border-color:inherit;border-style:solid;border-width:0}:host ::ng-deep label{display:inline-block}:host ::ng-deep button{border-radius:0}:host ::ng-deep button:focus:not(:focus-visible){outline:0}:host ::ng-deep input,:host ::ng-deep button,:host ::ng-deep select,:host ::ng-deep optgroup,:host ::ng-deep textarea{margin:0;font-family:inherit;font-size:inherit;line-height:inherit}:host ::ng-deep button,:host ::ng-deep select{text-transform:none}:host ::ng-deep [role=button]{cursor:pointer}:host ::ng-deep select{word-wrap:normal}:host ::ng-deep select:disabled{opacity:1}:host ::ng-deep [list]:not([type=date]):not([type=datetime-local]):not([type=month]):not([type=week]):not([type=time])::-webkit-calendar-picker-indicator{display:none!important}:host ::ng-deep button,:host ::ng-deep [type=button],:host ::ng-deep [type=reset],:host ::ng-deep [type=submit]{-webkit-appearance:button}:host ::ng-deep button:not(:disabled),:host ::ng-deep [type=button]:not(:disabled),:host ::ng-deep [type=reset]:not(:disabled),:host ::ng-deep [type=submit]:not(:disabled){cursor:pointer}:host ::ng-deep ::-moz-focus-inner{padding:0;border-style:none}:host ::ng-deep textarea{resize:vertical}:host ::ng-deep fieldset{min-width:0;padding:0;margin:0;border:0}:host ::ng-deep legend{float:left;width:100%;padding:0;margin-bottom:.5rem;font-size:calc(1.275rem + .3vw);line-height:inherit}@media (min-width: 1200px){:host ::ng-deep legend{font-size:1.5rem}}:host ::ng-deep legend+*{clear:left}:host ::ng-deep ::-webkit-datetime-edit-fields-wrapper,:host ::ng-deep ::-webkit-datetime-edit-text,:host ::ng-deep ::-webkit-datetime-edit-minute,:host ::ng-deep ::-webkit-datetime-edit-hour-field,:host ::ng-deep ::-webkit-datetime-edit-day-field,:host ::ng-deep ::-webkit-datetime-edit-month-field,:host ::ng-deep ::-webkit-datetime-edit-year-field{padding:0}:host ::ng-deep ::-webkit-inner-spin-button{height:auto}:host ::ng-deep [type=search]{outline-offset:-2px;-webkit-appearance:textfield}:host ::ng-deep ::-webkit-search-decoration{-webkit-appearance:none}:host ::ng-deep ::-webkit-color-swatch-wrapper{padding:0}:host ::ng-deep ::file-selector-button{font:inherit;-webkit-appearance:button}:host ::ng-deep output{display:inline-block}:host ::ng-deep iframe{border:0}:host ::ng-deep summary{display:list-item;cursor:pointer}:host ::ng-deep progress{vertical-align:baseline}:host ::ng-deep [hidden]{display:none!important}:host ::ng-deep .table{--bs-table-color: var(--bs-body-color);--bs-table-bg: transparent;--bs-table-border-color: var(--bs-border-color);--bs-table-accent-bg: transparent;--bs-table-striped-color: var(--bs-body-color);--bs-table-striped-bg: rgba(0, 0, 0, .05);--bs-table-active-color: var(--bs-body-color);--bs-table-active-bg: rgba(0, 0, 0, .1);--bs-table-hover-color: var(--bs-body-color);--bs-table-hover-bg: rgba(0, 0, 0, .075);width:100%;margin-bottom:1rem;color:var(--bs-table-color);vertical-align:top;border-color:var(--bs-table-border-color)}:host ::ng-deep .table>:not(caption)>*>*{padding:.5rem;background-color:var(--bs-table-bg);border-bottom-width:1px;box-shadow:inset 0 0 0 9999px var(--bs-table-accent-bg)}:host ::ng-deep .table>tbody{vertical-align:inherit}:host ::ng-deep .table>thead{vertical-align:bottom}:host ::ng-deep .table-group-divider{border-top:2px solid currentcolor}:host ::ng-deep .caption-top{caption-side:top}:host ::ng-deep .table-sm>:not(caption)>*>*{padding:.25rem}:host ::ng-deep .table-bordered>:not(caption)>*{border-width:1px 0}:host ::ng-deep .table-bordered>:not(caption)>*>*{border-width:0 1px}:host ::ng-deep .table-borderless>:not(caption)>*>*{border-bottom-width:0}:host ::ng-deep .table-borderless>:not(:first-child){border-top-width:0}:host ::ng-deep .table-striped>tbody>tr:nth-of-type(odd)>*{--bs-table-accent-bg: var(--bs-table-striped-bg);color:var(--bs-table-striped-color)}:host ::ng-deep .table-striped-columns>:not(caption)>tr>:nth-child(even){--bs-table-accent-bg: var(--bs-table-striped-bg);color:var(--bs-table-striped-color)}:host ::ng-deep .table-active{--bs-table-accent-bg: var(--bs-table-active-bg);color:var(--bs-table-active-color)}:host ::ng-deep .table-hover>tbody>tr:hover>*{--bs-table-accent-bg: var(--bs-table-hover-bg);color:var(--bs-table-hover-color)}:host ::ng-deep .table-primary{--bs-table-color: #000;--bs-table-bg: #cfe2ff;--bs-table-border-color: #bacbe6;--bs-table-striped-bg: #c5d7f2;--bs-table-striped-color: #000;--bs-table-active-bg: #bacbe6;--bs-table-active-color: #000;--bs-table-hover-bg: #bfd1ec;--bs-table-hover-color: #000;color:var(--bs-table-color);border-color:var(--bs-table-border-color)}:host ::ng-deep .table-secondary{--bs-table-color: #000;--bs-table-bg: #e2e3e5;--bs-table-border-color: #cbccce;--bs-table-striped-bg: #d7d8da;--bs-table-striped-color: #000;--bs-table-active-bg: #cbccce;--bs-table-active-color: #000;--bs-table-hover-bg: #d1d2d4;--bs-table-hover-color: #000;color:var(--bs-table-color);border-color:var(--bs-table-border-color)}:host ::ng-deep .table-success{--bs-table-color: #000;--bs-table-bg: #d1e7dd;--bs-table-border-color: #bcd0c7;--bs-table-striped-bg: #c7dbd2;--bs-table-striped-color: #000;--bs-table-active-bg: #bcd0c7;--bs-table-active-color: #000;--bs-table-hover-bg: #c1d6cc;--bs-table-hover-color: #000;color:var(--bs-table-color);border-color:var(--bs-table-border-color)}:host ::ng-deep .table-info{--bs-table-color: #000;--bs-table-bg: #cff4fc;--bs-table-border-color: #badce3;--bs-table-striped-bg: #c5e8ef;--bs-table-striped-color: #000;--bs-table-active-bg: #badce3;--bs-table-active-color: #000;--bs-table-hover-bg: #bfe2e9;--bs-table-hover-color: #000;color:var(--bs-table-color);border-color:var(--bs-table-border-color)}:host ::ng-deep .table-warning{--bs-table-color: #000;--bs-table-bg: #fff3cd;--bs-table-border-color: #e6dbb9;--bs-table-striped-bg: #f2e7c3;--bs-table-striped-color: #000;--bs-table-active-bg: #e6dbb9;--bs-table-active-color: #000;--bs-table-hover-bg: #ece1be;--bs-table-hover-color: #000;color:var(--bs-table-color);border-color:var(--bs-table-border-color)}:host ::ng-deep .table-danger{--bs-table-color: #000;--bs-table-bg: #f8d7da;--bs-table-border-color: #dfc2c4;--bs-table-striped-bg: #eccccf;--bs-table-striped-color: #000;--bs-table-active-bg: #dfc2c4;--bs-table-active-color: #000;--bs-table-hover-bg: #e5c7ca;--bs-table-hover-color: #000;color:var(--bs-table-color);border-color:var(--bs-table-border-color)}:host ::ng-deep .table-light{--bs-table-color: #000;--bs-table-bg: #f8f9fa;--bs-table-border-color: #dfe0e1;--bs-table-striped-bg: #ecedee;--bs-table-striped-color: #000;--bs-table-active-bg: #dfe0e1;--bs-table-active-color: #000;--bs-table-hover-bg: #e5e6e7;--bs-table-hover-color: #000;color:var(--bs-table-color);border-color:var(--bs-table-border-color)}:host ::ng-deep .table-dark{--bs-table-color: #fff;--bs-table-bg: #212529;--bs-table-border-color: #373b3e;--bs-table-striped-bg: #2c3034;--bs-table-striped-color: #fff;--bs-table-active-bg: #373b3e;--bs-table-active-color: #fff;--bs-table-hover-bg: #323539;--bs-table-hover-color: #fff;color:var(--bs-table-color);border-color:var(--bs-table-border-color)}:host ::ng-deep .table-responsive{overflow-x:auto;-webkit-overflow-scrolling:touch}@media (max-width: 575.98px){:host ::ng-deep .table-responsive-sm{overflow-x:auto;-webkit-overflow-scrolling:touch}}@media (max-width: 767.98px){:host ::ng-deep .table-responsive-md{overflow-x:auto;-webkit-overflow-scrolling:touch}}@media (max-width: 991.98px){:host ::ng-deep .table-responsive-lg{overflow-x:auto;-webkit-overflow-scrolling:touch}}@media (max-width: 1199.98px){:host ::ng-deep .table-responsive-xl{overflow-x:auto;-webkit-overflow-scrolling:touch}}@media (max-width: 1399.98px){:host ::ng-deep .table-responsive-xxl{overflow-x:auto;-webkit-overflow-scrolling:touch}}:host ::ng-deep .nowrap th,:host ::ng-deep td{white-space:nowrap}\n"] }]
        }], ctorParameters: function () { return []; }, propDecorators: { isResponsive: [{
                type: Input
            }], striped: [{
                type: Input
            }], hover: [{
                type: Input
            }] } });

class BsPaginationComponent {
    constructor() {
        /** All page numbers. */
        this.pageNumbers$ = new BehaviorSubject([]);
        /** Selected number. */
        this.selectedPageNumber$ = new BehaviorSubject(1);
        /** Number of boxes. */
        this.numberOfBoxes$ = new BehaviorSubject(0);
        /** Display previous/next arrows. */
        this.showArrows$ = new BehaviorSubject(true);
        /** Page number size. */
        this.size$ = new BehaviorSubject('medium');
        //#region SelectedPageNumber
        this.selectedPageNumberChange = new EventEmitter();
        this.destroyed$ = new Subject();
        this.visibleNumberOfNumberBoxes$ = combineLatest([
            this.numberOfBoxes$,
            this.pageNumbers$,
            this.showArrows$,
        ])
            .pipe(takeUntil(this.destroyed$))
            .pipe(map(([numberOfBoxes, pageNumbers, showArrows]) => {
            if (numberOfBoxes <= 0) {
                return pageNumbers.length;
            }
            else if (!showArrows) {
                return Math.min(numberOfBoxes, pageNumbers.length);
            }
            else if (numberOfBoxes <= 2) {
                return Math.min(1, pageNumbers.length);
            }
            else {
                return Math.min(numberOfBoxes - 2, pageNumbers.length);
            }
        }));
        this.isLeftOverflow$ = combineLatest([this.pageNumbers$, this.selectedPageNumber$, this.visibleNumberOfNumberBoxes$])
            .pipe(map(([pageNumbers, selectedPageNumber, visibleNumberOfNumberBoxes]) => {
            const index = pageNumbers.indexOf(selectedPageNumber);
            const middle = Math.floor(visibleNumberOfNumberBoxes / 2);
            return index > middle;
        }));
        this.isRightOverflow$ = combineLatest([this.pageNumbers$, this.selectedPageNumber$, this.visibleNumberOfNumberBoxes$])
            .pipe(map(([pageNumbers, selectedPageNumber, visibleNumberOfNumberBoxes]) => {
            const index = pageNumbers.indexOf(selectedPageNumber);
            const middle = Math.floor(visibleNumberOfNumberBoxes / 2);
            return (pageNumbers.length - index) < middle;
        }));
        this.shownPageNumbers$ = combineLatest([
            this.pageNumbers$,
            this.selectedPageNumber$,
            this.visibleNumberOfNumberBoxes$,
            this.isLeftOverflow$,
            this.isRightOverflow$
        ])
            .pipe(takeUntil(this.destroyed$))
            .pipe(map(([pageNumbers, selectedPageNumber, visibleNumberOfNumberBoxes, isLeftOverflow, isRightOverflow]) => {
            // const boxesToRemove = pageNumbers.length - visibleNumberOfNumberBoxes
            //   + (isLeftOverflow ? 1 : 0)
            //   + (isRightOverflow ? 1 : 0);
            // let result: number[] = [];
            // result.push(pageNumbers[0]);
            // // ...
            // result.push(pageNumbers[pageNumbers.length - 1]);
            let startIndex = 0;
            const half = Math.round((visibleNumberOfNumberBoxes - 1) / 2);
            if (pageNumbers.indexOf(selectedPageNumber) < half) {
                startIndex = 0;
            }
            else if (pageNumbers.indexOf(selectedPageNumber) >=
                pageNumbers.length - half) {
                startIndex = pageNumbers.length - visibleNumberOfNumberBoxes;
            }
            else {
                startIndex = pageNumbers.indexOf(selectedPageNumber) - half;
            }
            return [...Array(visibleNumberOfNumberBoxes).keys()]
                .map((p) => p + startIndex)
                .map((p) => ({
                page: pageNumbers[p],
                selected: pageNumbers[p] === selectedPageNumber,
            }));
        }));
        this.isFirstPage$ = combineLatest([
            this.pageNumbers$,
            this.selectedPageNumber$,
        ])
            .pipe(takeUntil(this.destroyed$))
            .pipe(map(([pageNumbers, selectedPageNumber]) => {
            return pageNumbers.indexOf(selectedPageNumber) === 0;
        }));
        this.isLastPage$ = combineLatest([
            this.pageNumbers$,
            this.selectedPageNumber$,
        ])
            .pipe(takeUntil(this.destroyed$))
            .pipe(map(([pageNumbers, selectedPageNumber]) => {
            return (pageNumbers.indexOf(selectedPageNumber) === pageNumbers.length - 1);
        }));
        this.selectedPageNumber$
            .pipe(takeUntil(this.destroyed$))
            .subscribe((selectedPageNumber) => {
            this.selectedPageNumberChange.emit(selectedPageNumber);
        });
    }
    set selectedPageNumber(value) {
        this.selectedPageNumber$.next(value);
    }
    get selectedPageNumber() {
        return this.selectedPageNumber$.value;
    }
    //#endregion
    //#region NumberOfBoxes
    set numberOfBoxes(value) {
        this.numberOfBoxes$.next(value);
    }
    get numberOfBoxes() {
        return this.numberOfBoxes$.value;
    }
    //#endregion
    //#region PageNumbers
    set pageNumbers(value) {
        this.pageNumbers$.next(value);
    }
    get pageNumbers() {
        return this.pageNumbers$.value;
    }
    //#endregion
    //#region ShowArrows
    set showArrows(value) {
        this.showArrows$.next(value);
    }
    get showArrows() {
        return this.showArrows$.value;
    }
    //#endregion
    //#region Size
    set size(value) {
        this.size$.next(value);
    }
    get size() {
        return this.size$.value;
    }
    //#endregion
    ngOnDestroy() {
        this.destroyed$.next(true);
    }
    onSelectPage(event, page) {
        this.selectedPageNumber$.next(page);
        return false;
    }
    onPrevious() {
        const index = this.pageNumbers.indexOf(this.selectedPageNumber);
        if (index > 0) {
            const newValue = this.pageNumbers[index - 1];
            this.selectedPageNumber$.next(newValue);
        }
        else {
            this.selectedPageNumber$.next(this.pageNumbers[0]);
        }
        return false;
    }
    onNext() {
        const index = this.pageNumbers.indexOf(this.selectedPageNumber);
        if (index < 0) {
            this.selectedPageNumber$.next(this.pageNumbers[this.pageNumbers.length - 1]);
        }
        else if (index < this.pageNumbers.length - 1) {
            this.selectedPageNumber$.next(this.pageNumbers[index + 1]);
        }
        else {
            this.selectedPageNumber$.next(this.pageNumbers[this.pageNumbers.length - 1]);
        }
        return false;
    }
}
BsPaginationComponent.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "14.2.2", ngImport: i0, type: BsPaginationComponent, deps: [], target: i0.ɵɵFactoryTarget.Component });
BsPaginationComponent.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "14.2.2", type: BsPaginationComponent, selector: "bs-pagination", inputs: { selectedPageNumber: "selectedPageNumber", numberOfBoxes: "numberOfBoxes", pageNumbers: "pageNumbers", showArrows: "showArrows", size: "size" }, outputs: { selectedPageNumberChange: "selectedPageNumberChange" }, ngImport: i0, template: "<ul class=\"pagination\">\n    <li class=\"page-item\" *ngIf=\"showArrows$ | async\">\n        <a class=\"page-link\" href=\"\" (click)=\"onPrevious()\" [class.disabled]=\"isFirstPage$ | async\" aria-label=\"Previous\">\n            <span aria-hidden=\"true\">&laquo;</span>\n            <span class=\"visually-hidden\">Previous</span>\n        </a>\n    </li>\n    <li *ngFor=\"let pageNumber of (shownPageNumbers$ | async)\" class=\"page-item\">\n        <a class=\"page-link\" href=\"\" (click)=\"onSelectPage($event, pageNumber.page)\"\n          [ngClass]=\"{ 'active': pageNumber.selected }\" *ngIf=\"pageNumber.page != '...'\">\n            {{ pageNumber.page }}\n            <span class=\"visually-hidden\" *ngIf=\"pageNumber.selected\">(current)</span>\n        </a>\n    </li>\n    <li class=\"page-item\" *ngIf=\"showArrows$ | async\">\n        <a class=\"page-link\" href=\"\" (click)=\"onNext()\" [class.disabled]=\"isLastPage$ | async\" aria-label=\"Next\">\n            <span aria-hidden=\"true\">&raquo;</span>\n            <span class=\"visually-hidden\">Next</span>\n        </a>\n    </li>\n</ul>", styles: [":host ::ng-deep .pagination{--bs-pagination-padding-x: .75rem;--bs-pagination-padding-y: .375rem;--bs-pagination-font-size: 1rem;--bs-pagination-color: var(--bs-link-color);--bs-pagination-bg: #fff;--bs-pagination-border-width: 1px;--bs-pagination-border-color: #dee2e6;--bs-pagination-border-radius: .375rem;--bs-pagination-hover-color: var(--bs-link-hover-color);--bs-pagination-hover-bg: #e9ecef;--bs-pagination-hover-border-color: #dee2e6;--bs-pagination-focus-color: var(--bs-link-hover-color);--bs-pagination-focus-bg: #e9ecef;--bs-pagination-focus-box-shadow: 0 0 0 .25rem rgba(13, 110, 253, .25);--bs-pagination-active-color: #fff;--bs-pagination-active-bg: #0d6efd;--bs-pagination-active-border-color: #0d6efd;--bs-pagination-disabled-color: #6c757d;--bs-pagination-disabled-bg: #fff;--bs-pagination-disabled-border-color: #dee2e6;display:flex;padding-left:0;list-style:none}:host ::ng-deep .page-link{position:relative;display:block;padding:var(--bs-pagination-padding-y) var(--bs-pagination-padding-x);font-size:var(--bs-pagination-font-size);color:var(--bs-pagination-color);text-decoration:none;background-color:var(--bs-pagination-bg);border:var(--bs-pagination-border-width) solid var(--bs-pagination-border-color);transition:color .15s ease-in-out,background-color .15s ease-in-out,border-color .15s ease-in-out,box-shadow .15s ease-in-out}@media (prefers-reduced-motion: reduce){:host ::ng-deep .page-link{transition:none}}:host ::ng-deep .page-link:hover{z-index:2;color:var(--bs-pagination-hover-color);background-color:var(--bs-pagination-hover-bg);border-color:var(--bs-pagination-hover-border-color)}:host ::ng-deep .page-link:focus{z-index:3;color:var(--bs-pagination-focus-color);background-color:var(--bs-pagination-focus-bg);outline:0;box-shadow:var(--bs-pagination-focus-box-shadow)}:host ::ng-deep .page-link.active,.active>:host ::ng-deep .page-link{z-index:3;color:var(--bs-pagination-active-color);background-color:var(--bs-pagination-active-bg);border-color:var(--bs-pagination-active-border-color)}:host ::ng-deep .page-link.disabled,.disabled>:host ::ng-deep .page-link{color:var(--bs-pagination-disabled-color);pointer-events:none;background-color:var(--bs-pagination-disabled-bg);border-color:var(--bs-pagination-disabled-border-color)}:host ::ng-deep .page-item:not(:first-child) .page-link{margin-left:-1px}:host ::ng-deep .page-item:first-child .page-link{border-top-left-radius:var(--bs-pagination-border-radius);border-bottom-left-radius:var(--bs-pagination-border-radius)}:host ::ng-deep .page-item:last-child .page-link{border-top-right-radius:var(--bs-pagination-border-radius);border-bottom-right-radius:var(--bs-pagination-border-radius)}:host ::ng-deep .pagination-lg{--bs-pagination-padding-x: 1.5rem;--bs-pagination-padding-y: .75rem;--bs-pagination-font-size: 1.25rem;--bs-pagination-border-radius: .5rem}:host ::ng-deep .pagination-sm{--bs-pagination-padding-x: .5rem;--bs-pagination-padding-y: .25rem;--bs-pagination-font-size: .875rem;--bs-pagination-border-radius: .25rem}:host{display:inline-block}\n"], dependencies: [{ kind: "directive", type: i1.NgClass, selector: "[ngClass]", inputs: ["class", "ngClass"] }, { kind: "directive", type: i1.NgForOf, selector: "[ngFor][ngForOf]", inputs: ["ngForOf", "ngForTrackBy", "ngForTemplate"] }, { kind: "directive", type: i1.NgIf, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }, { kind: "pipe", type: i1.AsyncPipe, name: "async" }] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "14.2.2", ngImport: i0, type: BsPaginationComponent, decorators: [{
            type: Component,
            args: [{ selector: 'bs-pagination', template: "<ul class=\"pagination\">\n    <li class=\"page-item\" *ngIf=\"showArrows$ | async\">\n        <a class=\"page-link\" href=\"\" (click)=\"onPrevious()\" [class.disabled]=\"isFirstPage$ | async\" aria-label=\"Previous\">\n            <span aria-hidden=\"true\">&laquo;</span>\n            <span class=\"visually-hidden\">Previous</span>\n        </a>\n    </li>\n    <li *ngFor=\"let pageNumber of (shownPageNumbers$ | async)\" class=\"page-item\">\n        <a class=\"page-link\" href=\"\" (click)=\"onSelectPage($event, pageNumber.page)\"\n          [ngClass]=\"{ 'active': pageNumber.selected }\" *ngIf=\"pageNumber.page != '...'\">\n            {{ pageNumber.page }}\n            <span class=\"visually-hidden\" *ngIf=\"pageNumber.selected\">(current)</span>\n        </a>\n    </li>\n    <li class=\"page-item\" *ngIf=\"showArrows$ | async\">\n        <a class=\"page-link\" href=\"\" (click)=\"onNext()\" [class.disabled]=\"isLastPage$ | async\" aria-label=\"Next\">\n            <span aria-hidden=\"true\">&raquo;</span>\n            <span class=\"visually-hidden\">Next</span>\n        </a>\n    </li>\n</ul>", styles: [":host ::ng-deep .pagination{--bs-pagination-padding-x: .75rem;--bs-pagination-padding-y: .375rem;--bs-pagination-font-size: 1rem;--bs-pagination-color: var(--bs-link-color);--bs-pagination-bg: #fff;--bs-pagination-border-width: 1px;--bs-pagination-border-color: #dee2e6;--bs-pagination-border-radius: .375rem;--bs-pagination-hover-color: var(--bs-link-hover-color);--bs-pagination-hover-bg: #e9ecef;--bs-pagination-hover-border-color: #dee2e6;--bs-pagination-focus-color: var(--bs-link-hover-color);--bs-pagination-focus-bg: #e9ecef;--bs-pagination-focus-box-shadow: 0 0 0 .25rem rgba(13, 110, 253, .25);--bs-pagination-active-color: #fff;--bs-pagination-active-bg: #0d6efd;--bs-pagination-active-border-color: #0d6efd;--bs-pagination-disabled-color: #6c757d;--bs-pagination-disabled-bg: #fff;--bs-pagination-disabled-border-color: #dee2e6;display:flex;padding-left:0;list-style:none}:host ::ng-deep .page-link{position:relative;display:block;padding:var(--bs-pagination-padding-y) var(--bs-pagination-padding-x);font-size:var(--bs-pagination-font-size);color:var(--bs-pagination-color);text-decoration:none;background-color:var(--bs-pagination-bg);border:var(--bs-pagination-border-width) solid var(--bs-pagination-border-color);transition:color .15s ease-in-out,background-color .15s ease-in-out,border-color .15s ease-in-out,box-shadow .15s ease-in-out}@media (prefers-reduced-motion: reduce){:host ::ng-deep .page-link{transition:none}}:host ::ng-deep .page-link:hover{z-index:2;color:var(--bs-pagination-hover-color);background-color:var(--bs-pagination-hover-bg);border-color:var(--bs-pagination-hover-border-color)}:host ::ng-deep .page-link:focus{z-index:3;color:var(--bs-pagination-focus-color);background-color:var(--bs-pagination-focus-bg);outline:0;box-shadow:var(--bs-pagination-focus-box-shadow)}:host ::ng-deep .page-link.active,.active>:host ::ng-deep .page-link{z-index:3;color:var(--bs-pagination-active-color);background-color:var(--bs-pagination-active-bg);border-color:var(--bs-pagination-active-border-color)}:host ::ng-deep .page-link.disabled,.disabled>:host ::ng-deep .page-link{color:var(--bs-pagination-disabled-color);pointer-events:none;background-color:var(--bs-pagination-disabled-bg);border-color:var(--bs-pagination-disabled-border-color)}:host ::ng-deep .page-item:not(:first-child) .page-link{margin-left:-1px}:host ::ng-deep .page-item:first-child .page-link{border-top-left-radius:var(--bs-pagination-border-radius);border-bottom-left-radius:var(--bs-pagination-border-radius)}:host ::ng-deep .page-item:last-child .page-link{border-top-right-radius:var(--bs-pagination-border-radius);border-bottom-right-radius:var(--bs-pagination-border-radius)}:host ::ng-deep .pagination-lg{--bs-pagination-padding-x: 1.5rem;--bs-pagination-padding-y: .75rem;--bs-pagination-font-size: 1.25rem;--bs-pagination-border-radius: .5rem}:host ::ng-deep .pagination-sm{--bs-pagination-padding-x: .5rem;--bs-pagination-padding-y: .25rem;--bs-pagination-font-size: .875rem;--bs-pagination-border-radius: .25rem}:host{display:inline-block}\n"] }]
        }], ctorParameters: function () { return []; }, propDecorators: { selectedPageNumberChange: [{
                type: Output
            }], selectedPageNumber: [{
                type: Input
            }], numberOfBoxes: [{
                type: Input
            }], pageNumbers: [{
                type: Input
            }], showArrows: [{
                type: Input
            }], size: [{
                type: Input
            }] } });

class BsDatatableComponent {
    constructor() {
        //#region Columns
        this.columns$ = new BehaviorSubject([]);
        this.reloadData = new EventEmitter();
        this.settings = new DatatableSettings();
        this.settings.sortProperty = '';
        this.settings.sortDirection = 'ascending';
        this.settings.perPage = { values: [10, 20, 50], selected: 20 };
        this.settings.page = { values: [1], selected: 1 };
        this.numberOfColumns$ = this.columns$.pipe(map(columns => columns.length));
    }
    set columns(value) {
        this.columns$.next(value);
    }
    columnHeaderClicked(column) {
        if (column.bsDatatableColumn.sortable) {
            if (this.settings.sortProperty !== column.bsDatatableColumn.name) {
                this.settings.sortProperty = column.bsDatatableColumn.name;
                this.settings.sortDirection = 'ascending';
            }
            else if (this.settings.sortDirection === 'descending') {
                this.settings.sortDirection = 'ascending';
            }
            else {
                this.settings.sortDirection = 'descending';
            }
            this.reloadData.emit(this.settings);
        }
    }
}
BsDatatableComponent.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "14.2.2", ngImport: i0, type: BsDatatableComponent, deps: [], target: i0.ɵɵFactoryTarget.Component });
BsDatatableComponent.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "14.2.2", type: BsDatatableComponent, selector: "bs-datatable", inputs: { settings: "settings", data: "data" }, outputs: { reloadData: "reloadData" }, queries: [{ propertyName: "columns", predicate: BsDatatableColumnDirective }], ngImport: i0, template: "<bs-table [isResponsive]=\"true\" [striped]=\"true\" [hover]=\"true\" class=\"mb-3\">\n    <thead>\n        <tr>\n            <th *ngFor=\"let column of (columns$ | async)\" class=\"text-nowrap\"\n                [class.sort]=\"column.bsDatatableColumn.sortable\"\n                [class.sort-asc]=\"column.bsDatatableColumn.sortable && (settings.sortProperty === column.bsDatatableColumn.name) && (settings.sortDirection === 'ascending')\"\n                [class.sort-desc]=\"column.bsDatatableColumn.sortable && (settings.sortProperty === column.bsDatatableColumn.name) && (settings.sortDirection === 'descending')\"\n                (click)=\"columnHeaderClicked(column)\">\n                <ng-container *ngTemplateOutlet=\"column.templateRef\"></ng-container>\n            </th>\n        </tr>\n    </thead>\n    <tbody>\n        <ng-container *ngIf=\"!!data && !!rowTemplate\">\n            <ng-container *ngFor=\"let item of data.data\">\n                <ng-container *ngTemplateOutlet=\"rowTemplate; context: { $implicit: item }\"></ng-container>\n            </ng-container>\n        </ng-container>\n    </tbody>\n    <tfoot>\n        <tr>\n            <td [colSpan]=\"numberOfColumns$ | async\">\n                <bs-grid [stopFullWidthAt]=\"'never'\">\n                    <div bsRow>\n                        <div [bsColumn]=\"{md: 12}\">\n                            <bs-pagination class=\"float-start\" [pageNumbers]=\"settings.perPage.values\"\n                                [(selectedPageNumber)]=\"settings.perPage.selected\" (selectedPageNumberChange)=\"reloadData.emit(settings)\"\n                                [showArrows]=\"false\"></bs-pagination>\n                            <bs-pagination class=\"float-end\" [pageNumbers]=\"settings.page.values\"\n                                [(selectedPageNumber)]=\"settings.page.selected\" (selectedPageNumberChange)=\"reloadData.emit(settings)\"\n                                [showArrows]=\"true\"></bs-pagination>\n                        </div>\n                    </div>\n                </bs-grid>\n            </td>\n        </tr>\n    </tfoot>\n</bs-table>", styles: ["@charset \"UTF-8\";tfoot>tr>td{border-bottom:none}bs-table thead th.sort{position:relative;cursor:pointer}bs-table thead th.sort:before,bs-table thead th.sort:after{position:absolute;display:block;opacity:.3;bottom:.5em}bs-table thead th.sort:before{content:\"\\2191\";right:1em}bs-table thead th.sort:after{content:\"\\2193\";right:.5em}bs-table thead th.sort.sort-asc:after{opacity:1}bs-table thead th.sort.sort-desc:before{opacity:1}\n"], dependencies: [{ kind: "directive", type: i1.NgForOf, selector: "[ngFor][ngForOf]", inputs: ["ngForOf", "ngForTrackBy", "ngForTemplate"] }, { kind: "directive", type: i1.NgIf, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }, { kind: "directive", type: i1.NgTemplateOutlet, selector: "[ngTemplateOutlet]", inputs: ["ngTemplateOutletContext", "ngTemplateOutlet", "ngTemplateOutletInjector"] }, { kind: "component", type: BsGridComponent, selector: "bs-grid", inputs: ["stopFullWidthAt"] }, { kind: "directive", type: BsGridRowDirective, selector: "[bsRow]" }, { kind: "directive", type: BsGridColumnDirective, selector: "[bsColumn]", inputs: ["bsColumn"] }, { kind: "component", type: BsTableComponent, selector: "bs-table", inputs: ["isResponsive", "striped", "hover"] }, { kind: "component", type: BsPaginationComponent, selector: "bs-pagination", inputs: ["selectedPageNumber", "numberOfBoxes", "pageNumbers", "showArrows", "size"], outputs: ["selectedPageNumberChange"] }, { kind: "pipe", type: i1.AsyncPipe, name: "async" }] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "14.2.2", ngImport: i0, type: BsDatatableComponent, decorators: [{
            type: Component,
            args: [{ selector: 'bs-datatable', template: "<bs-table [isResponsive]=\"true\" [striped]=\"true\" [hover]=\"true\" class=\"mb-3\">\n    <thead>\n        <tr>\n            <th *ngFor=\"let column of (columns$ | async)\" class=\"text-nowrap\"\n                [class.sort]=\"column.bsDatatableColumn.sortable\"\n                [class.sort-asc]=\"column.bsDatatableColumn.sortable && (settings.sortProperty === column.bsDatatableColumn.name) && (settings.sortDirection === 'ascending')\"\n                [class.sort-desc]=\"column.bsDatatableColumn.sortable && (settings.sortProperty === column.bsDatatableColumn.name) && (settings.sortDirection === 'descending')\"\n                (click)=\"columnHeaderClicked(column)\">\n                <ng-container *ngTemplateOutlet=\"column.templateRef\"></ng-container>\n            </th>\n        </tr>\n    </thead>\n    <tbody>\n        <ng-container *ngIf=\"!!data && !!rowTemplate\">\n            <ng-container *ngFor=\"let item of data.data\">\n                <ng-container *ngTemplateOutlet=\"rowTemplate; context: { $implicit: item }\"></ng-container>\n            </ng-container>\n        </ng-container>\n    </tbody>\n    <tfoot>\n        <tr>\n            <td [colSpan]=\"numberOfColumns$ | async\">\n                <bs-grid [stopFullWidthAt]=\"'never'\">\n                    <div bsRow>\n                        <div [bsColumn]=\"{md: 12}\">\n                            <bs-pagination class=\"float-start\" [pageNumbers]=\"settings.perPage.values\"\n                                [(selectedPageNumber)]=\"settings.perPage.selected\" (selectedPageNumberChange)=\"reloadData.emit(settings)\"\n                                [showArrows]=\"false\"></bs-pagination>\n                            <bs-pagination class=\"float-end\" [pageNumbers]=\"settings.page.values\"\n                                [(selectedPageNumber)]=\"settings.page.selected\" (selectedPageNumberChange)=\"reloadData.emit(settings)\"\n                                [showArrows]=\"true\"></bs-pagination>\n                        </div>\n                    </div>\n                </bs-grid>\n            </td>\n        </tr>\n    </tfoot>\n</bs-table>", styles: ["@charset \"UTF-8\";tfoot>tr>td{border-bottom:none}bs-table thead th.sort{position:relative;cursor:pointer}bs-table thead th.sort:before,bs-table thead th.sort:after{position:absolute;display:block;opacity:.3;bottom:.5em}bs-table thead th.sort:before{content:\"\\2191\";right:1em}bs-table thead th.sort:after{content:\"\\2193\";right:.5em}bs-table thead th.sort.sort-asc:after{opacity:1}bs-table thead th.sort.sort-desc:before{opacity:1}\n"] }]
        }], ctorParameters: function () { return []; }, propDecorators: { columns: [{
                type: ContentChildren,
                args: [BsDatatableColumnDirective]
            }], settings: [{
                type: Input
            }], data: [{
                type: Input
            }], reloadData: [{
                type: Output
            }] } });

class BsRowTemplateDirective {
    constructor(datatableComponent, templateRef) {
        this.datatableComponent = datatableComponent;
        this.datatableComponent.rowTemplate = templateRef;
    }
}
BsRowTemplateDirective.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "14.2.2", ngImport: i0, type: BsRowTemplateDirective, deps: [{ token: BsDatatableComponent }, { token: i0.TemplateRef }], target: i0.ɵɵFactoryTarget.Directive });
BsRowTemplateDirective.ɵdir = i0.ɵɵngDeclareDirective({ minVersion: "14.0.0", version: "14.2.2", type: BsRowTemplateDirective, selector: "[bsRowTemplate]", ngImport: i0 });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "14.2.2", ngImport: i0, type: BsRowTemplateDirective, decorators: [{
            type: Directive,
            args: [{
                    selector: '[bsRowTemplate]'
                }]
        }], ctorParameters: function () { return [{ type: BsDatatableComponent }, { type: i0.TemplateRef }]; } });

class BsGridModule {
}
BsGridModule.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "14.2.2", ngImport: i0, type: BsGridModule, deps: [], target: i0.ɵɵFactoryTarget.NgModule });
BsGridModule.ɵmod = i0.ɵɵngDeclareNgModule({ minVersion: "14.0.0", version: "14.2.2", ngImport: i0, type: BsGridModule, declarations: [BsGridComponent, BsGridRowDirective, BsGridColumnDirective], imports: [CommonModule], exports: [BsGridComponent, BsGridRowDirective, BsGridColumnDirective] });
BsGridModule.ɵinj = i0.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "14.2.2", ngImport: i0, type: BsGridModule, imports: [CommonModule] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "14.2.2", ngImport: i0, type: BsGridModule, decorators: [{
            type: NgModule,
            args: [{
                    declarations: [BsGridComponent, BsGridRowDirective, BsGridColumnDirective],
                    imports: [CommonModule],
                    exports: [BsGridComponent, BsGridRowDirective, BsGridColumnDirective],
                }]
        }] });

class BsTableModule {
}
BsTableModule.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "14.2.2", ngImport: i0, type: BsTableModule, deps: [], target: i0.ɵɵFactoryTarget.NgModule });
BsTableModule.ɵmod = i0.ɵɵngDeclareNgModule({ minVersion: "14.0.0", version: "14.2.2", ngImport: i0, type: BsTableModule, declarations: [BsTableComponent], imports: [CommonModule], exports: [BsTableComponent] });
BsTableModule.ɵinj = i0.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "14.2.2", ngImport: i0, type: BsTableModule, imports: [CommonModule] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "14.2.2", ngImport: i0, type: BsTableModule, decorators: [{
            type: NgModule,
            args: [{
                    declarations: [BsTableComponent],
                    imports: [CommonModule],
                    exports: [BsTableComponent],
                }]
        }] });

class BsPaginationModule {
}
BsPaginationModule.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "14.2.2", ngImport: i0, type: BsPaginationModule, deps: [], target: i0.ɵɵFactoryTarget.NgModule });
BsPaginationModule.ɵmod = i0.ɵɵngDeclareNgModule({ minVersion: "14.0.0", version: "14.2.2", ngImport: i0, type: BsPaginationModule, declarations: [BsPaginationComponent], imports: [CommonModule], exports: [BsPaginationComponent] });
BsPaginationModule.ɵinj = i0.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "14.2.2", ngImport: i0, type: BsPaginationModule, imports: [CommonModule] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "14.2.2", ngImport: i0, type: BsPaginationModule, decorators: [{
            type: NgModule,
            args: [{
                    declarations: [
                        BsPaginationComponent
                    ],
                    imports: [
                        CommonModule
                    ],
                    exports: [
                        BsPaginationComponent
                    ]
                }]
        }] });

class BsDatatableModule {
}
BsDatatableModule.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "14.2.2", ngImport: i0, type: BsDatatableModule, deps: [], target: i0.ɵɵFactoryTarget.NgModule });
BsDatatableModule.ɵmod = i0.ɵɵngDeclareNgModule({ minVersion: "14.0.0", version: "14.2.2", ngImport: i0, type: BsDatatableModule, declarations: [BsDatatableComponent,
        BsRowTemplateDirective,
        BsDatatableColumnDirective], imports: [CommonModule,
        BsGridModule,
        BsTableModule,
        BsPaginationModule], exports: [BsDatatableComponent,
        BsRowTemplateDirective,
        BsDatatableColumnDirective] });
BsDatatableModule.ɵinj = i0.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "14.2.2", ngImport: i0, type: BsDatatableModule, imports: [CommonModule,
        BsGridModule,
        BsTableModule,
        BsPaginationModule] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "14.2.2", ngImport: i0, type: BsDatatableModule, decorators: [{
            type: NgModule,
            args: [{
                    declarations: [
                        BsDatatableComponent,
                        BsRowTemplateDirective,
                        BsDatatableColumnDirective
                    ],
                    imports: [
                        CommonModule,
                        BsGridModule,
                        BsTableModule,
                        BsPaginationModule
                    ],
                    exports: [
                        BsDatatableComponent,
                        BsRowTemplateDirective,
                        BsDatatableColumnDirective
                    ]
                }]
        }] });

/**
 * Register this provider with a **true** value to enable Development mode for ng-bootstrap.
 * This will make the overlays, which usually close when clicking outside of them,
 * to stay open.
 **/
const BS_DEVELOPMENT = new InjectionToken('BootstrapDevelopment');

class BsDropdownMenuDirective extends ClickOutsideDirective {
    constructor(dropdown, viewContainerRef, templateRef, overlay, elementRef, zone, platformId, bsDevelopment) {
        super(elementRef, zone, platformId);
        this.dropdown = dropdown;
        this.viewContainerRef = viewContainerRef;
        this.templateRef = templateRef;
        this.overlay = overlay;
        this.bsDevelopment = bsDevelopment;
        this.wait = false;
        this.destroyed$ = new Subject();
        this.overlayRef = null;
        this.templatePortal = null;
        this.dropdown.isOpen$
            .pipe(takeUntil(this.destroyed$))
            .subscribe((isOpen) => {
            if (isOpen) {
                this.wait = true;
                setTimeout(() => this.wait = false, 100);
                this.overlayRef = this.overlay.create({
                    hasBackdrop: this.dropdown.hasBackdrop,
                    scrollStrategy: this.overlay.scrollStrategies.reposition(),
                    positionStrategy: this.overlay.position()
                        .flexibleConnectedTo(!this.dropdown.toggle ? dropdown.elementRef : this.dropdown.toggle.toggleButton)
                        .withPositions([
                        // element: BottomLeft - dropdown: TopLeft
                        { originX: "start", originY: "bottom", overlayX: "start", overlayY: "top", offsetY: 0 },
                        // element: TopLeft - dropdown: BottomLeft
                        { originX: "start", originY: "top", overlayX: "start", overlayY: "bottom", offsetY: 0 },
                    ]),
                });
                if (this.dropdown.hasBackdrop && this.dropdown.closeOnClickOutside) {
                    this.overlayRef.backdropClick().subscribe(() => {
                        this.dropdown.isOpen = false;
                    });
                }
                this.templatePortal = new TemplatePortal(this.templateRef, this.viewContainerRef);
                const view = this.overlayRef.attach(this.templatePortal);
                if (this.dropdown.sameDropdownWidth) {
                    const width = this.dropdown.elementRef.nativeElement.offsetWidth;
                    view.rootNodes[0].style.width = width + 'px';
                }
            }
            else {
                if (this.overlayRef) {
                    this.overlayRef.detach();
                    this.overlayRef.dispose();
                    this.overlayRef = null;
                }
            }
        });
    }
    get show() { return this.dropdown.isOpen; }
    clickedOutside(ev) {
        if (!this.bsDevelopment) {
            if (!this.wait) {
                if (!this.overlayRef?.overlayElement.contains(ev.target)) {
                    this.doClose();
                }
            }
        }
    }
    onEscape(ev) {
        this.doClose();
    }
    doClose() {
        this.dropdown.isOpen$.pipe(take(1)).subscribe((isOpen) => {
            if (isOpen && !this.dropdown.hasBackdrop && this.dropdown.closeOnClickOutside) {
                this.dropdown.isOpen = false;
            }
        });
    }
}
BsDropdownMenuDirective.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "14.2.2", ngImport: i0, type: BsDropdownMenuDirective, deps: [{ token: forwardRef(() => BsDropdownDirective) }, { token: i0.ViewContainerRef }, { token: i0.TemplateRef }, { token: i1$1.Overlay }, { token: i0.ElementRef }, { token: i0.NgZone }, { token: PLATFORM_ID }, { token: BS_DEVELOPMENT, optional: true }], target: i0.ɵɵFactoryTarget.Directive });
BsDropdownMenuDirective.ɵdir = i0.ɵɵngDeclareDirective({ minVersion: "14.0.0", version: "14.2.2", type: BsDropdownMenuDirective, selector: "[bsDropdownMenu]", host: { listeners: { "clickOutside": "clickedOutside($event)", "document:keydown.escape": "onEscape($event)" }, properties: { "class.show": "this.show" } }, usesInheritance: true, ngImport: i0 });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "14.2.2", ngImport: i0, type: BsDropdownMenuDirective, decorators: [{
            type: Directive,
            args: [{
                    selector: '[bsDropdownMenu]'
                }]
        }], ctorParameters: function () { return [{ type: BsDropdownDirective, decorators: [{
                    type: Inject,
                    args: [forwardRef(() => BsDropdownDirective)]
                }] }, { type: i0.ViewContainerRef }, { type: i0.TemplateRef }, { type: i1$1.Overlay }, { type: i0.ElementRef }, { type: i0.NgZone }, { type: undefined, decorators: [{
                    type: Inject,
                    args: [PLATFORM_ID]
                }] }, { type: undefined, decorators: [{
                    type: Optional
                }, {
                    type: Inject,
                    args: [BS_DEVELOPMENT]
                }] }]; }, propDecorators: { show: [{
                type: HostBinding,
                args: ['class.show']
            }], clickedOutside: [{
                type: HostListener,
                args: ['clickOutside', ['$event']]
            }], onEscape: [{
                type: HostListener,
                args: ['document:keydown.escape', ['$event']]
            }] } });

class BsDropdownToggleDirective {
    constructor(dropdown, toggleButton) {
        this.dropdown = dropdown;
        this.toggleButton = toggleButton;
    }
    onClick() {
        this.dropdown.isOpen$.pipe(take(1)).subscribe((isOpen) => {
            this.dropdown.isOpen$.next(!isOpen);
        });
    }
}
BsDropdownToggleDirective.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "14.2.2", ngImport: i0, type: BsDropdownToggleDirective, deps: [{ token: BsDropdownDirective }, { token: i0.ElementRef }], target: i0.ɵɵFactoryTarget.Directive });
BsDropdownToggleDirective.ɵdir = i0.ɵɵngDeclareDirective({ minVersion: "14.0.0", version: "14.2.2", type: BsDropdownToggleDirective, selector: "[bsDropdownToggle]", host: { listeners: { "click": "onClick()" } }, ngImport: i0 });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "14.2.2", ngImport: i0, type: BsDropdownToggleDirective, decorators: [{
            type: Directive,
            args: [{
                    selector: '[bsDropdownToggle]'
                }]
        }], ctorParameters: function () { return [{ type: BsDropdownDirective }, { type: i0.ElementRef }]; }, propDecorators: { onClick: [{
                type: HostListener,
                args: ['click']
            }] } });

class BsDropdownDirective {
    constructor(elementRef) {
        this.isOpen$ = new BehaviorSubject(false);
        this.toggle = null;
        this.hasBackdrop = false;
        this.sameWidth = false;
        this.closeOnClickOutside = true;
        this.sameDropdownWidth = false;
        this.isOpenChange = new EventEmitter();
        this.elementRef = elementRef;
    }
    //#region IsOpen
    get isOpen() {
        return this.isOpen$.value;
    }
    set isOpen(value) {
        if (this.isOpen$.value !== value) {
            this.isOpen$.next(value);
            this.isOpenChange.emit(value);
        }
    }
    //#endregion
    onBlur() {
        if (this.closeOnClickOutside) {
            this.isOpen = false;
        }
    }
}
BsDropdownDirective.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "14.2.2", ngImport: i0, type: BsDropdownDirective, deps: [{ token: i0.ElementRef }], target: i0.ɵɵFactoryTarget.Directive });
BsDropdownDirective.ɵdir = i0.ɵɵngDeclareDirective({ minVersion: "14.0.0", version: "14.2.2", type: BsDropdownDirective, selector: "[bsDropdown]", inputs: { hasBackdrop: "hasBackdrop", sameWidth: "sameWidth", closeOnClickOutside: "closeOnClickOutside", sameDropdownWidth: "sameDropdownWidth", isOpen: "isOpen" }, outputs: { isOpenChange: "isOpenChange" }, host: { listeners: { "window:blur": "onBlur()" } }, queries: [{ propertyName: "menu", first: true, predicate: BsDropdownMenuDirective, descendants: true }, { propertyName: "toggle", first: true, predicate: BsDropdownToggleDirective, descendants: true }], ngImport: i0 });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "14.2.2", ngImport: i0, type: BsDropdownDirective, decorators: [{
            type: Directive,
            args: [{
                    selector: '[bsDropdown]'
                }]
        }], ctorParameters: function () { return [{ type: i0.ElementRef }]; }, propDecorators: { menu: [{
                type: ContentChild,
                args: [BsDropdownMenuDirective, { static: false }]
            }], toggle: [{
                type: ContentChild,
                args: [BsDropdownToggleDirective, { static: false }]
            }], hasBackdrop: [{
                type: Input
            }], sameWidth: [{
                type: Input
            }], closeOnClickOutside: [{
                type: Input
            }], sameDropdownWidth: [{
                type: Input
            }], isOpenChange: [{
                type: Output
            }], isOpen: [{
                type: Input
            }], onBlur: [{
                type: HostListener,
                args: ['window:blur']
            }] } });

class BsDatepickerComponent {
    constructor() {
        //#region SelectedDate
        this._selectedDate = new Date();
        this.selectedDateChange = new EventEmitter();
        //#endregion
        //#region CurrentMonth
        this._currentMonth = new Date();
        this.currentMonthChange = new EventEmitter();
    }
    get selectedDate() {
        return this._selectedDate;
    }
    set selectedDate(value) {
        this._selectedDate = value;
        this.selectedDateChange.emit(value);
    }
    get currentMonth() {
        return this._currentMonth;
    }
    set currentMonth(value) {
        this._currentMonth = value;
        this.currentMonthChange.emit(value);
    }
}
BsDatepickerComponent.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "14.2.2", ngImport: i0, type: BsDatepickerComponent, deps: [], target: i0.ɵɵFactoryTarget.Component });
BsDatepickerComponent.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "14.2.2", type: BsDatepickerComponent, selector: "bs-datepicker", inputs: { selectedDate: "selectedDate", currentMonth: "currentMonth" }, outputs: { selectedDateChange: "selectedDateChange", currentMonthChange: "currentMonthChange" }, ngImport: i0, template: "<div bsDropdown [hasBackdrop]=\"true\" [closeOnClickOutside]=\"true\">\n    <button bsDropdownToggle class=\"btn btn-primary\">{{ selectedDate | date }}</button>\n    <div *bsDropdownMenu>\n        <bs-calendar [(selectedDate)]=\"selectedDate\" [(currentMonth)]=\"currentMonth\"></bs-calendar>\n    </div>\n</div>", styles: [""], dependencies: [{ kind: "component", type: BsCalendarComponent, selector: "bs-calendar", inputs: ["currentMonth", "selectedDate"], outputs: ["currentMonthChange", "selectedDateChange"] }, { kind: "directive", type: BsDropdownDirective, selector: "[bsDropdown]", inputs: ["hasBackdrop", "sameWidth", "closeOnClickOutside", "sameDropdownWidth", "isOpen"], outputs: ["isOpenChange"] }, { kind: "directive", type: BsDropdownToggleDirective, selector: "[bsDropdownToggle]" }, { kind: "directive", type: BsDropdownMenuDirective, selector: "[bsDropdownMenu]" }, { kind: "pipe", type: i1.DatePipe, name: "date" }] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "14.2.2", ngImport: i0, type: BsDatepickerComponent, decorators: [{
            type: Component,
            args: [{ selector: 'bs-datepicker', template: "<div bsDropdown [hasBackdrop]=\"true\" [closeOnClickOutside]=\"true\">\n    <button bsDropdownToggle class=\"btn btn-primary\">{{ selectedDate | date }}</button>\n    <div *bsDropdownMenu>\n        <bs-calendar [(selectedDate)]=\"selectedDate\" [(currentMonth)]=\"currentMonth\"></bs-calendar>\n    </div>\n</div>" }]
        }], propDecorators: { selectedDateChange: [{
                type: Output
            }], selectedDate: [{
                type: Input
            }], currentMonthChange: [{
                type: Output
            }], currentMonth: [{
                type: Input
            }] } });

class BsDropdownModule {
}
BsDropdownModule.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "14.2.2", ngImport: i0, type: BsDropdownModule, deps: [], target: i0.ɵɵFactoryTarget.NgModule });
BsDropdownModule.ɵmod = i0.ɵɵngDeclareNgModule({ minVersion: "14.0.0", version: "14.2.2", ngImport: i0, type: BsDropdownModule, declarations: [BsDropdownDirective,
        BsDropdownToggleDirective,
        BsDropdownMenuDirective], imports: [CommonModule,
        OverlayModule,
        ClickOutsideModule], exports: [BsDropdownDirective,
        BsDropdownToggleDirective,
        BsDropdownMenuDirective] });
BsDropdownModule.ɵinj = i0.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "14.2.2", ngImport: i0, type: BsDropdownModule, imports: [CommonModule,
        OverlayModule,
        ClickOutsideModule] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "14.2.2", ngImport: i0, type: BsDropdownModule, decorators: [{
            type: NgModule,
            args: [{
                    declarations: [
                        BsDropdownDirective,
                        BsDropdownToggleDirective,
                        BsDropdownMenuDirective
                    ],
                    imports: [
                        CommonModule,
                        OverlayModule,
                        ClickOutsideModule
                    ],
                    exports: [
                        BsDropdownDirective,
                        BsDropdownToggleDirective,
                        BsDropdownMenuDirective
                    ]
                }]
        }] });

class BsDatepickerModule {
}
BsDatepickerModule.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "14.2.2", ngImport: i0, type: BsDatepickerModule, deps: [], target: i0.ɵɵFactoryTarget.NgModule });
BsDatepickerModule.ɵmod = i0.ɵɵngDeclareNgModule({ minVersion: "14.0.0", version: "14.2.2", ngImport: i0, type: BsDatepickerModule, declarations: [BsDatepickerComponent], imports: [CommonModule,
        BsCalendarModule,
        BsDropdownModule], exports: [BsDatepickerComponent] });
BsDatepickerModule.ɵinj = i0.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "14.2.2", ngImport: i0, type: BsDatepickerModule, imports: [CommonModule,
        BsCalendarModule,
        BsDropdownModule] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "14.2.2", ngImport: i0, type: BsDatepickerModule, decorators: [{
            type: NgModule,
            args: [{
                    declarations: [
                        BsDatepickerComponent
                    ],
                    imports: [
                        CommonModule,
                        BsCalendarModule,
                        BsDropdownModule
                    ],
                    exports: [
                        BsDatepickerComponent
                    ]
                }]
        }] });

class BsForDirective {
    constructor() {
        this.defaultCursor = true;
    }
    onMouseClick() {
        if (!('tagName' in this.bsFor)) {
            this.bsFor.focus();
        }
        else if (this.bsFor.tagName.toLowerCase() !== 'input') {
            this.bsFor.focus();
        }
        else if (this.bsFor.type.toLowerCase() === 'file') {
            this.bsFor.click();
        }
        else {
            this.bsFor.focus();
        }
    }
}
BsForDirective.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "14.2.2", ngImport: i0, type: BsForDirective, deps: [], target: i0.ɵɵFactoryTarget.Directive });
BsForDirective.ɵdir = i0.ɵɵngDeclareDirective({ minVersion: "14.0.0", version: "14.2.2", type: BsForDirective, selector: "[bsFor]", inputs: { bsFor: "bsFor" }, host: { listeners: { "click": "onMouseClick()" }, properties: { "class.cursor-default": "this.defaultCursor" } }, ngImport: i0 });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "14.2.2", ngImport: i0, type: BsForDirective, decorators: [{
            type: Directive,
            args: [{
                    selector: '[bsFor]'
                }]
        }], propDecorators: { defaultCursor: [{
                type: HostBinding,
                args: ['class.cursor-default']
            }], bsFor: [{
                type: Input
            }], onMouseClick: [{
                type: HostListener,
                args: ['click']
            }] } });

class BsProgressBarComponent {
    constructor() {
        this.destroyed$ = new Subject();
        this.minimum$ = new BehaviorSubject(0);
        this.maximum$ = new BehaviorSubject(100);
        this.value$ = new BehaviorSubject(50);
        this.color$ = new BehaviorSubject(Color.primary);
        this.striped = false;
        this.animated = false;
        this.progressBar = true;
        this.colorClass = 'bg-primary';
        this.widthStyle = '0';
        this.role = 'progressbar';
        this.valueNow = 50;
        this.valueMin = 0;
        this.valueMax = 100;
        this.percentage$ = combineLatest([this.minimum$, this.maximum$, this.value$])
            .pipe(map(([minimum, maximum, value]) => {
            return (value - minimum) / (maximum - minimum) * 100;
        }));
        this.width$ = this.percentage$
            .pipe(map((width) => {
            return String(width) + '%';
        }));
        this.colorClass$ = this.color$
            .pipe(map((color) => {
            const name = Color[color];
            return `bg-${name}`;
        }));
        this.colorClass$
            .pipe(takeUntil(this.destroyed$))
            .subscribe((color) => {
            this.colorClass = color;
        });
        this.width$
            .pipe(takeUntil(this.destroyed$))
            .subscribe((width) => {
            this.widthStyle = width;
        });
        this.value$
            .pipe(takeUntil(this.destroyed$))
            .subscribe((value) => {
            this.valueNow = value;
        });
        this.minimum$
            .pipe(takeUntil(this.destroyed$))
            .subscribe((value) => {
            this.valueMin = value;
        });
        this.maximum$
            .pipe(takeUntil(this.destroyed$))
            .subscribe((value) => {
            this.valueMax = value;
        });
    }
    set minimum(value) {
        this.minimum$.next(value);
    }
    set maximum(value) {
        this.maximum$.next(value);
    }
    set value(value) {
        this.value$.next(value);
    }
    set color(value) {
        this.color$.next(value);
    }
    ngOnDestroy() {
        this.destroyed$.next(true);
    }
}
BsProgressBarComponent.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "14.2.2", ngImport: i0, type: BsProgressBarComponent, deps: [], target: i0.ɵɵFactoryTarget.Component });
BsProgressBarComponent.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "14.2.2", type: BsProgressBarComponent, selector: "bs-progress-bar", inputs: { minimum: "minimum", maximum: "maximum", value: "value", color: "color", striped: "striped", animated: "animated" }, host: { properties: { "class.progress-bar-striped": "this.striped", "class.progress-bar-animated": "this.animated", "class.progress-bar": "this.progressBar", "class": "this.colorClass", "style.width": "this.widthStyle", "attr.role": "this.role", "attr.aria-valuenow": "this.valueNow", "attr.aria-valuemin": "this.valueMin", "attr.aria-valuemax": "this.valueMax" } }, ngImport: i0, template: "", styles: ["@keyframes progress-bar-stripes{0%{background-position-x:1rem}}:host ::ng-deep .progress{--bs-progress-height: 1rem;--bs-progress-font-size: .75rem;--bs-progress-bg: #e9ecef;--bs-progress-border-radius: .375rem;--bs-progress-box-shadow: inset 0 1px 2px rgba(0, 0, 0, .075);--bs-progress-bar-color: #fff;--bs-progress-bar-bg: #0d6efd;--bs-progress-bar-transition: width .6s ease;display:flex;height:var(--bs-progress-height);overflow:hidden;font-size:var(--bs-progress-font-size);background-color:var(--bs-progress-bg);border-radius:var(--bs-progress-border-radius)}:host ::ng-deep .progress-bar{display:flex;flex-direction:column;justify-content:center;overflow:hidden;color:var(--bs-progress-bar-color);text-align:center;white-space:nowrap;background-color:var(--bs-progress-bar-bg);transition:var(--bs-progress-bar-transition)}@media (prefers-reduced-motion: reduce){:host ::ng-deep .progress-bar{transition:none}}:host ::ng-deep .progress-bar-striped{background-image:linear-gradient(45deg,rgba(255,255,255,.15) 25%,transparent 25%,transparent 50%,rgba(255,255,255,.15) 50%,rgba(255,255,255,.15) 75%,transparent 75%,transparent);background-size:var(--bs-progress-height) var(--bs-progress-height)}:host ::ng-deep .progress-bar-animated{animation:1s linear infinite progress-bar-stripes}@media (prefers-reduced-motion: reduce){:host ::ng-deep .progress-bar-animated{animation:none}}\n"] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "14.2.2", ngImport: i0, type: BsProgressBarComponent, decorators: [{
            type: Component,
            args: [{ selector: 'bs-progress-bar', template: "", styles: ["@keyframes progress-bar-stripes{0%{background-position-x:1rem}}:host ::ng-deep .progress{--bs-progress-height: 1rem;--bs-progress-font-size: .75rem;--bs-progress-bg: #e9ecef;--bs-progress-border-radius: .375rem;--bs-progress-box-shadow: inset 0 1px 2px rgba(0, 0, 0, .075);--bs-progress-bar-color: #fff;--bs-progress-bar-bg: #0d6efd;--bs-progress-bar-transition: width .6s ease;display:flex;height:var(--bs-progress-height);overflow:hidden;font-size:var(--bs-progress-font-size);background-color:var(--bs-progress-bg);border-radius:var(--bs-progress-border-radius)}:host ::ng-deep .progress-bar{display:flex;flex-direction:column;justify-content:center;overflow:hidden;color:var(--bs-progress-bar-color);text-align:center;white-space:nowrap;background-color:var(--bs-progress-bar-bg);transition:var(--bs-progress-bar-transition)}@media (prefers-reduced-motion: reduce){:host ::ng-deep .progress-bar{transition:none}}:host ::ng-deep .progress-bar-striped{background-image:linear-gradient(45deg,rgba(255,255,255,.15) 25%,transparent 25%,transparent 50%,rgba(255,255,255,.15) 50%,rgba(255,255,255,.15) 75%,transparent 75%,transparent);background-size:var(--bs-progress-height) var(--bs-progress-height)}:host ::ng-deep .progress-bar-animated{animation:1s linear infinite progress-bar-stripes}@media (prefers-reduced-motion: reduce){:host ::ng-deep .progress-bar-animated{animation:none}}\n"] }]
        }], ctorParameters: function () { return []; }, propDecorators: { minimum: [{
                type: Input
            }], maximum: [{
                type: Input
            }], value: [{
                type: Input
            }], color: [{
                type: Input
            }], striped: [{
                type: Input
            }, {
                type: HostBinding,
                args: ['class.progress-bar-striped']
            }], animated: [{
                type: Input
            }, {
                type: HostBinding,
                args: ['class.progress-bar-animated']
            }], progressBar: [{
                type: HostBinding,
                args: ['class.progress-bar']
            }], colorClass: [{
                type: HostBinding,
                args: ['class']
            }], widthStyle: [{
                type: HostBinding,
                args: ['style.width']
            }], role: [{
                type: HostBinding,
                args: ['attr.role']
            }], valueNow: [{
                type: HostBinding,
                args: ['attr.aria-valuenow']
            }], valueMin: [{
                type: HostBinding,
                args: ['attr.aria-valuemin']
            }], valueMax: [{
                type: HostBinding,
                args: ['attr.aria-valuemax']
            }] } });

class BsProgressComponent {
    constructor() {
        // @HostBinding('class.progress') private progressClass = true;
        this.height = null;
        this.isIndeterminate = false;
        this.progressClass = true;
    }
}
BsProgressComponent.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "14.2.2", ngImport: i0, type: BsProgressComponent, deps: [], target: i0.ɵɵFactoryTarget.Component });
BsProgressComponent.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "14.2.2", type: BsProgressComponent, selector: "bs-progress", inputs: { height: "height", isIndeterminate: "isIndeterminate" }, host: { properties: { "style.height.px": "this.height", "class.d-block": "this.progressClass", "class.overflow-hidden": "this.progressClass" } }, ngImport: i0, template: "<div class=\"progress\">\n    <ng-content *ngIf=\"!isIndeterminate\"></ng-content>\n    <div *ngIf=\"isIndeterminate\" class=\"progress-bar progress-bar-infinite bg-primary\" role=\"progressbar\" aria-valuenow=\"infinite\"></div>\n</div>", styles: ["@keyframes progress-bar-stripes{0%{background-position-x:1rem}}:host .progress{--bs-progress-height: 1rem;--bs-progress-font-size: .75rem;--bs-progress-bg: #e9ecef;--bs-progress-border-radius: .375rem;--bs-progress-box-shadow: inset 0 1px 2px rgba(0, 0, 0, .075);--bs-progress-bar-color: #fff;--bs-progress-bar-bg: #0d6efd;--bs-progress-bar-transition: width .6s ease;display:flex;height:var(--bs-progress-height);overflow:hidden;font-size:var(--bs-progress-font-size);background-color:var(--bs-progress-bg);border-radius:var(--bs-progress-border-radius)}:host .progress-bar{display:flex;flex-direction:column;justify-content:center;overflow:hidden;color:var(--bs-progress-bar-color);text-align:center;white-space:nowrap;background-color:var(--bs-progress-bar-bg);transition:var(--bs-progress-bar-transition)}@media (prefers-reduced-motion: reduce){:host .progress-bar{transition:none}}:host .progress-bar-striped{background-image:linear-gradient(45deg,rgba(255,255,255,.15) 25%,transparent 25%,transparent 50%,rgba(255,255,255,.15) 50%,rgba(255,255,255,.15) 75%,transparent 75%,transparent);background-size:var(--bs-progress-height) var(--bs-progress-height)}:host .progress-bar-animated{animation:1s linear infinite progress-bar-stripes}@media (prefers-reduced-motion: reduce){:host .progress-bar-animated{animation:none}}:host .progress-bar-infinite{animation:progress-infinite 1.5s infinite}@keyframes progress-infinite{0%{width:10%;margin-left:0%}25%{width:70%;margin-left:15%}50%{width:10%;margin-left:90%}75%{width:70%;margin-left:15%}to{width:10%;margin-left:0%}}\n"], dependencies: [{ kind: "directive", type: i1.NgIf, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "14.2.2", ngImport: i0, type: BsProgressComponent, decorators: [{
            type: Component,
            args: [{ selector: 'bs-progress', template: "<div class=\"progress\">\n    <ng-content *ngIf=\"!isIndeterminate\"></ng-content>\n    <div *ngIf=\"isIndeterminate\" class=\"progress-bar progress-bar-infinite bg-primary\" role=\"progressbar\" aria-valuenow=\"infinite\"></div>\n</div>", styles: ["@keyframes progress-bar-stripes{0%{background-position-x:1rem}}:host .progress{--bs-progress-height: 1rem;--bs-progress-font-size: .75rem;--bs-progress-bg: #e9ecef;--bs-progress-border-radius: .375rem;--bs-progress-box-shadow: inset 0 1px 2px rgba(0, 0, 0, .075);--bs-progress-bar-color: #fff;--bs-progress-bar-bg: #0d6efd;--bs-progress-bar-transition: width .6s ease;display:flex;height:var(--bs-progress-height);overflow:hidden;font-size:var(--bs-progress-font-size);background-color:var(--bs-progress-bg);border-radius:var(--bs-progress-border-radius)}:host .progress-bar{display:flex;flex-direction:column;justify-content:center;overflow:hidden;color:var(--bs-progress-bar-color);text-align:center;white-space:nowrap;background-color:var(--bs-progress-bar-bg);transition:var(--bs-progress-bar-transition)}@media (prefers-reduced-motion: reduce){:host .progress-bar{transition:none}}:host .progress-bar-striped{background-image:linear-gradient(45deg,rgba(255,255,255,.15) 25%,transparent 25%,transparent 50%,rgba(255,255,255,.15) 50%,rgba(255,255,255,.15) 75%,transparent 75%,transparent);background-size:var(--bs-progress-height) var(--bs-progress-height)}:host .progress-bar-animated{animation:1s linear infinite progress-bar-stripes}@media (prefers-reduced-motion: reduce){:host .progress-bar-animated{animation:none}}:host .progress-bar-infinite{animation:progress-infinite 1.5s infinite}@keyframes progress-infinite{0%{width:10%;margin-left:0%}25%{width:70%;margin-left:15%}50%{width:10%;margin-left:90%}75%{width:70%;margin-left:15%}to{width:10%;margin-left:0%}}\n"] }]
        }], propDecorators: { height: [{
                type: Input
            }, {
                type: HostBinding,
                args: ['style.height.px']
            }], isIndeterminate: [{
                type: Input
            }], progressClass: [{
                type: HostBinding,
                args: ['class.d-block']
            }, {
                type: HostBinding,
                args: ['class.overflow-hidden']
            }] } });

class BsListGroupItemComponent {
    constructor() {
    }
    ngOnInit() {
    }
}
BsListGroupItemComponent.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "14.2.2", ngImport: i0, type: BsListGroupItemComponent, deps: [], target: i0.ɵɵFactoryTarget.Component });
BsListGroupItemComponent.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "14.2.2", type: BsListGroupItemComponent, selector: "bs-list-group-item", ngImport: i0, template: "<li class=\"list-group-item\">\n    <ng-content></ng-content>\n</li>", styles: [".list-group-item{margin-bottom:-1px}\n"] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "14.2.2", ngImport: i0, type: BsListGroupItemComponent, decorators: [{
            type: Component,
            args: [{ selector: 'bs-list-group-item', template: "<li class=\"list-group-item\">\n    <ng-content></ng-content>\n</li>", styles: [".list-group-item{margin-bottom:-1px}\n"] }]
        }], ctorParameters: function () { return []; } });

class BsListGroupComponent {
    constructor() {
    }
    ngOnInit() {
    }
}
BsListGroupComponent.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "14.2.2", ngImport: i0, type: BsListGroupComponent, deps: [], target: i0.ɵɵFactoryTarget.Component });
BsListGroupComponent.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "14.2.2", type: BsListGroupComponent, selector: "bs-list-group", queries: [{ propertyName: "items", predicate: BsListGroupItemComponent }], ngImport: i0, template: "<ul class=\"list-group mt-0\">\n    <ng-content></ng-content>\n</ul>", styles: [":host ::ng-deep .list-group{--bs-list-group-color: #212529;--bs-list-group-bg: #fff;--bs-list-group-border-color: rgba(0, 0, 0, .125);--bs-list-group-border-width: 1px;--bs-list-group-border-radius: .375rem;--bs-list-group-item-padding-x: 1rem;--bs-list-group-item-padding-y: .5rem;--bs-list-group-action-color: #495057;--bs-list-group-action-hover-color: #495057;--bs-list-group-action-hover-bg: #f8f9fa;--bs-list-group-action-active-color: #212529;--bs-list-group-action-active-bg: #e9ecef;--bs-list-group-disabled-color: #6c757d;--bs-list-group-disabled-bg: #fff;--bs-list-group-active-color: #fff;--bs-list-group-active-bg: #0d6efd;--bs-list-group-active-border-color: #0d6efd;display:flex;flex-direction:column;padding-left:0;margin-bottom:0;border-radius:var(--bs-list-group-border-radius)}:host ::ng-deep .list-group-numbered{list-style-type:none;counter-reset:section}:host ::ng-deep .list-group-numbered>.list-group-item:before{content:counters(section,\".\") \". \";counter-increment:section}:host ::ng-deep .list-group-item-action{width:100%;color:var(--bs-list-group-action-color);text-align:inherit}:host ::ng-deep .list-group-item-action:hover,:host ::ng-deep .list-group-item-action:focus{z-index:1;color:var(--bs-list-group-action-hover-color);text-decoration:none;background-color:var(--bs-list-group-action-hover-bg)}:host ::ng-deep .list-group-item-action:active{color:var(--bs-list-group-action-active-color);background-color:var(--bs-list-group-action-active-bg)}:host ::ng-deep .list-group-item{position:relative;display:block;padding:var(--bs-list-group-item-padding-y) var(--bs-list-group-item-padding-x);color:var(--bs-list-group-color);text-decoration:none;background-color:var(--bs-list-group-bg);border:var(--bs-list-group-border-width) solid var(--bs-list-group-border-color)}:host ::ng-deep .list-group-item:first-child{border-top-left-radius:inherit;border-top-right-radius:inherit}:host ::ng-deep .list-group-item:last-child{border-bottom-right-radius:inherit;border-bottom-left-radius:inherit}:host ::ng-deep .list-group-item.disabled,:host ::ng-deep .list-group-item:disabled{color:var(--bs-list-group-disabled-color);pointer-events:none;background-color:var(--bs-list-group-disabled-bg)}:host ::ng-deep .list-group-item.active{z-index:2;color:var(--bs-list-group-active-color);background-color:var(--bs-list-group-active-bg);border-color:var(--bs-list-group-active-border-color)}:host ::ng-deep .list-group-item+.list-group-item{border-top-width:0}:host ::ng-deep .list-group-item+.list-group-item.active{margin-top:calc(-1 * var(--bs-list-group-border-width));border-top-width:var(--bs-list-group-border-width)}:host ::ng-deep .list-group-horizontal{flex-direction:row}:host ::ng-deep .list-group-horizontal>.list-group-item:first-child:not(:last-child){border-bottom-left-radius:var(--bs-list-group-border-radius);border-top-right-radius:0}:host ::ng-deep .list-group-horizontal>.list-group-item:last-child:not(:first-child){border-top-right-radius:var(--bs-list-group-border-radius);border-bottom-left-radius:0}:host ::ng-deep .list-group-horizontal>.list-group-item.active{margin-top:0}:host ::ng-deep .list-group-horizontal>.list-group-item+.list-group-item{border-top-width:var(--bs-list-group-border-width);border-left-width:0}:host ::ng-deep .list-group-horizontal>.list-group-item+.list-group-item.active{margin-left:calc(-1 * var(--bs-list-group-border-width));border-left-width:var(--bs-list-group-border-width)}@media (min-width: 576px){:host ::ng-deep .list-group-horizontal-sm{flex-direction:row}:host ::ng-deep .list-group-horizontal-sm>.list-group-item:first-child:not(:last-child){border-bottom-left-radius:var(--bs-list-group-border-radius);border-top-right-radius:0}:host ::ng-deep .list-group-horizontal-sm>.list-group-item:last-child:not(:first-child){border-top-right-radius:var(--bs-list-group-border-radius);border-bottom-left-radius:0}:host ::ng-deep .list-group-horizontal-sm>.list-group-item.active{margin-top:0}:host ::ng-deep .list-group-horizontal-sm>.list-group-item+.list-group-item{border-top-width:var(--bs-list-group-border-width);border-left-width:0}:host ::ng-deep .list-group-horizontal-sm>.list-group-item+.list-group-item.active{margin-left:calc(-1 * var(--bs-list-group-border-width));border-left-width:var(--bs-list-group-border-width)}}@media (min-width: 768px){:host ::ng-deep .list-group-horizontal-md{flex-direction:row}:host ::ng-deep .list-group-horizontal-md>.list-group-item:first-child:not(:last-child){border-bottom-left-radius:var(--bs-list-group-border-radius);border-top-right-radius:0}:host ::ng-deep .list-group-horizontal-md>.list-group-item:last-child:not(:first-child){border-top-right-radius:var(--bs-list-group-border-radius);border-bottom-left-radius:0}:host ::ng-deep .list-group-horizontal-md>.list-group-item.active{margin-top:0}:host ::ng-deep .list-group-horizontal-md>.list-group-item+.list-group-item{border-top-width:var(--bs-list-group-border-width);border-left-width:0}:host ::ng-deep .list-group-horizontal-md>.list-group-item+.list-group-item.active{margin-left:calc(-1 * var(--bs-list-group-border-width));border-left-width:var(--bs-list-group-border-width)}}@media (min-width: 992px){:host ::ng-deep .list-group-horizontal-lg{flex-direction:row}:host ::ng-deep .list-group-horizontal-lg>.list-group-item:first-child:not(:last-child){border-bottom-left-radius:var(--bs-list-group-border-radius);border-top-right-radius:0}:host ::ng-deep .list-group-horizontal-lg>.list-group-item:last-child:not(:first-child){border-top-right-radius:var(--bs-list-group-border-radius);border-bottom-left-radius:0}:host ::ng-deep .list-group-horizontal-lg>.list-group-item.active{margin-top:0}:host ::ng-deep .list-group-horizontal-lg>.list-group-item+.list-group-item{border-top-width:var(--bs-list-group-border-width);border-left-width:0}:host ::ng-deep .list-group-horizontal-lg>.list-group-item+.list-group-item.active{margin-left:calc(-1 * var(--bs-list-group-border-width));border-left-width:var(--bs-list-group-border-width)}}@media (min-width: 1200px){:host ::ng-deep .list-group-horizontal-xl{flex-direction:row}:host ::ng-deep .list-group-horizontal-xl>.list-group-item:first-child:not(:last-child){border-bottom-left-radius:var(--bs-list-group-border-radius);border-top-right-radius:0}:host ::ng-deep .list-group-horizontal-xl>.list-group-item:last-child:not(:first-child){border-top-right-radius:var(--bs-list-group-border-radius);border-bottom-left-radius:0}:host ::ng-deep .list-group-horizontal-xl>.list-group-item.active{margin-top:0}:host ::ng-deep .list-group-horizontal-xl>.list-group-item+.list-group-item{border-top-width:var(--bs-list-group-border-width);border-left-width:0}:host ::ng-deep .list-group-horizontal-xl>.list-group-item+.list-group-item.active{margin-left:calc(-1 * var(--bs-list-group-border-width));border-left-width:var(--bs-list-group-border-width)}}@media (min-width: 1400px){:host ::ng-deep .list-group-horizontal-xxl{flex-direction:row}:host ::ng-deep .list-group-horizontal-xxl>.list-group-item:first-child:not(:last-child){border-bottom-left-radius:var(--bs-list-group-border-radius);border-top-right-radius:0}:host ::ng-deep .list-group-horizontal-xxl>.list-group-item:last-child:not(:first-child){border-top-right-radius:var(--bs-list-group-border-radius);border-bottom-left-radius:0}:host ::ng-deep .list-group-horizontal-xxl>.list-group-item.active{margin-top:0}:host ::ng-deep .list-group-horizontal-xxl>.list-group-item+.list-group-item{border-top-width:var(--bs-list-group-border-width);border-left-width:0}:host ::ng-deep .list-group-horizontal-xxl>.list-group-item+.list-group-item.active{margin-left:calc(-1 * var(--bs-list-group-border-width));border-left-width:var(--bs-list-group-border-width)}}:host ::ng-deep .list-group-flush{border-radius:0}:host ::ng-deep .list-group-flush>.list-group-item{border-width:0 0 var(--bs-list-group-border-width)}:host ::ng-deep .list-group-flush>.list-group-item:last-child{border-bottom-width:0}:host ::ng-deep .list-group-item-primary{color:#084298;background-color:#cfe2ff}:host ::ng-deep .list-group-item-primary.list-group-item-action:hover,:host ::ng-deep .list-group-item-primary.list-group-item-action:focus{color:#084298;background-color:#bacbe6}:host ::ng-deep .list-group-item-primary.list-group-item-action.active{color:#fff;background-color:#084298;border-color:#084298}:host ::ng-deep .list-group-item-secondary{color:#41464b;background-color:#e2e3e5}:host ::ng-deep .list-group-item-secondary.list-group-item-action:hover,:host ::ng-deep .list-group-item-secondary.list-group-item-action:focus{color:#41464b;background-color:#cbccce}:host ::ng-deep .list-group-item-secondary.list-group-item-action.active{color:#fff;background-color:#41464b;border-color:#41464b}:host ::ng-deep .list-group-item-success{color:#0f5132;background-color:#d1e7dd}:host ::ng-deep .list-group-item-success.list-group-item-action:hover,:host ::ng-deep .list-group-item-success.list-group-item-action:focus{color:#0f5132;background-color:#bcd0c7}:host ::ng-deep .list-group-item-success.list-group-item-action.active{color:#fff;background-color:#0f5132;border-color:#0f5132}:host ::ng-deep .list-group-item-info{color:#055160;background-color:#cff4fc}:host ::ng-deep .list-group-item-info.list-group-item-action:hover,:host ::ng-deep .list-group-item-info.list-group-item-action:focus{color:#055160;background-color:#badce3}:host ::ng-deep .list-group-item-info.list-group-item-action.active{color:#fff;background-color:#055160;border-color:#055160}:host ::ng-deep .list-group-item-warning{color:#664d03;background-color:#fff3cd}:host ::ng-deep .list-group-item-warning.list-group-item-action:hover,:host ::ng-deep .list-group-item-warning.list-group-item-action:focus{color:#664d03;background-color:#e6dbb9}:host ::ng-deep .list-group-item-warning.list-group-item-action.active{color:#fff;background-color:#664d03;border-color:#664d03}:host ::ng-deep .list-group-item-danger{color:#842029;background-color:#f8d7da}:host ::ng-deep .list-group-item-danger.list-group-item-action:hover,:host ::ng-deep .list-group-item-danger.list-group-item-action:focus{color:#842029;background-color:#dfc2c4}:host ::ng-deep .list-group-item-danger.list-group-item-action.active{color:#fff;background-color:#842029;border-color:#842029}:host ::ng-deep .list-group-item-light{color:#636464;background-color:#fefefe}:host ::ng-deep .list-group-item-light.list-group-item-action:hover,:host ::ng-deep .list-group-item-light.list-group-item-action:focus{color:#636464;background-color:#e5e5e5}:host ::ng-deep .list-group-item-light.list-group-item-action.active{color:#fff;background-color:#636464;border-color:#636464}:host ::ng-deep .list-group-item-dark{color:#141619;background-color:#d3d3d4}:host ::ng-deep .list-group-item-dark.list-group-item-action:hover,:host ::ng-deep .list-group-item-dark.list-group-item-action:focus{color:#141619;background-color:#bebebf}:host ::ng-deep .list-group-item-dark.list-group-item-action.active{color:#fff;background-color:#141619;border-color:#141619}\n"] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "14.2.2", ngImport: i0, type: BsListGroupComponent, decorators: [{
            type: Component,
            args: [{ selector: 'bs-list-group', template: "<ul class=\"list-group mt-0\">\n    <ng-content></ng-content>\n</ul>", styles: [":host ::ng-deep .list-group{--bs-list-group-color: #212529;--bs-list-group-bg: #fff;--bs-list-group-border-color: rgba(0, 0, 0, .125);--bs-list-group-border-width: 1px;--bs-list-group-border-radius: .375rem;--bs-list-group-item-padding-x: 1rem;--bs-list-group-item-padding-y: .5rem;--bs-list-group-action-color: #495057;--bs-list-group-action-hover-color: #495057;--bs-list-group-action-hover-bg: #f8f9fa;--bs-list-group-action-active-color: #212529;--bs-list-group-action-active-bg: #e9ecef;--bs-list-group-disabled-color: #6c757d;--bs-list-group-disabled-bg: #fff;--bs-list-group-active-color: #fff;--bs-list-group-active-bg: #0d6efd;--bs-list-group-active-border-color: #0d6efd;display:flex;flex-direction:column;padding-left:0;margin-bottom:0;border-radius:var(--bs-list-group-border-radius)}:host ::ng-deep .list-group-numbered{list-style-type:none;counter-reset:section}:host ::ng-deep .list-group-numbered>.list-group-item:before{content:counters(section,\".\") \". \";counter-increment:section}:host ::ng-deep .list-group-item-action{width:100%;color:var(--bs-list-group-action-color);text-align:inherit}:host ::ng-deep .list-group-item-action:hover,:host ::ng-deep .list-group-item-action:focus{z-index:1;color:var(--bs-list-group-action-hover-color);text-decoration:none;background-color:var(--bs-list-group-action-hover-bg)}:host ::ng-deep .list-group-item-action:active{color:var(--bs-list-group-action-active-color);background-color:var(--bs-list-group-action-active-bg)}:host ::ng-deep .list-group-item{position:relative;display:block;padding:var(--bs-list-group-item-padding-y) var(--bs-list-group-item-padding-x);color:var(--bs-list-group-color);text-decoration:none;background-color:var(--bs-list-group-bg);border:var(--bs-list-group-border-width) solid var(--bs-list-group-border-color)}:host ::ng-deep .list-group-item:first-child{border-top-left-radius:inherit;border-top-right-radius:inherit}:host ::ng-deep .list-group-item:last-child{border-bottom-right-radius:inherit;border-bottom-left-radius:inherit}:host ::ng-deep .list-group-item.disabled,:host ::ng-deep .list-group-item:disabled{color:var(--bs-list-group-disabled-color);pointer-events:none;background-color:var(--bs-list-group-disabled-bg)}:host ::ng-deep .list-group-item.active{z-index:2;color:var(--bs-list-group-active-color);background-color:var(--bs-list-group-active-bg);border-color:var(--bs-list-group-active-border-color)}:host ::ng-deep .list-group-item+.list-group-item{border-top-width:0}:host ::ng-deep .list-group-item+.list-group-item.active{margin-top:calc(-1 * var(--bs-list-group-border-width));border-top-width:var(--bs-list-group-border-width)}:host ::ng-deep .list-group-horizontal{flex-direction:row}:host ::ng-deep .list-group-horizontal>.list-group-item:first-child:not(:last-child){border-bottom-left-radius:var(--bs-list-group-border-radius);border-top-right-radius:0}:host ::ng-deep .list-group-horizontal>.list-group-item:last-child:not(:first-child){border-top-right-radius:var(--bs-list-group-border-radius);border-bottom-left-radius:0}:host ::ng-deep .list-group-horizontal>.list-group-item.active{margin-top:0}:host ::ng-deep .list-group-horizontal>.list-group-item+.list-group-item{border-top-width:var(--bs-list-group-border-width);border-left-width:0}:host ::ng-deep .list-group-horizontal>.list-group-item+.list-group-item.active{margin-left:calc(-1 * var(--bs-list-group-border-width));border-left-width:var(--bs-list-group-border-width)}@media (min-width: 576px){:host ::ng-deep .list-group-horizontal-sm{flex-direction:row}:host ::ng-deep .list-group-horizontal-sm>.list-group-item:first-child:not(:last-child){border-bottom-left-radius:var(--bs-list-group-border-radius);border-top-right-radius:0}:host ::ng-deep .list-group-horizontal-sm>.list-group-item:last-child:not(:first-child){border-top-right-radius:var(--bs-list-group-border-radius);border-bottom-left-radius:0}:host ::ng-deep .list-group-horizontal-sm>.list-group-item.active{margin-top:0}:host ::ng-deep .list-group-horizontal-sm>.list-group-item+.list-group-item{border-top-width:var(--bs-list-group-border-width);border-left-width:0}:host ::ng-deep .list-group-horizontal-sm>.list-group-item+.list-group-item.active{margin-left:calc(-1 * var(--bs-list-group-border-width));border-left-width:var(--bs-list-group-border-width)}}@media (min-width: 768px){:host ::ng-deep .list-group-horizontal-md{flex-direction:row}:host ::ng-deep .list-group-horizontal-md>.list-group-item:first-child:not(:last-child){border-bottom-left-radius:var(--bs-list-group-border-radius);border-top-right-radius:0}:host ::ng-deep .list-group-horizontal-md>.list-group-item:last-child:not(:first-child){border-top-right-radius:var(--bs-list-group-border-radius);border-bottom-left-radius:0}:host ::ng-deep .list-group-horizontal-md>.list-group-item.active{margin-top:0}:host ::ng-deep .list-group-horizontal-md>.list-group-item+.list-group-item{border-top-width:var(--bs-list-group-border-width);border-left-width:0}:host ::ng-deep .list-group-horizontal-md>.list-group-item+.list-group-item.active{margin-left:calc(-1 * var(--bs-list-group-border-width));border-left-width:var(--bs-list-group-border-width)}}@media (min-width: 992px){:host ::ng-deep .list-group-horizontal-lg{flex-direction:row}:host ::ng-deep .list-group-horizontal-lg>.list-group-item:first-child:not(:last-child){border-bottom-left-radius:var(--bs-list-group-border-radius);border-top-right-radius:0}:host ::ng-deep .list-group-horizontal-lg>.list-group-item:last-child:not(:first-child){border-top-right-radius:var(--bs-list-group-border-radius);border-bottom-left-radius:0}:host ::ng-deep .list-group-horizontal-lg>.list-group-item.active{margin-top:0}:host ::ng-deep .list-group-horizontal-lg>.list-group-item+.list-group-item{border-top-width:var(--bs-list-group-border-width);border-left-width:0}:host ::ng-deep .list-group-horizontal-lg>.list-group-item+.list-group-item.active{margin-left:calc(-1 * var(--bs-list-group-border-width));border-left-width:var(--bs-list-group-border-width)}}@media (min-width: 1200px){:host ::ng-deep .list-group-horizontal-xl{flex-direction:row}:host ::ng-deep .list-group-horizontal-xl>.list-group-item:first-child:not(:last-child){border-bottom-left-radius:var(--bs-list-group-border-radius);border-top-right-radius:0}:host ::ng-deep .list-group-horizontal-xl>.list-group-item:last-child:not(:first-child){border-top-right-radius:var(--bs-list-group-border-radius);border-bottom-left-radius:0}:host ::ng-deep .list-group-horizontal-xl>.list-group-item.active{margin-top:0}:host ::ng-deep .list-group-horizontal-xl>.list-group-item+.list-group-item{border-top-width:var(--bs-list-group-border-width);border-left-width:0}:host ::ng-deep .list-group-horizontal-xl>.list-group-item+.list-group-item.active{margin-left:calc(-1 * var(--bs-list-group-border-width));border-left-width:var(--bs-list-group-border-width)}}@media (min-width: 1400px){:host ::ng-deep .list-group-horizontal-xxl{flex-direction:row}:host ::ng-deep .list-group-horizontal-xxl>.list-group-item:first-child:not(:last-child){border-bottom-left-radius:var(--bs-list-group-border-radius);border-top-right-radius:0}:host ::ng-deep .list-group-horizontal-xxl>.list-group-item:last-child:not(:first-child){border-top-right-radius:var(--bs-list-group-border-radius);border-bottom-left-radius:0}:host ::ng-deep .list-group-horizontal-xxl>.list-group-item.active{margin-top:0}:host ::ng-deep .list-group-horizontal-xxl>.list-group-item+.list-group-item{border-top-width:var(--bs-list-group-border-width);border-left-width:0}:host ::ng-deep .list-group-horizontal-xxl>.list-group-item+.list-group-item.active{margin-left:calc(-1 * var(--bs-list-group-border-width));border-left-width:var(--bs-list-group-border-width)}}:host ::ng-deep .list-group-flush{border-radius:0}:host ::ng-deep .list-group-flush>.list-group-item{border-width:0 0 var(--bs-list-group-border-width)}:host ::ng-deep .list-group-flush>.list-group-item:last-child{border-bottom-width:0}:host ::ng-deep .list-group-item-primary{color:#084298;background-color:#cfe2ff}:host ::ng-deep .list-group-item-primary.list-group-item-action:hover,:host ::ng-deep .list-group-item-primary.list-group-item-action:focus{color:#084298;background-color:#bacbe6}:host ::ng-deep .list-group-item-primary.list-group-item-action.active{color:#fff;background-color:#084298;border-color:#084298}:host ::ng-deep .list-group-item-secondary{color:#41464b;background-color:#e2e3e5}:host ::ng-deep .list-group-item-secondary.list-group-item-action:hover,:host ::ng-deep .list-group-item-secondary.list-group-item-action:focus{color:#41464b;background-color:#cbccce}:host ::ng-deep .list-group-item-secondary.list-group-item-action.active{color:#fff;background-color:#41464b;border-color:#41464b}:host ::ng-deep .list-group-item-success{color:#0f5132;background-color:#d1e7dd}:host ::ng-deep .list-group-item-success.list-group-item-action:hover,:host ::ng-deep .list-group-item-success.list-group-item-action:focus{color:#0f5132;background-color:#bcd0c7}:host ::ng-deep .list-group-item-success.list-group-item-action.active{color:#fff;background-color:#0f5132;border-color:#0f5132}:host ::ng-deep .list-group-item-info{color:#055160;background-color:#cff4fc}:host ::ng-deep .list-group-item-info.list-group-item-action:hover,:host ::ng-deep .list-group-item-info.list-group-item-action:focus{color:#055160;background-color:#badce3}:host ::ng-deep .list-group-item-info.list-group-item-action.active{color:#fff;background-color:#055160;border-color:#055160}:host ::ng-deep .list-group-item-warning{color:#664d03;background-color:#fff3cd}:host ::ng-deep .list-group-item-warning.list-group-item-action:hover,:host ::ng-deep .list-group-item-warning.list-group-item-action:focus{color:#664d03;background-color:#e6dbb9}:host ::ng-deep .list-group-item-warning.list-group-item-action.active{color:#fff;background-color:#664d03;border-color:#664d03}:host ::ng-deep .list-group-item-danger{color:#842029;background-color:#f8d7da}:host ::ng-deep .list-group-item-danger.list-group-item-action:hover,:host ::ng-deep .list-group-item-danger.list-group-item-action:focus{color:#842029;background-color:#dfc2c4}:host ::ng-deep .list-group-item-danger.list-group-item-action.active{color:#fff;background-color:#842029;border-color:#842029}:host ::ng-deep .list-group-item-light{color:#636464;background-color:#fefefe}:host ::ng-deep .list-group-item-light.list-group-item-action:hover,:host ::ng-deep .list-group-item-light.list-group-item-action:focus{color:#636464;background-color:#e5e5e5}:host ::ng-deep .list-group-item-light.list-group-item-action.active{color:#fff;background-color:#636464;border-color:#636464}:host ::ng-deep .list-group-item-dark{color:#141619;background-color:#d3d3d4}:host ::ng-deep .list-group-item-dark.list-group-item-action:hover,:host ::ng-deep .list-group-item-dark.list-group-item-action:focus{color:#141619;background-color:#bebebf}:host ::ng-deep .list-group-item-dark.list-group-item-action.active{color:#fff;background-color:#141619;border-color:#141619}\n"] }]
        }], ctorParameters: function () { return []; }, propDecorators: { items: [{
                type: ContentChildren,
                args: [BsListGroupItemComponent]
            }] } });

class BsFormatBytesPipe {
    transform(value, decimals = 2) {
        if (value === 0) {
            return "0 Bytes";
        }
        const k = 1024;
        const dm = decimals <= 0 ? 0 : decimals;
        const sizes = ["Bytes", "KB", "MB", "GB", "TB", "PB", "EB", "ZB", "YB"];
        const i = Math.floor(Math.log(value) / Math.log(k));
        return parseFloat((value / Math.pow(k, i)).toFixed(dm)) + " " + sizes[i];
    }
}
BsFormatBytesPipe.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "14.2.2", ngImport: i0, type: BsFormatBytesPipe, deps: [], target: i0.ɵɵFactoryTarget.Pipe });
BsFormatBytesPipe.ɵpipe = i0.ɵɵngDeclarePipe({ minVersion: "14.0.0", version: "14.2.2", ngImport: i0, type: BsFormatBytesPipe, name: "bsFormatBytes" });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "14.2.2", ngImport: i0, type: BsFormatBytesPipe, decorators: [{
            type: Pipe,
            args: [{
                    name: 'bsFormatBytes'
                }]
        }] });

class BsFileUploadComponent {
    constructor() {
        this.dropFilesCaption = 'Drop your files here';
        this.browseFilesCaption = 'Browse for files';
        this.placeholder = 'Drop files to upload';
        this.isDraggingFile = false;
        this.files = [];
        this.filesDropped = new EventEmitter();
    }
    onChange(event) {
        if (!event.target)
            return;
        if (!('files' in event.target))
            return;
        if (!event.target['files'])
            return;
        const files = event.target.files;
        if (!files)
            return;
        this.processDroppedFiles(files);
    }
    onDragOver(event) {
        event.preventDefault();
        event.stopPropagation();
        if (event.dataTransfer) {
            this.isDraggingFile = true;
            event.dataTransfer.effectAllowed = "copy";
        }
    }
    onDragLeave(event) {
        event.preventDefault();
        event.stopPropagation();
        this.isDraggingFile = false;
    }
    onDrop(event) {
        event.preventDefault();
        event.stopPropagation();
        this.isDraggingFile = false;
        if (event.dataTransfer && event.dataTransfer.files) {
            this.processDroppedFiles(event.dataTransfer.files);
        }
    }
    processDroppedFiles(fileList) {
        const newFiles = [...Array(fileList.length).keys()]
            .map(i => fileList.item(i))
            .filter(f => !!f)
            .map(f => ({ file: f, progress: 0 }));
        this.files.push(...newFiles);
        this.filesDropped.emit(newFiles);
    }
}
BsFileUploadComponent.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "14.2.2", ngImport: i0, type: BsFileUploadComponent, deps: [], target: i0.ɵɵFactoryTarget.Component });
BsFileUploadComponent.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "14.2.2", type: BsFileUploadComponent, selector: "bs-file-upload", inputs: { dropFilesCaption: "dropFilesCaption", browseFilesCaption: "browseFilesCaption", placeholder: "placeholder", files: "files" }, outputs: { filesDropped: "filesDropped" }, host: { listeners: { "dragover": "onDragOver($event)", "dragleave": "onDragLeave($event)", "drop": "onDrop($event)" } }, ngImport: i0, template: "<div class=\"dropzone border position-relative p-5\" [class.dragging]=\"isDraggingFile\">\n    <input type=\"file\" multiple #fileUpload (change)=\"onChange($event)\" [title]=\"placeholder\" [placeholder]=\"placeholder\" class=\"position-absolute w-100 h-100\">\n    <!-- <img src=\"/assets/ic-file-upload.svg\" [alt]=\"placeholder\"> -->\n    <span class=\"h3 d-block\">{{ dropFilesCaption }}</span>\n    <label class=\"btn btn-primary position-relative\" [bsFor]=\"fileUpload\">{{ browseFilesCaption }}</label>\n</div>\n<bs-list-group class=\"files-list\">\n    <bs-list-group-item *ngFor=\"let upload of files\">\n        <ng-container *ngTemplateOutlet=\"fileTemplate ?? defaultFileTemplate; context: { $implicit: upload }\"></ng-container>\n    </bs-list-group-item>\n</bs-list-group>\n\n<ng-template #defaultFileTemplate let-upload>\n    <div class=\"d-flex flex-row mx-auto\">\n        <div class=\"file-img\"></div>\n        <div class=\"flex-grow-1 text-start px-2\">\n            <span class=\"d-block text-truncate text-secondary\">{{ upload.file.name }}</span>\n            <span class=\"d-block text-grey mb-0\">{{ upload.file.size | bsFormatBytes }}</span>\n            <bs-progress [height]=\"4\">\n                <bs-progress-bar [minimum]=\"0\" [maximum]=\"upload.file.size\" [value]=\"upload.progress\"></bs-progress-bar>\n            </bs-progress>\n        </div>\n    </div>\n</ng-template>", styles: [".dropzone{z-index:1}.dropzone.dragging{border:4px solid #CB1535!important;background:#DC88A8;margin:-3px -3px -4px}.dropzone input{opacity:0;z-index:2;top:0;left:0}.dropzone .btn{z-index:5}.files-list{margin-top:-1px}.files-list .d-flex{max-width:400px}.text-grey{color:#999}.list-group span{margin:-5px auto}\n"], dependencies: [{ kind: "directive", type: i1.NgForOf, selector: "[ngFor][ngForOf]", inputs: ["ngForOf", "ngForTrackBy", "ngForTemplate"] }, { kind: "directive", type: i1.NgTemplateOutlet, selector: "[ngTemplateOutlet]", inputs: ["ngTemplateOutletContext", "ngTemplateOutlet", "ngTemplateOutletInjector"] }, { kind: "directive", type: BsForDirective, selector: "[bsFor]", inputs: ["bsFor"] }, { kind: "component", type: BsProgressBarComponent, selector: "bs-progress-bar", inputs: ["minimum", "maximum", "value", "color", "striped", "animated"] }, { kind: "component", type: BsProgressComponent, selector: "bs-progress", inputs: ["height", "isIndeterminate"] }, { kind: "component", type: BsListGroupComponent, selector: "bs-list-group" }, { kind: "component", type: BsListGroupItemComponent, selector: "bs-list-group-item" }, { kind: "pipe", type: BsFormatBytesPipe, name: "bsFormatBytes" }] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "14.2.2", ngImport: i0, type: BsFileUploadComponent, decorators: [{
            type: Component,
            args: [{ selector: 'bs-file-upload', template: "<div class=\"dropzone border position-relative p-5\" [class.dragging]=\"isDraggingFile\">\n    <input type=\"file\" multiple #fileUpload (change)=\"onChange($event)\" [title]=\"placeholder\" [placeholder]=\"placeholder\" class=\"position-absolute w-100 h-100\">\n    <!-- <img src=\"/assets/ic-file-upload.svg\" [alt]=\"placeholder\"> -->\n    <span class=\"h3 d-block\">{{ dropFilesCaption }}</span>\n    <label class=\"btn btn-primary position-relative\" [bsFor]=\"fileUpload\">{{ browseFilesCaption }}</label>\n</div>\n<bs-list-group class=\"files-list\">\n    <bs-list-group-item *ngFor=\"let upload of files\">\n        <ng-container *ngTemplateOutlet=\"fileTemplate ?? defaultFileTemplate; context: { $implicit: upload }\"></ng-container>\n    </bs-list-group-item>\n</bs-list-group>\n\n<ng-template #defaultFileTemplate let-upload>\n    <div class=\"d-flex flex-row mx-auto\">\n        <div class=\"file-img\"></div>\n        <div class=\"flex-grow-1 text-start px-2\">\n            <span class=\"d-block text-truncate text-secondary\">{{ upload.file.name }}</span>\n            <span class=\"d-block text-grey mb-0\">{{ upload.file.size | bsFormatBytes }}</span>\n            <bs-progress [height]=\"4\">\n                <bs-progress-bar [minimum]=\"0\" [maximum]=\"upload.file.size\" [value]=\"upload.progress\"></bs-progress-bar>\n            </bs-progress>\n        </div>\n    </div>\n</ng-template>", styles: [".dropzone{z-index:1}.dropzone.dragging{border:4px solid #CB1535!important;background:#DC88A8;margin:-3px -3px -4px}.dropzone input{opacity:0;z-index:2;top:0;left:0}.dropzone .btn{z-index:5}.files-list{margin-top:-1px}.files-list .d-flex{max-width:400px}.text-grey{color:#999}.list-group span{margin:-5px auto}\n"] }]
        }], propDecorators: { dropFilesCaption: [{
                type: Input
            }], browseFilesCaption: [{
                type: Input
            }], placeholder: [{
                type: Input
            }], files: [{
                type: Input
            }], filesDropped: [{
                type: Output
            }], onDragOver: [{
                type: HostListener,
                args: ['dragover', ['$event']]
            }], onDragLeave: [{
                type: HostListener,
                args: ['dragleave', ['$event']]
            }], onDrop: [{
                type: HostListener,
                args: ['drop', ['$event']]
            }] } });

class BsFileUploadTemplateDirective {
    constructor(fileUploadComponent, templateRef) {
        fileUploadComponent.fileTemplate = templateRef;
    }
}
BsFileUploadTemplateDirective.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "14.2.2", ngImport: i0, type: BsFileUploadTemplateDirective, deps: [{ token: BsFileUploadComponent }, { token: i0.TemplateRef }], target: i0.ɵɵFactoryTarget.Directive });
BsFileUploadTemplateDirective.ɵdir = i0.ɵɵngDeclareDirective({ minVersion: "14.0.0", version: "14.2.2", type: BsFileUploadTemplateDirective, selector: "[bsFileUploadTemplate]", ngImport: i0 });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "14.2.2", ngImport: i0, type: BsFileUploadTemplateDirective, decorators: [{
            type: Directive,
            args: [{
                    selector: '[bsFileUploadTemplate]'
                }]
        }], ctorParameters: function () { return [{ type: BsFileUploadComponent }, { type: i0.TemplateRef }]; } });

class BsForModule {
}
BsForModule.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "14.2.2", ngImport: i0, type: BsForModule, deps: [], target: i0.ɵɵFactoryTarget.NgModule });
BsForModule.ɵmod = i0.ɵɵngDeclareNgModule({ minVersion: "14.0.0", version: "14.2.2", ngImport: i0, type: BsForModule, declarations: [BsForDirective], imports: [CommonModule], exports: [BsForDirective] });
BsForModule.ɵinj = i0.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "14.2.2", ngImport: i0, type: BsForModule, imports: [CommonModule] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "14.2.2", ngImport: i0, type: BsForModule, decorators: [{
            type: NgModule,
            args: [{
                    declarations: [
                        BsForDirective
                    ],
                    imports: [
                        CommonModule
                    ],
                    exports: [
                        BsForDirective
                    ]
                }]
        }] });

class BsProgressBarModule {
}
BsProgressBarModule.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "14.2.2", ngImport: i0, type: BsProgressBarModule, deps: [], target: i0.ɵɵFactoryTarget.NgModule });
BsProgressBarModule.ɵmod = i0.ɵɵngDeclareNgModule({ minVersion: "14.0.0", version: "14.2.2", ngImport: i0, type: BsProgressBarModule, declarations: [BsProgressBarComponent,
        BsProgressComponent], imports: [CommonModule], exports: [BsProgressBarComponent,
        BsProgressComponent] });
BsProgressBarModule.ɵinj = i0.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "14.2.2", ngImport: i0, type: BsProgressBarModule, imports: [CommonModule] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "14.2.2", ngImport: i0, type: BsProgressBarModule, decorators: [{
            type: NgModule,
            args: [{
                    declarations: [
                        BsProgressBarComponent,
                        BsProgressComponent
                    ],
                    imports: [
                        CommonModule
                    ],
                    exports: [
                        BsProgressBarComponent,
                        BsProgressComponent
                    ]
                }]
        }] });

class BsFormatBytesModule {
}
BsFormatBytesModule.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "14.2.2", ngImport: i0, type: BsFormatBytesModule, deps: [], target: i0.ɵɵFactoryTarget.NgModule });
BsFormatBytesModule.ɵmod = i0.ɵɵngDeclareNgModule({ minVersion: "14.0.0", version: "14.2.2", ngImport: i0, type: BsFormatBytesModule, declarations: [BsFormatBytesPipe], imports: [CommonModule], exports: [BsFormatBytesPipe] });
BsFormatBytesModule.ɵinj = i0.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "14.2.2", ngImport: i0, type: BsFormatBytesModule, imports: [CommonModule] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "14.2.2", ngImport: i0, type: BsFormatBytesModule, decorators: [{
            type: NgModule,
            args: [{
                    declarations: [
                        BsFormatBytesPipe
                    ],
                    imports: [
                        CommonModule
                    ],
                    exports: [
                        BsFormatBytesPipe
                    ]
                }]
        }] });

class BsListGroupModule {
}
BsListGroupModule.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "14.2.2", ngImport: i0, type: BsListGroupModule, deps: [], target: i0.ɵɵFactoryTarget.NgModule });
BsListGroupModule.ɵmod = i0.ɵɵngDeclareNgModule({ minVersion: "14.0.0", version: "14.2.2", ngImport: i0, type: BsListGroupModule, declarations: [BsListGroupComponent,
        BsListGroupItemComponent], imports: [CommonModule], exports: [BsListGroupComponent,
        BsListGroupItemComponent] });
BsListGroupModule.ɵinj = i0.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "14.2.2", ngImport: i0, type: BsListGroupModule, imports: [CommonModule] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "14.2.2", ngImport: i0, type: BsListGroupModule, decorators: [{
            type: NgModule,
            args: [{
                    imports: [CommonModule],
                    declarations: [
                        BsListGroupComponent,
                        BsListGroupItemComponent
                    ],
                    exports: [
                        BsListGroupComponent,
                        BsListGroupItemComponent
                    ]
                }]
        }] });

class BsFileUploadModule {
}
BsFileUploadModule.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "14.2.2", ngImport: i0, type: BsFileUploadModule, deps: [], target: i0.ɵɵFactoryTarget.NgModule });
BsFileUploadModule.ɵmod = i0.ɵɵngDeclareNgModule({ minVersion: "14.0.0", version: "14.2.2", ngImport: i0, type: BsFileUploadModule, declarations: [BsFileUploadComponent,
        BsFileUploadTemplateDirective], imports: [CommonModule,
        BsForModule,
        BsFormatBytesModule,
        BsProgressBarModule,
        BsListGroupModule], exports: [BsFileUploadComponent,
        BsFileUploadTemplateDirective] });
BsFileUploadModule.ɵinj = i0.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "14.2.2", ngImport: i0, type: BsFileUploadModule, imports: [CommonModule,
        BsForModule,
        BsFormatBytesModule,
        BsProgressBarModule,
        BsListGroupModule] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "14.2.2", ngImport: i0, type: BsFileUploadModule, decorators: [{
            type: NgModule,
            args: [{
                    declarations: [
                        BsFileUploadComponent,
                        BsFileUploadTemplateDirective
                    ],
                    imports: [
                        CommonModule,
                        BsForModule,
                        BsFormatBytesModule,
                        BsProgressBarModule,
                        BsListGroupModule
                    ],
                    exports: [
                        BsFileUploadComponent,
                        BsFileUploadTemplateDirective
                    ]
                }]
        }] });

var ESchedulerMode;
(function (ESchedulerMode) {
    ESchedulerMode[ESchedulerMode["week"] = 0] = "week";
    ESchedulerMode[ESchedulerMode["timeline"] = 1] = "timeline";
})(ESchedulerMode || (ESchedulerMode = {}));

var EDragOperation;
(function (EDragOperation) {
    EDragOperation[EDragOperation["none"] = 0] = "none";
    EDragOperation[EDragOperation["createEvent"] = 1] = "createEvent";
    EDragOperation[EDragOperation["resizeEvent"] = 2] = "resizeEvent";
    EDragOperation[EDragOperation["moveEvent"] = 3] = "moveEvent";
})(EDragOperation || (EDragOperation = {}));

class BsTimelineService {
    splitInParts(event) {
        let startTime = event.start;
        const result = [];
        const eventOrNull = 'color' in event ? event : null;
        while (!this.dateEquals(startTime, event.end)) {
            const end = new Date(startTime.getFullYear(), startTime.getMonth(), startTime.getDate() + 1, 0, 0, 0);
            result.push({ start: startTime, end: end, event: eventOrNull });
            startTime = end;
        }
        if (startTime != event.end) {
            result.push({ start: startTime, end: event.end, event: eventOrNull });
        }
        return { event: event, parts: result };
    }
    dateEquals(date1, date2) {
        return (date1.getFullYear() === date2.getFullYear() &&
            date1.getMonth() === date2.getMonth() &&
            date1.getDate() === date2.getDate());
    }
    getTimeline(events) {
        const timestamps = this.getTimestamps(events);
        const tracks = [];
        timestamps.forEach((timestamp, tIndex) => {
            const starting = events.filter((e) => e.start === timestamp);
            // const ending = events.filter((e) => e.end === timestamp);
            starting.forEach((startedEvent, eIndex) => {
                const freeTracks = tracks.filter(t => this.trackIsFreeAt(t, startedEvent));
                if (freeTracks.length === 0) {
                    tracks.push({ index: tracks.length, events: [startedEvent] });
                }
                else {
                    freeTracks[0].events.push(startedEvent);
                }
            });
        });
        return tracks;
    }
    getTimestamps(events) {
        const allTimestamps = events.map(e => [e.start, e.end])
            .reduce((flat, toFlatten) => flat.concat(toFlatten), []);
        return allTimestamps
            .filter((t, i) => allTimestamps.indexOf(t) === i)
            .sort((t1, t2) => t1 - t2);
    }
    trackIsFreeAt(track, event) {
        if (track.events.every((ev) => (ev.end <= event.start) || (event.end <= ev.start))) {
            return true;
        }
        else {
            return false;
        }
    }
}
BsTimelineService.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "14.2.2", ngImport: i0, type: BsTimelineService, deps: [], target: i0.ɵɵFactoryTarget.Injectable });
BsTimelineService.ɵprov = i0.ɵɵngDeclareInjectable({ minVersion: "12.0.0", version: "14.2.2", ngImport: i0, type: BsTimelineService, providedIn: 'root' });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "14.2.2", ngImport: i0, type: BsTimelineService, decorators: [{
            type: Injectable,
            args: [{
                    providedIn: 'root'
                }]
        }] });

class ResourceGroupPresenterComponent {
    constructor() {
        this.level = 0;
        this.resourceOrGroup$ = new BehaviorSubject(null);
        this.timeSlots$ = new BehaviorSubject([]);
        this.isExpanded$ = new BehaviorSubject(false);
        this.destroyed$ = new Subject();
        this.data$ = this.resourceOrGroup$
            .pipe(map((resourceOrGroup) => {
            if (!resourceOrGroup) {
                return null;
            }
            else if ('children' in resourceOrGroup) {
                return {
                    resource: null,
                    resourceGroup: resourceOrGroup
                };
            }
            else {
                return {
                    resource: resourceOrGroup,
                    resourceGroup: null
                };
            }
        }))
            .pipe(filter((resourceOrGroup) => !!resourceOrGroup))
            .pipe(map((resourceOrGroup) => resourceOrGroup));
        this.colSpan$ = this.timeSlots$
            .pipe(map(timeSlots => timeSlots
            .map(timeslot => timeslot.slots.length)
            .reduce((sum, current) => sum + current, 0)));
    }
    //#region resourceOrGroup
    get resourceOrGroup() {
        return this.resourceOrGroup$.value;
    }
    set resourceGroup(value) {
        this.resourceOrGroup$.next(value);
    }
    //#endregion
    //#region timeSlots
    get timeSlots() {
        return this.timeSlots$.value;
    }
    set timeSlots(value) {
        this.timeSlots$.next(value);
    }
    //#endregion
    //#region isExpanded
    get isExpanded() {
        return this.isExpanded$.value;
    }
    set isExpanded(value) {
        this.isExpanded$.next(value);
    }
    //#endregion
    toggleExpanded() {
        this.isExpanded$.pipe(take(1)).subscribe((isExpanded) => {
            this.isExpanded$.next(!isExpanded);
        });
    }
    ngOnDestroy() {
        this.destroyed$.next(true);
    }
}
ResourceGroupPresenterComponent.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "14.2.2", ngImport: i0, type: ResourceGroupPresenterComponent, deps: [], target: i0.ɵɵFactoryTarget.Component });
ResourceGroupPresenterComponent.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "14.2.2", type: ResourceGroupPresenterComponent, selector: "bs-resource-group-presenter", inputs: { level: "level", resourceGroup: "resourceGroup", timeSlots: "timeSlots", isExpanded: "isExpanded" }, ngImport: i0, template: "<ng-container *ngIf=\"(data$ | async) as data\">\n\n    <!-- Data is a resource group -->\n    <ng-container *ngIf=\"data.resourceGroup\">\n        <!-- Header -->\n        <tr class=\"p-0 cursor-pointer\" *ngIf=\"(timeSlots$ | async) as timeSlots\" [title]=\"data.resourceGroup.description\">\n            <ng-container *ngIf=\"(colSpan$ | async) as colspan\">\n                <td class=\"p-2 cursor-pointer\" [colSpan]=\"colspan + 1\" (click)=\"toggleExpanded()\">\n                    <span class=\"p-2 align-middle position-sticky\">\n                        <i class=\"bi bi-chevron-down\" [style.padding-left.px]=\"level * 20\" *ngIf=\"isExpanded$ | async\"></i>\n                        <i class=\"bi bi-chevron-right\" [style.padding-left.px]=\"level * 20\" *ngIf=\"(isExpanded$ | async) === false\"></i>\n                        {{ data.resourceGroup.description }}\n                    </span>\n                </td>\n            </ng-container>\n        </tr>\n\n        <!-- Subgroups or resources -->\n        <ng-container *ngIf=\"isExpanded$ | async\">\n            <ng-container *ngIf=\"(timeSlots$ | async) as timeSlots\">\n                <ng-container *ngFor=\"let child of data.resourceGroup.children\">\n                    <bs-resource-group-presenter [resourceGroup]=\"child\" [timeSlots]=\"timeSlots\" [level]=\"level + 1\"></bs-resource-group-presenter>\n                </ng-container>\n            </ng-container>\n        </ng-container>\n    </ng-container>\n\n    <!-- Data is a resource -->\n    <tr *ngIf=\"data.resource\" class=\"p-0 bordered\" [title]=\"data.resource.description\">\n        <td class=\"p-0 bg-white\">\n            <div class=\"p-2\">{{ data.resource.description }}</div>\n        </td>\n        <ng-container *ngFor=\"let slots of (timeSlots$ | async)\">\n            <td class=\"bg-white border-1\" *ngFor=\"let slot of slots.slots\">\n                <!-- {{ slot.start | date: 'dd/MM/yyyy HH:mm:ss' }} -->\n            </td>\n        </ng-container>\n    </tr>\n</ng-container>", styles: [":host{display:contents}tr{border-bottom-width:1px}tr:not(.bordered) td span.position-sticky{left:0;right:0}\n"], dependencies: [{ kind: "directive", type: i1.NgForOf, selector: "[ngFor][ngForOf]", inputs: ["ngForOf", "ngForTrackBy", "ngForTemplate"] }, { kind: "directive", type: i1.NgIf, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }, { kind: "component", type: ResourceGroupPresenterComponent, selector: "bs-resource-group-presenter", inputs: ["level", "resourceGroup", "timeSlots", "isExpanded"] }, { kind: "pipe", type: i1.AsyncPipe, name: "async" }] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "14.2.2", ngImport: i0, type: ResourceGroupPresenterComponent, decorators: [{
            type: Component,
            args: [{ selector: 'bs-resource-group-presenter', template: "<ng-container *ngIf=\"(data$ | async) as data\">\n\n    <!-- Data is a resource group -->\n    <ng-container *ngIf=\"data.resourceGroup\">\n        <!-- Header -->\n        <tr class=\"p-0 cursor-pointer\" *ngIf=\"(timeSlots$ | async) as timeSlots\" [title]=\"data.resourceGroup.description\">\n            <ng-container *ngIf=\"(colSpan$ | async) as colspan\">\n                <td class=\"p-2 cursor-pointer\" [colSpan]=\"colspan + 1\" (click)=\"toggleExpanded()\">\n                    <span class=\"p-2 align-middle position-sticky\">\n                        <i class=\"bi bi-chevron-down\" [style.padding-left.px]=\"level * 20\" *ngIf=\"isExpanded$ | async\"></i>\n                        <i class=\"bi bi-chevron-right\" [style.padding-left.px]=\"level * 20\" *ngIf=\"(isExpanded$ | async) === false\"></i>\n                        {{ data.resourceGroup.description }}\n                    </span>\n                </td>\n            </ng-container>\n        </tr>\n\n        <!-- Subgroups or resources -->\n        <ng-container *ngIf=\"isExpanded$ | async\">\n            <ng-container *ngIf=\"(timeSlots$ | async) as timeSlots\">\n                <ng-container *ngFor=\"let child of data.resourceGroup.children\">\n                    <bs-resource-group-presenter [resourceGroup]=\"child\" [timeSlots]=\"timeSlots\" [level]=\"level + 1\"></bs-resource-group-presenter>\n                </ng-container>\n            </ng-container>\n        </ng-container>\n    </ng-container>\n\n    <!-- Data is a resource -->\n    <tr *ngIf=\"data.resource\" class=\"p-0 bordered\" [title]=\"data.resource.description\">\n        <td class=\"p-0 bg-white\">\n            <div class=\"p-2\">{{ data.resource.description }}</div>\n        </td>\n        <ng-container *ngFor=\"let slots of (timeSlots$ | async)\">\n            <td class=\"bg-white border-1\" *ngFor=\"let slot of slots.slots\">\n                <!-- {{ slot.start | date: 'dd/MM/yyyy HH:mm:ss' }} -->\n            </td>\n        </ng-container>\n    </tr>\n</ng-container>", styles: [":host{display:contents}tr{border-bottom-width:1px}tr:not(.bordered) td span.position-sticky{left:0;right:0}\n"] }]
        }], ctorParameters: function () { return []; }, propDecorators: { level: [{
                type: Input
            }], resourceGroup: [{
                type: Input
            }], timeSlots: [{
                type: Input
            }], isExpanded: [{
                type: Input
            }] } });

class BsSecondsTimespanPipe {
    transform(value) {
        return (value.end.getTime() - value.start.getTime()) / 1000;
    }
}
BsSecondsTimespanPipe.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "14.2.2", ngImport: i0, type: BsSecondsTimespanPipe, deps: [], target: i0.ɵɵFactoryTarget.Pipe });
BsSecondsTimespanPipe.ɵpipe = i0.ɵɵngDeclarePipe({ minVersion: "14.0.0", version: "14.2.2", ngImport: i0, type: BsSecondsTimespanPipe, name: "bsSecondsTimespan" });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "14.2.2", ngImport: i0, type: BsSecondsTimespanPipe, decorators: [{
            type: Pipe,
            args: [{
                    name: 'bsSecondsTimespan'
                }]
        }] });

class BsSecondsTodayOffsetPipe {
    transform(value) {
        const today = new Date(value.start);
        today.setHours(0);
        today.setMinutes(0);
        today.setSeconds(0);
        return (value.start.getTime() - today.getTime()) / 1000;
    }
}
BsSecondsTodayOffsetPipe.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "14.2.2", ngImport: i0, type: BsSecondsTodayOffsetPipe, deps: [], target: i0.ɵɵFactoryTarget.Pipe });
BsSecondsTodayOffsetPipe.ɵpipe = i0.ɵɵngDeclarePipe({ minVersion: "14.0.0", version: "14.2.2", ngImport: i0, type: BsSecondsTodayOffsetPipe, name: "bsSecondsTodayOffset" });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "14.2.2", ngImport: i0, type: BsSecondsTodayOffsetPipe, decorators: [{
            type: Pipe,
            args: [{
                    name: 'bsSecondsTodayOffset'
                }]
        }] });

class DayOfWeekPipe {
    transform(value) {
        const dayOfWeek = value.start.getDay();
        if (dayOfWeek === 0) {
            return 7;
        }
        else {
            return dayOfWeek;
        }
    }
}
DayOfWeekPipe.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "14.2.2", ngImport: i0, type: DayOfWeekPipe, deps: [], target: i0.ɵɵFactoryTarget.Pipe });
DayOfWeekPipe.ɵpipe = i0.ɵɵngDeclarePipe({ minVersion: "14.0.0", version: "14.2.2", ngImport: i0, type: DayOfWeekPipe, name: "dayOfWeek" });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "14.2.2", ngImport: i0, type: DayOfWeekPipe, decorators: [{
            type: Pipe,
            args: [{
                    name: 'dayOfWeek'
                }]
        }] });

class BsSchedulerComponent {
    constructor(calendarMonthService, timelineService) {
        this.calendarMonthService = calendarMonthService;
        this.timelineService = timelineService;
        this.resources$ = new BehaviorSubject([]);
        this.weekOptions$ = new BehaviorSubject({ unitHeight: 30 });
        this.timelineOptions$ = new BehaviorSubject({ unitWidth: 50 });
        this.previewEvent$ = new BehaviorSubject(null);
        this.timeSlotDuration$ = new BehaviorSubject(1800);
        this.timeSlots$ = new BehaviorSubject([]);
        this.mouseState$ = new BehaviorSubject(false);
        this.hoveredTimeSlot$ = new BehaviorSubject(null);
        this.hoveredEvent$ = new BehaviorSubject(null);
        this.destroyed$ = new Subject();
        //#region Mode
        this.modes = ESchedulerMode;
        this.mode$ = new BehaviorSubject(ESchedulerMode.week);
        this.modeChange = new EventEmitter();
        //#endregion
        // //#region Scale
        // scale$ = new BehaviorSubject<SchedulerScale>(availableScales[4]);
        // @Output() public scaleChange = new EventEmitter<SchedulerScale>();
        // public get scale() {
        //   return this.scale$.value;
        // }
        // @Input() public set scale(value: SchedulerScale) {
        //   this.scale$.next(value);
        // }
        // //#endregion
        //#region WeekOptions
        this.weekOptionsChange = new EventEmitter();
        //#endregion
        //#region TimelineOptions
        this.timelineOptionsChange = new EventEmitter();
        //#endregion
        //#region maxInnerHeight
        this.maxInnerHeight = null;
        this.operation = null;
        this.dragStartTimeslot = null;
        const monday = this.calendarMonthService.getMondayBefore(new Date());
        this.currentWeekOrMonth$ = new BehaviorSubject(monday);
        this.shownDays$ = combineLatest([this.currentWeekOrMonth$, this.mode$])
            .pipe(map(([currentDay, mode]) => {
            currentDay.setHours(0);
            currentDay.setMinutes(0);
            currentDay.setSeconds(0);
            currentDay.setMilliseconds(0);
            switch (mode) {
                case ESchedulerMode.week: {
                    return Array.from(Array(7).keys()).map((x) => this.addDays(currentDay, x));
                }
                case ESchedulerMode.timeline: {
                    const firstDay = new Date(currentDay.getFullYear(), currentDay.getMonth(), 1);
                    const daysOfMonth = new Date(currentDay.getFullYear(), currentDay.getMonth() + 1, 0).getDate();
                    return Array.from(Array(daysOfMonth).keys()).map((x) => this.addDays(firstDay, x));
                }
            }
        }));
        this.daysOfWeekWithTimestamps$ = this.shownDays$
            .pipe(map((shownDays) => ({ start: shownDays[0].getTime(), end: shownDays[shownDays.length - 1].getTime() + 24 * 60 * 60 * 1000 })));
        this.events$ = this.resources$
            .pipe(map((resourcesOrGroups) => resourcesOrGroups.map(resOrGroup => this.getResourcesForGroup(resOrGroup))))
            .pipe(map(jaggedResources => jaggedResources.reduce((flat, toFlatten) => flat.concat(toFlatten), [])))
            .pipe(map(resources => resources.map(res => res.events)))
            .pipe(map(jaggedEvents => jaggedEvents.reduce((flat, toFlatten) => flat.concat(toFlatten), [])));
        // groups.reduce((flat, toFlatten) => flat.concat(toFlatten.children), [])
        this.eventParts$ = this.events$.pipe(map((events) => events.map((ev) => this.timelineService.splitInParts(ev))));
        this.eventPartsForThisWeek$ = combineLatest([
            this.daysOfWeekWithTimestamps$,
            this.eventParts$
                .pipe(map(eventParts => eventParts.map(evp => evp.parts)))
                .pipe(map(jaggedParts => jaggedParts.reduce((flat, toFlatten) => flat.concat(toFlatten), [])))
        ])
            .pipe(map(([startAndEnd, eventParts]) => {
            return eventParts.filter(eventPart => {
                return !((eventPart.end.getTime() <= startAndEnd.start) || (eventPart.start.getTime() >= startAndEnd.end));
            });
        }));
        this.previewEventParts$ = this.previewEvent$.pipe(map((event) => {
            if (event) {
                return this.timelineService.splitInParts(event);
            }
            else {
                return null;
            }
        }));
        this.previewEventPartsForThisWeek$ = combineLatest([this.daysOfWeekWithTimestamps$, this.previewEventParts$])
            .pipe(map(([startAndEnd, previewEventParts]) => {
            if (previewEventParts) {
                return previewEventParts.parts.filter(eventPart => {
                    return !((eventPart.end.getTime() <= startAndEnd.start) || (eventPart.start.getTime() >= startAndEnd.end));
                });
            }
            else {
                return [];
            }
        }));
        this.timelinedEventPartsForThisWeek$ = this.eventPartsForThisWeek$
            .pipe(map(eventParts => {
            // We'll only use the events for this week
            const events = eventParts.map(ep => ep.event)
                .filter((e, i, list) => list.indexOf(e) === i)
                .filter((e) => !!e)
                .map((e) => e);
            const timeline = this.timelineService.getTimeline(events);
            const result = timeline.map(track => track.events.map(ev => ({ event: ev, index: track.index })))
                .reduce((flat, toFlatten) => flat.concat(toFlatten), [])
                .map((evi) => eventParts.filter(p => p.event === evi.event).map(p => ({ part: p, index: evi.index })))
                .reduce((flat, toFlatten) => flat.concat(toFlatten), []);
            return {
                total: timeline.length,
                parts: result
            };
        }));
        combineLatest([this.mode$, this.shownDays$, this.timeSlotDuration$])
            .pipe(filter(([mode, shownDays, duration]) => mode !== null))
            .pipe(map(([mode, shownDays, duration]) => {
            switch (mode) {
                case ESchedulerMode.week: {
                    const timeSlotsPerDay = Math.floor((60 * 60 * 24) / duration);
                    return Array.from(Array(timeSlotsPerDay).keys()).map((index) => {
                        const timeslotForMonday = this.createTimeslot(shownDays[0], index, duration);
                        return {
                            slots: shownDays.map((day) => {
                                const start = new Date(day);
                                start.setHours(timeslotForMonday.start.getHours());
                                start.setMinutes(timeslotForMonday.start.getMinutes());
                                start.setSeconds(timeslotForMonday.start.getSeconds());
                                start.setMilliseconds(timeslotForMonday.start.getMilliseconds());
                                const end = new Date(day);
                                end.setHours(timeslotForMonday.end.getHours());
                                end.setMinutes(timeslotForMonday.end.getMinutes());
                                end.setSeconds(timeslotForMonday.end.getSeconds());
                                end.setMilliseconds(timeslotForMonday.end.getMilliseconds());
                                end.setDate(end.getDate() + timeslotForMonday.end.getDate() - timeslotForMonday.start.getDate());
                                return { start, end };
                            }),
                            stamp: timeslotForMonday.start
                        };
                    });
                }
                case ESchedulerMode.timeline: {
                    const totalTimeslots = (24 * 60 * 60) / duration;
                    return shownDays.map((day) => {
                        return {
                            slots: Array.from(Array(totalTimeslots).keys())
                                .map((index) => {
                                return this.createTimeslot(day, index, duration);
                            }),
                            stamp: day
                        };
                    });
                }
                default: {
                    throw 'Unknown value for Mode: ' + mode;
                }
            }
        }))
            .subscribe((timeslots) => {
            // For performance reasons, we're not using an observable here, but persist the timeslots in a BehaviorSubject.
            this.timeSlots$.next(timeslots);
        });
        this.weekOptions$
            .pipe(takeUntil(this.destroyed$))
            .subscribe((weekOptions) => {
            this.weekOptionsChange.emit(weekOptions);
        });
        this.timelineOptions$
            .pipe(takeUntil(this.destroyed$))
            .subscribe((timelineOptions) => {
            this.timelineOptionsChange.emit(timelineOptions);
        });
        // combineLatest([this.mode$, this.scale$])
        //   .pipe(filter(([mode, scale]) => mode === ESchedulerMode.timeline))
    }
    createTimeslot(date, index, duration) {
        const timeSlotStart = new Date(date);
        timeSlotStart.setTime(+timeSlotStart.getTime() + index * duration * 1000);
        const timeSlotEnd = new Date(timeSlotStart);
        timeSlotEnd.setTime(+timeSlotEnd.getTime() + duration * 1000);
        return { start: timeSlotStart, end: timeSlotEnd };
    }
    getResourcesForGroup(resourceOrGroup) {
        if ('children' in resourceOrGroup) {
            return resourceOrGroup.children
                .map((child) => this.getResourcesForGroup(child))
                .reduce((flat, toFlatten) => flat.concat(toFlatten), []);
        }
        else {
            return [resourceOrGroup];
        }
    }
    get mode() {
        return this.mode$.value;
    }
    set mode(value) {
        this.mode$.next(value);
    }
    get weekOptions() {
        return this.weekOptions$.value;
    }
    set weekOptions(value) {
        this.weekOptions$.next(value);
    }
    get timelineOptions() {
        return this.timelineOptions$.value;
    }
    set timelineOptions(value) {
        this.timelineOptions$.next(value);
    }
    //#endregion
    //#region Resources
    get resources() {
        return this.resources$.value;
    }
    set resources(value) {
        this.resources$.next(value);
    }
    //#endregion
    addDays(date, days) {
        const result = new Date(date);
        result.setDate(result.getDate() + days);
        return result;
    }
    onPreviousWeekOrMonth() {
        this.onChangeWeekOrMonth(false);
    }
    onNextWeekOrMonth() {
        this.onChangeWeekOrMonth(true);
    }
    onChangeWeekOrMonth(next) {
        combineLatest([this.currentWeekOrMonth$, this.mode$])
            .pipe(map(([currentWeekOrMonth, mode]) => {
            switch (mode) {
                case ESchedulerMode.week: {
                    return this.addDays(currentWeekOrMonth, (next ? 7 : -7));
                }
                case ESchedulerMode.timeline: {
                    return new Date(currentWeekOrMonth.getFullYear(), currentWeekOrMonth.getMonth() + (next ? 1 : -1), 1);
                }
            }
        }), take(1))
            .subscribe((w) => this.currentWeekOrMonth$.next(w));
    }
    onHoverEvent(ev) {
        this.hoveredEvent$.next(ev);
    }
    onLeaveEvent(ev) {
        this.hoveredEvent$.next(null);
    }
    onCreateEvent(ev, slot) {
        ev.preventDefault();
        this.mouseState$.next(true);
        this.dragStartTimeslot = slot;
        this.operation = {
            operation: EDragOperation.createEvent,
            event: {
                start: slot.start,
                end: slot.end,
                color: '#F00',
                description: 'Test event',
            },
            meta: null,
        };
        this.previewEvent$.next({ start: slot.start, end: slot.end });
    }
    randomColor() {
        const brightness = 128;
        return '#' + this.randomChannel(brightness) + this.randomChannel(brightness) + this.randomChannel(brightness);
    }
    randomChannel(brightness) {
        const r = 255 - brightness;
        const n = 0 | ((Math.random() * r) + brightness);
        const s = n.toString(16);
        return (s.length == 1) ? '0' + s : s;
    }
    onStartDragEvent(eventPart, ev) {
        ev.preventDefault();
        this.hoveredTimeSlot$.pipe(take(1)).subscribe((hoveredTimeSlot) => {
            if (eventPart.event) {
                this.dragStartTimeslot = hoveredTimeSlot;
                this.operation = {
                    operation: EDragOperation.moveEvent,
                    event: eventPart.event,
                    meta: null,
                };
                this.previewEvent$.next({ start: eventPart.event.start, end: eventPart.event.end });
            }
        });
    }
    onStartResizeEvent(event, position) {
        if (event) {
            switch (position) {
                case 'top':
                    {
                        this.operation = {
                            operation: EDragOperation.resizeEvent,
                            event: event,
                            meta: { position },
                        };
                        this.previewEvent$.next({ start: event.start, end: event.end });
                    }
                    break;
                case 'bottom':
                    {
                        this.operation = {
                            operation: EDragOperation.resizeEvent,
                            event: event,
                            meta: { position },
                        };
                        this.previewEvent$.next({ start: event.start, end: event.end });
                    }
                    break;
            }
        }
    }
    //#region hoveredTimeslot$
    getHoveredTimeslot(ev, timeSlots) {
        const hoveredSlots = this.timeSlotElements.filter((el) => {
            const rct = el.nativeElement.getBoundingClientRect();
            if (rct.left <= ev.x && ev.x <= rct.right && rct.top <= ev.y && ev.y <= rct.bottom) {
                return true;
            }
            else {
                return false;
            }
        });
        if (!hoveredSlots || hoveredSlots.length === 0) {
            return null;
        }
        const slotElement = hoveredSlots[0].nativeElement;
        const strRow = slotElement.getAttribute('data-row');
        if (!strRow) {
            return null;
        }
        const row = parseInt(strRow);
        const strColumn = slotElement.getAttribute('data-column');
        if (!strColumn) {
            return null;
        }
        const column = parseInt(strColumn);
        const slot = timeSlots[row].slots[column];
        return slot;
    }
    onMousemove(ev) {
        this.timeSlots$.pipe(take(1)).subscribe((timeSlots) => {
            const hovered = this.getHoveredTimeslot(ev, timeSlots);
            this.hoveredTimeSlot$.next(hovered);
            if (this.operation) {
                switch (this.operation.operation) {
                    case EDragOperation.createEvent:
                        {
                            if (this.operation.event && this.dragStartTimeslot && hovered && (this.operation.event.end.getTime() != hovered.end.getTime())) {
                                if (this.dragStartTimeslot.start.getTime() === hovered.start.getTime()) {
                                    // 1 slot
                                }
                                else if (this.dragStartTimeslot.start.getTime() < hovered.start.getTime()) {
                                    // Drag down
                                    this.previewEvent$
                                        .pipe(filter((ev) => !!ev && !!this.dragStartTimeslot))
                                        .pipe(map((ev) => {
                                        if (ev && this.dragStartTimeslot) {
                                            ev.start = this.dragStartTimeslot.start;
                                            ev.end = hovered.end;
                                        }
                                        return ev;
                                    }))
                                        .pipe(take(1))
                                        .subscribe((ev) => this.previewEvent$.next(ev));
                                }
                                else if (this.dragStartTimeslot.start.getTime() > hovered.start.getTime()) {
                                    // Drag up
                                    this.previewEvent$
                                        .pipe(filter((ev) => !!ev && !!this.dragStartTimeslot))
                                        .pipe(map((ev) => {
                                        if (ev && this.dragStartTimeslot) {
                                            ev.start = hovered.start;
                                            ev.end = this.dragStartTimeslot.end;
                                        }
                                        return ev;
                                    }))
                                        .pipe(take(1))
                                        .subscribe((ev) => this.previewEvent$.next(ev));
                                }
                            }
                        }
                        break;
                    case EDragOperation.moveEvent:
                        {
                            if (hovered && this.dragStartTimeslot) {
                                this.previewEvent$
                                    .pipe(filter((ev) => !!ev && !!this.dragStartTimeslot))
                                    .pipe(map((ev) => {
                                    if (ev && this.dragStartTimeslot) {
                                        const result = {
                                            start: new Date(ev.start.getTime() + hovered.start.getTime() - this.dragStartTimeslot.start.getTime()),
                                            end: new Date(ev.end.getTime() + hovered.start.getTime() - this.dragStartTimeslot.start.getTime())
                                        };
                                        this.dragStartTimeslot = hovered;
                                        return result;
                                    }
                                    else {
                                        return ev;
                                    }
                                }))
                                    .pipe(take(1))
                                    .subscribe(ev => this.previewEvent$.next(ev));
                            }
                        }
                        break;
                    case EDragOperation.resizeEvent:
                        {
                            if (hovered) {
                                this.previewEvent$
                                    .pipe(filter((ev) => !!ev))
                                    .pipe(map((ev) => {
                                    if (ev && this.operation && this.operation.event) {
                                        if (this.operation.meta.position === 'top') {
                                            ev.start = hovered.start;
                                            ev.end = this.operation.event.end;
                                        }
                                        else if (this.operation.meta.position === 'bottom') {
                                            ev.start = this.operation.event.start;
                                            ev.end = hovered.end;
                                        }
                                    }
                                    return ev;
                                }))
                                    .pipe(take(1))
                                    .subscribe((ev) => this.previewEvent$.next(ev));
                            }
                        }
                        break;
                }
            }
        });
    }
    //#endregion
    onMouseUp(ev) {
        if (this.operation) {
            switch (this.operation.operation) {
                case EDragOperation.createEvent:
                    {
                        combineLatest([this.previewEvent$])
                            .pipe(take(1))
                            .subscribe(([previewEvent]) => {
                            if (previewEvent) {
                                this.operation = null;
                                this.dragStartTimeslot = null;
                                this.resources$.next([
                                    ...this.resources$.value,
                                    {
                                        description: 'New resource group',
                                        events: [{
                                                start: previewEvent.start,
                                                end: previewEvent.end,
                                                color: this.randomColor(),
                                                description: 'New event'
                                            }]
                                    }
                                ]);
                                this.previewEvent$.next(null);
                            }
                        });
                    }
                    break;
                case EDragOperation.moveEvent:
                case EDragOperation.resizeEvent:
                    {
                        this.previewEvent$
                            .pipe(filter((ev) => !!ev))
                            .pipe(take(1))
                            .subscribe((previewEvent) => {
                            if (this.operation && this.operation.event && previewEvent) {
                                this.operation.event.start = previewEvent.start;
                                this.operation.event.end = previewEvent.end;
                                this.operation = null;
                                this.dragStartTimeslot = null;
                                this.resources$.next(this.resources$.value);
                                this.previewEvent$.next(null);
                            }
                        });
                    }
                    break;
            }
        }
    }
    ngOnDestroy() {
        this.destroyed$.next(true);
    }
}
BsSchedulerComponent.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "14.2.2", ngImport: i0, type: BsSchedulerComponent, deps: [{ token: BsCalendarMonthService }, { token: BsTimelineService }], target: i0.ɵɵFactoryTarget.Component });
BsSchedulerComponent.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "14.2.2", type: BsSchedulerComponent, selector: "bs-scheduler", inputs: { mode: "mode", weekOptions: "weekOptions", timelineOptions: "timelineOptions", maxInnerHeight: "maxInnerHeight", resources: "resources" }, outputs: { modeChange: "modeChange", weekOptionsChange: "weekOptionsChange", timelineOptionsChange: "timelineOptionsChange" }, host: { listeners: { "document:mousemove": "onMousemove($event)", "document:mouseup": "onMouseUp($event)" } }, viewQueries: [{ propertyName: "timeSlotElements", predicate: ["slot"], descendants: true }], ngImport: i0, template: "<div class=\"d-flex flex-column w-100 overflow-y-auto mb-0 week-schedule\" [style.max-height.px]=\"null\"\n    *ngIf=\"(mode$ | async) === modes.week\">\n    <div class=\"calendar-head\">\n        <div class=\"w-100 d-flex flex-row\">\n            <div class=\"d-flex calendar-left justify-content-between\">\n                <button class=\"btn btn-default flex-start\" (click)=\"onPreviousWeekOrMonth()\">\n                    <i class=\"bi-chevron-left px-0\"></i>\n                </button>\n                <button class=\"btn btn-default flex-end\" (click)=\"onNextWeekOrMonth()\">\n                    <i class=\"bi-chevron-right px-0\"></i>\n                </button>\n            </div>\n            <div class=\"flex-grow-1 calendar-head-cell\" *ngFor=\"let day of (shownDays$ | async)\">\n                <span class=\"d-block col-form-label text-center\">\n                    <span>{{ day | date: 'dd-MM' }}</span><span class=\"d-none d-lg-inline-block\">-{{ day | date: 'yyyy' }}</span>\n                </span>\n            </div>\n        </div>\n    </div>\n    <div class=\"calendar-body\" [style.height.px]=\"maxInnerHeight\">\n        <div class=\"position-relative\" *ngIf=\"(timeSlots$ | async) as row\">\n            <ng-container *ngIf=\"(weekOptions$ | async) as weekOptions\">\n                <!-- Timeslots -->\n                <div *ngFor=\"let timeslots of row; let i = index\" class=\"d-flex flex-row p-0 timeslot\" [style.height.px]=\"weekOptions.unitHeight\">\n                    <div class=\"calendar-cell calendar-left align-top px-2 py-0\">{{ timeslots.slots[0].start | date: 'HH:mm:ss' }}</div>\n                    <div class=\"calendar-cell flex-grow-1\" *ngFor=\"let slot of timeslots.slots; let j = index\" #slot (mousedown)=\"onCreateEvent($event, slot)\" [attr.data-row]=\"i\" [attr.data-column]=\"j\"></div>\n                </div>\n\n                <!-- Events -->\n                <ng-container *ngIf=\"(timeSlotDuration$ | async) as timeSlotDuration\">\n                    <ng-container *ngIf=\"(timelinedEventPartsForThisWeek$ | async) as partData\">\n                        <div *ngFor=\"let eventPart of partData.parts\" class=\"event p-0\"\n                            [style.top.px]=\"(eventPart.part | bsSecondsTodayOffset) / timeSlotDuration * weekOptions.unitHeight\"\n                            [style.height.px]=\"(eventPart.part | bsSecondsTimespan) / timeSlotDuration * weekOptions.unitHeight\"\n                            [style.left]=\"'calc(90px + ((100% - 90px) / 7 * ' + ((eventPart.part | dayOfWeek) - 1) + '))'\">\n                            <div class=\"event-inner\" [class.hover]=\"(hoveredEvent$ | async) === eventPart.part.event\"\n                                [style.width]=\"'calc(100% / ' + partData.total + ')'\"\n                                [style.height.px]=\"(eventPart.part | bsSecondsTimespan) / timeSlotDuration * weekOptions.unitHeight\"\n                                [style.margin-left]=\"'calc(100% / ' + partData.total + ' * ' + eventPart.index + ')'\">\n\n                                <div class=\"event-resize top\"\n                                    *ngIf=\"eventPart.part.start === eventPart.part.event?.start\"\n                                    (mousedown)=\"onStartResizeEvent(eventPart.part.event, 'top')\"></div>\n                                <div class=\"event-border\"></div>\n                                <div class=\"event-wrapper\" *ngIf=\"eventPart.part.event\"\n                                    (mousedown)=\"onStartDragEvent(eventPart.part, $event)\"\n                                    (mouseenter)=\"onHoverEvent(eventPart.part.event)\"\n                                    (mouseleave)=\"onLeaveEvent(eventPart.part.event)\">\n                                    <div class=\"event-bg\" [style.background-color]=\"eventPart.part.event.color\"></div>\n                                    <div class=\"event-label\">{{ eventPart.part.event.description }}</div>\n                                </div>\n                                <div class=\"event-resize bottom\"\n                                    *ngIf=\"eventPart.part.end === eventPart.part.event?.end\"\n                                    (mousedown)=\"onStartResizeEvent(eventPart.part.event, 'bottom')\"></div>\n                            </div>\n                        </div>\n                    </ng-container>\n                    <ng-container *ngIf=\"(previewEventPartsForThisWeek$ | async) as previewPartData\">\n                        <div *ngFor=\"let eventPart of previewPartData\" class=\"event preview p-0\"\n                            [style.top.px]=\"(eventPart | bsSecondsTodayOffset) / timeSlotDuration * weekOptions.unitHeight\"\n                            [style.height.px]=\"(eventPart | bsSecondsTimespan) / timeSlotDuration * weekOptions.unitHeight\"\n                            [style.left]=\"'calc(90px + ((100% - 90px) / 7 * ' + ((eventPart | dayOfWeek) - 1) + '))'\">\n                            <div class=\"event-inner w-100\"\n                                [style.height.px]=\"(eventPart | bsSecondsTimespan) / timeSlotDuration * weekOptions.unitHeight\">\n                            </div>\n                        </div>\n                    </ng-container>\n                </ng-container>\n            </ng-container>\n        </div>\n    </div>\n</div>\n<div class=\"d-flex flex-column-100 overflow-y-auto mb-0 bg-white timeline\" *ngIf=\"(mode$ | async) === modes.timeline\">\n    <div class=\"calendar-head d-flex\">\n        <button class=\"btn flex-start\" (click)=\"onPreviousWeekOrMonth()\">\n            <i class=\"bi-chevron-left px-0\"></i>\n        </button>\n        <div class=\"flex-grow-1 h3 py-2 mb-0 text-center\">{{ currentWeekOrMonth$ | async | date: 'MMMM yyyy' }}</div>\n        <button class=\"btn flex-start\" (click)=\"onNextWeekOrMonth()\">\n            <i class=\"bi-chevron-right px-0\"></i>\n        </button>\n    </div>\n    \n    <div class=\"calendar-body table-responsive overflow-x-auto\">\n        <table class=\"table mb-0\">\n            <ng-container *ngIf=\"(timeSlots$ | async) as timeSlots\">\n                <tr>\n                    <td></td>\n                    <td *ngFor=\"let day of timeSlots\" [attr.colspan]=\"day.slots.length\" class=\"text-center px-2\">\n                        <span class=\"position-sticky day-label\">{{ day.stamp | date: 'd EE' }}</span>\n                    </td>\n                </tr>\n                <tr>\n                    <td></td>\n                    <ng-container *ngIf=\"(timelineOptions$ | async) as timelineOptions\">\n                        <ng-container *ngFor=\"let day of timeSlots\">\n                            <td *ngFor=\"let slot of day.slots\">\n                                <span class=\"d-block p-0 text-center\" [style.width.px]=\"timelineOptions.unitWidth\">\n                                    {{ slot.start | date: 'HH:mm' }}\n                                </span>\n                            </td>\n                        </ng-container>\n                    </ng-container>\n                </tr>\n                <bs-resource-group-presenter *ngFor=\"let group of (resources$ | async)\" [resourceGroup]=\"group\" [timeSlots]=\"timeSlots\"></bs-resource-group-presenter>\n            </ng-container>\n        </table>\n    </div>\n</div>", styles: [":host{display:block;border:1px solid #333;border-top-right-radius:10px;border-top-left-radius:10px;overflow:hidden}.calendar-head{background:#F7F7F7;color:#007aff}.tabel .calendar-head{flex:0 0 auto}.tabel .calendar-body{display:block;flex:1 1 auto}.week-schedule .calendar-head>div{padding-right:18px}.week-schedule .calendar-body{overflow-y:scroll;overflow-x:hidden}.week-schedule .calendar-body .calendar-cell{border-right:1px solid #DEE2E6;border-bottom:1px solid #DEE2E6;cursor:default}.week-schedule .calendar-body .calendar-cell.hover{border-top-width:3px}.week-schedule .calendar-left{width:90px}.week-schedule .event{z-index:5;width:calc((100% - 90px) / 7);height:100px;overflow:hidden;position:absolute;-webkit-user-select:none;user-select:none;pointer-events:none}.week-schedule .event.preview{background:#666;opacity:.6}.week-schedule .event .event-border{background:black;top:0;left:0;bottom:3px;width:3px;position:absolute;z-index:10;opacity:.3}.week-schedule .event .event-inner{position:relative;inset:0 5px 5px 0;cursor:move;pointer-events:all;overflow:hidden}.week-schedule .event .event-inner .event-wrapper{width:calc(100% - 2px);margin:1px auto 1px 0;height:calc(100% - 3px)}.week-schedule .event .event-inner .event-wrapper .event-bg{opacity:.5;height:100%;transition:opacity .15s ease-in-out}.week-schedule .event .event-inner .event-wrapper .event-label{position:absolute;top:0;font-size:12px;font-weight:600;padding:4px}.week-schedule .event .event-inner .event-resize{position:absolute;cursor:ns-resize;height:4px;left:0;right:0;z-index:400}.week-schedule .event .event-inner .event-resize.top{top:0}.week-schedule .event .event-inner .event-resize.bottom{bottom:0}.week-schedule .event .event-inner .event-resize:hover{background:#DDD}.week-schedule .event .event-inner.hover .event-bg{opacity:.7!important}@media (max-width: 767px){.week-schedule.tabel .calendar-head .calendar-head-cell{text-orientation:sideways;writing-mode:vertical-rl}}.timeline.tabel{flex-flow:column}.timeline .calendar-body .tabel{background-color:#f7f7f7}.timeline .calendar-body .tabel tr:first-child td{background-color:#fff;border:1px solid #000}.timeline .calendar-body .tabel tr:first-child td:first-child{min-width:10rem}.timeline .calendar-body .tabel tr:first-child span.day-label{left:0;right:0}.timeline .calendar-body .tabel tr:nth-child(2) td{border-width:1px;border-color:inherit}.timeline .calendar-body .tabel>:not(:first-child){border-top:none!important}\n"], dependencies: [{ kind: "directive", type: i1.NgForOf, selector: "[ngFor][ngForOf]", inputs: ["ngForOf", "ngForTrackBy", "ngForTemplate"] }, { kind: "directive", type: i1.NgIf, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }, { kind: "component", type: ResourceGroupPresenterComponent, selector: "bs-resource-group-presenter", inputs: ["level", "resourceGroup", "timeSlots", "isExpanded"] }, { kind: "pipe", type: i1.AsyncPipe, name: "async" }, { kind: "pipe", type: i1.DatePipe, name: "date" }, { kind: "pipe", type: BsSecondsTimespanPipe, name: "bsSecondsTimespan" }, { kind: "pipe", type: BsSecondsTodayOffsetPipe, name: "bsSecondsTodayOffset" }, { kind: "pipe", type: DayOfWeekPipe, name: "dayOfWeek" }] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "14.2.2", ngImport: i0, type: BsSchedulerComponent, decorators: [{
            type: Component,
            args: [{ selector: 'bs-scheduler', template: "<div class=\"d-flex flex-column w-100 overflow-y-auto mb-0 week-schedule\" [style.max-height.px]=\"null\"\n    *ngIf=\"(mode$ | async) === modes.week\">\n    <div class=\"calendar-head\">\n        <div class=\"w-100 d-flex flex-row\">\n            <div class=\"d-flex calendar-left justify-content-between\">\n                <button class=\"btn btn-default flex-start\" (click)=\"onPreviousWeekOrMonth()\">\n                    <i class=\"bi-chevron-left px-0\"></i>\n                </button>\n                <button class=\"btn btn-default flex-end\" (click)=\"onNextWeekOrMonth()\">\n                    <i class=\"bi-chevron-right px-0\"></i>\n                </button>\n            </div>\n            <div class=\"flex-grow-1 calendar-head-cell\" *ngFor=\"let day of (shownDays$ | async)\">\n                <span class=\"d-block col-form-label text-center\">\n                    <span>{{ day | date: 'dd-MM' }}</span><span class=\"d-none d-lg-inline-block\">-{{ day | date: 'yyyy' }}</span>\n                </span>\n            </div>\n        </div>\n    </div>\n    <div class=\"calendar-body\" [style.height.px]=\"maxInnerHeight\">\n        <div class=\"position-relative\" *ngIf=\"(timeSlots$ | async) as row\">\n            <ng-container *ngIf=\"(weekOptions$ | async) as weekOptions\">\n                <!-- Timeslots -->\n                <div *ngFor=\"let timeslots of row; let i = index\" class=\"d-flex flex-row p-0 timeslot\" [style.height.px]=\"weekOptions.unitHeight\">\n                    <div class=\"calendar-cell calendar-left align-top px-2 py-0\">{{ timeslots.slots[0].start | date: 'HH:mm:ss' }}</div>\n                    <div class=\"calendar-cell flex-grow-1\" *ngFor=\"let slot of timeslots.slots; let j = index\" #slot (mousedown)=\"onCreateEvent($event, slot)\" [attr.data-row]=\"i\" [attr.data-column]=\"j\"></div>\n                </div>\n\n                <!-- Events -->\n                <ng-container *ngIf=\"(timeSlotDuration$ | async) as timeSlotDuration\">\n                    <ng-container *ngIf=\"(timelinedEventPartsForThisWeek$ | async) as partData\">\n                        <div *ngFor=\"let eventPart of partData.parts\" class=\"event p-0\"\n                            [style.top.px]=\"(eventPart.part | bsSecondsTodayOffset) / timeSlotDuration * weekOptions.unitHeight\"\n                            [style.height.px]=\"(eventPart.part | bsSecondsTimespan) / timeSlotDuration * weekOptions.unitHeight\"\n                            [style.left]=\"'calc(90px + ((100% - 90px) / 7 * ' + ((eventPart.part | dayOfWeek) - 1) + '))'\">\n                            <div class=\"event-inner\" [class.hover]=\"(hoveredEvent$ | async) === eventPart.part.event\"\n                                [style.width]=\"'calc(100% / ' + partData.total + ')'\"\n                                [style.height.px]=\"(eventPart.part | bsSecondsTimespan) / timeSlotDuration * weekOptions.unitHeight\"\n                                [style.margin-left]=\"'calc(100% / ' + partData.total + ' * ' + eventPart.index + ')'\">\n\n                                <div class=\"event-resize top\"\n                                    *ngIf=\"eventPart.part.start === eventPart.part.event?.start\"\n                                    (mousedown)=\"onStartResizeEvent(eventPart.part.event, 'top')\"></div>\n                                <div class=\"event-border\"></div>\n                                <div class=\"event-wrapper\" *ngIf=\"eventPart.part.event\"\n                                    (mousedown)=\"onStartDragEvent(eventPart.part, $event)\"\n                                    (mouseenter)=\"onHoverEvent(eventPart.part.event)\"\n                                    (mouseleave)=\"onLeaveEvent(eventPart.part.event)\">\n                                    <div class=\"event-bg\" [style.background-color]=\"eventPart.part.event.color\"></div>\n                                    <div class=\"event-label\">{{ eventPart.part.event.description }}</div>\n                                </div>\n                                <div class=\"event-resize bottom\"\n                                    *ngIf=\"eventPart.part.end === eventPart.part.event?.end\"\n                                    (mousedown)=\"onStartResizeEvent(eventPart.part.event, 'bottom')\"></div>\n                            </div>\n                        </div>\n                    </ng-container>\n                    <ng-container *ngIf=\"(previewEventPartsForThisWeek$ | async) as previewPartData\">\n                        <div *ngFor=\"let eventPart of previewPartData\" class=\"event preview p-0\"\n                            [style.top.px]=\"(eventPart | bsSecondsTodayOffset) / timeSlotDuration * weekOptions.unitHeight\"\n                            [style.height.px]=\"(eventPart | bsSecondsTimespan) / timeSlotDuration * weekOptions.unitHeight\"\n                            [style.left]=\"'calc(90px + ((100% - 90px) / 7 * ' + ((eventPart | dayOfWeek) - 1) + '))'\">\n                            <div class=\"event-inner w-100\"\n                                [style.height.px]=\"(eventPart | bsSecondsTimespan) / timeSlotDuration * weekOptions.unitHeight\">\n                            </div>\n                        </div>\n                    </ng-container>\n                </ng-container>\n            </ng-container>\n        </div>\n    </div>\n</div>\n<div class=\"d-flex flex-column-100 overflow-y-auto mb-0 bg-white timeline\" *ngIf=\"(mode$ | async) === modes.timeline\">\n    <div class=\"calendar-head d-flex\">\n        <button class=\"btn flex-start\" (click)=\"onPreviousWeekOrMonth()\">\n            <i class=\"bi-chevron-left px-0\"></i>\n        </button>\n        <div class=\"flex-grow-1 h3 py-2 mb-0 text-center\">{{ currentWeekOrMonth$ | async | date: 'MMMM yyyy' }}</div>\n        <button class=\"btn flex-start\" (click)=\"onNextWeekOrMonth()\">\n            <i class=\"bi-chevron-right px-0\"></i>\n        </button>\n    </div>\n    \n    <div class=\"calendar-body table-responsive overflow-x-auto\">\n        <table class=\"table mb-0\">\n            <ng-container *ngIf=\"(timeSlots$ | async) as timeSlots\">\n                <tr>\n                    <td></td>\n                    <td *ngFor=\"let day of timeSlots\" [attr.colspan]=\"day.slots.length\" class=\"text-center px-2\">\n                        <span class=\"position-sticky day-label\">{{ day.stamp | date: 'd EE' }}</span>\n                    </td>\n                </tr>\n                <tr>\n                    <td></td>\n                    <ng-container *ngIf=\"(timelineOptions$ | async) as timelineOptions\">\n                        <ng-container *ngFor=\"let day of timeSlots\">\n                            <td *ngFor=\"let slot of day.slots\">\n                                <span class=\"d-block p-0 text-center\" [style.width.px]=\"timelineOptions.unitWidth\">\n                                    {{ slot.start | date: 'HH:mm' }}\n                                </span>\n                            </td>\n                        </ng-container>\n                    </ng-container>\n                </tr>\n                <bs-resource-group-presenter *ngFor=\"let group of (resources$ | async)\" [resourceGroup]=\"group\" [timeSlots]=\"timeSlots\"></bs-resource-group-presenter>\n            </ng-container>\n        </table>\n    </div>\n</div>", styles: [":host{display:block;border:1px solid #333;border-top-right-radius:10px;border-top-left-radius:10px;overflow:hidden}.calendar-head{background:#F7F7F7;color:#007aff}.tabel .calendar-head{flex:0 0 auto}.tabel .calendar-body{display:block;flex:1 1 auto}.week-schedule .calendar-head>div{padding-right:18px}.week-schedule .calendar-body{overflow-y:scroll;overflow-x:hidden}.week-schedule .calendar-body .calendar-cell{border-right:1px solid #DEE2E6;border-bottom:1px solid #DEE2E6;cursor:default}.week-schedule .calendar-body .calendar-cell.hover{border-top-width:3px}.week-schedule .calendar-left{width:90px}.week-schedule .event{z-index:5;width:calc((100% - 90px) / 7);height:100px;overflow:hidden;position:absolute;-webkit-user-select:none;user-select:none;pointer-events:none}.week-schedule .event.preview{background:#666;opacity:.6}.week-schedule .event .event-border{background:black;top:0;left:0;bottom:3px;width:3px;position:absolute;z-index:10;opacity:.3}.week-schedule .event .event-inner{position:relative;inset:0 5px 5px 0;cursor:move;pointer-events:all;overflow:hidden}.week-schedule .event .event-inner .event-wrapper{width:calc(100% - 2px);margin:1px auto 1px 0;height:calc(100% - 3px)}.week-schedule .event .event-inner .event-wrapper .event-bg{opacity:.5;height:100%;transition:opacity .15s ease-in-out}.week-schedule .event .event-inner .event-wrapper .event-label{position:absolute;top:0;font-size:12px;font-weight:600;padding:4px}.week-schedule .event .event-inner .event-resize{position:absolute;cursor:ns-resize;height:4px;left:0;right:0;z-index:400}.week-schedule .event .event-inner .event-resize.top{top:0}.week-schedule .event .event-inner .event-resize.bottom{bottom:0}.week-schedule .event .event-inner .event-resize:hover{background:#DDD}.week-schedule .event .event-inner.hover .event-bg{opacity:.7!important}@media (max-width: 767px){.week-schedule.tabel .calendar-head .calendar-head-cell{text-orientation:sideways;writing-mode:vertical-rl}}.timeline.tabel{flex-flow:column}.timeline .calendar-body .tabel{background-color:#f7f7f7}.timeline .calendar-body .tabel tr:first-child td{background-color:#fff;border:1px solid #000}.timeline .calendar-body .tabel tr:first-child td:first-child{min-width:10rem}.timeline .calendar-body .tabel tr:first-child span.day-label{left:0;right:0}.timeline .calendar-body .tabel tr:nth-child(2) td{border-width:1px;border-color:inherit}.timeline .calendar-body .tabel>:not(:first-child){border-top:none!important}\n"] }]
        }], ctorParameters: function () { return [{ type: BsCalendarMonthService }, { type: BsTimelineService }]; }, propDecorators: { timeSlotElements: [{
                type: ViewChildren,
                args: ['slot']
            }], modeChange: [{
                type: Output
            }], mode: [{
                type: Input
            }], weekOptionsChange: [{
                type: Output
            }], weekOptions: [{
                type: Input
            }], timelineOptionsChange: [{
                type: Output
            }], timelineOptions: [{
                type: Input
            }], maxInnerHeight: [{
                type: Input
            }], resources: [{
                type: Input
            }], onMousemove: [{
                type: HostListener,
                args: ['document:mousemove', ['$event']]
            }], onMouseUp: [{
                type: HostListener,
                args: ['document:mouseup', ['$event']]
            }] } });

const availableScales = [
    { time: 60, pixels: 60, markerSize: 900 },
    { time: 120, pixels: 60, markerSize: 900 },
    { time: 300, pixels: 60, markerSize: 900 },
    { time: 900, pixels: 60, markerSize: 900 },
    { time: 3600, pixels: 60, markerSize: 21600 },
    { time: 7200, pixels: 60, markerSize: 21600 },
    { time: 10800, pixels: 60, markerSize: 21600 },
    { time: 21600, pixels: 60, markerSize: 21600 },
    { time: 86400, pixels: 60, markerSize: 604800 }, // 6000s / 60px   = 100 s/px
];

class DateOffsetPipe {
    transform(value) {
        const today = new Date(value.start);
        today.setHours(0);
        today.setMinutes(0);
        today.setSeconds(0);
        return (value.start.getTime() - today.getTime()) / 1000;
    }
}
DateOffsetPipe.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "14.2.2", ngImport: i0, type: DateOffsetPipe, deps: [], target: i0.ɵɵFactoryTarget.Pipe });
DateOffsetPipe.ɵpipe = i0.ɵɵngDeclarePipe({ minVersion: "14.0.0", version: "14.2.2", ngImport: i0, type: DateOffsetPipe, name: "dateOffset" });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "14.2.2", ngImport: i0, type: DateOffsetPipe, decorators: [{
            type: Pipe,
            args: [{
                    name: 'dateOffset'
                }]
        }] });

class BsSchedulerModule {
}
BsSchedulerModule.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "14.2.2", ngImport: i0, type: BsSchedulerModule, deps: [], target: i0.ɵɵFactoryTarget.NgModule });
BsSchedulerModule.ɵmod = i0.ɵɵngDeclareNgModule({ minVersion: "14.0.0", version: "14.2.2", ngImport: i0, type: BsSchedulerModule, declarations: [BsSchedulerComponent,
        BsSecondsTimespanPipe,
        BsSecondsTodayOffsetPipe,
        DateOffsetPipe,
        DayOfWeekPipe,
        ResourceGroupPresenterComponent], imports: [CommonModule], exports: [BsSchedulerComponent,
        ResourceGroupPresenterComponent] });
BsSchedulerModule.ɵinj = i0.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "14.2.2", ngImport: i0, type: BsSchedulerModule, imports: [CommonModule] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "14.2.2", ngImport: i0, type: BsSchedulerModule, decorators: [{
            type: NgModule,
            args: [{
                    declarations: [
                        BsSchedulerComponent,
                        BsSecondsTimespanPipe,
                        BsSecondsTodayOffsetPipe,
                        DateOffsetPipe,
                        DayOfWeekPipe,
                        ResourceGroupPresenterComponent
                    ],
                    imports: [
                        CommonModule
                    ],
                    exports: [
                        BsSchedulerComponent,
                        ResourceGroupPresenterComponent
                    ]
                }]
        }] });

const MODAL_CONTENT = new InjectionToken('ModalContent');

class BsModalComponent {
    constructor(template) {
        this.isOpen = false;
        this.template = template;
    }
}
BsModalComponent.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "14.2.2", ngImport: i0, type: BsModalComponent, deps: [{ token: MODAL_CONTENT }], target: i0.ɵɵFactoryTarget.Component });
BsModalComponent.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "14.2.2", type: BsModalComponent, selector: "bs-modal-content", ngImport: i0, template: "<div class=\"modal d-block\" [@fadeInOut] [@enterFromTop] *ngIf=\"isOpen\">\n    <div class=\"modal-dialog\">\n        <div class=\"modal-content\">\n            <ng-container *ngTemplateOutlet=\"template\"></ng-container>\n        </div>\n    </div>\n</div>\n\n<div [@fadeInOut] *ngIf=\"isOpen\">\n    <div class=\"modal-backdrop fade\" [class.show]=\"isOpen\"></div>\n</div>", styles: [":host ::ng-deep .fade{transition:opacity .15s linear}@media (prefers-reduced-motion: reduce){:host ::ng-deep .fade{transition:none}}:host ::ng-deep .fade:not(.show){opacity:0}:host ::ng-deep .collapse:not(.show){display:none}:host ::ng-deep .collapsing{height:0;overflow:hidden;transition:height .35s ease}@media (prefers-reduced-motion: reduce){:host ::ng-deep .collapsing{transition:none}}:host ::ng-deep .collapsing.collapse-horizontal{width:0;height:auto;transition:width .35s ease}@media (prefers-reduced-motion: reduce){:host ::ng-deep .collapsing.collapse-horizontal{transition:none}}:host ::ng-deep .modal{--bs-modal-zindex: 1055;--bs-modal-width: 500px;--bs-modal-padding: 1rem;--bs-modal-margin: .5rem;--bs-modal-color: ;--bs-modal-bg: #fff;--bs-modal-border-color: var(--bs-border-color-translucent);--bs-modal-border-width: 1px;--bs-modal-border-radius: .5rem;--bs-modal-box-shadow: 0 .125rem .25rem rgba(0, 0, 0, .075);--bs-modal-inner-border-radius:calc(.5rem - 1px);--bs-modal-header-padding-x: 1rem;--bs-modal-header-padding-y: 1rem;--bs-modal-header-padding: 1rem 1rem;--bs-modal-header-border-color: var(--bs-border-color);--bs-modal-header-border-width: 1px;--bs-modal-title-line-height: 1.5;--bs-modal-footer-gap: .5rem;--bs-modal-footer-bg: ;--bs-modal-footer-border-color: var(--bs-border-color);--bs-modal-footer-border-width: 1px;position:fixed;top:0;left:0;z-index:var(--bs-modal-zindex);display:none;width:100%;height:100%;overflow-x:hidden;overflow-y:auto;outline:0}:host ::ng-deep .modal-dialog{position:relative;width:auto;margin:var(--bs-modal-margin);pointer-events:none}.modal.fade :host ::ng-deep .modal-dialog{transition:transform .3s ease-out;transform:translateY(-50px)}@media (prefers-reduced-motion: reduce){.modal.fade :host ::ng-deep .modal-dialog{transition:none}}.modal.show :host ::ng-deep .modal-dialog{transform:none}.modal.modal-static :host ::ng-deep .modal-dialog{transform:scale(1.02)}:host ::ng-deep .modal-dialog-scrollable{height:calc(100% - var(--bs-modal-margin) * 2)}:host ::ng-deep .modal-dialog-scrollable .modal-content{max-height:100%;overflow:hidden}:host ::ng-deep .modal-dialog-scrollable .modal-body{overflow-y:auto}:host ::ng-deep .modal-dialog-centered{display:flex;align-items:center;min-height:calc(100% - var(--bs-modal-margin) * 2)}:host ::ng-deep .modal-content{position:relative;display:flex;flex-direction:column;width:100%;color:var(--bs-modal-color);pointer-events:auto;background-color:var(--bs-modal-bg);background-clip:padding-box;border:var(--bs-modal-border-width) solid var(--bs-modal-border-color);border-radius:var(--bs-modal-border-radius);outline:0}:host ::ng-deep .modal-backdrop{--bs-backdrop-zindex: 1050;--bs-backdrop-bg: #000;--bs-backdrop-opacity: .5;position:fixed;top:0;left:0;z-index:var(--bs-backdrop-zindex);width:100vw;height:100vh;background-color:var(--bs-backdrop-bg)}:host ::ng-deep .modal-backdrop.fade{opacity:0}:host ::ng-deep .modal-backdrop.show{opacity:var(--bs-backdrop-opacity)}:host ::ng-deep .modal-header{display:flex;flex-shrink:0;align-items:center;justify-content:space-between;padding:var(--bs-modal-header-padding);border-bottom:var(--bs-modal-header-border-width) solid var(--bs-modal-header-border-color);border-top-left-radius:var(--bs-modal-inner-border-radius);border-top-right-radius:var(--bs-modal-inner-border-radius)}:host ::ng-deep .modal-header .btn-close{padding:calc(var(--bs-modal-header-padding-y) * .5) calc(var(--bs-modal-header-padding-x) * .5);margin:calc(-.5 * var(--bs-modal-header-padding-y)) calc(-.5 * var(--bs-modal-header-padding-x)) calc(-.5 * var(--bs-modal-header-padding-y)) auto}:host ::ng-deep .modal-title{margin-bottom:0;line-height:var(--bs-modal-title-line-height)}:host ::ng-deep .modal-body{position:relative;flex:1 1 auto;padding:var(--bs-modal-padding)}:host ::ng-deep .modal-footer{display:flex;flex-shrink:0;flex-wrap:wrap;align-items:center;justify-content:flex-end;padding:calc(var(--bs-modal-padding) - var(--bs-modal-footer-gap) * .5);background-color:var(--bs-modal-footer-bg);border-top:var(--bs-modal-footer-border-width) solid var(--bs-modal-footer-border-color);border-bottom-right-radius:var(--bs-modal-inner-border-radius);border-bottom-left-radius:var(--bs-modal-inner-border-radius)}:host ::ng-deep .modal-footer>*{margin:calc(var(--bs-modal-footer-gap) * .5)}@media (min-width: 576px){:host ::ng-deep .modal{--bs-modal-margin: 1.75rem;--bs-modal-box-shadow: 0 .5rem 1rem rgba(0, 0, 0, .15)}:host ::ng-deep .modal-dialog{max-width:var(--bs-modal-width);margin-right:auto;margin-left:auto}:host ::ng-deep .modal-sm{--bs-modal-width: 300px}}@media (min-width: 992px){:host ::ng-deep .modal-lg,:host ::ng-deep .modal-xl{--bs-modal-width: 800px}}@media (min-width: 1200px){:host ::ng-deep .modal-xl{--bs-modal-width: 1140px}}:host ::ng-deep .modal-fullscreen{width:100vw;max-width:none;height:100%;margin:0}:host ::ng-deep .modal-fullscreen .modal-content{height:100%;border:0;border-radius:0}:host ::ng-deep .modal-fullscreen .modal-header,:host ::ng-deep .modal-fullscreen .modal-footer{border-radius:0}:host ::ng-deep .modal-fullscreen .modal-body{overflow-y:auto}@media (max-width: 575.98px){:host ::ng-deep .modal-fullscreen-sm-down{width:100vw;max-width:none;height:100%;margin:0}:host ::ng-deep .modal-fullscreen-sm-down .modal-content{height:100%;border:0;border-radius:0}:host ::ng-deep .modal-fullscreen-sm-down .modal-header,:host ::ng-deep .modal-fullscreen-sm-down .modal-footer{border-radius:0}:host ::ng-deep .modal-fullscreen-sm-down .modal-body{overflow-y:auto}}@media (max-width: 767.98px){:host ::ng-deep .modal-fullscreen-md-down{width:100vw;max-width:none;height:100%;margin:0}:host ::ng-deep .modal-fullscreen-md-down .modal-content{height:100%;border:0;border-radius:0}:host ::ng-deep .modal-fullscreen-md-down .modal-header,:host ::ng-deep .modal-fullscreen-md-down .modal-footer{border-radius:0}:host ::ng-deep .modal-fullscreen-md-down .modal-body{overflow-y:auto}}@media (max-width: 991.98px){:host ::ng-deep .modal-fullscreen-lg-down{width:100vw;max-width:none;height:100%;margin:0}:host ::ng-deep .modal-fullscreen-lg-down .modal-content{height:100%;border:0;border-radius:0}:host ::ng-deep .modal-fullscreen-lg-down .modal-header,:host ::ng-deep .modal-fullscreen-lg-down .modal-footer{border-radius:0}:host ::ng-deep .modal-fullscreen-lg-down .modal-body{overflow-y:auto}}@media (max-width: 1199.98px){:host ::ng-deep .modal-fullscreen-xl-down{width:100vw;max-width:none;height:100%;margin:0}:host ::ng-deep .modal-fullscreen-xl-down .modal-content{height:100%;border:0;border-radius:0}:host ::ng-deep .modal-fullscreen-xl-down .modal-header,:host ::ng-deep .modal-fullscreen-xl-down .modal-footer{border-radius:0}:host ::ng-deep .modal-fullscreen-xl-down .modal-body{overflow-y:auto}}@media (max-width: 1399.98px){:host ::ng-deep .modal-fullscreen-xxl-down{width:100vw;max-width:none;height:100%;margin:0}:host ::ng-deep .modal-fullscreen-xxl-down .modal-content{height:100%;border:0;border-radius:0}:host ::ng-deep .modal-fullscreen-xxl-down .modal-header,:host ::ng-deep .modal-fullscreen-xxl-down .modal-footer{border-radius:0}:host ::ng-deep .modal-fullscreen-xxl-down .modal-body{overflow-y:auto}}\n"], dependencies: [{ kind: "directive", type: i1.NgIf, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }, { kind: "directive", type: i1.NgTemplateOutlet, selector: "[ngTemplateOutlet]", inputs: ["ngTemplateOutletContext", "ngTemplateOutlet", "ngTemplateOutletInjector"] }], animations: [FadeInOutAnimation, EnterFromTopAnimation] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "14.2.2", ngImport: i0, type: BsModalComponent, decorators: [{
            type: Component,
            args: [{ selector: 'bs-modal-content', animations: [FadeInOutAnimation, EnterFromTopAnimation], template: "<div class=\"modal d-block\" [@fadeInOut] [@enterFromTop] *ngIf=\"isOpen\">\n    <div class=\"modal-dialog\">\n        <div class=\"modal-content\">\n            <ng-container *ngTemplateOutlet=\"template\"></ng-container>\n        </div>\n    </div>\n</div>\n\n<div [@fadeInOut] *ngIf=\"isOpen\">\n    <div class=\"modal-backdrop fade\" [class.show]=\"isOpen\"></div>\n</div>", styles: [":host ::ng-deep .fade{transition:opacity .15s linear}@media (prefers-reduced-motion: reduce){:host ::ng-deep .fade{transition:none}}:host ::ng-deep .fade:not(.show){opacity:0}:host ::ng-deep .collapse:not(.show){display:none}:host ::ng-deep .collapsing{height:0;overflow:hidden;transition:height .35s ease}@media (prefers-reduced-motion: reduce){:host ::ng-deep .collapsing{transition:none}}:host ::ng-deep .collapsing.collapse-horizontal{width:0;height:auto;transition:width .35s ease}@media (prefers-reduced-motion: reduce){:host ::ng-deep .collapsing.collapse-horizontal{transition:none}}:host ::ng-deep .modal{--bs-modal-zindex: 1055;--bs-modal-width: 500px;--bs-modal-padding: 1rem;--bs-modal-margin: .5rem;--bs-modal-color: ;--bs-modal-bg: #fff;--bs-modal-border-color: var(--bs-border-color-translucent);--bs-modal-border-width: 1px;--bs-modal-border-radius: .5rem;--bs-modal-box-shadow: 0 .125rem .25rem rgba(0, 0, 0, .075);--bs-modal-inner-border-radius:calc(.5rem - 1px);--bs-modal-header-padding-x: 1rem;--bs-modal-header-padding-y: 1rem;--bs-modal-header-padding: 1rem 1rem;--bs-modal-header-border-color: var(--bs-border-color);--bs-modal-header-border-width: 1px;--bs-modal-title-line-height: 1.5;--bs-modal-footer-gap: .5rem;--bs-modal-footer-bg: ;--bs-modal-footer-border-color: var(--bs-border-color);--bs-modal-footer-border-width: 1px;position:fixed;top:0;left:0;z-index:var(--bs-modal-zindex);display:none;width:100%;height:100%;overflow-x:hidden;overflow-y:auto;outline:0}:host ::ng-deep .modal-dialog{position:relative;width:auto;margin:var(--bs-modal-margin);pointer-events:none}.modal.fade :host ::ng-deep .modal-dialog{transition:transform .3s ease-out;transform:translateY(-50px)}@media (prefers-reduced-motion: reduce){.modal.fade :host ::ng-deep .modal-dialog{transition:none}}.modal.show :host ::ng-deep .modal-dialog{transform:none}.modal.modal-static :host ::ng-deep .modal-dialog{transform:scale(1.02)}:host ::ng-deep .modal-dialog-scrollable{height:calc(100% - var(--bs-modal-margin) * 2)}:host ::ng-deep .modal-dialog-scrollable .modal-content{max-height:100%;overflow:hidden}:host ::ng-deep .modal-dialog-scrollable .modal-body{overflow-y:auto}:host ::ng-deep .modal-dialog-centered{display:flex;align-items:center;min-height:calc(100% - var(--bs-modal-margin) * 2)}:host ::ng-deep .modal-content{position:relative;display:flex;flex-direction:column;width:100%;color:var(--bs-modal-color);pointer-events:auto;background-color:var(--bs-modal-bg);background-clip:padding-box;border:var(--bs-modal-border-width) solid var(--bs-modal-border-color);border-radius:var(--bs-modal-border-radius);outline:0}:host ::ng-deep .modal-backdrop{--bs-backdrop-zindex: 1050;--bs-backdrop-bg: #000;--bs-backdrop-opacity: .5;position:fixed;top:0;left:0;z-index:var(--bs-backdrop-zindex);width:100vw;height:100vh;background-color:var(--bs-backdrop-bg)}:host ::ng-deep .modal-backdrop.fade{opacity:0}:host ::ng-deep .modal-backdrop.show{opacity:var(--bs-backdrop-opacity)}:host ::ng-deep .modal-header{display:flex;flex-shrink:0;align-items:center;justify-content:space-between;padding:var(--bs-modal-header-padding);border-bottom:var(--bs-modal-header-border-width) solid var(--bs-modal-header-border-color);border-top-left-radius:var(--bs-modal-inner-border-radius);border-top-right-radius:var(--bs-modal-inner-border-radius)}:host ::ng-deep .modal-header .btn-close{padding:calc(var(--bs-modal-header-padding-y) * .5) calc(var(--bs-modal-header-padding-x) * .5);margin:calc(-.5 * var(--bs-modal-header-padding-y)) calc(-.5 * var(--bs-modal-header-padding-x)) calc(-.5 * var(--bs-modal-header-padding-y)) auto}:host ::ng-deep .modal-title{margin-bottom:0;line-height:var(--bs-modal-title-line-height)}:host ::ng-deep .modal-body{position:relative;flex:1 1 auto;padding:var(--bs-modal-padding)}:host ::ng-deep .modal-footer{display:flex;flex-shrink:0;flex-wrap:wrap;align-items:center;justify-content:flex-end;padding:calc(var(--bs-modal-padding) - var(--bs-modal-footer-gap) * .5);background-color:var(--bs-modal-footer-bg);border-top:var(--bs-modal-footer-border-width) solid var(--bs-modal-footer-border-color);border-bottom-right-radius:var(--bs-modal-inner-border-radius);border-bottom-left-radius:var(--bs-modal-inner-border-radius)}:host ::ng-deep .modal-footer>*{margin:calc(var(--bs-modal-footer-gap) * .5)}@media (min-width: 576px){:host ::ng-deep .modal{--bs-modal-margin: 1.75rem;--bs-modal-box-shadow: 0 .5rem 1rem rgba(0, 0, 0, .15)}:host ::ng-deep .modal-dialog{max-width:var(--bs-modal-width);margin-right:auto;margin-left:auto}:host ::ng-deep .modal-sm{--bs-modal-width: 300px}}@media (min-width: 992px){:host ::ng-deep .modal-lg,:host ::ng-deep .modal-xl{--bs-modal-width: 800px}}@media (min-width: 1200px){:host ::ng-deep .modal-xl{--bs-modal-width: 1140px}}:host ::ng-deep .modal-fullscreen{width:100vw;max-width:none;height:100%;margin:0}:host ::ng-deep .modal-fullscreen .modal-content{height:100%;border:0;border-radius:0}:host ::ng-deep .modal-fullscreen .modal-header,:host ::ng-deep .modal-fullscreen .modal-footer{border-radius:0}:host ::ng-deep .modal-fullscreen .modal-body{overflow-y:auto}@media (max-width: 575.98px){:host ::ng-deep .modal-fullscreen-sm-down{width:100vw;max-width:none;height:100%;margin:0}:host ::ng-deep .modal-fullscreen-sm-down .modal-content{height:100%;border:0;border-radius:0}:host ::ng-deep .modal-fullscreen-sm-down .modal-header,:host ::ng-deep .modal-fullscreen-sm-down .modal-footer{border-radius:0}:host ::ng-deep .modal-fullscreen-sm-down .modal-body{overflow-y:auto}}@media (max-width: 767.98px){:host ::ng-deep .modal-fullscreen-md-down{width:100vw;max-width:none;height:100%;margin:0}:host ::ng-deep .modal-fullscreen-md-down .modal-content{height:100%;border:0;border-radius:0}:host ::ng-deep .modal-fullscreen-md-down .modal-header,:host ::ng-deep .modal-fullscreen-md-down .modal-footer{border-radius:0}:host ::ng-deep .modal-fullscreen-md-down .modal-body{overflow-y:auto}}@media (max-width: 991.98px){:host ::ng-deep .modal-fullscreen-lg-down{width:100vw;max-width:none;height:100%;margin:0}:host ::ng-deep .modal-fullscreen-lg-down .modal-content{height:100%;border:0;border-radius:0}:host ::ng-deep .modal-fullscreen-lg-down .modal-header,:host ::ng-deep .modal-fullscreen-lg-down .modal-footer{border-radius:0}:host ::ng-deep .modal-fullscreen-lg-down .modal-body{overflow-y:auto}}@media (max-width: 1199.98px){:host ::ng-deep .modal-fullscreen-xl-down{width:100vw;max-width:none;height:100%;margin:0}:host ::ng-deep .modal-fullscreen-xl-down .modal-content{height:100%;border:0;border-radius:0}:host ::ng-deep .modal-fullscreen-xl-down .modal-header,:host ::ng-deep .modal-fullscreen-xl-down .modal-footer{border-radius:0}:host ::ng-deep .modal-fullscreen-xl-down .modal-body{overflow-y:auto}}@media (max-width: 1399.98px){:host ::ng-deep .modal-fullscreen-xxl-down{width:100vw;max-width:none;height:100%;margin:0}:host ::ng-deep .modal-fullscreen-xxl-down .modal-content{height:100%;border:0;border-radius:0}:host ::ng-deep .modal-fullscreen-xxl-down .modal-header,:host ::ng-deep .modal-fullscreen-xxl-down .modal-footer{border-radius:0}:host ::ng-deep .modal-fullscreen-xxl-down .modal-body{overflow-y:auto}}\n"] }]
        }], ctorParameters: function () { return [{ type: i0.TemplateRef, decorators: [{
                    type: Inject,
                    args: [MODAL_CONTENT]
                }] }]; } });

const PORTAL_FACTORY$3 = new InjectionToken('ModalPortalFactory');

class BsModalHostComponent {
    constructor(overlay, parentInjector, portalFactory, componentFactoryResolver) {
        this.overlay = overlay;
        this.parentInjector = parentInjector;
        this.portalFactory = portalFactory;
        this.componentFactoryResolver = componentFactoryResolver;
        this.destroyed$ = new Subject();
        //#region isOpen
        this._isOpen = false;
        this.isOpenChange = new EventEmitter();
        //#endregion
        this.closeOnEscape = true;
        this.destroyed$.pipe(take(1))
            .subscribe(() => {
            this.isOpen = false;
            setTimeout(() => this.overlayRef && this.overlayRef.dispose(), 500);
        });
    }
    get isOpen() {
        return this._isOpen;
    }
    set isOpen(value) {
        this._isOpen = value;
        if (this.componentInstance) {
            this.componentInstance.instance.isOpen = value;
        }
        this.isOpenChange.emit(value);
    }
    ngAfterViewInit() {
        const injector = Injector.create({
            providers: [
                { provide: MODAL_CONTENT, useValue: this.template }
            ],
            parent: this.parentInjector
        });
        // const portal = new ComponentPortal(BsModalComponent, null, injector, this.componentFactoryResolver);
        const portal = this.portalFactory(injector);
        this.overlayRef = this.overlay.create({
            scrollStrategy: this.overlay.scrollStrategies.reposition(),
            positionStrategy: this.overlay.position()
                .global().centerHorizontally().bottom('0').top('0').left('0').right('0'),
            width: '100%',
            hasBackdrop: false
        });
        this.componentInstance = this.overlayRef.attach(portal);
        this.componentInstance.instance.isOpen = this._isOpen;
    }
    ngOnDestroy() {
        this.destroyed$.next(true);
    }
    onKeyDown(ev) {
        if (this.isOpen && this.closeOnEscape && ev.code === 'Escape') {
            this.isOpen = false;
        }
    }
}
BsModalHostComponent.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "14.2.2", ngImport: i0, type: BsModalHostComponent, deps: [{ token: i1$1.Overlay }, { token: i0.Injector }, { token: PORTAL_FACTORY$3 }, { token: i0.ComponentFactoryResolver }], target: i0.ɵɵFactoryTarget.Component });
BsModalHostComponent.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "14.2.2", type: BsModalHostComponent, selector: "bs-modal", inputs: { isOpen: "isOpen", closeOnEscape: "closeOnEscape" }, outputs: { isOpenChange: "isOpenChange" }, host: { listeners: { "document:keydown": "onKeyDown($event)" } }, ngImport: i0, template: "", styles: [""] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "14.2.2", ngImport: i0, type: BsModalHostComponent, decorators: [{
            type: Component,
            args: [{ selector: 'bs-modal', template: "" }]
        }], ctorParameters: function () { return [{ type: i1$1.Overlay }, { type: i0.Injector }, { type: undefined, decorators: [{
                    type: Inject,
                    args: [PORTAL_FACTORY$3]
                }] }, { type: i0.ComponentFactoryResolver }]; }, propDecorators: { isOpen: [{
                type: Input
            }], isOpenChange: [{
                type: Output
            }], closeOnEscape: [{
                type: Input
            }], onKeyDown: [{
                type: HostListener,
                args: ['document:keydown', ['$event']]
            }] } });

class BsModalDirective {
    constructor(template, host) {
        host.template = template;
    }
}
BsModalDirective.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "14.2.2", ngImport: i0, type: BsModalDirective, deps: [{ token: i0.TemplateRef }, { token: BsModalHostComponent }], target: i0.ɵɵFactoryTarget.Directive });
BsModalDirective.ɵdir = i0.ɵɵngDeclareDirective({ minVersion: "14.0.0", version: "14.2.2", type: BsModalDirective, selector: "[bsModal]", ngImport: i0 });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "14.2.2", ngImport: i0, type: BsModalDirective, decorators: [{
            type: Directive,
            args: [{
                    selector: '[bsModal]'
                }]
        }], ctorParameters: function () { return [{ type: i0.TemplateRef }, { type: BsModalHostComponent }]; } });

class BsModalHeaderDirective {
    constructor() {
        this.headerClass = true;
    }
}
BsModalHeaderDirective.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "14.2.2", ngImport: i0, type: BsModalHeaderDirective, deps: [], target: i0.ɵɵFactoryTarget.Directive });
BsModalHeaderDirective.ɵdir = i0.ɵɵngDeclareDirective({ minVersion: "14.0.0", version: "14.2.2", type: BsModalHeaderDirective, selector: "[bsModalHeader]", host: { properties: { "class.modal-header": "this.headerClass" } }, ngImport: i0 });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "14.2.2", ngImport: i0, type: BsModalHeaderDirective, decorators: [{
            type: Directive,
            args: [{
                    selector: '[bsModalHeader]'
                }]
        }], propDecorators: { headerClass: [{
                type: HostBinding,
                args: ['class.modal-header']
            }] } });

class BsModalBodyDirective {
    constructor() {
        this.bodyClass = true;
    }
}
BsModalBodyDirective.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "14.2.2", ngImport: i0, type: BsModalBodyDirective, deps: [], target: i0.ɵɵFactoryTarget.Directive });
BsModalBodyDirective.ɵdir = i0.ɵɵngDeclareDirective({ minVersion: "14.0.0", version: "14.2.2", type: BsModalBodyDirective, selector: "[bsModalBody]", host: { properties: { "class.modal-body": "this.bodyClass" } }, ngImport: i0 });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "14.2.2", ngImport: i0, type: BsModalBodyDirective, decorators: [{
            type: Directive,
            args: [{
                    selector: '[bsModalBody]'
                }]
        }], propDecorators: { bodyClass: [{
                type: HostBinding,
                args: ['class.modal-body']
            }] } });

class BsModalFooterDirective {
    constructor() {
        this.footerClass = true;
    }
}
BsModalFooterDirective.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "14.2.2", ngImport: i0, type: BsModalFooterDirective, deps: [], target: i0.ɵɵFactoryTarget.Directive });
BsModalFooterDirective.ɵdir = i0.ɵɵngDeclareDirective({ minVersion: "14.0.0", version: "14.2.2", type: BsModalFooterDirective, selector: "[bsModalFooter]", host: { properties: { "class.modal-footer": "this.footerClass" } }, ngImport: i0 });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "14.2.2", ngImport: i0, type: BsModalFooterDirective, decorators: [{
            type: Directive,
            args: [{
                    selector: '[bsModalFooter]'
                }]
        }], propDecorators: { footerClass: [{
                type: HostBinding,
                args: ['class.modal-footer']
            }] } });

class BsModalCloseDirective {
    constructor(host) {
        this.host = host;
    }
    onClick() {
        this.host.isOpen = false;
    }
}
BsModalCloseDirective.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "14.2.2", ngImport: i0, type: BsModalCloseDirective, deps: [{ token: BsModalHostComponent }], target: i0.ɵɵFactoryTarget.Directive });
BsModalCloseDirective.ɵdir = i0.ɵɵngDeclareDirective({ minVersion: "14.0.0", version: "14.2.2", type: BsModalCloseDirective, selector: "[bsModalClose]", host: { listeners: { "click": "onClick()" } }, ngImport: i0 });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "14.2.2", ngImport: i0, type: BsModalCloseDirective, decorators: [{
            type: Directive,
            args: [{
                    selector: '[bsModalClose]'
                }]
        }], ctorParameters: function () { return [{ type: BsModalHostComponent }]; }, propDecorators: { onClick: [{
                type: HostListener,
                args: ['click']
            }] } });

class BsModalModule {
}
BsModalModule.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "14.2.2", ngImport: i0, type: BsModalModule, deps: [], target: i0.ɵɵFactoryTarget.NgModule });
BsModalModule.ɵmod = i0.ɵɵngDeclareNgModule({ minVersion: "14.0.0", version: "14.2.2", ngImport: i0, type: BsModalModule, declarations: [BsModalHeaderDirective,
        BsModalBodyDirective,
        BsModalFooterDirective,
        BsModalDirective,
        BsModalCloseDirective,
        BsModalComponent,
        BsModalHostComponent], imports: [CommonModule,
        OverlayModule], exports: [BsModalHeaderDirective,
        BsModalBodyDirective,
        BsModalFooterDirective,
        BsModalDirective,
        BsModalCloseDirective,
        BsModalComponent,
        BsModalHostComponent] });
BsModalModule.ɵinj = i0.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "14.2.2", ngImport: i0, type: BsModalModule, providers: [{
            provide: PORTAL_FACTORY$3,
            useValue: (injector) => {
                return new ComponentPortal(BsModalComponent, null, injector);
            }
        }], imports: [CommonModule,
        OverlayModule] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "14.2.2", ngImport: i0, type: BsModalModule, decorators: [{
            type: NgModule,
            args: [{
                    declarations: [
                        BsModalHeaderDirective,
                        BsModalBodyDirective,
                        BsModalFooterDirective,
                        BsModalDirective,
                        BsModalCloseDirective,
                        BsModalComponent,
                        BsModalHostComponent
                    ],
                    imports: [
                        CommonModule,
                        OverlayModule
                    ],
                    exports: [
                        BsModalHeaderDirective,
                        BsModalBodyDirective,
                        BsModalFooterDirective,
                        BsModalDirective,
                        BsModalCloseDirective,
                        BsModalComponent,
                        BsModalHostComponent
                    ],
                    providers: [{
                            provide: PORTAL_FACTORY$3,
                            useValue: (injector) => {
                                return new ComponentPortal(BsModalComponent, null, injector);
                            }
                        }]
                }]
        }] });

class BsMultiselectComponent {
    constructor() {
        this.items = [];
        this.selectedItems = [];
    }
    itemChange(item, event) {
        if (event.target.checked) {
            this.selectedItems.push(item);
        }
        else {
            this.selectedItems.splice(this.selectedItems.findIndex((i) => i === item), 1);
        }
    }
}
BsMultiselectComponent.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "14.2.2", ngImport: i0, type: BsMultiselectComponent, deps: [], target: i0.ɵɵFactoryTarget.Component });
BsMultiselectComponent.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "14.2.2", type: BsMultiselectComponent, selector: "bs-multiselect", inputs: { items: "items", selectedItems: "selectedItems" }, viewQueries: [{ propertyName: "defaultButtonTemplate", first: true, predicate: ["defaultButtonTemplate"], descendants: true }], ngImport: i0, template: "<div bsDropdown [hasBackdrop]=\"true\" [closeOnClickOutside]=\"true\">\n    <button bsDropdownToggle class=\"btn btn-primary\">\n        <ng-container *ngTemplateOutlet=\"buttonTemplate ?? defaultButtonTemplate; context: { $implicit: selectedItems.length }\"></ng-container>\n    </button>\n    <div *bsDropdownMenu class=\"bg-white mw-250px p-3 border rounded shadow\">\n        <ng-container *ngTemplateOutlet=\"headerTemplate\"></ng-container>\n        <hr class=\"my-2\" *ngIf=\"headerTemplate\">\n        <label *ngFor=\"let item of items\" class=\"form-check\">\n            <input type=\"checkbox\" [checked]=\"selectedItems.indexOf(item) > -1\" (change)=\"itemChange(item, $event)\" class=\"form-check-input\">\n            <span class=\"form-check-label\">{{ item }}</span>\n        </label>\n        <hr class=\"my-2\" *ngIf=\"footerTemplate\">\n        <ng-container *ngTemplateOutlet=\"footerTemplate\"></ng-container>\n    </div>\n</div>\n<ng-template #defaultButtonTemplate let-count>\n    {{ count }} selected\n</ng-template>", styles: [".mw-250px{min-width:250px}\n"], dependencies: [{ kind: "directive", type: i1.NgForOf, selector: "[ngFor][ngForOf]", inputs: ["ngForOf", "ngForTrackBy", "ngForTemplate"] }, { kind: "directive", type: i1.NgIf, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }, { kind: "directive", type: i1.NgTemplateOutlet, selector: "[ngTemplateOutlet]", inputs: ["ngTemplateOutletContext", "ngTemplateOutlet", "ngTemplateOutletInjector"] }, { kind: "directive", type: BsDropdownDirective, selector: "[bsDropdown]", inputs: ["hasBackdrop", "sameWidth", "closeOnClickOutside", "sameDropdownWidth", "isOpen"], outputs: ["isOpenChange"] }, { kind: "directive", type: BsDropdownToggleDirective, selector: "[bsDropdownToggle]" }, { kind: "directive", type: BsDropdownMenuDirective, selector: "[bsDropdownMenu]" }] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "14.2.2", ngImport: i0, type: BsMultiselectComponent, decorators: [{
            type: Component,
            args: [{ selector: 'bs-multiselect', template: "<div bsDropdown [hasBackdrop]=\"true\" [closeOnClickOutside]=\"true\">\n    <button bsDropdownToggle class=\"btn btn-primary\">\n        <ng-container *ngTemplateOutlet=\"buttonTemplate ?? defaultButtonTemplate; context: { $implicit: selectedItems.length }\"></ng-container>\n    </button>\n    <div *bsDropdownMenu class=\"bg-white mw-250px p-3 border rounded shadow\">\n        <ng-container *ngTemplateOutlet=\"headerTemplate\"></ng-container>\n        <hr class=\"my-2\" *ngIf=\"headerTemplate\">\n        <label *ngFor=\"let item of items\" class=\"form-check\">\n            <input type=\"checkbox\" [checked]=\"selectedItems.indexOf(item) > -1\" (change)=\"itemChange(item, $event)\" class=\"form-check-input\">\n            <span class=\"form-check-label\">{{ item }}</span>\n        </label>\n        <hr class=\"my-2\" *ngIf=\"footerTemplate\">\n        <ng-container *ngTemplateOutlet=\"footerTemplate\"></ng-container>\n    </div>\n</div>\n<ng-template #defaultButtonTemplate let-count>\n    {{ count }} selected\n</ng-template>", styles: [".mw-250px{min-width:250px}\n"] }]
        }], propDecorators: { items: [{
                type: Input
            }], selectedItems: [{
                type: Input
            }], defaultButtonTemplate: [{
                type: ViewChild,
                args: ['defaultButtonTemplate']
            }] } });

class BsHeaderTemplateDirective {
    constructor(template, multiselect) {
        multiselect.headerTemplate = template;
    }
}
BsHeaderTemplateDirective.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "14.2.2", ngImport: i0, type: BsHeaderTemplateDirective, deps: [{ token: i0.TemplateRef }, { token: BsMultiselectComponent }], target: i0.ɵɵFactoryTarget.Directive });
BsHeaderTemplateDirective.ɵdir = i0.ɵɵngDeclareDirective({ minVersion: "14.0.0", version: "14.2.2", type: BsHeaderTemplateDirective, selector: "[bsHeaderTemplate]", ngImport: i0 });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "14.2.2", ngImport: i0, type: BsHeaderTemplateDirective, decorators: [{
            type: Directive,
            args: [{
                    selector: '[bsHeaderTemplate]'
                }]
        }], ctorParameters: function () { return [{ type: i0.TemplateRef }, { type: BsMultiselectComponent }]; } });

class BsFooterTemplateDirective {
    constructor(template, multiselect) {
        multiselect.footerTemplate = template;
    }
}
BsFooterTemplateDirective.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "14.2.2", ngImport: i0, type: BsFooterTemplateDirective, deps: [{ token: i0.TemplateRef }, { token: BsMultiselectComponent }], target: i0.ɵɵFactoryTarget.Directive });
BsFooterTemplateDirective.ɵdir = i0.ɵɵngDeclareDirective({ minVersion: "14.0.0", version: "14.2.2", type: BsFooterTemplateDirective, selector: "[bsFooterTemplate]", ngImport: i0 });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "14.2.2", ngImport: i0, type: BsFooterTemplateDirective, decorators: [{
            type: Directive,
            args: [{
                    selector: '[bsFooterTemplate]'
                }]
        }], ctorParameters: function () { return [{ type: i0.TemplateRef }, { type: BsMultiselectComponent }]; } });

class BsButtonTemplateDirective {
    constructor(template, multiselect) {
        multiselect.buttonTemplate = template;
    }
}
BsButtonTemplateDirective.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "14.2.2", ngImport: i0, type: BsButtonTemplateDirective, deps: [{ token: i0.TemplateRef }, { token: BsMultiselectComponent }], target: i0.ɵɵFactoryTarget.Directive });
BsButtonTemplateDirective.ɵdir = i0.ɵɵngDeclareDirective({ minVersion: "14.0.0", version: "14.2.2", type: BsButtonTemplateDirective, selector: "[bsButtonTemplate]", ngImport: i0 });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "14.2.2", ngImport: i0, type: BsButtonTemplateDirective, decorators: [{
            type: Directive,
            args: [{
                    selector: '[bsButtonTemplate]'
                }]
        }], ctorParameters: function () { return [{ type: i0.TemplateRef }, { type: BsMultiselectComponent }]; } });

class BsMultiselectModule {
}
BsMultiselectModule.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "14.2.2", ngImport: i0, type: BsMultiselectModule, deps: [], target: i0.ɵɵFactoryTarget.NgModule });
BsMultiselectModule.ɵmod = i0.ɵɵngDeclareNgModule({ minVersion: "14.0.0", version: "14.2.2", ngImport: i0, type: BsMultiselectModule, declarations: [BsMultiselectComponent,
        BsHeaderTemplateDirective,
        BsFooterTemplateDirective,
        BsButtonTemplateDirective], imports: [CommonModule,
        BsDropdownModule,
        FocusOnLoadModule], exports: [BsMultiselectComponent,
        BsHeaderTemplateDirective,
        BsFooterTemplateDirective,
        BsButtonTemplateDirective] });
BsMultiselectModule.ɵinj = i0.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "14.2.2", ngImport: i0, type: BsMultiselectModule, imports: [CommonModule,
        BsDropdownModule,
        FocusOnLoadModule] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "14.2.2", ngImport: i0, type: BsMultiselectModule, decorators: [{
            type: NgModule,
            args: [{
                    declarations: [
                        BsMultiselectComponent,
                        BsHeaderTemplateDirective,
                        BsFooterTemplateDirective,
                        BsButtonTemplateDirective
                    ],
                    imports: [
                        CommonModule,
                        BsDropdownModule,
                        FocusOnLoadModule,
                    ],
                    exports: [
                        BsMultiselectComponent,
                        BsHeaderTemplateDirective,
                        BsFooterTemplateDirective,
                        BsButtonTemplateDirective
                    ]
                }]
        }] });

class BsNavbarComponent {
    constructor() {
        this.autoclose = true;
        this.expandButtonTemplate = null;
        this.isExpanded$ = new BehaviorSubject(false);
    }
    toggleExpanded() {
        this.isExpanded$.pipe(take(1)).subscribe((isExpanded) => {
            this.isExpanded$.next(!isExpanded);
        });
    }
}
BsNavbarComponent.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "14.2.2", ngImport: i0, type: BsNavbarComponent, deps: [], target: i0.ɵɵFactoryTarget.Component });
BsNavbarComponent.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "14.2.2", type: BsNavbarComponent, selector: "bs-navbar", inputs: { autoclose: "autoclose" }, viewQueries: [{ propertyName: "nav", first: true, predicate: ["nav"], descendants: true }], ngImport: i0, template: "<nav #nav class=\"navbar navbar-expand-md position-fixed navbar-dark bg-dark\">\n    <div class=\"container-fluid\">\n        <div class=\"d-flex w-100 w-md-auto\">\n            <ng-content select=\"bs-navbar-brand\"></ng-content>\n            <div class=\"flex-end d-md-none d-flex tw\">\n                <button (click)=\"toggleExpanded()\" title=\"Expand/collapse menu\" class=\"align-self-center\" [class.navbar-toggler]=\"!expandButtonTemplate\" [class.bg-transparent]=\"expandButtonTemplate\" [class.shadow-none]=\"expandButtonTemplate\" [class.border-0]=\"expandButtonTemplate\" type=\"button\">\n                    <ng-container *ngTemplateOutlet=\"expandButtonTemplate ?? defaultExpandButton; context: { $implicit: (isExpanded$ | async) ? 'open' : 'closed' }\"></ng-container>\n                </button>\n            </div>\n        </div>\n        <ng-content></ng-content>\n    </div>\n</nav>\n\n<ng-template #defaultExpandButton>\n    <span class=\"navbar-toggler-icon\"></span>\n</ng-template>", styles: [":host ::ng-deep .container,:host ::ng-deep .container-fluid,:host ::ng-deep .container-xxl,:host ::ng-deep .container-xl,:host ::ng-deep .container-lg,:host ::ng-deep .container-md,:host ::ng-deep .container-sm{--bs-gutter-x: 1.5rem;--bs-gutter-y: 0;width:100%;padding-right:calc(var(--bs-gutter-x) * .5);padding-left:calc(var(--bs-gutter-x) * .5);margin-right:auto;margin-left:auto}@media (min-width: 576px){:host ::ng-deep .container-sm,:host ::ng-deep .container{max-width:540px}}@media (min-width: 768px){:host ::ng-deep .container-md,:host ::ng-deep .container-sm,:host ::ng-deep .container{max-width:720px}}@media (min-width: 992px){:host ::ng-deep .container-lg,:host ::ng-deep .container-md,:host ::ng-deep .container-sm,:host ::ng-deep .container{max-width:960px}}@media (min-width: 1200px){:host ::ng-deep .container-xl,:host ::ng-deep .container-lg,:host ::ng-deep .container-md,:host ::ng-deep .container-sm,:host ::ng-deep .container{max-width:1140px}}@media (min-width: 1400px){:host ::ng-deep .container-xxl,:host ::ng-deep .container-xl,:host ::ng-deep .container-lg,:host ::ng-deep .container-md,:host ::ng-deep .container-sm,:host ::ng-deep .container{max-width:1320px}}:host ::ng-deep .dropup,:host ::ng-deep .dropend,:host ::ng-deep .dropdown,:host ::ng-deep .dropstart,:host ::ng-deep .dropup-center,:host ::ng-deep .dropdown-center{position:relative}:host ::ng-deep .dropdown-toggle{white-space:nowrap}:host ::ng-deep .dropdown-toggle:after{display:inline-block;margin-left:.255em;vertical-align:.255em;content:\"\";border-top:.3em solid;border-right:.3em solid transparent;border-bottom:0;border-left:.3em solid transparent}:host ::ng-deep .dropdown-toggle:empty:after{margin-left:0}:host ::ng-deep .dropdown-menu{--bs-dropdown-zindex: 1000;--bs-dropdown-min-width: 10rem;--bs-dropdown-padding-x: 0;--bs-dropdown-padding-y: .5rem;--bs-dropdown-spacer: .125rem;--bs-dropdown-font-size: 1rem;--bs-dropdown-color: #212529;--bs-dropdown-bg: #fff;--bs-dropdown-border-color: var(--bs-border-color-translucent);--bs-dropdown-border-radius: .375rem;--bs-dropdown-border-width: 1px;--bs-dropdown-inner-border-radius:calc(.375rem - 1px);--bs-dropdown-divider-bg: var(--bs-border-color-translucent);--bs-dropdown-divider-margin-y: .5rem;--bs-dropdown-box-shadow: 0 .5rem 1rem rgba(0, 0, 0, .15);--bs-dropdown-link-color: #212529;--bs-dropdown-link-hover-color: #1e2125;--bs-dropdown-link-hover-bg: #e9ecef;--bs-dropdown-link-active-color: #fff;--bs-dropdown-link-active-bg: #0d6efd;--bs-dropdown-link-disabled-color: #adb5bd;--bs-dropdown-item-padding-x: 1rem;--bs-dropdown-item-padding-y: .25rem;--bs-dropdown-header-color: #6c757d;--bs-dropdown-header-padding-x: 1rem;--bs-dropdown-header-padding-y: .5rem;position:absolute;z-index:var(--bs-dropdown-zindex);display:none;min-width:var(--bs-dropdown-min-width);padding:var(--bs-dropdown-padding-y) var(--bs-dropdown-padding-x);margin:0;font-size:var(--bs-dropdown-font-size);color:var(--bs-dropdown-color);text-align:left;list-style:none;background-color:var(--bs-dropdown-bg);background-clip:padding-box;border:var(--bs-dropdown-border-width) solid var(--bs-dropdown-border-color);border-radius:var(--bs-dropdown-border-radius)}:host ::ng-deep .dropdown-menu[data-bs-popper]{top:100%;left:0;margin-top:var(--bs-dropdown-spacer)}:host ::ng-deep .dropdown-menu-start{--bs-position: start}:host ::ng-deep .dropdown-menu-start[data-bs-popper]{right:auto;left:0}:host ::ng-deep .dropdown-menu-end{--bs-position: end}:host ::ng-deep .dropdown-menu-end[data-bs-popper]{right:0;left:auto}@media (min-width: 576px){:host ::ng-deep .dropdown-menu-sm-start{--bs-position: start}:host ::ng-deep .dropdown-menu-sm-start[data-bs-popper]{right:auto;left:0}:host ::ng-deep .dropdown-menu-sm-end{--bs-position: end}:host ::ng-deep .dropdown-menu-sm-end[data-bs-popper]{right:0;left:auto}}@media (min-width: 768px){:host ::ng-deep .dropdown-menu-md-start{--bs-position: start}:host ::ng-deep .dropdown-menu-md-start[data-bs-popper]{right:auto;left:0}:host ::ng-deep .dropdown-menu-md-end{--bs-position: end}:host ::ng-deep .dropdown-menu-md-end[data-bs-popper]{right:0;left:auto}}@media (min-width: 992px){:host ::ng-deep .dropdown-menu-lg-start{--bs-position: start}:host ::ng-deep .dropdown-menu-lg-start[data-bs-popper]{right:auto;left:0}:host ::ng-deep .dropdown-menu-lg-end{--bs-position: end}:host ::ng-deep .dropdown-menu-lg-end[data-bs-popper]{right:0;left:auto}}@media (min-width: 1200px){:host ::ng-deep .dropdown-menu-xl-start{--bs-position: start}:host ::ng-deep .dropdown-menu-xl-start[data-bs-popper]{right:auto;left:0}:host ::ng-deep .dropdown-menu-xl-end{--bs-position: end}:host ::ng-deep .dropdown-menu-xl-end[data-bs-popper]{right:0;left:auto}}@media (min-width: 1400px){:host ::ng-deep .dropdown-menu-xxl-start{--bs-position: start}:host ::ng-deep .dropdown-menu-xxl-start[data-bs-popper]{right:auto;left:0}:host ::ng-deep .dropdown-menu-xxl-end{--bs-position: end}:host ::ng-deep .dropdown-menu-xxl-end[data-bs-popper]{right:0;left:auto}}:host ::ng-deep .dropup .dropdown-menu[data-bs-popper]{top:auto;bottom:100%;margin-top:0;margin-bottom:var(--bs-dropdown-spacer)}:host ::ng-deep .dropup .dropdown-toggle:after{display:inline-block;margin-left:.255em;vertical-align:.255em;content:\"\";border-top:0;border-right:.3em solid transparent;border-bottom:.3em solid;border-left:.3em solid transparent}:host ::ng-deep .dropup .dropdown-toggle:empty:after{margin-left:0}:host ::ng-deep .dropend .dropdown-menu[data-bs-popper]{top:0;right:auto;left:100%;margin-top:0;margin-left:var(--bs-dropdown-spacer)}:host ::ng-deep .dropend .dropdown-toggle:after{display:inline-block;margin-left:.255em;vertical-align:.255em;content:\"\";border-top:.3em solid transparent;border-right:0;border-bottom:.3em solid transparent;border-left:.3em solid}:host ::ng-deep .dropend .dropdown-toggle:empty:after{margin-left:0}:host ::ng-deep .dropend .dropdown-toggle:after{vertical-align:0}:host ::ng-deep .dropstart .dropdown-menu[data-bs-popper]{top:0;right:100%;left:auto;margin-top:0;margin-right:var(--bs-dropdown-spacer)}:host ::ng-deep .dropstart .dropdown-toggle:after{display:inline-block;margin-left:.255em;vertical-align:.255em;content:\"\"}:host ::ng-deep .dropstart .dropdown-toggle:after{display:none}:host ::ng-deep .dropstart .dropdown-toggle:before{display:inline-block;margin-right:.255em;vertical-align:.255em;content:\"\";border-top:.3em solid transparent;border-right:.3em solid;border-bottom:.3em solid transparent}:host ::ng-deep .dropstart .dropdown-toggle:empty:after{margin-left:0}:host ::ng-deep .dropstart .dropdown-toggle:before{vertical-align:0}:host ::ng-deep .dropdown-divider{height:0;margin:var(--bs-dropdown-divider-margin-y) 0;overflow:hidden;border-top:1px solid var(--bs-dropdown-divider-bg);opacity:1}:host ::ng-deep .dropdown-item{display:block;width:100%;padding:var(--bs-dropdown-item-padding-y) var(--bs-dropdown-item-padding-x);clear:both;font-weight:400;color:var(--bs-dropdown-link-color);text-align:inherit;text-decoration:none;white-space:nowrap;background-color:transparent;border:0}:host ::ng-deep .dropdown-item:hover,:host ::ng-deep .dropdown-item:focus{color:var(--bs-dropdown-link-hover-color);background-color:var(--bs-dropdown-link-hover-bg)}:host ::ng-deep .dropdown-item.active,:host ::ng-deep .dropdown-item:active{color:var(--bs-dropdown-link-active-color);text-decoration:none;background-color:var(--bs-dropdown-link-active-bg)}:host ::ng-deep .dropdown-item.disabled,:host ::ng-deep .dropdown-item:disabled{color:var(--bs-dropdown-link-disabled-color);pointer-events:none;background-color:transparent}:host ::ng-deep .dropdown-menu.show{display:block}:host ::ng-deep .dropdown-header{display:block;padding:var(--bs-dropdown-header-padding-y) var(--bs-dropdown-header-padding-x);margin-bottom:0;font-size:.875rem;color:var(--bs-dropdown-header-color);white-space:nowrap}:host ::ng-deep .dropdown-item-text{display:block;padding:var(--bs-dropdown-item-padding-y) var(--bs-dropdown-item-padding-x);color:var(--bs-dropdown-link-color)}:host ::ng-deep .dropdown-menu-dark{--bs-dropdown-color: #dee2e6;--bs-dropdown-bg: #343a40;--bs-dropdown-border-color: var(--bs-border-color-translucent);--bs-dropdown-box-shadow: ;--bs-dropdown-link-color: #dee2e6;--bs-dropdown-link-hover-color: #fff;--bs-dropdown-divider-bg: var(--bs-border-color-translucent);--bs-dropdown-link-hover-bg: rgba(255, 255, 255, .15);--bs-dropdown-link-active-color: #fff;--bs-dropdown-link-active-bg: #0d6efd;--bs-dropdown-link-disabled-color: #adb5bd;--bs-dropdown-header-color: #adb5bd}:host ::ng-deep .nav{--bs-nav-link-padding-x: 1rem;--bs-nav-link-padding-y: .5rem;--bs-nav-link-font-weight: ;--bs-nav-link-color: var(--bs-link-color);--bs-nav-link-hover-color: var(--bs-link-hover-color);--bs-nav-link-disabled-color: #6c757d;display:flex;flex-wrap:wrap;padding-left:0;margin-bottom:0;list-style:none}:host ::ng-deep .nav-link{display:block;padding:var(--bs-nav-link-padding-y) var(--bs-nav-link-padding-x);font-size:var(--bs-nav-link-font-size);font-weight:var(--bs-nav-link-font-weight);color:var(--bs-nav-link-color);text-decoration:none;transition:color .15s ease-in-out,background-color .15s ease-in-out,border-color .15s ease-in-out}@media (prefers-reduced-motion: reduce){:host ::ng-deep .nav-link{transition:none}}:host ::ng-deep .nav-link:hover,:host ::ng-deep .nav-link:focus{color:var(--bs-nav-link-hover-color)}:host ::ng-deep .nav-link.disabled{color:var(--bs-nav-link-disabled-color);pointer-events:none;cursor:default}:host ::ng-deep .nav-tabs{--bs-nav-tabs-border-width: 1px;--bs-nav-tabs-border-color: #dee2e6;--bs-nav-tabs-border-radius: .375rem;--bs-nav-tabs-link-hover-border-color: #e9ecef #e9ecef #dee2e6;--bs-nav-tabs-link-active-color: #495057;--bs-nav-tabs-link-active-bg: #fff;--bs-nav-tabs-link-active-border-color: #dee2e6 #dee2e6 #fff;border-bottom:var(--bs-nav-tabs-border-width) solid var(--bs-nav-tabs-border-color)}:host ::ng-deep .nav-tabs .nav-link{margin-bottom:calc(-1 * var(--bs-nav-tabs-border-width));background:none;border:var(--bs-nav-tabs-border-width) solid transparent;border-top-left-radius:var(--bs-nav-tabs-border-radius);border-top-right-radius:var(--bs-nav-tabs-border-radius)}:host ::ng-deep .nav-tabs .nav-link:hover,:host ::ng-deep .nav-tabs .nav-link:focus{isolation:isolate;border-color:var(--bs-nav-tabs-link-hover-border-color)}:host ::ng-deep .nav-tabs .nav-link.disabled,:host ::ng-deep .nav-tabs .nav-link:disabled{color:var(--bs-nav-link-disabled-color);background-color:transparent;border-color:transparent}:host ::ng-deep .nav-tabs .nav-link.active,:host ::ng-deep .nav-tabs .nav-item.show .nav-link{color:var(--bs-nav-tabs-link-active-color);background-color:var(--bs-nav-tabs-link-active-bg);border-color:var(--bs-nav-tabs-link-active-border-color)}:host ::ng-deep .nav-tabs .dropdown-menu{margin-top:calc(-1 * var(--bs-nav-tabs-border-width));border-top-left-radius:0;border-top-right-radius:0}:host ::ng-deep .nav-pills{--bs-nav-pills-border-radius: .375rem;--bs-nav-pills-link-active-color: #fff;--bs-nav-pills-link-active-bg: #0d6efd}:host ::ng-deep .nav-pills .nav-link{background:none;border:0;border-radius:var(--bs-nav-pills-border-radius)}:host ::ng-deep .nav-pills .nav-link:disabled{color:var(--bs-nav-link-disabled-color);background-color:transparent;border-color:transparent}:host ::ng-deep .nav-pills .nav-link.active,:host ::ng-deep .nav-pills .show>.nav-link{color:var(--bs-nav-pills-link-active-color);background-color:var(--bs-nav-pills-link-active-bg)}:host ::ng-deep .nav-fill>.nav-link,:host ::ng-deep .nav-fill .nav-item{flex:1 1 auto;text-align:center}:host ::ng-deep .nav-justified>.nav-link,:host ::ng-deep .nav-justified .nav-item{flex-basis:0;flex-grow:1;text-align:center}:host ::ng-deep .nav-fill .nav-item .nav-link,:host ::ng-deep .nav-justified .nav-item .nav-link{width:100%}:host ::ng-deep .tab-content>.tab-pane{display:none}:host ::ng-deep .tab-content>.active{display:block}:host ::ng-deep .navbar{--bs-navbar-padding-x: 0;--bs-navbar-padding-y: .5rem;--bs-navbar-color: rgba(0, 0, 0, .55);--bs-navbar-hover-color: rgba(0, 0, 0, .7);--bs-navbar-disabled-color: rgba(0, 0, 0, .3);--bs-navbar-active-color: rgba(0, 0, 0, .9);--bs-navbar-brand-padding-y: .3125rem;--bs-navbar-brand-margin-end: 1rem;--bs-navbar-brand-font-size: 1.25rem;--bs-navbar-brand-color: rgba(0, 0, 0, .9);--bs-navbar-brand-hover-color: rgba(0, 0, 0, .9);--bs-navbar-nav-link-padding-x: .5rem;--bs-navbar-toggler-padding-y: .25rem;--bs-navbar-toggler-padding-x: .75rem;--bs-navbar-toggler-font-size: 1.25rem;--bs-navbar-toggler-icon-bg: url(\"data:image/svg+xml,%3csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 30 30'%3e%3cpath stroke='rgba%280, 0, 0, 0.55%29' stroke-linecap='round' stroke-miterlimit='10' stroke-width='2' d='M4 7h22M4 15h22M4 23h22'/%3e%3c/svg%3e\");--bs-navbar-toggler-border-color: rgba(0, 0, 0, .1);--bs-navbar-toggler-border-radius: .375rem;--bs-navbar-toggler-focus-width: .25rem;--bs-navbar-toggler-transition: box-shadow .15s ease-in-out;position:relative;display:flex;flex-wrap:wrap;align-items:center;justify-content:space-between;padding:var(--bs-navbar-padding-y) var(--bs-navbar-padding-x)}:host ::ng-deep .navbar>.container,:host ::ng-deep .navbar>.container-fluid,:host ::ng-deep .navbar>.container-sm,:host ::ng-deep .navbar>.container-md,:host ::ng-deep .navbar>.container-lg,:host ::ng-deep .navbar>.container-xl,:host ::ng-deep .navbar>.container-xxl{display:flex;flex-wrap:inherit;align-items:center;justify-content:space-between}:host ::ng-deep .navbar-brand{padding-top:var(--bs-navbar-brand-padding-y);padding-bottom:var(--bs-navbar-brand-padding-y);margin-right:var(--bs-navbar-brand-margin-end);font-size:var(--bs-navbar-brand-font-size);color:var(--bs-navbar-brand-color);text-decoration:none;white-space:nowrap}:host ::ng-deep .navbar-brand:hover,:host ::ng-deep .navbar-brand:focus{color:var(--bs-navbar-brand-hover-color)}:host ::ng-deep .navbar-nav{--bs-nav-link-padding-x: 0;--bs-nav-link-padding-y: .5rem;--bs-nav-link-font-weight: ;--bs-nav-link-color: var(--bs-navbar-color);--bs-nav-link-hover-color: var(--bs-navbar-hover-color);--bs-nav-link-disabled-color: var(--bs-navbar-disabled-color);display:flex;flex-direction:column;padding-left:0;margin-bottom:0;list-style:none}:host ::ng-deep .navbar-nav .show>.nav-link,:host ::ng-deep .navbar-nav .nav-link.active{color:var(--bs-navbar-active-color)}:host ::ng-deep .navbar-nav .dropdown-menu{position:static}:host ::ng-deep .navbar-text{padding-top:.5rem;padding-bottom:.5rem;color:var(--bs-navbar-color)}:host ::ng-deep .navbar-text a,:host ::ng-deep .navbar-text a:hover,:host ::ng-deep .navbar-text a:focus{color:var(--bs-navbar-active-color)}:host ::ng-deep .navbar-collapse{flex-basis:100%;flex-grow:1;align-items:center}:host ::ng-deep .navbar-toggler{padding:var(--bs-navbar-toggler-padding-y) var(--bs-navbar-toggler-padding-x);font-size:var(--bs-navbar-toggler-font-size);line-height:1;color:var(--bs-navbar-color);background-color:transparent;border:var(--bs-border-width) solid var(--bs-navbar-toggler-border-color);border-radius:var(--bs-navbar-toggler-border-radius);transition:var(--bs-navbar-toggler-transition)}@media (prefers-reduced-motion: reduce){:host ::ng-deep .navbar-toggler{transition:none}}:host ::ng-deep .navbar-toggler:hover{text-decoration:none}:host ::ng-deep .navbar-toggler:focus{text-decoration:none;outline:0;box-shadow:0 0 0 var(--bs-navbar-toggler-focus-width)}:host ::ng-deep .navbar-toggler-icon{display:inline-block;width:1.5em;height:1.5em;vertical-align:middle;background-image:var(--bs-navbar-toggler-icon-bg);background-repeat:no-repeat;background-position:center;background-size:100%}:host ::ng-deep .navbar-nav-scroll{max-height:var(--bs-scroll-height, 75vh);overflow-y:auto}@media (min-width: 576px){:host ::ng-deep .navbar-expand-sm{flex-wrap:nowrap;justify-content:flex-start}:host ::ng-deep .navbar-expand-sm .navbar-nav{flex-direction:row}:host ::ng-deep .navbar-expand-sm .navbar-nav .dropdown-menu{position:absolute}:host ::ng-deep .navbar-expand-sm .navbar-nav .nav-link{padding-right:var(--bs-navbar-nav-link-padding-x);padding-left:var(--bs-navbar-nav-link-padding-x)}:host ::ng-deep .navbar-expand-sm .navbar-nav-scroll{overflow:visible}:host ::ng-deep .navbar-expand-sm .navbar-collapse{display:flex!important;flex-basis:auto}:host ::ng-deep .navbar-expand-sm .navbar-toggler{display:none}:host ::ng-deep .navbar-expand-sm .offcanvas{position:static;z-index:auto;flex-grow:1;width:auto!important;height:auto!important;visibility:visible!important;background-color:transparent!important;border:0!important;transform:none!important;transition:none}:host ::ng-deep .navbar-expand-sm .offcanvas .offcanvas-header{display:none}:host ::ng-deep .navbar-expand-sm .offcanvas .offcanvas-body{display:flex;flex-grow:0;padding:0;overflow-y:visible}}@media (min-width: 768px){:host ::ng-deep .navbar-expand-md{flex-wrap:nowrap;justify-content:flex-start}:host ::ng-deep .navbar-expand-md .navbar-nav{flex-direction:row}:host ::ng-deep .navbar-expand-md .navbar-nav .dropdown-menu{position:absolute}:host ::ng-deep .navbar-expand-md .navbar-nav .nav-link{padding-right:var(--bs-navbar-nav-link-padding-x);padding-left:var(--bs-navbar-nav-link-padding-x)}:host ::ng-deep .navbar-expand-md .navbar-nav-scroll{overflow:visible}:host ::ng-deep .navbar-expand-md .navbar-collapse{display:flex!important;flex-basis:auto}:host ::ng-deep .navbar-expand-md .navbar-toggler{display:none}:host ::ng-deep .navbar-expand-md .offcanvas{position:static;z-index:auto;flex-grow:1;width:auto!important;height:auto!important;visibility:visible!important;background-color:transparent!important;border:0!important;transform:none!important;transition:none}:host ::ng-deep .navbar-expand-md .offcanvas .offcanvas-header{display:none}:host ::ng-deep .navbar-expand-md .offcanvas .offcanvas-body{display:flex;flex-grow:0;padding:0;overflow-y:visible}}@media (min-width: 992px){:host ::ng-deep .navbar-expand-lg{flex-wrap:nowrap;justify-content:flex-start}:host ::ng-deep .navbar-expand-lg .navbar-nav{flex-direction:row}:host ::ng-deep .navbar-expand-lg .navbar-nav .dropdown-menu{position:absolute}:host ::ng-deep .navbar-expand-lg .navbar-nav .nav-link{padding-right:var(--bs-navbar-nav-link-padding-x);padding-left:var(--bs-navbar-nav-link-padding-x)}:host ::ng-deep .navbar-expand-lg .navbar-nav-scroll{overflow:visible}:host ::ng-deep .navbar-expand-lg .navbar-collapse{display:flex!important;flex-basis:auto}:host ::ng-deep .navbar-expand-lg .navbar-toggler{display:none}:host ::ng-deep .navbar-expand-lg .offcanvas{position:static;z-index:auto;flex-grow:1;width:auto!important;height:auto!important;visibility:visible!important;background-color:transparent!important;border:0!important;transform:none!important;transition:none}:host ::ng-deep .navbar-expand-lg .offcanvas .offcanvas-header{display:none}:host ::ng-deep .navbar-expand-lg .offcanvas .offcanvas-body{display:flex;flex-grow:0;padding:0;overflow-y:visible}}@media (min-width: 1200px){:host ::ng-deep .navbar-expand-xl{flex-wrap:nowrap;justify-content:flex-start}:host ::ng-deep .navbar-expand-xl .navbar-nav{flex-direction:row}:host ::ng-deep .navbar-expand-xl .navbar-nav .dropdown-menu{position:absolute}:host ::ng-deep .navbar-expand-xl .navbar-nav .nav-link{padding-right:var(--bs-navbar-nav-link-padding-x);padding-left:var(--bs-navbar-nav-link-padding-x)}:host ::ng-deep .navbar-expand-xl .navbar-nav-scroll{overflow:visible}:host ::ng-deep .navbar-expand-xl .navbar-collapse{display:flex!important;flex-basis:auto}:host ::ng-deep .navbar-expand-xl .navbar-toggler{display:none}:host ::ng-deep .navbar-expand-xl .offcanvas{position:static;z-index:auto;flex-grow:1;width:auto!important;height:auto!important;visibility:visible!important;background-color:transparent!important;border:0!important;transform:none!important;transition:none}:host ::ng-deep .navbar-expand-xl .offcanvas .offcanvas-header{display:none}:host ::ng-deep .navbar-expand-xl .offcanvas .offcanvas-body{display:flex;flex-grow:0;padding:0;overflow-y:visible}}@media (min-width: 1400px){:host ::ng-deep .navbar-expand-xxl{flex-wrap:nowrap;justify-content:flex-start}:host ::ng-deep .navbar-expand-xxl .navbar-nav{flex-direction:row}:host ::ng-deep .navbar-expand-xxl .navbar-nav .dropdown-menu{position:absolute}:host ::ng-deep .navbar-expand-xxl .navbar-nav .nav-link{padding-right:var(--bs-navbar-nav-link-padding-x);padding-left:var(--bs-navbar-nav-link-padding-x)}:host ::ng-deep .navbar-expand-xxl .navbar-nav-scroll{overflow:visible}:host ::ng-deep .navbar-expand-xxl .navbar-collapse{display:flex!important;flex-basis:auto}:host ::ng-deep .navbar-expand-xxl .navbar-toggler{display:none}:host ::ng-deep .navbar-expand-xxl .offcanvas{position:static;z-index:auto;flex-grow:1;width:auto!important;height:auto!important;visibility:visible!important;background-color:transparent!important;border:0!important;transform:none!important;transition:none}:host ::ng-deep .navbar-expand-xxl .offcanvas .offcanvas-header{display:none}:host ::ng-deep .navbar-expand-xxl .offcanvas .offcanvas-body{display:flex;flex-grow:0;padding:0;overflow-y:visible}}:host ::ng-deep .navbar-expand{flex-wrap:nowrap;justify-content:flex-start}:host ::ng-deep .navbar-expand .navbar-nav{flex-direction:row}:host ::ng-deep .navbar-expand .navbar-nav .dropdown-menu{position:absolute}:host ::ng-deep .navbar-expand .navbar-nav .nav-link{padding-right:var(--bs-navbar-nav-link-padding-x);padding-left:var(--bs-navbar-nav-link-padding-x)}:host ::ng-deep .navbar-expand .navbar-nav-scroll{overflow:visible}:host ::ng-deep .navbar-expand .navbar-collapse{display:flex!important;flex-basis:auto}:host ::ng-deep .navbar-expand .navbar-toggler{display:none}:host ::ng-deep .navbar-expand .offcanvas{position:static;z-index:auto;flex-grow:1;width:auto!important;height:auto!important;visibility:visible!important;background-color:transparent!important;border:0!important;transform:none!important;transition:none}:host ::ng-deep .navbar-expand .offcanvas .offcanvas-header{display:none}:host ::ng-deep .navbar-expand .offcanvas .offcanvas-body{display:flex;flex-grow:0;padding:0;overflow-y:visible}:host ::ng-deep .navbar-dark{--bs-navbar-color: rgba(255, 255, 255, .55);--bs-navbar-hover-color: rgba(255, 255, 255, .75);--bs-navbar-disabled-color: rgba(255, 255, 255, .25);--bs-navbar-active-color: #fff;--bs-navbar-brand-color: #fff;--bs-navbar-brand-hover-color: #fff;--bs-navbar-toggler-border-color: rgba(255, 255, 255, .1);--bs-navbar-toggler-icon-bg: url(\"data:image/svg+xml,%3csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 30 30'%3e%3cpath stroke='rgba%28255, 255, 255, 0.55%29' stroke-linecap='round' stroke-miterlimit='10' stroke-width='2' d='M4 7h22M4 15h22M4 23h22'/%3e%3c/svg%3e\")}nav{left:0;top:0;right:0;z-index:10}@media (max-width: 767px){nav.position-fixed{max-height:100%;overflow-y:scroll;margin-right:-17px}}@media (min-width: 768px){.mx-md-unset{margin-left:0!important;margin-right:0!important}.w-md-auto{width:auto!important}}.tw{margin:-.5rem -.6666666667rem}\n"], dependencies: [{ kind: "directive", type: i1.NgTemplateOutlet, selector: "[ngTemplateOutlet]", inputs: ["ngTemplateOutletContext", "ngTemplateOutlet", "ngTemplateOutletInjector"] }, { kind: "pipe", type: i1.AsyncPipe, name: "async" }] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "14.2.2", ngImport: i0, type: BsNavbarComponent, decorators: [{
            type: Component,
            args: [{ selector: 'bs-navbar', template: "<nav #nav class=\"navbar navbar-expand-md position-fixed navbar-dark bg-dark\">\n    <div class=\"container-fluid\">\n        <div class=\"d-flex w-100 w-md-auto\">\n            <ng-content select=\"bs-navbar-brand\"></ng-content>\n            <div class=\"flex-end d-md-none d-flex tw\">\n                <button (click)=\"toggleExpanded()\" title=\"Expand/collapse menu\" class=\"align-self-center\" [class.navbar-toggler]=\"!expandButtonTemplate\" [class.bg-transparent]=\"expandButtonTemplate\" [class.shadow-none]=\"expandButtonTemplate\" [class.border-0]=\"expandButtonTemplate\" type=\"button\">\n                    <ng-container *ngTemplateOutlet=\"expandButtonTemplate ?? defaultExpandButton; context: { $implicit: (isExpanded$ | async) ? 'open' : 'closed' }\"></ng-container>\n                </button>\n            </div>\n        </div>\n        <ng-content></ng-content>\n    </div>\n</nav>\n\n<ng-template #defaultExpandButton>\n    <span class=\"navbar-toggler-icon\"></span>\n</ng-template>", styles: [":host ::ng-deep .container,:host ::ng-deep .container-fluid,:host ::ng-deep .container-xxl,:host ::ng-deep .container-xl,:host ::ng-deep .container-lg,:host ::ng-deep .container-md,:host ::ng-deep .container-sm{--bs-gutter-x: 1.5rem;--bs-gutter-y: 0;width:100%;padding-right:calc(var(--bs-gutter-x) * .5);padding-left:calc(var(--bs-gutter-x) * .5);margin-right:auto;margin-left:auto}@media (min-width: 576px){:host ::ng-deep .container-sm,:host ::ng-deep .container{max-width:540px}}@media (min-width: 768px){:host ::ng-deep .container-md,:host ::ng-deep .container-sm,:host ::ng-deep .container{max-width:720px}}@media (min-width: 992px){:host ::ng-deep .container-lg,:host ::ng-deep .container-md,:host ::ng-deep .container-sm,:host ::ng-deep .container{max-width:960px}}@media (min-width: 1200px){:host ::ng-deep .container-xl,:host ::ng-deep .container-lg,:host ::ng-deep .container-md,:host ::ng-deep .container-sm,:host ::ng-deep .container{max-width:1140px}}@media (min-width: 1400px){:host ::ng-deep .container-xxl,:host ::ng-deep .container-xl,:host ::ng-deep .container-lg,:host ::ng-deep .container-md,:host ::ng-deep .container-sm,:host ::ng-deep .container{max-width:1320px}}:host ::ng-deep .dropup,:host ::ng-deep .dropend,:host ::ng-deep .dropdown,:host ::ng-deep .dropstart,:host ::ng-deep .dropup-center,:host ::ng-deep .dropdown-center{position:relative}:host ::ng-deep .dropdown-toggle{white-space:nowrap}:host ::ng-deep .dropdown-toggle:after{display:inline-block;margin-left:.255em;vertical-align:.255em;content:\"\";border-top:.3em solid;border-right:.3em solid transparent;border-bottom:0;border-left:.3em solid transparent}:host ::ng-deep .dropdown-toggle:empty:after{margin-left:0}:host ::ng-deep .dropdown-menu{--bs-dropdown-zindex: 1000;--bs-dropdown-min-width: 10rem;--bs-dropdown-padding-x: 0;--bs-dropdown-padding-y: .5rem;--bs-dropdown-spacer: .125rem;--bs-dropdown-font-size: 1rem;--bs-dropdown-color: #212529;--bs-dropdown-bg: #fff;--bs-dropdown-border-color: var(--bs-border-color-translucent);--bs-dropdown-border-radius: .375rem;--bs-dropdown-border-width: 1px;--bs-dropdown-inner-border-radius:calc(.375rem - 1px);--bs-dropdown-divider-bg: var(--bs-border-color-translucent);--bs-dropdown-divider-margin-y: .5rem;--bs-dropdown-box-shadow: 0 .5rem 1rem rgba(0, 0, 0, .15);--bs-dropdown-link-color: #212529;--bs-dropdown-link-hover-color: #1e2125;--bs-dropdown-link-hover-bg: #e9ecef;--bs-dropdown-link-active-color: #fff;--bs-dropdown-link-active-bg: #0d6efd;--bs-dropdown-link-disabled-color: #adb5bd;--bs-dropdown-item-padding-x: 1rem;--bs-dropdown-item-padding-y: .25rem;--bs-dropdown-header-color: #6c757d;--bs-dropdown-header-padding-x: 1rem;--bs-dropdown-header-padding-y: .5rem;position:absolute;z-index:var(--bs-dropdown-zindex);display:none;min-width:var(--bs-dropdown-min-width);padding:var(--bs-dropdown-padding-y) var(--bs-dropdown-padding-x);margin:0;font-size:var(--bs-dropdown-font-size);color:var(--bs-dropdown-color);text-align:left;list-style:none;background-color:var(--bs-dropdown-bg);background-clip:padding-box;border:var(--bs-dropdown-border-width) solid var(--bs-dropdown-border-color);border-radius:var(--bs-dropdown-border-radius)}:host ::ng-deep .dropdown-menu[data-bs-popper]{top:100%;left:0;margin-top:var(--bs-dropdown-spacer)}:host ::ng-deep .dropdown-menu-start{--bs-position: start}:host ::ng-deep .dropdown-menu-start[data-bs-popper]{right:auto;left:0}:host ::ng-deep .dropdown-menu-end{--bs-position: end}:host ::ng-deep .dropdown-menu-end[data-bs-popper]{right:0;left:auto}@media (min-width: 576px){:host ::ng-deep .dropdown-menu-sm-start{--bs-position: start}:host ::ng-deep .dropdown-menu-sm-start[data-bs-popper]{right:auto;left:0}:host ::ng-deep .dropdown-menu-sm-end{--bs-position: end}:host ::ng-deep .dropdown-menu-sm-end[data-bs-popper]{right:0;left:auto}}@media (min-width: 768px){:host ::ng-deep .dropdown-menu-md-start{--bs-position: start}:host ::ng-deep .dropdown-menu-md-start[data-bs-popper]{right:auto;left:0}:host ::ng-deep .dropdown-menu-md-end{--bs-position: end}:host ::ng-deep .dropdown-menu-md-end[data-bs-popper]{right:0;left:auto}}@media (min-width: 992px){:host ::ng-deep .dropdown-menu-lg-start{--bs-position: start}:host ::ng-deep .dropdown-menu-lg-start[data-bs-popper]{right:auto;left:0}:host ::ng-deep .dropdown-menu-lg-end{--bs-position: end}:host ::ng-deep .dropdown-menu-lg-end[data-bs-popper]{right:0;left:auto}}@media (min-width: 1200px){:host ::ng-deep .dropdown-menu-xl-start{--bs-position: start}:host ::ng-deep .dropdown-menu-xl-start[data-bs-popper]{right:auto;left:0}:host ::ng-deep .dropdown-menu-xl-end{--bs-position: end}:host ::ng-deep .dropdown-menu-xl-end[data-bs-popper]{right:0;left:auto}}@media (min-width: 1400px){:host ::ng-deep .dropdown-menu-xxl-start{--bs-position: start}:host ::ng-deep .dropdown-menu-xxl-start[data-bs-popper]{right:auto;left:0}:host ::ng-deep .dropdown-menu-xxl-end{--bs-position: end}:host ::ng-deep .dropdown-menu-xxl-end[data-bs-popper]{right:0;left:auto}}:host ::ng-deep .dropup .dropdown-menu[data-bs-popper]{top:auto;bottom:100%;margin-top:0;margin-bottom:var(--bs-dropdown-spacer)}:host ::ng-deep .dropup .dropdown-toggle:after{display:inline-block;margin-left:.255em;vertical-align:.255em;content:\"\";border-top:0;border-right:.3em solid transparent;border-bottom:.3em solid;border-left:.3em solid transparent}:host ::ng-deep .dropup .dropdown-toggle:empty:after{margin-left:0}:host ::ng-deep .dropend .dropdown-menu[data-bs-popper]{top:0;right:auto;left:100%;margin-top:0;margin-left:var(--bs-dropdown-spacer)}:host ::ng-deep .dropend .dropdown-toggle:after{display:inline-block;margin-left:.255em;vertical-align:.255em;content:\"\";border-top:.3em solid transparent;border-right:0;border-bottom:.3em solid transparent;border-left:.3em solid}:host ::ng-deep .dropend .dropdown-toggle:empty:after{margin-left:0}:host ::ng-deep .dropend .dropdown-toggle:after{vertical-align:0}:host ::ng-deep .dropstart .dropdown-menu[data-bs-popper]{top:0;right:100%;left:auto;margin-top:0;margin-right:var(--bs-dropdown-spacer)}:host ::ng-deep .dropstart .dropdown-toggle:after{display:inline-block;margin-left:.255em;vertical-align:.255em;content:\"\"}:host ::ng-deep .dropstart .dropdown-toggle:after{display:none}:host ::ng-deep .dropstart .dropdown-toggle:before{display:inline-block;margin-right:.255em;vertical-align:.255em;content:\"\";border-top:.3em solid transparent;border-right:.3em solid;border-bottom:.3em solid transparent}:host ::ng-deep .dropstart .dropdown-toggle:empty:after{margin-left:0}:host ::ng-deep .dropstart .dropdown-toggle:before{vertical-align:0}:host ::ng-deep .dropdown-divider{height:0;margin:var(--bs-dropdown-divider-margin-y) 0;overflow:hidden;border-top:1px solid var(--bs-dropdown-divider-bg);opacity:1}:host ::ng-deep .dropdown-item{display:block;width:100%;padding:var(--bs-dropdown-item-padding-y) var(--bs-dropdown-item-padding-x);clear:both;font-weight:400;color:var(--bs-dropdown-link-color);text-align:inherit;text-decoration:none;white-space:nowrap;background-color:transparent;border:0}:host ::ng-deep .dropdown-item:hover,:host ::ng-deep .dropdown-item:focus{color:var(--bs-dropdown-link-hover-color);background-color:var(--bs-dropdown-link-hover-bg)}:host ::ng-deep .dropdown-item.active,:host ::ng-deep .dropdown-item:active{color:var(--bs-dropdown-link-active-color);text-decoration:none;background-color:var(--bs-dropdown-link-active-bg)}:host ::ng-deep .dropdown-item.disabled,:host ::ng-deep .dropdown-item:disabled{color:var(--bs-dropdown-link-disabled-color);pointer-events:none;background-color:transparent}:host ::ng-deep .dropdown-menu.show{display:block}:host ::ng-deep .dropdown-header{display:block;padding:var(--bs-dropdown-header-padding-y) var(--bs-dropdown-header-padding-x);margin-bottom:0;font-size:.875rem;color:var(--bs-dropdown-header-color);white-space:nowrap}:host ::ng-deep .dropdown-item-text{display:block;padding:var(--bs-dropdown-item-padding-y) var(--bs-dropdown-item-padding-x);color:var(--bs-dropdown-link-color)}:host ::ng-deep .dropdown-menu-dark{--bs-dropdown-color: #dee2e6;--bs-dropdown-bg: #343a40;--bs-dropdown-border-color: var(--bs-border-color-translucent);--bs-dropdown-box-shadow: ;--bs-dropdown-link-color: #dee2e6;--bs-dropdown-link-hover-color: #fff;--bs-dropdown-divider-bg: var(--bs-border-color-translucent);--bs-dropdown-link-hover-bg: rgba(255, 255, 255, .15);--bs-dropdown-link-active-color: #fff;--bs-dropdown-link-active-bg: #0d6efd;--bs-dropdown-link-disabled-color: #adb5bd;--bs-dropdown-header-color: #adb5bd}:host ::ng-deep .nav{--bs-nav-link-padding-x: 1rem;--bs-nav-link-padding-y: .5rem;--bs-nav-link-font-weight: ;--bs-nav-link-color: var(--bs-link-color);--bs-nav-link-hover-color: var(--bs-link-hover-color);--bs-nav-link-disabled-color: #6c757d;display:flex;flex-wrap:wrap;padding-left:0;margin-bottom:0;list-style:none}:host ::ng-deep .nav-link{display:block;padding:var(--bs-nav-link-padding-y) var(--bs-nav-link-padding-x);font-size:var(--bs-nav-link-font-size);font-weight:var(--bs-nav-link-font-weight);color:var(--bs-nav-link-color);text-decoration:none;transition:color .15s ease-in-out,background-color .15s ease-in-out,border-color .15s ease-in-out}@media (prefers-reduced-motion: reduce){:host ::ng-deep .nav-link{transition:none}}:host ::ng-deep .nav-link:hover,:host ::ng-deep .nav-link:focus{color:var(--bs-nav-link-hover-color)}:host ::ng-deep .nav-link.disabled{color:var(--bs-nav-link-disabled-color);pointer-events:none;cursor:default}:host ::ng-deep .nav-tabs{--bs-nav-tabs-border-width: 1px;--bs-nav-tabs-border-color: #dee2e6;--bs-nav-tabs-border-radius: .375rem;--bs-nav-tabs-link-hover-border-color: #e9ecef #e9ecef #dee2e6;--bs-nav-tabs-link-active-color: #495057;--bs-nav-tabs-link-active-bg: #fff;--bs-nav-tabs-link-active-border-color: #dee2e6 #dee2e6 #fff;border-bottom:var(--bs-nav-tabs-border-width) solid var(--bs-nav-tabs-border-color)}:host ::ng-deep .nav-tabs .nav-link{margin-bottom:calc(-1 * var(--bs-nav-tabs-border-width));background:none;border:var(--bs-nav-tabs-border-width) solid transparent;border-top-left-radius:var(--bs-nav-tabs-border-radius);border-top-right-radius:var(--bs-nav-tabs-border-radius)}:host ::ng-deep .nav-tabs .nav-link:hover,:host ::ng-deep .nav-tabs .nav-link:focus{isolation:isolate;border-color:var(--bs-nav-tabs-link-hover-border-color)}:host ::ng-deep .nav-tabs .nav-link.disabled,:host ::ng-deep .nav-tabs .nav-link:disabled{color:var(--bs-nav-link-disabled-color);background-color:transparent;border-color:transparent}:host ::ng-deep .nav-tabs .nav-link.active,:host ::ng-deep .nav-tabs .nav-item.show .nav-link{color:var(--bs-nav-tabs-link-active-color);background-color:var(--bs-nav-tabs-link-active-bg);border-color:var(--bs-nav-tabs-link-active-border-color)}:host ::ng-deep .nav-tabs .dropdown-menu{margin-top:calc(-1 * var(--bs-nav-tabs-border-width));border-top-left-radius:0;border-top-right-radius:0}:host ::ng-deep .nav-pills{--bs-nav-pills-border-radius: .375rem;--bs-nav-pills-link-active-color: #fff;--bs-nav-pills-link-active-bg: #0d6efd}:host ::ng-deep .nav-pills .nav-link{background:none;border:0;border-radius:var(--bs-nav-pills-border-radius)}:host ::ng-deep .nav-pills .nav-link:disabled{color:var(--bs-nav-link-disabled-color);background-color:transparent;border-color:transparent}:host ::ng-deep .nav-pills .nav-link.active,:host ::ng-deep .nav-pills .show>.nav-link{color:var(--bs-nav-pills-link-active-color);background-color:var(--bs-nav-pills-link-active-bg)}:host ::ng-deep .nav-fill>.nav-link,:host ::ng-deep .nav-fill .nav-item{flex:1 1 auto;text-align:center}:host ::ng-deep .nav-justified>.nav-link,:host ::ng-deep .nav-justified .nav-item{flex-basis:0;flex-grow:1;text-align:center}:host ::ng-deep .nav-fill .nav-item .nav-link,:host ::ng-deep .nav-justified .nav-item .nav-link{width:100%}:host ::ng-deep .tab-content>.tab-pane{display:none}:host ::ng-deep .tab-content>.active{display:block}:host ::ng-deep .navbar{--bs-navbar-padding-x: 0;--bs-navbar-padding-y: .5rem;--bs-navbar-color: rgba(0, 0, 0, .55);--bs-navbar-hover-color: rgba(0, 0, 0, .7);--bs-navbar-disabled-color: rgba(0, 0, 0, .3);--bs-navbar-active-color: rgba(0, 0, 0, .9);--bs-navbar-brand-padding-y: .3125rem;--bs-navbar-brand-margin-end: 1rem;--bs-navbar-brand-font-size: 1.25rem;--bs-navbar-brand-color: rgba(0, 0, 0, .9);--bs-navbar-brand-hover-color: rgba(0, 0, 0, .9);--bs-navbar-nav-link-padding-x: .5rem;--bs-navbar-toggler-padding-y: .25rem;--bs-navbar-toggler-padding-x: .75rem;--bs-navbar-toggler-font-size: 1.25rem;--bs-navbar-toggler-icon-bg: url(\"data:image/svg+xml,%3csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 30 30'%3e%3cpath stroke='rgba%280, 0, 0, 0.55%29' stroke-linecap='round' stroke-miterlimit='10' stroke-width='2' d='M4 7h22M4 15h22M4 23h22'/%3e%3c/svg%3e\");--bs-navbar-toggler-border-color: rgba(0, 0, 0, .1);--bs-navbar-toggler-border-radius: .375rem;--bs-navbar-toggler-focus-width: .25rem;--bs-navbar-toggler-transition: box-shadow .15s ease-in-out;position:relative;display:flex;flex-wrap:wrap;align-items:center;justify-content:space-between;padding:var(--bs-navbar-padding-y) var(--bs-navbar-padding-x)}:host ::ng-deep .navbar>.container,:host ::ng-deep .navbar>.container-fluid,:host ::ng-deep .navbar>.container-sm,:host ::ng-deep .navbar>.container-md,:host ::ng-deep .navbar>.container-lg,:host ::ng-deep .navbar>.container-xl,:host ::ng-deep .navbar>.container-xxl{display:flex;flex-wrap:inherit;align-items:center;justify-content:space-between}:host ::ng-deep .navbar-brand{padding-top:var(--bs-navbar-brand-padding-y);padding-bottom:var(--bs-navbar-brand-padding-y);margin-right:var(--bs-navbar-brand-margin-end);font-size:var(--bs-navbar-brand-font-size);color:var(--bs-navbar-brand-color);text-decoration:none;white-space:nowrap}:host ::ng-deep .navbar-brand:hover,:host ::ng-deep .navbar-brand:focus{color:var(--bs-navbar-brand-hover-color)}:host ::ng-deep .navbar-nav{--bs-nav-link-padding-x: 0;--bs-nav-link-padding-y: .5rem;--bs-nav-link-font-weight: ;--bs-nav-link-color: var(--bs-navbar-color);--bs-nav-link-hover-color: var(--bs-navbar-hover-color);--bs-nav-link-disabled-color: var(--bs-navbar-disabled-color);display:flex;flex-direction:column;padding-left:0;margin-bottom:0;list-style:none}:host ::ng-deep .navbar-nav .show>.nav-link,:host ::ng-deep .navbar-nav .nav-link.active{color:var(--bs-navbar-active-color)}:host ::ng-deep .navbar-nav .dropdown-menu{position:static}:host ::ng-deep .navbar-text{padding-top:.5rem;padding-bottom:.5rem;color:var(--bs-navbar-color)}:host ::ng-deep .navbar-text a,:host ::ng-deep .navbar-text a:hover,:host ::ng-deep .navbar-text a:focus{color:var(--bs-navbar-active-color)}:host ::ng-deep .navbar-collapse{flex-basis:100%;flex-grow:1;align-items:center}:host ::ng-deep .navbar-toggler{padding:var(--bs-navbar-toggler-padding-y) var(--bs-navbar-toggler-padding-x);font-size:var(--bs-navbar-toggler-font-size);line-height:1;color:var(--bs-navbar-color);background-color:transparent;border:var(--bs-border-width) solid var(--bs-navbar-toggler-border-color);border-radius:var(--bs-navbar-toggler-border-radius);transition:var(--bs-navbar-toggler-transition)}@media (prefers-reduced-motion: reduce){:host ::ng-deep .navbar-toggler{transition:none}}:host ::ng-deep .navbar-toggler:hover{text-decoration:none}:host ::ng-deep .navbar-toggler:focus{text-decoration:none;outline:0;box-shadow:0 0 0 var(--bs-navbar-toggler-focus-width)}:host ::ng-deep .navbar-toggler-icon{display:inline-block;width:1.5em;height:1.5em;vertical-align:middle;background-image:var(--bs-navbar-toggler-icon-bg);background-repeat:no-repeat;background-position:center;background-size:100%}:host ::ng-deep .navbar-nav-scroll{max-height:var(--bs-scroll-height, 75vh);overflow-y:auto}@media (min-width: 576px){:host ::ng-deep .navbar-expand-sm{flex-wrap:nowrap;justify-content:flex-start}:host ::ng-deep .navbar-expand-sm .navbar-nav{flex-direction:row}:host ::ng-deep .navbar-expand-sm .navbar-nav .dropdown-menu{position:absolute}:host ::ng-deep .navbar-expand-sm .navbar-nav .nav-link{padding-right:var(--bs-navbar-nav-link-padding-x);padding-left:var(--bs-navbar-nav-link-padding-x)}:host ::ng-deep .navbar-expand-sm .navbar-nav-scroll{overflow:visible}:host ::ng-deep .navbar-expand-sm .navbar-collapse{display:flex!important;flex-basis:auto}:host ::ng-deep .navbar-expand-sm .navbar-toggler{display:none}:host ::ng-deep .navbar-expand-sm .offcanvas{position:static;z-index:auto;flex-grow:1;width:auto!important;height:auto!important;visibility:visible!important;background-color:transparent!important;border:0!important;transform:none!important;transition:none}:host ::ng-deep .navbar-expand-sm .offcanvas .offcanvas-header{display:none}:host ::ng-deep .navbar-expand-sm .offcanvas .offcanvas-body{display:flex;flex-grow:0;padding:0;overflow-y:visible}}@media (min-width: 768px){:host ::ng-deep .navbar-expand-md{flex-wrap:nowrap;justify-content:flex-start}:host ::ng-deep .navbar-expand-md .navbar-nav{flex-direction:row}:host ::ng-deep .navbar-expand-md .navbar-nav .dropdown-menu{position:absolute}:host ::ng-deep .navbar-expand-md .navbar-nav .nav-link{padding-right:var(--bs-navbar-nav-link-padding-x);padding-left:var(--bs-navbar-nav-link-padding-x)}:host ::ng-deep .navbar-expand-md .navbar-nav-scroll{overflow:visible}:host ::ng-deep .navbar-expand-md .navbar-collapse{display:flex!important;flex-basis:auto}:host ::ng-deep .navbar-expand-md .navbar-toggler{display:none}:host ::ng-deep .navbar-expand-md .offcanvas{position:static;z-index:auto;flex-grow:1;width:auto!important;height:auto!important;visibility:visible!important;background-color:transparent!important;border:0!important;transform:none!important;transition:none}:host ::ng-deep .navbar-expand-md .offcanvas .offcanvas-header{display:none}:host ::ng-deep .navbar-expand-md .offcanvas .offcanvas-body{display:flex;flex-grow:0;padding:0;overflow-y:visible}}@media (min-width: 992px){:host ::ng-deep .navbar-expand-lg{flex-wrap:nowrap;justify-content:flex-start}:host ::ng-deep .navbar-expand-lg .navbar-nav{flex-direction:row}:host ::ng-deep .navbar-expand-lg .navbar-nav .dropdown-menu{position:absolute}:host ::ng-deep .navbar-expand-lg .navbar-nav .nav-link{padding-right:var(--bs-navbar-nav-link-padding-x);padding-left:var(--bs-navbar-nav-link-padding-x)}:host ::ng-deep .navbar-expand-lg .navbar-nav-scroll{overflow:visible}:host ::ng-deep .navbar-expand-lg .navbar-collapse{display:flex!important;flex-basis:auto}:host ::ng-deep .navbar-expand-lg .navbar-toggler{display:none}:host ::ng-deep .navbar-expand-lg .offcanvas{position:static;z-index:auto;flex-grow:1;width:auto!important;height:auto!important;visibility:visible!important;background-color:transparent!important;border:0!important;transform:none!important;transition:none}:host ::ng-deep .navbar-expand-lg .offcanvas .offcanvas-header{display:none}:host ::ng-deep .navbar-expand-lg .offcanvas .offcanvas-body{display:flex;flex-grow:0;padding:0;overflow-y:visible}}@media (min-width: 1200px){:host ::ng-deep .navbar-expand-xl{flex-wrap:nowrap;justify-content:flex-start}:host ::ng-deep .navbar-expand-xl .navbar-nav{flex-direction:row}:host ::ng-deep .navbar-expand-xl .navbar-nav .dropdown-menu{position:absolute}:host ::ng-deep .navbar-expand-xl .navbar-nav .nav-link{padding-right:var(--bs-navbar-nav-link-padding-x);padding-left:var(--bs-navbar-nav-link-padding-x)}:host ::ng-deep .navbar-expand-xl .navbar-nav-scroll{overflow:visible}:host ::ng-deep .navbar-expand-xl .navbar-collapse{display:flex!important;flex-basis:auto}:host ::ng-deep .navbar-expand-xl .navbar-toggler{display:none}:host ::ng-deep .navbar-expand-xl .offcanvas{position:static;z-index:auto;flex-grow:1;width:auto!important;height:auto!important;visibility:visible!important;background-color:transparent!important;border:0!important;transform:none!important;transition:none}:host ::ng-deep .navbar-expand-xl .offcanvas .offcanvas-header{display:none}:host ::ng-deep .navbar-expand-xl .offcanvas .offcanvas-body{display:flex;flex-grow:0;padding:0;overflow-y:visible}}@media (min-width: 1400px){:host ::ng-deep .navbar-expand-xxl{flex-wrap:nowrap;justify-content:flex-start}:host ::ng-deep .navbar-expand-xxl .navbar-nav{flex-direction:row}:host ::ng-deep .navbar-expand-xxl .navbar-nav .dropdown-menu{position:absolute}:host ::ng-deep .navbar-expand-xxl .navbar-nav .nav-link{padding-right:var(--bs-navbar-nav-link-padding-x);padding-left:var(--bs-navbar-nav-link-padding-x)}:host ::ng-deep .navbar-expand-xxl .navbar-nav-scroll{overflow:visible}:host ::ng-deep .navbar-expand-xxl .navbar-collapse{display:flex!important;flex-basis:auto}:host ::ng-deep .navbar-expand-xxl .navbar-toggler{display:none}:host ::ng-deep .navbar-expand-xxl .offcanvas{position:static;z-index:auto;flex-grow:1;width:auto!important;height:auto!important;visibility:visible!important;background-color:transparent!important;border:0!important;transform:none!important;transition:none}:host ::ng-deep .navbar-expand-xxl .offcanvas .offcanvas-header{display:none}:host ::ng-deep .navbar-expand-xxl .offcanvas .offcanvas-body{display:flex;flex-grow:0;padding:0;overflow-y:visible}}:host ::ng-deep .navbar-expand{flex-wrap:nowrap;justify-content:flex-start}:host ::ng-deep .navbar-expand .navbar-nav{flex-direction:row}:host ::ng-deep .navbar-expand .navbar-nav .dropdown-menu{position:absolute}:host ::ng-deep .navbar-expand .navbar-nav .nav-link{padding-right:var(--bs-navbar-nav-link-padding-x);padding-left:var(--bs-navbar-nav-link-padding-x)}:host ::ng-deep .navbar-expand .navbar-nav-scroll{overflow:visible}:host ::ng-deep .navbar-expand .navbar-collapse{display:flex!important;flex-basis:auto}:host ::ng-deep .navbar-expand .navbar-toggler{display:none}:host ::ng-deep .navbar-expand .offcanvas{position:static;z-index:auto;flex-grow:1;width:auto!important;height:auto!important;visibility:visible!important;background-color:transparent!important;border:0!important;transform:none!important;transition:none}:host ::ng-deep .navbar-expand .offcanvas .offcanvas-header{display:none}:host ::ng-deep .navbar-expand .offcanvas .offcanvas-body{display:flex;flex-grow:0;padding:0;overflow-y:visible}:host ::ng-deep .navbar-dark{--bs-navbar-color: rgba(255, 255, 255, .55);--bs-navbar-hover-color: rgba(255, 255, 255, .75);--bs-navbar-disabled-color: rgba(255, 255, 255, .25);--bs-navbar-active-color: #fff;--bs-navbar-brand-color: #fff;--bs-navbar-brand-hover-color: #fff;--bs-navbar-toggler-border-color: rgba(255, 255, 255, .1);--bs-navbar-toggler-icon-bg: url(\"data:image/svg+xml,%3csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 30 30'%3e%3cpath stroke='rgba%28255, 255, 255, 0.55%29' stroke-linecap='round' stroke-miterlimit='10' stroke-width='2' d='M4 7h22M4 15h22M4 23h22'/%3e%3c/svg%3e\")}nav{left:0;top:0;right:0;z-index:10}@media (max-width: 767px){nav.position-fixed{max-height:100%;overflow-y:scroll;margin-right:-17px}}@media (min-width: 768px){.mx-md-unset{margin-left:0!important;margin-right:0!important}.w-md-auto{width:auto!important}}.tw{margin:-.5rem -.6666666667rem}\n"] }]
        }], propDecorators: { nav: [{
                type: ViewChild,
                args: ['nav']
            }], autoclose: [{
                type: Input
            }] } });

class BsNavbarNavComponent {
    constructor(bsNavbar) {
        this.collapse$ = new BehaviorSubject(true);
        this.windowWidth$ = new BehaviorSubject(null);
        this.isResizing$ = new BehaviorSubject(false);
        this.destroyed$ = new Subject();
        this.bsNavbar = bsNavbar;
        this.showNavs$ = combineLatest([this.bsNavbar.isExpanded$, this.windowWidth$])
            .pipe(filter(([isExpanded, windowWidth]) => {
            return windowWidth !== null;
        }))
            .pipe(map(([isExpanded, windowWidth]) => {
            if (windowWidth === null) {
                throw 'windowWidth should not be null here';
            }
            else if (windowWidth >= 768) {
                return true;
            }
            else if (isExpanded) {
                return true;
            }
            else {
                return false;
            }
        }));
        this.windowWidth$
            .pipe(debounceTime(300), takeUntil(this.destroyed$))
            .subscribe(() => {
            this.isResizing$.next(false);
        });
        this.onWindowResize();
    }
    ngOnDestroy() {
        this.destroyed$.next(true);
    }
    //#region collapse
    set collapse(value) {
        this.collapse$.next(value);
    }
    get collapse() {
        return this.collapse$.value;
    }
    //#endregion
    onWindowResize() {
        this.isResizing$.next(true);
        if (typeof window !== 'undefined') {
            this.windowWidth$.next(window.innerWidth);
        }
    }
}
BsNavbarNavComponent.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "14.2.2", ngImport: i0, type: BsNavbarNavComponent, deps: [{ token: BsNavbarComponent }], target: i0.ɵɵFactoryTarget.Component });
BsNavbarNavComponent.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "14.2.2", type: BsNavbarNavComponent, selector: "bs-navbar-nav", inputs: { collapse: "collapse" }, host: { listeners: { "window:resize": "onWindowResize()" } }, ngImport: i0, template: "<div class=\"navbar-collapse w-100 show\" [class.collapse]=\"collapse$ | async\" *ngIf=\"showNavs$ | async\" [@slideUpDown] [@.disabled]=\"isResizing$ | async\">\n    <ul class=\"navbar-nav mr-auto\">\n        <ng-content></ng-content>\n    </ul>\n</div>", styles: [":host{margin-right:auto}@media screen and (max-width: 767px){:host{width:100%!important}.navbar-collapse.collapse{overflow:hidden}}\n"], dependencies: [{ kind: "directive", type: i1.NgIf, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }, { kind: "pipe", type: i1.AsyncPipe, name: "async" }], animations: [SlideUpDownAnimation] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "14.2.2", ngImport: i0, type: BsNavbarNavComponent, decorators: [{
            type: Component,
            args: [{ selector: 'bs-navbar-nav', animations: [SlideUpDownAnimation], template: "<div class=\"navbar-collapse w-100 show\" [class.collapse]=\"collapse$ | async\" *ngIf=\"showNavs$ | async\" [@slideUpDown] [@.disabled]=\"isResizing$ | async\">\n    <ul class=\"navbar-nav mr-auto\">\n        <ng-content></ng-content>\n    </ul>\n</div>", styles: [":host{margin-right:auto}@media screen and (max-width: 767px){:host{width:100%!important}.navbar-collapse.collapse{overflow:hidden}}\n"] }]
        }], ctorParameters: function () { return [{ type: BsNavbarComponent }]; }, propDecorators: { collapse: [{
                type: Input
            }], onWindowResize: [{
                type: HostListener,
                args: ['window:resize']
            }] } });

class BsNavbarItemComponent {
    constructor(navbar, parentDropdown, element) {
        this.navbar = navbar;
        this.element = element;
        this.hasDropdown = false;
        this.anchorTag = null;
        this.parentDropdown = parentDropdown;
    }
    ngAfterContentChecked() {
        this.anchorTag = this.element.nativeElement.querySelector('li a');
        if (this.hasDropdown) {
            (this.anchorTag) && this.anchorTag.classList.add('dropdown-toggle');
            if (this.anchorTag && !this.anchorTag.getAttribute('close-init-b')) {
                this.anchorTag.setAttribute('close-init-b', '1');
                this.anchorTag.addEventListener('click', (ev) => {
                    ev.preventDefault();
                    // Normally there should be only one dropdown in this list
                    this.dropdowns.forEach((dropdown) => {
                        if (!(dropdown.isVisible = !dropdown.isVisible)) {
                            dropdown.childDropdowns.forEach((child) => {
                                child.isVisible = false;
                            });
                        }
                    });
                    return false;
                });
            }
        }
        else {
            // Close if this is a link
            if ((this.dropdowns.length === 0) && this.anchorTag && !this.anchorTag.getAttribute('close-init-a')) {
                this.anchorTag.setAttribute('close-init-a', '1');
                this.anchorTag.addEventListener('click', (ev) => {
                    let d = this.parentDropdown;
                    while (d && d.autoclose) {
                        d.isVisible = false;
                        d = d.parentDropdown;
                    }
                    if (this.navbar.autoclose) {
                        this.navbar.isExpanded$.next(false);
                    }
                });
            }
        }
    }
}
BsNavbarItemComponent.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "14.2.2", ngImport: i0, type: BsNavbarItemComponent, deps: [{ token: BsNavbarComponent }, { token: BsNavbarDropdownComponent, optional: true }, { token: i0.ElementRef }], target: i0.ɵɵFactoryTarget.Component });
BsNavbarItemComponent.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "14.2.2", type: BsNavbarItemComponent, selector: "bs-navbar-item", queries: [{ propertyName: "dropdowns", predicate: i0.forwardRef(function () { return BsNavbarDropdownComponent; }) }], ngImport: i0, template: "<li [class.nav-item]=\"parentDropdown === null\" [class.dropdown]=\"(dropdowns.length > 0) && (parentDropdown === null)\" [class.dropend]=\"(dropdowns.length > 0) && (parentDropdown !== null)\">\n    <ng-content></ng-content>\n</li>", styles: ["li.dropend ::ng-deep a.dropdown-toggle{padding-right:1.5rem}li.dropend ::ng-deep a.dropdown-toggle:after{position:absolute;right:.5rem;top:.75rem}\n"] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "14.2.2", ngImport: i0, type: BsNavbarItemComponent, decorators: [{
            type: Component,
            args: [{ selector: 'bs-navbar-item', template: "<li [class.nav-item]=\"parentDropdown === null\" [class.dropdown]=\"(dropdowns.length > 0) && (parentDropdown === null)\" [class.dropend]=\"(dropdowns.length > 0) && (parentDropdown !== null)\">\n    <ng-content></ng-content>\n</li>", styles: ["li.dropend ::ng-deep a.dropdown-toggle{padding-right:1.5rem}li.dropend ::ng-deep a.dropdown-toggle:after{position:absolute;right:.5rem;top:.75rem}\n"] }]
        }], ctorParameters: function () { return [{ type: BsNavbarComponent }, { type: BsNavbarDropdownComponent, decorators: [{
                    type: Optional
                }] }, { type: i0.ElementRef }]; }, propDecorators: { dropdowns: [{
                type: ContentChildren,
                args: [forwardRef(() => BsNavbarDropdownComponent)]
            }] } });

class BsNavbarDropdownComponent {
    constructor(parentDropdown, navbarItem, element, document) {
        this.element = element;
        this.document = document;
        this.autoclose = true;
        this.destroyed$ = new Subject();
        this.topPos$ = new BehaviorSubject(null);
        //#region IsVisible
        this.isVisible$ = new BehaviorSubject(false);
        this.parentDropdown = parentDropdown;
        this.navbarItem = navbarItem;
        this.isVisible$.pipe(takeUntil(this.destroyed$)).subscribe((isVisible) => {
            if (isVisible) {
                this.topPos$.next(this.element.nativeElement.offsetTop);
            }
            else {
                this.topPos$.next(null);
            }
        });
        this.maxHeight$ = this.topPos$.pipe(map((topPos) => {
            const w = this.document.defaultView;
            if (!topPos) {
                return null;
            }
            else if (w) {
                const style = w.getComputedStyle(this.dropdownElement.nativeElement);
                return `calc(100vh - ${topPos}px - ${style.getPropertyValue('padding-top')} - ${style.getPropertyValue('padding-bottom')})`;
            }
            else {
                return null;
            }
        }));
    }
    get isVisible() {
        return this.isVisible$.value;
    }
    set isVisible(value) {
        this.isVisible$.next(value);
    }
    //#endregion
    get elementsToExclude() {
        return [this.navbarItem.anchorTag].filter((a) => a).map((a) => a);
    }
    ngOnDestroy() {
        this.destroyed$.next(true);
    }
}
BsNavbarDropdownComponent.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "14.2.2", ngImport: i0, type: BsNavbarDropdownComponent, deps: [{ token: BsNavbarDropdownComponent, host: true, optional: true, skipSelf: true }, { token: forwardRef(() => BsNavbarItemComponent), host: true }, { token: i0.ElementRef }, { token: DOCUMENT }], target: i0.ɵɵFactoryTarget.Component });
BsNavbarDropdownComponent.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "14.2.2", type: BsNavbarDropdownComponent, selector: "bs-navbar-dropdown", inputs: { autoclose: "autoclose" }, queries: [{ propertyName: "childDropdowns", predicate: i0.forwardRef(function () { return BsNavbarDropdownComponent; }), descendants: true }], viewQueries: [{ propertyName: "dropdownElement", first: true, predicate: ["dd"], descendants: true }], ngImport: i0, template: "<ul #dd class=\"dropdown-menu overflow-auto\" [class.show]=\"isVisible\" [class.submenu]=\"!!parentDropdown\" [style.max-height]=\"maxHeight$ | async\" (clickOutside)=\"isVisible = false\" [exclude]=\"elementsToExclude\" aria-labelledby=\"navbarDropdown\">\n    <ng-content></ng-content>\n</ul>", styles: ["@media (max-width: 767px){.submenu{margin-left:.5rem;margin-right:.5rem}}@media (min-width: 768px){.submenu{position:absolute;left:100%;top:-1px;margin-top:-.5rem}}\n"], dependencies: [{ kind: "directive", type: i1$2.ClickOutsideDirective, selector: "[clickOutside]", inputs: ["clickOutsideEnabled", "attachOutsideOnClick", "delayClickOutsideInit", "emitOnBlur", "exclude", "excludeBeforeClick", "clickOutsideEvents"], outputs: ["clickOutside"] }, { kind: "pipe", type: i1.AsyncPipe, name: "async" }] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "14.2.2", ngImport: i0, type: BsNavbarDropdownComponent, decorators: [{
            type: Component,
            args: [{ selector: 'bs-navbar-dropdown', template: "<ul #dd class=\"dropdown-menu overflow-auto\" [class.show]=\"isVisible\" [class.submenu]=\"!!parentDropdown\" [style.max-height]=\"maxHeight$ | async\" (clickOutside)=\"isVisible = false\" [exclude]=\"elementsToExclude\" aria-labelledby=\"navbarDropdown\">\n    <ng-content></ng-content>\n</ul>", styles: ["@media (max-width: 767px){.submenu{margin-left:.5rem;margin-right:.5rem}}@media (min-width: 768px){.submenu{position:absolute;left:100%;top:-1px;margin-top:-.5rem}}\n"] }]
        }], ctorParameters: function () { return [{ type: BsNavbarDropdownComponent, decorators: [{
                    type: SkipSelf
                }, {
                    type: Host
                }, {
                    type: Optional
                }] }, { type: BsNavbarItemComponent, decorators: [{
                    type: Host
                }, {
                    type: Inject,
                    args: [forwardRef(() => BsNavbarItemComponent)]
                }] }, { type: i0.ElementRef }, { type: Document, decorators: [{
                    type: Inject,
                    args: [DOCUMENT]
                }] }]; }, propDecorators: { autoclose: [{
                type: Input
            }], dropdownElement: [{
                type: ViewChild,
                args: ['dd']
            }], childDropdowns: [{
                type: ContentChildren,
                args: [forwardRef(() => BsNavbarDropdownComponent), { descendants: true }]
            }] } });

class DropdownToggleDirective {
    constructor(elementRef, bsNavbarItem, parentDropdown) {
        this.elementRef = elementRef;
        this.bsNavbarItem = bsNavbarItem;
    }
    ngAfterContentInit() {
        if (this.bsNavbarItem.dropdowns.length > 0) {
            this.bsNavbarItem.hasDropdown = true;
        }
    }
}
DropdownToggleDirective.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "14.2.2", ngImport: i0, type: DropdownToggleDirective, deps: [{ token: i0.ElementRef }, { token: forwardRef(() => BsNavbarItemComponent) }, { token: forwardRef(() => BsNavbarDropdownComponent), optional: true }], target: i0.ɵɵFactoryTarget.Directive });
DropdownToggleDirective.ɵdir = i0.ɵɵngDeclareDirective({ minVersion: "14.0.0", version: "14.2.2", type: DropdownToggleDirective, selector: "bs-navbar-item", queries: [{ propertyName: "childDropdowns", predicate: BsNavbarDropdownComponent }], ngImport: i0 });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "14.2.2", ngImport: i0, type: DropdownToggleDirective, decorators: [{
            type: Directive,
            args: [{
                    // selector: 'bs-navbar-item > a[routerLink]',
                    selector: 'bs-navbar-item',
                    queries: {
                        childDropdowns: new ContentChildren(BsNavbarDropdownComponent)
                    }
                }]
        }], ctorParameters: function () { return [{ type: i0.ElementRef }, { type: BsNavbarItemComponent, decorators: [{
                    type: Inject,
                    args: [forwardRef(() => BsNavbarItemComponent)]
                }] }, { type: BsNavbarDropdownComponent, decorators: [{
                    type: Optional
                }, {
                    type: Inject,
                    args: [forwardRef(() => BsNavbarDropdownComponent)]
                }] }]; } });

class NavLinkDirective {
    constructor(elementRef, parentDropdown) {
        this.elementRef = elementRef;
        if (parentDropdown == null) {
            this.elementRef.nativeElement.classList.add('nav-link');
        }
        else {
            this.elementRef.nativeElement.classList.add('dropdown-item');
        }
    }
}
NavLinkDirective.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "14.2.2", ngImport: i0, type: NavLinkDirective, deps: [{ token: i0.ElementRef }, { token: forwardRef(() => BsNavbarDropdownComponent), optional: true }], target: i0.ɵɵFactoryTarget.Directive });
NavLinkDirective.ɵdir = i0.ɵɵngDeclareDirective({ minVersion: "14.0.0", version: "14.2.2", type: NavLinkDirective, selector: "bs-navbar-item > a[routerLink]", ngImport: i0 });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "14.2.2", ngImport: i0, type: NavLinkDirective, decorators: [{
            type: Directive,
            args: [{
                    selector: 'bs-navbar-item > a[routerLink]'
                }]
        }], ctorParameters: function () { return [{ type: i0.ElementRef }, { type: BsNavbarDropdownComponent, decorators: [{
                    type: Optional
                }, {
                    type: Inject,
                    args: [forwardRef(() => BsNavbarDropdownComponent)]
                }] }]; } });

class NavbarContentDirective {
    constructor(element, platformId) {
        this.element = element;
        this.platformId = platformId;
        this.destroyed$ = new Subject();
        this.viewInit$ = new BehaviorSubject(false);
        this.navbar$ = new BehaviorSubject(null);
        this.resizeObserver = null;
        this.initialPadding = 0;
        combineLatest([this.viewInit$, this.navbar$])
            .pipe(filter(([viewInit, navbar]) => {
            return viewInit && !!navbar;
        }))
            .pipe(take(1))
            .pipe(takeUntil(this.destroyed$))
            .subscribe(([viewInit, navbar]) => {
            if (!isPlatformServer(platformId)) {
                // Initialize the ResizeObserver
                this.resizeObserver = new ResizeObserver((entries) => {
                    const height = navbar
                        ? navbar.nav.nativeElement.offsetHeight
                        : entries[0].contentRect.height;
                    this.element.nativeElement.style.paddingTop = (this.initialPadding + height) + 'px';
                });
                // Monitor the size
                const px = getComputedStyle(this.element.nativeElement).getPropertyValue('padding-top');
                const pt = parseInt(px.replace(/px$/, ''));
                this.initialPadding = isNaN(pt) ? 0 : pt;
                if (this.resizeObserver && navbar) {
                    this.resizeObserver.observe(navbar.nav.nativeElement);
                }
            }
        });
        this.destroyed$
            .pipe(filter(d => !!d))
            .subscribe(() => {
            this.resizeObserver?.unobserve(this.navbar$.value?.nav.nativeElement);
        });
    }
    set navbar(value) {
        this.navbar$.next(value);
    }
    ngAfterViewInit() {
        this.viewInit$.next(true);
    }
    ngOnDestroy() {
        this.destroyed$.next(true);
    }
}
NavbarContentDirective.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "14.2.2", ngImport: i0, type: NavbarContentDirective, deps: [{ token: i0.ElementRef }, { token: PLATFORM_ID }], target: i0.ɵɵFactoryTarget.Directive });
NavbarContentDirective.ɵdir = i0.ɵɵngDeclareDirective({ minVersion: "14.0.0", version: "14.2.2", type: NavbarContentDirective, selector: "[navbarContent]", inputs: { navbar: ["navbarContent", "navbar"] }, ngImport: i0 });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "14.2.2", ngImport: i0, type: NavbarContentDirective, decorators: [{
            type: Directive,
            args: [{
                    selector: '[navbarContent]'
                }]
        }], ctorParameters: function () { return [{ type: i0.ElementRef }, { type: undefined, decorators: [{
                    type: Inject,
                    args: [PLATFORM_ID]
                }] }]; }, propDecorators: { navbar: [{
                type: Input,
                args: ['navbarContent']
            }] } });

class BsNavbarBrandComponent {
    constructor() {
        this.routerLink = [];
        this.mxAuto = true;
    }
}
BsNavbarBrandComponent.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "14.2.2", ngImport: i0, type: BsNavbarBrandComponent, deps: [], target: i0.ɵɵFactoryTarget.Component });
BsNavbarBrandComponent.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "14.2.2", type: BsNavbarBrandComponent, selector: "bs-navbar-brand", inputs: { routerLink: "routerLink" }, host: { properties: { "class.mx-auto": "this.mxAuto" } }, ngImport: i0, template: "<a class=\"navbar-brand mx-auto mx-md-unset\" [routerLink]=\"routerLink\">\n    <ng-content></ng-content>\n</a>", styles: [""], dependencies: [{ kind: "directive", type: i1$3.RouterLinkWithHref, selector: "a[routerLink],area[routerLink]", inputs: ["target", "queryParams", "fragment", "queryParamsHandling", "state", "relativeTo", "preserveFragment", "skipLocationChange", "replaceUrl", "routerLink"] }, { kind: "directive", type: NavLinkDirective, selector: "bs-navbar-item > a[routerLink]" }] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "14.2.2", ngImport: i0, type: BsNavbarBrandComponent, decorators: [{
            type: Component,
            args: [{ selector: 'bs-navbar-brand', template: "<a class=\"navbar-brand mx-auto mx-md-unset\" [routerLink]=\"routerLink\">\n    <ng-content></ng-content>\n</a>" }]
        }], propDecorators: { routerLink: [{
                type: Input
            }], mxAuto: [{
                type: HostBinding,
                args: ['class.mx-auto']
            }] } });

class BsExpandButtonDirective {
    constructor(navbar, templateRef) {
        navbar.expandButtonTemplate = templateRef;
    }
}
BsExpandButtonDirective.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "14.2.2", ngImport: i0, type: BsExpandButtonDirective, deps: [{ token: BsNavbarComponent }, { token: i0.TemplateRef }], target: i0.ɵɵFactoryTarget.Directive });
BsExpandButtonDirective.ɵdir = i0.ɵɵngDeclareDirective({ minVersion: "14.0.0", version: "14.2.2", type: BsExpandButtonDirective, selector: "[bsExpandButton]", ngImport: i0 });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "14.2.2", ngImport: i0, type: BsExpandButtonDirective, decorators: [{
            type: Directive,
            args: [{
                    selector: '[bsExpandButton]'
                }]
        }], ctorParameters: function () { return [{ type: BsNavbarComponent }, { type: i0.TemplateRef }]; } });

class BsNavbarTogglerComponent {
    constructor() {
        //#region State
        this._state = 'closed';
        this.stateChange = new EventEmitter();
        //#endregion
        this.toggleOnClick = true;
    }
    get state() {
        return this._state;
    }
    set state(value) {
        this._state = value;
        this.stateChange.emit(this._state);
    }
    toggleState(ev) {
        if (this.toggleOnClick) {
            switch (this._state) {
                case 'open':
                    this.state = 'closed';
                    break;
                default:
                    this.state = 'open';
                    break;
            }
        }
    }
}
BsNavbarTogglerComponent.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "14.2.2", ngImport: i0, type: BsNavbarTogglerComponent, deps: [], target: i0.ɵɵFactoryTarget.Component });
BsNavbarTogglerComponent.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "14.2.2", type: BsNavbarTogglerComponent, selector: "bs-navbar-toggler", inputs: { state: "state", toggleOnClick: "toggleOnClick" }, outputs: { stateChange: "stateChange" }, host: { listeners: { "click": "toggleState($event)" } }, ngImport: i0, template: "<div class=\"navbar-toggler float-left\" [ngClass]=\"state\">\n    <div></div>\n    <div></div>\n    <div></div>\n</div>", styles: [":host{align-self:start;top:0;right:0}.navbar-toggler{padding:.75rem 1rem;border:none}.navbar-toggler>div{width:25px;height:2px;background:#BBB;margin:6px 0;transition:.4s}.navbar-toggler.open>div:nth-of-type(1){transform:rotate(-45deg) translate(-7px,5px)}.navbar-toggler.open>div:nth-of-type(2){opacity:0}.navbar-toggler.open>div:nth-of-type(3){transform:rotate(45deg) translate(-6px,-4px)}@media (min-width: 768px){.navbar-toggler.auto>div:nth-of-type(1){transform:rotate(-45deg) translate(-7px,5px)}.navbar-toggler.auto>div:nth-of-type(2){opacity:0}.navbar-toggler.auto>div:nth-of-type(3){transform:rotate(45deg) translate(-6px,-4px)}}\n"], dependencies: [{ kind: "directive", type: i1.NgClass, selector: "[ngClass]", inputs: ["class", "ngClass"] }] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "14.2.2", ngImport: i0, type: BsNavbarTogglerComponent, decorators: [{
            type: Component,
            args: [{ selector: 'bs-navbar-toggler', template: "<div class=\"navbar-toggler float-left\" [ngClass]=\"state\">\n    <div></div>\n    <div></div>\n    <div></div>\n</div>", styles: [":host{align-self:start;top:0;right:0}.navbar-toggler{padding:.75rem 1rem;border:none}.navbar-toggler>div{width:25px;height:2px;background:#BBB;margin:6px 0;transition:.4s}.navbar-toggler.open>div:nth-of-type(1){transform:rotate(-45deg) translate(-7px,5px)}.navbar-toggler.open>div:nth-of-type(2){opacity:0}.navbar-toggler.open>div:nth-of-type(3){transform:rotate(45deg) translate(-6px,-4px)}@media (min-width: 768px){.navbar-toggler.auto>div:nth-of-type(1){transform:rotate(-45deg) translate(-7px,5px)}.navbar-toggler.auto>div:nth-of-type(2){opacity:0}.navbar-toggler.auto>div:nth-of-type(3){transform:rotate(45deg) translate(-6px,-4px)}}\n"] }]
        }], propDecorators: { stateChange: [{
                type: Output
            }], state: [{
                type: Input
            }], toggleOnClick: [{
                type: Input
            }], toggleState: [{
                type: HostListener,
                args: ['click', ['$event']]
            }] } });

class BsNavbarModule {
}
BsNavbarModule.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "14.2.2", ngImport: i0, type: BsNavbarModule, deps: [], target: i0.ɵɵFactoryTarget.NgModule });
BsNavbarModule.ɵmod = i0.ɵɵngDeclareNgModule({ minVersion: "14.0.0", version: "14.2.2", ngImport: i0, type: BsNavbarModule, declarations: [BsNavbarComponent,
        BsNavbarNavComponent,
        BsNavbarDropdownComponent,
        BsNavbarItemComponent,
        DropdownToggleDirective,
        NavLinkDirective,
        NavbarContentDirective,
        BsNavbarBrandComponent,
        BsExpandButtonDirective,
        BsNavbarTogglerComponent], imports: [CommonModule,
        RouterModule,
        ClickOutsideModule], exports: [BsNavbarComponent,
        BsNavbarNavComponent,
        BsNavbarDropdownComponent,
        BsNavbarItemComponent,
        DropdownToggleDirective,
        NavLinkDirective,
        NavbarContentDirective,
        BsNavbarBrandComponent,
        BsExpandButtonDirective,
        BsNavbarTogglerComponent] });
BsNavbarModule.ɵinj = i0.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "14.2.2", ngImport: i0, type: BsNavbarModule, imports: [CommonModule,
        RouterModule,
        ClickOutsideModule] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "14.2.2", ngImport: i0, type: BsNavbarModule, decorators: [{
            type: NgModule,
            args: [{
                    declarations: [
                        BsNavbarComponent,
                        BsNavbarNavComponent,
                        BsNavbarDropdownComponent,
                        BsNavbarItemComponent,
                        DropdownToggleDirective,
                        NavLinkDirective,
                        NavbarContentDirective,
                        BsNavbarBrandComponent,
                        BsExpandButtonDirective,
                        BsNavbarTogglerComponent
                    ],
                    imports: [
                        CommonModule,
                        RouterModule,
                        ClickOutsideModule
                    ],
                    exports: [
                        BsNavbarComponent,
                        BsNavbarNavComponent,
                        BsNavbarDropdownComponent,
                        BsNavbarItemComponent,
                        DropdownToggleDirective,
                        NavLinkDirective,
                        NavbarContentDirective,
                        BsNavbarBrandComponent,
                        BsExpandButtonDirective,
                        BsNavbarTogglerComponent
                    ]
                }]
        }] });

const OFFCANVAS_CONTENT = new InjectionToken('OffcanvasContent');

class BsOffcanvasComponent {
    constructor(contentTemplate) {
        this.destroyed$ = new Subject();
        this.disableTransition$ = new BehaviorSubject(false);
        this.offcanvasClass$ = new BehaviorSubject(null);
        this.hasBackdrop$ = new BehaviorSubject(false);
        //#region Position
        this.position$ = new BehaviorSubject('bottom');
        //#endregion
        //#region Size
        this.size$ = new BehaviorSubject(null);
        //#endregion
        //#region State
        this.state$ = new BehaviorSubject('closed');
        this.stateChange = new EventEmitter();
        //#endregion
        this.backdropClick = new EventEmitter();
        this.contentTemplate = contentTemplate;
        this.visibility$ = this.state$
            .pipe(delayWhen((val, i) => val ? of(0) : interval(300)))
            .pipe(map((val) => val ? 'visible' : 'hidden'));
        this.position$
            .pipe(takeUntil(this.destroyed$))
            .subscribe((position) => {
            this.disableTransition$.next(true);
            this.offcanvasClass$.next(`offcanvas-${position}`);
            setTimeout(() => this.disableTransition$.next(false));
        });
        this.width$ = combineLatest([this.position$, this.size$])
            .pipe(map(([position, size]) => {
            if (['start', 'end'].includes(position)) {
                return size;
            }
            else {
                return null;
            }
        }));
        this.height$ = combineLatest([this.position$, this.size$])
            .pipe(map(([position, size]) => {
            if (['top', 'bottom'].includes(position)) {
                return size;
            }
            else {
                return null;
            }
        }));
        this.overflowClass$ = this.position$
            .pipe(map((position) => {
            if (['top', 'bottom'].includes(position)) {
                return 'overflow-y-hidden';
            }
            else {
                return 'overflow-x-hidden';
            }
        }));
        this.showBackdrop$ = combineLatest([this.hasBackdrop$, this.state$])
            .pipe(map(([hasBackdrop, state]) => hasBackdrop && (state === 'open')));
        this.show$ = this.state$
            .pipe(map((state) => state === 'open'));
    }
    set position(value) {
        this.position$.next(value);
    }
    get position() {
        return this.position$.value;
    }
    set size(value) {
        this.size$.next(value);
    }
    get size() {
        return this.size$.value;
    }
    set state(value) {
        this.state$.next(value);
    }
    get state() {
        return this.state$.value;
    }
    onBackdropClick(ev) {
        this.backdropClick.emit(ev);
    }
    ngOnDestroy() {
        this.destroyed$.next(true);
    }
}
BsOffcanvasComponent.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "14.2.2", ngImport: i0, type: BsOffcanvasComponent, deps: [{ token: OFFCANVAS_CONTENT }], target: i0.ɵɵFactoryTarget.Component });
BsOffcanvasComponent.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "14.2.2", type: BsOffcanvasComponent, selector: "bs-offcanvas-holder", inputs: { position: "position", size: "size", state: "state" }, outputs: { stateChange: "stateChange", backdropClick: "backdropClick" }, ngImport: i0, template: "<div [@fadeInOut]=\"{value: ':leave', params: {duration: '300ms'} }\" *ngIf=\"showBackdrop$ | async\">\n    <div class=\"modal-backdrop show\" (click)=\"onBackdropClick($event)\"></div>\n</div>\n\n<div class=\"offcanvas\"\n    [class.show]=\"show$ | async\"\n    [class.disable-transition]=\"disableTransition$ | async\"\n    [class]=\"[offcanvasClass$ | async, overflowClass$ | async]\"\n    [style.height.px]=\"height$ | async\"\n    [style.width.px]=\"width$ | async\">\n    <ng-container *ngTemplateOutlet=\"contentTemplate\"></ng-container>\n</div>", styles: [":host ::ng-deep .modal{--bs-modal-zindex: 1055;--bs-modal-width: 500px;--bs-modal-padding: 1rem;--bs-modal-margin: .5rem;--bs-modal-color: ;--bs-modal-bg: #fff;--bs-modal-border-color: var(--bs-border-color-translucent);--bs-modal-border-width: 1px;--bs-modal-border-radius: .5rem;--bs-modal-box-shadow: 0 .125rem .25rem rgba(0, 0, 0, .075);--bs-modal-inner-border-radius:calc(.5rem - 1px);--bs-modal-header-padding-x: 1rem;--bs-modal-header-padding-y: 1rem;--bs-modal-header-padding: 1rem 1rem;--bs-modal-header-border-color: var(--bs-border-color);--bs-modal-header-border-width: 1px;--bs-modal-title-line-height: 1.5;--bs-modal-footer-gap: .5rem;--bs-modal-footer-bg: ;--bs-modal-footer-border-color: var(--bs-border-color);--bs-modal-footer-border-width: 1px;position:fixed;top:0;left:0;z-index:var(--bs-modal-zindex);display:none;width:100%;height:100%;overflow-x:hidden;overflow-y:auto;outline:0}:host ::ng-deep .modal-dialog{position:relative;width:auto;margin:var(--bs-modal-margin);pointer-events:none}.modal.fade :host ::ng-deep .modal-dialog{transition:transform .3s ease-out;transform:translateY(-50px)}@media (prefers-reduced-motion: reduce){.modal.fade :host ::ng-deep .modal-dialog{transition:none}}.modal.show :host ::ng-deep .modal-dialog{transform:none}.modal.modal-static :host ::ng-deep .modal-dialog{transform:scale(1.02)}:host ::ng-deep .modal-dialog-scrollable{height:calc(100% - var(--bs-modal-margin) * 2)}:host ::ng-deep .modal-dialog-scrollable .modal-content{max-height:100%;overflow:hidden}:host ::ng-deep .modal-dialog-scrollable .modal-body{overflow-y:auto}:host ::ng-deep .modal-dialog-centered{display:flex;align-items:center;min-height:calc(100% - var(--bs-modal-margin) * 2)}:host ::ng-deep .modal-content{position:relative;display:flex;flex-direction:column;width:100%;color:var(--bs-modal-color);pointer-events:auto;background-color:var(--bs-modal-bg);background-clip:padding-box;border:var(--bs-modal-border-width) solid var(--bs-modal-border-color);border-radius:var(--bs-modal-border-radius);outline:0}:host ::ng-deep .modal-backdrop{--bs-backdrop-zindex: 1050;--bs-backdrop-bg: #000;--bs-backdrop-opacity: .5;position:fixed;top:0;left:0;z-index:var(--bs-backdrop-zindex);width:100vw;height:100vh;background-color:var(--bs-backdrop-bg)}:host ::ng-deep .modal-backdrop.fade{opacity:0}:host ::ng-deep .modal-backdrop.show{opacity:var(--bs-backdrop-opacity)}:host ::ng-deep .modal-header{display:flex;flex-shrink:0;align-items:center;justify-content:space-between;padding:var(--bs-modal-header-padding);border-bottom:var(--bs-modal-header-border-width) solid var(--bs-modal-header-border-color);border-top-left-radius:var(--bs-modal-inner-border-radius);border-top-right-radius:var(--bs-modal-inner-border-radius)}:host ::ng-deep .modal-header .btn-close{padding:calc(var(--bs-modal-header-padding-y) * .5) calc(var(--bs-modal-header-padding-x) * .5);margin:calc(-.5 * var(--bs-modal-header-padding-y)) calc(-.5 * var(--bs-modal-header-padding-x)) calc(-.5 * var(--bs-modal-header-padding-y)) auto}:host ::ng-deep .modal-title{margin-bottom:0;line-height:var(--bs-modal-title-line-height)}:host ::ng-deep .modal-body{position:relative;flex:1 1 auto;padding:var(--bs-modal-padding)}:host ::ng-deep .modal-footer{display:flex;flex-shrink:0;flex-wrap:wrap;align-items:center;justify-content:flex-end;padding:calc(var(--bs-modal-padding) - var(--bs-modal-footer-gap) * .5);background-color:var(--bs-modal-footer-bg);border-top:var(--bs-modal-footer-border-width) solid var(--bs-modal-footer-border-color);border-bottom-right-radius:var(--bs-modal-inner-border-radius);border-bottom-left-radius:var(--bs-modal-inner-border-radius)}:host ::ng-deep .modal-footer>*{margin:calc(var(--bs-modal-footer-gap) * .5)}@media (min-width: 576px){:host ::ng-deep .modal{--bs-modal-margin: 1.75rem;--bs-modal-box-shadow: 0 .5rem 1rem rgba(0, 0, 0, .15)}:host ::ng-deep .modal-dialog{max-width:var(--bs-modal-width);margin-right:auto;margin-left:auto}:host ::ng-deep .modal-sm{--bs-modal-width: 300px}}@media (min-width: 992px){:host ::ng-deep .modal-lg,:host ::ng-deep .modal-xl{--bs-modal-width: 800px}}@media (min-width: 1200px){:host ::ng-deep .modal-xl{--bs-modal-width: 1140px}}:host ::ng-deep .modal-fullscreen{width:100vw;max-width:none;height:100%;margin:0}:host ::ng-deep .modal-fullscreen .modal-content{height:100%;border:0;border-radius:0}:host ::ng-deep .modal-fullscreen .modal-header,:host ::ng-deep .modal-fullscreen .modal-footer{border-radius:0}:host ::ng-deep .modal-fullscreen .modal-body{overflow-y:auto}@media (max-width: 575.98px){:host ::ng-deep .modal-fullscreen-sm-down{width:100vw;max-width:none;height:100%;margin:0}:host ::ng-deep .modal-fullscreen-sm-down .modal-content{height:100%;border:0;border-radius:0}:host ::ng-deep .modal-fullscreen-sm-down .modal-header,:host ::ng-deep .modal-fullscreen-sm-down .modal-footer{border-radius:0}:host ::ng-deep .modal-fullscreen-sm-down .modal-body{overflow-y:auto}}@media (max-width: 767.98px){:host ::ng-deep .modal-fullscreen-md-down{width:100vw;max-width:none;height:100%;margin:0}:host ::ng-deep .modal-fullscreen-md-down .modal-content{height:100%;border:0;border-radius:0}:host ::ng-deep .modal-fullscreen-md-down .modal-header,:host ::ng-deep .modal-fullscreen-md-down .modal-footer{border-radius:0}:host ::ng-deep .modal-fullscreen-md-down .modal-body{overflow-y:auto}}@media (max-width: 991.98px){:host ::ng-deep .modal-fullscreen-lg-down{width:100vw;max-width:none;height:100%;margin:0}:host ::ng-deep .modal-fullscreen-lg-down .modal-content{height:100%;border:0;border-radius:0}:host ::ng-deep .modal-fullscreen-lg-down .modal-header,:host ::ng-deep .modal-fullscreen-lg-down .modal-footer{border-radius:0}:host ::ng-deep .modal-fullscreen-lg-down .modal-body{overflow-y:auto}}@media (max-width: 1199.98px){:host ::ng-deep .modal-fullscreen-xl-down{width:100vw;max-width:none;height:100%;margin:0}:host ::ng-deep .modal-fullscreen-xl-down .modal-content{height:100%;border:0;border-radius:0}:host ::ng-deep .modal-fullscreen-xl-down .modal-header,:host ::ng-deep .modal-fullscreen-xl-down .modal-footer{border-radius:0}:host ::ng-deep .modal-fullscreen-xl-down .modal-body{overflow-y:auto}}@media (max-width: 1399.98px){:host ::ng-deep .modal-fullscreen-xxl-down{width:100vw;max-width:none;height:100%;margin:0}:host ::ng-deep .modal-fullscreen-xxl-down .modal-content{height:100%;border:0;border-radius:0}:host ::ng-deep .modal-fullscreen-xxl-down .modal-header,:host ::ng-deep .modal-fullscreen-xxl-down .modal-footer{border-radius:0}:host ::ng-deep .modal-fullscreen-xxl-down .modal-body{overflow-y:auto}}:host ::ng-deep .offcanvas,:host ::ng-deep .offcanvas-xxl,:host ::ng-deep .offcanvas-xl,:host ::ng-deep .offcanvas-lg,:host ::ng-deep .offcanvas-md,:host ::ng-deep .offcanvas-sm{--bs-offcanvas-zindex: 1045;--bs-offcanvas-width: 400px;--bs-offcanvas-height: 30vh;--bs-offcanvas-padding-x: 1rem;--bs-offcanvas-padding-y: 1rem;--bs-offcanvas-color: ;--bs-offcanvas-bg: #fff;--bs-offcanvas-border-width: 1px;--bs-offcanvas-border-color: var(--bs-border-color-translucent);--bs-offcanvas-box-shadow: 0 .125rem .25rem rgba(0, 0, 0, .075)}@media (max-width: 575.98px){:host ::ng-deep .offcanvas-sm{position:fixed;bottom:0;z-index:var(--bs-offcanvas-zindex);display:flex;flex-direction:column;max-width:100%;color:var(--bs-offcanvas-color);visibility:hidden;background-color:var(--bs-offcanvas-bg);background-clip:padding-box;outline:0;transition:transform .3s ease-in-out}}@media (max-width: 575.98px) and (prefers-reduced-motion: reduce){:host ::ng-deep .offcanvas-sm{transition:none}}@media (max-width: 575.98px){:host ::ng-deep .offcanvas-sm.offcanvas-start{top:0;left:0;width:var(--bs-offcanvas-width);border-right:var(--bs-offcanvas-border-width) solid var(--bs-offcanvas-border-color);transform:translate(-100%)}}@media (max-width: 575.98px){:host ::ng-deep .offcanvas-sm.offcanvas-end{top:0;right:0;width:var(--bs-offcanvas-width);border-left:var(--bs-offcanvas-border-width) solid var(--bs-offcanvas-border-color);transform:translate(100%)}}@media (max-width: 575.98px){:host ::ng-deep .offcanvas-sm.offcanvas-top{top:0;right:0;left:0;height:var(--bs-offcanvas-height);max-height:100%;border-bottom:var(--bs-offcanvas-border-width) solid var(--bs-offcanvas-border-color);transform:translateY(-100%)}}@media (max-width: 575.98px){:host ::ng-deep .offcanvas-sm.offcanvas-bottom{right:0;left:0;height:var(--bs-offcanvas-height);max-height:100%;border-top:var(--bs-offcanvas-border-width) solid var(--bs-offcanvas-border-color);transform:translateY(100%)}}@media (max-width: 575.98px){:host ::ng-deep .offcanvas-sm.showing,:host ::ng-deep .offcanvas-sm.show:not(.hiding){transform:none}}@media (max-width: 575.98px){:host ::ng-deep .offcanvas-sm.showing,:host ::ng-deep .offcanvas-sm.hiding,:host ::ng-deep .offcanvas-sm.show{visibility:visible}}@media (min-width: 576px){:host ::ng-deep .offcanvas-sm{--bs-offcanvas-height: auto;--bs-offcanvas-border-width: 0;background-color:transparent!important}:host ::ng-deep .offcanvas-sm .offcanvas-header{display:none}:host ::ng-deep .offcanvas-sm .offcanvas-body{display:flex;flex-grow:0;padding:0;overflow-y:visible;background-color:transparent!important}}@media (max-width: 767.98px){:host ::ng-deep .offcanvas-md{position:fixed;bottom:0;z-index:var(--bs-offcanvas-zindex);display:flex;flex-direction:column;max-width:100%;color:var(--bs-offcanvas-color);visibility:hidden;background-color:var(--bs-offcanvas-bg);background-clip:padding-box;outline:0;transition:transform .3s ease-in-out}}@media (max-width: 767.98px) and (prefers-reduced-motion: reduce){:host ::ng-deep .offcanvas-md{transition:none}}@media (max-width: 767.98px){:host ::ng-deep .offcanvas-md.offcanvas-start{top:0;left:0;width:var(--bs-offcanvas-width);border-right:var(--bs-offcanvas-border-width) solid var(--bs-offcanvas-border-color);transform:translate(-100%)}}@media (max-width: 767.98px){:host ::ng-deep .offcanvas-md.offcanvas-end{top:0;right:0;width:var(--bs-offcanvas-width);border-left:var(--bs-offcanvas-border-width) solid var(--bs-offcanvas-border-color);transform:translate(100%)}}@media (max-width: 767.98px){:host ::ng-deep .offcanvas-md.offcanvas-top{top:0;right:0;left:0;height:var(--bs-offcanvas-height);max-height:100%;border-bottom:var(--bs-offcanvas-border-width) solid var(--bs-offcanvas-border-color);transform:translateY(-100%)}}@media (max-width: 767.98px){:host ::ng-deep .offcanvas-md.offcanvas-bottom{right:0;left:0;height:var(--bs-offcanvas-height);max-height:100%;border-top:var(--bs-offcanvas-border-width) solid var(--bs-offcanvas-border-color);transform:translateY(100%)}}@media (max-width: 767.98px){:host ::ng-deep .offcanvas-md.showing,:host ::ng-deep .offcanvas-md.show:not(.hiding){transform:none}}@media (max-width: 767.98px){:host ::ng-deep .offcanvas-md.showing,:host ::ng-deep .offcanvas-md.hiding,:host ::ng-deep .offcanvas-md.show{visibility:visible}}@media (min-width: 768px){:host ::ng-deep .offcanvas-md{--bs-offcanvas-height: auto;--bs-offcanvas-border-width: 0;background-color:transparent!important}:host ::ng-deep .offcanvas-md .offcanvas-header{display:none}:host ::ng-deep .offcanvas-md .offcanvas-body{display:flex;flex-grow:0;padding:0;overflow-y:visible;background-color:transparent!important}}@media (max-width: 991.98px){:host ::ng-deep .offcanvas-lg{position:fixed;bottom:0;z-index:var(--bs-offcanvas-zindex);display:flex;flex-direction:column;max-width:100%;color:var(--bs-offcanvas-color);visibility:hidden;background-color:var(--bs-offcanvas-bg);background-clip:padding-box;outline:0;transition:transform .3s ease-in-out}}@media (max-width: 991.98px) and (prefers-reduced-motion: reduce){:host ::ng-deep .offcanvas-lg{transition:none}}@media (max-width: 991.98px){:host ::ng-deep .offcanvas-lg.offcanvas-start{top:0;left:0;width:var(--bs-offcanvas-width);border-right:var(--bs-offcanvas-border-width) solid var(--bs-offcanvas-border-color);transform:translate(-100%)}}@media (max-width: 991.98px){:host ::ng-deep .offcanvas-lg.offcanvas-end{top:0;right:0;width:var(--bs-offcanvas-width);border-left:var(--bs-offcanvas-border-width) solid var(--bs-offcanvas-border-color);transform:translate(100%)}}@media (max-width: 991.98px){:host ::ng-deep .offcanvas-lg.offcanvas-top{top:0;right:0;left:0;height:var(--bs-offcanvas-height);max-height:100%;border-bottom:var(--bs-offcanvas-border-width) solid var(--bs-offcanvas-border-color);transform:translateY(-100%)}}@media (max-width: 991.98px){:host ::ng-deep .offcanvas-lg.offcanvas-bottom{right:0;left:0;height:var(--bs-offcanvas-height);max-height:100%;border-top:var(--bs-offcanvas-border-width) solid var(--bs-offcanvas-border-color);transform:translateY(100%)}}@media (max-width: 991.98px){:host ::ng-deep .offcanvas-lg.showing,:host ::ng-deep .offcanvas-lg.show:not(.hiding){transform:none}}@media (max-width: 991.98px){:host ::ng-deep .offcanvas-lg.showing,:host ::ng-deep .offcanvas-lg.hiding,:host ::ng-deep .offcanvas-lg.show{visibility:visible}}@media (min-width: 992px){:host ::ng-deep .offcanvas-lg{--bs-offcanvas-height: auto;--bs-offcanvas-border-width: 0;background-color:transparent!important}:host ::ng-deep .offcanvas-lg .offcanvas-header{display:none}:host ::ng-deep .offcanvas-lg .offcanvas-body{display:flex;flex-grow:0;padding:0;overflow-y:visible;background-color:transparent!important}}@media (max-width: 1199.98px){:host ::ng-deep .offcanvas-xl{position:fixed;bottom:0;z-index:var(--bs-offcanvas-zindex);display:flex;flex-direction:column;max-width:100%;color:var(--bs-offcanvas-color);visibility:hidden;background-color:var(--bs-offcanvas-bg);background-clip:padding-box;outline:0;transition:transform .3s ease-in-out}}@media (max-width: 1199.98px) and (prefers-reduced-motion: reduce){:host ::ng-deep .offcanvas-xl{transition:none}}@media (max-width: 1199.98px){:host ::ng-deep .offcanvas-xl.offcanvas-start{top:0;left:0;width:var(--bs-offcanvas-width);border-right:var(--bs-offcanvas-border-width) solid var(--bs-offcanvas-border-color);transform:translate(-100%)}}@media (max-width: 1199.98px){:host ::ng-deep .offcanvas-xl.offcanvas-end{top:0;right:0;width:var(--bs-offcanvas-width);border-left:var(--bs-offcanvas-border-width) solid var(--bs-offcanvas-border-color);transform:translate(100%)}}@media (max-width: 1199.98px){:host ::ng-deep .offcanvas-xl.offcanvas-top{top:0;right:0;left:0;height:var(--bs-offcanvas-height);max-height:100%;border-bottom:var(--bs-offcanvas-border-width) solid var(--bs-offcanvas-border-color);transform:translateY(-100%)}}@media (max-width: 1199.98px){:host ::ng-deep .offcanvas-xl.offcanvas-bottom{right:0;left:0;height:var(--bs-offcanvas-height);max-height:100%;border-top:var(--bs-offcanvas-border-width) solid var(--bs-offcanvas-border-color);transform:translateY(100%)}}@media (max-width: 1199.98px){:host ::ng-deep .offcanvas-xl.showing,:host ::ng-deep .offcanvas-xl.show:not(.hiding){transform:none}}@media (max-width: 1199.98px){:host ::ng-deep .offcanvas-xl.showing,:host ::ng-deep .offcanvas-xl.hiding,:host ::ng-deep .offcanvas-xl.show{visibility:visible}}@media (min-width: 1200px){:host ::ng-deep .offcanvas-xl{--bs-offcanvas-height: auto;--bs-offcanvas-border-width: 0;background-color:transparent!important}:host ::ng-deep .offcanvas-xl .offcanvas-header{display:none}:host ::ng-deep .offcanvas-xl .offcanvas-body{display:flex;flex-grow:0;padding:0;overflow-y:visible;background-color:transparent!important}}@media (max-width: 1399.98px){:host ::ng-deep .offcanvas-xxl{position:fixed;bottom:0;z-index:var(--bs-offcanvas-zindex);display:flex;flex-direction:column;max-width:100%;color:var(--bs-offcanvas-color);visibility:hidden;background-color:var(--bs-offcanvas-bg);background-clip:padding-box;outline:0;transition:transform .3s ease-in-out}}@media (max-width: 1399.98px) and (prefers-reduced-motion: reduce){:host ::ng-deep .offcanvas-xxl{transition:none}}@media (max-width: 1399.98px){:host ::ng-deep .offcanvas-xxl.offcanvas-start{top:0;left:0;width:var(--bs-offcanvas-width);border-right:var(--bs-offcanvas-border-width) solid var(--bs-offcanvas-border-color);transform:translate(-100%)}}@media (max-width: 1399.98px){:host ::ng-deep .offcanvas-xxl.offcanvas-end{top:0;right:0;width:var(--bs-offcanvas-width);border-left:var(--bs-offcanvas-border-width) solid var(--bs-offcanvas-border-color);transform:translate(100%)}}@media (max-width: 1399.98px){:host ::ng-deep .offcanvas-xxl.offcanvas-top{top:0;right:0;left:0;height:var(--bs-offcanvas-height);max-height:100%;border-bottom:var(--bs-offcanvas-border-width) solid var(--bs-offcanvas-border-color);transform:translateY(-100%)}}@media (max-width: 1399.98px){:host ::ng-deep .offcanvas-xxl.offcanvas-bottom{right:0;left:0;height:var(--bs-offcanvas-height);max-height:100%;border-top:var(--bs-offcanvas-border-width) solid var(--bs-offcanvas-border-color);transform:translateY(100%)}}@media (max-width: 1399.98px){:host ::ng-deep .offcanvas-xxl.showing,:host ::ng-deep .offcanvas-xxl.show:not(.hiding){transform:none}}@media (max-width: 1399.98px){:host ::ng-deep .offcanvas-xxl.showing,:host ::ng-deep .offcanvas-xxl.hiding,:host ::ng-deep .offcanvas-xxl.show{visibility:visible}}@media (min-width: 1400px){:host ::ng-deep .offcanvas-xxl{--bs-offcanvas-height: auto;--bs-offcanvas-border-width: 0;background-color:transparent!important}:host ::ng-deep .offcanvas-xxl .offcanvas-header{display:none}:host ::ng-deep .offcanvas-xxl .offcanvas-body{display:flex;flex-grow:0;padding:0;overflow-y:visible;background-color:transparent!important}}:host ::ng-deep .offcanvas{position:fixed;bottom:0;z-index:var(--bs-offcanvas-zindex);display:flex;flex-direction:column;max-width:100%;color:var(--bs-offcanvas-color);visibility:hidden;background-color:var(--bs-offcanvas-bg);background-clip:padding-box;outline:0;transition:transform .3s ease-in-out}@media (prefers-reduced-motion: reduce){:host ::ng-deep .offcanvas{transition:none}}:host ::ng-deep .offcanvas.offcanvas-start{top:0;left:0;width:var(--bs-offcanvas-width);border-right:var(--bs-offcanvas-border-width) solid var(--bs-offcanvas-border-color);transform:translate(-100%)}:host ::ng-deep .offcanvas.offcanvas-end{top:0;right:0;width:var(--bs-offcanvas-width);border-left:var(--bs-offcanvas-border-width) solid var(--bs-offcanvas-border-color);transform:translate(100%)}:host ::ng-deep .offcanvas.offcanvas-top{top:0;right:0;left:0;height:var(--bs-offcanvas-height);max-height:100%;border-bottom:var(--bs-offcanvas-border-width) solid var(--bs-offcanvas-border-color);transform:translateY(-100%)}:host ::ng-deep .offcanvas.offcanvas-bottom{right:0;left:0;height:var(--bs-offcanvas-height);max-height:100%;border-top:var(--bs-offcanvas-border-width) solid var(--bs-offcanvas-border-color);transform:translateY(100%)}:host ::ng-deep .offcanvas.showing,:host ::ng-deep .offcanvas.show:not(.hiding){transform:none}:host ::ng-deep .offcanvas.showing,:host ::ng-deep .offcanvas.hiding,:host ::ng-deep .offcanvas.show{visibility:visible}:host ::ng-deep .offcanvas-backdrop{position:fixed;top:0;left:0;z-index:1040;width:100vw;height:100vh;background-color:#000}:host ::ng-deep .offcanvas-backdrop.fade{opacity:0}:host ::ng-deep .offcanvas-backdrop.show{opacity:.5}:host ::ng-deep .offcanvas-header{display:flex;align-items:center;justify-content:space-between;padding:var(--bs-offcanvas-padding-y) var(--bs-offcanvas-padding-x)}:host ::ng-deep .offcanvas-header .btn-close{padding:calc(var(--bs-offcanvas-padding-y) * .5) calc(var(--bs-offcanvas-padding-x) * .5);margin-top:calc(-.5 * var(--bs-offcanvas-padding-y));margin-right:calc(-.5 * var(--bs-offcanvas-padding-x));margin-bottom:calc(-.5 * var(--bs-offcanvas-padding-y))}:host ::ng-deep .offcanvas-title{margin-bottom:0;line-height:1.5}:host ::ng-deep .offcanvas-body{flex-grow:1;padding:var(--bs-offcanvas-padding-y) var(--bs-offcanvas-padding-x);overflow-y:auto}.offcanvas.oc-max-width{max-width:calc(100% - 40px)}.offcanvas.oc-max-height{max-height:calc(100% - 40px)}.modal-backdrop{z-index:1040}.offcanvas{visibility:unset}.offcanvas.disable-transition{transition:none}.offcanvas.offcanvas-top{height:auto;bottom:unset}.offcanvas.offcanvas-bottom{height:auto;top:unset}\n"], dependencies: [{ kind: "directive", type: i1.NgIf, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }, { kind: "directive", type: i1.NgTemplateOutlet, selector: "[ngTemplateOutlet]", inputs: ["ngTemplateOutletContext", "ngTemplateOutlet", "ngTemplateOutletInjector"] }, { kind: "pipe", type: i1.AsyncPipe, name: "async" }], animations: [FadeInOutAnimation] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "14.2.2", ngImport: i0, type: BsOffcanvasComponent, decorators: [{
            type: Component,
            args: [{ selector: 'bs-offcanvas-holder', animations: [FadeInOutAnimation], template: "<div [@fadeInOut]=\"{value: ':leave', params: {duration: '300ms'} }\" *ngIf=\"showBackdrop$ | async\">\n    <div class=\"modal-backdrop show\" (click)=\"onBackdropClick($event)\"></div>\n</div>\n\n<div class=\"offcanvas\"\n    [class.show]=\"show$ | async\"\n    [class.disable-transition]=\"disableTransition$ | async\"\n    [class]=\"[offcanvasClass$ | async, overflowClass$ | async]\"\n    [style.height.px]=\"height$ | async\"\n    [style.width.px]=\"width$ | async\">\n    <ng-container *ngTemplateOutlet=\"contentTemplate\"></ng-container>\n</div>", styles: [":host ::ng-deep .modal{--bs-modal-zindex: 1055;--bs-modal-width: 500px;--bs-modal-padding: 1rem;--bs-modal-margin: .5rem;--bs-modal-color: ;--bs-modal-bg: #fff;--bs-modal-border-color: var(--bs-border-color-translucent);--bs-modal-border-width: 1px;--bs-modal-border-radius: .5rem;--bs-modal-box-shadow: 0 .125rem .25rem rgba(0, 0, 0, .075);--bs-modal-inner-border-radius:calc(.5rem - 1px);--bs-modal-header-padding-x: 1rem;--bs-modal-header-padding-y: 1rem;--bs-modal-header-padding: 1rem 1rem;--bs-modal-header-border-color: var(--bs-border-color);--bs-modal-header-border-width: 1px;--bs-modal-title-line-height: 1.5;--bs-modal-footer-gap: .5rem;--bs-modal-footer-bg: ;--bs-modal-footer-border-color: var(--bs-border-color);--bs-modal-footer-border-width: 1px;position:fixed;top:0;left:0;z-index:var(--bs-modal-zindex);display:none;width:100%;height:100%;overflow-x:hidden;overflow-y:auto;outline:0}:host ::ng-deep .modal-dialog{position:relative;width:auto;margin:var(--bs-modal-margin);pointer-events:none}.modal.fade :host ::ng-deep .modal-dialog{transition:transform .3s ease-out;transform:translateY(-50px)}@media (prefers-reduced-motion: reduce){.modal.fade :host ::ng-deep .modal-dialog{transition:none}}.modal.show :host ::ng-deep .modal-dialog{transform:none}.modal.modal-static :host ::ng-deep .modal-dialog{transform:scale(1.02)}:host ::ng-deep .modal-dialog-scrollable{height:calc(100% - var(--bs-modal-margin) * 2)}:host ::ng-deep .modal-dialog-scrollable .modal-content{max-height:100%;overflow:hidden}:host ::ng-deep .modal-dialog-scrollable .modal-body{overflow-y:auto}:host ::ng-deep .modal-dialog-centered{display:flex;align-items:center;min-height:calc(100% - var(--bs-modal-margin) * 2)}:host ::ng-deep .modal-content{position:relative;display:flex;flex-direction:column;width:100%;color:var(--bs-modal-color);pointer-events:auto;background-color:var(--bs-modal-bg);background-clip:padding-box;border:var(--bs-modal-border-width) solid var(--bs-modal-border-color);border-radius:var(--bs-modal-border-radius);outline:0}:host ::ng-deep .modal-backdrop{--bs-backdrop-zindex: 1050;--bs-backdrop-bg: #000;--bs-backdrop-opacity: .5;position:fixed;top:0;left:0;z-index:var(--bs-backdrop-zindex);width:100vw;height:100vh;background-color:var(--bs-backdrop-bg)}:host ::ng-deep .modal-backdrop.fade{opacity:0}:host ::ng-deep .modal-backdrop.show{opacity:var(--bs-backdrop-opacity)}:host ::ng-deep .modal-header{display:flex;flex-shrink:0;align-items:center;justify-content:space-between;padding:var(--bs-modal-header-padding);border-bottom:var(--bs-modal-header-border-width) solid var(--bs-modal-header-border-color);border-top-left-radius:var(--bs-modal-inner-border-radius);border-top-right-radius:var(--bs-modal-inner-border-radius)}:host ::ng-deep .modal-header .btn-close{padding:calc(var(--bs-modal-header-padding-y) * .5) calc(var(--bs-modal-header-padding-x) * .5);margin:calc(-.5 * var(--bs-modal-header-padding-y)) calc(-.5 * var(--bs-modal-header-padding-x)) calc(-.5 * var(--bs-modal-header-padding-y)) auto}:host ::ng-deep .modal-title{margin-bottom:0;line-height:var(--bs-modal-title-line-height)}:host ::ng-deep .modal-body{position:relative;flex:1 1 auto;padding:var(--bs-modal-padding)}:host ::ng-deep .modal-footer{display:flex;flex-shrink:0;flex-wrap:wrap;align-items:center;justify-content:flex-end;padding:calc(var(--bs-modal-padding) - var(--bs-modal-footer-gap) * .5);background-color:var(--bs-modal-footer-bg);border-top:var(--bs-modal-footer-border-width) solid var(--bs-modal-footer-border-color);border-bottom-right-radius:var(--bs-modal-inner-border-radius);border-bottom-left-radius:var(--bs-modal-inner-border-radius)}:host ::ng-deep .modal-footer>*{margin:calc(var(--bs-modal-footer-gap) * .5)}@media (min-width: 576px){:host ::ng-deep .modal{--bs-modal-margin: 1.75rem;--bs-modal-box-shadow: 0 .5rem 1rem rgba(0, 0, 0, .15)}:host ::ng-deep .modal-dialog{max-width:var(--bs-modal-width);margin-right:auto;margin-left:auto}:host ::ng-deep .modal-sm{--bs-modal-width: 300px}}@media (min-width: 992px){:host ::ng-deep .modal-lg,:host ::ng-deep .modal-xl{--bs-modal-width: 800px}}@media (min-width: 1200px){:host ::ng-deep .modal-xl{--bs-modal-width: 1140px}}:host ::ng-deep .modal-fullscreen{width:100vw;max-width:none;height:100%;margin:0}:host ::ng-deep .modal-fullscreen .modal-content{height:100%;border:0;border-radius:0}:host ::ng-deep .modal-fullscreen .modal-header,:host ::ng-deep .modal-fullscreen .modal-footer{border-radius:0}:host ::ng-deep .modal-fullscreen .modal-body{overflow-y:auto}@media (max-width: 575.98px){:host ::ng-deep .modal-fullscreen-sm-down{width:100vw;max-width:none;height:100%;margin:0}:host ::ng-deep .modal-fullscreen-sm-down .modal-content{height:100%;border:0;border-radius:0}:host ::ng-deep .modal-fullscreen-sm-down .modal-header,:host ::ng-deep .modal-fullscreen-sm-down .modal-footer{border-radius:0}:host ::ng-deep .modal-fullscreen-sm-down .modal-body{overflow-y:auto}}@media (max-width: 767.98px){:host ::ng-deep .modal-fullscreen-md-down{width:100vw;max-width:none;height:100%;margin:0}:host ::ng-deep .modal-fullscreen-md-down .modal-content{height:100%;border:0;border-radius:0}:host ::ng-deep .modal-fullscreen-md-down .modal-header,:host ::ng-deep .modal-fullscreen-md-down .modal-footer{border-radius:0}:host ::ng-deep .modal-fullscreen-md-down .modal-body{overflow-y:auto}}@media (max-width: 991.98px){:host ::ng-deep .modal-fullscreen-lg-down{width:100vw;max-width:none;height:100%;margin:0}:host ::ng-deep .modal-fullscreen-lg-down .modal-content{height:100%;border:0;border-radius:0}:host ::ng-deep .modal-fullscreen-lg-down .modal-header,:host ::ng-deep .modal-fullscreen-lg-down .modal-footer{border-radius:0}:host ::ng-deep .modal-fullscreen-lg-down .modal-body{overflow-y:auto}}@media (max-width: 1199.98px){:host ::ng-deep .modal-fullscreen-xl-down{width:100vw;max-width:none;height:100%;margin:0}:host ::ng-deep .modal-fullscreen-xl-down .modal-content{height:100%;border:0;border-radius:0}:host ::ng-deep .modal-fullscreen-xl-down .modal-header,:host ::ng-deep .modal-fullscreen-xl-down .modal-footer{border-radius:0}:host ::ng-deep .modal-fullscreen-xl-down .modal-body{overflow-y:auto}}@media (max-width: 1399.98px){:host ::ng-deep .modal-fullscreen-xxl-down{width:100vw;max-width:none;height:100%;margin:0}:host ::ng-deep .modal-fullscreen-xxl-down .modal-content{height:100%;border:0;border-radius:0}:host ::ng-deep .modal-fullscreen-xxl-down .modal-header,:host ::ng-deep .modal-fullscreen-xxl-down .modal-footer{border-radius:0}:host ::ng-deep .modal-fullscreen-xxl-down .modal-body{overflow-y:auto}}:host ::ng-deep .offcanvas,:host ::ng-deep .offcanvas-xxl,:host ::ng-deep .offcanvas-xl,:host ::ng-deep .offcanvas-lg,:host ::ng-deep .offcanvas-md,:host ::ng-deep .offcanvas-sm{--bs-offcanvas-zindex: 1045;--bs-offcanvas-width: 400px;--bs-offcanvas-height: 30vh;--bs-offcanvas-padding-x: 1rem;--bs-offcanvas-padding-y: 1rem;--bs-offcanvas-color: ;--bs-offcanvas-bg: #fff;--bs-offcanvas-border-width: 1px;--bs-offcanvas-border-color: var(--bs-border-color-translucent);--bs-offcanvas-box-shadow: 0 .125rem .25rem rgba(0, 0, 0, .075)}@media (max-width: 575.98px){:host ::ng-deep .offcanvas-sm{position:fixed;bottom:0;z-index:var(--bs-offcanvas-zindex);display:flex;flex-direction:column;max-width:100%;color:var(--bs-offcanvas-color);visibility:hidden;background-color:var(--bs-offcanvas-bg);background-clip:padding-box;outline:0;transition:transform .3s ease-in-out}}@media (max-width: 575.98px) and (prefers-reduced-motion: reduce){:host ::ng-deep .offcanvas-sm{transition:none}}@media (max-width: 575.98px){:host ::ng-deep .offcanvas-sm.offcanvas-start{top:0;left:0;width:var(--bs-offcanvas-width);border-right:var(--bs-offcanvas-border-width) solid var(--bs-offcanvas-border-color);transform:translate(-100%)}}@media (max-width: 575.98px){:host ::ng-deep .offcanvas-sm.offcanvas-end{top:0;right:0;width:var(--bs-offcanvas-width);border-left:var(--bs-offcanvas-border-width) solid var(--bs-offcanvas-border-color);transform:translate(100%)}}@media (max-width: 575.98px){:host ::ng-deep .offcanvas-sm.offcanvas-top{top:0;right:0;left:0;height:var(--bs-offcanvas-height);max-height:100%;border-bottom:var(--bs-offcanvas-border-width) solid var(--bs-offcanvas-border-color);transform:translateY(-100%)}}@media (max-width: 575.98px){:host ::ng-deep .offcanvas-sm.offcanvas-bottom{right:0;left:0;height:var(--bs-offcanvas-height);max-height:100%;border-top:var(--bs-offcanvas-border-width) solid var(--bs-offcanvas-border-color);transform:translateY(100%)}}@media (max-width: 575.98px){:host ::ng-deep .offcanvas-sm.showing,:host ::ng-deep .offcanvas-sm.show:not(.hiding){transform:none}}@media (max-width: 575.98px){:host ::ng-deep .offcanvas-sm.showing,:host ::ng-deep .offcanvas-sm.hiding,:host ::ng-deep .offcanvas-sm.show{visibility:visible}}@media (min-width: 576px){:host ::ng-deep .offcanvas-sm{--bs-offcanvas-height: auto;--bs-offcanvas-border-width: 0;background-color:transparent!important}:host ::ng-deep .offcanvas-sm .offcanvas-header{display:none}:host ::ng-deep .offcanvas-sm .offcanvas-body{display:flex;flex-grow:0;padding:0;overflow-y:visible;background-color:transparent!important}}@media (max-width: 767.98px){:host ::ng-deep .offcanvas-md{position:fixed;bottom:0;z-index:var(--bs-offcanvas-zindex);display:flex;flex-direction:column;max-width:100%;color:var(--bs-offcanvas-color);visibility:hidden;background-color:var(--bs-offcanvas-bg);background-clip:padding-box;outline:0;transition:transform .3s ease-in-out}}@media (max-width: 767.98px) and (prefers-reduced-motion: reduce){:host ::ng-deep .offcanvas-md{transition:none}}@media (max-width: 767.98px){:host ::ng-deep .offcanvas-md.offcanvas-start{top:0;left:0;width:var(--bs-offcanvas-width);border-right:var(--bs-offcanvas-border-width) solid var(--bs-offcanvas-border-color);transform:translate(-100%)}}@media (max-width: 767.98px){:host ::ng-deep .offcanvas-md.offcanvas-end{top:0;right:0;width:var(--bs-offcanvas-width);border-left:var(--bs-offcanvas-border-width) solid var(--bs-offcanvas-border-color);transform:translate(100%)}}@media (max-width: 767.98px){:host ::ng-deep .offcanvas-md.offcanvas-top{top:0;right:0;left:0;height:var(--bs-offcanvas-height);max-height:100%;border-bottom:var(--bs-offcanvas-border-width) solid var(--bs-offcanvas-border-color);transform:translateY(-100%)}}@media (max-width: 767.98px){:host ::ng-deep .offcanvas-md.offcanvas-bottom{right:0;left:0;height:var(--bs-offcanvas-height);max-height:100%;border-top:var(--bs-offcanvas-border-width) solid var(--bs-offcanvas-border-color);transform:translateY(100%)}}@media (max-width: 767.98px){:host ::ng-deep .offcanvas-md.showing,:host ::ng-deep .offcanvas-md.show:not(.hiding){transform:none}}@media (max-width: 767.98px){:host ::ng-deep .offcanvas-md.showing,:host ::ng-deep .offcanvas-md.hiding,:host ::ng-deep .offcanvas-md.show{visibility:visible}}@media (min-width: 768px){:host ::ng-deep .offcanvas-md{--bs-offcanvas-height: auto;--bs-offcanvas-border-width: 0;background-color:transparent!important}:host ::ng-deep .offcanvas-md .offcanvas-header{display:none}:host ::ng-deep .offcanvas-md .offcanvas-body{display:flex;flex-grow:0;padding:0;overflow-y:visible;background-color:transparent!important}}@media (max-width: 991.98px){:host ::ng-deep .offcanvas-lg{position:fixed;bottom:0;z-index:var(--bs-offcanvas-zindex);display:flex;flex-direction:column;max-width:100%;color:var(--bs-offcanvas-color);visibility:hidden;background-color:var(--bs-offcanvas-bg);background-clip:padding-box;outline:0;transition:transform .3s ease-in-out}}@media (max-width: 991.98px) and (prefers-reduced-motion: reduce){:host ::ng-deep .offcanvas-lg{transition:none}}@media (max-width: 991.98px){:host ::ng-deep .offcanvas-lg.offcanvas-start{top:0;left:0;width:var(--bs-offcanvas-width);border-right:var(--bs-offcanvas-border-width) solid var(--bs-offcanvas-border-color);transform:translate(-100%)}}@media (max-width: 991.98px){:host ::ng-deep .offcanvas-lg.offcanvas-end{top:0;right:0;width:var(--bs-offcanvas-width);border-left:var(--bs-offcanvas-border-width) solid var(--bs-offcanvas-border-color);transform:translate(100%)}}@media (max-width: 991.98px){:host ::ng-deep .offcanvas-lg.offcanvas-top{top:0;right:0;left:0;height:var(--bs-offcanvas-height);max-height:100%;border-bottom:var(--bs-offcanvas-border-width) solid var(--bs-offcanvas-border-color);transform:translateY(-100%)}}@media (max-width: 991.98px){:host ::ng-deep .offcanvas-lg.offcanvas-bottom{right:0;left:0;height:var(--bs-offcanvas-height);max-height:100%;border-top:var(--bs-offcanvas-border-width) solid var(--bs-offcanvas-border-color);transform:translateY(100%)}}@media (max-width: 991.98px){:host ::ng-deep .offcanvas-lg.showing,:host ::ng-deep .offcanvas-lg.show:not(.hiding){transform:none}}@media (max-width: 991.98px){:host ::ng-deep .offcanvas-lg.showing,:host ::ng-deep .offcanvas-lg.hiding,:host ::ng-deep .offcanvas-lg.show{visibility:visible}}@media (min-width: 992px){:host ::ng-deep .offcanvas-lg{--bs-offcanvas-height: auto;--bs-offcanvas-border-width: 0;background-color:transparent!important}:host ::ng-deep .offcanvas-lg .offcanvas-header{display:none}:host ::ng-deep .offcanvas-lg .offcanvas-body{display:flex;flex-grow:0;padding:0;overflow-y:visible;background-color:transparent!important}}@media (max-width: 1199.98px){:host ::ng-deep .offcanvas-xl{position:fixed;bottom:0;z-index:var(--bs-offcanvas-zindex);display:flex;flex-direction:column;max-width:100%;color:var(--bs-offcanvas-color);visibility:hidden;background-color:var(--bs-offcanvas-bg);background-clip:padding-box;outline:0;transition:transform .3s ease-in-out}}@media (max-width: 1199.98px) and (prefers-reduced-motion: reduce){:host ::ng-deep .offcanvas-xl{transition:none}}@media (max-width: 1199.98px){:host ::ng-deep .offcanvas-xl.offcanvas-start{top:0;left:0;width:var(--bs-offcanvas-width);border-right:var(--bs-offcanvas-border-width) solid var(--bs-offcanvas-border-color);transform:translate(-100%)}}@media (max-width: 1199.98px){:host ::ng-deep .offcanvas-xl.offcanvas-end{top:0;right:0;width:var(--bs-offcanvas-width);border-left:var(--bs-offcanvas-border-width) solid var(--bs-offcanvas-border-color);transform:translate(100%)}}@media (max-width: 1199.98px){:host ::ng-deep .offcanvas-xl.offcanvas-top{top:0;right:0;left:0;height:var(--bs-offcanvas-height);max-height:100%;border-bottom:var(--bs-offcanvas-border-width) solid var(--bs-offcanvas-border-color);transform:translateY(-100%)}}@media (max-width: 1199.98px){:host ::ng-deep .offcanvas-xl.offcanvas-bottom{right:0;left:0;height:var(--bs-offcanvas-height);max-height:100%;border-top:var(--bs-offcanvas-border-width) solid var(--bs-offcanvas-border-color);transform:translateY(100%)}}@media (max-width: 1199.98px){:host ::ng-deep .offcanvas-xl.showing,:host ::ng-deep .offcanvas-xl.show:not(.hiding){transform:none}}@media (max-width: 1199.98px){:host ::ng-deep .offcanvas-xl.showing,:host ::ng-deep .offcanvas-xl.hiding,:host ::ng-deep .offcanvas-xl.show{visibility:visible}}@media (min-width: 1200px){:host ::ng-deep .offcanvas-xl{--bs-offcanvas-height: auto;--bs-offcanvas-border-width: 0;background-color:transparent!important}:host ::ng-deep .offcanvas-xl .offcanvas-header{display:none}:host ::ng-deep .offcanvas-xl .offcanvas-body{display:flex;flex-grow:0;padding:0;overflow-y:visible;background-color:transparent!important}}@media (max-width: 1399.98px){:host ::ng-deep .offcanvas-xxl{position:fixed;bottom:0;z-index:var(--bs-offcanvas-zindex);display:flex;flex-direction:column;max-width:100%;color:var(--bs-offcanvas-color);visibility:hidden;background-color:var(--bs-offcanvas-bg);background-clip:padding-box;outline:0;transition:transform .3s ease-in-out}}@media (max-width: 1399.98px) and (prefers-reduced-motion: reduce){:host ::ng-deep .offcanvas-xxl{transition:none}}@media (max-width: 1399.98px){:host ::ng-deep .offcanvas-xxl.offcanvas-start{top:0;left:0;width:var(--bs-offcanvas-width);border-right:var(--bs-offcanvas-border-width) solid var(--bs-offcanvas-border-color);transform:translate(-100%)}}@media (max-width: 1399.98px){:host ::ng-deep .offcanvas-xxl.offcanvas-end{top:0;right:0;width:var(--bs-offcanvas-width);border-left:var(--bs-offcanvas-border-width) solid var(--bs-offcanvas-border-color);transform:translate(100%)}}@media (max-width: 1399.98px){:host ::ng-deep .offcanvas-xxl.offcanvas-top{top:0;right:0;left:0;height:var(--bs-offcanvas-height);max-height:100%;border-bottom:var(--bs-offcanvas-border-width) solid var(--bs-offcanvas-border-color);transform:translateY(-100%)}}@media (max-width: 1399.98px){:host ::ng-deep .offcanvas-xxl.offcanvas-bottom{right:0;left:0;height:var(--bs-offcanvas-height);max-height:100%;border-top:var(--bs-offcanvas-border-width) solid var(--bs-offcanvas-border-color);transform:translateY(100%)}}@media (max-width: 1399.98px){:host ::ng-deep .offcanvas-xxl.showing,:host ::ng-deep .offcanvas-xxl.show:not(.hiding){transform:none}}@media (max-width: 1399.98px){:host ::ng-deep .offcanvas-xxl.showing,:host ::ng-deep .offcanvas-xxl.hiding,:host ::ng-deep .offcanvas-xxl.show{visibility:visible}}@media (min-width: 1400px){:host ::ng-deep .offcanvas-xxl{--bs-offcanvas-height: auto;--bs-offcanvas-border-width: 0;background-color:transparent!important}:host ::ng-deep .offcanvas-xxl .offcanvas-header{display:none}:host ::ng-deep .offcanvas-xxl .offcanvas-body{display:flex;flex-grow:0;padding:0;overflow-y:visible;background-color:transparent!important}}:host ::ng-deep .offcanvas{position:fixed;bottom:0;z-index:var(--bs-offcanvas-zindex);display:flex;flex-direction:column;max-width:100%;color:var(--bs-offcanvas-color);visibility:hidden;background-color:var(--bs-offcanvas-bg);background-clip:padding-box;outline:0;transition:transform .3s ease-in-out}@media (prefers-reduced-motion: reduce){:host ::ng-deep .offcanvas{transition:none}}:host ::ng-deep .offcanvas.offcanvas-start{top:0;left:0;width:var(--bs-offcanvas-width);border-right:var(--bs-offcanvas-border-width) solid var(--bs-offcanvas-border-color);transform:translate(-100%)}:host ::ng-deep .offcanvas.offcanvas-end{top:0;right:0;width:var(--bs-offcanvas-width);border-left:var(--bs-offcanvas-border-width) solid var(--bs-offcanvas-border-color);transform:translate(100%)}:host ::ng-deep .offcanvas.offcanvas-top{top:0;right:0;left:0;height:var(--bs-offcanvas-height);max-height:100%;border-bottom:var(--bs-offcanvas-border-width) solid var(--bs-offcanvas-border-color);transform:translateY(-100%)}:host ::ng-deep .offcanvas.offcanvas-bottom{right:0;left:0;height:var(--bs-offcanvas-height);max-height:100%;border-top:var(--bs-offcanvas-border-width) solid var(--bs-offcanvas-border-color);transform:translateY(100%)}:host ::ng-deep .offcanvas.showing,:host ::ng-deep .offcanvas.show:not(.hiding){transform:none}:host ::ng-deep .offcanvas.showing,:host ::ng-deep .offcanvas.hiding,:host ::ng-deep .offcanvas.show{visibility:visible}:host ::ng-deep .offcanvas-backdrop{position:fixed;top:0;left:0;z-index:1040;width:100vw;height:100vh;background-color:#000}:host ::ng-deep .offcanvas-backdrop.fade{opacity:0}:host ::ng-deep .offcanvas-backdrop.show{opacity:.5}:host ::ng-deep .offcanvas-header{display:flex;align-items:center;justify-content:space-between;padding:var(--bs-offcanvas-padding-y) var(--bs-offcanvas-padding-x)}:host ::ng-deep .offcanvas-header .btn-close{padding:calc(var(--bs-offcanvas-padding-y) * .5) calc(var(--bs-offcanvas-padding-x) * .5);margin-top:calc(-.5 * var(--bs-offcanvas-padding-y));margin-right:calc(-.5 * var(--bs-offcanvas-padding-x));margin-bottom:calc(-.5 * var(--bs-offcanvas-padding-y))}:host ::ng-deep .offcanvas-title{margin-bottom:0;line-height:1.5}:host ::ng-deep .offcanvas-body{flex-grow:1;padding:var(--bs-offcanvas-padding-y) var(--bs-offcanvas-padding-x);overflow-y:auto}.offcanvas.oc-max-width{max-width:calc(100% - 40px)}.offcanvas.oc-max-height{max-height:calc(100% - 40px)}.modal-backdrop{z-index:1040}.offcanvas{visibility:unset}.offcanvas.disable-transition{transition:none}.offcanvas.offcanvas-top{height:auto;bottom:unset}.offcanvas.offcanvas-bottom{height:auto;top:unset}\n"] }]
        }], ctorParameters: function () { return [{ type: i0.TemplateRef, decorators: [{
                    type: Inject,
                    args: [OFFCANVAS_CONTENT]
                }] }]; }, propDecorators: { position: [{
                type: Input
            }], size: [{
                type: Input
            }], stateChange: [{
                type: Output
            }], state: [{
                type: Input
            }], backdropClick: [{
                type: Output
            }] } });

const PORTAL_FACTORY$2 = new InjectionToken('OffcanvasPortalFactory');

class BsOffcanvasHostComponent {
    constructor(overlayService, rootInjector, portalFactory) {
        this.overlayService = overlayService;
        this.rootInjector = rootInjector;
        this.portalFactory = portalFactory;
        this.viewInited$ = new BehaviorSubject(false);
        this.state$ = new BehaviorSubject('closed');
        this.size$ = new BehaviorSubject(null);
        this.position$ = new BehaviorSubject('bottom');
        this.hasBackdrop$ = new BehaviorSubject(false);
        this.destroyed$ = new Subject();
        this.backdropClick = new EventEmitter();
        //#region State
        this.stateChange = new EventEmitter();
        this.state$
            .pipe(takeUntil(this.destroyed$))
            .subscribe((state) => {
            if (this.component) {
                this.stateChange.emit(state);
                this.component.instance.state$.next(state);
            }
        });
        combineLatest([this.position$, this.viewInited$])
            .pipe(filter(([position, viewInited]) => viewInited))
            .pipe(takeUntil(this.destroyed$))
            .subscribe(([position, viewInited]) => {
            if (this.component) {
                this.component.instance.position$.next(position);
            }
        });
        combineLatest([this.size$, this.viewInited$])
            .pipe(filter(([size, viewInited]) => viewInited))
            .pipe(takeUntil(this.destroyed$))
            .subscribe(([size, viewInited]) => {
            if (this.component) {
                this.component.instance.size$.next(size);
            }
        });
        combineLatest([this.hasBackdrop$, this.viewInited$])
            .pipe(filter(([hasBackdrop, viewInited]) => viewInited))
            .pipe(takeUntil(this.destroyed$))
            .subscribe(([hasBackdrop, viewInited]) => {
            if (this.component) {
                this.component.instance.hasBackdrop$.next(hasBackdrop);
            }
        });
        this.destroyed$.pipe(take(1))
            .subscribe(() => {
            this.state = 'closed';
            setTimeout(() => this.overlayRef && this.overlayRef.dispose(), 3000);
        });
    }
    ngAfterViewInit() {
        const injector = Injector.create({
            providers: [
                { provide: OFFCANVAS_CONTENT, useValue: this.content },
            ],
            parent: this.rootInjector,
        });
        // const portal = new ComponentPortal(BsOffcanvasComponent, null, injector);
        const portal = this.portalFactory(injector);
        this.overlayRef = this.overlayService.create({
            scrollStrategy: this.overlayService.scrollStrategies.block(),
            positionStrategy: this.overlayService.position().global()
                .top('0').left('0').bottom('0').right('0'),
            hasBackdrop: false
        });
        this.component = this.overlayRef.attach(portal);
        this.component.instance.backdropClick
            .pipe(takeUntil(this.destroyed$))
            .subscribe((ev) => {
            this.backdropClick.emit(ev);
        });
        this.viewInited$.next(true);
    }
    ngOnDestroy() {
        this.destroyed$.next(true);
    }
    set state(value) {
        this.state$.next(value);
        if (this.component) {
            this.component.instance.state = value;
        }
        this.stateChange.emit(value);
    }
    get state() {
        return this.state$.value;
    }
    //#endregion
    //#region Position
    set position(value) {
        this.position$.next(value);
    }
    get position() {
        return this.position$.value;
    }
    //#endregion
    //#region Size
    set size(value) {
        this.size$.next(value);
    }
    get size() {
        return this.size$.value;
    }
    //#endregion
    //#region HasBackdrop
    set hasBackdrop(value) {
        this.hasBackdrop$.next(value);
    }
    get hasBackdrop() {
        return this.hasBackdrop$.value;
    }
}
BsOffcanvasHostComponent.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "14.2.2", ngImport: i0, type: BsOffcanvasHostComponent, deps: [{ token: i1$1.Overlay }, { token: i0.Injector }, { token: PORTAL_FACTORY$2 }], target: i0.ɵɵFactoryTarget.Component });
BsOffcanvasHostComponent.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "14.2.2", type: BsOffcanvasHostComponent, selector: "bs-offcanvas", inputs: { state: "state", position: "position", size: "size", hasBackdrop: "hasBackdrop" }, outputs: { backdropClick: "backdropClick", stateChange: "stateChange" }, ngImport: i0, template: "", styles: [""] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "14.2.2", ngImport: i0, type: BsOffcanvasHostComponent, decorators: [{
            type: Component,
            args: [{ selector: 'bs-offcanvas', template: "" }]
        }], ctorParameters: function () { return [{ type: i1$1.Overlay }, { type: i0.Injector }, { type: undefined, decorators: [{
                    type: Inject,
                    args: [PORTAL_FACTORY$2]
                }] }]; }, propDecorators: { backdropClick: [{
                type: Output
            }], stateChange: [{
                type: Output
            }], state: [{
                type: Input
            }], position: [{
                type: Input
            }], size: [{
                type: Input
            }], hasBackdrop: [{
                type: Input
            }] } });

class BsOffcanvasContentDirective {
    constructor(offcanvasHost, template) {
        offcanvasHost.content = template;
    }
}
BsOffcanvasContentDirective.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "14.2.2", ngImport: i0, type: BsOffcanvasContentDirective, deps: [{ token: BsOffcanvasHostComponent }, { token: i0.TemplateRef }], target: i0.ɵɵFactoryTarget.Directive });
BsOffcanvasContentDirective.ɵdir = i0.ɵɵngDeclareDirective({ minVersion: "14.0.0", version: "14.2.2", type: BsOffcanvasContentDirective, selector: "[bsOffcanvasContent]", ngImport: i0 });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "14.2.2", ngImport: i0, type: BsOffcanvasContentDirective, decorators: [{
            type: Directive,
            args: [{
                    selector: '[bsOffcanvasContent]'
                }]
        }], ctorParameters: function () { return [{ type: BsOffcanvasHostComponent }, { type: i0.TemplateRef }]; } });

class BsOffcanvasCloseDirective {
    constructor(offcanvas) {
        this.offcanvas = offcanvas;
    }
    onClick() {
        this.offcanvas.state = 'closed';
    }
}
BsOffcanvasCloseDirective.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "14.2.2", ngImport: i0, type: BsOffcanvasCloseDirective, deps: [{ token: BsOffcanvasHostComponent }], target: i0.ɵɵFactoryTarget.Directive });
BsOffcanvasCloseDirective.ɵdir = i0.ɵɵngDeclareDirective({ minVersion: "14.0.0", version: "14.2.2", type: BsOffcanvasCloseDirective, selector: "[bsOffcanvasClose]", host: { listeners: { "click": "onClick()" } }, ngImport: i0 });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "14.2.2", ngImport: i0, type: BsOffcanvasCloseDirective, decorators: [{
            type: Directive,
            args: [{
                    selector: '[bsOffcanvasClose]'
                }]
        }], ctorParameters: function () { return [{ type: BsOffcanvasHostComponent }]; }, propDecorators: { onClick: [{
                type: HostListener,
                args: ['click']
            }] } });

class OffcanvasHeaderComponent {
    constructor() { }
    ngOnInit() {
    }
}
OffcanvasHeaderComponent.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "14.2.2", ngImport: i0, type: OffcanvasHeaderComponent, deps: [], target: i0.ɵɵFactoryTarget.Component });
OffcanvasHeaderComponent.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "14.2.2", type: OffcanvasHeaderComponent, selector: "bs-offcanvas-header", ngImport: i0, template: "<div class=\"offcanvas-header\">\n    <ng-content></ng-content>\n</div>", styles: [""] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "14.2.2", ngImport: i0, type: OffcanvasHeaderComponent, decorators: [{
            type: Component,
            args: [{ selector: 'bs-offcanvas-header', template: "<div class=\"offcanvas-header\">\n    <ng-content></ng-content>\n</div>" }]
        }], ctorParameters: function () { return []; } });

class OffcanvasBodyComponent {
    constructor() {
        this.noPadding = false;
    }
    ngOnInit() {
    }
}
OffcanvasBodyComponent.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "14.2.2", ngImport: i0, type: OffcanvasBodyComponent, deps: [], target: i0.ɵɵFactoryTarget.Component });
OffcanvasBodyComponent.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "14.2.2", type: OffcanvasBodyComponent, selector: "bs-offcanvas-body", inputs: { noPadding: "noPadding" }, ngImport: i0, template: "<div class=\"offcanvas-body\" [class.p-0]=\"noPadding\">\n    <ng-content></ng-content>\n</div>", styles: [".offcanvas-body{overflow:unset}\n"] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "14.2.2", ngImport: i0, type: OffcanvasBodyComponent, decorators: [{
            type: Component,
            args: [{ selector: 'bs-offcanvas-body', template: "<div class=\"offcanvas-body\" [class.p-0]=\"noPadding\">\n    <ng-content></ng-content>\n</div>", styles: [".offcanvas-body{overflow:unset}\n"] }]
        }], ctorParameters: function () { return []; }, propDecorators: { noPadding: [{
                type: Input
            }] } });

class BsOffcanvasModule {
}
BsOffcanvasModule.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "14.2.2", ngImport: i0, type: BsOffcanvasModule, deps: [], target: i0.ɵɵFactoryTarget.NgModule });
BsOffcanvasModule.ɵmod = i0.ɵɵngDeclareNgModule({ minVersion: "14.0.0", version: "14.2.2", ngImport: i0, type: BsOffcanvasModule, declarations: [BsOffcanvasComponent,
        BsOffcanvasContentDirective,
        BsOffcanvasHostComponent,
        BsOffcanvasCloseDirective,
        OffcanvasHeaderComponent,
        OffcanvasBodyComponent], imports: [CommonModule,
        OverlayModule], exports: [BsOffcanvasComponent,
        BsOffcanvasContentDirective,
        BsOffcanvasHostComponent,
        BsOffcanvasCloseDirective,
        OffcanvasHeaderComponent,
        OffcanvasBodyComponent] });
BsOffcanvasModule.ɵinj = i0.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "14.2.2", ngImport: i0, type: BsOffcanvasModule, providers: [{
            provide: PORTAL_FACTORY$2,
            useValue: (injector) => {
                return new ComponentPortal(BsOffcanvasComponent, null, injector);
            }
        }], imports: [CommonModule,
        OverlayModule] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "14.2.2", ngImport: i0, type: BsOffcanvasModule, decorators: [{
            type: NgModule,
            args: [{
                    declarations: [
                        BsOffcanvasComponent,
                        BsOffcanvasContentDirective,
                        BsOffcanvasHostComponent,
                        BsOffcanvasCloseDirective,
                        OffcanvasHeaderComponent,
                        OffcanvasBodyComponent
                    ],
                    imports: [
                        CommonModule,
                        OverlayModule
                    ],
                    exports: [
                        BsOffcanvasComponent,
                        BsOffcanvasContentDirective,
                        BsOffcanvasHostComponent,
                        BsOffcanvasCloseDirective,
                        OffcanvasHeaderComponent,
                        OffcanvasBodyComponent
                    ],
                    providers: [{
                            provide: PORTAL_FACTORY$2,
                            useValue: (injector) => {
                                return new ComponentPortal(BsOffcanvasComponent, null, injector);
                            }
                        }]
                }]
        }] });

class BsPlaceholderComponent {
    constructor() {
        //#region isLoading
        this.isLoading$ = new BehaviorSubject(false);
        this.isLoadingChange = new EventEmitter();
    }
    get isLoading() {
        return this.isLoading$.value;
    }
    set isLoading(value) {
        this.isLoading$.next(value);
        this.isLoadingChange.emit(value);
    }
}
BsPlaceholderComponent.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "14.2.2", ngImport: i0, type: BsPlaceholderComponent, deps: [], target: i0.ɵɵFactoryTarget.Component });
BsPlaceholderComponent.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "14.2.2", type: BsPlaceholderComponent, selector: "bs-placeholder", inputs: { isLoading: "isLoading" }, ngImport: i0, template: "<div class=\"placeholder-glow\">\n    <ng-content></ng-content>\n</div>", styles: [":host ::ng-deep .placeholder{display:inline-block;min-height:1em;vertical-align:middle;cursor:wait;background-color:currentcolor;opacity:.5}:host ::ng-deep .placeholder.btn:before{display:inline-block;content:\"\"}:host ::ng-deep .placeholder-xs{min-height:.6em}:host ::ng-deep .placeholder-sm{min-height:.8em}:host ::ng-deep .placeholder-lg{min-height:1.2em}:host ::ng-deep .placeholder-glow .placeholder{animation:placeholder-glow 2s ease-in-out infinite}@keyframes placeholder-glow{50%{opacity:.2}}:host ::ng-deep .placeholder-wave{-webkit-mask-image:linear-gradient(130deg,#000 55%,rgba(0,0,0,.8) 75%,#000 95%);mask-image:linear-gradient(130deg,#000 55%,rgba(0,0,0,.8) 75%,#000 95%);-webkit-mask-size:200% 100%;mask-size:200% 100%;animation:placeholder-wave 2s linear infinite}@keyframes placeholder-wave{to{-webkit-mask-position:-200% 0%;mask-position:-200% 0%}}:host ::ng-deep .placeholder{min-height:calc(1em - 1px)!important}\n"] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "14.2.2", ngImport: i0, type: BsPlaceholderComponent, decorators: [{
            type: Component,
            args: [{ selector: 'bs-placeholder', template: "<div class=\"placeholder-glow\">\n    <ng-content></ng-content>\n</div>", styles: [":host ::ng-deep .placeholder{display:inline-block;min-height:1em;vertical-align:middle;cursor:wait;background-color:currentcolor;opacity:.5}:host ::ng-deep .placeholder.btn:before{display:inline-block;content:\"\"}:host ::ng-deep .placeholder-xs{min-height:.6em}:host ::ng-deep .placeholder-sm{min-height:.8em}:host ::ng-deep .placeholder-lg{min-height:1.2em}:host ::ng-deep .placeholder-glow .placeholder{animation:placeholder-glow 2s ease-in-out infinite}@keyframes placeholder-glow{50%{opacity:.2}}:host ::ng-deep .placeholder-wave{-webkit-mask-image:linear-gradient(130deg,#000 55%,rgba(0,0,0,.8) 75%,#000 95%);mask-image:linear-gradient(130deg,#000 55%,rgba(0,0,0,.8) 75%,#000 95%);-webkit-mask-size:200% 100%;mask-size:200% 100%;animation:placeholder-wave 2s linear infinite}@keyframes placeholder-wave{to{-webkit-mask-position:-200% 0%;mask-position:-200% 0%}}:host ::ng-deep .placeholder{min-height:calc(1em - 1px)!important}\n"] }]
        }], propDecorators: { isLoading: [{
                type: Input
            }] } });

class BsPlaceholderFieldDirective {
    constructor(placeholder) {
        this.placeholder = placeholder;
        this.html = undefined;
        this.minWidth = 80;
        this.marginBottom = 0;
        this.placeholderClass = true;
        this.destroyed$ = new Subject();
        this.placeholder.isLoading$
            .pipe(takeUntil(this.destroyed$))
            .subscribe((isLoading) => {
            this.placeholderClass = isLoading;
            this.marginBottom = isLoading ? -1 : 0;
            this.html = isLoading ? '&nbsp;' : undefined;
        });
    }
    ngOnDestroy() {
        this.destroyed$.next(true);
    }
}
BsPlaceholderFieldDirective.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "14.2.2", ngImport: i0, type: BsPlaceholderFieldDirective, deps: [{ token: BsPlaceholderComponent }], target: i0.ɵɵFactoryTarget.Directive });
BsPlaceholderFieldDirective.ɵdir = i0.ɵɵngDeclareDirective({ minVersion: "14.0.0", version: "14.2.2", type: BsPlaceholderFieldDirective, selector: "[bsPlaceholderField]", host: { properties: { "attr.innerHtml": "this.html", "style.min-width.px": "this.minWidth", "style.margin-bottom.px": "this.marginBottom", "class.placeholder": "this.placeholderClass" } }, ngImport: i0 });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "14.2.2", ngImport: i0, type: BsPlaceholderFieldDirective, decorators: [{
            type: Directive,
            args: [{
                    selector: '[bsPlaceholderField]'
                }]
        }], ctorParameters: function () { return [{ type: BsPlaceholderComponent }]; }, propDecorators: { html: [{
                type: HostBinding,
                args: ['attr.innerHtml']
            }], minWidth: [{
                type: HostBinding,
                args: ['style.min-width.px']
            }], marginBottom: [{
                type: HostBinding,
                args: ['style.margin-bottom.px']
            }], placeholderClass: [{
                type: HostBinding,
                args: ['class.placeholder']
            }] } });

class BsPlaceholderModule {
}
BsPlaceholderModule.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "14.2.2", ngImport: i0, type: BsPlaceholderModule, deps: [], target: i0.ɵɵFactoryTarget.NgModule });
BsPlaceholderModule.ɵmod = i0.ɵɵngDeclareNgModule({ minVersion: "14.0.0", version: "14.2.2", ngImport: i0, type: BsPlaceholderModule, declarations: [BsPlaceholderComponent, BsPlaceholderFieldDirective], imports: [CommonModule], exports: [BsPlaceholderComponent, BsPlaceholderFieldDirective] });
BsPlaceholderModule.ɵinj = i0.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "14.2.2", ngImport: i0, type: BsPlaceholderModule, imports: [CommonModule] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "14.2.2", ngImport: i0, type: BsPlaceholderModule, decorators: [{
            type: NgModule,
            args: [{
                    declarations: [BsPlaceholderComponent, BsPlaceholderFieldDirective],
                    imports: [CommonModule],
                    exports: [BsPlaceholderComponent, BsPlaceholderFieldDirective],
                }]
        }] });

const POPOVER_CONTENT = new InjectionToken('PopoverContent');

class BsPopoverComponent {
    constructor(content) {
        //#region Position
        this.positions = Position;
        this.position$ = new BehaviorSubject(Position.bottom);
        //#endregion
        //#region IsVisible
        this.isVisible$ = new BehaviorSubject(false);
        this.positionRelative = true;
        this.template = content;
        this.marginClass$ = this.position$.pipe(map((position) => {
            switch (position) {
                case Position.top: return 'mb-2';
                case Position.left: return 'me-2';
                case Position.right: return 'ms-2';
                default: return 'mt-2';
            }
        }));
    }
    get position() {
        return this.position$.value;
    }
    set position(value) {
        this.position$.next(value);
    }
    get isVisible() {
        return this.isVisible$.value;
    }
    set isVisible(value) {
        this.isVisible$.next(value);
    }
}
BsPopoverComponent.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "14.2.2", ngImport: i0, type: BsPopoverComponent, deps: [{ token: POPOVER_CONTENT }], target: i0.ɵɵFactoryTarget.Component });
BsPopoverComponent.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "14.2.2", type: BsPopoverComponent, selector: "bs-popover", inputs: { position: "position", isVisible: "isVisible" }, host: { properties: { "class.position-relative": "this.positionRelative" } }, ngImport: i0, template: "<div class=\"popover position-relative fade\" role=\"tooltip\"\n    [class.bs-popover-bottom]=\"position === positions.bottom\"\n    [class.bs-popover-top]=\"position === positions.top\"\n    [class.bs-popover-start]=\"position === positions.left\"\n    [class.bs-popover-end]=\"position === positions.right\"\n    [class]=\"marginClass$ | async\"\n    [class.show]=\"isVisible$ | async\">\n    <ng-container *ngTemplateOutlet=\"template\"></ng-container>\n    <div class=\"popover-arrow position-absolute\"></div>\n</div>\n", styles: [":host ::ng-deep .fade{transition:opacity .15s linear}@media (prefers-reduced-motion: reduce){:host ::ng-deep .fade{transition:none}}:host ::ng-deep .fade:not(.show){opacity:0}:host ::ng-deep .collapse:not(.show){display:none}:host ::ng-deep .collapsing{height:0;overflow:hidden;transition:height .35s ease}@media (prefers-reduced-motion: reduce){:host ::ng-deep .collapsing{transition:none}}:host ::ng-deep .collapsing.collapse-horizontal{width:0;height:auto;transition:width .35s ease}@media (prefers-reduced-motion: reduce){:host ::ng-deep .collapsing.collapse-horizontal{transition:none}}:host ::ng-deep .popover{--bs-popover-zindex: 1070;--bs-popover-max-width: 276px;--bs-popover-font-size: .875rem;--bs-popover-bg: #fff;--bs-popover-border-width: 1px;--bs-popover-border-color: var(--bs-border-color-translucent);--bs-popover-border-radius: .5rem;--bs-popover-inner-border-radius:calc(.5rem - 1px);--bs-popover-box-shadow: 0 .5rem 1rem rgba(0, 0, 0, .15);--bs-popover-header-padding-x: 1rem;--bs-popover-header-padding-y: .5rem;--bs-popover-header-font-size: 1rem;--bs-popover-header-color: ;--bs-popover-header-bg: #f0f0f0;--bs-popover-body-padding-x: 1rem;--bs-popover-body-padding-y: 1rem;--bs-popover-body-color: #212529;--bs-popover-arrow-width: 1rem;--bs-popover-arrow-height: .5rem;--bs-popover-arrow-border: var(--bs-popover-border-color);z-index:var(--bs-popover-zindex);display:block;max-width:var(--bs-popover-max-width);font-family:var(--bs-font-sans-serif);font-style:normal;font-weight:400;line-height:1.5;text-align:left;text-align:start;text-decoration:none;text-shadow:none;text-transform:none;letter-spacing:normal;word-break:normal;white-space:normal;word-spacing:normal;line-break:auto;font-size:var(--bs-popover-font-size);word-wrap:break-word;background-color:var(--bs-popover-bg);background-clip:padding-box;border:var(--bs-popover-border-width) solid var(--bs-popover-border-color);border-radius:var(--bs-popover-border-radius)}:host ::ng-deep .popover .popover-arrow{display:block;width:var(--bs-popover-arrow-width);height:var(--bs-popover-arrow-height)}:host ::ng-deep .popover .popover-arrow:before,:host ::ng-deep .popover .popover-arrow:after{position:absolute;display:block;content:\"\";border-color:transparent;border-style:solid;border-width:0}:host ::ng-deep .bs-popover-top>.popover-arrow,:host ::ng-deep .bs-popover-auto[data-popper-placement^=top]>.popover-arrow{bottom:calc(-1 * (var(--bs-popover-arrow-height)) - var(--bs-popover-border-width))}:host ::ng-deep .bs-popover-top>.popover-arrow:before,:host ::ng-deep .bs-popover-auto[data-popper-placement^=top]>.popover-arrow:before,:host ::ng-deep .bs-popover-top>.popover-arrow:after,:host ::ng-deep .bs-popover-auto[data-popper-placement^=top]>.popover-arrow:after{border-width:var(--bs-popover-arrow-height) calc(var(--bs-popover-arrow-width) * .5) 0}:host ::ng-deep .bs-popover-top>.popover-arrow:before,:host ::ng-deep .bs-popover-auto[data-popper-placement^=top]>.popover-arrow:before{bottom:0;border-top-color:var(--bs-popover-arrow-border)}:host ::ng-deep .bs-popover-top>.popover-arrow:after,:host ::ng-deep .bs-popover-auto[data-popper-placement^=top]>.popover-arrow:after{bottom:var(--bs-popover-border-width);border-top-color:var(--bs-popover-bg)}:host ::ng-deep .bs-popover-end>.popover-arrow,:host ::ng-deep .bs-popover-auto[data-popper-placement^=right]>.popover-arrow{left:calc(-1 * (var(--bs-popover-arrow-height)) - var(--bs-popover-border-width));width:var(--bs-popover-arrow-height);height:var(--bs-popover-arrow-width)}:host ::ng-deep .bs-popover-end>.popover-arrow:before,:host ::ng-deep .bs-popover-auto[data-popper-placement^=right]>.popover-arrow:before,:host ::ng-deep .bs-popover-end>.popover-arrow:after,:host ::ng-deep .bs-popover-auto[data-popper-placement^=right]>.popover-arrow:after{border-width:calc(var(--bs-popover-arrow-width) * .5) var(--bs-popover-arrow-height) calc(var(--bs-popover-arrow-width) * .5) 0}:host ::ng-deep .bs-popover-end>.popover-arrow:before,:host ::ng-deep .bs-popover-auto[data-popper-placement^=right]>.popover-arrow:before{left:0;border-right-color:var(--bs-popover-arrow-border)}:host ::ng-deep .bs-popover-end>.popover-arrow:after,:host ::ng-deep .bs-popover-auto[data-popper-placement^=right]>.popover-arrow:after{left:var(--bs-popover-border-width);border-right-color:var(--bs-popover-bg)}:host ::ng-deep .bs-popover-bottom>.popover-arrow,:host ::ng-deep .bs-popover-auto[data-popper-placement^=bottom]>.popover-arrow{top:calc(-1 * (var(--bs-popover-arrow-height)) - var(--bs-popover-border-width))}:host ::ng-deep .bs-popover-bottom>.popover-arrow:before,:host ::ng-deep .bs-popover-auto[data-popper-placement^=bottom]>.popover-arrow:before,:host ::ng-deep .bs-popover-bottom>.popover-arrow:after,:host ::ng-deep .bs-popover-auto[data-popper-placement^=bottom]>.popover-arrow:after{border-width:0 calc(var(--bs-popover-arrow-width) * .5) var(--bs-popover-arrow-height)}:host ::ng-deep .bs-popover-bottom>.popover-arrow:before,:host ::ng-deep .bs-popover-auto[data-popper-placement^=bottom]>.popover-arrow:before{top:0;border-bottom-color:var(--bs-popover-arrow-border)}:host ::ng-deep .bs-popover-bottom>.popover-arrow:after,:host ::ng-deep .bs-popover-auto[data-popper-placement^=bottom]>.popover-arrow:after{top:var(--bs-popover-border-width);border-bottom-color:var(--bs-popover-bg)}:host ::ng-deep .bs-popover-bottom .popover-header:before,:host ::ng-deep .bs-popover-auto[data-popper-placement^=bottom] .popover-header:before{position:absolute;top:0;left:50%;display:block;width:var(--bs-popover-arrow-width);margin-left:calc(-.5 * var(--bs-popover-arrow-width));content:\"\";border-bottom:var(--bs-popover-border-width) solid var(--bs-popover-header-bg)}:host ::ng-deep .bs-popover-start>.popover-arrow,:host ::ng-deep .bs-popover-auto[data-popper-placement^=left]>.popover-arrow{right:calc(-1 * (var(--bs-popover-arrow-height)) - var(--bs-popover-border-width));width:var(--bs-popover-arrow-height);height:var(--bs-popover-arrow-width)}:host ::ng-deep .bs-popover-start>.popover-arrow:before,:host ::ng-deep .bs-popover-auto[data-popper-placement^=left]>.popover-arrow:before,:host ::ng-deep .bs-popover-start>.popover-arrow:after,:host ::ng-deep .bs-popover-auto[data-popper-placement^=left]>.popover-arrow:after{border-width:calc(var(--bs-popover-arrow-width) * .5) 0 calc(var(--bs-popover-arrow-width) * .5) var(--bs-popover-arrow-height)}:host ::ng-deep .bs-popover-start>.popover-arrow:before,:host ::ng-deep .bs-popover-auto[data-popper-placement^=left]>.popover-arrow:before{right:0;border-left-color:var(--bs-popover-arrow-border)}:host ::ng-deep .bs-popover-start>.popover-arrow:after,:host ::ng-deep .bs-popover-auto[data-popper-placement^=left]>.popover-arrow:after{right:var(--bs-popover-border-width);border-left-color:var(--bs-popover-bg)}:host ::ng-deep .popover-header{padding:var(--bs-popover-header-padding-y) var(--bs-popover-header-padding-x);margin-bottom:0;font-size:var(--bs-popover-header-font-size);color:var(--bs-popover-header-color);background-color:var(--bs-popover-header-bg);border-bottom:var(--bs-popover-border-width) solid var(--bs-popover-border-color);border-top-left-radius:var(--bs-popover-inner-border-radius);border-top-right-radius:var(--bs-popover-inner-border-radius)}:host ::ng-deep .popover-header:empty{display:none}:host ::ng-deep .popover-body{padding:var(--bs-popover-body-padding-y) var(--bs-popover-body-padding-x);color:var(--bs-popover-body-color)}.popover.bs-popover-top>.popover-arrow,:host ::ng-deep .popover.bs-popover-auto[data-popper-placement^=top]>.popover-arrow,.popover.bs-popover-bottom>.popover-arrow,:host ::ng-deep .popover.bs-popover-auto[data-popper-placement^=bottom]>.popover-arrow{left:50%;transform:translate(-50%)}.popover.bs-popover-start>.popover-arrow,:host ::ng-deep .popover.bs-popover-auto[data-popper-placement^=left]>.popover-arrow,.popover.bs-popover-end>.popover-arrow,:host ::ng-deep .popover.bs-popover-auto[data-popper-placement^=right]>.popover-arrow{top:50%;transform:translateY(-50%)}\n"], dependencies: [{ kind: "directive", type: i1.NgTemplateOutlet, selector: "[ngTemplateOutlet]", inputs: ["ngTemplateOutletContext", "ngTemplateOutlet", "ngTemplateOutletInjector"] }, { kind: "pipe", type: i1.AsyncPipe, name: "async" }], animations: [FadeInOutAnimation] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "14.2.2", ngImport: i0, type: BsPopoverComponent, decorators: [{
            type: Component,
            args: [{ selector: 'bs-popover', animations: [FadeInOutAnimation], template: "<div class=\"popover position-relative fade\" role=\"tooltip\"\n    [class.bs-popover-bottom]=\"position === positions.bottom\"\n    [class.bs-popover-top]=\"position === positions.top\"\n    [class.bs-popover-start]=\"position === positions.left\"\n    [class.bs-popover-end]=\"position === positions.right\"\n    [class]=\"marginClass$ | async\"\n    [class.show]=\"isVisible$ | async\">\n    <ng-container *ngTemplateOutlet=\"template\"></ng-container>\n    <div class=\"popover-arrow position-absolute\"></div>\n</div>\n", styles: [":host ::ng-deep .fade{transition:opacity .15s linear}@media (prefers-reduced-motion: reduce){:host ::ng-deep .fade{transition:none}}:host ::ng-deep .fade:not(.show){opacity:0}:host ::ng-deep .collapse:not(.show){display:none}:host ::ng-deep .collapsing{height:0;overflow:hidden;transition:height .35s ease}@media (prefers-reduced-motion: reduce){:host ::ng-deep .collapsing{transition:none}}:host ::ng-deep .collapsing.collapse-horizontal{width:0;height:auto;transition:width .35s ease}@media (prefers-reduced-motion: reduce){:host ::ng-deep .collapsing.collapse-horizontal{transition:none}}:host ::ng-deep .popover{--bs-popover-zindex: 1070;--bs-popover-max-width: 276px;--bs-popover-font-size: .875rem;--bs-popover-bg: #fff;--bs-popover-border-width: 1px;--bs-popover-border-color: var(--bs-border-color-translucent);--bs-popover-border-radius: .5rem;--bs-popover-inner-border-radius:calc(.5rem - 1px);--bs-popover-box-shadow: 0 .5rem 1rem rgba(0, 0, 0, .15);--bs-popover-header-padding-x: 1rem;--bs-popover-header-padding-y: .5rem;--bs-popover-header-font-size: 1rem;--bs-popover-header-color: ;--bs-popover-header-bg: #f0f0f0;--bs-popover-body-padding-x: 1rem;--bs-popover-body-padding-y: 1rem;--bs-popover-body-color: #212529;--bs-popover-arrow-width: 1rem;--bs-popover-arrow-height: .5rem;--bs-popover-arrow-border: var(--bs-popover-border-color);z-index:var(--bs-popover-zindex);display:block;max-width:var(--bs-popover-max-width);font-family:var(--bs-font-sans-serif);font-style:normal;font-weight:400;line-height:1.5;text-align:left;text-align:start;text-decoration:none;text-shadow:none;text-transform:none;letter-spacing:normal;word-break:normal;white-space:normal;word-spacing:normal;line-break:auto;font-size:var(--bs-popover-font-size);word-wrap:break-word;background-color:var(--bs-popover-bg);background-clip:padding-box;border:var(--bs-popover-border-width) solid var(--bs-popover-border-color);border-radius:var(--bs-popover-border-radius)}:host ::ng-deep .popover .popover-arrow{display:block;width:var(--bs-popover-arrow-width);height:var(--bs-popover-arrow-height)}:host ::ng-deep .popover .popover-arrow:before,:host ::ng-deep .popover .popover-arrow:after{position:absolute;display:block;content:\"\";border-color:transparent;border-style:solid;border-width:0}:host ::ng-deep .bs-popover-top>.popover-arrow,:host ::ng-deep .bs-popover-auto[data-popper-placement^=top]>.popover-arrow{bottom:calc(-1 * (var(--bs-popover-arrow-height)) - var(--bs-popover-border-width))}:host ::ng-deep .bs-popover-top>.popover-arrow:before,:host ::ng-deep .bs-popover-auto[data-popper-placement^=top]>.popover-arrow:before,:host ::ng-deep .bs-popover-top>.popover-arrow:after,:host ::ng-deep .bs-popover-auto[data-popper-placement^=top]>.popover-arrow:after{border-width:var(--bs-popover-arrow-height) calc(var(--bs-popover-arrow-width) * .5) 0}:host ::ng-deep .bs-popover-top>.popover-arrow:before,:host ::ng-deep .bs-popover-auto[data-popper-placement^=top]>.popover-arrow:before{bottom:0;border-top-color:var(--bs-popover-arrow-border)}:host ::ng-deep .bs-popover-top>.popover-arrow:after,:host ::ng-deep .bs-popover-auto[data-popper-placement^=top]>.popover-arrow:after{bottom:var(--bs-popover-border-width);border-top-color:var(--bs-popover-bg)}:host ::ng-deep .bs-popover-end>.popover-arrow,:host ::ng-deep .bs-popover-auto[data-popper-placement^=right]>.popover-arrow{left:calc(-1 * (var(--bs-popover-arrow-height)) - var(--bs-popover-border-width));width:var(--bs-popover-arrow-height);height:var(--bs-popover-arrow-width)}:host ::ng-deep .bs-popover-end>.popover-arrow:before,:host ::ng-deep .bs-popover-auto[data-popper-placement^=right]>.popover-arrow:before,:host ::ng-deep .bs-popover-end>.popover-arrow:after,:host ::ng-deep .bs-popover-auto[data-popper-placement^=right]>.popover-arrow:after{border-width:calc(var(--bs-popover-arrow-width) * .5) var(--bs-popover-arrow-height) calc(var(--bs-popover-arrow-width) * .5) 0}:host ::ng-deep .bs-popover-end>.popover-arrow:before,:host ::ng-deep .bs-popover-auto[data-popper-placement^=right]>.popover-arrow:before{left:0;border-right-color:var(--bs-popover-arrow-border)}:host ::ng-deep .bs-popover-end>.popover-arrow:after,:host ::ng-deep .bs-popover-auto[data-popper-placement^=right]>.popover-arrow:after{left:var(--bs-popover-border-width);border-right-color:var(--bs-popover-bg)}:host ::ng-deep .bs-popover-bottom>.popover-arrow,:host ::ng-deep .bs-popover-auto[data-popper-placement^=bottom]>.popover-arrow{top:calc(-1 * (var(--bs-popover-arrow-height)) - var(--bs-popover-border-width))}:host ::ng-deep .bs-popover-bottom>.popover-arrow:before,:host ::ng-deep .bs-popover-auto[data-popper-placement^=bottom]>.popover-arrow:before,:host ::ng-deep .bs-popover-bottom>.popover-arrow:after,:host ::ng-deep .bs-popover-auto[data-popper-placement^=bottom]>.popover-arrow:after{border-width:0 calc(var(--bs-popover-arrow-width) * .5) var(--bs-popover-arrow-height)}:host ::ng-deep .bs-popover-bottom>.popover-arrow:before,:host ::ng-deep .bs-popover-auto[data-popper-placement^=bottom]>.popover-arrow:before{top:0;border-bottom-color:var(--bs-popover-arrow-border)}:host ::ng-deep .bs-popover-bottom>.popover-arrow:after,:host ::ng-deep .bs-popover-auto[data-popper-placement^=bottom]>.popover-arrow:after{top:var(--bs-popover-border-width);border-bottom-color:var(--bs-popover-bg)}:host ::ng-deep .bs-popover-bottom .popover-header:before,:host ::ng-deep .bs-popover-auto[data-popper-placement^=bottom] .popover-header:before{position:absolute;top:0;left:50%;display:block;width:var(--bs-popover-arrow-width);margin-left:calc(-.5 * var(--bs-popover-arrow-width));content:\"\";border-bottom:var(--bs-popover-border-width) solid var(--bs-popover-header-bg)}:host ::ng-deep .bs-popover-start>.popover-arrow,:host ::ng-deep .bs-popover-auto[data-popper-placement^=left]>.popover-arrow{right:calc(-1 * (var(--bs-popover-arrow-height)) - var(--bs-popover-border-width));width:var(--bs-popover-arrow-height);height:var(--bs-popover-arrow-width)}:host ::ng-deep .bs-popover-start>.popover-arrow:before,:host ::ng-deep .bs-popover-auto[data-popper-placement^=left]>.popover-arrow:before,:host ::ng-deep .bs-popover-start>.popover-arrow:after,:host ::ng-deep .bs-popover-auto[data-popper-placement^=left]>.popover-arrow:after{border-width:calc(var(--bs-popover-arrow-width) * .5) 0 calc(var(--bs-popover-arrow-width) * .5) var(--bs-popover-arrow-height)}:host ::ng-deep .bs-popover-start>.popover-arrow:before,:host ::ng-deep .bs-popover-auto[data-popper-placement^=left]>.popover-arrow:before{right:0;border-left-color:var(--bs-popover-arrow-border)}:host ::ng-deep .bs-popover-start>.popover-arrow:after,:host ::ng-deep .bs-popover-auto[data-popper-placement^=left]>.popover-arrow:after{right:var(--bs-popover-border-width);border-left-color:var(--bs-popover-bg)}:host ::ng-deep .popover-header{padding:var(--bs-popover-header-padding-y) var(--bs-popover-header-padding-x);margin-bottom:0;font-size:var(--bs-popover-header-font-size);color:var(--bs-popover-header-color);background-color:var(--bs-popover-header-bg);border-bottom:var(--bs-popover-border-width) solid var(--bs-popover-border-color);border-top-left-radius:var(--bs-popover-inner-border-radius);border-top-right-radius:var(--bs-popover-inner-border-radius)}:host ::ng-deep .popover-header:empty{display:none}:host ::ng-deep .popover-body{padding:var(--bs-popover-body-padding-y) var(--bs-popover-body-padding-x);color:var(--bs-popover-body-color)}.popover.bs-popover-top>.popover-arrow,:host ::ng-deep .popover.bs-popover-auto[data-popper-placement^=top]>.popover-arrow,.popover.bs-popover-bottom>.popover-arrow,:host ::ng-deep .popover.bs-popover-auto[data-popper-placement^=bottom]>.popover-arrow{left:50%;transform:translate(-50%)}.popover.bs-popover-start>.popover-arrow,:host ::ng-deep .popover.bs-popover-auto[data-popper-placement^=left]>.popover-arrow,.popover.bs-popover-end>.popover-arrow,:host ::ng-deep .popover.bs-popover-auto[data-popper-placement^=right]>.popover-arrow{top:50%;transform:translateY(-50%)}\n"] }]
        }], ctorParameters: function () { return [{ type: i0.TemplateRef, decorators: [{
                    type: Inject,
                    args: [POPOVER_CONTENT]
                }] }]; }, propDecorators: { position: [{
                type: Input
            }], isVisible: [{
                type: Input
            }], positionRelative: [{
                type: HostBinding,
                args: ['class.position-relative']
            }] } });

const PORTAL_FACTORY$1 = new InjectionToken('PopoverPortalFactory');

class BsPopoverDirective {
    constructor(overlay, templateRef, parentInjector, portalFactory, parent) {
        this.overlay = overlay;
        this.templateRef = templateRef;
        this.parentInjector = parentInjector;
        this.portalFactory = portalFactory;
        this.parent = parent;
        this.injector = null;
        this.portal = null;
        this.overlayRef = null;
        this.component = null;
        this.position$ = new BehaviorSubject(Position.bottom);
        this.isVisible$ = new BehaviorSubject(false);
        this.destroyed$ = new Subject();
        this.position$.pipe(takeUntil(this.destroyed$)).subscribe((position) => {
            if (this.component) {
                this.component.instance.position = position;
            }
        });
        this.isVisible$.pipe(takeUntil(this.destroyed$)).subscribe((isVisible) => {
            if (this.component) {
                this.component.instance.isVisible = isVisible;
            }
        });
        this.connectedPosition$ = this.position$
            .pipe(delay(20), map((position) => {
            switch (position) {
                case Position.top:
                    return {
                        originX: "center",
                        originY: "top",
                        overlayX: "center",
                        overlayY: "bottom"
                    };
                case Position.left:
                    return {
                        originX: "start",
                        originY: "center",
                        overlayX: "end",
                        overlayY: "center",
                    };
                case Position.right:
                    return {
                        originX: "end",
                        originY: "center",
                        overlayX: "start",
                        overlayY: "center"
                    };
                default:
                    return {
                        originX: "center",
                        originY: "bottom",
                        overlayX: "center",
                        overlayY: "top"
                    };
            }
        }));
        this.connectedPosition$
            .pipe(takeUntil(this.destroyed$))
            .subscribe((connectedPosition) => {
            if (this.overlayRef) {
                this.overlayRef.updatePositionStrategy(this.overlay.position()
                    .flexibleConnectedTo(this.parent)
                    .withPositions([connectedPosition]));
            }
        });
        this.destroyed$.pipe(take(1)).subscribe(() => {
            if (this.overlayRef) {
                this.overlayRef.detach();
                this.overlayRef.dispose();
                this.overlayRef = null;
            }
        });
    }
    set bsPopover(value) {
        this.position$.next(value);
    }
    ngAfterViewInit() {
        this.connectedPosition$.pipe(take(1)).subscribe((connectedPosition) => {
            this.injector = Injector.create({
                providers: [{ provide: POPOVER_CONTENT, useValue: this.templateRef }],
                parent: this.parentInjector
            });
            this.portal = this.portalFactory(this.injector);
            this.overlayRef = this.overlay.create({
                scrollStrategy: this.overlay.scrollStrategies.reposition(),
                positionStrategy: this.overlay.position()
                    .flexibleConnectedTo(this.parent)
                    .withPositions([connectedPosition]),
            });
            this.component = this.overlayRef.attach(this.portal);
            this.component.instance.position = this.position$.value;
        });
        this.parent.nativeElement.onclick = () => {
            this.isVisible$.pipe(take(1)).subscribe((isVisible) => {
                this.isVisible$.next(!isVisible);
            });
        };
    }
    ngOnDestroy() {
        this.destroyed$.next(true);
    }
}
BsPopoverDirective.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "14.2.2", ngImport: i0, type: BsPopoverDirective, deps: [{ token: i1$1.Overlay }, { token: i0.TemplateRef }, { token: i0.Injector }, { token: PORTAL_FACTORY$1 }, { token: i0.ElementRef, host: true, skipSelf: true }], target: i0.ɵɵFactoryTarget.Directive });
BsPopoverDirective.ɵdir = i0.ɵɵngDeclareDirective({ minVersion: "14.0.0", version: "14.2.2", type: BsPopoverDirective, selector: "*[bsPopover]", inputs: { bsPopover: "bsPopover" }, ngImport: i0 });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "14.2.2", ngImport: i0, type: BsPopoverDirective, decorators: [{
            type: Directive,
            args: [{
                    selector: '*[bsPopover]'
                }]
        }], ctorParameters: function () { return [{ type: i1$1.Overlay }, { type: i0.TemplateRef }, { type: i0.Injector }, { type: undefined, decorators: [{
                    type: Inject,
                    args: [PORTAL_FACTORY$1]
                }] }, { type: i0.ElementRef, decorators: [{
                    type: Host
                }, {
                    type: SkipSelf
                }] }]; }, propDecorators: { bsPopover: [{
                type: Input
            }] } });

class BsPopoverBodyDirective {
    constructor() {
        this.bodyClass = true;
    }
}
BsPopoverBodyDirective.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "14.2.2", ngImport: i0, type: BsPopoverBodyDirective, deps: [], target: i0.ɵɵFactoryTarget.Directive });
BsPopoverBodyDirective.ɵdir = i0.ɵɵngDeclareDirective({ minVersion: "14.0.0", version: "14.2.2", type: BsPopoverBodyDirective, selector: "[bsPopoverBody]", host: { properties: { "class.popover-body": "this.bodyClass" } }, ngImport: i0 });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "14.2.2", ngImport: i0, type: BsPopoverBodyDirective, decorators: [{
            type: Directive,
            args: [{
                    selector: '[bsPopoverBody]'
                }]
        }], ctorParameters: function () { return []; }, propDecorators: { bodyClass: [{
                type: HostBinding,
                args: ['class.popover-body']
            }] } });

class BsPopoverHeaderDirective {
    constructor() {
        this.headerClass = true;
    }
}
BsPopoverHeaderDirective.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "14.2.2", ngImport: i0, type: BsPopoverHeaderDirective, deps: [], target: i0.ɵɵFactoryTarget.Directive });
BsPopoverHeaderDirective.ɵdir = i0.ɵɵngDeclareDirective({ minVersion: "14.0.0", version: "14.2.2", type: BsPopoverHeaderDirective, selector: "[bsPopoverHeader]", host: { properties: { "class.popover-header": "this.headerClass" } }, ngImport: i0 });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "14.2.2", ngImport: i0, type: BsPopoverHeaderDirective, decorators: [{
            type: Directive,
            args: [{
                    selector: '[bsPopoverHeader]'
                }]
        }], ctorParameters: function () { return []; }, propDecorators: { headerClass: [{
                type: HostBinding,
                args: ['class.popover-header']
            }] } });

class BsPopoverModule {
}
BsPopoverModule.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "14.2.2", ngImport: i0, type: BsPopoverModule, deps: [], target: i0.ɵɵFactoryTarget.NgModule });
BsPopoverModule.ɵmod = i0.ɵɵngDeclareNgModule({ minVersion: "14.0.0", version: "14.2.2", ngImport: i0, type: BsPopoverModule, declarations: [BsPopoverComponent, BsPopoverDirective, BsPopoverHeaderDirective, BsPopoverBodyDirective], imports: [CommonModule, OverlayModule], exports: [BsPopoverDirective, BsPopoverHeaderDirective, BsPopoverBodyDirective] });
BsPopoverModule.ɵinj = i0.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "14.2.2", ngImport: i0, type: BsPopoverModule, providers: [{
            provide: PORTAL_FACTORY$1,
            useValue: (injector) => {
                return new ComponentPortal(BsPopoverComponent, null, injector);
            }
        }], imports: [CommonModule, OverlayModule] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "14.2.2", ngImport: i0, type: BsPopoverModule, decorators: [{
            type: NgModule,
            args: [{
                    declarations: [BsPopoverComponent, BsPopoverDirective, BsPopoverHeaderDirective, BsPopoverBodyDirective],
                    imports: [CommonModule, OverlayModule],
                    exports: [BsPopoverDirective, BsPopoverHeaderDirective, BsPopoverBodyDirective],
                    providers: [{
                            provide: PORTAL_FACTORY$1,
                            useValue: (injector) => {
                                return new ComponentPortal(BsPopoverComponent, null, injector);
                            }
                        }]
                }]
        }] });

class BsRangeComponent {
    constructor() { }
}
BsRangeComponent.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "14.2.2", ngImport: i0, type: BsRangeComponent, deps: [], target: i0.ɵɵFactoryTarget.Component });
BsRangeComponent.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "14.2.2", type: BsRangeComponent, selector: "bs-range", viewQueries: [{ propertyName: "slider", first: true, predicate: ["slider"], descendants: true }], ngImport: i0, template: "<input #slider type=\"range\" min=\"0\" max=\"5\" step=\"0.5\" class=\"form-range\">\n", styles: [":host ::ng-deep .form-range{width:100%;height:1.5rem;padding:0;background-color:transparent;-webkit-appearance:none;appearance:none}:host ::ng-deep .form-range:focus{outline:0}:host ::ng-deep .form-range:focus::-webkit-slider-thumb{box-shadow:0 0 0 1px #fff,0 0 0 .25rem #0d6efd40}:host ::ng-deep .form-range:focus::-moz-range-thumb{box-shadow:0 0 0 1px #fff,0 0 0 .25rem #0d6efd40}:host ::ng-deep .form-range::-moz-focus-outer{border:0}:host ::ng-deep .form-range::-webkit-slider-thumb{width:1rem;height:1rem;margin-top:-.25rem;background-color:#0d6efd;border:0;border-radius:1rem;-webkit-transition:background-color .15s ease-in-out,border-color .15s ease-in-out,box-shadow .15s ease-in-out;transition:background-color .15s ease-in-out,border-color .15s ease-in-out,box-shadow .15s ease-in-out;-webkit-appearance:none;appearance:none}@media (prefers-reduced-motion: reduce){:host ::ng-deep .form-range::-webkit-slider-thumb{-webkit-transition:none;transition:none}}:host ::ng-deep .form-range::-webkit-slider-thumb:active{background-color:#b6d4fe}:host ::ng-deep .form-range::-webkit-slider-runnable-track{width:100%;height:.5rem;color:transparent;cursor:pointer;background-color:#dee2e6;border-color:transparent;border-radius:1rem}:host ::ng-deep .form-range::-moz-range-thumb{width:1rem;height:1rem;background-color:#0d6efd;border:0;border-radius:1rem;-moz-transition:background-color .15s ease-in-out,border-color .15s ease-in-out,box-shadow .15s ease-in-out;transition:background-color .15s ease-in-out,border-color .15s ease-in-out,box-shadow .15s ease-in-out;appearance:none}@media (prefers-reduced-motion: reduce){:host ::ng-deep .form-range::-moz-range-thumb{-moz-transition:none;transition:none}}:host ::ng-deep .form-range::-moz-range-thumb:active{background-color:#b6d4fe}:host ::ng-deep .form-range::-moz-range-track{width:100%;height:.5rem;color:transparent;cursor:pointer;background-color:#dee2e6;border-color:transparent;border-radius:1rem}:host ::ng-deep .form-range:disabled{pointer-events:none}:host ::ng-deep .form-range:disabled::-webkit-slider-thumb{background-color:#adb5bd}:host ::ng-deep .form-range:disabled::-moz-range-thumb{background-color:#adb5bd}\n"] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "14.2.2", ngImport: i0, type: BsRangeComponent, decorators: [{
            type: Component,
            args: [{ selector: 'bs-range', template: "<input #slider type=\"range\" min=\"0\" max=\"5\" step=\"0.5\" class=\"form-range\">\n", styles: [":host ::ng-deep .form-range{width:100%;height:1.5rem;padding:0;background-color:transparent;-webkit-appearance:none;appearance:none}:host ::ng-deep .form-range:focus{outline:0}:host ::ng-deep .form-range:focus::-webkit-slider-thumb{box-shadow:0 0 0 1px #fff,0 0 0 .25rem #0d6efd40}:host ::ng-deep .form-range:focus::-moz-range-thumb{box-shadow:0 0 0 1px #fff,0 0 0 .25rem #0d6efd40}:host ::ng-deep .form-range::-moz-focus-outer{border:0}:host ::ng-deep .form-range::-webkit-slider-thumb{width:1rem;height:1rem;margin-top:-.25rem;background-color:#0d6efd;border:0;border-radius:1rem;-webkit-transition:background-color .15s ease-in-out,border-color .15s ease-in-out,box-shadow .15s ease-in-out;transition:background-color .15s ease-in-out,border-color .15s ease-in-out,box-shadow .15s ease-in-out;-webkit-appearance:none;appearance:none}@media (prefers-reduced-motion: reduce){:host ::ng-deep .form-range::-webkit-slider-thumb{-webkit-transition:none;transition:none}}:host ::ng-deep .form-range::-webkit-slider-thumb:active{background-color:#b6d4fe}:host ::ng-deep .form-range::-webkit-slider-runnable-track{width:100%;height:.5rem;color:transparent;cursor:pointer;background-color:#dee2e6;border-color:transparent;border-radius:1rem}:host ::ng-deep .form-range::-moz-range-thumb{width:1rem;height:1rem;background-color:#0d6efd;border:0;border-radius:1rem;-moz-transition:background-color .15s ease-in-out,border-color .15s ease-in-out,box-shadow .15s ease-in-out;transition:background-color .15s ease-in-out,border-color .15s ease-in-out,box-shadow .15s ease-in-out;appearance:none}@media (prefers-reduced-motion: reduce){:host ::ng-deep .form-range::-moz-range-thumb{-moz-transition:none;transition:none}}:host ::ng-deep .form-range::-moz-range-thumb:active{background-color:#b6d4fe}:host ::ng-deep .form-range::-moz-range-track{width:100%;height:.5rem;color:transparent;cursor:pointer;background-color:#dee2e6;border-color:transparent;border-radius:1rem}:host ::ng-deep .form-range:disabled{pointer-events:none}:host ::ng-deep .form-range:disabled::-webkit-slider-thumb{background-color:#adb5bd}:host ::ng-deep .form-range:disabled::-moz-range-thumb{background-color:#adb5bd}\n"] }]
        }], ctorParameters: function () { return []; }, propDecorators: { slider: [{
                type: ViewChild,
                args: ['slider']
            }] } });

class BsRangeValueAccessor {
    constructor(host) {
        this.host = host;
        this.destroyed$ = new Subject();
    }
    //#region Lifecycle hooks
    ngAfterViewInit() {
        fromEvent(this.host.slider.nativeElement, 'input')
            .pipe(takeUntil(this.destroyed$))
            .subscribe((ev) => {
            if (this.onValueChange) {
                const val = parseFloat(ev.target.value);
                this.onValueChange(val);
            }
        });
    }
    ngOnDestroy() {
        this.destroyed$.next(true);
    }
    //#endregion
    //#region ControlValueAccessor implementation
    registerOnChange(fn) {
        this.onValueChange = fn;
    }
    registerOnTouched(fn) {
        this.onTouched = fn;
    }
    writeValue(value) {
        if (this.host.slider) {
            this.host.slider.nativeElement.value = value.toString();
        }
    }
    setDisabledState(isDisabled) {
        if (this.host.slider) {
            this.host.slider.nativeElement.disabled = isDisabled;
        }
    }
}
BsRangeValueAccessor.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "14.2.2", ngImport: i0, type: BsRangeValueAccessor, deps: [{ token: BsRangeComponent }], target: i0.ɵɵFactoryTarget.Directive });
BsRangeValueAccessor.ɵdir = i0.ɵɵngDeclareDirective({ minVersion: "14.0.0", version: "14.2.2", type: BsRangeValueAccessor, selector: "bs-range", providers: [{
            provide: NG_VALUE_ACCESSOR,
            useExisting: forwardRef(() => BsRangeValueAccessor),
            multi: true,
        }], ngImport: i0 });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "14.2.2", ngImport: i0, type: BsRangeValueAccessor, decorators: [{
            type: Directive,
            args: [{
                    selector: 'bs-range',
                    providers: [{
                            provide: NG_VALUE_ACCESSOR,
                            useExisting: forwardRef(() => BsRangeValueAccessor),
                            multi: true,
                        }],
                }]
        }], ctorParameters: function () { return [{ type: BsRangeComponent }]; } });

class BsRangeModule {
}
BsRangeModule.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "14.2.2", ngImport: i0, type: BsRangeModule, deps: [], target: i0.ɵɵFactoryTarget.NgModule });
BsRangeModule.ɵmod = i0.ɵɵngDeclareNgModule({ minVersion: "14.0.0", version: "14.2.2", ngImport: i0, type: BsRangeModule, declarations: [BsRangeComponent, BsRangeValueAccessor], imports: [CommonModule], exports: [BsRangeComponent, BsRangeValueAccessor] });
BsRangeModule.ɵinj = i0.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "14.2.2", ngImport: i0, type: BsRangeModule, imports: [CommonModule] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "14.2.2", ngImport: i0, type: BsRangeModule, decorators: [{
            type: NgModule,
            args: [{
                    declarations: [BsRangeComponent, BsRangeValueAccessor],
                    imports: [CommonModule],
                    exports: [BsRangeComponent, BsRangeValueAccessor],
                }]
        }] });

class BsRatingComponent {
    constructor() {
        this.destroyed$ = new Subject();
        this.maximum$ = new BehaviorSubject(5);
        this.value$ = new BehaviorSubject(3);
        this.previewValue$ = new BehaviorSubject(null);
        //#endregion
        //#region Value
        this.valueChange = new EventEmitter();
        this.starsChange = new EventEmitter();
        this.stars$ = combineLatest([this.maximum$, this.previewValue$, this.value$])
            .pipe(map(([maximum, previewValue, value]) => {
            const v = previewValue ?? value;
            return [
                ...[...Array(v).keys()].map(i => true),
                ...[...Array(maximum - v).keys()].map(i => false)
            ];
        }));
        combineLatest([this.previewValue$, this.value$])
            .pipe(takeUntil(this.destroyed$))
            .subscribe(([previewValue, value]) => {
            const v = previewValue ?? value;
            this.starsChange.emit(v);
        });
    }
    //#region Maximum
    set maximum(value) {
        this.maximum$.next(value);
    }
    get value() {
        return this.value$.value;
    }
    set value(value) {
        this.value$.next(value);
        this.valueChange.emit(value);
    }
    //#endregion
    ngOnDestroy() {
        this.destroyed$.next(true);
    }
    hoverValue(index) {
        this.previewValue$.next(index + 1);
    }
    selectValue(index) {
        this.value = index + 1;
    }
    onMouseLeave() {
        this.previewValue$.next(null);
    }
}
BsRatingComponent.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "14.2.2", ngImport: i0, type: BsRatingComponent, deps: [], target: i0.ɵɵFactoryTarget.Component });
BsRatingComponent.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "14.2.2", type: BsRatingComponent, selector: "bs-rating", inputs: { maximum: "maximum", value: "value" }, outputs: { valueChange: "valueChange", starsChange: "starsChange" }, host: { listeners: { "mouseleave": "onMouseLeave()" } }, ngImport: i0, template: "<span class=\"cursor-pointer\" *ngFor=\"let star of (stars$ | async), let i = index\" (mouseenter)=\"hoverValue(i)\" (click)=\"selectValue(i)\">\n    {{ star ? '&#9733;' : '&#9734;' }}\n</span>", styles: [""], dependencies: [{ kind: "directive", type: i1.NgForOf, selector: "[ngFor][ngForOf]", inputs: ["ngForOf", "ngForTrackBy", "ngForTemplate"] }, { kind: "pipe", type: i1.AsyncPipe, name: "async" }] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "14.2.2", ngImport: i0, type: BsRatingComponent, decorators: [{
            type: Component,
            args: [{ selector: 'bs-rating', template: "<span class=\"cursor-pointer\" *ngFor=\"let star of (stars$ | async), let i = index\" (mouseenter)=\"hoverValue(i)\" (click)=\"selectValue(i)\">\n    {{ star ? '&#9733;' : '&#9734;' }}\n</span>" }]
        }], ctorParameters: function () { return []; }, propDecorators: { maximum: [{
                type: Input
            }], valueChange: [{
                type: Output
            }], starsChange: [{
                type: Output
            }], value: [{
                type: Input
            }], onMouseLeave: [{
                type: HostListener,
                args: ['mouseleave']
            }] } });

class BsRatingModule {
}
BsRatingModule.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "14.2.2", ngImport: i0, type: BsRatingModule, deps: [], target: i0.ɵɵFactoryTarget.NgModule });
BsRatingModule.ɵmod = i0.ɵɵngDeclareNgModule({ minVersion: "14.0.0", version: "14.2.2", ngImport: i0, type: BsRatingModule, declarations: [BsRatingComponent], imports: [CommonModule], exports: [BsRatingComponent] });
BsRatingModule.ɵinj = i0.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "14.2.2", ngImport: i0, type: BsRatingModule, imports: [CommonModule] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "14.2.2", ngImport: i0, type: BsRatingModule, decorators: [{
            type: NgModule,
            args: [{
                    declarations: [
                        BsRatingComponent
                    ],
                    imports: [
                        CommonModule
                    ],
                    exports: [
                        BsRatingComponent
                    ]
                }]
        }] });

class BsScrollOffsetService {
    constructor(routerConfig) {
        this.routerConfig = routerConfig;
    }
    getScrollOffset() {
        if (!this.routerConfig.scrollOffset) {
            return [0, 0];
        }
        else if (Array.isArray(this.routerConfig.scrollOffset)) {
            return this.routerConfig.scrollOffset;
        }
        else {
            return this.routerConfig.scrollOffset();
        }
    }
}
BsScrollOffsetService.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "14.2.2", ngImport: i0, type: BsScrollOffsetService, deps: [{ token: ROUTER_CONFIGURATION }], target: i0.ɵɵFactoryTarget.Injectable });
BsScrollOffsetService.ɵprov = i0.ɵɵngDeclareInjectable({ minVersion: "12.0.0", version: "14.2.2", ngImport: i0, type: BsScrollOffsetService, providedIn: 'root' });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "14.2.2", ngImport: i0, type: BsScrollOffsetService, decorators: [{
            type: Injectable,
            args: [{
                    providedIn: 'root'
                }]
        }], ctorParameters: function () { return [{ type: undefined, decorators: [{
                    type: Inject,
                    args: [ROUTER_CONFIGURATION]
                }] }]; } });

class BsScrollspyDirective {
    constructor(element) {
        this.element = element;
    }
}
BsScrollspyDirective.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "14.2.2", ngImport: i0, type: BsScrollspyDirective, deps: [{ token: i0.ElementRef }], target: i0.ɵɵFactoryTarget.Directive });
BsScrollspyDirective.ɵdir = i0.ɵɵngDeclareDirective({ minVersion: "14.0.0", version: "14.2.2", type: BsScrollspyDirective, selector: "[bsScrollspy]", ngImport: i0 });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "14.2.2", ngImport: i0, type: BsScrollspyDirective, decorators: [{
            type: Directive,
            args: [{
                    selector: '[bsScrollspy]'
                }]
        }], ctorParameters: function () { return [{ type: i0.ElementRef }]; } });

class BsScrollspyComponent {
    constructor(scrollOffsetService, document, zone) {
        this.scrollOffsetService = scrollOffsetService;
        this.zone = zone;
        this.destroyed$ = new Subject();
        this.viewInit$ = new BehaviorSubject(false);
        this.contentInit$ = new BehaviorSubject(false);
        this.activeDirective = null;
        this.doc = document;
        combineLatest([this.viewInit$, this.contentInit$])
            .pipe(filter(([viewInit, contentInit]) => viewInit && contentInit), take(1))
            .pipe(takeUntil(this.destroyed$))
            .subscribe(() => {
            // this.setActiveDirective();
            this.scrollToCurrentInSpy();
        });
    }
    ngAfterViewInit() {
        this.viewInit$.next(true);
    }
    ngAfterContentInit() {
        this.contentInit$.next(true);
    }
    ngOnDestroy() {
        this.destroyed$.next(true);
    }
    onWindowScroll() {
        this.setActiveDirective();
        this.scrollToCurrentInSpy();
    }
    setActiveDirective() {
        const offsetY = this.scrollOffsetService.getScrollOffset()[1];
        const dirs = this.directives.filter((d) => d.element.nativeElement.getBoundingClientRect().y < offsetY);
        if (this.directives.length === 0) {
            this.activeDirective = null;
        }
        else if (dirs.length === 0) {
            this.activeDirective = this.directives.get(0) ?? null;
        }
        else {
            this.activeDirective = dirs[dirs.length - 1];
        }
    }
    scrollToCurrentInSpy() {
        if ((typeof window !== 'undefined') && (window.innerWidth >= 768)) {
            if (this.activeDirective) {
                const index = this.directives.toArray().findIndex((v, i) => v === this.activeDirective);
                const anchor = this.anchors.get(index);
                if (anchor && anchor.nativeElement.parentElement) {
                    anchor.nativeElement.scrollIntoView({ block: 'nearest', inline: 'nearest' });
                }
            }
        }
    }
    scrollToHeader(directive) {
        if (typeof window !== 'undefined') {
            const header = directive.element.nativeElement;
            const offsetY = this.scrollOffsetService.getScrollOffset()[1];
            const y = header.getBoundingClientRect().top + window.scrollY - offsetY + 1;
            window.scrollTo({ top: y, behavior: 'smooth' });
        }
    }
}
BsScrollspyComponent.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "14.2.2", ngImport: i0, type: BsScrollspyComponent, deps: [{ token: BsScrollOffsetService }, { token: DOCUMENT }, { token: i0.NgZone }], target: i0.ɵɵFactoryTarget.Component });
BsScrollspyComponent.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "14.2.2", type: BsScrollspyComponent, selector: "bs-scrollspy", host: { listeners: { "window:scroll": "onWindowScroll($event)" } }, queries: [{ propertyName: "directives", predicate: BsScrollspyDirective, descendants: true }], viewQueries: [{ propertyName: "anchors", predicate: ["anchor"], descendants: true }], ngImport: i0, template: "<div class=\"spy\">\n    <ul class=\"text-muted\">\n        <li *ngFor=\"let dir of directives; let i = index\">\n            <span [attr.data-index]=\"i\" class=\"cursor-pointer\" [ngClass]=\"'nav' + dir.element.nativeElement.tagName\" [class.fw-bold]=\"activeDirective?.element === dir.element\" (click)=\"scrollToHeader(dir)\" [title]=\"dir.element.nativeElement.textContent\" #anchor>\n                {{ dir.element.nativeElement.textContent }}\n            </span>\n        </li>\n    </ul>\n</div>\n<div class=\"content\">\n    <ng-content></ng-content>\n</div>", styles: [":host{display:block}.spy>ul{list-style-type:none;padding-left:0}.spy>ul>li:hover{color:rgba(var(--bs-dark-rgb),var(--bs-text-opacity))!important}.spy>ul>li{overflow:hidden;text-overflow:ellipsis;white-space:nowrap}@media (min-width: 768px){:host{display:grid;grid-template-areas:\"content toc\";grid-template-columns:auto 200px;grid-template-rows:auto;gap:inherit;grid-area:main}.spy{position:sticky;top:5rem;right:0;z-index:2;height:calc(100vh - 7rem);overflow-y:auto;grid-area:toc}.spy>ul{padding-left:2rem}}.navH2{margin-left:20px}.navH3{margin-left:40px}.navH4{margin-left:60px}\n"], dependencies: [{ kind: "directive", type: i1.NgClass, selector: "[ngClass]", inputs: ["class", "ngClass"] }, { kind: "directive", type: i1.NgForOf, selector: "[ngFor][ngForOf]", inputs: ["ngForOf", "ngForTrackBy", "ngForTemplate"] }] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "14.2.2", ngImport: i0, type: BsScrollspyComponent, decorators: [{
            type: Component,
            args: [{ selector: 'bs-scrollspy', template: "<div class=\"spy\">\n    <ul class=\"text-muted\">\n        <li *ngFor=\"let dir of directives; let i = index\">\n            <span [attr.data-index]=\"i\" class=\"cursor-pointer\" [ngClass]=\"'nav' + dir.element.nativeElement.tagName\" [class.fw-bold]=\"activeDirective?.element === dir.element\" (click)=\"scrollToHeader(dir)\" [title]=\"dir.element.nativeElement.textContent\" #anchor>\n                {{ dir.element.nativeElement.textContent }}\n            </span>\n        </li>\n    </ul>\n</div>\n<div class=\"content\">\n    <ng-content></ng-content>\n</div>", styles: [":host{display:block}.spy>ul{list-style-type:none;padding-left:0}.spy>ul>li:hover{color:rgba(var(--bs-dark-rgb),var(--bs-text-opacity))!important}.spy>ul>li{overflow:hidden;text-overflow:ellipsis;white-space:nowrap}@media (min-width: 768px){:host{display:grid;grid-template-areas:\"content toc\";grid-template-columns:auto 200px;grid-template-rows:auto;gap:inherit;grid-area:main}.spy{position:sticky;top:5rem;right:0;z-index:2;height:calc(100vh - 7rem);overflow-y:auto;grid-area:toc}.spy>ul{padding-left:2rem}}.navH2{margin-left:20px}.navH3{margin-left:40px}.navH4{margin-left:60px}\n"] }]
        }], ctorParameters: function () { return [{ type: BsScrollOffsetService }, { type: undefined, decorators: [{
                    type: Inject,
                    args: [DOCUMENT]
                }] }, { type: i0.NgZone }]; }, propDecorators: { directives: [{
                type: ContentChildren,
                args: [BsScrollspyDirective, { descendants: true }]
            }], anchors: [{
                type: ViewChildren,
                args: ['anchor']
            }], onWindowScroll: [{
                type: HostListener,
                args: ['window:scroll', ['$event']]
            }] } });

class BsScrollspyModule {
}
BsScrollspyModule.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "14.2.2", ngImport: i0, type: BsScrollspyModule, deps: [], target: i0.ɵɵFactoryTarget.NgModule });
BsScrollspyModule.ɵmod = i0.ɵɵngDeclareNgModule({ minVersion: "14.0.0", version: "14.2.2", ngImport: i0, type: BsScrollspyModule, declarations: [BsScrollspyComponent,
        BsScrollspyDirective], imports: [CommonModule], exports: [BsScrollspyComponent,
        BsScrollspyDirective] });
BsScrollspyModule.ɵinj = i0.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "14.2.2", ngImport: i0, type: BsScrollspyModule, imports: [CommonModule] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "14.2.2", ngImport: i0, type: BsScrollspyModule, decorators: [{
            type: NgModule,
            args: [{
                    declarations: [
                        BsScrollspyComponent,
                        BsScrollspyDirective
                    ],
                    imports: [
                        CommonModule
                    ],
                    exports: [
                        BsScrollspyComponent,
                        BsScrollspyDirective
                    ]
                }]
        }] });

class BsSelectComponent {
    constructor(renderer) {
        this.renderer = renderer;
        // For debugging purposes
        this.identifier = 0;
        //#region Size
        this.size$ = new BehaviorSubject('md');
        //#endregion
        //#region Multiple
        this.multiple$ = new BehaviorSubject(false);
        //#endregion
        //#region NumberVisible
        this.numberVisible$ = new BehaviorSubject(null);
        this.sizeClass$ = this.size$.pipe(map((size) => {
            switch (size) {
                case 'sm':
                case 'lg':
                    return `form-select-${size}`;
                default:
                    return null;
            }
        }));
        this.multipleValue$ = this.multiple$.pipe(map((multiple) => {
            if (multiple) {
                return true;
            }
            else {
                return null;
            }
        }));
    }
    ngOnInit() { }
    get size() {
        return this.size$.value;
    }
    set size(value) {
        this.size$.next(value);
    }
    get multiple() {
        return this.multiple$.value;
    }
    set multiple(value) {
        this.multiple$.next(value);
    }
    get numberVisible() {
        return this.numberVisible$.value;
    }
    set numberVisible(value) {
        this.numberVisible$.next(value);
    }
    //#endregion
    //#region Disabled
    get disabled() {
        return this.selectBox.nativeElement.disabled;
    }
    set disabled(value) {
        if (this.selectBox) {
            this.renderer.setProperty(this.selectBox.nativeElement, 'disabled', value);
        }
    }
}
BsSelectComponent.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "14.2.2", ngImport: i0, type: BsSelectComponent, deps: [{ token: i0.Renderer2 }], target: i0.ɵɵFactoryTarget.Component });
BsSelectComponent.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "14.2.2", type: BsSelectComponent, selector: "bs-select", inputs: { identifier: "identifier", size: "size", multiple: "multiple", numberVisible: "numberVisible", disabled: "disabled" }, viewQueries: [{ propertyName: "selectBox", first: true, predicate: ["selectBox"], descendants: true }], ngImport: i0, template: "<select class=\"form-select\" #selectBox [class]=\"sizeClass$ | async\" [attr.multiple]=\"multipleValue$ | async\" [attr.size]=\"numberVisible$ | async\" aria-label=\"Default select example\">\n    <ng-content></ng-content>\n</select>", styles: [":host ::ng-deep .clearfix:after{display:block;clear:both;content:\"\"}:host ::ng-deep .text-bg-primary{color:#fff!important;background-color:RGBA(13,110,253,var(--bs-bg-opacity, 1))!important}:host ::ng-deep .text-bg-secondary{color:#fff!important;background-color:RGBA(108,117,125,var(--bs-bg-opacity, 1))!important}:host ::ng-deep .text-bg-success{color:#fff!important;background-color:RGBA(25,135,84,var(--bs-bg-opacity, 1))!important}:host ::ng-deep .text-bg-info{color:#000!important;background-color:RGBA(13,202,240,var(--bs-bg-opacity, 1))!important}:host ::ng-deep .text-bg-warning{color:#000!important;background-color:RGBA(255,193,7,var(--bs-bg-opacity, 1))!important}:host ::ng-deep .text-bg-danger{color:#fff!important;background-color:RGBA(220,53,69,var(--bs-bg-opacity, 1))!important}:host ::ng-deep .text-bg-light{color:#000!important;background-color:RGBA(248,249,250,var(--bs-bg-opacity, 1))!important}:host ::ng-deep .text-bg-dark{color:#fff!important;background-color:RGBA(33,37,41,var(--bs-bg-opacity, 1))!important}:host ::ng-deep .link-primary{color:#0d6efd!important}:host ::ng-deep .link-primary:hover,:host ::ng-deep .link-primary:focus{color:#0a58ca!important}:host ::ng-deep .link-secondary{color:#6c757d!important}:host ::ng-deep .link-secondary:hover,:host ::ng-deep .link-secondary:focus{color:#565e64!important}:host ::ng-deep .link-success{color:#198754!important}:host ::ng-deep .link-success:hover,:host ::ng-deep .link-success:focus{color:#146c43!important}:host ::ng-deep .link-info{color:#0dcaf0!important}:host ::ng-deep .link-info:hover,:host ::ng-deep .link-info:focus{color:#3dd5f3!important}:host ::ng-deep .link-warning{color:#ffc107!important}:host ::ng-deep .link-warning:hover,:host ::ng-deep .link-warning:focus{color:#ffcd39!important}:host ::ng-deep .link-danger{color:#dc3545!important}:host ::ng-deep .link-danger:hover,:host ::ng-deep .link-danger:focus{color:#b02a37!important}:host ::ng-deep .link-light{color:#f8f9fa!important}:host ::ng-deep .link-light:hover,:host ::ng-deep .link-light:focus{color:#f9fafb!important}:host ::ng-deep .link-dark{color:#212529!important}:host ::ng-deep .link-dark:hover,:host ::ng-deep .link-dark:focus{color:#1a1e21!important}:host ::ng-deep .ratio{position:relative;width:100%}:host ::ng-deep .ratio:before{display:block;padding-top:var(--bs-aspect-ratio);content:\"\"}:host ::ng-deep .ratio>*{position:absolute;top:0;left:0;width:100%;height:100%}:host ::ng-deep .ratio-1x1{--bs-aspect-ratio: 100%}:host ::ng-deep .ratio-4x3{--bs-aspect-ratio: 75%}:host ::ng-deep .ratio-16x9{--bs-aspect-ratio: 56.25%}:host ::ng-deep .ratio-21x9{--bs-aspect-ratio: 42.8571428571%}:host ::ng-deep .fixed-top{position:fixed;top:0;right:0;left:0;z-index:1030}:host ::ng-deep .fixed-bottom{position:fixed;right:0;bottom:0;left:0;z-index:1030}:host ::ng-deep .sticky-top{position:sticky;top:0;z-index:1020}:host ::ng-deep .sticky-bottom{position:sticky;bottom:0;z-index:1020}@media (min-width: 576px){:host ::ng-deep .sticky-sm-top{position:sticky;top:0;z-index:1020}:host ::ng-deep .sticky-sm-bottom{position:sticky;bottom:0;z-index:1020}}@media (min-width: 768px){:host ::ng-deep .sticky-md-top{position:sticky;top:0;z-index:1020}:host ::ng-deep .sticky-md-bottom{position:sticky;bottom:0;z-index:1020}}@media (min-width: 992px){:host ::ng-deep .sticky-lg-top{position:sticky;top:0;z-index:1020}:host ::ng-deep .sticky-lg-bottom{position:sticky;bottom:0;z-index:1020}}@media (min-width: 1200px){:host ::ng-deep .sticky-xl-top{position:sticky;top:0;z-index:1020}:host ::ng-deep .sticky-xl-bottom{position:sticky;bottom:0;z-index:1020}}@media (min-width: 1400px){:host ::ng-deep .sticky-xxl-top{position:sticky;top:0;z-index:1020}:host ::ng-deep .sticky-xxl-bottom{position:sticky;bottom:0;z-index:1020}}:host ::ng-deep .hstack{display:flex;flex-direction:row;align-items:center;align-self:stretch}:host ::ng-deep .vstack{display:flex;flex:1 1 auto;flex-direction:column;align-self:stretch}:host ::ng-deep .visually-hidden,:host ::ng-deep .visually-hidden-focusable:not(:focus):not(:focus-within){position:absolute!important;width:1px!important;height:1px!important;padding:0!important;margin:-1px!important;overflow:hidden!important;clip:rect(0,0,0,0)!important;white-space:nowrap!important;border:0!important}:host ::ng-deep .stretched-link:after{position:absolute;inset:0;z-index:1;content:\"\"}:host ::ng-deep .text-truncate{overflow:hidden;text-overflow:ellipsis;white-space:nowrap}:host ::ng-deep .vr{display:inline-block;align-self:stretch;width:1px;min-height:1em;background-color:currentcolor;opacity:.25}:host ::ng-deep .align-baseline{vertical-align:baseline!important}:host ::ng-deep .align-top{vertical-align:top!important}:host ::ng-deep .align-middle{vertical-align:middle!important}:host ::ng-deep .align-bottom{vertical-align:bottom!important}:host ::ng-deep .align-text-bottom{vertical-align:text-bottom!important}:host ::ng-deep .align-text-top{vertical-align:text-top!important}:host ::ng-deep .float-start{float:left!important}:host ::ng-deep .float-end{float:right!important}:host ::ng-deep .float-none{float:none!important}:host ::ng-deep .opacity-0{opacity:0!important}:host ::ng-deep .opacity-25{opacity:.25!important}:host ::ng-deep .opacity-50{opacity:.5!important}:host ::ng-deep .opacity-75{opacity:.75!important}:host ::ng-deep .opacity-100{opacity:1!important}:host ::ng-deep .overflow-auto{overflow:auto!important}:host ::ng-deep .overflow-hidden{overflow:hidden!important}:host ::ng-deep .overflow-visible{overflow:visible!important}:host ::ng-deep .overflow-scroll{overflow:scroll!important}:host ::ng-deep .d-inline{display:inline!important}:host ::ng-deep .d-inline-block{display:inline-block!important}:host ::ng-deep .d-block{display:block!important}:host ::ng-deep .d-grid{display:grid!important}:host ::ng-deep .d-table{display:table!important}:host ::ng-deep .d-table-row{display:table-row!important}:host ::ng-deep .d-table-cell{display:table-cell!important}:host ::ng-deep .d-flex{display:flex!important}:host ::ng-deep .d-inline-flex{display:inline-flex!important}:host ::ng-deep .d-none{display:none!important}:host ::ng-deep .shadow{box-shadow:0 .5rem 1rem #00000026!important}:host ::ng-deep .shadow-sm{box-shadow:0 .125rem .25rem #00000013!important}:host ::ng-deep .shadow-lg{box-shadow:0 1rem 3rem #0000002d!important}:host ::ng-deep .shadow-none{box-shadow:none!important}:host ::ng-deep .position-static{position:static!important}:host ::ng-deep .position-relative{position:relative!important}:host ::ng-deep .position-absolute{position:absolute!important}:host ::ng-deep .position-fixed{position:fixed!important}:host ::ng-deep .position-sticky{position:sticky!important}:host ::ng-deep .top-0{top:0!important}:host ::ng-deep .top-50{top:50%!important}:host ::ng-deep .top-100{top:100%!important}:host ::ng-deep .bottom-0{bottom:0!important}:host ::ng-deep .bottom-50{bottom:50%!important}:host ::ng-deep .bottom-100{bottom:100%!important}:host ::ng-deep .start-0{left:0!important}:host ::ng-deep .start-50{left:50%!important}:host ::ng-deep .start-100{left:100%!important}:host ::ng-deep .end-0{right:0!important}:host ::ng-deep .end-50{right:50%!important}:host ::ng-deep .end-100{right:100%!important}:host ::ng-deep .translate-middle{transform:translate(-50%,-50%)!important}:host ::ng-deep .translate-middle-x{transform:translate(-50%)!important}:host ::ng-deep .translate-middle-y{transform:translateY(-50%)!important}:host ::ng-deep .border{border:var(--bs-border-width) var(--bs-border-style) var(--bs-border-color)!important}:host ::ng-deep .border-0{border:0!important}:host ::ng-deep .border-top{border-top:var(--bs-border-width) var(--bs-border-style) var(--bs-border-color)!important}:host ::ng-deep .border-top-0{border-top:0!important}:host ::ng-deep .border-end{border-right:var(--bs-border-width) var(--bs-border-style) var(--bs-border-color)!important}:host ::ng-deep .border-end-0{border-right:0!important}:host ::ng-deep .border-bottom{border-bottom:var(--bs-border-width) var(--bs-border-style) var(--bs-border-color)!important}:host ::ng-deep .border-bottom-0{border-bottom:0!important}:host ::ng-deep .border-start{border-left:var(--bs-border-width) var(--bs-border-style) var(--bs-border-color)!important}:host ::ng-deep .border-start-0{border-left:0!important}:host ::ng-deep .border-primary{--bs-border-opacity: 1;border-color:rgba(var(--bs-primary-rgb),var(--bs-border-opacity))!important}:host ::ng-deep .border-secondary{--bs-border-opacity: 1;border-color:rgba(var(--bs-secondary-rgb),var(--bs-border-opacity))!important}:host ::ng-deep .border-success{--bs-border-opacity: 1;border-color:rgba(var(--bs-success-rgb),var(--bs-border-opacity))!important}:host ::ng-deep .border-info{--bs-border-opacity: 1;border-color:rgba(var(--bs-info-rgb),var(--bs-border-opacity))!important}:host ::ng-deep .border-warning{--bs-border-opacity: 1;border-color:rgba(var(--bs-warning-rgb),var(--bs-border-opacity))!important}:host ::ng-deep .border-danger{--bs-border-opacity: 1;border-color:rgba(var(--bs-danger-rgb),var(--bs-border-opacity))!important}:host ::ng-deep .border-light{--bs-border-opacity: 1;border-color:rgba(var(--bs-light-rgb),var(--bs-border-opacity))!important}:host ::ng-deep .border-dark{--bs-border-opacity: 1;border-color:rgba(var(--bs-dark-rgb),var(--bs-border-opacity))!important}:host ::ng-deep .border-white{--bs-border-opacity: 1;border-color:rgba(var(--bs-white-rgb),var(--bs-border-opacity))!important}:host ::ng-deep .border-1{--bs-border-width: 1px}:host ::ng-deep .border-2{--bs-border-width: 2px}:host ::ng-deep .border-3{--bs-border-width: 3px}:host ::ng-deep .border-4{--bs-border-width: 4px}:host ::ng-deep .border-5{--bs-border-width: 5px}:host ::ng-deep .border-opacity-10{--bs-border-opacity: .1}:host ::ng-deep .border-opacity-25{--bs-border-opacity: .25}:host ::ng-deep .border-opacity-50{--bs-border-opacity: .5}:host ::ng-deep .border-opacity-75{--bs-border-opacity: .75}:host ::ng-deep .border-opacity-100{--bs-border-opacity: 1}:host ::ng-deep .w-25{width:25%!important}:host ::ng-deep .w-50{width:50%!important}:host ::ng-deep .w-75{width:75%!important}:host ::ng-deep .w-100{width:100%!important}:host ::ng-deep .w-auto{width:auto!important}:host ::ng-deep .mw-100{max-width:100%!important}:host ::ng-deep .vw-100{width:100vw!important}:host ::ng-deep .min-vw-100{min-width:100vw!important}:host ::ng-deep .h-25{height:25%!important}:host ::ng-deep .h-50{height:50%!important}:host ::ng-deep .h-75{height:75%!important}:host ::ng-deep .h-100{height:100%!important}:host ::ng-deep .h-auto{height:auto!important}:host ::ng-deep .mh-100{max-height:100%!important}:host ::ng-deep .vh-100{height:100vh!important}:host ::ng-deep .min-vh-100{min-height:100vh!important}:host ::ng-deep .flex-fill{flex:1 1 auto!important}:host ::ng-deep .flex-row{flex-direction:row!important}:host ::ng-deep .flex-column{flex-direction:column!important}:host ::ng-deep .flex-row-reverse{flex-direction:row-reverse!important}:host ::ng-deep .flex-column-reverse{flex-direction:column-reverse!important}:host ::ng-deep .flex-grow-0{flex-grow:0!important}:host ::ng-deep .flex-grow-1{flex-grow:1!important}:host ::ng-deep .flex-shrink-0{flex-shrink:0!important}:host ::ng-deep .flex-shrink-1{flex-shrink:1!important}:host ::ng-deep .flex-wrap{flex-wrap:wrap!important}:host ::ng-deep .flex-nowrap{flex-wrap:nowrap!important}:host ::ng-deep .flex-wrap-reverse{flex-wrap:wrap-reverse!important}:host ::ng-deep .justify-content-start{justify-content:flex-start!important}:host ::ng-deep .justify-content-end{justify-content:flex-end!important}:host ::ng-deep .justify-content-center{justify-content:center!important}:host ::ng-deep .justify-content-between{justify-content:space-between!important}:host ::ng-deep .justify-content-around{justify-content:space-around!important}:host ::ng-deep .justify-content-evenly{justify-content:space-evenly!important}:host ::ng-deep .align-items-start{align-items:flex-start!important}:host ::ng-deep .align-items-end{align-items:flex-end!important}:host ::ng-deep .align-items-center{align-items:center!important}:host ::ng-deep .align-items-baseline{align-items:baseline!important}:host ::ng-deep .align-items-stretch{align-items:stretch!important}:host ::ng-deep .align-content-start{align-content:flex-start!important}:host ::ng-deep .align-content-end{align-content:flex-end!important}:host ::ng-deep .align-content-center{align-content:center!important}:host ::ng-deep .align-content-between{align-content:space-between!important}:host ::ng-deep .align-content-around{align-content:space-around!important}:host ::ng-deep .align-content-stretch{align-content:stretch!important}:host ::ng-deep .align-self-auto{align-self:auto!important}:host ::ng-deep .align-self-start{align-self:flex-start!important}:host ::ng-deep .align-self-end{align-self:flex-end!important}:host ::ng-deep .align-self-center{align-self:center!important}:host ::ng-deep .align-self-baseline{align-self:baseline!important}:host ::ng-deep .align-self-stretch{align-self:stretch!important}:host ::ng-deep .order-first{order:-1!important}:host ::ng-deep .order-0{order:0!important}:host ::ng-deep .order-1{order:1!important}:host ::ng-deep .order-2{order:2!important}:host ::ng-deep .order-3{order:3!important}:host ::ng-deep .order-4{order:4!important}:host ::ng-deep .order-5{order:5!important}:host ::ng-deep .order-last{order:6!important}:host ::ng-deep .m-0{margin:0!important}:host ::ng-deep .m-1{margin:.25rem!important}:host ::ng-deep .m-2{margin:.5rem!important}:host ::ng-deep .m-3{margin:1rem!important}:host ::ng-deep .m-4{margin:1.5rem!important}:host ::ng-deep .m-5{margin:3rem!important}:host ::ng-deep .m-auto{margin:auto!important}:host ::ng-deep .mx-0{margin-right:0!important;margin-left:0!important}:host ::ng-deep .mx-1{margin-right:.25rem!important;margin-left:.25rem!important}:host ::ng-deep .mx-2{margin-right:.5rem!important;margin-left:.5rem!important}:host ::ng-deep .mx-3{margin-right:1rem!important;margin-left:1rem!important}:host ::ng-deep .mx-4{margin-right:1.5rem!important;margin-left:1.5rem!important}:host ::ng-deep .mx-5{margin-right:3rem!important;margin-left:3rem!important}:host ::ng-deep .mx-auto{margin-right:auto!important;margin-left:auto!important}:host ::ng-deep .my-0{margin-top:0!important;margin-bottom:0!important}:host ::ng-deep .my-1{margin-top:.25rem!important;margin-bottom:.25rem!important}:host ::ng-deep .my-2{margin-top:.5rem!important;margin-bottom:.5rem!important}:host ::ng-deep .my-3{margin-top:1rem!important;margin-bottom:1rem!important}:host ::ng-deep .my-4{margin-top:1.5rem!important;margin-bottom:1.5rem!important}:host ::ng-deep .my-5{margin-top:3rem!important;margin-bottom:3rem!important}:host ::ng-deep .my-auto{margin-top:auto!important;margin-bottom:auto!important}:host ::ng-deep .mt-0{margin-top:0!important}:host ::ng-deep .mt-1{margin-top:.25rem!important}:host ::ng-deep .mt-2{margin-top:.5rem!important}:host ::ng-deep .mt-3{margin-top:1rem!important}:host ::ng-deep .mt-4{margin-top:1.5rem!important}:host ::ng-deep .mt-5{margin-top:3rem!important}:host ::ng-deep .mt-auto{margin-top:auto!important}:host ::ng-deep .me-0{margin-right:0!important}:host ::ng-deep .me-1{margin-right:.25rem!important}:host ::ng-deep .me-2{margin-right:.5rem!important}:host ::ng-deep .me-3{margin-right:1rem!important}:host ::ng-deep .me-4{margin-right:1.5rem!important}:host ::ng-deep .me-5{margin-right:3rem!important}:host ::ng-deep .me-auto{margin-right:auto!important}:host ::ng-deep .mb-0{margin-bottom:0!important}:host ::ng-deep .mb-1{margin-bottom:.25rem!important}:host ::ng-deep .mb-2{margin-bottom:.5rem!important}:host ::ng-deep .mb-3{margin-bottom:1rem!important}:host ::ng-deep .mb-4{margin-bottom:1.5rem!important}:host ::ng-deep .mb-5{margin-bottom:3rem!important}:host ::ng-deep .mb-auto{margin-bottom:auto!important}:host ::ng-deep .ms-0{margin-left:0!important}:host ::ng-deep .ms-1{margin-left:.25rem!important}:host ::ng-deep .ms-2{margin-left:.5rem!important}:host ::ng-deep .ms-3{margin-left:1rem!important}:host ::ng-deep .ms-4{margin-left:1.5rem!important}:host ::ng-deep .ms-5{margin-left:3rem!important}:host ::ng-deep .ms-auto{margin-left:auto!important}:host ::ng-deep .p-0{padding:0!important}:host ::ng-deep .p-1{padding:.25rem!important}:host ::ng-deep .p-2{padding:.5rem!important}:host ::ng-deep .p-3{padding:1rem!important}:host ::ng-deep .p-4{padding:1.5rem!important}:host ::ng-deep .p-5{padding:3rem!important}:host ::ng-deep .px-0{padding-right:0!important;padding-left:0!important}:host ::ng-deep .px-1{padding-right:.25rem!important;padding-left:.25rem!important}:host ::ng-deep .px-2{padding-right:.5rem!important;padding-left:.5rem!important}:host ::ng-deep .px-3{padding-right:1rem!important;padding-left:1rem!important}:host ::ng-deep .px-4{padding-right:1.5rem!important;padding-left:1.5rem!important}:host ::ng-deep .px-5{padding-right:3rem!important;padding-left:3rem!important}:host ::ng-deep .py-0{padding-top:0!important;padding-bottom:0!important}:host ::ng-deep .py-1{padding-top:.25rem!important;padding-bottom:.25rem!important}:host ::ng-deep .py-2{padding-top:.5rem!important;padding-bottom:.5rem!important}:host ::ng-deep .py-3{padding-top:1rem!important;padding-bottom:1rem!important}:host ::ng-deep .py-4{padding-top:1.5rem!important;padding-bottom:1.5rem!important}:host ::ng-deep .py-5{padding-top:3rem!important;padding-bottom:3rem!important}:host ::ng-deep .pt-0{padding-top:0!important}:host ::ng-deep .pt-1{padding-top:.25rem!important}:host ::ng-deep .pt-2{padding-top:.5rem!important}:host ::ng-deep .pt-3{padding-top:1rem!important}:host ::ng-deep .pt-4{padding-top:1.5rem!important}:host ::ng-deep .pt-5{padding-top:3rem!important}:host ::ng-deep .pe-0{padding-right:0!important}:host ::ng-deep .pe-1{padding-right:.25rem!important}:host ::ng-deep .pe-2{padding-right:.5rem!important}:host ::ng-deep .pe-3{padding-right:1rem!important}:host ::ng-deep .pe-4{padding-right:1.5rem!important}:host ::ng-deep .pe-5{padding-right:3rem!important}:host ::ng-deep .pb-0{padding-bottom:0!important}:host ::ng-deep .pb-1{padding-bottom:.25rem!important}:host ::ng-deep .pb-2{padding-bottom:.5rem!important}:host ::ng-deep .pb-3{padding-bottom:1rem!important}:host ::ng-deep .pb-4{padding-bottom:1.5rem!important}:host ::ng-deep .pb-5{padding-bottom:3rem!important}:host ::ng-deep .ps-0{padding-left:0!important}:host ::ng-deep .ps-1{padding-left:.25rem!important}:host ::ng-deep .ps-2{padding-left:.5rem!important}:host ::ng-deep .ps-3{padding-left:1rem!important}:host ::ng-deep .ps-4{padding-left:1.5rem!important}:host ::ng-deep .ps-5{padding-left:3rem!important}:host ::ng-deep .gap-0{gap:0!important}:host ::ng-deep .gap-1{gap:.25rem!important}:host ::ng-deep .gap-2{gap:.5rem!important}:host ::ng-deep .gap-3{gap:1rem!important}:host ::ng-deep .gap-4{gap:1.5rem!important}:host ::ng-deep .gap-5{gap:3rem!important}:host ::ng-deep .font-monospace{font-family:var(--bs-font-monospace)!important}:host ::ng-deep .fs-1{font-size:calc(1.375rem + 1.5vw)!important}:host ::ng-deep .fs-2{font-size:calc(1.325rem + .9vw)!important}:host ::ng-deep .fs-3{font-size:calc(1.3rem + .6vw)!important}:host ::ng-deep .fs-4{font-size:calc(1.275rem + .3vw)!important}:host ::ng-deep .fs-5{font-size:1.25rem!important}:host ::ng-deep .fs-6{font-size:1rem!important}:host ::ng-deep .fst-italic{font-style:italic!important}:host ::ng-deep .fst-normal{font-style:normal!important}:host ::ng-deep .fw-light{font-weight:300!important}:host ::ng-deep .fw-lighter{font-weight:lighter!important}:host ::ng-deep .fw-normal{font-weight:400!important}:host ::ng-deep .fw-bold{font-weight:700!important}:host ::ng-deep .fw-semibold{font-weight:600!important}:host ::ng-deep .fw-bolder{font-weight:bolder!important}:host ::ng-deep .lh-1{line-height:1!important}:host ::ng-deep .lh-sm{line-height:1.25!important}:host ::ng-deep .lh-base{line-height:1.5!important}:host ::ng-deep .lh-lg{line-height:2!important}:host ::ng-deep .text-start{text-align:left!important}:host ::ng-deep .text-end{text-align:right!important}:host ::ng-deep .text-center{text-align:center!important}:host ::ng-deep .text-decoration-none{text-decoration:none!important}:host ::ng-deep .text-decoration-underline{text-decoration:underline!important}:host ::ng-deep .text-decoration-line-through{text-decoration:line-through!important}:host ::ng-deep .text-lowercase{text-transform:lowercase!important}:host ::ng-deep .text-uppercase{text-transform:uppercase!important}:host ::ng-deep .text-capitalize{text-transform:capitalize!important}:host ::ng-deep .text-wrap{white-space:normal!important}:host ::ng-deep .text-nowrap{white-space:nowrap!important}:host ::ng-deep .text-break{word-wrap:break-word!important;word-break:break-word!important}:host ::ng-deep .text-primary{--bs-text-opacity: 1;color:rgba(var(--bs-primary-rgb),var(--bs-text-opacity))!important}:host ::ng-deep .text-secondary{--bs-text-opacity: 1;color:rgba(var(--bs-secondary-rgb),var(--bs-text-opacity))!important}:host ::ng-deep .text-success{--bs-text-opacity: 1;color:rgba(var(--bs-success-rgb),var(--bs-text-opacity))!important}:host ::ng-deep .text-info{--bs-text-opacity: 1;color:rgba(var(--bs-info-rgb),var(--bs-text-opacity))!important}:host ::ng-deep .text-warning{--bs-text-opacity: 1;color:rgba(var(--bs-warning-rgb),var(--bs-text-opacity))!important}:host ::ng-deep .text-danger{--bs-text-opacity: 1;color:rgba(var(--bs-danger-rgb),var(--bs-text-opacity))!important}:host ::ng-deep .text-light{--bs-text-opacity: 1;color:rgba(var(--bs-light-rgb),var(--bs-text-opacity))!important}:host ::ng-deep .text-dark{--bs-text-opacity: 1;color:rgba(var(--bs-dark-rgb),var(--bs-text-opacity))!important}:host ::ng-deep .text-black{--bs-text-opacity: 1;color:rgba(var(--bs-black-rgb),var(--bs-text-opacity))!important}:host ::ng-deep .text-white{--bs-text-opacity: 1;color:rgba(var(--bs-white-rgb),var(--bs-text-opacity))!important}:host ::ng-deep .text-body{--bs-text-opacity: 1;color:rgba(var(--bs-body-color-rgb),var(--bs-text-opacity))!important}:host ::ng-deep .text-muted{--bs-text-opacity: 1;color:#6c757d!important}:host ::ng-deep .text-black-50{--bs-text-opacity: 1;color:#00000080!important}:host ::ng-deep .text-white-50{--bs-text-opacity: 1;color:#ffffff80!important}:host ::ng-deep .text-reset{--bs-text-opacity: 1;color:inherit!important}:host ::ng-deep .text-opacity-25{--bs-text-opacity: .25}:host ::ng-deep .text-opacity-50{--bs-text-opacity: .5}:host ::ng-deep .text-opacity-75{--bs-text-opacity: .75}:host ::ng-deep .text-opacity-100{--bs-text-opacity: 1}:host ::ng-deep .bg-primary{--bs-bg-opacity: 1;background-color:rgba(var(--bs-primary-rgb),var(--bs-bg-opacity))!important}:host ::ng-deep .bg-secondary{--bs-bg-opacity: 1;background-color:rgba(var(--bs-secondary-rgb),var(--bs-bg-opacity))!important}:host ::ng-deep .bg-success{--bs-bg-opacity: 1;background-color:rgba(var(--bs-success-rgb),var(--bs-bg-opacity))!important}:host ::ng-deep .bg-info{--bs-bg-opacity: 1;background-color:rgba(var(--bs-info-rgb),var(--bs-bg-opacity))!important}:host ::ng-deep .bg-warning{--bs-bg-opacity: 1;background-color:rgba(var(--bs-warning-rgb),var(--bs-bg-opacity))!important}:host ::ng-deep .bg-danger{--bs-bg-opacity: 1;background-color:rgba(var(--bs-danger-rgb),var(--bs-bg-opacity))!important}:host ::ng-deep .bg-light{--bs-bg-opacity: 1;background-color:rgba(var(--bs-light-rgb),var(--bs-bg-opacity))!important}:host ::ng-deep .bg-dark{--bs-bg-opacity: 1;background-color:rgba(var(--bs-dark-rgb),var(--bs-bg-opacity))!important}:host ::ng-deep .bg-black{--bs-bg-opacity: 1;background-color:rgba(var(--bs-black-rgb),var(--bs-bg-opacity))!important}:host ::ng-deep .bg-white{--bs-bg-opacity: 1;background-color:rgba(var(--bs-white-rgb),var(--bs-bg-opacity))!important}:host ::ng-deep .bg-body{--bs-bg-opacity: 1;background-color:rgba(var(--bs-body-bg-rgb),var(--bs-bg-opacity))!important}:host ::ng-deep .bg-transparent{--bs-bg-opacity: 1;background-color:transparent!important}:host ::ng-deep .bg-opacity-10{--bs-bg-opacity: .1}:host ::ng-deep .bg-opacity-25{--bs-bg-opacity: .25}:host ::ng-deep .bg-opacity-50{--bs-bg-opacity: .5}:host ::ng-deep .bg-opacity-75{--bs-bg-opacity: .75}:host ::ng-deep .bg-opacity-100{--bs-bg-opacity: 1}:host ::ng-deep .bg-gradient{background-image:var(--bs-gradient)!important}:host ::ng-deep .user-select-all{-webkit-user-select:all!important;user-select:all!important}:host ::ng-deep .user-select-auto{-webkit-user-select:auto!important;user-select:auto!important}:host ::ng-deep .user-select-none{-webkit-user-select:none!important;user-select:none!important}:host ::ng-deep .pe-none{pointer-events:none!important}:host ::ng-deep .pe-auto{pointer-events:auto!important}:host ::ng-deep .rounded{border-radius:var(--bs-border-radius)!important}:host ::ng-deep .rounded-0{border-radius:0!important}:host ::ng-deep .rounded-1{border-radius:var(--bs-border-radius-sm)!important}:host ::ng-deep .rounded-2{border-radius:var(--bs-border-radius)!important}:host ::ng-deep .rounded-3{border-radius:var(--bs-border-radius-lg)!important}:host ::ng-deep .rounded-4{border-radius:var(--bs-border-radius-xl)!important}:host ::ng-deep .rounded-5{border-radius:var(--bs-border-radius-2xl)!important}:host ::ng-deep .rounded-circle{border-radius:50%!important}:host ::ng-deep .rounded-pill{border-radius:var(--bs-border-radius-pill)!important}:host ::ng-deep .rounded-top{border-top-left-radius:var(--bs-border-radius)!important;border-top-right-radius:var(--bs-border-radius)!important}:host ::ng-deep .rounded-end{border-top-right-radius:var(--bs-border-radius)!important;border-bottom-right-radius:var(--bs-border-radius)!important}:host ::ng-deep .rounded-bottom{border-bottom-right-radius:var(--bs-border-radius)!important;border-bottom-left-radius:var(--bs-border-radius)!important}:host ::ng-deep .rounded-start{border-bottom-left-radius:var(--bs-border-radius)!important;border-top-left-radius:var(--bs-border-radius)!important}:host ::ng-deep .visible{visibility:visible!important}:host ::ng-deep .invisible{visibility:hidden!important}@media (min-width: 576px){:host ::ng-deep .float-sm-start{float:left!important}:host ::ng-deep .float-sm-end{float:right!important}:host ::ng-deep .float-sm-none{float:none!important}:host ::ng-deep .d-sm-inline{display:inline!important}:host ::ng-deep .d-sm-inline-block{display:inline-block!important}:host ::ng-deep .d-sm-block{display:block!important}:host ::ng-deep .d-sm-grid{display:grid!important}:host ::ng-deep .d-sm-table{display:table!important}:host ::ng-deep .d-sm-table-row{display:table-row!important}:host ::ng-deep .d-sm-table-cell{display:table-cell!important}:host ::ng-deep .d-sm-flex{display:flex!important}:host ::ng-deep .d-sm-inline-flex{display:inline-flex!important}:host ::ng-deep .d-sm-none{display:none!important}:host ::ng-deep .flex-sm-fill{flex:1 1 auto!important}:host ::ng-deep .flex-sm-row{flex-direction:row!important}:host ::ng-deep .flex-sm-column{flex-direction:column!important}:host ::ng-deep .flex-sm-row-reverse{flex-direction:row-reverse!important}:host ::ng-deep .flex-sm-column-reverse{flex-direction:column-reverse!important}:host ::ng-deep .flex-sm-grow-0{flex-grow:0!important}:host ::ng-deep .flex-sm-grow-1{flex-grow:1!important}:host ::ng-deep .flex-sm-shrink-0{flex-shrink:0!important}:host ::ng-deep .flex-sm-shrink-1{flex-shrink:1!important}:host ::ng-deep .flex-sm-wrap{flex-wrap:wrap!important}:host ::ng-deep .flex-sm-nowrap{flex-wrap:nowrap!important}:host ::ng-deep .flex-sm-wrap-reverse{flex-wrap:wrap-reverse!important}:host ::ng-deep .justify-content-sm-start{justify-content:flex-start!important}:host ::ng-deep .justify-content-sm-end{justify-content:flex-end!important}:host ::ng-deep .justify-content-sm-center{justify-content:center!important}:host ::ng-deep .justify-content-sm-between{justify-content:space-between!important}:host ::ng-deep .justify-content-sm-around{justify-content:space-around!important}:host ::ng-deep .justify-content-sm-evenly{justify-content:space-evenly!important}:host ::ng-deep .align-items-sm-start{align-items:flex-start!important}:host ::ng-deep .align-items-sm-end{align-items:flex-end!important}:host ::ng-deep .align-items-sm-center{align-items:center!important}:host ::ng-deep .align-items-sm-baseline{align-items:baseline!important}:host ::ng-deep .align-items-sm-stretch{align-items:stretch!important}:host ::ng-deep .align-content-sm-start{align-content:flex-start!important}:host ::ng-deep .align-content-sm-end{align-content:flex-end!important}:host ::ng-deep .align-content-sm-center{align-content:center!important}:host ::ng-deep .align-content-sm-between{align-content:space-between!important}:host ::ng-deep .align-content-sm-around{align-content:space-around!important}:host ::ng-deep .align-content-sm-stretch{align-content:stretch!important}:host ::ng-deep .align-self-sm-auto{align-self:auto!important}:host ::ng-deep .align-self-sm-start{align-self:flex-start!important}:host ::ng-deep .align-self-sm-end{align-self:flex-end!important}:host ::ng-deep .align-self-sm-center{align-self:center!important}:host ::ng-deep .align-self-sm-baseline{align-self:baseline!important}:host ::ng-deep .align-self-sm-stretch{align-self:stretch!important}:host ::ng-deep .order-sm-first{order:-1!important}:host ::ng-deep .order-sm-0{order:0!important}:host ::ng-deep .order-sm-1{order:1!important}:host ::ng-deep .order-sm-2{order:2!important}:host ::ng-deep .order-sm-3{order:3!important}:host ::ng-deep .order-sm-4{order:4!important}:host ::ng-deep .order-sm-5{order:5!important}:host ::ng-deep .order-sm-last{order:6!important}:host ::ng-deep .m-sm-0{margin:0!important}:host ::ng-deep .m-sm-1{margin:.25rem!important}:host ::ng-deep .m-sm-2{margin:.5rem!important}:host ::ng-deep .m-sm-3{margin:1rem!important}:host ::ng-deep .m-sm-4{margin:1.5rem!important}:host ::ng-deep .m-sm-5{margin:3rem!important}:host ::ng-deep .m-sm-auto{margin:auto!important}:host ::ng-deep .mx-sm-0{margin-right:0!important;margin-left:0!important}:host ::ng-deep .mx-sm-1{margin-right:.25rem!important;margin-left:.25rem!important}:host ::ng-deep .mx-sm-2{margin-right:.5rem!important;margin-left:.5rem!important}:host ::ng-deep .mx-sm-3{margin-right:1rem!important;margin-left:1rem!important}:host ::ng-deep .mx-sm-4{margin-right:1.5rem!important;margin-left:1.5rem!important}:host ::ng-deep .mx-sm-5{margin-right:3rem!important;margin-left:3rem!important}:host ::ng-deep .mx-sm-auto{margin-right:auto!important;margin-left:auto!important}:host ::ng-deep .my-sm-0{margin-top:0!important;margin-bottom:0!important}:host ::ng-deep .my-sm-1{margin-top:.25rem!important;margin-bottom:.25rem!important}:host ::ng-deep .my-sm-2{margin-top:.5rem!important;margin-bottom:.5rem!important}:host ::ng-deep .my-sm-3{margin-top:1rem!important;margin-bottom:1rem!important}:host ::ng-deep .my-sm-4{margin-top:1.5rem!important;margin-bottom:1.5rem!important}:host ::ng-deep .my-sm-5{margin-top:3rem!important;margin-bottom:3rem!important}:host ::ng-deep .my-sm-auto{margin-top:auto!important;margin-bottom:auto!important}:host ::ng-deep .mt-sm-0{margin-top:0!important}:host ::ng-deep .mt-sm-1{margin-top:.25rem!important}:host ::ng-deep .mt-sm-2{margin-top:.5rem!important}:host ::ng-deep .mt-sm-3{margin-top:1rem!important}:host ::ng-deep .mt-sm-4{margin-top:1.5rem!important}:host ::ng-deep .mt-sm-5{margin-top:3rem!important}:host ::ng-deep .mt-sm-auto{margin-top:auto!important}:host ::ng-deep .me-sm-0{margin-right:0!important}:host ::ng-deep .me-sm-1{margin-right:.25rem!important}:host ::ng-deep .me-sm-2{margin-right:.5rem!important}:host ::ng-deep .me-sm-3{margin-right:1rem!important}:host ::ng-deep .me-sm-4{margin-right:1.5rem!important}:host ::ng-deep .me-sm-5{margin-right:3rem!important}:host ::ng-deep .me-sm-auto{margin-right:auto!important}:host ::ng-deep .mb-sm-0{margin-bottom:0!important}:host ::ng-deep .mb-sm-1{margin-bottom:.25rem!important}:host ::ng-deep .mb-sm-2{margin-bottom:.5rem!important}:host ::ng-deep .mb-sm-3{margin-bottom:1rem!important}:host ::ng-deep .mb-sm-4{margin-bottom:1.5rem!important}:host ::ng-deep .mb-sm-5{margin-bottom:3rem!important}:host ::ng-deep .mb-sm-auto{margin-bottom:auto!important}:host ::ng-deep .ms-sm-0{margin-left:0!important}:host ::ng-deep .ms-sm-1{margin-left:.25rem!important}:host ::ng-deep .ms-sm-2{margin-left:.5rem!important}:host ::ng-deep .ms-sm-3{margin-left:1rem!important}:host ::ng-deep .ms-sm-4{margin-left:1.5rem!important}:host ::ng-deep .ms-sm-5{margin-left:3rem!important}:host ::ng-deep .ms-sm-auto{margin-left:auto!important}:host ::ng-deep .p-sm-0{padding:0!important}:host ::ng-deep .p-sm-1{padding:.25rem!important}:host ::ng-deep .p-sm-2{padding:.5rem!important}:host ::ng-deep .p-sm-3{padding:1rem!important}:host ::ng-deep .p-sm-4{padding:1.5rem!important}:host ::ng-deep .p-sm-5{padding:3rem!important}:host ::ng-deep .px-sm-0{padding-right:0!important;padding-left:0!important}:host ::ng-deep .px-sm-1{padding-right:.25rem!important;padding-left:.25rem!important}:host ::ng-deep .px-sm-2{padding-right:.5rem!important;padding-left:.5rem!important}:host ::ng-deep .px-sm-3{padding-right:1rem!important;padding-left:1rem!important}:host ::ng-deep .px-sm-4{padding-right:1.5rem!important;padding-left:1.5rem!important}:host ::ng-deep .px-sm-5{padding-right:3rem!important;padding-left:3rem!important}:host ::ng-deep .py-sm-0{padding-top:0!important;padding-bottom:0!important}:host ::ng-deep .py-sm-1{padding-top:.25rem!important;padding-bottom:.25rem!important}:host ::ng-deep .py-sm-2{padding-top:.5rem!important;padding-bottom:.5rem!important}:host ::ng-deep .py-sm-3{padding-top:1rem!important;padding-bottom:1rem!important}:host ::ng-deep .py-sm-4{padding-top:1.5rem!important;padding-bottom:1.5rem!important}:host ::ng-deep .py-sm-5{padding-top:3rem!important;padding-bottom:3rem!important}:host ::ng-deep .pt-sm-0{padding-top:0!important}:host ::ng-deep .pt-sm-1{padding-top:.25rem!important}:host ::ng-deep .pt-sm-2{padding-top:.5rem!important}:host ::ng-deep .pt-sm-3{padding-top:1rem!important}:host ::ng-deep .pt-sm-4{padding-top:1.5rem!important}:host ::ng-deep .pt-sm-5{padding-top:3rem!important}:host ::ng-deep .pe-sm-0{padding-right:0!important}:host ::ng-deep .pe-sm-1{padding-right:.25rem!important}:host ::ng-deep .pe-sm-2{padding-right:.5rem!important}:host ::ng-deep .pe-sm-3{padding-right:1rem!important}:host ::ng-deep .pe-sm-4{padding-right:1.5rem!important}:host ::ng-deep .pe-sm-5{padding-right:3rem!important}:host ::ng-deep .pb-sm-0{padding-bottom:0!important}:host ::ng-deep .pb-sm-1{padding-bottom:.25rem!important}:host ::ng-deep .pb-sm-2{padding-bottom:.5rem!important}:host ::ng-deep .pb-sm-3{padding-bottom:1rem!important}:host ::ng-deep .pb-sm-4{padding-bottom:1.5rem!important}:host ::ng-deep .pb-sm-5{padding-bottom:3rem!important}:host ::ng-deep .ps-sm-0{padding-left:0!important}:host ::ng-deep .ps-sm-1{padding-left:.25rem!important}:host ::ng-deep .ps-sm-2{padding-left:.5rem!important}:host ::ng-deep .ps-sm-3{padding-left:1rem!important}:host ::ng-deep .ps-sm-4{padding-left:1.5rem!important}:host ::ng-deep .ps-sm-5{padding-left:3rem!important}:host ::ng-deep .gap-sm-0{gap:0!important}:host ::ng-deep .gap-sm-1{gap:.25rem!important}:host ::ng-deep .gap-sm-2{gap:.5rem!important}:host ::ng-deep .gap-sm-3{gap:1rem!important}:host ::ng-deep .gap-sm-4{gap:1.5rem!important}:host ::ng-deep .gap-sm-5{gap:3rem!important}:host ::ng-deep .text-sm-start{text-align:left!important}:host ::ng-deep .text-sm-end{text-align:right!important}:host ::ng-deep .text-sm-center{text-align:center!important}}@media (min-width: 768px){:host ::ng-deep .float-md-start{float:left!important}:host ::ng-deep .float-md-end{float:right!important}:host ::ng-deep .float-md-none{float:none!important}:host ::ng-deep .d-md-inline{display:inline!important}:host ::ng-deep .d-md-inline-block{display:inline-block!important}:host ::ng-deep .d-md-block{display:block!important}:host ::ng-deep .d-md-grid{display:grid!important}:host ::ng-deep .d-md-table{display:table!important}:host ::ng-deep .d-md-table-row{display:table-row!important}:host ::ng-deep .d-md-table-cell{display:table-cell!important}:host ::ng-deep .d-md-flex{display:flex!important}:host ::ng-deep .d-md-inline-flex{display:inline-flex!important}:host ::ng-deep .d-md-none{display:none!important}:host ::ng-deep .flex-md-fill{flex:1 1 auto!important}:host ::ng-deep .flex-md-row{flex-direction:row!important}:host ::ng-deep .flex-md-column{flex-direction:column!important}:host ::ng-deep .flex-md-row-reverse{flex-direction:row-reverse!important}:host ::ng-deep .flex-md-column-reverse{flex-direction:column-reverse!important}:host ::ng-deep .flex-md-grow-0{flex-grow:0!important}:host ::ng-deep .flex-md-grow-1{flex-grow:1!important}:host ::ng-deep .flex-md-shrink-0{flex-shrink:0!important}:host ::ng-deep .flex-md-shrink-1{flex-shrink:1!important}:host ::ng-deep .flex-md-wrap{flex-wrap:wrap!important}:host ::ng-deep .flex-md-nowrap{flex-wrap:nowrap!important}:host ::ng-deep .flex-md-wrap-reverse{flex-wrap:wrap-reverse!important}:host ::ng-deep .justify-content-md-start{justify-content:flex-start!important}:host ::ng-deep .justify-content-md-end{justify-content:flex-end!important}:host ::ng-deep .justify-content-md-center{justify-content:center!important}:host ::ng-deep .justify-content-md-between{justify-content:space-between!important}:host ::ng-deep .justify-content-md-around{justify-content:space-around!important}:host ::ng-deep .justify-content-md-evenly{justify-content:space-evenly!important}:host ::ng-deep .align-items-md-start{align-items:flex-start!important}:host ::ng-deep .align-items-md-end{align-items:flex-end!important}:host ::ng-deep .align-items-md-center{align-items:center!important}:host ::ng-deep .align-items-md-baseline{align-items:baseline!important}:host ::ng-deep .align-items-md-stretch{align-items:stretch!important}:host ::ng-deep .align-content-md-start{align-content:flex-start!important}:host ::ng-deep .align-content-md-end{align-content:flex-end!important}:host ::ng-deep .align-content-md-center{align-content:center!important}:host ::ng-deep .align-content-md-between{align-content:space-between!important}:host ::ng-deep .align-content-md-around{align-content:space-around!important}:host ::ng-deep .align-content-md-stretch{align-content:stretch!important}:host ::ng-deep .align-self-md-auto{align-self:auto!important}:host ::ng-deep .align-self-md-start{align-self:flex-start!important}:host ::ng-deep .align-self-md-end{align-self:flex-end!important}:host ::ng-deep .align-self-md-center{align-self:center!important}:host ::ng-deep .align-self-md-baseline{align-self:baseline!important}:host ::ng-deep .align-self-md-stretch{align-self:stretch!important}:host ::ng-deep .order-md-first{order:-1!important}:host ::ng-deep .order-md-0{order:0!important}:host ::ng-deep .order-md-1{order:1!important}:host ::ng-deep .order-md-2{order:2!important}:host ::ng-deep .order-md-3{order:3!important}:host ::ng-deep .order-md-4{order:4!important}:host ::ng-deep .order-md-5{order:5!important}:host ::ng-deep .order-md-last{order:6!important}:host ::ng-deep .m-md-0{margin:0!important}:host ::ng-deep .m-md-1{margin:.25rem!important}:host ::ng-deep .m-md-2{margin:.5rem!important}:host ::ng-deep .m-md-3{margin:1rem!important}:host ::ng-deep .m-md-4{margin:1.5rem!important}:host ::ng-deep .m-md-5{margin:3rem!important}:host ::ng-deep .m-md-auto{margin:auto!important}:host ::ng-deep .mx-md-0{margin-right:0!important;margin-left:0!important}:host ::ng-deep .mx-md-1{margin-right:.25rem!important;margin-left:.25rem!important}:host ::ng-deep .mx-md-2{margin-right:.5rem!important;margin-left:.5rem!important}:host ::ng-deep .mx-md-3{margin-right:1rem!important;margin-left:1rem!important}:host ::ng-deep .mx-md-4{margin-right:1.5rem!important;margin-left:1.5rem!important}:host ::ng-deep .mx-md-5{margin-right:3rem!important;margin-left:3rem!important}:host ::ng-deep .mx-md-auto{margin-right:auto!important;margin-left:auto!important}:host ::ng-deep .my-md-0{margin-top:0!important;margin-bottom:0!important}:host ::ng-deep .my-md-1{margin-top:.25rem!important;margin-bottom:.25rem!important}:host ::ng-deep .my-md-2{margin-top:.5rem!important;margin-bottom:.5rem!important}:host ::ng-deep .my-md-3{margin-top:1rem!important;margin-bottom:1rem!important}:host ::ng-deep .my-md-4{margin-top:1.5rem!important;margin-bottom:1.5rem!important}:host ::ng-deep .my-md-5{margin-top:3rem!important;margin-bottom:3rem!important}:host ::ng-deep .my-md-auto{margin-top:auto!important;margin-bottom:auto!important}:host ::ng-deep .mt-md-0{margin-top:0!important}:host ::ng-deep .mt-md-1{margin-top:.25rem!important}:host ::ng-deep .mt-md-2{margin-top:.5rem!important}:host ::ng-deep .mt-md-3{margin-top:1rem!important}:host ::ng-deep .mt-md-4{margin-top:1.5rem!important}:host ::ng-deep .mt-md-5{margin-top:3rem!important}:host ::ng-deep .mt-md-auto{margin-top:auto!important}:host ::ng-deep .me-md-0{margin-right:0!important}:host ::ng-deep .me-md-1{margin-right:.25rem!important}:host ::ng-deep .me-md-2{margin-right:.5rem!important}:host ::ng-deep .me-md-3{margin-right:1rem!important}:host ::ng-deep .me-md-4{margin-right:1.5rem!important}:host ::ng-deep .me-md-5{margin-right:3rem!important}:host ::ng-deep .me-md-auto{margin-right:auto!important}:host ::ng-deep .mb-md-0{margin-bottom:0!important}:host ::ng-deep .mb-md-1{margin-bottom:.25rem!important}:host ::ng-deep .mb-md-2{margin-bottom:.5rem!important}:host ::ng-deep .mb-md-3{margin-bottom:1rem!important}:host ::ng-deep .mb-md-4{margin-bottom:1.5rem!important}:host ::ng-deep .mb-md-5{margin-bottom:3rem!important}:host ::ng-deep .mb-md-auto{margin-bottom:auto!important}:host ::ng-deep .ms-md-0{margin-left:0!important}:host ::ng-deep .ms-md-1{margin-left:.25rem!important}:host ::ng-deep .ms-md-2{margin-left:.5rem!important}:host ::ng-deep .ms-md-3{margin-left:1rem!important}:host ::ng-deep .ms-md-4{margin-left:1.5rem!important}:host ::ng-deep .ms-md-5{margin-left:3rem!important}:host ::ng-deep .ms-md-auto{margin-left:auto!important}:host ::ng-deep .p-md-0{padding:0!important}:host ::ng-deep .p-md-1{padding:.25rem!important}:host ::ng-deep .p-md-2{padding:.5rem!important}:host ::ng-deep .p-md-3{padding:1rem!important}:host ::ng-deep .p-md-4{padding:1.5rem!important}:host ::ng-deep .p-md-5{padding:3rem!important}:host ::ng-deep .px-md-0{padding-right:0!important;padding-left:0!important}:host ::ng-deep .px-md-1{padding-right:.25rem!important;padding-left:.25rem!important}:host ::ng-deep .px-md-2{padding-right:.5rem!important;padding-left:.5rem!important}:host ::ng-deep .px-md-3{padding-right:1rem!important;padding-left:1rem!important}:host ::ng-deep .px-md-4{padding-right:1.5rem!important;padding-left:1.5rem!important}:host ::ng-deep .px-md-5{padding-right:3rem!important;padding-left:3rem!important}:host ::ng-deep .py-md-0{padding-top:0!important;padding-bottom:0!important}:host ::ng-deep .py-md-1{padding-top:.25rem!important;padding-bottom:.25rem!important}:host ::ng-deep .py-md-2{padding-top:.5rem!important;padding-bottom:.5rem!important}:host ::ng-deep .py-md-3{padding-top:1rem!important;padding-bottom:1rem!important}:host ::ng-deep .py-md-4{padding-top:1.5rem!important;padding-bottom:1.5rem!important}:host ::ng-deep .py-md-5{padding-top:3rem!important;padding-bottom:3rem!important}:host ::ng-deep .pt-md-0{padding-top:0!important}:host ::ng-deep .pt-md-1{padding-top:.25rem!important}:host ::ng-deep .pt-md-2{padding-top:.5rem!important}:host ::ng-deep .pt-md-3{padding-top:1rem!important}:host ::ng-deep .pt-md-4{padding-top:1.5rem!important}:host ::ng-deep .pt-md-5{padding-top:3rem!important}:host ::ng-deep .pe-md-0{padding-right:0!important}:host ::ng-deep .pe-md-1{padding-right:.25rem!important}:host ::ng-deep .pe-md-2{padding-right:.5rem!important}:host ::ng-deep .pe-md-3{padding-right:1rem!important}:host ::ng-deep .pe-md-4{padding-right:1.5rem!important}:host ::ng-deep .pe-md-5{padding-right:3rem!important}:host ::ng-deep .pb-md-0{padding-bottom:0!important}:host ::ng-deep .pb-md-1{padding-bottom:.25rem!important}:host ::ng-deep .pb-md-2{padding-bottom:.5rem!important}:host ::ng-deep .pb-md-3{padding-bottom:1rem!important}:host ::ng-deep .pb-md-4{padding-bottom:1.5rem!important}:host ::ng-deep .pb-md-5{padding-bottom:3rem!important}:host ::ng-deep .ps-md-0{padding-left:0!important}:host ::ng-deep .ps-md-1{padding-left:.25rem!important}:host ::ng-deep .ps-md-2{padding-left:.5rem!important}:host ::ng-deep .ps-md-3{padding-left:1rem!important}:host ::ng-deep .ps-md-4{padding-left:1.5rem!important}:host ::ng-deep .ps-md-5{padding-left:3rem!important}:host ::ng-deep .gap-md-0{gap:0!important}:host ::ng-deep .gap-md-1{gap:.25rem!important}:host ::ng-deep .gap-md-2{gap:.5rem!important}:host ::ng-deep .gap-md-3{gap:1rem!important}:host ::ng-deep .gap-md-4{gap:1.5rem!important}:host ::ng-deep .gap-md-5{gap:3rem!important}:host ::ng-deep .text-md-start{text-align:left!important}:host ::ng-deep .text-md-end{text-align:right!important}:host ::ng-deep .text-md-center{text-align:center!important}}@media (min-width: 992px){:host ::ng-deep .float-lg-start{float:left!important}:host ::ng-deep .float-lg-end{float:right!important}:host ::ng-deep .float-lg-none{float:none!important}:host ::ng-deep .d-lg-inline{display:inline!important}:host ::ng-deep .d-lg-inline-block{display:inline-block!important}:host ::ng-deep .d-lg-block{display:block!important}:host ::ng-deep .d-lg-grid{display:grid!important}:host ::ng-deep .d-lg-table{display:table!important}:host ::ng-deep .d-lg-table-row{display:table-row!important}:host ::ng-deep .d-lg-table-cell{display:table-cell!important}:host ::ng-deep .d-lg-flex{display:flex!important}:host ::ng-deep .d-lg-inline-flex{display:inline-flex!important}:host ::ng-deep .d-lg-none{display:none!important}:host ::ng-deep .flex-lg-fill{flex:1 1 auto!important}:host ::ng-deep .flex-lg-row{flex-direction:row!important}:host ::ng-deep .flex-lg-column{flex-direction:column!important}:host ::ng-deep .flex-lg-row-reverse{flex-direction:row-reverse!important}:host ::ng-deep .flex-lg-column-reverse{flex-direction:column-reverse!important}:host ::ng-deep .flex-lg-grow-0{flex-grow:0!important}:host ::ng-deep .flex-lg-grow-1{flex-grow:1!important}:host ::ng-deep .flex-lg-shrink-0{flex-shrink:0!important}:host ::ng-deep .flex-lg-shrink-1{flex-shrink:1!important}:host ::ng-deep .flex-lg-wrap{flex-wrap:wrap!important}:host ::ng-deep .flex-lg-nowrap{flex-wrap:nowrap!important}:host ::ng-deep .flex-lg-wrap-reverse{flex-wrap:wrap-reverse!important}:host ::ng-deep .justify-content-lg-start{justify-content:flex-start!important}:host ::ng-deep .justify-content-lg-end{justify-content:flex-end!important}:host ::ng-deep .justify-content-lg-center{justify-content:center!important}:host ::ng-deep .justify-content-lg-between{justify-content:space-between!important}:host ::ng-deep .justify-content-lg-around{justify-content:space-around!important}:host ::ng-deep .justify-content-lg-evenly{justify-content:space-evenly!important}:host ::ng-deep .align-items-lg-start{align-items:flex-start!important}:host ::ng-deep .align-items-lg-end{align-items:flex-end!important}:host ::ng-deep .align-items-lg-center{align-items:center!important}:host ::ng-deep .align-items-lg-baseline{align-items:baseline!important}:host ::ng-deep .align-items-lg-stretch{align-items:stretch!important}:host ::ng-deep .align-content-lg-start{align-content:flex-start!important}:host ::ng-deep .align-content-lg-end{align-content:flex-end!important}:host ::ng-deep .align-content-lg-center{align-content:center!important}:host ::ng-deep .align-content-lg-between{align-content:space-between!important}:host ::ng-deep .align-content-lg-around{align-content:space-around!important}:host ::ng-deep .align-content-lg-stretch{align-content:stretch!important}:host ::ng-deep .align-self-lg-auto{align-self:auto!important}:host ::ng-deep .align-self-lg-start{align-self:flex-start!important}:host ::ng-deep .align-self-lg-end{align-self:flex-end!important}:host ::ng-deep .align-self-lg-center{align-self:center!important}:host ::ng-deep .align-self-lg-baseline{align-self:baseline!important}:host ::ng-deep .align-self-lg-stretch{align-self:stretch!important}:host ::ng-deep .order-lg-first{order:-1!important}:host ::ng-deep .order-lg-0{order:0!important}:host ::ng-deep .order-lg-1{order:1!important}:host ::ng-deep .order-lg-2{order:2!important}:host ::ng-deep .order-lg-3{order:3!important}:host ::ng-deep .order-lg-4{order:4!important}:host ::ng-deep .order-lg-5{order:5!important}:host ::ng-deep .order-lg-last{order:6!important}:host ::ng-deep .m-lg-0{margin:0!important}:host ::ng-deep .m-lg-1{margin:.25rem!important}:host ::ng-deep .m-lg-2{margin:.5rem!important}:host ::ng-deep .m-lg-3{margin:1rem!important}:host ::ng-deep .m-lg-4{margin:1.5rem!important}:host ::ng-deep .m-lg-5{margin:3rem!important}:host ::ng-deep .m-lg-auto{margin:auto!important}:host ::ng-deep .mx-lg-0{margin-right:0!important;margin-left:0!important}:host ::ng-deep .mx-lg-1{margin-right:.25rem!important;margin-left:.25rem!important}:host ::ng-deep .mx-lg-2{margin-right:.5rem!important;margin-left:.5rem!important}:host ::ng-deep .mx-lg-3{margin-right:1rem!important;margin-left:1rem!important}:host ::ng-deep .mx-lg-4{margin-right:1.5rem!important;margin-left:1.5rem!important}:host ::ng-deep .mx-lg-5{margin-right:3rem!important;margin-left:3rem!important}:host ::ng-deep .mx-lg-auto{margin-right:auto!important;margin-left:auto!important}:host ::ng-deep .my-lg-0{margin-top:0!important;margin-bottom:0!important}:host ::ng-deep .my-lg-1{margin-top:.25rem!important;margin-bottom:.25rem!important}:host ::ng-deep .my-lg-2{margin-top:.5rem!important;margin-bottom:.5rem!important}:host ::ng-deep .my-lg-3{margin-top:1rem!important;margin-bottom:1rem!important}:host ::ng-deep .my-lg-4{margin-top:1.5rem!important;margin-bottom:1.5rem!important}:host ::ng-deep .my-lg-5{margin-top:3rem!important;margin-bottom:3rem!important}:host ::ng-deep .my-lg-auto{margin-top:auto!important;margin-bottom:auto!important}:host ::ng-deep .mt-lg-0{margin-top:0!important}:host ::ng-deep .mt-lg-1{margin-top:.25rem!important}:host ::ng-deep .mt-lg-2{margin-top:.5rem!important}:host ::ng-deep .mt-lg-3{margin-top:1rem!important}:host ::ng-deep .mt-lg-4{margin-top:1.5rem!important}:host ::ng-deep .mt-lg-5{margin-top:3rem!important}:host ::ng-deep .mt-lg-auto{margin-top:auto!important}:host ::ng-deep .me-lg-0{margin-right:0!important}:host ::ng-deep .me-lg-1{margin-right:.25rem!important}:host ::ng-deep .me-lg-2{margin-right:.5rem!important}:host ::ng-deep .me-lg-3{margin-right:1rem!important}:host ::ng-deep .me-lg-4{margin-right:1.5rem!important}:host ::ng-deep .me-lg-5{margin-right:3rem!important}:host ::ng-deep .me-lg-auto{margin-right:auto!important}:host ::ng-deep .mb-lg-0{margin-bottom:0!important}:host ::ng-deep .mb-lg-1{margin-bottom:.25rem!important}:host ::ng-deep .mb-lg-2{margin-bottom:.5rem!important}:host ::ng-deep .mb-lg-3{margin-bottom:1rem!important}:host ::ng-deep .mb-lg-4{margin-bottom:1.5rem!important}:host ::ng-deep .mb-lg-5{margin-bottom:3rem!important}:host ::ng-deep .mb-lg-auto{margin-bottom:auto!important}:host ::ng-deep .ms-lg-0{margin-left:0!important}:host ::ng-deep .ms-lg-1{margin-left:.25rem!important}:host ::ng-deep .ms-lg-2{margin-left:.5rem!important}:host ::ng-deep .ms-lg-3{margin-left:1rem!important}:host ::ng-deep .ms-lg-4{margin-left:1.5rem!important}:host ::ng-deep .ms-lg-5{margin-left:3rem!important}:host ::ng-deep .ms-lg-auto{margin-left:auto!important}:host ::ng-deep .p-lg-0{padding:0!important}:host ::ng-deep .p-lg-1{padding:.25rem!important}:host ::ng-deep .p-lg-2{padding:.5rem!important}:host ::ng-deep .p-lg-3{padding:1rem!important}:host ::ng-deep .p-lg-4{padding:1.5rem!important}:host ::ng-deep .p-lg-5{padding:3rem!important}:host ::ng-deep .px-lg-0{padding-right:0!important;padding-left:0!important}:host ::ng-deep .px-lg-1{padding-right:.25rem!important;padding-left:.25rem!important}:host ::ng-deep .px-lg-2{padding-right:.5rem!important;padding-left:.5rem!important}:host ::ng-deep .px-lg-3{padding-right:1rem!important;padding-left:1rem!important}:host ::ng-deep .px-lg-4{padding-right:1.5rem!important;padding-left:1.5rem!important}:host ::ng-deep .px-lg-5{padding-right:3rem!important;padding-left:3rem!important}:host ::ng-deep .py-lg-0{padding-top:0!important;padding-bottom:0!important}:host ::ng-deep .py-lg-1{padding-top:.25rem!important;padding-bottom:.25rem!important}:host ::ng-deep .py-lg-2{padding-top:.5rem!important;padding-bottom:.5rem!important}:host ::ng-deep .py-lg-3{padding-top:1rem!important;padding-bottom:1rem!important}:host ::ng-deep .py-lg-4{padding-top:1.5rem!important;padding-bottom:1.5rem!important}:host ::ng-deep .py-lg-5{padding-top:3rem!important;padding-bottom:3rem!important}:host ::ng-deep .pt-lg-0{padding-top:0!important}:host ::ng-deep .pt-lg-1{padding-top:.25rem!important}:host ::ng-deep .pt-lg-2{padding-top:.5rem!important}:host ::ng-deep .pt-lg-3{padding-top:1rem!important}:host ::ng-deep .pt-lg-4{padding-top:1.5rem!important}:host ::ng-deep .pt-lg-5{padding-top:3rem!important}:host ::ng-deep .pe-lg-0{padding-right:0!important}:host ::ng-deep .pe-lg-1{padding-right:.25rem!important}:host ::ng-deep .pe-lg-2{padding-right:.5rem!important}:host ::ng-deep .pe-lg-3{padding-right:1rem!important}:host ::ng-deep .pe-lg-4{padding-right:1.5rem!important}:host ::ng-deep .pe-lg-5{padding-right:3rem!important}:host ::ng-deep .pb-lg-0{padding-bottom:0!important}:host ::ng-deep .pb-lg-1{padding-bottom:.25rem!important}:host ::ng-deep .pb-lg-2{padding-bottom:.5rem!important}:host ::ng-deep .pb-lg-3{padding-bottom:1rem!important}:host ::ng-deep .pb-lg-4{padding-bottom:1.5rem!important}:host ::ng-deep .pb-lg-5{padding-bottom:3rem!important}:host ::ng-deep .ps-lg-0{padding-left:0!important}:host ::ng-deep .ps-lg-1{padding-left:.25rem!important}:host ::ng-deep .ps-lg-2{padding-left:.5rem!important}:host ::ng-deep .ps-lg-3{padding-left:1rem!important}:host ::ng-deep .ps-lg-4{padding-left:1.5rem!important}:host ::ng-deep .ps-lg-5{padding-left:3rem!important}:host ::ng-deep .gap-lg-0{gap:0!important}:host ::ng-deep .gap-lg-1{gap:.25rem!important}:host ::ng-deep .gap-lg-2{gap:.5rem!important}:host ::ng-deep .gap-lg-3{gap:1rem!important}:host ::ng-deep .gap-lg-4{gap:1.5rem!important}:host ::ng-deep .gap-lg-5{gap:3rem!important}:host ::ng-deep .text-lg-start{text-align:left!important}:host ::ng-deep .text-lg-end{text-align:right!important}:host ::ng-deep .text-lg-center{text-align:center!important}}@media (min-width: 1200px){:host ::ng-deep .float-xl-start{float:left!important}:host ::ng-deep .float-xl-end{float:right!important}:host ::ng-deep .float-xl-none{float:none!important}:host ::ng-deep .d-xl-inline{display:inline!important}:host ::ng-deep .d-xl-inline-block{display:inline-block!important}:host ::ng-deep .d-xl-block{display:block!important}:host ::ng-deep .d-xl-grid{display:grid!important}:host ::ng-deep .d-xl-table{display:table!important}:host ::ng-deep .d-xl-table-row{display:table-row!important}:host ::ng-deep .d-xl-table-cell{display:table-cell!important}:host ::ng-deep .d-xl-flex{display:flex!important}:host ::ng-deep .d-xl-inline-flex{display:inline-flex!important}:host ::ng-deep .d-xl-none{display:none!important}:host ::ng-deep .flex-xl-fill{flex:1 1 auto!important}:host ::ng-deep .flex-xl-row{flex-direction:row!important}:host ::ng-deep .flex-xl-column{flex-direction:column!important}:host ::ng-deep .flex-xl-row-reverse{flex-direction:row-reverse!important}:host ::ng-deep .flex-xl-column-reverse{flex-direction:column-reverse!important}:host ::ng-deep .flex-xl-grow-0{flex-grow:0!important}:host ::ng-deep .flex-xl-grow-1{flex-grow:1!important}:host ::ng-deep .flex-xl-shrink-0{flex-shrink:0!important}:host ::ng-deep .flex-xl-shrink-1{flex-shrink:1!important}:host ::ng-deep .flex-xl-wrap{flex-wrap:wrap!important}:host ::ng-deep .flex-xl-nowrap{flex-wrap:nowrap!important}:host ::ng-deep .flex-xl-wrap-reverse{flex-wrap:wrap-reverse!important}:host ::ng-deep .justify-content-xl-start{justify-content:flex-start!important}:host ::ng-deep .justify-content-xl-end{justify-content:flex-end!important}:host ::ng-deep .justify-content-xl-center{justify-content:center!important}:host ::ng-deep .justify-content-xl-between{justify-content:space-between!important}:host ::ng-deep .justify-content-xl-around{justify-content:space-around!important}:host ::ng-deep .justify-content-xl-evenly{justify-content:space-evenly!important}:host ::ng-deep .align-items-xl-start{align-items:flex-start!important}:host ::ng-deep .align-items-xl-end{align-items:flex-end!important}:host ::ng-deep .align-items-xl-center{align-items:center!important}:host ::ng-deep .align-items-xl-baseline{align-items:baseline!important}:host ::ng-deep .align-items-xl-stretch{align-items:stretch!important}:host ::ng-deep .align-content-xl-start{align-content:flex-start!important}:host ::ng-deep .align-content-xl-end{align-content:flex-end!important}:host ::ng-deep .align-content-xl-center{align-content:center!important}:host ::ng-deep .align-content-xl-between{align-content:space-between!important}:host ::ng-deep .align-content-xl-around{align-content:space-around!important}:host ::ng-deep .align-content-xl-stretch{align-content:stretch!important}:host ::ng-deep .align-self-xl-auto{align-self:auto!important}:host ::ng-deep .align-self-xl-start{align-self:flex-start!important}:host ::ng-deep .align-self-xl-end{align-self:flex-end!important}:host ::ng-deep .align-self-xl-center{align-self:center!important}:host ::ng-deep .align-self-xl-baseline{align-self:baseline!important}:host ::ng-deep .align-self-xl-stretch{align-self:stretch!important}:host ::ng-deep .order-xl-first{order:-1!important}:host ::ng-deep .order-xl-0{order:0!important}:host ::ng-deep .order-xl-1{order:1!important}:host ::ng-deep .order-xl-2{order:2!important}:host ::ng-deep .order-xl-3{order:3!important}:host ::ng-deep .order-xl-4{order:4!important}:host ::ng-deep .order-xl-5{order:5!important}:host ::ng-deep .order-xl-last{order:6!important}:host ::ng-deep .m-xl-0{margin:0!important}:host ::ng-deep .m-xl-1{margin:.25rem!important}:host ::ng-deep .m-xl-2{margin:.5rem!important}:host ::ng-deep .m-xl-3{margin:1rem!important}:host ::ng-deep .m-xl-4{margin:1.5rem!important}:host ::ng-deep .m-xl-5{margin:3rem!important}:host ::ng-deep .m-xl-auto{margin:auto!important}:host ::ng-deep .mx-xl-0{margin-right:0!important;margin-left:0!important}:host ::ng-deep .mx-xl-1{margin-right:.25rem!important;margin-left:.25rem!important}:host ::ng-deep .mx-xl-2{margin-right:.5rem!important;margin-left:.5rem!important}:host ::ng-deep .mx-xl-3{margin-right:1rem!important;margin-left:1rem!important}:host ::ng-deep .mx-xl-4{margin-right:1.5rem!important;margin-left:1.5rem!important}:host ::ng-deep .mx-xl-5{margin-right:3rem!important;margin-left:3rem!important}:host ::ng-deep .mx-xl-auto{margin-right:auto!important;margin-left:auto!important}:host ::ng-deep .my-xl-0{margin-top:0!important;margin-bottom:0!important}:host ::ng-deep .my-xl-1{margin-top:.25rem!important;margin-bottom:.25rem!important}:host ::ng-deep .my-xl-2{margin-top:.5rem!important;margin-bottom:.5rem!important}:host ::ng-deep .my-xl-3{margin-top:1rem!important;margin-bottom:1rem!important}:host ::ng-deep .my-xl-4{margin-top:1.5rem!important;margin-bottom:1.5rem!important}:host ::ng-deep .my-xl-5{margin-top:3rem!important;margin-bottom:3rem!important}:host ::ng-deep .my-xl-auto{margin-top:auto!important;margin-bottom:auto!important}:host ::ng-deep .mt-xl-0{margin-top:0!important}:host ::ng-deep .mt-xl-1{margin-top:.25rem!important}:host ::ng-deep .mt-xl-2{margin-top:.5rem!important}:host ::ng-deep .mt-xl-3{margin-top:1rem!important}:host ::ng-deep .mt-xl-4{margin-top:1.5rem!important}:host ::ng-deep .mt-xl-5{margin-top:3rem!important}:host ::ng-deep .mt-xl-auto{margin-top:auto!important}:host ::ng-deep .me-xl-0{margin-right:0!important}:host ::ng-deep .me-xl-1{margin-right:.25rem!important}:host ::ng-deep .me-xl-2{margin-right:.5rem!important}:host ::ng-deep .me-xl-3{margin-right:1rem!important}:host ::ng-deep .me-xl-4{margin-right:1.5rem!important}:host ::ng-deep .me-xl-5{margin-right:3rem!important}:host ::ng-deep .me-xl-auto{margin-right:auto!important}:host ::ng-deep .mb-xl-0{margin-bottom:0!important}:host ::ng-deep .mb-xl-1{margin-bottom:.25rem!important}:host ::ng-deep .mb-xl-2{margin-bottom:.5rem!important}:host ::ng-deep .mb-xl-3{margin-bottom:1rem!important}:host ::ng-deep .mb-xl-4{margin-bottom:1.5rem!important}:host ::ng-deep .mb-xl-5{margin-bottom:3rem!important}:host ::ng-deep .mb-xl-auto{margin-bottom:auto!important}:host ::ng-deep .ms-xl-0{margin-left:0!important}:host ::ng-deep .ms-xl-1{margin-left:.25rem!important}:host ::ng-deep .ms-xl-2{margin-left:.5rem!important}:host ::ng-deep .ms-xl-3{margin-left:1rem!important}:host ::ng-deep .ms-xl-4{margin-left:1.5rem!important}:host ::ng-deep .ms-xl-5{margin-left:3rem!important}:host ::ng-deep .ms-xl-auto{margin-left:auto!important}:host ::ng-deep .p-xl-0{padding:0!important}:host ::ng-deep .p-xl-1{padding:.25rem!important}:host ::ng-deep .p-xl-2{padding:.5rem!important}:host ::ng-deep .p-xl-3{padding:1rem!important}:host ::ng-deep .p-xl-4{padding:1.5rem!important}:host ::ng-deep .p-xl-5{padding:3rem!important}:host ::ng-deep .px-xl-0{padding-right:0!important;padding-left:0!important}:host ::ng-deep .px-xl-1{padding-right:.25rem!important;padding-left:.25rem!important}:host ::ng-deep .px-xl-2{padding-right:.5rem!important;padding-left:.5rem!important}:host ::ng-deep .px-xl-3{padding-right:1rem!important;padding-left:1rem!important}:host ::ng-deep .px-xl-4{padding-right:1.5rem!important;padding-left:1.5rem!important}:host ::ng-deep .px-xl-5{padding-right:3rem!important;padding-left:3rem!important}:host ::ng-deep .py-xl-0{padding-top:0!important;padding-bottom:0!important}:host ::ng-deep .py-xl-1{padding-top:.25rem!important;padding-bottom:.25rem!important}:host ::ng-deep .py-xl-2{padding-top:.5rem!important;padding-bottom:.5rem!important}:host ::ng-deep .py-xl-3{padding-top:1rem!important;padding-bottom:1rem!important}:host ::ng-deep .py-xl-4{padding-top:1.5rem!important;padding-bottom:1.5rem!important}:host ::ng-deep .py-xl-5{padding-top:3rem!important;padding-bottom:3rem!important}:host ::ng-deep .pt-xl-0{padding-top:0!important}:host ::ng-deep .pt-xl-1{padding-top:.25rem!important}:host ::ng-deep .pt-xl-2{padding-top:.5rem!important}:host ::ng-deep .pt-xl-3{padding-top:1rem!important}:host ::ng-deep .pt-xl-4{padding-top:1.5rem!important}:host ::ng-deep .pt-xl-5{padding-top:3rem!important}:host ::ng-deep .pe-xl-0{padding-right:0!important}:host ::ng-deep .pe-xl-1{padding-right:.25rem!important}:host ::ng-deep .pe-xl-2{padding-right:.5rem!important}:host ::ng-deep .pe-xl-3{padding-right:1rem!important}:host ::ng-deep .pe-xl-4{padding-right:1.5rem!important}:host ::ng-deep .pe-xl-5{padding-right:3rem!important}:host ::ng-deep .pb-xl-0{padding-bottom:0!important}:host ::ng-deep .pb-xl-1{padding-bottom:.25rem!important}:host ::ng-deep .pb-xl-2{padding-bottom:.5rem!important}:host ::ng-deep .pb-xl-3{padding-bottom:1rem!important}:host ::ng-deep .pb-xl-4{padding-bottom:1.5rem!important}:host ::ng-deep .pb-xl-5{padding-bottom:3rem!important}:host ::ng-deep .ps-xl-0{padding-left:0!important}:host ::ng-deep .ps-xl-1{padding-left:.25rem!important}:host ::ng-deep .ps-xl-2{padding-left:.5rem!important}:host ::ng-deep .ps-xl-3{padding-left:1rem!important}:host ::ng-deep .ps-xl-4{padding-left:1.5rem!important}:host ::ng-deep .ps-xl-5{padding-left:3rem!important}:host ::ng-deep .gap-xl-0{gap:0!important}:host ::ng-deep .gap-xl-1{gap:.25rem!important}:host ::ng-deep .gap-xl-2{gap:.5rem!important}:host ::ng-deep .gap-xl-3{gap:1rem!important}:host ::ng-deep .gap-xl-4{gap:1.5rem!important}:host ::ng-deep .gap-xl-5{gap:3rem!important}:host ::ng-deep .text-xl-start{text-align:left!important}:host ::ng-deep .text-xl-end{text-align:right!important}:host ::ng-deep .text-xl-center{text-align:center!important}}@media (min-width: 1400px){:host ::ng-deep .float-xxl-start{float:left!important}:host ::ng-deep .float-xxl-end{float:right!important}:host ::ng-deep .float-xxl-none{float:none!important}:host ::ng-deep .d-xxl-inline{display:inline!important}:host ::ng-deep .d-xxl-inline-block{display:inline-block!important}:host ::ng-deep .d-xxl-block{display:block!important}:host ::ng-deep .d-xxl-grid{display:grid!important}:host ::ng-deep .d-xxl-table{display:table!important}:host ::ng-deep .d-xxl-table-row{display:table-row!important}:host ::ng-deep .d-xxl-table-cell{display:table-cell!important}:host ::ng-deep .d-xxl-flex{display:flex!important}:host ::ng-deep .d-xxl-inline-flex{display:inline-flex!important}:host ::ng-deep .d-xxl-none{display:none!important}:host ::ng-deep .flex-xxl-fill{flex:1 1 auto!important}:host ::ng-deep .flex-xxl-row{flex-direction:row!important}:host ::ng-deep .flex-xxl-column{flex-direction:column!important}:host ::ng-deep .flex-xxl-row-reverse{flex-direction:row-reverse!important}:host ::ng-deep .flex-xxl-column-reverse{flex-direction:column-reverse!important}:host ::ng-deep .flex-xxl-grow-0{flex-grow:0!important}:host ::ng-deep .flex-xxl-grow-1{flex-grow:1!important}:host ::ng-deep .flex-xxl-shrink-0{flex-shrink:0!important}:host ::ng-deep .flex-xxl-shrink-1{flex-shrink:1!important}:host ::ng-deep .flex-xxl-wrap{flex-wrap:wrap!important}:host ::ng-deep .flex-xxl-nowrap{flex-wrap:nowrap!important}:host ::ng-deep .flex-xxl-wrap-reverse{flex-wrap:wrap-reverse!important}:host ::ng-deep .justify-content-xxl-start{justify-content:flex-start!important}:host ::ng-deep .justify-content-xxl-end{justify-content:flex-end!important}:host ::ng-deep .justify-content-xxl-center{justify-content:center!important}:host ::ng-deep .justify-content-xxl-between{justify-content:space-between!important}:host ::ng-deep .justify-content-xxl-around{justify-content:space-around!important}:host ::ng-deep .justify-content-xxl-evenly{justify-content:space-evenly!important}:host ::ng-deep .align-items-xxl-start{align-items:flex-start!important}:host ::ng-deep .align-items-xxl-end{align-items:flex-end!important}:host ::ng-deep .align-items-xxl-center{align-items:center!important}:host ::ng-deep .align-items-xxl-baseline{align-items:baseline!important}:host ::ng-deep .align-items-xxl-stretch{align-items:stretch!important}:host ::ng-deep .align-content-xxl-start{align-content:flex-start!important}:host ::ng-deep .align-content-xxl-end{align-content:flex-end!important}:host ::ng-deep .align-content-xxl-center{align-content:center!important}:host ::ng-deep .align-content-xxl-between{align-content:space-between!important}:host ::ng-deep .align-content-xxl-around{align-content:space-around!important}:host ::ng-deep .align-content-xxl-stretch{align-content:stretch!important}:host ::ng-deep .align-self-xxl-auto{align-self:auto!important}:host ::ng-deep .align-self-xxl-start{align-self:flex-start!important}:host ::ng-deep .align-self-xxl-end{align-self:flex-end!important}:host ::ng-deep .align-self-xxl-center{align-self:center!important}:host ::ng-deep .align-self-xxl-baseline{align-self:baseline!important}:host ::ng-deep .align-self-xxl-stretch{align-self:stretch!important}:host ::ng-deep .order-xxl-first{order:-1!important}:host ::ng-deep .order-xxl-0{order:0!important}:host ::ng-deep .order-xxl-1{order:1!important}:host ::ng-deep .order-xxl-2{order:2!important}:host ::ng-deep .order-xxl-3{order:3!important}:host ::ng-deep .order-xxl-4{order:4!important}:host ::ng-deep .order-xxl-5{order:5!important}:host ::ng-deep .order-xxl-last{order:6!important}:host ::ng-deep .m-xxl-0{margin:0!important}:host ::ng-deep .m-xxl-1{margin:.25rem!important}:host ::ng-deep .m-xxl-2{margin:.5rem!important}:host ::ng-deep .m-xxl-3{margin:1rem!important}:host ::ng-deep .m-xxl-4{margin:1.5rem!important}:host ::ng-deep .m-xxl-5{margin:3rem!important}:host ::ng-deep .m-xxl-auto{margin:auto!important}:host ::ng-deep .mx-xxl-0{margin-right:0!important;margin-left:0!important}:host ::ng-deep .mx-xxl-1{margin-right:.25rem!important;margin-left:.25rem!important}:host ::ng-deep .mx-xxl-2{margin-right:.5rem!important;margin-left:.5rem!important}:host ::ng-deep .mx-xxl-3{margin-right:1rem!important;margin-left:1rem!important}:host ::ng-deep .mx-xxl-4{margin-right:1.5rem!important;margin-left:1.5rem!important}:host ::ng-deep .mx-xxl-5{margin-right:3rem!important;margin-left:3rem!important}:host ::ng-deep .mx-xxl-auto{margin-right:auto!important;margin-left:auto!important}:host ::ng-deep .my-xxl-0{margin-top:0!important;margin-bottom:0!important}:host ::ng-deep .my-xxl-1{margin-top:.25rem!important;margin-bottom:.25rem!important}:host ::ng-deep .my-xxl-2{margin-top:.5rem!important;margin-bottom:.5rem!important}:host ::ng-deep .my-xxl-3{margin-top:1rem!important;margin-bottom:1rem!important}:host ::ng-deep .my-xxl-4{margin-top:1.5rem!important;margin-bottom:1.5rem!important}:host ::ng-deep .my-xxl-5{margin-top:3rem!important;margin-bottom:3rem!important}:host ::ng-deep .my-xxl-auto{margin-top:auto!important;margin-bottom:auto!important}:host ::ng-deep .mt-xxl-0{margin-top:0!important}:host ::ng-deep .mt-xxl-1{margin-top:.25rem!important}:host ::ng-deep .mt-xxl-2{margin-top:.5rem!important}:host ::ng-deep .mt-xxl-3{margin-top:1rem!important}:host ::ng-deep .mt-xxl-4{margin-top:1.5rem!important}:host ::ng-deep .mt-xxl-5{margin-top:3rem!important}:host ::ng-deep .mt-xxl-auto{margin-top:auto!important}:host ::ng-deep .me-xxl-0{margin-right:0!important}:host ::ng-deep .me-xxl-1{margin-right:.25rem!important}:host ::ng-deep .me-xxl-2{margin-right:.5rem!important}:host ::ng-deep .me-xxl-3{margin-right:1rem!important}:host ::ng-deep .me-xxl-4{margin-right:1.5rem!important}:host ::ng-deep .me-xxl-5{margin-right:3rem!important}:host ::ng-deep .me-xxl-auto{margin-right:auto!important}:host ::ng-deep .mb-xxl-0{margin-bottom:0!important}:host ::ng-deep .mb-xxl-1{margin-bottom:.25rem!important}:host ::ng-deep .mb-xxl-2{margin-bottom:.5rem!important}:host ::ng-deep .mb-xxl-3{margin-bottom:1rem!important}:host ::ng-deep .mb-xxl-4{margin-bottom:1.5rem!important}:host ::ng-deep .mb-xxl-5{margin-bottom:3rem!important}:host ::ng-deep .mb-xxl-auto{margin-bottom:auto!important}:host ::ng-deep .ms-xxl-0{margin-left:0!important}:host ::ng-deep .ms-xxl-1{margin-left:.25rem!important}:host ::ng-deep .ms-xxl-2{margin-left:.5rem!important}:host ::ng-deep .ms-xxl-3{margin-left:1rem!important}:host ::ng-deep .ms-xxl-4{margin-left:1.5rem!important}:host ::ng-deep .ms-xxl-5{margin-left:3rem!important}:host ::ng-deep .ms-xxl-auto{margin-left:auto!important}:host ::ng-deep .p-xxl-0{padding:0!important}:host ::ng-deep .p-xxl-1{padding:.25rem!important}:host ::ng-deep .p-xxl-2{padding:.5rem!important}:host ::ng-deep .p-xxl-3{padding:1rem!important}:host ::ng-deep .p-xxl-4{padding:1.5rem!important}:host ::ng-deep .p-xxl-5{padding:3rem!important}:host ::ng-deep .px-xxl-0{padding-right:0!important;padding-left:0!important}:host ::ng-deep .px-xxl-1{padding-right:.25rem!important;padding-left:.25rem!important}:host ::ng-deep .px-xxl-2{padding-right:.5rem!important;padding-left:.5rem!important}:host ::ng-deep .px-xxl-3{padding-right:1rem!important;padding-left:1rem!important}:host ::ng-deep .px-xxl-4{padding-right:1.5rem!important;padding-left:1.5rem!important}:host ::ng-deep .px-xxl-5{padding-right:3rem!important;padding-left:3rem!important}:host ::ng-deep .py-xxl-0{padding-top:0!important;padding-bottom:0!important}:host ::ng-deep .py-xxl-1{padding-top:.25rem!important;padding-bottom:.25rem!important}:host ::ng-deep .py-xxl-2{padding-top:.5rem!important;padding-bottom:.5rem!important}:host ::ng-deep .py-xxl-3{padding-top:1rem!important;padding-bottom:1rem!important}:host ::ng-deep .py-xxl-4{padding-top:1.5rem!important;padding-bottom:1.5rem!important}:host ::ng-deep .py-xxl-5{padding-top:3rem!important;padding-bottom:3rem!important}:host ::ng-deep .pt-xxl-0{padding-top:0!important}:host ::ng-deep .pt-xxl-1{padding-top:.25rem!important}:host ::ng-deep .pt-xxl-2{padding-top:.5rem!important}:host ::ng-deep .pt-xxl-3{padding-top:1rem!important}:host ::ng-deep .pt-xxl-4{padding-top:1.5rem!important}:host ::ng-deep .pt-xxl-5{padding-top:3rem!important}:host ::ng-deep .pe-xxl-0{padding-right:0!important}:host ::ng-deep .pe-xxl-1{padding-right:.25rem!important}:host ::ng-deep .pe-xxl-2{padding-right:.5rem!important}:host ::ng-deep .pe-xxl-3{padding-right:1rem!important}:host ::ng-deep .pe-xxl-4{padding-right:1.5rem!important}:host ::ng-deep .pe-xxl-5{padding-right:3rem!important}:host ::ng-deep .pb-xxl-0{padding-bottom:0!important}:host ::ng-deep .pb-xxl-1{padding-bottom:.25rem!important}:host ::ng-deep .pb-xxl-2{padding-bottom:.5rem!important}:host ::ng-deep .pb-xxl-3{padding-bottom:1rem!important}:host ::ng-deep .pb-xxl-4{padding-bottom:1.5rem!important}:host ::ng-deep .pb-xxl-5{padding-bottom:3rem!important}:host ::ng-deep .ps-xxl-0{padding-left:0!important}:host ::ng-deep .ps-xxl-1{padding-left:.25rem!important}:host ::ng-deep .ps-xxl-2{padding-left:.5rem!important}:host ::ng-deep .ps-xxl-3{padding-left:1rem!important}:host ::ng-deep .ps-xxl-4{padding-left:1.5rem!important}:host ::ng-deep .ps-xxl-5{padding-left:3rem!important}:host ::ng-deep .gap-xxl-0{gap:0!important}:host ::ng-deep .gap-xxl-1{gap:.25rem!important}:host ::ng-deep .gap-xxl-2{gap:.5rem!important}:host ::ng-deep .gap-xxl-3{gap:1rem!important}:host ::ng-deep .gap-xxl-4{gap:1.5rem!important}:host ::ng-deep .gap-xxl-5{gap:3rem!important}:host ::ng-deep .text-xxl-start{text-align:left!important}:host ::ng-deep .text-xxl-end{text-align:right!important}:host ::ng-deep .text-xxl-center{text-align:center!important}}@media (min-width: 1200px){:host ::ng-deep .fs-1{font-size:2.5rem!important}:host ::ng-deep .fs-2{font-size:2rem!important}:host ::ng-deep .fs-3{font-size:1.75rem!important}:host ::ng-deep .fs-4{font-size:1.5rem!important}}@media print{:host ::ng-deep .d-print-inline{display:inline!important}:host ::ng-deep .d-print-inline-block{display:inline-block!important}:host ::ng-deep .d-print-block{display:block!important}:host ::ng-deep .d-print-grid{display:grid!important}:host ::ng-deep .d-print-table{display:table!important}:host ::ng-deep .d-print-table-row{display:table-row!important}:host ::ng-deep .d-print-table-cell{display:table-cell!important}:host ::ng-deep .d-print-flex{display:flex!important}:host ::ng-deep .d-print-inline-flex{display:inline-flex!important}:host ::ng-deep .d-print-none{display:none!important}}:host ::ng-deep .form-select{display:block;width:100%;padding:.375rem 2.25rem .375rem .75rem;-moz-padding-start:calc(.75rem - 3px);font-size:1rem;font-weight:400;line-height:1.5;color:#212529;background-color:#fff;background-image:url(\"data:image/svg+xml,%3csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 16 16'%3e%3cpath fill='none' stroke='%23343a40' stroke-linecap='round' stroke-linejoin='round' stroke-width='2' d='m2 5 6 6 6-6'/%3e%3c/svg%3e\");background-repeat:no-repeat;background-position:right .75rem center;background-size:16px 12px;border:1px solid #ced4da;border-radius:.375rem;transition:border-color .15s ease-in-out,box-shadow .15s ease-in-out;-webkit-appearance:none;appearance:none}@media (prefers-reduced-motion: reduce){:host ::ng-deep .form-select{transition:none}}:host ::ng-deep .form-select:focus{border-color:#86b7fe;outline:0;box-shadow:0 0 0 .25rem #0d6efd40}:host ::ng-deep .form-select[multiple],:host ::ng-deep .form-select[size]:not([size=\"1\"]){padding-right:.75rem;background-image:none}:host ::ng-deep .form-select:disabled{background-color:#e9ecef}:host ::ng-deep .form-select:-moz-focusring{color:transparent;text-shadow:0 0 0 #212529}:host ::ng-deep .form-select-sm{padding-top:.25rem;padding-bottom:.25rem;padding-left:.5rem;font-size:.875rem;border-radius:.25rem}:host ::ng-deep .form-select-lg{padding-top:.5rem;padding-bottom:.5rem;padding-left:1rem;font-size:1.25rem;border-radius:.5rem}\n"], dependencies: [{ kind: "pipe", type: i1.AsyncPipe, name: "async" }] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "14.2.2", ngImport: i0, type: BsSelectComponent, decorators: [{
            type: Component,
            args: [{ selector: 'bs-select', template: "<select class=\"form-select\" #selectBox [class]=\"sizeClass$ | async\" [attr.multiple]=\"multipleValue$ | async\" [attr.size]=\"numberVisible$ | async\" aria-label=\"Default select example\">\n    <ng-content></ng-content>\n</select>", styles: [":host ::ng-deep .clearfix:after{display:block;clear:both;content:\"\"}:host ::ng-deep .text-bg-primary{color:#fff!important;background-color:RGBA(13,110,253,var(--bs-bg-opacity, 1))!important}:host ::ng-deep .text-bg-secondary{color:#fff!important;background-color:RGBA(108,117,125,var(--bs-bg-opacity, 1))!important}:host ::ng-deep .text-bg-success{color:#fff!important;background-color:RGBA(25,135,84,var(--bs-bg-opacity, 1))!important}:host ::ng-deep .text-bg-info{color:#000!important;background-color:RGBA(13,202,240,var(--bs-bg-opacity, 1))!important}:host ::ng-deep .text-bg-warning{color:#000!important;background-color:RGBA(255,193,7,var(--bs-bg-opacity, 1))!important}:host ::ng-deep .text-bg-danger{color:#fff!important;background-color:RGBA(220,53,69,var(--bs-bg-opacity, 1))!important}:host ::ng-deep .text-bg-light{color:#000!important;background-color:RGBA(248,249,250,var(--bs-bg-opacity, 1))!important}:host ::ng-deep .text-bg-dark{color:#fff!important;background-color:RGBA(33,37,41,var(--bs-bg-opacity, 1))!important}:host ::ng-deep .link-primary{color:#0d6efd!important}:host ::ng-deep .link-primary:hover,:host ::ng-deep .link-primary:focus{color:#0a58ca!important}:host ::ng-deep .link-secondary{color:#6c757d!important}:host ::ng-deep .link-secondary:hover,:host ::ng-deep .link-secondary:focus{color:#565e64!important}:host ::ng-deep .link-success{color:#198754!important}:host ::ng-deep .link-success:hover,:host ::ng-deep .link-success:focus{color:#146c43!important}:host ::ng-deep .link-info{color:#0dcaf0!important}:host ::ng-deep .link-info:hover,:host ::ng-deep .link-info:focus{color:#3dd5f3!important}:host ::ng-deep .link-warning{color:#ffc107!important}:host ::ng-deep .link-warning:hover,:host ::ng-deep .link-warning:focus{color:#ffcd39!important}:host ::ng-deep .link-danger{color:#dc3545!important}:host ::ng-deep .link-danger:hover,:host ::ng-deep .link-danger:focus{color:#b02a37!important}:host ::ng-deep .link-light{color:#f8f9fa!important}:host ::ng-deep .link-light:hover,:host ::ng-deep .link-light:focus{color:#f9fafb!important}:host ::ng-deep .link-dark{color:#212529!important}:host ::ng-deep .link-dark:hover,:host ::ng-deep .link-dark:focus{color:#1a1e21!important}:host ::ng-deep .ratio{position:relative;width:100%}:host ::ng-deep .ratio:before{display:block;padding-top:var(--bs-aspect-ratio);content:\"\"}:host ::ng-deep .ratio>*{position:absolute;top:0;left:0;width:100%;height:100%}:host ::ng-deep .ratio-1x1{--bs-aspect-ratio: 100%}:host ::ng-deep .ratio-4x3{--bs-aspect-ratio: 75%}:host ::ng-deep .ratio-16x9{--bs-aspect-ratio: 56.25%}:host ::ng-deep .ratio-21x9{--bs-aspect-ratio: 42.8571428571%}:host ::ng-deep .fixed-top{position:fixed;top:0;right:0;left:0;z-index:1030}:host ::ng-deep .fixed-bottom{position:fixed;right:0;bottom:0;left:0;z-index:1030}:host ::ng-deep .sticky-top{position:sticky;top:0;z-index:1020}:host ::ng-deep .sticky-bottom{position:sticky;bottom:0;z-index:1020}@media (min-width: 576px){:host ::ng-deep .sticky-sm-top{position:sticky;top:0;z-index:1020}:host ::ng-deep .sticky-sm-bottom{position:sticky;bottom:0;z-index:1020}}@media (min-width: 768px){:host ::ng-deep .sticky-md-top{position:sticky;top:0;z-index:1020}:host ::ng-deep .sticky-md-bottom{position:sticky;bottom:0;z-index:1020}}@media (min-width: 992px){:host ::ng-deep .sticky-lg-top{position:sticky;top:0;z-index:1020}:host ::ng-deep .sticky-lg-bottom{position:sticky;bottom:0;z-index:1020}}@media (min-width: 1200px){:host ::ng-deep .sticky-xl-top{position:sticky;top:0;z-index:1020}:host ::ng-deep .sticky-xl-bottom{position:sticky;bottom:0;z-index:1020}}@media (min-width: 1400px){:host ::ng-deep .sticky-xxl-top{position:sticky;top:0;z-index:1020}:host ::ng-deep .sticky-xxl-bottom{position:sticky;bottom:0;z-index:1020}}:host ::ng-deep .hstack{display:flex;flex-direction:row;align-items:center;align-self:stretch}:host ::ng-deep .vstack{display:flex;flex:1 1 auto;flex-direction:column;align-self:stretch}:host ::ng-deep .visually-hidden,:host ::ng-deep .visually-hidden-focusable:not(:focus):not(:focus-within){position:absolute!important;width:1px!important;height:1px!important;padding:0!important;margin:-1px!important;overflow:hidden!important;clip:rect(0,0,0,0)!important;white-space:nowrap!important;border:0!important}:host ::ng-deep .stretched-link:after{position:absolute;inset:0;z-index:1;content:\"\"}:host ::ng-deep .text-truncate{overflow:hidden;text-overflow:ellipsis;white-space:nowrap}:host ::ng-deep .vr{display:inline-block;align-self:stretch;width:1px;min-height:1em;background-color:currentcolor;opacity:.25}:host ::ng-deep .align-baseline{vertical-align:baseline!important}:host ::ng-deep .align-top{vertical-align:top!important}:host ::ng-deep .align-middle{vertical-align:middle!important}:host ::ng-deep .align-bottom{vertical-align:bottom!important}:host ::ng-deep .align-text-bottom{vertical-align:text-bottom!important}:host ::ng-deep .align-text-top{vertical-align:text-top!important}:host ::ng-deep .float-start{float:left!important}:host ::ng-deep .float-end{float:right!important}:host ::ng-deep .float-none{float:none!important}:host ::ng-deep .opacity-0{opacity:0!important}:host ::ng-deep .opacity-25{opacity:.25!important}:host ::ng-deep .opacity-50{opacity:.5!important}:host ::ng-deep .opacity-75{opacity:.75!important}:host ::ng-deep .opacity-100{opacity:1!important}:host ::ng-deep .overflow-auto{overflow:auto!important}:host ::ng-deep .overflow-hidden{overflow:hidden!important}:host ::ng-deep .overflow-visible{overflow:visible!important}:host ::ng-deep .overflow-scroll{overflow:scroll!important}:host ::ng-deep .d-inline{display:inline!important}:host ::ng-deep .d-inline-block{display:inline-block!important}:host ::ng-deep .d-block{display:block!important}:host ::ng-deep .d-grid{display:grid!important}:host ::ng-deep .d-table{display:table!important}:host ::ng-deep .d-table-row{display:table-row!important}:host ::ng-deep .d-table-cell{display:table-cell!important}:host ::ng-deep .d-flex{display:flex!important}:host ::ng-deep .d-inline-flex{display:inline-flex!important}:host ::ng-deep .d-none{display:none!important}:host ::ng-deep .shadow{box-shadow:0 .5rem 1rem #00000026!important}:host ::ng-deep .shadow-sm{box-shadow:0 .125rem .25rem #00000013!important}:host ::ng-deep .shadow-lg{box-shadow:0 1rem 3rem #0000002d!important}:host ::ng-deep .shadow-none{box-shadow:none!important}:host ::ng-deep .position-static{position:static!important}:host ::ng-deep .position-relative{position:relative!important}:host ::ng-deep .position-absolute{position:absolute!important}:host ::ng-deep .position-fixed{position:fixed!important}:host ::ng-deep .position-sticky{position:sticky!important}:host ::ng-deep .top-0{top:0!important}:host ::ng-deep .top-50{top:50%!important}:host ::ng-deep .top-100{top:100%!important}:host ::ng-deep .bottom-0{bottom:0!important}:host ::ng-deep .bottom-50{bottom:50%!important}:host ::ng-deep .bottom-100{bottom:100%!important}:host ::ng-deep .start-0{left:0!important}:host ::ng-deep .start-50{left:50%!important}:host ::ng-deep .start-100{left:100%!important}:host ::ng-deep .end-0{right:0!important}:host ::ng-deep .end-50{right:50%!important}:host ::ng-deep .end-100{right:100%!important}:host ::ng-deep .translate-middle{transform:translate(-50%,-50%)!important}:host ::ng-deep .translate-middle-x{transform:translate(-50%)!important}:host ::ng-deep .translate-middle-y{transform:translateY(-50%)!important}:host ::ng-deep .border{border:var(--bs-border-width) var(--bs-border-style) var(--bs-border-color)!important}:host ::ng-deep .border-0{border:0!important}:host ::ng-deep .border-top{border-top:var(--bs-border-width) var(--bs-border-style) var(--bs-border-color)!important}:host ::ng-deep .border-top-0{border-top:0!important}:host ::ng-deep .border-end{border-right:var(--bs-border-width) var(--bs-border-style) var(--bs-border-color)!important}:host ::ng-deep .border-end-0{border-right:0!important}:host ::ng-deep .border-bottom{border-bottom:var(--bs-border-width) var(--bs-border-style) var(--bs-border-color)!important}:host ::ng-deep .border-bottom-0{border-bottom:0!important}:host ::ng-deep .border-start{border-left:var(--bs-border-width) var(--bs-border-style) var(--bs-border-color)!important}:host ::ng-deep .border-start-0{border-left:0!important}:host ::ng-deep .border-primary{--bs-border-opacity: 1;border-color:rgba(var(--bs-primary-rgb),var(--bs-border-opacity))!important}:host ::ng-deep .border-secondary{--bs-border-opacity: 1;border-color:rgba(var(--bs-secondary-rgb),var(--bs-border-opacity))!important}:host ::ng-deep .border-success{--bs-border-opacity: 1;border-color:rgba(var(--bs-success-rgb),var(--bs-border-opacity))!important}:host ::ng-deep .border-info{--bs-border-opacity: 1;border-color:rgba(var(--bs-info-rgb),var(--bs-border-opacity))!important}:host ::ng-deep .border-warning{--bs-border-opacity: 1;border-color:rgba(var(--bs-warning-rgb),var(--bs-border-opacity))!important}:host ::ng-deep .border-danger{--bs-border-opacity: 1;border-color:rgba(var(--bs-danger-rgb),var(--bs-border-opacity))!important}:host ::ng-deep .border-light{--bs-border-opacity: 1;border-color:rgba(var(--bs-light-rgb),var(--bs-border-opacity))!important}:host ::ng-deep .border-dark{--bs-border-opacity: 1;border-color:rgba(var(--bs-dark-rgb),var(--bs-border-opacity))!important}:host ::ng-deep .border-white{--bs-border-opacity: 1;border-color:rgba(var(--bs-white-rgb),var(--bs-border-opacity))!important}:host ::ng-deep .border-1{--bs-border-width: 1px}:host ::ng-deep .border-2{--bs-border-width: 2px}:host ::ng-deep .border-3{--bs-border-width: 3px}:host ::ng-deep .border-4{--bs-border-width: 4px}:host ::ng-deep .border-5{--bs-border-width: 5px}:host ::ng-deep .border-opacity-10{--bs-border-opacity: .1}:host ::ng-deep .border-opacity-25{--bs-border-opacity: .25}:host ::ng-deep .border-opacity-50{--bs-border-opacity: .5}:host ::ng-deep .border-opacity-75{--bs-border-opacity: .75}:host ::ng-deep .border-opacity-100{--bs-border-opacity: 1}:host ::ng-deep .w-25{width:25%!important}:host ::ng-deep .w-50{width:50%!important}:host ::ng-deep .w-75{width:75%!important}:host ::ng-deep .w-100{width:100%!important}:host ::ng-deep .w-auto{width:auto!important}:host ::ng-deep .mw-100{max-width:100%!important}:host ::ng-deep .vw-100{width:100vw!important}:host ::ng-deep .min-vw-100{min-width:100vw!important}:host ::ng-deep .h-25{height:25%!important}:host ::ng-deep .h-50{height:50%!important}:host ::ng-deep .h-75{height:75%!important}:host ::ng-deep .h-100{height:100%!important}:host ::ng-deep .h-auto{height:auto!important}:host ::ng-deep .mh-100{max-height:100%!important}:host ::ng-deep .vh-100{height:100vh!important}:host ::ng-deep .min-vh-100{min-height:100vh!important}:host ::ng-deep .flex-fill{flex:1 1 auto!important}:host ::ng-deep .flex-row{flex-direction:row!important}:host ::ng-deep .flex-column{flex-direction:column!important}:host ::ng-deep .flex-row-reverse{flex-direction:row-reverse!important}:host ::ng-deep .flex-column-reverse{flex-direction:column-reverse!important}:host ::ng-deep .flex-grow-0{flex-grow:0!important}:host ::ng-deep .flex-grow-1{flex-grow:1!important}:host ::ng-deep .flex-shrink-0{flex-shrink:0!important}:host ::ng-deep .flex-shrink-1{flex-shrink:1!important}:host ::ng-deep .flex-wrap{flex-wrap:wrap!important}:host ::ng-deep .flex-nowrap{flex-wrap:nowrap!important}:host ::ng-deep .flex-wrap-reverse{flex-wrap:wrap-reverse!important}:host ::ng-deep .justify-content-start{justify-content:flex-start!important}:host ::ng-deep .justify-content-end{justify-content:flex-end!important}:host ::ng-deep .justify-content-center{justify-content:center!important}:host ::ng-deep .justify-content-between{justify-content:space-between!important}:host ::ng-deep .justify-content-around{justify-content:space-around!important}:host ::ng-deep .justify-content-evenly{justify-content:space-evenly!important}:host ::ng-deep .align-items-start{align-items:flex-start!important}:host ::ng-deep .align-items-end{align-items:flex-end!important}:host ::ng-deep .align-items-center{align-items:center!important}:host ::ng-deep .align-items-baseline{align-items:baseline!important}:host ::ng-deep .align-items-stretch{align-items:stretch!important}:host ::ng-deep .align-content-start{align-content:flex-start!important}:host ::ng-deep .align-content-end{align-content:flex-end!important}:host ::ng-deep .align-content-center{align-content:center!important}:host ::ng-deep .align-content-between{align-content:space-between!important}:host ::ng-deep .align-content-around{align-content:space-around!important}:host ::ng-deep .align-content-stretch{align-content:stretch!important}:host ::ng-deep .align-self-auto{align-self:auto!important}:host ::ng-deep .align-self-start{align-self:flex-start!important}:host ::ng-deep .align-self-end{align-self:flex-end!important}:host ::ng-deep .align-self-center{align-self:center!important}:host ::ng-deep .align-self-baseline{align-self:baseline!important}:host ::ng-deep .align-self-stretch{align-self:stretch!important}:host ::ng-deep .order-first{order:-1!important}:host ::ng-deep .order-0{order:0!important}:host ::ng-deep .order-1{order:1!important}:host ::ng-deep .order-2{order:2!important}:host ::ng-deep .order-3{order:3!important}:host ::ng-deep .order-4{order:4!important}:host ::ng-deep .order-5{order:5!important}:host ::ng-deep .order-last{order:6!important}:host ::ng-deep .m-0{margin:0!important}:host ::ng-deep .m-1{margin:.25rem!important}:host ::ng-deep .m-2{margin:.5rem!important}:host ::ng-deep .m-3{margin:1rem!important}:host ::ng-deep .m-4{margin:1.5rem!important}:host ::ng-deep .m-5{margin:3rem!important}:host ::ng-deep .m-auto{margin:auto!important}:host ::ng-deep .mx-0{margin-right:0!important;margin-left:0!important}:host ::ng-deep .mx-1{margin-right:.25rem!important;margin-left:.25rem!important}:host ::ng-deep .mx-2{margin-right:.5rem!important;margin-left:.5rem!important}:host ::ng-deep .mx-3{margin-right:1rem!important;margin-left:1rem!important}:host ::ng-deep .mx-4{margin-right:1.5rem!important;margin-left:1.5rem!important}:host ::ng-deep .mx-5{margin-right:3rem!important;margin-left:3rem!important}:host ::ng-deep .mx-auto{margin-right:auto!important;margin-left:auto!important}:host ::ng-deep .my-0{margin-top:0!important;margin-bottom:0!important}:host ::ng-deep .my-1{margin-top:.25rem!important;margin-bottom:.25rem!important}:host ::ng-deep .my-2{margin-top:.5rem!important;margin-bottom:.5rem!important}:host ::ng-deep .my-3{margin-top:1rem!important;margin-bottom:1rem!important}:host ::ng-deep .my-4{margin-top:1.5rem!important;margin-bottom:1.5rem!important}:host ::ng-deep .my-5{margin-top:3rem!important;margin-bottom:3rem!important}:host ::ng-deep .my-auto{margin-top:auto!important;margin-bottom:auto!important}:host ::ng-deep .mt-0{margin-top:0!important}:host ::ng-deep .mt-1{margin-top:.25rem!important}:host ::ng-deep .mt-2{margin-top:.5rem!important}:host ::ng-deep .mt-3{margin-top:1rem!important}:host ::ng-deep .mt-4{margin-top:1.5rem!important}:host ::ng-deep .mt-5{margin-top:3rem!important}:host ::ng-deep .mt-auto{margin-top:auto!important}:host ::ng-deep .me-0{margin-right:0!important}:host ::ng-deep .me-1{margin-right:.25rem!important}:host ::ng-deep .me-2{margin-right:.5rem!important}:host ::ng-deep .me-3{margin-right:1rem!important}:host ::ng-deep .me-4{margin-right:1.5rem!important}:host ::ng-deep .me-5{margin-right:3rem!important}:host ::ng-deep .me-auto{margin-right:auto!important}:host ::ng-deep .mb-0{margin-bottom:0!important}:host ::ng-deep .mb-1{margin-bottom:.25rem!important}:host ::ng-deep .mb-2{margin-bottom:.5rem!important}:host ::ng-deep .mb-3{margin-bottom:1rem!important}:host ::ng-deep .mb-4{margin-bottom:1.5rem!important}:host ::ng-deep .mb-5{margin-bottom:3rem!important}:host ::ng-deep .mb-auto{margin-bottom:auto!important}:host ::ng-deep .ms-0{margin-left:0!important}:host ::ng-deep .ms-1{margin-left:.25rem!important}:host ::ng-deep .ms-2{margin-left:.5rem!important}:host ::ng-deep .ms-3{margin-left:1rem!important}:host ::ng-deep .ms-4{margin-left:1.5rem!important}:host ::ng-deep .ms-5{margin-left:3rem!important}:host ::ng-deep .ms-auto{margin-left:auto!important}:host ::ng-deep .p-0{padding:0!important}:host ::ng-deep .p-1{padding:.25rem!important}:host ::ng-deep .p-2{padding:.5rem!important}:host ::ng-deep .p-3{padding:1rem!important}:host ::ng-deep .p-4{padding:1.5rem!important}:host ::ng-deep .p-5{padding:3rem!important}:host ::ng-deep .px-0{padding-right:0!important;padding-left:0!important}:host ::ng-deep .px-1{padding-right:.25rem!important;padding-left:.25rem!important}:host ::ng-deep .px-2{padding-right:.5rem!important;padding-left:.5rem!important}:host ::ng-deep .px-3{padding-right:1rem!important;padding-left:1rem!important}:host ::ng-deep .px-4{padding-right:1.5rem!important;padding-left:1.5rem!important}:host ::ng-deep .px-5{padding-right:3rem!important;padding-left:3rem!important}:host ::ng-deep .py-0{padding-top:0!important;padding-bottom:0!important}:host ::ng-deep .py-1{padding-top:.25rem!important;padding-bottom:.25rem!important}:host ::ng-deep .py-2{padding-top:.5rem!important;padding-bottom:.5rem!important}:host ::ng-deep .py-3{padding-top:1rem!important;padding-bottom:1rem!important}:host ::ng-deep .py-4{padding-top:1.5rem!important;padding-bottom:1.5rem!important}:host ::ng-deep .py-5{padding-top:3rem!important;padding-bottom:3rem!important}:host ::ng-deep .pt-0{padding-top:0!important}:host ::ng-deep .pt-1{padding-top:.25rem!important}:host ::ng-deep .pt-2{padding-top:.5rem!important}:host ::ng-deep .pt-3{padding-top:1rem!important}:host ::ng-deep .pt-4{padding-top:1.5rem!important}:host ::ng-deep .pt-5{padding-top:3rem!important}:host ::ng-deep .pe-0{padding-right:0!important}:host ::ng-deep .pe-1{padding-right:.25rem!important}:host ::ng-deep .pe-2{padding-right:.5rem!important}:host ::ng-deep .pe-3{padding-right:1rem!important}:host ::ng-deep .pe-4{padding-right:1.5rem!important}:host ::ng-deep .pe-5{padding-right:3rem!important}:host ::ng-deep .pb-0{padding-bottom:0!important}:host ::ng-deep .pb-1{padding-bottom:.25rem!important}:host ::ng-deep .pb-2{padding-bottom:.5rem!important}:host ::ng-deep .pb-3{padding-bottom:1rem!important}:host ::ng-deep .pb-4{padding-bottom:1.5rem!important}:host ::ng-deep .pb-5{padding-bottom:3rem!important}:host ::ng-deep .ps-0{padding-left:0!important}:host ::ng-deep .ps-1{padding-left:.25rem!important}:host ::ng-deep .ps-2{padding-left:.5rem!important}:host ::ng-deep .ps-3{padding-left:1rem!important}:host ::ng-deep .ps-4{padding-left:1.5rem!important}:host ::ng-deep .ps-5{padding-left:3rem!important}:host ::ng-deep .gap-0{gap:0!important}:host ::ng-deep .gap-1{gap:.25rem!important}:host ::ng-deep .gap-2{gap:.5rem!important}:host ::ng-deep .gap-3{gap:1rem!important}:host ::ng-deep .gap-4{gap:1.5rem!important}:host ::ng-deep .gap-5{gap:3rem!important}:host ::ng-deep .font-monospace{font-family:var(--bs-font-monospace)!important}:host ::ng-deep .fs-1{font-size:calc(1.375rem + 1.5vw)!important}:host ::ng-deep .fs-2{font-size:calc(1.325rem + .9vw)!important}:host ::ng-deep .fs-3{font-size:calc(1.3rem + .6vw)!important}:host ::ng-deep .fs-4{font-size:calc(1.275rem + .3vw)!important}:host ::ng-deep .fs-5{font-size:1.25rem!important}:host ::ng-deep .fs-6{font-size:1rem!important}:host ::ng-deep .fst-italic{font-style:italic!important}:host ::ng-deep .fst-normal{font-style:normal!important}:host ::ng-deep .fw-light{font-weight:300!important}:host ::ng-deep .fw-lighter{font-weight:lighter!important}:host ::ng-deep .fw-normal{font-weight:400!important}:host ::ng-deep .fw-bold{font-weight:700!important}:host ::ng-deep .fw-semibold{font-weight:600!important}:host ::ng-deep .fw-bolder{font-weight:bolder!important}:host ::ng-deep .lh-1{line-height:1!important}:host ::ng-deep .lh-sm{line-height:1.25!important}:host ::ng-deep .lh-base{line-height:1.5!important}:host ::ng-deep .lh-lg{line-height:2!important}:host ::ng-deep .text-start{text-align:left!important}:host ::ng-deep .text-end{text-align:right!important}:host ::ng-deep .text-center{text-align:center!important}:host ::ng-deep .text-decoration-none{text-decoration:none!important}:host ::ng-deep .text-decoration-underline{text-decoration:underline!important}:host ::ng-deep .text-decoration-line-through{text-decoration:line-through!important}:host ::ng-deep .text-lowercase{text-transform:lowercase!important}:host ::ng-deep .text-uppercase{text-transform:uppercase!important}:host ::ng-deep .text-capitalize{text-transform:capitalize!important}:host ::ng-deep .text-wrap{white-space:normal!important}:host ::ng-deep .text-nowrap{white-space:nowrap!important}:host ::ng-deep .text-break{word-wrap:break-word!important;word-break:break-word!important}:host ::ng-deep .text-primary{--bs-text-opacity: 1;color:rgba(var(--bs-primary-rgb),var(--bs-text-opacity))!important}:host ::ng-deep .text-secondary{--bs-text-opacity: 1;color:rgba(var(--bs-secondary-rgb),var(--bs-text-opacity))!important}:host ::ng-deep .text-success{--bs-text-opacity: 1;color:rgba(var(--bs-success-rgb),var(--bs-text-opacity))!important}:host ::ng-deep .text-info{--bs-text-opacity: 1;color:rgba(var(--bs-info-rgb),var(--bs-text-opacity))!important}:host ::ng-deep .text-warning{--bs-text-opacity: 1;color:rgba(var(--bs-warning-rgb),var(--bs-text-opacity))!important}:host ::ng-deep .text-danger{--bs-text-opacity: 1;color:rgba(var(--bs-danger-rgb),var(--bs-text-opacity))!important}:host ::ng-deep .text-light{--bs-text-opacity: 1;color:rgba(var(--bs-light-rgb),var(--bs-text-opacity))!important}:host ::ng-deep .text-dark{--bs-text-opacity: 1;color:rgba(var(--bs-dark-rgb),var(--bs-text-opacity))!important}:host ::ng-deep .text-black{--bs-text-opacity: 1;color:rgba(var(--bs-black-rgb),var(--bs-text-opacity))!important}:host ::ng-deep .text-white{--bs-text-opacity: 1;color:rgba(var(--bs-white-rgb),var(--bs-text-opacity))!important}:host ::ng-deep .text-body{--bs-text-opacity: 1;color:rgba(var(--bs-body-color-rgb),var(--bs-text-opacity))!important}:host ::ng-deep .text-muted{--bs-text-opacity: 1;color:#6c757d!important}:host ::ng-deep .text-black-50{--bs-text-opacity: 1;color:#00000080!important}:host ::ng-deep .text-white-50{--bs-text-opacity: 1;color:#ffffff80!important}:host ::ng-deep .text-reset{--bs-text-opacity: 1;color:inherit!important}:host ::ng-deep .text-opacity-25{--bs-text-opacity: .25}:host ::ng-deep .text-opacity-50{--bs-text-opacity: .5}:host ::ng-deep .text-opacity-75{--bs-text-opacity: .75}:host ::ng-deep .text-opacity-100{--bs-text-opacity: 1}:host ::ng-deep .bg-primary{--bs-bg-opacity: 1;background-color:rgba(var(--bs-primary-rgb),var(--bs-bg-opacity))!important}:host ::ng-deep .bg-secondary{--bs-bg-opacity: 1;background-color:rgba(var(--bs-secondary-rgb),var(--bs-bg-opacity))!important}:host ::ng-deep .bg-success{--bs-bg-opacity: 1;background-color:rgba(var(--bs-success-rgb),var(--bs-bg-opacity))!important}:host ::ng-deep .bg-info{--bs-bg-opacity: 1;background-color:rgba(var(--bs-info-rgb),var(--bs-bg-opacity))!important}:host ::ng-deep .bg-warning{--bs-bg-opacity: 1;background-color:rgba(var(--bs-warning-rgb),var(--bs-bg-opacity))!important}:host ::ng-deep .bg-danger{--bs-bg-opacity: 1;background-color:rgba(var(--bs-danger-rgb),var(--bs-bg-opacity))!important}:host ::ng-deep .bg-light{--bs-bg-opacity: 1;background-color:rgba(var(--bs-light-rgb),var(--bs-bg-opacity))!important}:host ::ng-deep .bg-dark{--bs-bg-opacity: 1;background-color:rgba(var(--bs-dark-rgb),var(--bs-bg-opacity))!important}:host ::ng-deep .bg-black{--bs-bg-opacity: 1;background-color:rgba(var(--bs-black-rgb),var(--bs-bg-opacity))!important}:host ::ng-deep .bg-white{--bs-bg-opacity: 1;background-color:rgba(var(--bs-white-rgb),var(--bs-bg-opacity))!important}:host ::ng-deep .bg-body{--bs-bg-opacity: 1;background-color:rgba(var(--bs-body-bg-rgb),var(--bs-bg-opacity))!important}:host ::ng-deep .bg-transparent{--bs-bg-opacity: 1;background-color:transparent!important}:host ::ng-deep .bg-opacity-10{--bs-bg-opacity: .1}:host ::ng-deep .bg-opacity-25{--bs-bg-opacity: .25}:host ::ng-deep .bg-opacity-50{--bs-bg-opacity: .5}:host ::ng-deep .bg-opacity-75{--bs-bg-opacity: .75}:host ::ng-deep .bg-opacity-100{--bs-bg-opacity: 1}:host ::ng-deep .bg-gradient{background-image:var(--bs-gradient)!important}:host ::ng-deep .user-select-all{-webkit-user-select:all!important;user-select:all!important}:host ::ng-deep .user-select-auto{-webkit-user-select:auto!important;user-select:auto!important}:host ::ng-deep .user-select-none{-webkit-user-select:none!important;user-select:none!important}:host ::ng-deep .pe-none{pointer-events:none!important}:host ::ng-deep .pe-auto{pointer-events:auto!important}:host ::ng-deep .rounded{border-radius:var(--bs-border-radius)!important}:host ::ng-deep .rounded-0{border-radius:0!important}:host ::ng-deep .rounded-1{border-radius:var(--bs-border-radius-sm)!important}:host ::ng-deep .rounded-2{border-radius:var(--bs-border-radius)!important}:host ::ng-deep .rounded-3{border-radius:var(--bs-border-radius-lg)!important}:host ::ng-deep .rounded-4{border-radius:var(--bs-border-radius-xl)!important}:host ::ng-deep .rounded-5{border-radius:var(--bs-border-radius-2xl)!important}:host ::ng-deep .rounded-circle{border-radius:50%!important}:host ::ng-deep .rounded-pill{border-radius:var(--bs-border-radius-pill)!important}:host ::ng-deep .rounded-top{border-top-left-radius:var(--bs-border-radius)!important;border-top-right-radius:var(--bs-border-radius)!important}:host ::ng-deep .rounded-end{border-top-right-radius:var(--bs-border-radius)!important;border-bottom-right-radius:var(--bs-border-radius)!important}:host ::ng-deep .rounded-bottom{border-bottom-right-radius:var(--bs-border-radius)!important;border-bottom-left-radius:var(--bs-border-radius)!important}:host ::ng-deep .rounded-start{border-bottom-left-radius:var(--bs-border-radius)!important;border-top-left-radius:var(--bs-border-radius)!important}:host ::ng-deep .visible{visibility:visible!important}:host ::ng-deep .invisible{visibility:hidden!important}@media (min-width: 576px){:host ::ng-deep .float-sm-start{float:left!important}:host ::ng-deep .float-sm-end{float:right!important}:host ::ng-deep .float-sm-none{float:none!important}:host ::ng-deep .d-sm-inline{display:inline!important}:host ::ng-deep .d-sm-inline-block{display:inline-block!important}:host ::ng-deep .d-sm-block{display:block!important}:host ::ng-deep .d-sm-grid{display:grid!important}:host ::ng-deep .d-sm-table{display:table!important}:host ::ng-deep .d-sm-table-row{display:table-row!important}:host ::ng-deep .d-sm-table-cell{display:table-cell!important}:host ::ng-deep .d-sm-flex{display:flex!important}:host ::ng-deep .d-sm-inline-flex{display:inline-flex!important}:host ::ng-deep .d-sm-none{display:none!important}:host ::ng-deep .flex-sm-fill{flex:1 1 auto!important}:host ::ng-deep .flex-sm-row{flex-direction:row!important}:host ::ng-deep .flex-sm-column{flex-direction:column!important}:host ::ng-deep .flex-sm-row-reverse{flex-direction:row-reverse!important}:host ::ng-deep .flex-sm-column-reverse{flex-direction:column-reverse!important}:host ::ng-deep .flex-sm-grow-0{flex-grow:0!important}:host ::ng-deep .flex-sm-grow-1{flex-grow:1!important}:host ::ng-deep .flex-sm-shrink-0{flex-shrink:0!important}:host ::ng-deep .flex-sm-shrink-1{flex-shrink:1!important}:host ::ng-deep .flex-sm-wrap{flex-wrap:wrap!important}:host ::ng-deep .flex-sm-nowrap{flex-wrap:nowrap!important}:host ::ng-deep .flex-sm-wrap-reverse{flex-wrap:wrap-reverse!important}:host ::ng-deep .justify-content-sm-start{justify-content:flex-start!important}:host ::ng-deep .justify-content-sm-end{justify-content:flex-end!important}:host ::ng-deep .justify-content-sm-center{justify-content:center!important}:host ::ng-deep .justify-content-sm-between{justify-content:space-between!important}:host ::ng-deep .justify-content-sm-around{justify-content:space-around!important}:host ::ng-deep .justify-content-sm-evenly{justify-content:space-evenly!important}:host ::ng-deep .align-items-sm-start{align-items:flex-start!important}:host ::ng-deep .align-items-sm-end{align-items:flex-end!important}:host ::ng-deep .align-items-sm-center{align-items:center!important}:host ::ng-deep .align-items-sm-baseline{align-items:baseline!important}:host ::ng-deep .align-items-sm-stretch{align-items:stretch!important}:host ::ng-deep .align-content-sm-start{align-content:flex-start!important}:host ::ng-deep .align-content-sm-end{align-content:flex-end!important}:host ::ng-deep .align-content-sm-center{align-content:center!important}:host ::ng-deep .align-content-sm-between{align-content:space-between!important}:host ::ng-deep .align-content-sm-around{align-content:space-around!important}:host ::ng-deep .align-content-sm-stretch{align-content:stretch!important}:host ::ng-deep .align-self-sm-auto{align-self:auto!important}:host ::ng-deep .align-self-sm-start{align-self:flex-start!important}:host ::ng-deep .align-self-sm-end{align-self:flex-end!important}:host ::ng-deep .align-self-sm-center{align-self:center!important}:host ::ng-deep .align-self-sm-baseline{align-self:baseline!important}:host ::ng-deep .align-self-sm-stretch{align-self:stretch!important}:host ::ng-deep .order-sm-first{order:-1!important}:host ::ng-deep .order-sm-0{order:0!important}:host ::ng-deep .order-sm-1{order:1!important}:host ::ng-deep .order-sm-2{order:2!important}:host ::ng-deep .order-sm-3{order:3!important}:host ::ng-deep .order-sm-4{order:4!important}:host ::ng-deep .order-sm-5{order:5!important}:host ::ng-deep .order-sm-last{order:6!important}:host ::ng-deep .m-sm-0{margin:0!important}:host ::ng-deep .m-sm-1{margin:.25rem!important}:host ::ng-deep .m-sm-2{margin:.5rem!important}:host ::ng-deep .m-sm-3{margin:1rem!important}:host ::ng-deep .m-sm-4{margin:1.5rem!important}:host ::ng-deep .m-sm-5{margin:3rem!important}:host ::ng-deep .m-sm-auto{margin:auto!important}:host ::ng-deep .mx-sm-0{margin-right:0!important;margin-left:0!important}:host ::ng-deep .mx-sm-1{margin-right:.25rem!important;margin-left:.25rem!important}:host ::ng-deep .mx-sm-2{margin-right:.5rem!important;margin-left:.5rem!important}:host ::ng-deep .mx-sm-3{margin-right:1rem!important;margin-left:1rem!important}:host ::ng-deep .mx-sm-4{margin-right:1.5rem!important;margin-left:1.5rem!important}:host ::ng-deep .mx-sm-5{margin-right:3rem!important;margin-left:3rem!important}:host ::ng-deep .mx-sm-auto{margin-right:auto!important;margin-left:auto!important}:host ::ng-deep .my-sm-0{margin-top:0!important;margin-bottom:0!important}:host ::ng-deep .my-sm-1{margin-top:.25rem!important;margin-bottom:.25rem!important}:host ::ng-deep .my-sm-2{margin-top:.5rem!important;margin-bottom:.5rem!important}:host ::ng-deep .my-sm-3{margin-top:1rem!important;margin-bottom:1rem!important}:host ::ng-deep .my-sm-4{margin-top:1.5rem!important;margin-bottom:1.5rem!important}:host ::ng-deep .my-sm-5{margin-top:3rem!important;margin-bottom:3rem!important}:host ::ng-deep .my-sm-auto{margin-top:auto!important;margin-bottom:auto!important}:host ::ng-deep .mt-sm-0{margin-top:0!important}:host ::ng-deep .mt-sm-1{margin-top:.25rem!important}:host ::ng-deep .mt-sm-2{margin-top:.5rem!important}:host ::ng-deep .mt-sm-3{margin-top:1rem!important}:host ::ng-deep .mt-sm-4{margin-top:1.5rem!important}:host ::ng-deep .mt-sm-5{margin-top:3rem!important}:host ::ng-deep .mt-sm-auto{margin-top:auto!important}:host ::ng-deep .me-sm-0{margin-right:0!important}:host ::ng-deep .me-sm-1{margin-right:.25rem!important}:host ::ng-deep .me-sm-2{margin-right:.5rem!important}:host ::ng-deep .me-sm-3{margin-right:1rem!important}:host ::ng-deep .me-sm-4{margin-right:1.5rem!important}:host ::ng-deep .me-sm-5{margin-right:3rem!important}:host ::ng-deep .me-sm-auto{margin-right:auto!important}:host ::ng-deep .mb-sm-0{margin-bottom:0!important}:host ::ng-deep .mb-sm-1{margin-bottom:.25rem!important}:host ::ng-deep .mb-sm-2{margin-bottom:.5rem!important}:host ::ng-deep .mb-sm-3{margin-bottom:1rem!important}:host ::ng-deep .mb-sm-4{margin-bottom:1.5rem!important}:host ::ng-deep .mb-sm-5{margin-bottom:3rem!important}:host ::ng-deep .mb-sm-auto{margin-bottom:auto!important}:host ::ng-deep .ms-sm-0{margin-left:0!important}:host ::ng-deep .ms-sm-1{margin-left:.25rem!important}:host ::ng-deep .ms-sm-2{margin-left:.5rem!important}:host ::ng-deep .ms-sm-3{margin-left:1rem!important}:host ::ng-deep .ms-sm-4{margin-left:1.5rem!important}:host ::ng-deep .ms-sm-5{margin-left:3rem!important}:host ::ng-deep .ms-sm-auto{margin-left:auto!important}:host ::ng-deep .p-sm-0{padding:0!important}:host ::ng-deep .p-sm-1{padding:.25rem!important}:host ::ng-deep .p-sm-2{padding:.5rem!important}:host ::ng-deep .p-sm-3{padding:1rem!important}:host ::ng-deep .p-sm-4{padding:1.5rem!important}:host ::ng-deep .p-sm-5{padding:3rem!important}:host ::ng-deep .px-sm-0{padding-right:0!important;padding-left:0!important}:host ::ng-deep .px-sm-1{padding-right:.25rem!important;padding-left:.25rem!important}:host ::ng-deep .px-sm-2{padding-right:.5rem!important;padding-left:.5rem!important}:host ::ng-deep .px-sm-3{padding-right:1rem!important;padding-left:1rem!important}:host ::ng-deep .px-sm-4{padding-right:1.5rem!important;padding-left:1.5rem!important}:host ::ng-deep .px-sm-5{padding-right:3rem!important;padding-left:3rem!important}:host ::ng-deep .py-sm-0{padding-top:0!important;padding-bottom:0!important}:host ::ng-deep .py-sm-1{padding-top:.25rem!important;padding-bottom:.25rem!important}:host ::ng-deep .py-sm-2{padding-top:.5rem!important;padding-bottom:.5rem!important}:host ::ng-deep .py-sm-3{padding-top:1rem!important;padding-bottom:1rem!important}:host ::ng-deep .py-sm-4{padding-top:1.5rem!important;padding-bottom:1.5rem!important}:host ::ng-deep .py-sm-5{padding-top:3rem!important;padding-bottom:3rem!important}:host ::ng-deep .pt-sm-0{padding-top:0!important}:host ::ng-deep .pt-sm-1{padding-top:.25rem!important}:host ::ng-deep .pt-sm-2{padding-top:.5rem!important}:host ::ng-deep .pt-sm-3{padding-top:1rem!important}:host ::ng-deep .pt-sm-4{padding-top:1.5rem!important}:host ::ng-deep .pt-sm-5{padding-top:3rem!important}:host ::ng-deep .pe-sm-0{padding-right:0!important}:host ::ng-deep .pe-sm-1{padding-right:.25rem!important}:host ::ng-deep .pe-sm-2{padding-right:.5rem!important}:host ::ng-deep .pe-sm-3{padding-right:1rem!important}:host ::ng-deep .pe-sm-4{padding-right:1.5rem!important}:host ::ng-deep .pe-sm-5{padding-right:3rem!important}:host ::ng-deep .pb-sm-0{padding-bottom:0!important}:host ::ng-deep .pb-sm-1{padding-bottom:.25rem!important}:host ::ng-deep .pb-sm-2{padding-bottom:.5rem!important}:host ::ng-deep .pb-sm-3{padding-bottom:1rem!important}:host ::ng-deep .pb-sm-4{padding-bottom:1.5rem!important}:host ::ng-deep .pb-sm-5{padding-bottom:3rem!important}:host ::ng-deep .ps-sm-0{padding-left:0!important}:host ::ng-deep .ps-sm-1{padding-left:.25rem!important}:host ::ng-deep .ps-sm-2{padding-left:.5rem!important}:host ::ng-deep .ps-sm-3{padding-left:1rem!important}:host ::ng-deep .ps-sm-4{padding-left:1.5rem!important}:host ::ng-deep .ps-sm-5{padding-left:3rem!important}:host ::ng-deep .gap-sm-0{gap:0!important}:host ::ng-deep .gap-sm-1{gap:.25rem!important}:host ::ng-deep .gap-sm-2{gap:.5rem!important}:host ::ng-deep .gap-sm-3{gap:1rem!important}:host ::ng-deep .gap-sm-4{gap:1.5rem!important}:host ::ng-deep .gap-sm-5{gap:3rem!important}:host ::ng-deep .text-sm-start{text-align:left!important}:host ::ng-deep .text-sm-end{text-align:right!important}:host ::ng-deep .text-sm-center{text-align:center!important}}@media (min-width: 768px){:host ::ng-deep .float-md-start{float:left!important}:host ::ng-deep .float-md-end{float:right!important}:host ::ng-deep .float-md-none{float:none!important}:host ::ng-deep .d-md-inline{display:inline!important}:host ::ng-deep .d-md-inline-block{display:inline-block!important}:host ::ng-deep .d-md-block{display:block!important}:host ::ng-deep .d-md-grid{display:grid!important}:host ::ng-deep .d-md-table{display:table!important}:host ::ng-deep .d-md-table-row{display:table-row!important}:host ::ng-deep .d-md-table-cell{display:table-cell!important}:host ::ng-deep .d-md-flex{display:flex!important}:host ::ng-deep .d-md-inline-flex{display:inline-flex!important}:host ::ng-deep .d-md-none{display:none!important}:host ::ng-deep .flex-md-fill{flex:1 1 auto!important}:host ::ng-deep .flex-md-row{flex-direction:row!important}:host ::ng-deep .flex-md-column{flex-direction:column!important}:host ::ng-deep .flex-md-row-reverse{flex-direction:row-reverse!important}:host ::ng-deep .flex-md-column-reverse{flex-direction:column-reverse!important}:host ::ng-deep .flex-md-grow-0{flex-grow:0!important}:host ::ng-deep .flex-md-grow-1{flex-grow:1!important}:host ::ng-deep .flex-md-shrink-0{flex-shrink:0!important}:host ::ng-deep .flex-md-shrink-1{flex-shrink:1!important}:host ::ng-deep .flex-md-wrap{flex-wrap:wrap!important}:host ::ng-deep .flex-md-nowrap{flex-wrap:nowrap!important}:host ::ng-deep .flex-md-wrap-reverse{flex-wrap:wrap-reverse!important}:host ::ng-deep .justify-content-md-start{justify-content:flex-start!important}:host ::ng-deep .justify-content-md-end{justify-content:flex-end!important}:host ::ng-deep .justify-content-md-center{justify-content:center!important}:host ::ng-deep .justify-content-md-between{justify-content:space-between!important}:host ::ng-deep .justify-content-md-around{justify-content:space-around!important}:host ::ng-deep .justify-content-md-evenly{justify-content:space-evenly!important}:host ::ng-deep .align-items-md-start{align-items:flex-start!important}:host ::ng-deep .align-items-md-end{align-items:flex-end!important}:host ::ng-deep .align-items-md-center{align-items:center!important}:host ::ng-deep .align-items-md-baseline{align-items:baseline!important}:host ::ng-deep .align-items-md-stretch{align-items:stretch!important}:host ::ng-deep .align-content-md-start{align-content:flex-start!important}:host ::ng-deep .align-content-md-end{align-content:flex-end!important}:host ::ng-deep .align-content-md-center{align-content:center!important}:host ::ng-deep .align-content-md-between{align-content:space-between!important}:host ::ng-deep .align-content-md-around{align-content:space-around!important}:host ::ng-deep .align-content-md-stretch{align-content:stretch!important}:host ::ng-deep .align-self-md-auto{align-self:auto!important}:host ::ng-deep .align-self-md-start{align-self:flex-start!important}:host ::ng-deep .align-self-md-end{align-self:flex-end!important}:host ::ng-deep .align-self-md-center{align-self:center!important}:host ::ng-deep .align-self-md-baseline{align-self:baseline!important}:host ::ng-deep .align-self-md-stretch{align-self:stretch!important}:host ::ng-deep .order-md-first{order:-1!important}:host ::ng-deep .order-md-0{order:0!important}:host ::ng-deep .order-md-1{order:1!important}:host ::ng-deep .order-md-2{order:2!important}:host ::ng-deep .order-md-3{order:3!important}:host ::ng-deep .order-md-4{order:4!important}:host ::ng-deep .order-md-5{order:5!important}:host ::ng-deep .order-md-last{order:6!important}:host ::ng-deep .m-md-0{margin:0!important}:host ::ng-deep .m-md-1{margin:.25rem!important}:host ::ng-deep .m-md-2{margin:.5rem!important}:host ::ng-deep .m-md-3{margin:1rem!important}:host ::ng-deep .m-md-4{margin:1.5rem!important}:host ::ng-deep .m-md-5{margin:3rem!important}:host ::ng-deep .m-md-auto{margin:auto!important}:host ::ng-deep .mx-md-0{margin-right:0!important;margin-left:0!important}:host ::ng-deep .mx-md-1{margin-right:.25rem!important;margin-left:.25rem!important}:host ::ng-deep .mx-md-2{margin-right:.5rem!important;margin-left:.5rem!important}:host ::ng-deep .mx-md-3{margin-right:1rem!important;margin-left:1rem!important}:host ::ng-deep .mx-md-4{margin-right:1.5rem!important;margin-left:1.5rem!important}:host ::ng-deep .mx-md-5{margin-right:3rem!important;margin-left:3rem!important}:host ::ng-deep .mx-md-auto{margin-right:auto!important;margin-left:auto!important}:host ::ng-deep .my-md-0{margin-top:0!important;margin-bottom:0!important}:host ::ng-deep .my-md-1{margin-top:.25rem!important;margin-bottom:.25rem!important}:host ::ng-deep .my-md-2{margin-top:.5rem!important;margin-bottom:.5rem!important}:host ::ng-deep .my-md-3{margin-top:1rem!important;margin-bottom:1rem!important}:host ::ng-deep .my-md-4{margin-top:1.5rem!important;margin-bottom:1.5rem!important}:host ::ng-deep .my-md-5{margin-top:3rem!important;margin-bottom:3rem!important}:host ::ng-deep .my-md-auto{margin-top:auto!important;margin-bottom:auto!important}:host ::ng-deep .mt-md-0{margin-top:0!important}:host ::ng-deep .mt-md-1{margin-top:.25rem!important}:host ::ng-deep .mt-md-2{margin-top:.5rem!important}:host ::ng-deep .mt-md-3{margin-top:1rem!important}:host ::ng-deep .mt-md-4{margin-top:1.5rem!important}:host ::ng-deep .mt-md-5{margin-top:3rem!important}:host ::ng-deep .mt-md-auto{margin-top:auto!important}:host ::ng-deep .me-md-0{margin-right:0!important}:host ::ng-deep .me-md-1{margin-right:.25rem!important}:host ::ng-deep .me-md-2{margin-right:.5rem!important}:host ::ng-deep .me-md-3{margin-right:1rem!important}:host ::ng-deep .me-md-4{margin-right:1.5rem!important}:host ::ng-deep .me-md-5{margin-right:3rem!important}:host ::ng-deep .me-md-auto{margin-right:auto!important}:host ::ng-deep .mb-md-0{margin-bottom:0!important}:host ::ng-deep .mb-md-1{margin-bottom:.25rem!important}:host ::ng-deep .mb-md-2{margin-bottom:.5rem!important}:host ::ng-deep .mb-md-3{margin-bottom:1rem!important}:host ::ng-deep .mb-md-4{margin-bottom:1.5rem!important}:host ::ng-deep .mb-md-5{margin-bottom:3rem!important}:host ::ng-deep .mb-md-auto{margin-bottom:auto!important}:host ::ng-deep .ms-md-0{margin-left:0!important}:host ::ng-deep .ms-md-1{margin-left:.25rem!important}:host ::ng-deep .ms-md-2{margin-left:.5rem!important}:host ::ng-deep .ms-md-3{margin-left:1rem!important}:host ::ng-deep .ms-md-4{margin-left:1.5rem!important}:host ::ng-deep .ms-md-5{margin-left:3rem!important}:host ::ng-deep .ms-md-auto{margin-left:auto!important}:host ::ng-deep .p-md-0{padding:0!important}:host ::ng-deep .p-md-1{padding:.25rem!important}:host ::ng-deep .p-md-2{padding:.5rem!important}:host ::ng-deep .p-md-3{padding:1rem!important}:host ::ng-deep .p-md-4{padding:1.5rem!important}:host ::ng-deep .p-md-5{padding:3rem!important}:host ::ng-deep .px-md-0{padding-right:0!important;padding-left:0!important}:host ::ng-deep .px-md-1{padding-right:.25rem!important;padding-left:.25rem!important}:host ::ng-deep .px-md-2{padding-right:.5rem!important;padding-left:.5rem!important}:host ::ng-deep .px-md-3{padding-right:1rem!important;padding-left:1rem!important}:host ::ng-deep .px-md-4{padding-right:1.5rem!important;padding-left:1.5rem!important}:host ::ng-deep .px-md-5{padding-right:3rem!important;padding-left:3rem!important}:host ::ng-deep .py-md-0{padding-top:0!important;padding-bottom:0!important}:host ::ng-deep .py-md-1{padding-top:.25rem!important;padding-bottom:.25rem!important}:host ::ng-deep .py-md-2{padding-top:.5rem!important;padding-bottom:.5rem!important}:host ::ng-deep .py-md-3{padding-top:1rem!important;padding-bottom:1rem!important}:host ::ng-deep .py-md-4{padding-top:1.5rem!important;padding-bottom:1.5rem!important}:host ::ng-deep .py-md-5{padding-top:3rem!important;padding-bottom:3rem!important}:host ::ng-deep .pt-md-0{padding-top:0!important}:host ::ng-deep .pt-md-1{padding-top:.25rem!important}:host ::ng-deep .pt-md-2{padding-top:.5rem!important}:host ::ng-deep .pt-md-3{padding-top:1rem!important}:host ::ng-deep .pt-md-4{padding-top:1.5rem!important}:host ::ng-deep .pt-md-5{padding-top:3rem!important}:host ::ng-deep .pe-md-0{padding-right:0!important}:host ::ng-deep .pe-md-1{padding-right:.25rem!important}:host ::ng-deep .pe-md-2{padding-right:.5rem!important}:host ::ng-deep .pe-md-3{padding-right:1rem!important}:host ::ng-deep .pe-md-4{padding-right:1.5rem!important}:host ::ng-deep .pe-md-5{padding-right:3rem!important}:host ::ng-deep .pb-md-0{padding-bottom:0!important}:host ::ng-deep .pb-md-1{padding-bottom:.25rem!important}:host ::ng-deep .pb-md-2{padding-bottom:.5rem!important}:host ::ng-deep .pb-md-3{padding-bottom:1rem!important}:host ::ng-deep .pb-md-4{padding-bottom:1.5rem!important}:host ::ng-deep .pb-md-5{padding-bottom:3rem!important}:host ::ng-deep .ps-md-0{padding-left:0!important}:host ::ng-deep .ps-md-1{padding-left:.25rem!important}:host ::ng-deep .ps-md-2{padding-left:.5rem!important}:host ::ng-deep .ps-md-3{padding-left:1rem!important}:host ::ng-deep .ps-md-4{padding-left:1.5rem!important}:host ::ng-deep .ps-md-5{padding-left:3rem!important}:host ::ng-deep .gap-md-0{gap:0!important}:host ::ng-deep .gap-md-1{gap:.25rem!important}:host ::ng-deep .gap-md-2{gap:.5rem!important}:host ::ng-deep .gap-md-3{gap:1rem!important}:host ::ng-deep .gap-md-4{gap:1.5rem!important}:host ::ng-deep .gap-md-5{gap:3rem!important}:host ::ng-deep .text-md-start{text-align:left!important}:host ::ng-deep .text-md-end{text-align:right!important}:host ::ng-deep .text-md-center{text-align:center!important}}@media (min-width: 992px){:host ::ng-deep .float-lg-start{float:left!important}:host ::ng-deep .float-lg-end{float:right!important}:host ::ng-deep .float-lg-none{float:none!important}:host ::ng-deep .d-lg-inline{display:inline!important}:host ::ng-deep .d-lg-inline-block{display:inline-block!important}:host ::ng-deep .d-lg-block{display:block!important}:host ::ng-deep .d-lg-grid{display:grid!important}:host ::ng-deep .d-lg-table{display:table!important}:host ::ng-deep .d-lg-table-row{display:table-row!important}:host ::ng-deep .d-lg-table-cell{display:table-cell!important}:host ::ng-deep .d-lg-flex{display:flex!important}:host ::ng-deep .d-lg-inline-flex{display:inline-flex!important}:host ::ng-deep .d-lg-none{display:none!important}:host ::ng-deep .flex-lg-fill{flex:1 1 auto!important}:host ::ng-deep .flex-lg-row{flex-direction:row!important}:host ::ng-deep .flex-lg-column{flex-direction:column!important}:host ::ng-deep .flex-lg-row-reverse{flex-direction:row-reverse!important}:host ::ng-deep .flex-lg-column-reverse{flex-direction:column-reverse!important}:host ::ng-deep .flex-lg-grow-0{flex-grow:0!important}:host ::ng-deep .flex-lg-grow-1{flex-grow:1!important}:host ::ng-deep .flex-lg-shrink-0{flex-shrink:0!important}:host ::ng-deep .flex-lg-shrink-1{flex-shrink:1!important}:host ::ng-deep .flex-lg-wrap{flex-wrap:wrap!important}:host ::ng-deep .flex-lg-nowrap{flex-wrap:nowrap!important}:host ::ng-deep .flex-lg-wrap-reverse{flex-wrap:wrap-reverse!important}:host ::ng-deep .justify-content-lg-start{justify-content:flex-start!important}:host ::ng-deep .justify-content-lg-end{justify-content:flex-end!important}:host ::ng-deep .justify-content-lg-center{justify-content:center!important}:host ::ng-deep .justify-content-lg-between{justify-content:space-between!important}:host ::ng-deep .justify-content-lg-around{justify-content:space-around!important}:host ::ng-deep .justify-content-lg-evenly{justify-content:space-evenly!important}:host ::ng-deep .align-items-lg-start{align-items:flex-start!important}:host ::ng-deep .align-items-lg-end{align-items:flex-end!important}:host ::ng-deep .align-items-lg-center{align-items:center!important}:host ::ng-deep .align-items-lg-baseline{align-items:baseline!important}:host ::ng-deep .align-items-lg-stretch{align-items:stretch!important}:host ::ng-deep .align-content-lg-start{align-content:flex-start!important}:host ::ng-deep .align-content-lg-end{align-content:flex-end!important}:host ::ng-deep .align-content-lg-center{align-content:center!important}:host ::ng-deep .align-content-lg-between{align-content:space-between!important}:host ::ng-deep .align-content-lg-around{align-content:space-around!important}:host ::ng-deep .align-content-lg-stretch{align-content:stretch!important}:host ::ng-deep .align-self-lg-auto{align-self:auto!important}:host ::ng-deep .align-self-lg-start{align-self:flex-start!important}:host ::ng-deep .align-self-lg-end{align-self:flex-end!important}:host ::ng-deep .align-self-lg-center{align-self:center!important}:host ::ng-deep .align-self-lg-baseline{align-self:baseline!important}:host ::ng-deep .align-self-lg-stretch{align-self:stretch!important}:host ::ng-deep .order-lg-first{order:-1!important}:host ::ng-deep .order-lg-0{order:0!important}:host ::ng-deep .order-lg-1{order:1!important}:host ::ng-deep .order-lg-2{order:2!important}:host ::ng-deep .order-lg-3{order:3!important}:host ::ng-deep .order-lg-4{order:4!important}:host ::ng-deep .order-lg-5{order:5!important}:host ::ng-deep .order-lg-last{order:6!important}:host ::ng-deep .m-lg-0{margin:0!important}:host ::ng-deep .m-lg-1{margin:.25rem!important}:host ::ng-deep .m-lg-2{margin:.5rem!important}:host ::ng-deep .m-lg-3{margin:1rem!important}:host ::ng-deep .m-lg-4{margin:1.5rem!important}:host ::ng-deep .m-lg-5{margin:3rem!important}:host ::ng-deep .m-lg-auto{margin:auto!important}:host ::ng-deep .mx-lg-0{margin-right:0!important;margin-left:0!important}:host ::ng-deep .mx-lg-1{margin-right:.25rem!important;margin-left:.25rem!important}:host ::ng-deep .mx-lg-2{margin-right:.5rem!important;margin-left:.5rem!important}:host ::ng-deep .mx-lg-3{margin-right:1rem!important;margin-left:1rem!important}:host ::ng-deep .mx-lg-4{margin-right:1.5rem!important;margin-left:1.5rem!important}:host ::ng-deep .mx-lg-5{margin-right:3rem!important;margin-left:3rem!important}:host ::ng-deep .mx-lg-auto{margin-right:auto!important;margin-left:auto!important}:host ::ng-deep .my-lg-0{margin-top:0!important;margin-bottom:0!important}:host ::ng-deep .my-lg-1{margin-top:.25rem!important;margin-bottom:.25rem!important}:host ::ng-deep .my-lg-2{margin-top:.5rem!important;margin-bottom:.5rem!important}:host ::ng-deep .my-lg-3{margin-top:1rem!important;margin-bottom:1rem!important}:host ::ng-deep .my-lg-4{margin-top:1.5rem!important;margin-bottom:1.5rem!important}:host ::ng-deep .my-lg-5{margin-top:3rem!important;margin-bottom:3rem!important}:host ::ng-deep .my-lg-auto{margin-top:auto!important;margin-bottom:auto!important}:host ::ng-deep .mt-lg-0{margin-top:0!important}:host ::ng-deep .mt-lg-1{margin-top:.25rem!important}:host ::ng-deep .mt-lg-2{margin-top:.5rem!important}:host ::ng-deep .mt-lg-3{margin-top:1rem!important}:host ::ng-deep .mt-lg-4{margin-top:1.5rem!important}:host ::ng-deep .mt-lg-5{margin-top:3rem!important}:host ::ng-deep .mt-lg-auto{margin-top:auto!important}:host ::ng-deep .me-lg-0{margin-right:0!important}:host ::ng-deep .me-lg-1{margin-right:.25rem!important}:host ::ng-deep .me-lg-2{margin-right:.5rem!important}:host ::ng-deep .me-lg-3{margin-right:1rem!important}:host ::ng-deep .me-lg-4{margin-right:1.5rem!important}:host ::ng-deep .me-lg-5{margin-right:3rem!important}:host ::ng-deep .me-lg-auto{margin-right:auto!important}:host ::ng-deep .mb-lg-0{margin-bottom:0!important}:host ::ng-deep .mb-lg-1{margin-bottom:.25rem!important}:host ::ng-deep .mb-lg-2{margin-bottom:.5rem!important}:host ::ng-deep .mb-lg-3{margin-bottom:1rem!important}:host ::ng-deep .mb-lg-4{margin-bottom:1.5rem!important}:host ::ng-deep .mb-lg-5{margin-bottom:3rem!important}:host ::ng-deep .mb-lg-auto{margin-bottom:auto!important}:host ::ng-deep .ms-lg-0{margin-left:0!important}:host ::ng-deep .ms-lg-1{margin-left:.25rem!important}:host ::ng-deep .ms-lg-2{margin-left:.5rem!important}:host ::ng-deep .ms-lg-3{margin-left:1rem!important}:host ::ng-deep .ms-lg-4{margin-left:1.5rem!important}:host ::ng-deep .ms-lg-5{margin-left:3rem!important}:host ::ng-deep .ms-lg-auto{margin-left:auto!important}:host ::ng-deep .p-lg-0{padding:0!important}:host ::ng-deep .p-lg-1{padding:.25rem!important}:host ::ng-deep .p-lg-2{padding:.5rem!important}:host ::ng-deep .p-lg-3{padding:1rem!important}:host ::ng-deep .p-lg-4{padding:1.5rem!important}:host ::ng-deep .p-lg-5{padding:3rem!important}:host ::ng-deep .px-lg-0{padding-right:0!important;padding-left:0!important}:host ::ng-deep .px-lg-1{padding-right:.25rem!important;padding-left:.25rem!important}:host ::ng-deep .px-lg-2{padding-right:.5rem!important;padding-left:.5rem!important}:host ::ng-deep .px-lg-3{padding-right:1rem!important;padding-left:1rem!important}:host ::ng-deep .px-lg-4{padding-right:1.5rem!important;padding-left:1.5rem!important}:host ::ng-deep .px-lg-5{padding-right:3rem!important;padding-left:3rem!important}:host ::ng-deep .py-lg-0{padding-top:0!important;padding-bottom:0!important}:host ::ng-deep .py-lg-1{padding-top:.25rem!important;padding-bottom:.25rem!important}:host ::ng-deep .py-lg-2{padding-top:.5rem!important;padding-bottom:.5rem!important}:host ::ng-deep .py-lg-3{padding-top:1rem!important;padding-bottom:1rem!important}:host ::ng-deep .py-lg-4{padding-top:1.5rem!important;padding-bottom:1.5rem!important}:host ::ng-deep .py-lg-5{padding-top:3rem!important;padding-bottom:3rem!important}:host ::ng-deep .pt-lg-0{padding-top:0!important}:host ::ng-deep .pt-lg-1{padding-top:.25rem!important}:host ::ng-deep .pt-lg-2{padding-top:.5rem!important}:host ::ng-deep .pt-lg-3{padding-top:1rem!important}:host ::ng-deep .pt-lg-4{padding-top:1.5rem!important}:host ::ng-deep .pt-lg-5{padding-top:3rem!important}:host ::ng-deep .pe-lg-0{padding-right:0!important}:host ::ng-deep .pe-lg-1{padding-right:.25rem!important}:host ::ng-deep .pe-lg-2{padding-right:.5rem!important}:host ::ng-deep .pe-lg-3{padding-right:1rem!important}:host ::ng-deep .pe-lg-4{padding-right:1.5rem!important}:host ::ng-deep .pe-lg-5{padding-right:3rem!important}:host ::ng-deep .pb-lg-0{padding-bottom:0!important}:host ::ng-deep .pb-lg-1{padding-bottom:.25rem!important}:host ::ng-deep .pb-lg-2{padding-bottom:.5rem!important}:host ::ng-deep .pb-lg-3{padding-bottom:1rem!important}:host ::ng-deep .pb-lg-4{padding-bottom:1.5rem!important}:host ::ng-deep .pb-lg-5{padding-bottom:3rem!important}:host ::ng-deep .ps-lg-0{padding-left:0!important}:host ::ng-deep .ps-lg-1{padding-left:.25rem!important}:host ::ng-deep .ps-lg-2{padding-left:.5rem!important}:host ::ng-deep .ps-lg-3{padding-left:1rem!important}:host ::ng-deep .ps-lg-4{padding-left:1.5rem!important}:host ::ng-deep .ps-lg-5{padding-left:3rem!important}:host ::ng-deep .gap-lg-0{gap:0!important}:host ::ng-deep .gap-lg-1{gap:.25rem!important}:host ::ng-deep .gap-lg-2{gap:.5rem!important}:host ::ng-deep .gap-lg-3{gap:1rem!important}:host ::ng-deep .gap-lg-4{gap:1.5rem!important}:host ::ng-deep .gap-lg-5{gap:3rem!important}:host ::ng-deep .text-lg-start{text-align:left!important}:host ::ng-deep .text-lg-end{text-align:right!important}:host ::ng-deep .text-lg-center{text-align:center!important}}@media (min-width: 1200px){:host ::ng-deep .float-xl-start{float:left!important}:host ::ng-deep .float-xl-end{float:right!important}:host ::ng-deep .float-xl-none{float:none!important}:host ::ng-deep .d-xl-inline{display:inline!important}:host ::ng-deep .d-xl-inline-block{display:inline-block!important}:host ::ng-deep .d-xl-block{display:block!important}:host ::ng-deep .d-xl-grid{display:grid!important}:host ::ng-deep .d-xl-table{display:table!important}:host ::ng-deep .d-xl-table-row{display:table-row!important}:host ::ng-deep .d-xl-table-cell{display:table-cell!important}:host ::ng-deep .d-xl-flex{display:flex!important}:host ::ng-deep .d-xl-inline-flex{display:inline-flex!important}:host ::ng-deep .d-xl-none{display:none!important}:host ::ng-deep .flex-xl-fill{flex:1 1 auto!important}:host ::ng-deep .flex-xl-row{flex-direction:row!important}:host ::ng-deep .flex-xl-column{flex-direction:column!important}:host ::ng-deep .flex-xl-row-reverse{flex-direction:row-reverse!important}:host ::ng-deep .flex-xl-column-reverse{flex-direction:column-reverse!important}:host ::ng-deep .flex-xl-grow-0{flex-grow:0!important}:host ::ng-deep .flex-xl-grow-1{flex-grow:1!important}:host ::ng-deep .flex-xl-shrink-0{flex-shrink:0!important}:host ::ng-deep .flex-xl-shrink-1{flex-shrink:1!important}:host ::ng-deep .flex-xl-wrap{flex-wrap:wrap!important}:host ::ng-deep .flex-xl-nowrap{flex-wrap:nowrap!important}:host ::ng-deep .flex-xl-wrap-reverse{flex-wrap:wrap-reverse!important}:host ::ng-deep .justify-content-xl-start{justify-content:flex-start!important}:host ::ng-deep .justify-content-xl-end{justify-content:flex-end!important}:host ::ng-deep .justify-content-xl-center{justify-content:center!important}:host ::ng-deep .justify-content-xl-between{justify-content:space-between!important}:host ::ng-deep .justify-content-xl-around{justify-content:space-around!important}:host ::ng-deep .justify-content-xl-evenly{justify-content:space-evenly!important}:host ::ng-deep .align-items-xl-start{align-items:flex-start!important}:host ::ng-deep .align-items-xl-end{align-items:flex-end!important}:host ::ng-deep .align-items-xl-center{align-items:center!important}:host ::ng-deep .align-items-xl-baseline{align-items:baseline!important}:host ::ng-deep .align-items-xl-stretch{align-items:stretch!important}:host ::ng-deep .align-content-xl-start{align-content:flex-start!important}:host ::ng-deep .align-content-xl-end{align-content:flex-end!important}:host ::ng-deep .align-content-xl-center{align-content:center!important}:host ::ng-deep .align-content-xl-between{align-content:space-between!important}:host ::ng-deep .align-content-xl-around{align-content:space-around!important}:host ::ng-deep .align-content-xl-stretch{align-content:stretch!important}:host ::ng-deep .align-self-xl-auto{align-self:auto!important}:host ::ng-deep .align-self-xl-start{align-self:flex-start!important}:host ::ng-deep .align-self-xl-end{align-self:flex-end!important}:host ::ng-deep .align-self-xl-center{align-self:center!important}:host ::ng-deep .align-self-xl-baseline{align-self:baseline!important}:host ::ng-deep .align-self-xl-stretch{align-self:stretch!important}:host ::ng-deep .order-xl-first{order:-1!important}:host ::ng-deep .order-xl-0{order:0!important}:host ::ng-deep .order-xl-1{order:1!important}:host ::ng-deep .order-xl-2{order:2!important}:host ::ng-deep .order-xl-3{order:3!important}:host ::ng-deep .order-xl-4{order:4!important}:host ::ng-deep .order-xl-5{order:5!important}:host ::ng-deep .order-xl-last{order:6!important}:host ::ng-deep .m-xl-0{margin:0!important}:host ::ng-deep .m-xl-1{margin:.25rem!important}:host ::ng-deep .m-xl-2{margin:.5rem!important}:host ::ng-deep .m-xl-3{margin:1rem!important}:host ::ng-deep .m-xl-4{margin:1.5rem!important}:host ::ng-deep .m-xl-5{margin:3rem!important}:host ::ng-deep .m-xl-auto{margin:auto!important}:host ::ng-deep .mx-xl-0{margin-right:0!important;margin-left:0!important}:host ::ng-deep .mx-xl-1{margin-right:.25rem!important;margin-left:.25rem!important}:host ::ng-deep .mx-xl-2{margin-right:.5rem!important;margin-left:.5rem!important}:host ::ng-deep .mx-xl-3{margin-right:1rem!important;margin-left:1rem!important}:host ::ng-deep .mx-xl-4{margin-right:1.5rem!important;margin-left:1.5rem!important}:host ::ng-deep .mx-xl-5{margin-right:3rem!important;margin-left:3rem!important}:host ::ng-deep .mx-xl-auto{margin-right:auto!important;margin-left:auto!important}:host ::ng-deep .my-xl-0{margin-top:0!important;margin-bottom:0!important}:host ::ng-deep .my-xl-1{margin-top:.25rem!important;margin-bottom:.25rem!important}:host ::ng-deep .my-xl-2{margin-top:.5rem!important;margin-bottom:.5rem!important}:host ::ng-deep .my-xl-3{margin-top:1rem!important;margin-bottom:1rem!important}:host ::ng-deep .my-xl-4{margin-top:1.5rem!important;margin-bottom:1.5rem!important}:host ::ng-deep .my-xl-5{margin-top:3rem!important;margin-bottom:3rem!important}:host ::ng-deep .my-xl-auto{margin-top:auto!important;margin-bottom:auto!important}:host ::ng-deep .mt-xl-0{margin-top:0!important}:host ::ng-deep .mt-xl-1{margin-top:.25rem!important}:host ::ng-deep .mt-xl-2{margin-top:.5rem!important}:host ::ng-deep .mt-xl-3{margin-top:1rem!important}:host ::ng-deep .mt-xl-4{margin-top:1.5rem!important}:host ::ng-deep .mt-xl-5{margin-top:3rem!important}:host ::ng-deep .mt-xl-auto{margin-top:auto!important}:host ::ng-deep .me-xl-0{margin-right:0!important}:host ::ng-deep .me-xl-1{margin-right:.25rem!important}:host ::ng-deep .me-xl-2{margin-right:.5rem!important}:host ::ng-deep .me-xl-3{margin-right:1rem!important}:host ::ng-deep .me-xl-4{margin-right:1.5rem!important}:host ::ng-deep .me-xl-5{margin-right:3rem!important}:host ::ng-deep .me-xl-auto{margin-right:auto!important}:host ::ng-deep .mb-xl-0{margin-bottom:0!important}:host ::ng-deep .mb-xl-1{margin-bottom:.25rem!important}:host ::ng-deep .mb-xl-2{margin-bottom:.5rem!important}:host ::ng-deep .mb-xl-3{margin-bottom:1rem!important}:host ::ng-deep .mb-xl-4{margin-bottom:1.5rem!important}:host ::ng-deep .mb-xl-5{margin-bottom:3rem!important}:host ::ng-deep .mb-xl-auto{margin-bottom:auto!important}:host ::ng-deep .ms-xl-0{margin-left:0!important}:host ::ng-deep .ms-xl-1{margin-left:.25rem!important}:host ::ng-deep .ms-xl-2{margin-left:.5rem!important}:host ::ng-deep .ms-xl-3{margin-left:1rem!important}:host ::ng-deep .ms-xl-4{margin-left:1.5rem!important}:host ::ng-deep .ms-xl-5{margin-left:3rem!important}:host ::ng-deep .ms-xl-auto{margin-left:auto!important}:host ::ng-deep .p-xl-0{padding:0!important}:host ::ng-deep .p-xl-1{padding:.25rem!important}:host ::ng-deep .p-xl-2{padding:.5rem!important}:host ::ng-deep .p-xl-3{padding:1rem!important}:host ::ng-deep .p-xl-4{padding:1.5rem!important}:host ::ng-deep .p-xl-5{padding:3rem!important}:host ::ng-deep .px-xl-0{padding-right:0!important;padding-left:0!important}:host ::ng-deep .px-xl-1{padding-right:.25rem!important;padding-left:.25rem!important}:host ::ng-deep .px-xl-2{padding-right:.5rem!important;padding-left:.5rem!important}:host ::ng-deep .px-xl-3{padding-right:1rem!important;padding-left:1rem!important}:host ::ng-deep .px-xl-4{padding-right:1.5rem!important;padding-left:1.5rem!important}:host ::ng-deep .px-xl-5{padding-right:3rem!important;padding-left:3rem!important}:host ::ng-deep .py-xl-0{padding-top:0!important;padding-bottom:0!important}:host ::ng-deep .py-xl-1{padding-top:.25rem!important;padding-bottom:.25rem!important}:host ::ng-deep .py-xl-2{padding-top:.5rem!important;padding-bottom:.5rem!important}:host ::ng-deep .py-xl-3{padding-top:1rem!important;padding-bottom:1rem!important}:host ::ng-deep .py-xl-4{padding-top:1.5rem!important;padding-bottom:1.5rem!important}:host ::ng-deep .py-xl-5{padding-top:3rem!important;padding-bottom:3rem!important}:host ::ng-deep .pt-xl-0{padding-top:0!important}:host ::ng-deep .pt-xl-1{padding-top:.25rem!important}:host ::ng-deep .pt-xl-2{padding-top:.5rem!important}:host ::ng-deep .pt-xl-3{padding-top:1rem!important}:host ::ng-deep .pt-xl-4{padding-top:1.5rem!important}:host ::ng-deep .pt-xl-5{padding-top:3rem!important}:host ::ng-deep .pe-xl-0{padding-right:0!important}:host ::ng-deep .pe-xl-1{padding-right:.25rem!important}:host ::ng-deep .pe-xl-2{padding-right:.5rem!important}:host ::ng-deep .pe-xl-3{padding-right:1rem!important}:host ::ng-deep .pe-xl-4{padding-right:1.5rem!important}:host ::ng-deep .pe-xl-5{padding-right:3rem!important}:host ::ng-deep .pb-xl-0{padding-bottom:0!important}:host ::ng-deep .pb-xl-1{padding-bottom:.25rem!important}:host ::ng-deep .pb-xl-2{padding-bottom:.5rem!important}:host ::ng-deep .pb-xl-3{padding-bottom:1rem!important}:host ::ng-deep .pb-xl-4{padding-bottom:1.5rem!important}:host ::ng-deep .pb-xl-5{padding-bottom:3rem!important}:host ::ng-deep .ps-xl-0{padding-left:0!important}:host ::ng-deep .ps-xl-1{padding-left:.25rem!important}:host ::ng-deep .ps-xl-2{padding-left:.5rem!important}:host ::ng-deep .ps-xl-3{padding-left:1rem!important}:host ::ng-deep .ps-xl-4{padding-left:1.5rem!important}:host ::ng-deep .ps-xl-5{padding-left:3rem!important}:host ::ng-deep .gap-xl-0{gap:0!important}:host ::ng-deep .gap-xl-1{gap:.25rem!important}:host ::ng-deep .gap-xl-2{gap:.5rem!important}:host ::ng-deep .gap-xl-3{gap:1rem!important}:host ::ng-deep .gap-xl-4{gap:1.5rem!important}:host ::ng-deep .gap-xl-5{gap:3rem!important}:host ::ng-deep .text-xl-start{text-align:left!important}:host ::ng-deep .text-xl-end{text-align:right!important}:host ::ng-deep .text-xl-center{text-align:center!important}}@media (min-width: 1400px){:host ::ng-deep .float-xxl-start{float:left!important}:host ::ng-deep .float-xxl-end{float:right!important}:host ::ng-deep .float-xxl-none{float:none!important}:host ::ng-deep .d-xxl-inline{display:inline!important}:host ::ng-deep .d-xxl-inline-block{display:inline-block!important}:host ::ng-deep .d-xxl-block{display:block!important}:host ::ng-deep .d-xxl-grid{display:grid!important}:host ::ng-deep .d-xxl-table{display:table!important}:host ::ng-deep .d-xxl-table-row{display:table-row!important}:host ::ng-deep .d-xxl-table-cell{display:table-cell!important}:host ::ng-deep .d-xxl-flex{display:flex!important}:host ::ng-deep .d-xxl-inline-flex{display:inline-flex!important}:host ::ng-deep .d-xxl-none{display:none!important}:host ::ng-deep .flex-xxl-fill{flex:1 1 auto!important}:host ::ng-deep .flex-xxl-row{flex-direction:row!important}:host ::ng-deep .flex-xxl-column{flex-direction:column!important}:host ::ng-deep .flex-xxl-row-reverse{flex-direction:row-reverse!important}:host ::ng-deep .flex-xxl-column-reverse{flex-direction:column-reverse!important}:host ::ng-deep .flex-xxl-grow-0{flex-grow:0!important}:host ::ng-deep .flex-xxl-grow-1{flex-grow:1!important}:host ::ng-deep .flex-xxl-shrink-0{flex-shrink:0!important}:host ::ng-deep .flex-xxl-shrink-1{flex-shrink:1!important}:host ::ng-deep .flex-xxl-wrap{flex-wrap:wrap!important}:host ::ng-deep .flex-xxl-nowrap{flex-wrap:nowrap!important}:host ::ng-deep .flex-xxl-wrap-reverse{flex-wrap:wrap-reverse!important}:host ::ng-deep .justify-content-xxl-start{justify-content:flex-start!important}:host ::ng-deep .justify-content-xxl-end{justify-content:flex-end!important}:host ::ng-deep .justify-content-xxl-center{justify-content:center!important}:host ::ng-deep .justify-content-xxl-between{justify-content:space-between!important}:host ::ng-deep .justify-content-xxl-around{justify-content:space-around!important}:host ::ng-deep .justify-content-xxl-evenly{justify-content:space-evenly!important}:host ::ng-deep .align-items-xxl-start{align-items:flex-start!important}:host ::ng-deep .align-items-xxl-end{align-items:flex-end!important}:host ::ng-deep .align-items-xxl-center{align-items:center!important}:host ::ng-deep .align-items-xxl-baseline{align-items:baseline!important}:host ::ng-deep .align-items-xxl-stretch{align-items:stretch!important}:host ::ng-deep .align-content-xxl-start{align-content:flex-start!important}:host ::ng-deep .align-content-xxl-end{align-content:flex-end!important}:host ::ng-deep .align-content-xxl-center{align-content:center!important}:host ::ng-deep .align-content-xxl-between{align-content:space-between!important}:host ::ng-deep .align-content-xxl-around{align-content:space-around!important}:host ::ng-deep .align-content-xxl-stretch{align-content:stretch!important}:host ::ng-deep .align-self-xxl-auto{align-self:auto!important}:host ::ng-deep .align-self-xxl-start{align-self:flex-start!important}:host ::ng-deep .align-self-xxl-end{align-self:flex-end!important}:host ::ng-deep .align-self-xxl-center{align-self:center!important}:host ::ng-deep .align-self-xxl-baseline{align-self:baseline!important}:host ::ng-deep .align-self-xxl-stretch{align-self:stretch!important}:host ::ng-deep .order-xxl-first{order:-1!important}:host ::ng-deep .order-xxl-0{order:0!important}:host ::ng-deep .order-xxl-1{order:1!important}:host ::ng-deep .order-xxl-2{order:2!important}:host ::ng-deep .order-xxl-3{order:3!important}:host ::ng-deep .order-xxl-4{order:4!important}:host ::ng-deep .order-xxl-5{order:5!important}:host ::ng-deep .order-xxl-last{order:6!important}:host ::ng-deep .m-xxl-0{margin:0!important}:host ::ng-deep .m-xxl-1{margin:.25rem!important}:host ::ng-deep .m-xxl-2{margin:.5rem!important}:host ::ng-deep .m-xxl-3{margin:1rem!important}:host ::ng-deep .m-xxl-4{margin:1.5rem!important}:host ::ng-deep .m-xxl-5{margin:3rem!important}:host ::ng-deep .m-xxl-auto{margin:auto!important}:host ::ng-deep .mx-xxl-0{margin-right:0!important;margin-left:0!important}:host ::ng-deep .mx-xxl-1{margin-right:.25rem!important;margin-left:.25rem!important}:host ::ng-deep .mx-xxl-2{margin-right:.5rem!important;margin-left:.5rem!important}:host ::ng-deep .mx-xxl-3{margin-right:1rem!important;margin-left:1rem!important}:host ::ng-deep .mx-xxl-4{margin-right:1.5rem!important;margin-left:1.5rem!important}:host ::ng-deep .mx-xxl-5{margin-right:3rem!important;margin-left:3rem!important}:host ::ng-deep .mx-xxl-auto{margin-right:auto!important;margin-left:auto!important}:host ::ng-deep .my-xxl-0{margin-top:0!important;margin-bottom:0!important}:host ::ng-deep .my-xxl-1{margin-top:.25rem!important;margin-bottom:.25rem!important}:host ::ng-deep .my-xxl-2{margin-top:.5rem!important;margin-bottom:.5rem!important}:host ::ng-deep .my-xxl-3{margin-top:1rem!important;margin-bottom:1rem!important}:host ::ng-deep .my-xxl-4{margin-top:1.5rem!important;margin-bottom:1.5rem!important}:host ::ng-deep .my-xxl-5{margin-top:3rem!important;margin-bottom:3rem!important}:host ::ng-deep .my-xxl-auto{margin-top:auto!important;margin-bottom:auto!important}:host ::ng-deep .mt-xxl-0{margin-top:0!important}:host ::ng-deep .mt-xxl-1{margin-top:.25rem!important}:host ::ng-deep .mt-xxl-2{margin-top:.5rem!important}:host ::ng-deep .mt-xxl-3{margin-top:1rem!important}:host ::ng-deep .mt-xxl-4{margin-top:1.5rem!important}:host ::ng-deep .mt-xxl-5{margin-top:3rem!important}:host ::ng-deep .mt-xxl-auto{margin-top:auto!important}:host ::ng-deep .me-xxl-0{margin-right:0!important}:host ::ng-deep .me-xxl-1{margin-right:.25rem!important}:host ::ng-deep .me-xxl-2{margin-right:.5rem!important}:host ::ng-deep .me-xxl-3{margin-right:1rem!important}:host ::ng-deep .me-xxl-4{margin-right:1.5rem!important}:host ::ng-deep .me-xxl-5{margin-right:3rem!important}:host ::ng-deep .me-xxl-auto{margin-right:auto!important}:host ::ng-deep .mb-xxl-0{margin-bottom:0!important}:host ::ng-deep .mb-xxl-1{margin-bottom:.25rem!important}:host ::ng-deep .mb-xxl-2{margin-bottom:.5rem!important}:host ::ng-deep .mb-xxl-3{margin-bottom:1rem!important}:host ::ng-deep .mb-xxl-4{margin-bottom:1.5rem!important}:host ::ng-deep .mb-xxl-5{margin-bottom:3rem!important}:host ::ng-deep .mb-xxl-auto{margin-bottom:auto!important}:host ::ng-deep .ms-xxl-0{margin-left:0!important}:host ::ng-deep .ms-xxl-1{margin-left:.25rem!important}:host ::ng-deep .ms-xxl-2{margin-left:.5rem!important}:host ::ng-deep .ms-xxl-3{margin-left:1rem!important}:host ::ng-deep .ms-xxl-4{margin-left:1.5rem!important}:host ::ng-deep .ms-xxl-5{margin-left:3rem!important}:host ::ng-deep .ms-xxl-auto{margin-left:auto!important}:host ::ng-deep .p-xxl-0{padding:0!important}:host ::ng-deep .p-xxl-1{padding:.25rem!important}:host ::ng-deep .p-xxl-2{padding:.5rem!important}:host ::ng-deep .p-xxl-3{padding:1rem!important}:host ::ng-deep .p-xxl-4{padding:1.5rem!important}:host ::ng-deep .p-xxl-5{padding:3rem!important}:host ::ng-deep .px-xxl-0{padding-right:0!important;padding-left:0!important}:host ::ng-deep .px-xxl-1{padding-right:.25rem!important;padding-left:.25rem!important}:host ::ng-deep .px-xxl-2{padding-right:.5rem!important;padding-left:.5rem!important}:host ::ng-deep .px-xxl-3{padding-right:1rem!important;padding-left:1rem!important}:host ::ng-deep .px-xxl-4{padding-right:1.5rem!important;padding-left:1.5rem!important}:host ::ng-deep .px-xxl-5{padding-right:3rem!important;padding-left:3rem!important}:host ::ng-deep .py-xxl-0{padding-top:0!important;padding-bottom:0!important}:host ::ng-deep .py-xxl-1{padding-top:.25rem!important;padding-bottom:.25rem!important}:host ::ng-deep .py-xxl-2{padding-top:.5rem!important;padding-bottom:.5rem!important}:host ::ng-deep .py-xxl-3{padding-top:1rem!important;padding-bottom:1rem!important}:host ::ng-deep .py-xxl-4{padding-top:1.5rem!important;padding-bottom:1.5rem!important}:host ::ng-deep .py-xxl-5{padding-top:3rem!important;padding-bottom:3rem!important}:host ::ng-deep .pt-xxl-0{padding-top:0!important}:host ::ng-deep .pt-xxl-1{padding-top:.25rem!important}:host ::ng-deep .pt-xxl-2{padding-top:.5rem!important}:host ::ng-deep .pt-xxl-3{padding-top:1rem!important}:host ::ng-deep .pt-xxl-4{padding-top:1.5rem!important}:host ::ng-deep .pt-xxl-5{padding-top:3rem!important}:host ::ng-deep .pe-xxl-0{padding-right:0!important}:host ::ng-deep .pe-xxl-1{padding-right:.25rem!important}:host ::ng-deep .pe-xxl-2{padding-right:.5rem!important}:host ::ng-deep .pe-xxl-3{padding-right:1rem!important}:host ::ng-deep .pe-xxl-4{padding-right:1.5rem!important}:host ::ng-deep .pe-xxl-5{padding-right:3rem!important}:host ::ng-deep .pb-xxl-0{padding-bottom:0!important}:host ::ng-deep .pb-xxl-1{padding-bottom:.25rem!important}:host ::ng-deep .pb-xxl-2{padding-bottom:.5rem!important}:host ::ng-deep .pb-xxl-3{padding-bottom:1rem!important}:host ::ng-deep .pb-xxl-4{padding-bottom:1.5rem!important}:host ::ng-deep .pb-xxl-5{padding-bottom:3rem!important}:host ::ng-deep .ps-xxl-0{padding-left:0!important}:host ::ng-deep .ps-xxl-1{padding-left:.25rem!important}:host ::ng-deep .ps-xxl-2{padding-left:.5rem!important}:host ::ng-deep .ps-xxl-3{padding-left:1rem!important}:host ::ng-deep .ps-xxl-4{padding-left:1.5rem!important}:host ::ng-deep .ps-xxl-5{padding-left:3rem!important}:host ::ng-deep .gap-xxl-0{gap:0!important}:host ::ng-deep .gap-xxl-1{gap:.25rem!important}:host ::ng-deep .gap-xxl-2{gap:.5rem!important}:host ::ng-deep .gap-xxl-3{gap:1rem!important}:host ::ng-deep .gap-xxl-4{gap:1.5rem!important}:host ::ng-deep .gap-xxl-5{gap:3rem!important}:host ::ng-deep .text-xxl-start{text-align:left!important}:host ::ng-deep .text-xxl-end{text-align:right!important}:host ::ng-deep .text-xxl-center{text-align:center!important}}@media (min-width: 1200px){:host ::ng-deep .fs-1{font-size:2.5rem!important}:host ::ng-deep .fs-2{font-size:2rem!important}:host ::ng-deep .fs-3{font-size:1.75rem!important}:host ::ng-deep .fs-4{font-size:1.5rem!important}}@media print{:host ::ng-deep .d-print-inline{display:inline!important}:host ::ng-deep .d-print-inline-block{display:inline-block!important}:host ::ng-deep .d-print-block{display:block!important}:host ::ng-deep .d-print-grid{display:grid!important}:host ::ng-deep .d-print-table{display:table!important}:host ::ng-deep .d-print-table-row{display:table-row!important}:host ::ng-deep .d-print-table-cell{display:table-cell!important}:host ::ng-deep .d-print-flex{display:flex!important}:host ::ng-deep .d-print-inline-flex{display:inline-flex!important}:host ::ng-deep .d-print-none{display:none!important}}:host ::ng-deep .form-select{display:block;width:100%;padding:.375rem 2.25rem .375rem .75rem;-moz-padding-start:calc(.75rem - 3px);font-size:1rem;font-weight:400;line-height:1.5;color:#212529;background-color:#fff;background-image:url(\"data:image/svg+xml,%3csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 16 16'%3e%3cpath fill='none' stroke='%23343a40' stroke-linecap='round' stroke-linejoin='round' stroke-width='2' d='m2 5 6 6 6-6'/%3e%3c/svg%3e\");background-repeat:no-repeat;background-position:right .75rem center;background-size:16px 12px;border:1px solid #ced4da;border-radius:.375rem;transition:border-color .15s ease-in-out,box-shadow .15s ease-in-out;-webkit-appearance:none;appearance:none}@media (prefers-reduced-motion: reduce){:host ::ng-deep .form-select{transition:none}}:host ::ng-deep .form-select:focus{border-color:#86b7fe;outline:0;box-shadow:0 0 0 .25rem #0d6efd40}:host ::ng-deep .form-select[multiple],:host ::ng-deep .form-select[size]:not([size=\"1\"]){padding-right:.75rem;background-image:none}:host ::ng-deep .form-select:disabled{background-color:#e9ecef}:host ::ng-deep .form-select:-moz-focusring{color:transparent;text-shadow:0 0 0 #212529}:host ::ng-deep .form-select-sm{padding-top:.25rem;padding-bottom:.25rem;padding-left:.5rem;font-size:.875rem;border-radius:.25rem}:host ::ng-deep .form-select-lg{padding-top:.5rem;padding-bottom:.5rem;padding-left:1rem;font-size:1.25rem;border-radius:.5rem}\n"] }]
        }], ctorParameters: function () { return [{ type: i0.Renderer2 }]; }, propDecorators: { identifier: [{
                type: Input
            }], selectBox: [{
                type: ViewChild,
                args: ['selectBox']
            }], size: [{
                type: Input
            }], multiple: [{
                type: Input
            }], numberVisible: [{
                type: Input
            }], disabled: [{
                type: Input
            }] } });

// import { AfterViewInit, Directive, forwardRef, HostListener, Input, OnDestroy } from '@angular/core';
class BsSelectValueAccessor {
    constructor(_renderer, _elementRef, selectBox) {
        this._renderer = _renderer;
        this._elementRef = _elementRef;
        this.selectBox = selectBox;
        this.onChange = (_) => { };
        this.onTouched = () => { };
        this.optionMap = new Map();
        this.idCounter = 0;
        this.compareWithFunction = Object.is;
    }
    registerOnTouched(fn) {
        this.onTouched = fn;
    }
    registerOnChange(fn) {
        this.onChange = (valueString) => {
            // View -> Model
            this.value = this.getOptionValue(valueString);
            fn(this.value);
            // fn(valueString);
        };
    }
    setDisabledState(isDisabled) {
        this.setProperty('disabled', isDisabled);
    }
    setProperty(key, value) {
        // if (this._elementRef) {
        //   this._renderer.setProperty(this._elementRef.nativeElement, key, value);
        // }
        if (this.selectBox.selectBox) {
            this._renderer.setProperty(this.selectBox.selectBox.nativeElement, key, value);
        }
    }
    hostOnChange(ev) {
        this.onChange(ev.target.value);
    }
    hostBlur(ev) {
        this.onTouched();
    }
    set compareWith(value) {
        if (typeof value !== 'function') {
            throw new Error('compareWith must be a function');
        }
        this.compareWithFunction = value;
    }
    buildValueString(id, value) {
        if (id == null) {
            return `${value}`;
        }
        if (value && (typeof value === 'object')) {
            value = 'Object';
        }
        return `${id}: ${value}`.slice(0, 50);
    }
    extractId(valueString) {
        return valueString.split(':')[0];
    }
    writeValue(value) {
        this.value = value;
        // console.log(`WriteValue ${this.selectBox.identifier}`, value);
        const id = this.getOptionId(value);
        const valueString = this.buildValueString(id, value);
        this.setProperty('value', valueString);
    }
    registerOption() {
        return (this.idCounter++).toString();
    }
    getOptionId(value) {
        for (const id of Array.from(this.optionMap.keys())) {
            if (this.compareWithFunction(this.optionMap.get(id), value)) {
                return id;
            }
        }
        // This shouldn't happen
        // debugger;
        return null;
    }
    getOptionValue(valueString) {
        const id = this.extractId(valueString);
        return this.optionMap.has(id) ? this.optionMap.get(id) : valueString;
    }
}
BsSelectValueAccessor.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "14.2.2", ngImport: i0, type: BsSelectValueAccessor, deps: [{ token: i0.Renderer2 }, { token: i0.ElementRef }, { token: BsSelectComponent }], target: i0.ɵɵFactoryTarget.Directive });
BsSelectValueAccessor.ɵdir = i0.ɵɵngDeclareDirective({ minVersion: "14.0.0", version: "14.2.2", type: BsSelectValueAccessor, selector: "bs-select", inputs: { compareWith: "compareWith" }, host: { listeners: { "change": "hostOnChange($event)", "blur": "hostBlur($event)" } }, providers: [{
            provide: NG_VALUE_ACCESSOR,
            useExisting: forwardRef(() => BsSelectValueAccessor),
            multi: true,
        }], ngImport: i0 });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "14.2.2", ngImport: i0, type: BsSelectValueAccessor, decorators: [{
            type: Directive,
            args: [{
                    selector: 'bs-select',
                    providers: [{
                            provide: NG_VALUE_ACCESSOR,
                            useExisting: forwardRef(() => BsSelectValueAccessor),
                            multi: true,
                        }],
                }]
        }], ctorParameters: function () { return [{ type: i0.Renderer2 }, { type: i0.ElementRef }, { type: BsSelectComponent }]; }, propDecorators: { hostOnChange: [{
                type: HostListener,
                args: ['change', ['$event']]
            }], hostBlur: [{
                type: HostListener,
                args: ['blur', ['$event']]
            }], compareWith: [{
                type: Input
            }] } });
class BsSelectOption {
    constructor(element, renderer, select) {
        this.element = element;
        this.renderer = renderer;
        this.select = select;
        if (this.select) {
            this.id = this.select.registerOption();
        }
    }
    set ngValue(value) {
        if (this.select) {
            this.select.optionMap.set(this.id, value);
            this.setElementValue(this.select.buildValueString(this.id, value));
            // console.log('ngValue', this.select.value);
            this.select.writeValue(this.select.value);
        }
    }
    set value(value) {
        this.setElementValue(value);
        if (this.select) {
            this.select.writeValue(this.select.value);
        }
    }
    setElementValue(value) {
        // console.log('setElementValue', value);
        // const nativeSelect = this.select['selectBox'].selectBox;
        // if (nativeSelect) {
        //   this.renderer.setProperty(nativeSelect.nativeElement, 'value', value);
        // }
        this.renderer.setProperty(this.element.nativeElement, 'value', value);
    }
    ngOnDestroy() {
        if (this.select) {
            this.select.optionMap.delete(this.id);
            this.select.writeValue(this.select.value);
        }
    }
}
BsSelectOption.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "14.2.2", ngImport: i0, type: BsSelectOption, deps: [{ token: i0.ElementRef }, { token: i0.Renderer2 }, { token: BsSelectValueAccessor, host: true, optional: true }], target: i0.ɵɵFactoryTarget.Directive });
BsSelectOption.ɵdir = i0.ɵɵngDeclareDirective({ minVersion: "14.0.0", version: "14.2.2", type: BsSelectOption, selector: "option", inputs: { ngValue: "ngValue", value: "value" }, ngImport: i0 });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "14.2.2", ngImport: i0, type: BsSelectOption, decorators: [{
            type: Directive,
            args: [{ selector: 'option' }]
        }], ctorParameters: function () { return [{ type: i0.ElementRef }, { type: i0.Renderer2 }, { type: BsSelectValueAccessor, decorators: [{
                    type: Optional
                }, {
                    type: Host
                }] }]; }, propDecorators: { ngValue: [{
                type: Input,
                args: ['ngValue']
            }], value: [{
                type: Input,
                args: ['value']
            }] } });

class BsSelectModule {
}
BsSelectModule.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "14.2.2", ngImport: i0, type: BsSelectModule, deps: [], target: i0.ɵɵFactoryTarget.NgModule });
BsSelectModule.ɵmod = i0.ɵɵngDeclareNgModule({ minVersion: "14.0.0", version: "14.2.2", ngImport: i0, type: BsSelectModule, declarations: [BsSelectComponent,
        BsSelectValueAccessor,
        BsSelectOption], imports: [CommonModule], exports: [BsSelectComponent,
        BsSelectValueAccessor,
        BsSelectOption] });
BsSelectModule.ɵinj = i0.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "14.2.2", ngImport: i0, type: BsSelectModule, imports: [CommonModule] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "14.2.2", ngImport: i0, type: BsSelectModule, decorators: [{
            type: NgModule,
            args: [{
                    declarations: [
                        BsSelectComponent,
                        BsSelectValueAccessor,
                        BsSelectOption
                    ],
                    imports: [CommonModule],
                    exports: [
                        BsSelectComponent,
                        BsSelectValueAccessor,
                        BsSelectOption
                    ],
                }]
        }] });

class BsInListPipe {
    transform(items, parameter) {
        return items.some(item => item.id === parameter);
    }
}
BsInListPipe.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "14.2.2", ngImport: i0, type: BsInListPipe, deps: [], target: i0.ɵɵFactoryTarget.Pipe });
BsInListPipe.ɵpipe = i0.ɵɵngDeclarePipe({ minVersion: "14.0.0", version: "14.2.2", ngImport: i0, type: BsInListPipe, name: "inList" });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "14.2.2", ngImport: i0, type: BsInListPipe, decorators: [{
            type: Pipe,
            args: [{
                    name: 'inList'
                }]
        }] });

class BsSelect2Component {
    constructor() {
        this.isOpen = false;
        this.suggestions$ = new BehaviorSubject([]);
        this.isLoading$ = new BehaviorSubject(false);
        this.hostWidth$ = new BehaviorSubject(200);
        this.searchterm = '';
        this.suggestions = [];
        this.provideSuggestions = new EventEmitter();
        this.selectedItems = [];
        this.isFocused = false;
        this.charWidth = 10;
        this.searchWidth = 20;
    }
    ngAfterViewInit() {
        this.onResize();
    }
    onProvideSuggestions(value) {
        this.searchWidth = this.charWidth * (this.searchterm.length + 2);
        if (value === '') {
            this.isOpen = false;
            this.suggestions$.next([]);
        }
        else {
            this.isLoading$.next(true);
            this.isOpen = true;
            this.provideSuggestions.emit(value);
        }
    }
    onSuggestionClicked(suggestion) {
        this.searchterm = '';
        this.isOpen = false;
        const existing = this.selectedItems.find((value, index) => value.id === suggestion.id);
        if (existing === undefined) {
            this.selectedItems.push(suggestion);
        }
        else {
            this.selectedItems.splice(this.selectedItems.indexOf(existing), 1);
        }
        this.searchBox.nativeElement.focus();
    }
    onRemoveItem(item, event) {
        event.stopPropagation();
        this.selectedItems.splice(this.selectedItems.indexOf(item), 1);
        this.focus();
    }
    onResize() {
        if (typeof window !== 'undefined') {
            this.hostWidth$.next(this.itemsBox.nativeElement.offsetWidth);
        }
    }
    focus() {
        this.searchBox.nativeElement.focus();
    }
}
BsSelect2Component.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "14.2.2", ngImport: i0, type: BsSelect2Component, deps: [], target: i0.ɵɵFactoryTarget.Component });
BsSelect2Component.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "14.2.2", type: BsSelect2Component, selector: "bs-select2", inputs: { searchterm: "searchterm", suggestions: "suggestions", selectedItems: "selectedItems" }, outputs: { provideSuggestions: "provideSuggestions" }, host: { listeners: { "window:resize": "onResize()", "click": "focus()" }, properties: { "class.focus": "this.isFocused" } }, viewQueries: [{ propertyName: "defaultItemTemplate", first: true, predicate: ["defaultItemTemplate"], descendants: true, static: true }, { propertyName: "searchBox", first: true, predicate: ["searchBox"], descendants: true }, { propertyName: "itemsBox", first: true, predicate: ["itemsBox"], descendants: true }], ngImport: i0, template: "<div bsDropdown [(isOpen)]=\"isOpen\" [hasBackdrop]=\"false\" #itemsBox class=\"items-box text-wrap\">\n    <ng-container *ngFor=\"let item of selectedItems\">\n        <ng-container *ngTemplateOutlet=\"itemTemplate ?? defaultItemTemplate; context: { item: item, select2: this }\"></ng-container>\n    </ng-container>\n\n    <input type=\"text\" autocomplete=\"off\"\n        [(ngModel)]=\"searchterm\"\n        (ngModelChange)=\"onProvideSuggestions($event)\"\n        (focus)=\"isFocused=true\"\n        (blur)=\"isFocused=false\"\n        [style.width.px]=\"searchWidth\"\n        #searchBox />\n    <ul *bsDropdownMenu class=\"dropdown-menu d-block position-static p-0\" [style.width.px]=\"hostWidth$ | async\">\n        <li *ngFor=\"let suggestion of suggestions\" (click)=\"onSuggestionClicked(suggestion)\" [class.selected]=\"selectedItems | inList:suggestion.id\">{{ suggestion.text }}</li>\n    </ul>\n</div>\n\n<ng-template #defaultItemTemplate let-item=\"item\" let-select2=\"select2\">\n    <span class=\"select2-item\">\n        <span (click)=\"select2.onRemoveItem(item,$event)\">\u00D7</span>\n        {{ item.text }}\n    </span>\n</ng-template>\n", styles: ["::ng-deep .dropup,::ng-deep .dropend,::ng-deep .dropdown,::ng-deep .dropstart,::ng-deep .dropup-center,::ng-deep .dropdown-center{position:relative}::ng-deep .dropdown-toggle{white-space:nowrap}::ng-deep .dropdown-toggle:after{display:inline-block;margin-left:.255em;vertical-align:.255em;content:\"\";border-top:.3em solid;border-right:.3em solid transparent;border-bottom:0;border-left:.3em solid transparent}::ng-deep .dropdown-toggle:empty:after{margin-left:0}::ng-deep .dropdown-menu{--bs-dropdown-zindex: 1000;--bs-dropdown-min-width: 10rem;--bs-dropdown-padding-x: 0;--bs-dropdown-padding-y: .5rem;--bs-dropdown-spacer: .125rem;--bs-dropdown-font-size: 1rem;--bs-dropdown-color: #212529;--bs-dropdown-bg: #fff;--bs-dropdown-border-color: var(--bs-border-color-translucent);--bs-dropdown-border-radius: .375rem;--bs-dropdown-border-width: 1px;--bs-dropdown-inner-border-radius:calc(.375rem - 1px);--bs-dropdown-divider-bg: var(--bs-border-color-translucent);--bs-dropdown-divider-margin-y: .5rem;--bs-dropdown-box-shadow: 0 .5rem 1rem rgba(0, 0, 0, .15);--bs-dropdown-link-color: #212529;--bs-dropdown-link-hover-color: #1e2125;--bs-dropdown-link-hover-bg: #e9ecef;--bs-dropdown-link-active-color: #fff;--bs-dropdown-link-active-bg: #0d6efd;--bs-dropdown-link-disabled-color: #adb5bd;--bs-dropdown-item-padding-x: 1rem;--bs-dropdown-item-padding-y: .25rem;--bs-dropdown-header-color: #6c757d;--bs-dropdown-header-padding-x: 1rem;--bs-dropdown-header-padding-y: .5rem;position:absolute;z-index:var(--bs-dropdown-zindex);display:none;min-width:var(--bs-dropdown-min-width);padding:var(--bs-dropdown-padding-y) var(--bs-dropdown-padding-x);margin:0;font-size:var(--bs-dropdown-font-size);color:var(--bs-dropdown-color);text-align:left;list-style:none;background-color:var(--bs-dropdown-bg);background-clip:padding-box;border:var(--bs-dropdown-border-width) solid var(--bs-dropdown-border-color);border-radius:var(--bs-dropdown-border-radius)}::ng-deep .dropdown-menu[data-bs-popper]{top:100%;left:0;margin-top:var(--bs-dropdown-spacer)}::ng-deep .dropdown-menu-start{--bs-position: start}::ng-deep .dropdown-menu-start[data-bs-popper]{right:auto;left:0}::ng-deep .dropdown-menu-end{--bs-position: end}::ng-deep .dropdown-menu-end[data-bs-popper]{right:0;left:auto}@media (min-width: 576px){::ng-deep .dropdown-menu-sm-start{--bs-position: start}::ng-deep .dropdown-menu-sm-start[data-bs-popper]{right:auto;left:0}::ng-deep .dropdown-menu-sm-end{--bs-position: end}::ng-deep .dropdown-menu-sm-end[data-bs-popper]{right:0;left:auto}}@media (min-width: 768px){::ng-deep .dropdown-menu-md-start{--bs-position: start}::ng-deep .dropdown-menu-md-start[data-bs-popper]{right:auto;left:0}::ng-deep .dropdown-menu-md-end{--bs-position: end}::ng-deep .dropdown-menu-md-end[data-bs-popper]{right:0;left:auto}}@media (min-width: 992px){::ng-deep .dropdown-menu-lg-start{--bs-position: start}::ng-deep .dropdown-menu-lg-start[data-bs-popper]{right:auto;left:0}::ng-deep .dropdown-menu-lg-end{--bs-position: end}::ng-deep .dropdown-menu-lg-end[data-bs-popper]{right:0;left:auto}}@media (min-width: 1200px){::ng-deep .dropdown-menu-xl-start{--bs-position: start}::ng-deep .dropdown-menu-xl-start[data-bs-popper]{right:auto;left:0}::ng-deep .dropdown-menu-xl-end{--bs-position: end}::ng-deep .dropdown-menu-xl-end[data-bs-popper]{right:0;left:auto}}@media (min-width: 1400px){::ng-deep .dropdown-menu-xxl-start{--bs-position: start}::ng-deep .dropdown-menu-xxl-start[data-bs-popper]{right:auto;left:0}::ng-deep .dropdown-menu-xxl-end{--bs-position: end}::ng-deep .dropdown-menu-xxl-end[data-bs-popper]{right:0;left:auto}}::ng-deep .dropup .dropdown-menu[data-bs-popper]{top:auto;bottom:100%;margin-top:0;margin-bottom:var(--bs-dropdown-spacer)}::ng-deep .dropup .dropdown-toggle:after{display:inline-block;margin-left:.255em;vertical-align:.255em;content:\"\";border-top:0;border-right:.3em solid transparent;border-bottom:.3em solid;border-left:.3em solid transparent}::ng-deep .dropup .dropdown-toggle:empty:after{margin-left:0}::ng-deep .dropend .dropdown-menu[data-bs-popper]{top:0;right:auto;left:100%;margin-top:0;margin-left:var(--bs-dropdown-spacer)}::ng-deep .dropend .dropdown-toggle:after{display:inline-block;margin-left:.255em;vertical-align:.255em;content:\"\";border-top:.3em solid transparent;border-right:0;border-bottom:.3em solid transparent;border-left:.3em solid}::ng-deep .dropend .dropdown-toggle:empty:after{margin-left:0}::ng-deep .dropend .dropdown-toggle:after{vertical-align:0}::ng-deep .dropstart .dropdown-menu[data-bs-popper]{top:0;right:100%;left:auto;margin-top:0;margin-right:var(--bs-dropdown-spacer)}::ng-deep .dropstart .dropdown-toggle:after{display:inline-block;margin-left:.255em;vertical-align:.255em;content:\"\"}::ng-deep .dropstart .dropdown-toggle:after{display:none}::ng-deep .dropstart .dropdown-toggle:before{display:inline-block;margin-right:.255em;vertical-align:.255em;content:\"\";border-top:.3em solid transparent;border-right:.3em solid;border-bottom:.3em solid transparent}::ng-deep .dropstart .dropdown-toggle:empty:after{margin-left:0}::ng-deep .dropstart .dropdown-toggle:before{vertical-align:0}::ng-deep .dropdown-divider{height:0;margin:var(--bs-dropdown-divider-margin-y) 0;overflow:hidden;border-top:1px solid var(--bs-dropdown-divider-bg);opacity:1}::ng-deep .dropdown-item{display:block;width:100%;padding:var(--bs-dropdown-item-padding-y) var(--bs-dropdown-item-padding-x);clear:both;font-weight:400;color:var(--bs-dropdown-link-color);text-align:inherit;text-decoration:none;white-space:nowrap;background-color:transparent;border:0}::ng-deep .dropdown-item:hover,::ng-deep .dropdown-item:focus{color:var(--bs-dropdown-link-hover-color);background-color:var(--bs-dropdown-link-hover-bg)}::ng-deep .dropdown-item.active,::ng-deep .dropdown-item:active{color:var(--bs-dropdown-link-active-color);text-decoration:none;background-color:var(--bs-dropdown-link-active-bg)}::ng-deep .dropdown-item.disabled,::ng-deep .dropdown-item:disabled{color:var(--bs-dropdown-link-disabled-color);pointer-events:none;background-color:transparent}::ng-deep .dropdown-menu.show{display:block}::ng-deep .dropdown-header{display:block;padding:var(--bs-dropdown-header-padding-y) var(--bs-dropdown-header-padding-x);margin-bottom:0;font-size:.875rem;color:var(--bs-dropdown-header-color);white-space:nowrap}::ng-deep .dropdown-item-text{display:block;padding:var(--bs-dropdown-item-padding-y) var(--bs-dropdown-item-padding-x);color:var(--bs-dropdown-link-color)}::ng-deep .dropdown-menu-dark{--bs-dropdown-color: #dee2e6;--bs-dropdown-bg: #343a40;--bs-dropdown-border-color: var(--bs-border-color-translucent);--bs-dropdown-box-shadow: ;--bs-dropdown-link-color: #dee2e6;--bs-dropdown-link-hover-color: #fff;--bs-dropdown-divider-bg: var(--bs-border-color-translucent);--bs-dropdown-link-hover-bg: rgba(255, 255, 255, .15);--bs-dropdown-link-active-color: #fff;--bs-dropdown-link-active-bg: #0d6efd;--bs-dropdown-link-disabled-color: #adb5bd;--bs-dropdown-header-color: #adb5bd}.items-box{display:block;position:relative;width:100%;min-height:38px;padding:0 5px 3px;cursor:text;border:1px solid #ccc}.items-box .select2-item{display:inline-block;background-color:#e4e4e4;color:#1a1a1a;border:1px solid #aaa;border-radius:4px;margin-top:5px;margin-right:5px;padding:0 5px;cursor:default;user-select:none;-webkit-user-select:none}.items-box .select2-item>span{cursor:pointer;color:#999}.items-box .select2-item>span:hover{color:#333}.items-box input{border:none;outline:0;margin:5px 0 2px;background:none}:host{display:block;transition:border-color .15s ease-in-out,box-shadow .15s ease-in-out}:host.focus{color:#495057;background-color:#fff;border-color:#80bdff!important;outline:0;box-shadow:0 0 0 .2rem #007bff40}ul{max-height:200px;overflow-y:auto}ul>li{padding:10px;cursor:pointer}ul>li.selected{background:#ddd}ul>li:hover{color:#fff;background-color:#5897fb}\n"], dependencies: [{ kind: "directive", type: i1.NgForOf, selector: "[ngFor][ngForOf]", inputs: ["ngForOf", "ngForTrackBy", "ngForTemplate"] }, { kind: "directive", type: i1.NgTemplateOutlet, selector: "[ngTemplateOutlet]", inputs: ["ngTemplateOutletContext", "ngTemplateOutlet", "ngTemplateOutletInjector"] }, { kind: "directive", type: i2.DefaultValueAccessor, selector: "input:not([type=checkbox])[formControlName],textarea[formControlName],input:not([type=checkbox])[formControl],textarea[formControl],input:not([type=checkbox])[ngModel],textarea[ngModel],[ngDefaultControl]" }, { kind: "directive", type: i2.NgControlStatus, selector: "[formControlName],[ngModel],[formControl]" }, { kind: "directive", type: i2.NgModel, selector: "[ngModel]:not([formControlName]):not([formControl])", inputs: ["name", "disabled", "ngModel", "ngModelOptions"], outputs: ["ngModelChange"], exportAs: ["ngModel"] }, { kind: "directive", type: BsDropdownDirective, selector: "[bsDropdown]", inputs: ["hasBackdrop", "sameWidth", "closeOnClickOutside", "sameDropdownWidth", "isOpen"], outputs: ["isOpenChange"] }, { kind: "directive", type: BsDropdownMenuDirective, selector: "[bsDropdownMenu]" }, { kind: "pipe", type: i1.AsyncPipe, name: "async" }, { kind: "pipe", type: BsInListPipe, name: "inList" }] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "14.2.2", ngImport: i0, type: BsSelect2Component, decorators: [{
            type: Component,
            args: [{ selector: 'bs-select2', template: "<div bsDropdown [(isOpen)]=\"isOpen\" [hasBackdrop]=\"false\" #itemsBox class=\"items-box text-wrap\">\n    <ng-container *ngFor=\"let item of selectedItems\">\n        <ng-container *ngTemplateOutlet=\"itemTemplate ?? defaultItemTemplate; context: { item: item, select2: this }\"></ng-container>\n    </ng-container>\n\n    <input type=\"text\" autocomplete=\"off\"\n        [(ngModel)]=\"searchterm\"\n        (ngModelChange)=\"onProvideSuggestions($event)\"\n        (focus)=\"isFocused=true\"\n        (blur)=\"isFocused=false\"\n        [style.width.px]=\"searchWidth\"\n        #searchBox />\n    <ul *bsDropdownMenu class=\"dropdown-menu d-block position-static p-0\" [style.width.px]=\"hostWidth$ | async\">\n        <li *ngFor=\"let suggestion of suggestions\" (click)=\"onSuggestionClicked(suggestion)\" [class.selected]=\"selectedItems | inList:suggestion.id\">{{ suggestion.text }}</li>\n    </ul>\n</div>\n\n<ng-template #defaultItemTemplate let-item=\"item\" let-select2=\"select2\">\n    <span class=\"select2-item\">\n        <span (click)=\"select2.onRemoveItem(item,$event)\">\u00D7</span>\n        {{ item.text }}\n    </span>\n</ng-template>\n", styles: ["::ng-deep .dropup,::ng-deep .dropend,::ng-deep .dropdown,::ng-deep .dropstart,::ng-deep .dropup-center,::ng-deep .dropdown-center{position:relative}::ng-deep .dropdown-toggle{white-space:nowrap}::ng-deep .dropdown-toggle:after{display:inline-block;margin-left:.255em;vertical-align:.255em;content:\"\";border-top:.3em solid;border-right:.3em solid transparent;border-bottom:0;border-left:.3em solid transparent}::ng-deep .dropdown-toggle:empty:after{margin-left:0}::ng-deep .dropdown-menu{--bs-dropdown-zindex: 1000;--bs-dropdown-min-width: 10rem;--bs-dropdown-padding-x: 0;--bs-dropdown-padding-y: .5rem;--bs-dropdown-spacer: .125rem;--bs-dropdown-font-size: 1rem;--bs-dropdown-color: #212529;--bs-dropdown-bg: #fff;--bs-dropdown-border-color: var(--bs-border-color-translucent);--bs-dropdown-border-radius: .375rem;--bs-dropdown-border-width: 1px;--bs-dropdown-inner-border-radius:calc(.375rem - 1px);--bs-dropdown-divider-bg: var(--bs-border-color-translucent);--bs-dropdown-divider-margin-y: .5rem;--bs-dropdown-box-shadow: 0 .5rem 1rem rgba(0, 0, 0, .15);--bs-dropdown-link-color: #212529;--bs-dropdown-link-hover-color: #1e2125;--bs-dropdown-link-hover-bg: #e9ecef;--bs-dropdown-link-active-color: #fff;--bs-dropdown-link-active-bg: #0d6efd;--bs-dropdown-link-disabled-color: #adb5bd;--bs-dropdown-item-padding-x: 1rem;--bs-dropdown-item-padding-y: .25rem;--bs-dropdown-header-color: #6c757d;--bs-dropdown-header-padding-x: 1rem;--bs-dropdown-header-padding-y: .5rem;position:absolute;z-index:var(--bs-dropdown-zindex);display:none;min-width:var(--bs-dropdown-min-width);padding:var(--bs-dropdown-padding-y) var(--bs-dropdown-padding-x);margin:0;font-size:var(--bs-dropdown-font-size);color:var(--bs-dropdown-color);text-align:left;list-style:none;background-color:var(--bs-dropdown-bg);background-clip:padding-box;border:var(--bs-dropdown-border-width) solid var(--bs-dropdown-border-color);border-radius:var(--bs-dropdown-border-radius)}::ng-deep .dropdown-menu[data-bs-popper]{top:100%;left:0;margin-top:var(--bs-dropdown-spacer)}::ng-deep .dropdown-menu-start{--bs-position: start}::ng-deep .dropdown-menu-start[data-bs-popper]{right:auto;left:0}::ng-deep .dropdown-menu-end{--bs-position: end}::ng-deep .dropdown-menu-end[data-bs-popper]{right:0;left:auto}@media (min-width: 576px){::ng-deep .dropdown-menu-sm-start{--bs-position: start}::ng-deep .dropdown-menu-sm-start[data-bs-popper]{right:auto;left:0}::ng-deep .dropdown-menu-sm-end{--bs-position: end}::ng-deep .dropdown-menu-sm-end[data-bs-popper]{right:0;left:auto}}@media (min-width: 768px){::ng-deep .dropdown-menu-md-start{--bs-position: start}::ng-deep .dropdown-menu-md-start[data-bs-popper]{right:auto;left:0}::ng-deep .dropdown-menu-md-end{--bs-position: end}::ng-deep .dropdown-menu-md-end[data-bs-popper]{right:0;left:auto}}@media (min-width: 992px){::ng-deep .dropdown-menu-lg-start{--bs-position: start}::ng-deep .dropdown-menu-lg-start[data-bs-popper]{right:auto;left:0}::ng-deep .dropdown-menu-lg-end{--bs-position: end}::ng-deep .dropdown-menu-lg-end[data-bs-popper]{right:0;left:auto}}@media (min-width: 1200px){::ng-deep .dropdown-menu-xl-start{--bs-position: start}::ng-deep .dropdown-menu-xl-start[data-bs-popper]{right:auto;left:0}::ng-deep .dropdown-menu-xl-end{--bs-position: end}::ng-deep .dropdown-menu-xl-end[data-bs-popper]{right:0;left:auto}}@media (min-width: 1400px){::ng-deep .dropdown-menu-xxl-start{--bs-position: start}::ng-deep .dropdown-menu-xxl-start[data-bs-popper]{right:auto;left:0}::ng-deep .dropdown-menu-xxl-end{--bs-position: end}::ng-deep .dropdown-menu-xxl-end[data-bs-popper]{right:0;left:auto}}::ng-deep .dropup .dropdown-menu[data-bs-popper]{top:auto;bottom:100%;margin-top:0;margin-bottom:var(--bs-dropdown-spacer)}::ng-deep .dropup .dropdown-toggle:after{display:inline-block;margin-left:.255em;vertical-align:.255em;content:\"\";border-top:0;border-right:.3em solid transparent;border-bottom:.3em solid;border-left:.3em solid transparent}::ng-deep .dropup .dropdown-toggle:empty:after{margin-left:0}::ng-deep .dropend .dropdown-menu[data-bs-popper]{top:0;right:auto;left:100%;margin-top:0;margin-left:var(--bs-dropdown-spacer)}::ng-deep .dropend .dropdown-toggle:after{display:inline-block;margin-left:.255em;vertical-align:.255em;content:\"\";border-top:.3em solid transparent;border-right:0;border-bottom:.3em solid transparent;border-left:.3em solid}::ng-deep .dropend .dropdown-toggle:empty:after{margin-left:0}::ng-deep .dropend .dropdown-toggle:after{vertical-align:0}::ng-deep .dropstart .dropdown-menu[data-bs-popper]{top:0;right:100%;left:auto;margin-top:0;margin-right:var(--bs-dropdown-spacer)}::ng-deep .dropstart .dropdown-toggle:after{display:inline-block;margin-left:.255em;vertical-align:.255em;content:\"\"}::ng-deep .dropstart .dropdown-toggle:after{display:none}::ng-deep .dropstart .dropdown-toggle:before{display:inline-block;margin-right:.255em;vertical-align:.255em;content:\"\";border-top:.3em solid transparent;border-right:.3em solid;border-bottom:.3em solid transparent}::ng-deep .dropstart .dropdown-toggle:empty:after{margin-left:0}::ng-deep .dropstart .dropdown-toggle:before{vertical-align:0}::ng-deep .dropdown-divider{height:0;margin:var(--bs-dropdown-divider-margin-y) 0;overflow:hidden;border-top:1px solid var(--bs-dropdown-divider-bg);opacity:1}::ng-deep .dropdown-item{display:block;width:100%;padding:var(--bs-dropdown-item-padding-y) var(--bs-dropdown-item-padding-x);clear:both;font-weight:400;color:var(--bs-dropdown-link-color);text-align:inherit;text-decoration:none;white-space:nowrap;background-color:transparent;border:0}::ng-deep .dropdown-item:hover,::ng-deep .dropdown-item:focus{color:var(--bs-dropdown-link-hover-color);background-color:var(--bs-dropdown-link-hover-bg)}::ng-deep .dropdown-item.active,::ng-deep .dropdown-item:active{color:var(--bs-dropdown-link-active-color);text-decoration:none;background-color:var(--bs-dropdown-link-active-bg)}::ng-deep .dropdown-item.disabled,::ng-deep .dropdown-item:disabled{color:var(--bs-dropdown-link-disabled-color);pointer-events:none;background-color:transparent}::ng-deep .dropdown-menu.show{display:block}::ng-deep .dropdown-header{display:block;padding:var(--bs-dropdown-header-padding-y) var(--bs-dropdown-header-padding-x);margin-bottom:0;font-size:.875rem;color:var(--bs-dropdown-header-color);white-space:nowrap}::ng-deep .dropdown-item-text{display:block;padding:var(--bs-dropdown-item-padding-y) var(--bs-dropdown-item-padding-x);color:var(--bs-dropdown-link-color)}::ng-deep .dropdown-menu-dark{--bs-dropdown-color: #dee2e6;--bs-dropdown-bg: #343a40;--bs-dropdown-border-color: var(--bs-border-color-translucent);--bs-dropdown-box-shadow: ;--bs-dropdown-link-color: #dee2e6;--bs-dropdown-link-hover-color: #fff;--bs-dropdown-divider-bg: var(--bs-border-color-translucent);--bs-dropdown-link-hover-bg: rgba(255, 255, 255, .15);--bs-dropdown-link-active-color: #fff;--bs-dropdown-link-active-bg: #0d6efd;--bs-dropdown-link-disabled-color: #adb5bd;--bs-dropdown-header-color: #adb5bd}.items-box{display:block;position:relative;width:100%;min-height:38px;padding:0 5px 3px;cursor:text;border:1px solid #ccc}.items-box .select2-item{display:inline-block;background-color:#e4e4e4;color:#1a1a1a;border:1px solid #aaa;border-radius:4px;margin-top:5px;margin-right:5px;padding:0 5px;cursor:default;user-select:none;-webkit-user-select:none}.items-box .select2-item>span{cursor:pointer;color:#999}.items-box .select2-item>span:hover{color:#333}.items-box input{border:none;outline:0;margin:5px 0 2px;background:none}:host{display:block;transition:border-color .15s ease-in-out,box-shadow .15s ease-in-out}:host.focus{color:#495057;background-color:#fff;border-color:#80bdff!important;outline:0;box-shadow:0 0 0 .2rem #007bff40}ul{max-height:200px;overflow-y:auto}ul>li{padding:10px;cursor:pointer}ul>li.selected{background:#ddd}ul>li:hover{color:#fff;background-color:#5897fb}\n"] }]
        }], propDecorators: { defaultItemTemplate: [{
                type: ViewChild,
                args: ['defaultItemTemplate', { static: true }]
            }], searchBox: [{
                type: ViewChild,
                args: ['searchBox']
            }], itemsBox: [{
                type: ViewChild,
                args: ['itemsBox']
            }], searchterm: [{
                type: Input
            }], suggestions: [{
                type: Input
            }], provideSuggestions: [{
                type: Output
            }], selectedItems: [{
                type: Input
            }], isFocused: [{
                type: HostBinding,
                args: ['class.focus']
            }], onResize: [{
                type: HostListener,
                args: ['window:resize']
            }], focus: [{
                type: HostListener,
                args: ['click']
            }] } });

class BsItemTemplateDirective {
    constructor(select2component, templateRef) {
        this.select2component = select2component;
        this.select2component.itemTemplate = templateRef;
    }
}
BsItemTemplateDirective.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "14.2.2", ngImport: i0, type: BsItemTemplateDirective, deps: [{ token: BsSelect2Component }, { token: i0.TemplateRef }], target: i0.ɵɵFactoryTarget.Directive });
BsItemTemplateDirective.ɵdir = i0.ɵɵngDeclareDirective({ minVersion: "14.0.0", version: "14.2.2", type: BsItemTemplateDirective, selector: "[bsItemTemplate]", ngImport: i0 });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "14.2.2", ngImport: i0, type: BsItemTemplateDirective, decorators: [{
            type: Directive,
            args: [{
                    selector: '[bsItemTemplate]'
                }]
        }], ctorParameters: function () { return [{ type: BsSelect2Component }, { type: i0.TemplateRef }]; } });

class BsInListModule {
}
BsInListModule.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "14.2.2", ngImport: i0, type: BsInListModule, deps: [], target: i0.ɵɵFactoryTarget.NgModule });
BsInListModule.ɵmod = i0.ɵɵngDeclareNgModule({ minVersion: "14.0.0", version: "14.2.2", ngImport: i0, type: BsInListModule, declarations: [BsInListPipe], imports: [CommonModule], exports: [BsInListPipe] });
BsInListModule.ɵinj = i0.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "14.2.2", ngImport: i0, type: BsInListModule, imports: [CommonModule] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "14.2.2", ngImport: i0, type: BsInListModule, decorators: [{
            type: NgModule,
            args: [{
                    declarations: [
                        BsInListPipe
                    ],
                    imports: [
                        CommonModule
                    ],
                    exports: [
                        BsInListPipe
                    ]
                }]
        }] });

class BsSelect2Module {
}
BsSelect2Module.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "14.2.2", ngImport: i0, type: BsSelect2Module, deps: [], target: i0.ɵɵFactoryTarget.NgModule });
BsSelect2Module.ɵmod = i0.ɵɵngDeclareNgModule({ minVersion: "14.0.0", version: "14.2.2", ngImport: i0, type: BsSelect2Module, declarations: [BsSelect2Component,
        BsItemTemplateDirective], imports: [CommonModule,
        FormsModule,
        BsDropdownModule,
        BsInListModule], exports: [BsSelect2Component,
        BsItemTemplateDirective] });
BsSelect2Module.ɵinj = i0.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "14.2.2", ngImport: i0, type: BsSelect2Module, imports: [CommonModule,
        FormsModule,
        BsDropdownModule,
        BsInListModule] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "14.2.2", ngImport: i0, type: BsSelect2Module, decorators: [{
            type: NgModule,
            args: [{
                    declarations: [
                        BsSelect2Component,
                        BsItemTemplateDirective
                    ],
                    imports: [
                        CommonModule,
                        FormsModule,
                        BsDropdownModule,
                        BsInListModule
                    ],
                    exports: [
                        BsSelect2Component,
                        BsItemTemplateDirective
                    ]
                }]
        }] });

class BsSpinnerComponent {
    constructor() {
        this.colors = Color;
        //#region Type
        this.type$ = new BehaviorSubject('border');
        //#endregion
        //#region Color
        this.color$ = new BehaviorSubject(Color.dark);
        this.spinnerClass$ = this.type$
            .pipe(map((type) => `spinner-${type}`));
        this.colorClass$ = this.color$
            .pipe(map((type) => `text-${this.colors[type]}`));
    }
    ngOnInit() { }
    get type() {
        return this.type$.value;
    }
    set type(value) {
        this.type$.next(value);
    }
    get color() {
        return this.color$.value;
    }
    set color(value) {
        this.color$.next(value);
    }
}
BsSpinnerComponent.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "14.2.2", ngImport: i0, type: BsSpinnerComponent, deps: [], target: i0.ɵɵFactoryTarget.Component });
BsSpinnerComponent.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "14.2.2", type: BsSpinnerComponent, selector: "bs-spinner", inputs: { type: "type" }, ngImport: i0, template: "<div [class]=\"[spinnerClass$ | async, colorClass$ | async]\" role=\"status\">\n    <span class=\"visually-hidden\">Loading...</span>\n</div>", styles: [":host ::ng-deep .spinner-grow,:host ::ng-deep .spinner-border{display:inline-block;width:var(--bs-spinner-width);height:var(--bs-spinner-height);vertical-align:var(--bs-spinner-vertical-align);border-radius:50%;animation:var(--bs-spinner-animation-speed) linear infinite var(--bs-spinner-animation-name)}@keyframes spinner-border{to{transform:rotate(360deg)}}:host ::ng-deep .spinner-border{--bs-spinner-width: 2rem;--bs-spinner-height: 2rem;--bs-spinner-vertical-align: -.125em;--bs-spinner-border-width: .25em;--bs-spinner-animation-speed: .75s;--bs-spinner-animation-name: spinner-border;border:var(--bs-spinner-border-width) solid currentcolor;border-right-color:transparent}:host ::ng-deep .spinner-border-sm{--bs-spinner-width: 1rem;--bs-spinner-height: 1rem;--bs-spinner-border-width: .2em}@keyframes spinner-grow{0%{transform:scale(0)}50%{opacity:1;transform:none}}:host ::ng-deep .spinner-grow{--bs-spinner-width: 2rem;--bs-spinner-height: 2rem;--bs-spinner-vertical-align: -.125em;--bs-spinner-animation-speed: .75s;--bs-spinner-animation-name: spinner-grow;background-color:currentcolor;opacity:0}:host ::ng-deep .spinner-grow-sm{--bs-spinner-width: 1rem;--bs-spinner-height: 1rem}@media (prefers-reduced-motion: reduce){:host ::ng-deep .spinner-border,:host ::ng-deep .spinner-grow{--bs-spinner-animation-speed: 1.5s}}\n"], dependencies: [{ kind: "pipe", type: i1.AsyncPipe, name: "async" }] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "14.2.2", ngImport: i0, type: BsSpinnerComponent, decorators: [{
            type: Component,
            args: [{ selector: 'bs-spinner', template: "<div [class]=\"[spinnerClass$ | async, colorClass$ | async]\" role=\"status\">\n    <span class=\"visually-hidden\">Loading...</span>\n</div>", styles: [":host ::ng-deep .spinner-grow,:host ::ng-deep .spinner-border{display:inline-block;width:var(--bs-spinner-width);height:var(--bs-spinner-height);vertical-align:var(--bs-spinner-vertical-align);border-radius:50%;animation:var(--bs-spinner-animation-speed) linear infinite var(--bs-spinner-animation-name)}@keyframes spinner-border{to{transform:rotate(360deg)}}:host ::ng-deep .spinner-border{--bs-spinner-width: 2rem;--bs-spinner-height: 2rem;--bs-spinner-vertical-align: -.125em;--bs-spinner-border-width: .25em;--bs-spinner-animation-speed: .75s;--bs-spinner-animation-name: spinner-border;border:var(--bs-spinner-border-width) solid currentcolor;border-right-color:transparent}:host ::ng-deep .spinner-border-sm{--bs-spinner-width: 1rem;--bs-spinner-height: 1rem;--bs-spinner-border-width: .2em}@keyframes spinner-grow{0%{transform:scale(0)}50%{opacity:1;transform:none}}:host ::ng-deep .spinner-grow{--bs-spinner-width: 2rem;--bs-spinner-height: 2rem;--bs-spinner-vertical-align: -.125em;--bs-spinner-animation-speed: .75s;--bs-spinner-animation-name: spinner-grow;background-color:currentcolor;opacity:0}:host ::ng-deep .spinner-grow-sm{--bs-spinner-width: 1rem;--bs-spinner-height: 1rem}@media (prefers-reduced-motion: reduce){:host ::ng-deep .spinner-border,:host ::ng-deep .spinner-grow{--bs-spinner-animation-speed: 1.5s}}\n"] }]
        }], ctorParameters: function () { return []; }, propDecorators: { type: [{
                type: Input
            }] } });

class BsSpinnerModule {
}
BsSpinnerModule.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "14.2.2", ngImport: i0, type: BsSpinnerModule, deps: [], target: i0.ɵɵFactoryTarget.NgModule });
BsSpinnerModule.ɵmod = i0.ɵɵngDeclareNgModule({ minVersion: "14.0.0", version: "14.2.2", ngImport: i0, type: BsSpinnerModule, declarations: [BsSpinnerComponent], imports: [CommonModule], exports: [BsSpinnerComponent] });
BsSpinnerModule.ɵinj = i0.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "14.2.2", ngImport: i0, type: BsSpinnerModule, imports: [CommonModule] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "14.2.2", ngImport: i0, type: BsSpinnerModule, decorators: [{
            type: NgModule,
            args: [{
                    declarations: [BsSpinnerComponent],
                    imports: [CommonModule],
                    exports: [BsSpinnerComponent],
                }]
        }] });

class BsTabPageComponent {
    constructor(tabControl) {
        this.disabled = false;
        this.tabControl = tabControl;
    }
}
BsTabPageComponent.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "14.2.2", ngImport: i0, type: BsTabPageComponent, deps: [{ token: BsTabControlComponent }], target: i0.ɵɵFactoryTarget.Component });
BsTabPageComponent.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "14.2.2", type: BsTabPageComponent, selector: "bs-tab-page", inputs: { disabled: "disabled" }, queries: [{ propertyName: "headerTemplate", first: true, predicate: TemplateRef, descendants: true }], ngImport: i0, template: "<ng-content *ngIf=\"tabControl.activeTab === this\"></ng-content>", styles: [""], dependencies: [{ kind: "directive", type: i1.NgIf, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "14.2.2", ngImport: i0, type: BsTabPageComponent, decorators: [{
            type: Component,
            args: [{ selector: 'bs-tab-page', template: "<ng-content *ngIf=\"tabControl.activeTab === this\"></ng-content>" }]
        }], ctorParameters: function () { return [{ type: BsTabControlComponent }]; }, propDecorators: { disabled: [{
                type: Input
            }], headerTemplate: [{
                type: ContentChild,
                args: [TemplateRef]
            }] } });

class BsTabControlComponent {
    constructor() {
        this.border = true;
        this.activeTab = null;
    }
    setActiveTab(tab) {
        if (!tab.disabled) {
            this.activeTab = tab;
        }
        return false;
    }
}
BsTabControlComponent.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "14.2.2", ngImport: i0, type: BsTabControlComponent, deps: [], target: i0.ɵɵFactoryTarget.Component });
BsTabControlComponent.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "14.2.2", type: BsTabControlComponent, selector: "bs-tab-control", inputs: { border: "border" }, queries: [{ propertyName: "tabPages", predicate: BsTabPageComponent }], ngImport: i0, template: "<ul class=\"nav nav-tabs\">\n  <ng-container *ngFor=\"let tab of tabPages\">\n    <li class=\"nav-item\" (click)=\"setActiveTab(tab)\" *ngIf=\"!!tab.headerTemplate\">\n      <a class=\"nav-link\" [class.active]=\"activeTab === tab\" [class.disabled]=\"tab.disabled\" [attr.aria-current]=\"activeTab === tab ? 'page' : null\" [attr.aria-disabled]=\"tab.disabled\" href=\"\">\n        <ng-container [ngTemplateOutlet]=\"tab.headerTemplate\"></ng-container>\n      </a>\n    </li>\n  </ng-container>\n</ul>\n<div class=\"tab-content\" [class.border]=\"border && activeTab\">\n  <ng-content></ng-content>\n</div>", styles: [":host ::ng-deep .nav{--bs-nav-link-padding-x: 1rem;--bs-nav-link-padding-y: .5rem;--bs-nav-link-font-weight: ;--bs-nav-link-color: var(--bs-link-color);--bs-nav-link-hover-color: var(--bs-link-hover-color);--bs-nav-link-disabled-color: #6c757d;display:flex;flex-wrap:wrap;padding-left:0;margin-bottom:0;list-style:none}:host ::ng-deep .nav-link{display:block;padding:var(--bs-nav-link-padding-y) var(--bs-nav-link-padding-x);font-size:var(--bs-nav-link-font-size);font-weight:var(--bs-nav-link-font-weight);color:var(--bs-nav-link-color);text-decoration:none;transition:color .15s ease-in-out,background-color .15s ease-in-out,border-color .15s ease-in-out}@media (prefers-reduced-motion: reduce){:host ::ng-deep .nav-link{transition:none}}:host ::ng-deep .nav-link:hover,:host ::ng-deep .nav-link:focus{color:var(--bs-nav-link-hover-color)}:host ::ng-deep .nav-link.disabled{color:var(--bs-nav-link-disabled-color);pointer-events:none;cursor:default}:host ::ng-deep .nav-tabs{--bs-nav-tabs-border-width: 1px;--bs-nav-tabs-border-color: #dee2e6;--bs-nav-tabs-border-radius: .375rem;--bs-nav-tabs-link-hover-border-color: #e9ecef #e9ecef #dee2e6;--bs-nav-tabs-link-active-color: #495057;--bs-nav-tabs-link-active-bg: #fff;--bs-nav-tabs-link-active-border-color: #dee2e6 #dee2e6 #fff;border-bottom:var(--bs-nav-tabs-border-width) solid var(--bs-nav-tabs-border-color)}:host ::ng-deep .nav-tabs .nav-link{margin-bottom:calc(-1 * var(--bs-nav-tabs-border-width));background:none;border:var(--bs-nav-tabs-border-width) solid transparent;border-top-left-radius:var(--bs-nav-tabs-border-radius);border-top-right-radius:var(--bs-nav-tabs-border-radius)}:host ::ng-deep .nav-tabs .nav-link:hover,:host ::ng-deep .nav-tabs .nav-link:focus{isolation:isolate;border-color:var(--bs-nav-tabs-link-hover-border-color)}:host ::ng-deep .nav-tabs .nav-link.disabled,:host ::ng-deep .nav-tabs .nav-link:disabled{color:var(--bs-nav-link-disabled-color);background-color:transparent;border-color:transparent}:host ::ng-deep .nav-tabs .nav-link.active,:host ::ng-deep .nav-tabs .nav-item.show .nav-link{color:var(--bs-nav-tabs-link-active-color);background-color:var(--bs-nav-tabs-link-active-bg);border-color:var(--bs-nav-tabs-link-active-border-color)}:host ::ng-deep .nav-tabs .dropdown-menu{margin-top:calc(-1 * var(--bs-nav-tabs-border-width));border-top-left-radius:0;border-top-right-radius:0}:host ::ng-deep .nav-pills{--bs-nav-pills-border-radius: .375rem;--bs-nav-pills-link-active-color: #fff;--bs-nav-pills-link-active-bg: #0d6efd}:host ::ng-deep .nav-pills .nav-link{background:none;border:0;border-radius:var(--bs-nav-pills-border-radius)}:host ::ng-deep .nav-pills .nav-link:disabled{color:var(--bs-nav-link-disabled-color);background-color:transparent;border-color:transparent}:host ::ng-deep .nav-pills .nav-link.active,:host ::ng-deep .nav-pills .show>.nav-link{color:var(--bs-nav-pills-link-active-color);background-color:var(--bs-nav-pills-link-active-bg)}:host ::ng-deep .nav-fill>.nav-link,:host ::ng-deep .nav-fill .nav-item{flex:1 1 auto;text-align:center}:host ::ng-deep .nav-justified>.nav-link,:host ::ng-deep .nav-justified .nav-item{flex-basis:0;flex-grow:1;text-align:center}:host ::ng-deep .nav-fill .nav-item .nav-link,:host ::ng-deep .nav-justified .nav-item .nav-link{width:100%}:host ::ng-deep .tab-content>.tab-pane{display:none}:host ::ng-deep .tab-content>.active{display:block}:host ::ng-deep .tab-content{margin-top:-1px}\n"], dependencies: [{ kind: "directive", type: i1.NgForOf, selector: "[ngFor][ngForOf]", inputs: ["ngForOf", "ngForTrackBy", "ngForTemplate"] }, { kind: "directive", type: i1.NgIf, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }, { kind: "directive", type: i1.NgTemplateOutlet, selector: "[ngTemplateOutlet]", inputs: ["ngTemplateOutletContext", "ngTemplateOutlet", "ngTemplateOutletInjector"] }] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "14.2.2", ngImport: i0, type: BsTabControlComponent, decorators: [{
            type: Component,
            args: [{ selector: 'bs-tab-control', template: "<ul class=\"nav nav-tabs\">\n  <ng-container *ngFor=\"let tab of tabPages\">\n    <li class=\"nav-item\" (click)=\"setActiveTab(tab)\" *ngIf=\"!!tab.headerTemplate\">\n      <a class=\"nav-link\" [class.active]=\"activeTab === tab\" [class.disabled]=\"tab.disabled\" [attr.aria-current]=\"activeTab === tab ? 'page' : null\" [attr.aria-disabled]=\"tab.disabled\" href=\"\">\n        <ng-container [ngTemplateOutlet]=\"tab.headerTemplate\"></ng-container>\n      </a>\n    </li>\n  </ng-container>\n</ul>\n<div class=\"tab-content\" [class.border]=\"border && activeTab\">\n  <ng-content></ng-content>\n</div>", styles: [":host ::ng-deep .nav{--bs-nav-link-padding-x: 1rem;--bs-nav-link-padding-y: .5rem;--bs-nav-link-font-weight: ;--bs-nav-link-color: var(--bs-link-color);--bs-nav-link-hover-color: var(--bs-link-hover-color);--bs-nav-link-disabled-color: #6c757d;display:flex;flex-wrap:wrap;padding-left:0;margin-bottom:0;list-style:none}:host ::ng-deep .nav-link{display:block;padding:var(--bs-nav-link-padding-y) var(--bs-nav-link-padding-x);font-size:var(--bs-nav-link-font-size);font-weight:var(--bs-nav-link-font-weight);color:var(--bs-nav-link-color);text-decoration:none;transition:color .15s ease-in-out,background-color .15s ease-in-out,border-color .15s ease-in-out}@media (prefers-reduced-motion: reduce){:host ::ng-deep .nav-link{transition:none}}:host ::ng-deep .nav-link:hover,:host ::ng-deep .nav-link:focus{color:var(--bs-nav-link-hover-color)}:host ::ng-deep .nav-link.disabled{color:var(--bs-nav-link-disabled-color);pointer-events:none;cursor:default}:host ::ng-deep .nav-tabs{--bs-nav-tabs-border-width: 1px;--bs-nav-tabs-border-color: #dee2e6;--bs-nav-tabs-border-radius: .375rem;--bs-nav-tabs-link-hover-border-color: #e9ecef #e9ecef #dee2e6;--bs-nav-tabs-link-active-color: #495057;--bs-nav-tabs-link-active-bg: #fff;--bs-nav-tabs-link-active-border-color: #dee2e6 #dee2e6 #fff;border-bottom:var(--bs-nav-tabs-border-width) solid var(--bs-nav-tabs-border-color)}:host ::ng-deep .nav-tabs .nav-link{margin-bottom:calc(-1 * var(--bs-nav-tabs-border-width));background:none;border:var(--bs-nav-tabs-border-width) solid transparent;border-top-left-radius:var(--bs-nav-tabs-border-radius);border-top-right-radius:var(--bs-nav-tabs-border-radius)}:host ::ng-deep .nav-tabs .nav-link:hover,:host ::ng-deep .nav-tabs .nav-link:focus{isolation:isolate;border-color:var(--bs-nav-tabs-link-hover-border-color)}:host ::ng-deep .nav-tabs .nav-link.disabled,:host ::ng-deep .nav-tabs .nav-link:disabled{color:var(--bs-nav-link-disabled-color);background-color:transparent;border-color:transparent}:host ::ng-deep .nav-tabs .nav-link.active,:host ::ng-deep .nav-tabs .nav-item.show .nav-link{color:var(--bs-nav-tabs-link-active-color);background-color:var(--bs-nav-tabs-link-active-bg);border-color:var(--bs-nav-tabs-link-active-border-color)}:host ::ng-deep .nav-tabs .dropdown-menu{margin-top:calc(-1 * var(--bs-nav-tabs-border-width));border-top-left-radius:0;border-top-right-radius:0}:host ::ng-deep .nav-pills{--bs-nav-pills-border-radius: .375rem;--bs-nav-pills-link-active-color: #fff;--bs-nav-pills-link-active-bg: #0d6efd}:host ::ng-deep .nav-pills .nav-link{background:none;border:0;border-radius:var(--bs-nav-pills-border-radius)}:host ::ng-deep .nav-pills .nav-link:disabled{color:var(--bs-nav-link-disabled-color);background-color:transparent;border-color:transparent}:host ::ng-deep .nav-pills .nav-link.active,:host ::ng-deep .nav-pills .show>.nav-link{color:var(--bs-nav-pills-link-active-color);background-color:var(--bs-nav-pills-link-active-bg)}:host ::ng-deep .nav-fill>.nav-link,:host ::ng-deep .nav-fill .nav-item{flex:1 1 auto;text-align:center}:host ::ng-deep .nav-justified>.nav-link,:host ::ng-deep .nav-justified .nav-item{flex-basis:0;flex-grow:1;text-align:center}:host ::ng-deep .nav-fill .nav-item .nav-link,:host ::ng-deep .nav-justified .nav-item .nav-link{width:100%}:host ::ng-deep .tab-content>.tab-pane{display:none}:host ::ng-deep .tab-content>.active{display:block}:host ::ng-deep .tab-content{margin-top:-1px}\n"] }]
        }], propDecorators: { tabPages: [{
                type: ContentChildren,
                args: [BsTabPageComponent]
            }], border: [{
                type: Input
            }] } });

class BsTabControlModule {
}
BsTabControlModule.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "14.2.2", ngImport: i0, type: BsTabControlModule, deps: [], target: i0.ɵɵFactoryTarget.NgModule });
BsTabControlModule.ɵmod = i0.ɵɵngDeclareNgModule({ minVersion: "14.0.0", version: "14.2.2", ngImport: i0, type: BsTabControlModule, declarations: [BsTabControlComponent,
        BsTabPageComponent], imports: [CommonModule], exports: [BsTabControlComponent,
        BsTabPageComponent] });
BsTabControlModule.ɵinj = i0.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "14.2.2", ngImport: i0, type: BsTabControlModule, imports: [CommonModule] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "14.2.2", ngImport: i0, type: BsTabControlModule, decorators: [{
            type: NgModule,
            args: [{
                    declarations: [
                        BsTabControlComponent,
                        BsTabPageComponent,
                    ],
                    imports: [
                        CommonModule
                    ],
                    exports: [
                        BsTabControlComponent,
                        BsTabPageComponent,
                    ]
                }]
        }] });

class EnhancedPasteDirective {
    constructor(element, model) {
        this.element = element;
        this.model = model;
        this.numberOverflow = new EventEmitter();
    }
    onPaste(event) {
        // Prevent the default paste event
        event.preventDefault();
        // Get data from clipboard
        const data = event.clipboardData || window.clipboardData;
        const contents = data.getData('text');
        // Get min and max from input
        const min = parseFloat(this.element.nativeElement.min);
        const max = parseFloat(this.element.nativeElement.max);
        const filtered = this.filterInput(contents, min, max);
        if (filtered) {
            this.numberOverflow.emit(filtered);
            if (filtered.boundaryValue) {
                // Update NgModel
                this.model.control.setValue(filtered?.boundaryValue, { emitEvent: false, onlySelf: true });
            }
        }
    }
    filterInput(value, min, max) {
        const val = parseInt(value);
        if (isNaN(val)) {
            return { boundary: 'invalid' };
        }
        else if (val > max) {
            return { boundary: 'max', inputValue: val, boundaryValue: max };
        }
        else if (val < min) {
            return { boundary: 'min', inputValue: val, boundaryValue: min };
        }
        else {
            return null;
        }
    }
}
EnhancedPasteDirective.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "14.2.2", ngImport: i0, type: EnhancedPasteDirective, deps: [{ token: i0.ElementRef }, { token: i2.NgModel }], target: i0.ɵɵFactoryTarget.Directive });
EnhancedPasteDirective.ɵdir = i0.ɵɵngDeclareDirective({ minVersion: "14.0.0", version: "14.2.2", type: EnhancedPasteDirective, selector: "input[type=\"number\"][bsEnhancedPaste]", outputs: { numberOverflow: "numberOverflow" }, host: { listeners: { "paste": "onPaste($event)" } }, ngImport: i0 });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "14.2.2", ngImport: i0, type: EnhancedPasteDirective, decorators: [{
            type: Directive,
            args: [{
                    selector: 'input[type="number"][bsEnhancedPaste]'
                }]
        }], ctorParameters: function () { return [{ type: i0.ElementRef }, { type: i2.NgModel }]; }, propDecorators: { numberOverflow: [{
                type: Output
            }], onPaste: [{
                type: HostListener,
                args: ['paste', ['$event']]
            }] } });

class BsTimepickerComponent {
    constructor(ref, zone, renderer) {
        this.ref = ref;
        this.zone = zone;
        this.renderer = renderer;
        this.isOpen = false;
        this.presetTimestamps = [];
        this.isFocused = false;
        //#region SelectedTime
        this._selectedTime = new Date();
        this.selectedTimeChange = new EventEmitter();
        const today = new Date();
        today.setHours(0);
        today.setMinutes(0);
        today.setSeconds(0);
        const interval = 900;
        this.presetTimestamps = Array.from(Array(24 * 60 * 60 / interval).keys())
            .map(i => {
            const clone = new Date(today);
            clone.setTime(clone.getTime() + i * interval * 1000);
            return clone;
        });
    }
    selectAll(box) {
        box.select();
        // box.setSelectionRange(0, box.value.length);
        this.isFocused = true;
    }
    setNumber(event, max, nextInput) {
        event.preventDefault();
        const input = event.target;
        const val = parseInt(input.value);
        if (isNaN(val)) {
            input.value = '00';
        }
        else {
            const result = Math.min(max, Math.abs(val));
            input.value = result.toString().padStart(2, '0');
            if (nextInput) {
                // const maxAllowedNumberOfDigits = input.max.length;
                if (result * 10 > parseInt(input.max)) {
                    nextInput.focus();
                }
            }
        }
    }
    setTime(time) {
        this.selectedTime = time;
        this.isOpen = false;
    }
    get selectedTime() {
        return this._selectedTime;
    }
    set selectedTime(value) {
        // this.hours = value.getHours();
        // this.minutes = value.getMinutes();
        this._selectedTime = value;
        this.selectedTimeChange.emit(this._selectedTime);
    }
    //#endregion
    //#region Hours
    // private _hours = 0;
    get hours() {
        // return this._hours;
        return this.selectedTime.getHours();
    }
    set hours(value) {
        // this._hours = value;
        const clone = new Date(this.selectedTime);
        clone.setHours(value);
        this.selectedTime = clone;
    }
    // hours = 0;
    //#endregion
    //#region Minutes
    // private _minutes = 0;
    get minutes() {
        // return this._minutes;
        return this.selectedTime.getMinutes();
    }
    set minutes(value) {
        // this._minutes = value;
        // this.selectedTime.setMinutes(value);
        const clone = new Date(this.selectedTime);
        clone.setMinutes(value);
        this.selectedTime = clone;
    }
    //#endregion
    timesEqual(time1, time2) {
        return (time1.getHours() === time2.getHours()) && (time1.getMinutes() === time2.getMinutes());
    }
}
BsTimepickerComponent.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "14.2.2", ngImport: i0, type: BsTimepickerComponent, deps: [{ token: i0.ChangeDetectorRef }, { token: i0.NgZone }, { token: i0.Renderer2 }], target: i0.ɵɵFactoryTarget.Component });
BsTimepickerComponent.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "14.2.2", type: BsTimepickerComponent, selector: "bs-timepicker", inputs: { selectedTime: "selectedTime" }, outputs: { selectedTimeChange: "selectedTimeChange" }, ngImport: i0, template: "<div bsDropdown [(isOpen)]=\"isOpen\" [closeOnClickOutside]=\"false\" [sameDropdownWidth]=\"true\">\n    <span class=\"input-group\">\n        <span class=\"form-control d-flex\" [class.focus]=\"isFocused\">\n            <div class=\"flex-grow-1\">\n                <input type=\"number\" [min]=\"0\" [max]=\"23\" (input)=\"setNumber($event, 23, minuteBox)\" bsEnhancedPaste [ngModel]=\"hours | number: '2.0'\" (ngModelChange)=\"hours = $event\" (focus)=\"selectAll(hourBox)\" (blur)=\"isFocused = false\" #hourBox class=\"w-100 border-0 bg-transparent text-end\">\n            </div>\n            <span class=\"px-1\">:</span>\n            <div class=\"flex-grow-1\">\n                <input type=\"number\" [min]=\"0\" [max]=\"59\" (input)=\"setNumber($event, 59, null)\" bsEnhancedPaste [ngModel]=\"minutes | number: '2.0'\" (ngModelChange)=\"minutes = $event\"  (focus)=\"selectAll(minuteBox)\" (blur)=\"isFocused = false\" #minuteBox class=\"w-100 border-0 bg-transparent\">\n            </div>\n        </span>\n        <button class=\"btn btn-secondary\" (click)=\"isOpen = !isOpen\">\n            <i class=\"bi bi-clock\"></i>\n        </button>\n    </span>\n    <ul class=\"dropdown-menu show\" *bsDropdownMenu>\n        <li class=\"dropdown-item\" [class.active]=\"timesEqual(selectedTime, timestamp)\" *ngFor=\"let timestamp of presetTimestamps\" (click)=\"setTime(timestamp)\">\n            {{ timestamp | date: 'HH:mm' }}\n        </li>\n    </ul>\n</div>", styles: ["::ng-deep .dropup,::ng-deep .dropend,::ng-deep .dropdown,::ng-deep .dropstart,::ng-deep .dropup-center,::ng-deep .dropdown-center{position:relative}::ng-deep .dropdown-toggle{white-space:nowrap}::ng-deep .dropdown-toggle:after{display:inline-block;margin-left:.255em;vertical-align:.255em;content:\"\";border-top:.3em solid;border-right:.3em solid transparent;border-bottom:0;border-left:.3em solid transparent}::ng-deep .dropdown-toggle:empty:after{margin-left:0}::ng-deep .dropdown-menu{--bs-dropdown-zindex: 1000;--bs-dropdown-min-width: 10rem;--bs-dropdown-padding-x: 0;--bs-dropdown-padding-y: .5rem;--bs-dropdown-spacer: .125rem;--bs-dropdown-font-size: 1rem;--bs-dropdown-color: #212529;--bs-dropdown-bg: #fff;--bs-dropdown-border-color: var(--bs-border-color-translucent);--bs-dropdown-border-radius: .375rem;--bs-dropdown-border-width: 1px;--bs-dropdown-inner-border-radius:calc(.375rem - 1px);--bs-dropdown-divider-bg: var(--bs-border-color-translucent);--bs-dropdown-divider-margin-y: .5rem;--bs-dropdown-box-shadow: 0 .5rem 1rem rgba(0, 0, 0, .15);--bs-dropdown-link-color: #212529;--bs-dropdown-link-hover-color: #1e2125;--bs-dropdown-link-hover-bg: #e9ecef;--bs-dropdown-link-active-color: #fff;--bs-dropdown-link-active-bg: #0d6efd;--bs-dropdown-link-disabled-color: #adb5bd;--bs-dropdown-item-padding-x: 1rem;--bs-dropdown-item-padding-y: .25rem;--bs-dropdown-header-color: #6c757d;--bs-dropdown-header-padding-x: 1rem;--bs-dropdown-header-padding-y: .5rem;position:absolute;z-index:var(--bs-dropdown-zindex);display:none;min-width:var(--bs-dropdown-min-width);padding:var(--bs-dropdown-padding-y) var(--bs-dropdown-padding-x);margin:0;font-size:var(--bs-dropdown-font-size);color:var(--bs-dropdown-color);text-align:left;list-style:none;background-color:var(--bs-dropdown-bg);background-clip:padding-box;border:var(--bs-dropdown-border-width) solid var(--bs-dropdown-border-color);border-radius:var(--bs-dropdown-border-radius)}::ng-deep .dropdown-menu[data-bs-popper]{top:100%;left:0;margin-top:var(--bs-dropdown-spacer)}::ng-deep .dropdown-menu-start{--bs-position: start}::ng-deep .dropdown-menu-start[data-bs-popper]{right:auto;left:0}::ng-deep .dropdown-menu-end{--bs-position: end}::ng-deep .dropdown-menu-end[data-bs-popper]{right:0;left:auto}@media (min-width: 576px){::ng-deep .dropdown-menu-sm-start{--bs-position: start}::ng-deep .dropdown-menu-sm-start[data-bs-popper]{right:auto;left:0}::ng-deep .dropdown-menu-sm-end{--bs-position: end}::ng-deep .dropdown-menu-sm-end[data-bs-popper]{right:0;left:auto}}@media (min-width: 768px){::ng-deep .dropdown-menu-md-start{--bs-position: start}::ng-deep .dropdown-menu-md-start[data-bs-popper]{right:auto;left:0}::ng-deep .dropdown-menu-md-end{--bs-position: end}::ng-deep .dropdown-menu-md-end[data-bs-popper]{right:0;left:auto}}@media (min-width: 992px){::ng-deep .dropdown-menu-lg-start{--bs-position: start}::ng-deep .dropdown-menu-lg-start[data-bs-popper]{right:auto;left:0}::ng-deep .dropdown-menu-lg-end{--bs-position: end}::ng-deep .dropdown-menu-lg-end[data-bs-popper]{right:0;left:auto}}@media (min-width: 1200px){::ng-deep .dropdown-menu-xl-start{--bs-position: start}::ng-deep .dropdown-menu-xl-start[data-bs-popper]{right:auto;left:0}::ng-deep .dropdown-menu-xl-end{--bs-position: end}::ng-deep .dropdown-menu-xl-end[data-bs-popper]{right:0;left:auto}}@media (min-width: 1400px){::ng-deep .dropdown-menu-xxl-start{--bs-position: start}::ng-deep .dropdown-menu-xxl-start[data-bs-popper]{right:auto;left:0}::ng-deep .dropdown-menu-xxl-end{--bs-position: end}::ng-deep .dropdown-menu-xxl-end[data-bs-popper]{right:0;left:auto}}::ng-deep .dropup .dropdown-menu[data-bs-popper]{top:auto;bottom:100%;margin-top:0;margin-bottom:var(--bs-dropdown-spacer)}::ng-deep .dropup .dropdown-toggle:after{display:inline-block;margin-left:.255em;vertical-align:.255em;content:\"\";border-top:0;border-right:.3em solid transparent;border-bottom:.3em solid;border-left:.3em solid transparent}::ng-deep .dropup .dropdown-toggle:empty:after{margin-left:0}::ng-deep .dropend .dropdown-menu[data-bs-popper]{top:0;right:auto;left:100%;margin-top:0;margin-left:var(--bs-dropdown-spacer)}::ng-deep .dropend .dropdown-toggle:after{display:inline-block;margin-left:.255em;vertical-align:.255em;content:\"\";border-top:.3em solid transparent;border-right:0;border-bottom:.3em solid transparent;border-left:.3em solid}::ng-deep .dropend .dropdown-toggle:empty:after{margin-left:0}::ng-deep .dropend .dropdown-toggle:after{vertical-align:0}::ng-deep .dropstart .dropdown-menu[data-bs-popper]{top:0;right:100%;left:auto;margin-top:0;margin-right:var(--bs-dropdown-spacer)}::ng-deep .dropstart .dropdown-toggle:after{display:inline-block;margin-left:.255em;vertical-align:.255em;content:\"\"}::ng-deep .dropstart .dropdown-toggle:after{display:none}::ng-deep .dropstart .dropdown-toggle:before{display:inline-block;margin-right:.255em;vertical-align:.255em;content:\"\";border-top:.3em solid transparent;border-right:.3em solid;border-bottom:.3em solid transparent}::ng-deep .dropstart .dropdown-toggle:empty:after{margin-left:0}::ng-deep .dropstart .dropdown-toggle:before{vertical-align:0}::ng-deep .dropdown-divider{height:0;margin:var(--bs-dropdown-divider-margin-y) 0;overflow:hidden;border-top:1px solid var(--bs-dropdown-divider-bg);opacity:1}::ng-deep .dropdown-item{display:block;width:100%;padding:var(--bs-dropdown-item-padding-y) var(--bs-dropdown-item-padding-x);clear:both;font-weight:400;color:var(--bs-dropdown-link-color);text-align:inherit;text-decoration:none;white-space:nowrap;background-color:transparent;border:0}::ng-deep .dropdown-item:hover,::ng-deep .dropdown-item:focus{color:var(--bs-dropdown-link-hover-color);background-color:var(--bs-dropdown-link-hover-bg)}::ng-deep .dropdown-item.active,::ng-deep .dropdown-item:active{color:var(--bs-dropdown-link-active-color);text-decoration:none;background-color:var(--bs-dropdown-link-active-bg)}::ng-deep .dropdown-item.disabled,::ng-deep .dropdown-item:disabled{color:var(--bs-dropdown-link-disabled-color);pointer-events:none;background-color:transparent}::ng-deep .dropdown-menu.show{display:block}::ng-deep .dropdown-header{display:block;padding:var(--bs-dropdown-header-padding-y) var(--bs-dropdown-header-padding-x);margin-bottom:0;font-size:.875rem;color:var(--bs-dropdown-header-color);white-space:nowrap}::ng-deep .dropdown-item-text{display:block;padding:var(--bs-dropdown-item-padding-y) var(--bs-dropdown-item-padding-x);color:var(--bs-dropdown-link-color)}::ng-deep .dropdown-menu-dark{--bs-dropdown-color: #dee2e6;--bs-dropdown-bg: #343a40;--bs-dropdown-border-color: var(--bs-border-color-translucent);--bs-dropdown-box-shadow: ;--bs-dropdown-link-color: #dee2e6;--bs-dropdown-link-hover-color: #fff;--bs-dropdown-divider-bg: var(--bs-border-color-translucent);--bs-dropdown-link-hover-bg: rgba(255, 255, 255, .15);--bs-dropdown-link-active-color: #fff;--bs-dropdown-link-active-bg: #0d6efd;--bs-dropdown-link-disabled-color: #adb5bd;--bs-dropdown-header-color: #adb5bd}:host{display:inline-block}input::-webkit-outer-spin-button,input::-webkit-inner-spin-button{-webkit-appearance:none;margin:0}input[type=number]{-moz-appearance:textfield;outline:0px!important}.form-control{transition:border-color .15s ease-in-out,box-shadow .15s ease-in-out}.form-control.focus{color:#495057;background-color:#fff;border-color:#80bdff!important;outline:0;box-shadow:0 0 0 .2rem #007bff40}.dropdown-menu{max-height:250px;overflow-y:auto}.dropdown-menu .dropdown-item{cursor:pointer}\n"], dependencies: [{ kind: "directive", type: i1.NgForOf, selector: "[ngFor][ngForOf]", inputs: ["ngForOf", "ngForTrackBy", "ngForTemplate"] }, { kind: "directive", type: i2.DefaultValueAccessor, selector: "input:not([type=checkbox])[formControlName],textarea[formControlName],input:not([type=checkbox])[formControl],textarea[formControl],input:not([type=checkbox])[ngModel],textarea[ngModel],[ngDefaultControl]" }, { kind: "directive", type: i2.NumberValueAccessor, selector: "input[type=number][formControlName],input[type=number][formControl],input[type=number][ngModel]" }, { kind: "directive", type: i2.NgControlStatus, selector: "[formControlName],[ngModel],[formControl]" }, { kind: "directive", type: i2.MinValidator, selector: "input[type=number][min][formControlName],input[type=number][min][formControl],input[type=number][min][ngModel]", inputs: ["min"] }, { kind: "directive", type: i2.MaxValidator, selector: "input[type=number][max][formControlName],input[type=number][max][formControl],input[type=number][max][ngModel]", inputs: ["max"] }, { kind: "directive", type: i2.NgModel, selector: "[ngModel]:not([formControlName]):not([formControl])", inputs: ["name", "disabled", "ngModel", "ngModelOptions"], outputs: ["ngModelChange"], exportAs: ["ngModel"] }, { kind: "directive", type: EnhancedPasteDirective, selector: "input[type=\"number\"][bsEnhancedPaste]", outputs: ["numberOverflow"] }, { kind: "directive", type: BsDropdownDirective, selector: "[bsDropdown]", inputs: ["hasBackdrop", "sameWidth", "closeOnClickOutside", "sameDropdownWidth", "isOpen"], outputs: ["isOpenChange"] }, { kind: "directive", type: BsDropdownMenuDirective, selector: "[bsDropdownMenu]" }, { kind: "pipe", type: i1.DecimalPipe, name: "number" }, { kind: "pipe", type: i1.DatePipe, name: "date" }] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "14.2.2", ngImport: i0, type: BsTimepickerComponent, decorators: [{
            type: Component,
            args: [{ selector: 'bs-timepicker', template: "<div bsDropdown [(isOpen)]=\"isOpen\" [closeOnClickOutside]=\"false\" [sameDropdownWidth]=\"true\">\n    <span class=\"input-group\">\n        <span class=\"form-control d-flex\" [class.focus]=\"isFocused\">\n            <div class=\"flex-grow-1\">\n                <input type=\"number\" [min]=\"0\" [max]=\"23\" (input)=\"setNumber($event, 23, minuteBox)\" bsEnhancedPaste [ngModel]=\"hours | number: '2.0'\" (ngModelChange)=\"hours = $event\" (focus)=\"selectAll(hourBox)\" (blur)=\"isFocused = false\" #hourBox class=\"w-100 border-0 bg-transparent text-end\">\n            </div>\n            <span class=\"px-1\">:</span>\n            <div class=\"flex-grow-1\">\n                <input type=\"number\" [min]=\"0\" [max]=\"59\" (input)=\"setNumber($event, 59, null)\" bsEnhancedPaste [ngModel]=\"minutes | number: '2.0'\" (ngModelChange)=\"minutes = $event\"  (focus)=\"selectAll(minuteBox)\" (blur)=\"isFocused = false\" #minuteBox class=\"w-100 border-0 bg-transparent\">\n            </div>\n        </span>\n        <button class=\"btn btn-secondary\" (click)=\"isOpen = !isOpen\">\n            <i class=\"bi bi-clock\"></i>\n        </button>\n    </span>\n    <ul class=\"dropdown-menu show\" *bsDropdownMenu>\n        <li class=\"dropdown-item\" [class.active]=\"timesEqual(selectedTime, timestamp)\" *ngFor=\"let timestamp of presetTimestamps\" (click)=\"setTime(timestamp)\">\n            {{ timestamp | date: 'HH:mm' }}\n        </li>\n    </ul>\n</div>", styles: ["::ng-deep .dropup,::ng-deep .dropend,::ng-deep .dropdown,::ng-deep .dropstart,::ng-deep .dropup-center,::ng-deep .dropdown-center{position:relative}::ng-deep .dropdown-toggle{white-space:nowrap}::ng-deep .dropdown-toggle:after{display:inline-block;margin-left:.255em;vertical-align:.255em;content:\"\";border-top:.3em solid;border-right:.3em solid transparent;border-bottom:0;border-left:.3em solid transparent}::ng-deep .dropdown-toggle:empty:after{margin-left:0}::ng-deep .dropdown-menu{--bs-dropdown-zindex: 1000;--bs-dropdown-min-width: 10rem;--bs-dropdown-padding-x: 0;--bs-dropdown-padding-y: .5rem;--bs-dropdown-spacer: .125rem;--bs-dropdown-font-size: 1rem;--bs-dropdown-color: #212529;--bs-dropdown-bg: #fff;--bs-dropdown-border-color: var(--bs-border-color-translucent);--bs-dropdown-border-radius: .375rem;--bs-dropdown-border-width: 1px;--bs-dropdown-inner-border-radius:calc(.375rem - 1px);--bs-dropdown-divider-bg: var(--bs-border-color-translucent);--bs-dropdown-divider-margin-y: .5rem;--bs-dropdown-box-shadow: 0 .5rem 1rem rgba(0, 0, 0, .15);--bs-dropdown-link-color: #212529;--bs-dropdown-link-hover-color: #1e2125;--bs-dropdown-link-hover-bg: #e9ecef;--bs-dropdown-link-active-color: #fff;--bs-dropdown-link-active-bg: #0d6efd;--bs-dropdown-link-disabled-color: #adb5bd;--bs-dropdown-item-padding-x: 1rem;--bs-dropdown-item-padding-y: .25rem;--bs-dropdown-header-color: #6c757d;--bs-dropdown-header-padding-x: 1rem;--bs-dropdown-header-padding-y: .5rem;position:absolute;z-index:var(--bs-dropdown-zindex);display:none;min-width:var(--bs-dropdown-min-width);padding:var(--bs-dropdown-padding-y) var(--bs-dropdown-padding-x);margin:0;font-size:var(--bs-dropdown-font-size);color:var(--bs-dropdown-color);text-align:left;list-style:none;background-color:var(--bs-dropdown-bg);background-clip:padding-box;border:var(--bs-dropdown-border-width) solid var(--bs-dropdown-border-color);border-radius:var(--bs-dropdown-border-radius)}::ng-deep .dropdown-menu[data-bs-popper]{top:100%;left:0;margin-top:var(--bs-dropdown-spacer)}::ng-deep .dropdown-menu-start{--bs-position: start}::ng-deep .dropdown-menu-start[data-bs-popper]{right:auto;left:0}::ng-deep .dropdown-menu-end{--bs-position: end}::ng-deep .dropdown-menu-end[data-bs-popper]{right:0;left:auto}@media (min-width: 576px){::ng-deep .dropdown-menu-sm-start{--bs-position: start}::ng-deep .dropdown-menu-sm-start[data-bs-popper]{right:auto;left:0}::ng-deep .dropdown-menu-sm-end{--bs-position: end}::ng-deep .dropdown-menu-sm-end[data-bs-popper]{right:0;left:auto}}@media (min-width: 768px){::ng-deep .dropdown-menu-md-start{--bs-position: start}::ng-deep .dropdown-menu-md-start[data-bs-popper]{right:auto;left:0}::ng-deep .dropdown-menu-md-end{--bs-position: end}::ng-deep .dropdown-menu-md-end[data-bs-popper]{right:0;left:auto}}@media (min-width: 992px){::ng-deep .dropdown-menu-lg-start{--bs-position: start}::ng-deep .dropdown-menu-lg-start[data-bs-popper]{right:auto;left:0}::ng-deep .dropdown-menu-lg-end{--bs-position: end}::ng-deep .dropdown-menu-lg-end[data-bs-popper]{right:0;left:auto}}@media (min-width: 1200px){::ng-deep .dropdown-menu-xl-start{--bs-position: start}::ng-deep .dropdown-menu-xl-start[data-bs-popper]{right:auto;left:0}::ng-deep .dropdown-menu-xl-end{--bs-position: end}::ng-deep .dropdown-menu-xl-end[data-bs-popper]{right:0;left:auto}}@media (min-width: 1400px){::ng-deep .dropdown-menu-xxl-start{--bs-position: start}::ng-deep .dropdown-menu-xxl-start[data-bs-popper]{right:auto;left:0}::ng-deep .dropdown-menu-xxl-end{--bs-position: end}::ng-deep .dropdown-menu-xxl-end[data-bs-popper]{right:0;left:auto}}::ng-deep .dropup .dropdown-menu[data-bs-popper]{top:auto;bottom:100%;margin-top:0;margin-bottom:var(--bs-dropdown-spacer)}::ng-deep .dropup .dropdown-toggle:after{display:inline-block;margin-left:.255em;vertical-align:.255em;content:\"\";border-top:0;border-right:.3em solid transparent;border-bottom:.3em solid;border-left:.3em solid transparent}::ng-deep .dropup .dropdown-toggle:empty:after{margin-left:0}::ng-deep .dropend .dropdown-menu[data-bs-popper]{top:0;right:auto;left:100%;margin-top:0;margin-left:var(--bs-dropdown-spacer)}::ng-deep .dropend .dropdown-toggle:after{display:inline-block;margin-left:.255em;vertical-align:.255em;content:\"\";border-top:.3em solid transparent;border-right:0;border-bottom:.3em solid transparent;border-left:.3em solid}::ng-deep .dropend .dropdown-toggle:empty:after{margin-left:0}::ng-deep .dropend .dropdown-toggle:after{vertical-align:0}::ng-deep .dropstart .dropdown-menu[data-bs-popper]{top:0;right:100%;left:auto;margin-top:0;margin-right:var(--bs-dropdown-spacer)}::ng-deep .dropstart .dropdown-toggle:after{display:inline-block;margin-left:.255em;vertical-align:.255em;content:\"\"}::ng-deep .dropstart .dropdown-toggle:after{display:none}::ng-deep .dropstart .dropdown-toggle:before{display:inline-block;margin-right:.255em;vertical-align:.255em;content:\"\";border-top:.3em solid transparent;border-right:.3em solid;border-bottom:.3em solid transparent}::ng-deep .dropstart .dropdown-toggle:empty:after{margin-left:0}::ng-deep .dropstart .dropdown-toggle:before{vertical-align:0}::ng-deep .dropdown-divider{height:0;margin:var(--bs-dropdown-divider-margin-y) 0;overflow:hidden;border-top:1px solid var(--bs-dropdown-divider-bg);opacity:1}::ng-deep .dropdown-item{display:block;width:100%;padding:var(--bs-dropdown-item-padding-y) var(--bs-dropdown-item-padding-x);clear:both;font-weight:400;color:var(--bs-dropdown-link-color);text-align:inherit;text-decoration:none;white-space:nowrap;background-color:transparent;border:0}::ng-deep .dropdown-item:hover,::ng-deep .dropdown-item:focus{color:var(--bs-dropdown-link-hover-color);background-color:var(--bs-dropdown-link-hover-bg)}::ng-deep .dropdown-item.active,::ng-deep .dropdown-item:active{color:var(--bs-dropdown-link-active-color);text-decoration:none;background-color:var(--bs-dropdown-link-active-bg)}::ng-deep .dropdown-item.disabled,::ng-deep .dropdown-item:disabled{color:var(--bs-dropdown-link-disabled-color);pointer-events:none;background-color:transparent}::ng-deep .dropdown-menu.show{display:block}::ng-deep .dropdown-header{display:block;padding:var(--bs-dropdown-header-padding-y) var(--bs-dropdown-header-padding-x);margin-bottom:0;font-size:.875rem;color:var(--bs-dropdown-header-color);white-space:nowrap}::ng-deep .dropdown-item-text{display:block;padding:var(--bs-dropdown-item-padding-y) var(--bs-dropdown-item-padding-x);color:var(--bs-dropdown-link-color)}::ng-deep .dropdown-menu-dark{--bs-dropdown-color: #dee2e6;--bs-dropdown-bg: #343a40;--bs-dropdown-border-color: var(--bs-border-color-translucent);--bs-dropdown-box-shadow: ;--bs-dropdown-link-color: #dee2e6;--bs-dropdown-link-hover-color: #fff;--bs-dropdown-divider-bg: var(--bs-border-color-translucent);--bs-dropdown-link-hover-bg: rgba(255, 255, 255, .15);--bs-dropdown-link-active-color: #fff;--bs-dropdown-link-active-bg: #0d6efd;--bs-dropdown-link-disabled-color: #adb5bd;--bs-dropdown-header-color: #adb5bd}:host{display:inline-block}input::-webkit-outer-spin-button,input::-webkit-inner-spin-button{-webkit-appearance:none;margin:0}input[type=number]{-moz-appearance:textfield;outline:0px!important}.form-control{transition:border-color .15s ease-in-out,box-shadow .15s ease-in-out}.form-control.focus{color:#495057;background-color:#fff;border-color:#80bdff!important;outline:0;box-shadow:0 0 0 .2rem #007bff40}.dropdown-menu{max-height:250px;overflow-y:auto}.dropdown-menu .dropdown-item{cursor:pointer}\n"] }]
        }], ctorParameters: function () { return [{ type: i0.ChangeDetectorRef }, { type: i0.NgZone }, { type: i0.Renderer2 }]; }, propDecorators: { selectedTimeChange: [{
                type: Output
            }], selectedTime: [{
                type: Input
            }] } });

class EnhancedPasteModule {
}
EnhancedPasteModule.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "14.2.2", ngImport: i0, type: EnhancedPasteModule, deps: [], target: i0.ɵɵFactoryTarget.NgModule });
EnhancedPasteModule.ɵmod = i0.ɵɵngDeclareNgModule({ minVersion: "14.0.0", version: "14.2.2", ngImport: i0, type: EnhancedPasteModule, declarations: [EnhancedPasteDirective], imports: [CommonModule], exports: [EnhancedPasteDirective] });
EnhancedPasteModule.ɵinj = i0.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "14.2.2", ngImport: i0, type: EnhancedPasteModule, imports: [CommonModule] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "14.2.2", ngImport: i0, type: EnhancedPasteModule, decorators: [{
            type: NgModule,
            args: [{
                    declarations: [
                        EnhancedPasteDirective
                    ],
                    imports: [
                        CommonModule
                    ],
                    exports: [
                        EnhancedPasteDirective
                    ]
                }]
        }] });

class BsTimepickerModule {
}
BsTimepickerModule.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "14.2.2", ngImport: i0, type: BsTimepickerModule, deps: [], target: i0.ɵɵFactoryTarget.NgModule });
BsTimepickerModule.ɵmod = i0.ɵɵngDeclareNgModule({ minVersion: "14.0.0", version: "14.2.2", ngImport: i0, type: BsTimepickerModule, declarations: [BsTimepickerComponent], imports: [CommonModule,
        FormsModule,
        EnhancedPasteModule,
        BsDropdownModule], exports: [BsTimepickerComponent] });
BsTimepickerModule.ɵinj = i0.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "14.2.2", ngImport: i0, type: BsTimepickerModule, imports: [CommonModule,
        FormsModule,
        EnhancedPasteModule,
        BsDropdownModule] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "14.2.2", ngImport: i0, type: BsTimepickerModule, decorators: [{
            type: NgModule,
            args: [{
                    declarations: [
                        BsTimepickerComponent
                    ],
                    imports: [
                        CommonModule,
                        FormsModule,
                        EnhancedPasteModule,
                        BsDropdownModule
                    ],
                    exports: [
                        BsTimepickerComponent
                    ]
                }]
        }] });

class BsToastComponent {
    constructor() {
        this.isVisible = false;
    }
}
BsToastComponent.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "14.2.2", ngImport: i0, type: BsToastComponent, deps: [], target: i0.ɵɵFactoryTarget.Component });
BsToastComponent.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "14.2.2", type: BsToastComponent, selector: "bs-toast", inputs: { isVisible: "isVisible" }, ngImport: i0, template: "<div class=\"toast d-block fade mb-2 me-2\" [class.show]=\"isVisible\" aria-live=\"assertive\" aria-atomic=\"true\">\n    <ng-content></ng-content>\n</div>", styles: [":host ::ng-deep .fade{transition:opacity .15s linear}@media (prefers-reduced-motion: reduce){:host ::ng-deep .fade{transition:none}}:host ::ng-deep .fade:not(.show){opacity:0}:host ::ng-deep .collapse:not(.show){display:none}:host ::ng-deep .collapsing{height:0;overflow:hidden;transition:height .35s ease}@media (prefers-reduced-motion: reduce){:host ::ng-deep .collapsing{transition:none}}:host ::ng-deep .collapsing.collapse-horizontal{width:0;height:auto;transition:width .35s ease}@media (prefers-reduced-motion: reduce){:host ::ng-deep .collapsing.collapse-horizontal{transition:none}}:host ::ng-deep .toast{--bs-toast-zindex: 1090;--bs-toast-padding-x: .75rem;--bs-toast-padding-y: .5rem;--bs-toast-spacing: 1.5rem;--bs-toast-max-width: 350px;--bs-toast-font-size: .875rem;--bs-toast-color: ;--bs-toast-bg: rgba(255, 255, 255, .85);--bs-toast-border-width: 1px;--bs-toast-border-color: var(--bs-border-color-translucent);--bs-toast-border-radius: .375rem;--bs-toast-box-shadow: 0 .5rem 1rem rgba(0, 0, 0, .15);--bs-toast-header-color: #6c757d;--bs-toast-header-bg: rgba(255, 255, 255, .85);--bs-toast-header-border-color: rgba(0, 0, 0, .05);width:var(--bs-toast-max-width);max-width:100%;font-size:var(--bs-toast-font-size);color:var(--bs-toast-color);pointer-events:auto;background-color:var(--bs-toast-bg);background-clip:padding-box;border:var(--bs-toast-border-width) solid var(--bs-toast-border-color);box-shadow:var(--bs-toast-box-shadow);border-radius:var(--bs-toast-border-radius)}:host ::ng-deep .toast.showing{opacity:0}:host ::ng-deep .toast:not(.show){display:none}:host ::ng-deep .toast-container{position:absolute;z-index:var(--bs-toast-zindex);width:max-content;max-width:100%;pointer-events:none}:host ::ng-deep .toast-container>:not(:last-child){margin-bottom:var(--bs-toast-spacing)}:host ::ng-deep .toast-header{display:flex;align-items:center;padding:var(--bs-toast-padding-y) var(--bs-toast-padding-x);color:var(--bs-toast-header-color);background-color:var(--bs-toast-header-bg);background-clip:padding-box;border-bottom:var(--bs-toast-border-width) solid var(--bs-toast-header-border-color);border-top-left-radius:calc(var(--bs-toast-border-radius) - var(--bs-toast-border-width));border-top-right-radius:calc(var(--bs-toast-border-radius) - var(--bs-toast-border-width))}:host ::ng-deep .toast-header .btn-close{margin-right:calc(-.5 * var(--bs-toast-padding-x));margin-left:var(--bs-toast-padding-x)}:host ::ng-deep .toast-body{padding:var(--bs-toast-padding-x);word-wrap:break-word}\n"] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "14.2.2", ngImport: i0, type: BsToastComponent, decorators: [{
            type: Component,
            args: [{ selector: 'bs-toast', template: "<div class=\"toast d-block fade mb-2 me-2\" [class.show]=\"isVisible\" aria-live=\"assertive\" aria-atomic=\"true\">\n    <ng-content></ng-content>\n</div>", styles: [":host ::ng-deep .fade{transition:opacity .15s linear}@media (prefers-reduced-motion: reduce){:host ::ng-deep .fade{transition:none}}:host ::ng-deep .fade:not(.show){opacity:0}:host ::ng-deep .collapse:not(.show){display:none}:host ::ng-deep .collapsing{height:0;overflow:hidden;transition:height .35s ease}@media (prefers-reduced-motion: reduce){:host ::ng-deep .collapsing{transition:none}}:host ::ng-deep .collapsing.collapse-horizontal{width:0;height:auto;transition:width .35s ease}@media (prefers-reduced-motion: reduce){:host ::ng-deep .collapsing.collapse-horizontal{transition:none}}:host ::ng-deep .toast{--bs-toast-zindex: 1090;--bs-toast-padding-x: .75rem;--bs-toast-padding-y: .5rem;--bs-toast-spacing: 1.5rem;--bs-toast-max-width: 350px;--bs-toast-font-size: .875rem;--bs-toast-color: ;--bs-toast-bg: rgba(255, 255, 255, .85);--bs-toast-border-width: 1px;--bs-toast-border-color: var(--bs-border-color-translucent);--bs-toast-border-radius: .375rem;--bs-toast-box-shadow: 0 .5rem 1rem rgba(0, 0, 0, .15);--bs-toast-header-color: #6c757d;--bs-toast-header-bg: rgba(255, 255, 255, .85);--bs-toast-header-border-color: rgba(0, 0, 0, .05);width:var(--bs-toast-max-width);max-width:100%;font-size:var(--bs-toast-font-size);color:var(--bs-toast-color);pointer-events:auto;background-color:var(--bs-toast-bg);background-clip:padding-box;border:var(--bs-toast-border-width) solid var(--bs-toast-border-color);box-shadow:var(--bs-toast-box-shadow);border-radius:var(--bs-toast-border-radius)}:host ::ng-deep .toast.showing{opacity:0}:host ::ng-deep .toast:not(.show){display:none}:host ::ng-deep .toast-container{position:absolute;z-index:var(--bs-toast-zindex);width:max-content;max-width:100%;pointer-events:none}:host ::ng-deep .toast-container>:not(:last-child){margin-bottom:var(--bs-toast-spacing)}:host ::ng-deep .toast-header{display:flex;align-items:center;padding:var(--bs-toast-padding-y) var(--bs-toast-padding-x);color:var(--bs-toast-header-color);background-color:var(--bs-toast-header-bg);background-clip:padding-box;border-bottom:var(--bs-toast-border-width) solid var(--bs-toast-header-border-color);border-top-left-radius:calc(var(--bs-toast-border-radius) - var(--bs-toast-border-width));border-top-right-radius:calc(var(--bs-toast-border-radius) - var(--bs-toast-border-width))}:host ::ng-deep .toast-header .btn-close{margin-right:calc(-.5 * var(--bs-toast-padding-x));margin-left:var(--bs-toast-padding-x)}:host ::ng-deep .toast-body{padding:var(--bs-toast-padding-x);word-wrap:break-word}\n"] }]
        }], propDecorators: { isVisible: [{
                type: Input
            }] } });

class BsToastHeaderComponent {
    constructor() {
        this.toastClass = true;
    }
}
BsToastHeaderComponent.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "14.2.2", ngImport: i0, type: BsToastHeaderComponent, deps: [], target: i0.ɵɵFactoryTarget.Component });
BsToastHeaderComponent.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "14.2.2", type: BsToastHeaderComponent, selector: "bs-toast-header", host: { properties: { "class.toast-header": "this.toastClass" } }, ngImport: i0, template: "<ng-content></ng-content>", styles: [""] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "14.2.2", ngImport: i0, type: BsToastHeaderComponent, decorators: [{
            type: Component,
            args: [{ selector: 'bs-toast-header', template: "<ng-content></ng-content>" }]
        }], ctorParameters: function () { return []; }, propDecorators: { toastClass: [{
                type: HostBinding,
                args: ['class.toast-header']
            }] } });

class BsToastBodyComponent {
    constructor() {
        this.toastClasses = true;
    }
}
BsToastBodyComponent.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "14.2.2", ngImport: i0, type: BsToastBodyComponent, deps: [], target: i0.ɵɵFactoryTarget.Component });
BsToastBodyComponent.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "14.2.2", type: BsToastBodyComponent, selector: "bs-toast-body", host: { properties: { "class.d-flex": "this.toastClasses", "class.toast-body": "this.toastClasses" } }, ngImport: i0, template: "<ng-content></ng-content>\n", styles: [""] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "14.2.2", ngImport: i0, type: BsToastBodyComponent, decorators: [{
            type: Component,
            args: [{ selector: 'bs-toast-body', template: "<ng-content></ng-content>\n" }]
        }], ctorParameters: function () { return []; }, propDecorators: { toastClasses: [{
                type: HostBinding,
                args: ['class.d-flex']
            }, {
                type: HostBinding,
                args: ['class.toast-body']
            }] } });

const PORTAL_FACTORY = new InjectionToken('ToastPortalFactory');

class BsToastService {
    constructor(overlayService, rootInjector, portalFactory) {
        this.overlayService = overlayService;
        this.rootInjector = rootInjector;
        this.portalFactory = portalFactory;
        this.overlayRef = null;
        this.toasts$ = new BehaviorSubject([]);
    }
    pushToast(toast, context) {
        if (!this.overlayRef) {
            const injector = Injector.create({
                providers: [],
                parent: this.rootInjector,
            });
            const portal = this.portalFactory(injector);
            this.overlayRef = this.overlayService.create({
                scrollStrategy: this.overlayService.scrollStrategies.block(),
                positionStrategy: this.overlayService.position().global()
                    .top('0').left('0').bottom('0').right('0'),
                hasBackdrop: false
            });
            const component = this.overlayRef.attach(portal);
        }
        context = context ?? {};
        const ctx = Object.assign(context, { isVisible: false });
        this.toasts$.value.push({ template: toast, context: ctx });
        this.toasts$.next(this.toasts$.value);
        setTimeout(() => ctx.isVisible = true, 20);
    }
    close(index) {
        const toasts = this.toasts$.value;
        const toast = toasts[index];
        if (toast && toast.context) {
            toast.context.isVisible = false;
        }
        setTimeout(() => {
            toasts.splice(index, 1);
            this.toasts$.next(this.toasts$.value);
        }, 400);
    }
}
BsToastService.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "14.2.2", ngImport: i0, type: BsToastService, deps: [{ token: i1$1.Overlay }, { token: i0.Injector }, { token: PORTAL_FACTORY }], target: i0.ɵɵFactoryTarget.Injectable });
BsToastService.ɵprov = i0.ɵɵngDeclareInjectable({ minVersion: "12.0.0", version: "14.2.2", ngImport: i0, type: BsToastService });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "14.2.2", ngImport: i0, type: BsToastService, decorators: [{
            type: Injectable
        }], ctorParameters: function () { return [{ type: i1$1.Overlay }, { type: i0.Injector }, { type: undefined, decorators: [{
                    type: Inject,
                    args: [PORTAL_FACTORY]
                }] }]; } });

class BsAddPropertiesPipe {
    transform(value, toAdd) {
        const result = Object.assign(value ?? {}, toAdd);
        return result;
    }
}
BsAddPropertiesPipe.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "14.2.2", ngImport: i0, type: BsAddPropertiesPipe, deps: [], target: i0.ɵɵFactoryTarget.Pipe });
BsAddPropertiesPipe.ɵpipe = i0.ɵɵngDeclarePipe({ minVersion: "14.0.0", version: "14.2.2", ngImport: i0, type: BsAddPropertiesPipe, name: "bsAddProperties" });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "14.2.2", ngImport: i0, type: BsAddPropertiesPipe, decorators: [{
            type: Pipe,
            args: [{
                    name: 'bsAddProperties'
                }]
        }] });

class BsToastContainerComponent {
    constructor(toastService) {
        this.overflowY = 'auto';
        this.toastService = toastService;
    }
}
BsToastContainerComponent.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "14.2.2", ngImport: i0, type: BsToastContainerComponent, deps: [{ token: BsToastService }], target: i0.ɵɵFactoryTarget.Component });
BsToastContainerComponent.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "14.2.2", type: BsToastContainerComponent, selector: "bs-toast-container", host: { properties: { "style.overflow-y": "this.overflowY" } }, ngImport: i0, template: "<ng-container *ngFor=\"let toast of (toastService.toasts$ | async); let i = index\">\n    <ng-container [ngTemplateOutlet]=\"toast.template\" [ngTemplateOutletContext]=\"toast.context | bsAddProperties: {toastIndex: i}\"></ng-container>\n</ng-container>", styles: [":host ::ng-deep .toast{--bs-toast-zindex: 1090;--bs-toast-padding-x: .75rem;--bs-toast-padding-y: .5rem;--bs-toast-spacing: 1.5rem;--bs-toast-max-width: 350px;--bs-toast-font-size: .875rem;--bs-toast-color: ;--bs-toast-bg: rgba(255, 255, 255, .85);--bs-toast-border-width: 1px;--bs-toast-border-color: var(--bs-border-color-translucent);--bs-toast-border-radius: .375rem;--bs-toast-box-shadow: 0 .5rem 1rem rgba(0, 0, 0, .15);--bs-toast-header-color: #6c757d;--bs-toast-header-bg: rgba(255, 255, 255, .85);--bs-toast-header-border-color: rgba(0, 0, 0, .05);width:var(--bs-toast-max-width);max-width:100%;font-size:var(--bs-toast-font-size);color:var(--bs-toast-color);pointer-events:auto;background-color:var(--bs-toast-bg);background-clip:padding-box;border:var(--bs-toast-border-width) solid var(--bs-toast-border-color);box-shadow:var(--bs-toast-box-shadow);border-radius:var(--bs-toast-border-radius)}:host ::ng-deep .toast.showing{opacity:0}:host ::ng-deep .toast:not(.show){display:none}:host ::ng-deep .toast-container{position:absolute;z-index:var(--bs-toast-zindex);width:max-content;max-width:100%;pointer-events:none}:host ::ng-deep .toast-container>:not(:last-child){margin-bottom:var(--bs-toast-spacing)}:host ::ng-deep .toast-header{display:flex;align-items:center;padding:var(--bs-toast-padding-y) var(--bs-toast-padding-x);color:var(--bs-toast-header-color);background-color:var(--bs-toast-header-bg);background-clip:padding-box;border-bottom:var(--bs-toast-border-width) solid var(--bs-toast-header-border-color);border-top-left-radius:calc(var(--bs-toast-border-radius) - var(--bs-toast-border-width));border-top-right-radius:calc(var(--bs-toast-border-radius) - var(--bs-toast-border-width))}:host ::ng-deep .toast-header .btn-close{margin-right:calc(-.5 * var(--bs-toast-padding-x));margin-left:var(--bs-toast-padding-x)}:host ::ng-deep .toast-body{padding:var(--bs-toast-padding-x);word-wrap:break-word}\n"], dependencies: [{ kind: "directive", type: i1.NgForOf, selector: "[ngFor][ngForOf]", inputs: ["ngForOf", "ngForTrackBy", "ngForTemplate"] }, { kind: "directive", type: i1.NgTemplateOutlet, selector: "[ngTemplateOutlet]", inputs: ["ngTemplateOutletContext", "ngTemplateOutlet", "ngTemplateOutletInjector"] }, { kind: "pipe", type: i1.AsyncPipe, name: "async" }, { kind: "pipe", type: BsAddPropertiesPipe, name: "bsAddProperties" }] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "14.2.2", ngImport: i0, type: BsToastContainerComponent, decorators: [{
            type: Component,
            args: [{ selector: 'bs-toast-container', template: "<ng-container *ngFor=\"let toast of (toastService.toasts$ | async); let i = index\">\n    <ng-container [ngTemplateOutlet]=\"toast.template\" [ngTemplateOutletContext]=\"toast.context | bsAddProperties: {toastIndex: i}\"></ng-container>\n</ng-container>", styles: [":host ::ng-deep .toast{--bs-toast-zindex: 1090;--bs-toast-padding-x: .75rem;--bs-toast-padding-y: .5rem;--bs-toast-spacing: 1.5rem;--bs-toast-max-width: 350px;--bs-toast-font-size: .875rem;--bs-toast-color: ;--bs-toast-bg: rgba(255, 255, 255, .85);--bs-toast-border-width: 1px;--bs-toast-border-color: var(--bs-border-color-translucent);--bs-toast-border-radius: .375rem;--bs-toast-box-shadow: 0 .5rem 1rem rgba(0, 0, 0, .15);--bs-toast-header-color: #6c757d;--bs-toast-header-bg: rgba(255, 255, 255, .85);--bs-toast-header-border-color: rgba(0, 0, 0, .05);width:var(--bs-toast-max-width);max-width:100%;font-size:var(--bs-toast-font-size);color:var(--bs-toast-color);pointer-events:auto;background-color:var(--bs-toast-bg);background-clip:padding-box;border:var(--bs-toast-border-width) solid var(--bs-toast-border-color);box-shadow:var(--bs-toast-box-shadow);border-radius:var(--bs-toast-border-radius)}:host ::ng-deep .toast.showing{opacity:0}:host ::ng-deep .toast:not(.show){display:none}:host ::ng-deep .toast-container{position:absolute;z-index:var(--bs-toast-zindex);width:max-content;max-width:100%;pointer-events:none}:host ::ng-deep .toast-container>:not(:last-child){margin-bottom:var(--bs-toast-spacing)}:host ::ng-deep .toast-header{display:flex;align-items:center;padding:var(--bs-toast-padding-y) var(--bs-toast-padding-x);color:var(--bs-toast-header-color);background-color:var(--bs-toast-header-bg);background-clip:padding-box;border-bottom:var(--bs-toast-border-width) solid var(--bs-toast-header-border-color);border-top-left-radius:calc(var(--bs-toast-border-radius) - var(--bs-toast-border-width));border-top-right-radius:calc(var(--bs-toast-border-radius) - var(--bs-toast-border-width))}:host ::ng-deep .toast-header .btn-close{margin-right:calc(-.5 * var(--bs-toast-padding-x));margin-left:var(--bs-toast-padding-x)}:host ::ng-deep .toast-body{padding:var(--bs-toast-padding-x);word-wrap:break-word}\n"] }]
        }], ctorParameters: function () { return [{ type: BsToastService }]; }, propDecorators: { overflowY: [{
                type: HostBinding,
                args: ['style.overflow-y']
            }] } });

class BsToastCloseDirective {
    constructor(toast, toastService) {
        this.toast = toast;
        this.toastService = toastService;
        this.index = null;
    }
    onClick() {
        if (this.index !== null) {
            this.toastService.close(this.index);
        }
    }
}
BsToastCloseDirective.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "14.2.2", ngImport: i0, type: BsToastCloseDirective, deps: [{ token: BsToastComponent }, { token: BsToastService }], target: i0.ɵɵFactoryTarget.Directive });
BsToastCloseDirective.ɵdir = i0.ɵɵngDeclareDirective({ minVersion: "14.0.0", version: "14.2.2", type: BsToastCloseDirective, selector: "bs-close", inputs: { index: "index" }, host: { listeners: { "click": "onClick()" } }, ngImport: i0 });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "14.2.2", ngImport: i0, type: BsToastCloseDirective, decorators: [{
            type: Directive,
            args: [{
                    selector: 'bs-close'
                }]
        }], ctorParameters: function () { return [{ type: BsToastComponent }, { type: BsToastService }]; }, propDecorators: { onClick: [{
                type: HostListener,
                args: ['click']
            }], index: [{
                type: Input
            }] } });

class BsAddPropertiesModule {
}
BsAddPropertiesModule.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "14.2.2", ngImport: i0, type: BsAddPropertiesModule, deps: [], target: i0.ɵɵFactoryTarget.NgModule });
BsAddPropertiesModule.ɵmod = i0.ɵɵngDeclareNgModule({ minVersion: "14.0.0", version: "14.2.2", ngImport: i0, type: BsAddPropertiesModule, declarations: [BsAddPropertiesPipe], imports: [CommonModule], exports: [BsAddPropertiesPipe] });
BsAddPropertiesModule.ɵinj = i0.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "14.2.2", ngImport: i0, type: BsAddPropertiesModule, imports: [CommonModule] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "14.2.2", ngImport: i0, type: BsAddPropertiesModule, decorators: [{
            type: NgModule,
            args: [{
                    declarations: [
                        BsAddPropertiesPipe
                    ],
                    imports: [
                        CommonModule
                    ],
                    exports: [
                        BsAddPropertiesPipe
                    ]
                }]
        }] });

class BsToastModule {
}
BsToastModule.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "14.2.2", ngImport: i0, type: BsToastModule, deps: [], target: i0.ɵɵFactoryTarget.NgModule });
BsToastModule.ɵmod = i0.ɵɵngDeclareNgModule({ minVersion: "14.0.0", version: "14.2.2", ngImport: i0, type: BsToastModule, declarations: [BsToastComponent,
        BsToastBodyComponent,
        BsToastHeaderComponent,
        BsToastContainerComponent,
        BsToastCloseDirective], imports: [CommonModule,
        OverlayModule,
        BsAddPropertiesModule], exports: [BsToastComponent,
        BsToastBodyComponent,
        BsToastHeaderComponent,
        BsToastContainerComponent,
        BsToastCloseDirective] });
BsToastModule.ɵinj = i0.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "14.2.2", ngImport: i0, type: BsToastModule, providers: [
        {
            provide: PORTAL_FACTORY,
            useValue: (injector) => {
                return new ComponentPortal(BsToastContainerComponent, null, injector);
            }
        },
        BsToastService
    ], imports: [CommonModule,
        OverlayModule,
        BsAddPropertiesModule] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "14.2.2", ngImport: i0, type: BsToastModule, decorators: [{
            type: NgModule,
            args: [{
                    declarations: [
                        BsToastComponent,
                        BsToastBodyComponent,
                        BsToastHeaderComponent,
                        BsToastContainerComponent,
                        BsToastCloseDirective,
                    ],
                    imports: [
                        CommonModule,
                        OverlayModule,
                        BsAddPropertiesModule
                    ],
                    exports: [
                        BsToastComponent,
                        BsToastBodyComponent,
                        BsToastHeaderComponent,
                        BsToastContainerComponent,
                        BsToastCloseDirective,
                    ],
                    providers: [
                        {
                            provide: PORTAL_FACTORY,
                            useValue: (injector) => {
                                return new ComponentPortal(BsToastContainerComponent, null, injector);
                            }
                        },
                        BsToastService
                    ]
                }]
        }] });

class BsToggleButtonComponent {
    constructor() {
        this.disableAnimations = true;
        //#region Type
        this.type$ = new BehaviorSubject('checkbox');
        //#endregion
        //#region isToggled
        this._isToggled = false;
        this.change = new EventEmitter();
        this.isToggledChange = new EventEmitter();
        //#endregion
        //#region disabled
        this.disabled = false;
        //#endregion
        //#region name
        this.name$ = new BehaviorSubject(null);
        //#endregion
        //#region value
        this.value$ = new BehaviorSubject(null);
        //#endregion
        //#region Group
        this.group$ = new BehaviorSubject(null);
        this.mainCheckStyle$ = this.type$.pipe(map((type) => {
            switch (type) {
                case 'checkbox':
                case 'radio':
                case 'switch':
                    return 'form-check';
                default:
                    return null;
            }
        }));
        this.isSwitch$ = this.type$.pipe(map((type) => {
            switch (type) {
                case 'switch':
                    return true;
                default:
                    return false;
            }
        }));
        this.inputClass$ = this.type$.pipe(map((type) => {
            switch (type) {
                case 'checkbox':
                case 'radio':
                case 'switch':
                    return 'form-check-input';
                default:
                    return 'btn-check';
            }
        }));
        this.labelClass$ = this.type$.pipe(map((type) => {
            switch (type) {
                case 'checkbox':
                case 'radio':
                case 'switch':
                    return 'form-check-label';
                case 'toggle_button':
                    return 'btn btn-primary';
                case 'radio_toggle_button':
                    return 'btn btn-secondary';
            }
        }));
        this.checkOrRadio$ = this.type$.pipe(map((type) => {
            switch (type) {
                case 'radio':
                case 'radio_toggle_button':
                    return 'radio';
                default:
                    return 'checkbox';
            }
        }));
        this.nameResult$ = combineLatest([this.name$, this.type$, this.group$])
            .pipe(map(([name, type, group]) => {
            switch (type) {
                case 'radio':
                case 'radio_toggle_button':
                    return name;
                case 'checkbox':
                case 'toggle_button':
                case 'switch':
                    if (group) {
                        return `${name}[]`;
                    }
                    else {
                        return name;
                    }
                default:
                    throw 'Invalid value';
            }
        }));
    }
    get type() {
        return this.type$.value;
    }
    set type(value) {
        this.type$.next(value);
    }
    get isToggled() {
        return this._isToggled;
    }
    set isToggled(value) {
        this._isToggled = value;
        this.isToggledChange.emit(this._isToggled);
    }
    get name() {
        return this.name$.value;
    }
    set name(value) {
        this.name$.next(value);
    }
    get value() {
        return this.value$.value;
    }
    set value(value) {
        this.value$.next(value);
    }
    get group() {
        return this.group$.value;
    }
    set group(value) {
        this.group$.next(value);
    }
    //#endregion
    onChange(event) {
        const val = event.target.checked;
        this.isToggled = val;
        this.change.emit(val);
    }
    ngAfterViewInit() {
        this.disableAnimations = false;
    }
}
BsToggleButtonComponent.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "14.2.2", ngImport: i0, type: BsToggleButtonComponent, deps: [], target: i0.ɵɵFactoryTarget.Component });
BsToggleButtonComponent.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "14.2.2", type: BsToggleButtonComponent, selector: "bs-toggle-button", inputs: { type: "type", isToggled: "isToggled", disabled: "disabled", name: "name", value: "value", group: "group" }, outputs: { change: "change", isToggledChange: "isToggledChange" }, viewQueries: [{ propertyName: "checkbox", first: true, predicate: ["checkbox"], descendants: true }], ngImport: i0, template: "<label [class]=\"mainCheckStyle$ | async\" [class.form-switch]=\"isSwitch$ | async\">\n    <input #checkbox [class]=\"inputClass$ | async\" [type]=\"checkOrRadio$ | async\" [name]=\"name$ | async\" [value]=\"value$ | async\">\n    <span [class]=\"labelClass$ | async\">\n        <ng-content></ng-content>\n    </span>\n</label>", styles: [":host ::ng-deep .form-check{display:block;min-height:1.5rem;padding-left:1.5em;margin-bottom:.125rem}:host ::ng-deep .form-check .form-check-input{float:left;margin-left:-1.5em}:host ::ng-deep .form-check-reverse{padding-right:1.5em;padding-left:0;text-align:right}:host ::ng-deep .form-check-reverse .form-check-input{float:right;margin-right:-1.5em;margin-left:0}:host ::ng-deep .form-check-input{width:1em;height:1em;margin-top:.25em;vertical-align:top;background-color:#fff;background-repeat:no-repeat;background-position:center;background-size:contain;border:1px solid rgba(0,0,0,.25);-webkit-appearance:none;appearance:none;-webkit-print-color-adjust:exact;print-color-adjust:exact}:host ::ng-deep .form-check-input[type=checkbox]{border-radius:.25em}:host ::ng-deep .form-check-input[type=radio]{border-radius:50%}:host ::ng-deep .form-check-input:active{filter:brightness(90%)}:host ::ng-deep .form-check-input:focus{border-color:#86b7fe;outline:0;box-shadow:0 0 0 .25rem #0d6efd40}:host ::ng-deep .form-check-input:checked{background-color:#0d6efd;border-color:#0d6efd}:host ::ng-deep .form-check-input:checked[type=checkbox]{background-image:url(\"data:image/svg+xml,%3csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 20 20'%3e%3cpath fill='none' stroke='%23fff' stroke-linecap='round' stroke-linejoin='round' stroke-width='3' d='m6 10 3 3 6-6'/%3e%3c/svg%3e\")}:host ::ng-deep .form-check-input:checked[type=radio]{background-image:url(\"data:image/svg+xml,%3csvg xmlns='http://www.w3.org/2000/svg' viewBox='-4 -4 8 8'%3e%3ccircle r='2' fill='%23fff'/%3e%3c/svg%3e\")}:host ::ng-deep .form-check-input[type=checkbox]:indeterminate{background-color:#0d6efd;border-color:#0d6efd;background-image:url(\"data:image/svg+xml,%3csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 20 20'%3e%3cpath fill='none' stroke='%23fff' stroke-linecap='round' stroke-linejoin='round' stroke-width='3' d='M6 10h8'/%3e%3c/svg%3e\")}:host ::ng-deep .form-check-input:disabled{pointer-events:none;filter:none;opacity:.5}:host ::ng-deep .form-check-input[disabled]~.form-check-label,:host ::ng-deep .form-check-input:disabled~.form-check-label{cursor:default;opacity:.5}:host ::ng-deep .form-switch{padding-left:2.5em}:host ::ng-deep .form-switch .form-check-input{width:2em;margin-left:-2.5em;background-image:url(\"data:image/svg+xml,%3csvg xmlns='http://www.w3.org/2000/svg' viewBox='-4 -4 8 8'%3e%3ccircle r='3' fill='rgba%280, 0, 0, 0.25%29'/%3e%3c/svg%3e\");background-position:left center;border-radius:2em;transition:background-position .15s ease-in-out}@media (prefers-reduced-motion: reduce){:host ::ng-deep .form-switch .form-check-input{transition:none}}:host ::ng-deep .form-switch .form-check-input:focus{background-image:url(\"data:image/svg+xml,%3csvg xmlns='http://www.w3.org/2000/svg' viewBox='-4 -4 8 8'%3e%3ccircle r='3' fill='%2386b7fe'/%3e%3c/svg%3e\")}:host ::ng-deep .form-switch .form-check-input:checked{background-position:right center;background-image:url(\"data:image/svg+xml,%3csvg xmlns='http://www.w3.org/2000/svg' viewBox='-4 -4 8 8'%3e%3ccircle r='3' fill='%23fff'/%3e%3c/svg%3e\")}:host ::ng-deep .form-switch.form-check-reverse{padding-right:2.5em;padding-left:0}:host ::ng-deep .form-switch.form-check-reverse .form-check-input{margin-right:-2.5em;margin-left:0}:host ::ng-deep .form-check-inline{display:inline-block;margin-right:1rem}:host ::ng-deep .btn-check{position:absolute;clip:rect(0,0,0,0);pointer-events:none}:host ::ng-deep .btn-check[disabled]+.btn,:host ::ng-deep .btn-check:disabled+.btn{pointer-events:none;filter:none;opacity:.65}\n"], dependencies: [{ kind: "pipe", type: i1.AsyncPipe, name: "async" }] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "14.2.2", ngImport: i0, type: BsToggleButtonComponent, decorators: [{
            type: Component,
            args: [{ selector: 'bs-toggle-button', template: "<label [class]=\"mainCheckStyle$ | async\" [class.form-switch]=\"isSwitch$ | async\">\n    <input #checkbox [class]=\"inputClass$ | async\" [type]=\"checkOrRadio$ | async\" [name]=\"name$ | async\" [value]=\"value$ | async\">\n    <span [class]=\"labelClass$ | async\">\n        <ng-content></ng-content>\n    </span>\n</label>", styles: [":host ::ng-deep .form-check{display:block;min-height:1.5rem;padding-left:1.5em;margin-bottom:.125rem}:host ::ng-deep .form-check .form-check-input{float:left;margin-left:-1.5em}:host ::ng-deep .form-check-reverse{padding-right:1.5em;padding-left:0;text-align:right}:host ::ng-deep .form-check-reverse .form-check-input{float:right;margin-right:-1.5em;margin-left:0}:host ::ng-deep .form-check-input{width:1em;height:1em;margin-top:.25em;vertical-align:top;background-color:#fff;background-repeat:no-repeat;background-position:center;background-size:contain;border:1px solid rgba(0,0,0,.25);-webkit-appearance:none;appearance:none;-webkit-print-color-adjust:exact;print-color-adjust:exact}:host ::ng-deep .form-check-input[type=checkbox]{border-radius:.25em}:host ::ng-deep .form-check-input[type=radio]{border-radius:50%}:host ::ng-deep .form-check-input:active{filter:brightness(90%)}:host ::ng-deep .form-check-input:focus{border-color:#86b7fe;outline:0;box-shadow:0 0 0 .25rem #0d6efd40}:host ::ng-deep .form-check-input:checked{background-color:#0d6efd;border-color:#0d6efd}:host ::ng-deep .form-check-input:checked[type=checkbox]{background-image:url(\"data:image/svg+xml,%3csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 20 20'%3e%3cpath fill='none' stroke='%23fff' stroke-linecap='round' stroke-linejoin='round' stroke-width='3' d='m6 10 3 3 6-6'/%3e%3c/svg%3e\")}:host ::ng-deep .form-check-input:checked[type=radio]{background-image:url(\"data:image/svg+xml,%3csvg xmlns='http://www.w3.org/2000/svg' viewBox='-4 -4 8 8'%3e%3ccircle r='2' fill='%23fff'/%3e%3c/svg%3e\")}:host ::ng-deep .form-check-input[type=checkbox]:indeterminate{background-color:#0d6efd;border-color:#0d6efd;background-image:url(\"data:image/svg+xml,%3csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 20 20'%3e%3cpath fill='none' stroke='%23fff' stroke-linecap='round' stroke-linejoin='round' stroke-width='3' d='M6 10h8'/%3e%3c/svg%3e\")}:host ::ng-deep .form-check-input:disabled{pointer-events:none;filter:none;opacity:.5}:host ::ng-deep .form-check-input[disabled]~.form-check-label,:host ::ng-deep .form-check-input:disabled~.form-check-label{cursor:default;opacity:.5}:host ::ng-deep .form-switch{padding-left:2.5em}:host ::ng-deep .form-switch .form-check-input{width:2em;margin-left:-2.5em;background-image:url(\"data:image/svg+xml,%3csvg xmlns='http://www.w3.org/2000/svg' viewBox='-4 -4 8 8'%3e%3ccircle r='3' fill='rgba%280, 0, 0, 0.25%29'/%3e%3c/svg%3e\");background-position:left center;border-radius:2em;transition:background-position .15s ease-in-out}@media (prefers-reduced-motion: reduce){:host ::ng-deep .form-switch .form-check-input{transition:none}}:host ::ng-deep .form-switch .form-check-input:focus{background-image:url(\"data:image/svg+xml,%3csvg xmlns='http://www.w3.org/2000/svg' viewBox='-4 -4 8 8'%3e%3ccircle r='3' fill='%2386b7fe'/%3e%3c/svg%3e\")}:host ::ng-deep .form-switch .form-check-input:checked{background-position:right center;background-image:url(\"data:image/svg+xml,%3csvg xmlns='http://www.w3.org/2000/svg' viewBox='-4 -4 8 8'%3e%3ccircle r='3' fill='%23fff'/%3e%3c/svg%3e\")}:host ::ng-deep .form-switch.form-check-reverse{padding-right:2.5em;padding-left:0}:host ::ng-deep .form-switch.form-check-reverse .form-check-input{margin-right:-2.5em;margin-left:0}:host ::ng-deep .form-check-inline{display:inline-block;margin-right:1rem}:host ::ng-deep .btn-check{position:absolute;clip:rect(0,0,0,0);pointer-events:none}:host ::ng-deep .btn-check[disabled]+.btn,:host ::ng-deep .btn-check:disabled+.btn{pointer-events:none;filter:none;opacity:.65}\n"] }]
        }], ctorParameters: function () { return []; }, propDecorators: { checkbox: [{
                type: ViewChild,
                args: ['checkbox']
            }], type: [{
                type: Input
            }], change: [{
                type: Output
            }], isToggledChange: [{
                type: Output
            }], isToggled: [{
                type: Input
            }], disabled: [{
                type: Input
            }], name: [{
                type: Input
            }], value: [{
                type: Input
            }], group: [{
                type: Input
            }] } });

class BsToggleButtonGroupDirective {
    constructor() { }
}
BsToggleButtonGroupDirective.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "14.2.2", ngImport: i0, type: BsToggleButtonGroupDirective, deps: [], target: i0.ɵɵFactoryTarget.Directive });
BsToggleButtonGroupDirective.ɵdir = i0.ɵɵngDeclareDirective({ minVersion: "14.0.0", version: "14.2.2", type: BsToggleButtonGroupDirective, selector: "[bsToggleButtonGroup]", queries: [{ propertyName: "toggleButtons", predicate: BsToggleButtonComponent, descendants: true }], exportAs: ["bsToggleButtonGroup"], ngImport: i0 });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "14.2.2", ngImport: i0, type: BsToggleButtonGroupDirective, decorators: [{
            type: Directive,
            args: [{
                    selector: '[bsToggleButtonGroup]',
                    exportAs: 'bsToggleButtonGroup'
                }]
        }], ctorParameters: function () { return []; }, propDecorators: { toggleButtons: [{
                type: ContentChildren,
                args: [BsToggleButtonComponent, { descendants: true }]
            }] } });

class BsToggleButtonValueAccessor {
    constructor(host) {
        this.host = host;
        this.destroyed$ = new Subject();
    }
    //#region Lifecycle hooks
    ngAfterViewInit() {
        fromEvent(this.host.checkbox.nativeElement, 'change')
            .pipe(takeUntil(this.destroyed$))
            .subscribe((ev) => {
            if (this.onValueChange && this.host.checkbox) {
                const isChecked = ev.target.checked;
                switch (this.host.type) {
                    case 'radio':
                    case 'radio_toggle_button':
                        if (isChecked) {
                            this.onValueChange(this.host.checkbox.nativeElement.value);
                        }
                        break;
                    default:
                        if (this.host['group']) {
                            const group = this.host['group'];
                            const itemValue = this.host.checkbox.nativeElement.value;
                            const result = group.toggleButtons
                                .map(tb => ({ value: tb.value, checked: tb.checkbox.nativeElement.checked }))
                                .filter(tb => !!tb.value && tb.checked)
                                .map(tb => tb.value);
                            if (this.host.checkbox.nativeElement.checked) {
                                if (!result.includes(itemValue)) {
                                    result.push(itemValue);
                                }
                            }
                            else {
                                if (result.includes(itemValue)) {
                                    result.splice(result.indexOf(itemValue), 1);
                                }
                            }
                            this.onValueChange(result);
                        }
                        else {
                            this.onValueChange(isChecked);
                        }
                        break;
                }
            }
        });
    }
    ngOnDestroy() {
        this.destroyed$.next(true);
    }
    //#endregion
    //#region ControlValueAccessor implementation
    registerOnChange(fn) {
        this.onValueChange = fn;
    }
    registerOnTouched(fn) {
        this.onTouched = fn;
    }
    writeValue(value) {
        if (this.host.checkbox) {
            switch (this.host.type) {
                case 'radio':
                case 'radio_toggle_button':
                    if (value === this.host.value) {
                        this.host.checkbox.nativeElement.checked = true;
                    }
                    break;
                default:
                    if (this.host.group) {
                        this.host.checkbox.nativeElement.checked = value.includes(this.host.value);
                    }
                    else {
                        this.host.checkbox.nativeElement.checked = value;
                    }
                    break;
            }
        }
    }
    setDisabledState(isDisabled) {
        if (this.host.checkbox) {
            this.host.checkbox.nativeElement.disabled = isDisabled;
        }
    }
}
BsToggleButtonValueAccessor.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "14.2.2", ngImport: i0, type: BsToggleButtonValueAccessor, deps: [{ token: BsToggleButtonComponent }], target: i0.ɵɵFactoryTarget.Directive });
BsToggleButtonValueAccessor.ɵdir = i0.ɵɵngDeclareDirective({ minVersion: "14.0.0", version: "14.2.2", type: BsToggleButtonValueAccessor, selector: "bs-toggle-button", providers: [{
            provide: NG_VALUE_ACCESSOR,
            useExisting: forwardRef(() => BsToggleButtonValueAccessor),
            multi: true,
        }], ngImport: i0 });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "14.2.2", ngImport: i0, type: BsToggleButtonValueAccessor, decorators: [{
            type: Directive,
            args: [{
                    selector: 'bs-toggle-button',
                    providers: [{
                            provide: NG_VALUE_ACCESSOR,
                            useExisting: forwardRef(() => BsToggleButtonValueAccessor),
                            multi: true,
                        }],
                }]
        }], ctorParameters: function () { return [{ type: BsToggleButtonComponent }]; } });

class BsToggleButtonModule {
}
BsToggleButtonModule.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "14.2.2", ngImport: i0, type: BsToggleButtonModule, deps: [], target: i0.ɵɵFactoryTarget.NgModule });
BsToggleButtonModule.ɵmod = i0.ɵɵngDeclareNgModule({ minVersion: "14.0.0", version: "14.2.2", ngImport: i0, type: BsToggleButtonModule, declarations: [BsToggleButtonComponent,
        BsToggleButtonValueAccessor,
        BsToggleButtonGroupDirective], imports: [CommonModule], exports: [BsToggleButtonComponent,
        BsToggleButtonValueAccessor,
        BsToggleButtonGroupDirective] });
BsToggleButtonModule.ɵinj = i0.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "14.2.2", ngImport: i0, type: BsToggleButtonModule, imports: [CommonModule] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "14.2.2", ngImport: i0, type: BsToggleButtonModule, decorators: [{
            type: NgModule,
            args: [{
                    declarations: [
                        BsToggleButtonComponent,
                        BsToggleButtonValueAccessor,
                        BsToggleButtonGroupDirective
                    ],
                    imports: [
                        CommonModule
                    ],
                    exports: [
                        BsToggleButtonComponent,
                        BsToggleButtonValueAccessor,
                        BsToggleButtonGroupDirective
                    ]
                }]
        }] });

const TOOLTIP_CONTENT = new InjectionToken('TooltipContent');

class BsTooltipComponent {
    constructor(content) {
        this.positions = Position;
        this.position = Position.bottom;
        this.positionRelative = true;
        this.template = content;
    }
}
BsTooltipComponent.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "14.2.2", ngImport: i0, type: BsTooltipComponent, deps: [{ token: TOOLTIP_CONTENT }], target: i0.ɵɵFactoryTarget.Component });
BsTooltipComponent.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "14.2.2", type: BsTooltipComponent, selector: "bs-tooltip", inputs: { position: "position" }, host: { properties: { "class.position-relative": "this.positionRelative" } }, ngImport: i0, template: "<div [@fadeInOut] class=\"tooltip position-absolute show\"\n    [class.bs-tooltip-bottom]=\"position === positions.bottom\"\n    [class.bs-tooltip-top]=\"position === positions.top\"\n    [class.bs-tooltip-start]=\"position === positions.left\"\n    [class.bs-tooltip-end]=\"position === positions.right\">\n    <div class=\"tooltip-arrow position-absolute\"></div>\n    <div class=\"tooltip-inner\">\n        <ng-container *ngTemplateOutlet=\"template\"></ng-container>\n    </div>\n</div>\n", styles: [":host ::ng-deep .tooltip{--bs-tooltip-zindex: 1080;--bs-tooltip-max-width: 200px;--bs-tooltip-padding-x: .5rem;--bs-tooltip-padding-y: .25rem;--bs-tooltip-margin: ;--bs-tooltip-font-size: .875rem;--bs-tooltip-color: #fff;--bs-tooltip-bg: #000;--bs-tooltip-border-radius: .375rem;--bs-tooltip-opacity: .9;--bs-tooltip-arrow-width: .8rem;--bs-tooltip-arrow-height: .4rem;z-index:var(--bs-tooltip-zindex);display:block;padding:var(--bs-tooltip-arrow-height);margin:var(--bs-tooltip-margin);font-family:var(--bs-font-sans-serif);font-style:normal;font-weight:400;line-height:1.5;text-align:left;text-align:start;text-decoration:none;text-shadow:none;text-transform:none;letter-spacing:normal;word-break:normal;white-space:normal;word-spacing:normal;line-break:auto;font-size:var(--bs-tooltip-font-size);word-wrap:break-word;opacity:0}:host ::ng-deep .tooltip.show{opacity:var(--bs-tooltip-opacity)}:host ::ng-deep .tooltip .tooltip-arrow{display:block;width:var(--bs-tooltip-arrow-width);height:var(--bs-tooltip-arrow-height)}:host ::ng-deep .tooltip .tooltip-arrow:before{position:absolute;content:\"\";border-color:transparent;border-style:solid}:host ::ng-deep .bs-tooltip-top .tooltip-arrow,:host ::ng-deep .bs-tooltip-auto[data-popper-placement^=top] .tooltip-arrow{bottom:0}:host ::ng-deep .bs-tooltip-top .tooltip-arrow:before,:host ::ng-deep .bs-tooltip-auto[data-popper-placement^=top] .tooltip-arrow:before{top:-1px;border-width:var(--bs-tooltip-arrow-height) calc(var(--bs-tooltip-arrow-width) * .5) 0;border-top-color:var(--bs-tooltip-bg)}:host ::ng-deep .bs-tooltip-end .tooltip-arrow,:host ::ng-deep .bs-tooltip-auto[data-popper-placement^=right] .tooltip-arrow{left:0;width:var(--bs-tooltip-arrow-height);height:var(--bs-tooltip-arrow-width)}:host ::ng-deep .bs-tooltip-end .tooltip-arrow:before,:host ::ng-deep .bs-tooltip-auto[data-popper-placement^=right] .tooltip-arrow:before{right:-1px;border-width:calc(var(--bs-tooltip-arrow-width) * .5) var(--bs-tooltip-arrow-height) calc(var(--bs-tooltip-arrow-width) * .5) 0;border-right-color:var(--bs-tooltip-bg)}:host ::ng-deep .bs-tooltip-bottom .tooltip-arrow,:host ::ng-deep .bs-tooltip-auto[data-popper-placement^=bottom] .tooltip-arrow{top:0}:host ::ng-deep .bs-tooltip-bottom .tooltip-arrow:before,:host ::ng-deep .bs-tooltip-auto[data-popper-placement^=bottom] .tooltip-arrow:before{bottom:-1px;border-width:0 calc(var(--bs-tooltip-arrow-width) * .5) var(--bs-tooltip-arrow-height);border-bottom-color:var(--bs-tooltip-bg)}:host ::ng-deep .bs-tooltip-start .tooltip-arrow,:host ::ng-deep .bs-tooltip-auto[data-popper-placement^=left] .tooltip-arrow{right:0;width:var(--bs-tooltip-arrow-height);height:var(--bs-tooltip-arrow-width)}:host ::ng-deep .bs-tooltip-start .tooltip-arrow:before,:host ::ng-deep .bs-tooltip-auto[data-popper-placement^=left] .tooltip-arrow:before{left:-1px;border-width:calc(var(--bs-tooltip-arrow-width) * .5) 0 calc(var(--bs-tooltip-arrow-width) * .5) var(--bs-tooltip-arrow-height);border-left-color:var(--bs-tooltip-bg)}:host ::ng-deep .tooltip-inner{max-width:var(--bs-tooltip-max-width);padding:var(--bs-tooltip-padding-y) var(--bs-tooltip-padding-x);color:var(--bs-tooltip-color);text-align:center;background-color:var(--bs-tooltip-bg);border-radius:var(--bs-tooltip-border-radius)}.tooltip.bs-tooltip-start,:host ::ng-deep .tooltip.bs-tooltip-auto[data-popper-placement^=left]{right:0}.tooltip.bs-tooltip-start,:host ::ng-deep .tooltip.bs-tooltip-auto[data-popper-placement^=left],.tooltip.bs-tooltip-end,:host ::ng-deep .tooltip.bs-tooltip-auto[data-popper-placement^=right]{transform:translateY(-50%)}.tooltip.bs-tooltip-bottom,:host ::ng-deep .tooltip.bs-tooltip-auto[data-popper-placement^=bottom]{transform:translate(-50%)}.tooltip.bs-tooltip-top,:host ::ng-deep .tooltip.bs-tooltip-auto[data-popper-placement^=top]{transform:translate(-50%) translateY(-100%)}.tooltip.bs-tooltip-bottom .tooltip-arrow,:host ::ng-deep .tooltip.bs-tooltip-auto[data-popper-placement^=bottom] .tooltip-arrow,.tooltip.bs-tooltip-top .tooltip-arrow,:host ::ng-deep .tooltip.bs-tooltip-auto[data-popper-placement^=top] .tooltip-arrow{left:50%;transform:translate(-50%)}.tooltip.bs-tooltip-start .tooltip-arrow,:host ::ng-deep .tooltip.bs-tooltip-auto[data-popper-placement^=left] .tooltip-arrow,.tooltip.bs-tooltip-end .tooltip-arrow,:host ::ng-deep .tooltip.bs-tooltip-auto[data-popper-placement^=right] .tooltip-arrow{top:50%;transform:translateY(-50%)}\n"], dependencies: [{ kind: "directive", type: i1.NgTemplateOutlet, selector: "[ngTemplateOutlet]", inputs: ["ngTemplateOutletContext", "ngTemplateOutlet", "ngTemplateOutletInjector"] }], animations: [FadeInOutAnimation] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "14.2.2", ngImport: i0, type: BsTooltipComponent, decorators: [{
            type: Component,
            args: [{ selector: 'bs-tooltip', animations: [FadeInOutAnimation], template: "<div [@fadeInOut] class=\"tooltip position-absolute show\"\n    [class.bs-tooltip-bottom]=\"position === positions.bottom\"\n    [class.bs-tooltip-top]=\"position === positions.top\"\n    [class.bs-tooltip-start]=\"position === positions.left\"\n    [class.bs-tooltip-end]=\"position === positions.right\">\n    <div class=\"tooltip-arrow position-absolute\"></div>\n    <div class=\"tooltip-inner\">\n        <ng-container *ngTemplateOutlet=\"template\"></ng-container>\n    </div>\n</div>\n", styles: [":host ::ng-deep .tooltip{--bs-tooltip-zindex: 1080;--bs-tooltip-max-width: 200px;--bs-tooltip-padding-x: .5rem;--bs-tooltip-padding-y: .25rem;--bs-tooltip-margin: ;--bs-tooltip-font-size: .875rem;--bs-tooltip-color: #fff;--bs-tooltip-bg: #000;--bs-tooltip-border-radius: .375rem;--bs-tooltip-opacity: .9;--bs-tooltip-arrow-width: .8rem;--bs-tooltip-arrow-height: .4rem;z-index:var(--bs-tooltip-zindex);display:block;padding:var(--bs-tooltip-arrow-height);margin:var(--bs-tooltip-margin);font-family:var(--bs-font-sans-serif);font-style:normal;font-weight:400;line-height:1.5;text-align:left;text-align:start;text-decoration:none;text-shadow:none;text-transform:none;letter-spacing:normal;word-break:normal;white-space:normal;word-spacing:normal;line-break:auto;font-size:var(--bs-tooltip-font-size);word-wrap:break-word;opacity:0}:host ::ng-deep .tooltip.show{opacity:var(--bs-tooltip-opacity)}:host ::ng-deep .tooltip .tooltip-arrow{display:block;width:var(--bs-tooltip-arrow-width);height:var(--bs-tooltip-arrow-height)}:host ::ng-deep .tooltip .tooltip-arrow:before{position:absolute;content:\"\";border-color:transparent;border-style:solid}:host ::ng-deep .bs-tooltip-top .tooltip-arrow,:host ::ng-deep .bs-tooltip-auto[data-popper-placement^=top] .tooltip-arrow{bottom:0}:host ::ng-deep .bs-tooltip-top .tooltip-arrow:before,:host ::ng-deep .bs-tooltip-auto[data-popper-placement^=top] .tooltip-arrow:before{top:-1px;border-width:var(--bs-tooltip-arrow-height) calc(var(--bs-tooltip-arrow-width) * .5) 0;border-top-color:var(--bs-tooltip-bg)}:host ::ng-deep .bs-tooltip-end .tooltip-arrow,:host ::ng-deep .bs-tooltip-auto[data-popper-placement^=right] .tooltip-arrow{left:0;width:var(--bs-tooltip-arrow-height);height:var(--bs-tooltip-arrow-width)}:host ::ng-deep .bs-tooltip-end .tooltip-arrow:before,:host ::ng-deep .bs-tooltip-auto[data-popper-placement^=right] .tooltip-arrow:before{right:-1px;border-width:calc(var(--bs-tooltip-arrow-width) * .5) var(--bs-tooltip-arrow-height) calc(var(--bs-tooltip-arrow-width) * .5) 0;border-right-color:var(--bs-tooltip-bg)}:host ::ng-deep .bs-tooltip-bottom .tooltip-arrow,:host ::ng-deep .bs-tooltip-auto[data-popper-placement^=bottom] .tooltip-arrow{top:0}:host ::ng-deep .bs-tooltip-bottom .tooltip-arrow:before,:host ::ng-deep .bs-tooltip-auto[data-popper-placement^=bottom] .tooltip-arrow:before{bottom:-1px;border-width:0 calc(var(--bs-tooltip-arrow-width) * .5) var(--bs-tooltip-arrow-height);border-bottom-color:var(--bs-tooltip-bg)}:host ::ng-deep .bs-tooltip-start .tooltip-arrow,:host ::ng-deep .bs-tooltip-auto[data-popper-placement^=left] .tooltip-arrow{right:0;width:var(--bs-tooltip-arrow-height);height:var(--bs-tooltip-arrow-width)}:host ::ng-deep .bs-tooltip-start .tooltip-arrow:before,:host ::ng-deep .bs-tooltip-auto[data-popper-placement^=left] .tooltip-arrow:before{left:-1px;border-width:calc(var(--bs-tooltip-arrow-width) * .5) 0 calc(var(--bs-tooltip-arrow-width) * .5) var(--bs-tooltip-arrow-height);border-left-color:var(--bs-tooltip-bg)}:host ::ng-deep .tooltip-inner{max-width:var(--bs-tooltip-max-width);padding:var(--bs-tooltip-padding-y) var(--bs-tooltip-padding-x);color:var(--bs-tooltip-color);text-align:center;background-color:var(--bs-tooltip-bg);border-radius:var(--bs-tooltip-border-radius)}.tooltip.bs-tooltip-start,:host ::ng-deep .tooltip.bs-tooltip-auto[data-popper-placement^=left]{right:0}.tooltip.bs-tooltip-start,:host ::ng-deep .tooltip.bs-tooltip-auto[data-popper-placement^=left],.tooltip.bs-tooltip-end,:host ::ng-deep .tooltip.bs-tooltip-auto[data-popper-placement^=right]{transform:translateY(-50%)}.tooltip.bs-tooltip-bottom,:host ::ng-deep .tooltip.bs-tooltip-auto[data-popper-placement^=bottom]{transform:translate(-50%)}.tooltip.bs-tooltip-top,:host ::ng-deep .tooltip.bs-tooltip-auto[data-popper-placement^=top]{transform:translate(-50%) translateY(-100%)}.tooltip.bs-tooltip-bottom .tooltip-arrow,:host ::ng-deep .tooltip.bs-tooltip-auto[data-popper-placement^=bottom] .tooltip-arrow,.tooltip.bs-tooltip-top .tooltip-arrow,:host ::ng-deep .tooltip.bs-tooltip-auto[data-popper-placement^=top] .tooltip-arrow{left:50%;transform:translate(-50%)}.tooltip.bs-tooltip-start .tooltip-arrow,:host ::ng-deep .tooltip.bs-tooltip-auto[data-popper-placement^=left] .tooltip-arrow,.tooltip.bs-tooltip-end .tooltip-arrow,:host ::ng-deep .tooltip.bs-tooltip-auto[data-popper-placement^=right] .tooltip-arrow{top:50%;transform:translateY(-50%)}\n"] }]
        }], ctorParameters: function () { return [{ type: i0.TemplateRef, decorators: [{
                    type: Inject,
                    args: [TOOLTIP_CONTENT]
                }] }]; }, propDecorators: { position: [{
                type: Input
            }], positionRelative: [{
                type: HostBinding,
                args: ['class.position-relative']
            }] } });

class BsTooltipDirective {
    constructor(overlay, templateRef, componentFactoryResolver, parentInjector, parent) {
        this.overlay = overlay;
        this.templateRef = templateRef;
        this.parentInjector = parentInjector;
        this.parent = parent;
        this.bsTooltip = Position.bottom;
        this.overlayRef = null;
        this.injector = Injector.create({
            providers: [{ provide: TOOLTIP_CONTENT, useValue: this.templateRef }],
            parent: this.parentInjector
        });
        this.portal = new ComponentPortal(BsTooltipComponent, null, this.injector, componentFactoryResolver);
        parent.nativeElement.onmouseenter = () => {
            this.showTooltip();
        };
        parent.nativeElement.onmouseleave = () => {
            this.hideTooltip();
        };
    }
    onBlur() {
        this.hideTooltip();
    }
    showTooltip() {
        const positions = [];
        switch (this.bsTooltip) {
            case Position.bottom:
                {
                    positions.push({
                        originX: "center",
                        originY: "bottom",
                        overlayX: "center",
                        overlayY: "top"
                    });
                }
                break;
            case Position.top:
                {
                    positions.push({
                        originX: "center",
                        originY: "top",
                        overlayX: "center",
                        overlayY: "bottom"
                    });
                }
                break;
            case Position.left:
                {
                    positions.push({
                        originX: "start",
                        originY: "center",
                        overlayX: "end",
                        overlayY: "center",
                    });
                }
                break;
            case Position.right:
                {
                    positions.push({
                        originX: "end",
                        originY: "center",
                        overlayX: "start",
                        overlayY: "center"
                    });
                }
                break;
        }
        this.overlayRef = this.overlay.create({
            scrollStrategy: this.overlay.scrollStrategies.reposition(),
            positionStrategy: this.overlay.position()
                .flexibleConnectedTo(this.parent)
                .withPositions(positions),
        });
        const component = this.overlayRef.attach(this.portal);
        component.instance.position = this.bsTooltip;
    }
    hideTooltip() {
        if (this.overlayRef) {
            this.overlayRef.detach();
            this.overlayRef.dispose();
            this.overlayRef = null;
        }
    }
}
BsTooltipDirective.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "14.2.2", ngImport: i0, type: BsTooltipDirective, deps: [{ token: i1$1.Overlay }, { token: i0.TemplateRef }, { token: i0.ComponentFactoryResolver }, { token: i0.Injector }, { token: i0.ElementRef, host: true, skipSelf: true }], target: i0.ɵɵFactoryTarget.Directive });
BsTooltipDirective.ɵdir = i0.ɵɵngDeclareDirective({ minVersion: "14.0.0", version: "14.2.2", type: BsTooltipDirective, selector: "*[bsTooltip]", inputs: { bsTooltip: "bsTooltip" }, host: { listeners: { "window:blur": "onBlur()" } }, ngImport: i0 });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "14.2.2", ngImport: i0, type: BsTooltipDirective, decorators: [{
            type: Directive,
            args: [{
                    selector: '*[bsTooltip]'
                }]
        }], ctorParameters: function () { return [{ type: i1$1.Overlay }, { type: i0.TemplateRef }, { type: i0.ComponentFactoryResolver }, { type: i0.Injector }, { type: i0.ElementRef, decorators: [{
                    type: Host
                }, {
                    type: SkipSelf
                }] }]; }, propDecorators: { bsTooltip: [{
                type: Input
            }], onBlur: [{
                type: HostListener,
                args: ['window:blur']
            }] } });

class BsTooltipModule {
}
BsTooltipModule.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "14.2.2", ngImport: i0, type: BsTooltipModule, deps: [], target: i0.ɵɵFactoryTarget.NgModule });
BsTooltipModule.ɵmod = i0.ɵɵngDeclareNgModule({ minVersion: "14.0.0", version: "14.2.2", ngImport: i0, type: BsTooltipModule, declarations: [BsTooltipDirective,
        BsTooltipComponent], imports: [CommonModule,
        OverlayModule], exports: [BsTooltipDirective] });
BsTooltipModule.ɵinj = i0.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "14.2.2", ngImport: i0, type: BsTooltipModule, imports: [CommonModule,
        OverlayModule] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "14.2.2", ngImport: i0, type: BsTooltipModule, decorators: [{
            type: NgModule,
            args: [{
                    declarations: [
                        BsTooltipDirective,
                        BsTooltipComponent
                    ],
                    imports: [
                        CommonModule,
                        OverlayModule
                    ],
                    exports: [
                        BsTooltipDirective
                    ]
                }]
        }] });

class BsTypeaheadComponent {
    constructor() {
        this.isOpen = false;
        this.suggestions$ = new BehaviorSubject([]);
        this.isLoading$ = new BehaviorSubject(false);
        this.hostWidth$ = new BehaviorSubject(200);
        this.destroyed$ = new Subject();
        this.searchterm = '';
        this.isLoadingText = 'Loading...';
        this.noSuggestionsText = 'No suggestions found';
        this.provideSuggestions = new EventEmitter();
        this.suggestionSelected = new EventEmitter();
        this.searchtermChange = new EventEmitter();
        this.submitted = new EventEmitter();
        this.showNoSuggestions$ = this.suggestions$
            .pipe(map(suggestions => suggestions.length === 0));
    }
    ngAfterViewInit() {
        this.onResize();
    }
    onProvideSuggestions(value) {
        this.searchtermChange.emit(value);
        if (value === '') {
            this.isOpen = false;
            this.suggestions$.next([]);
        }
        else {
            this.isLoading$.next(true);
            this.isOpen = true;
            this.provideSuggestions.emit(value);
        }
    }
    set suggestions(value) {
        this.isLoading$.next(false);
        this.suggestions$.next(value);
    }
    suggestionClicked(suggestion) {
        this.searchterm = suggestion.text;
        this.searchtermChange.emit(this.searchterm);
        this.isOpen = false;
        this.suggestionSelected.emit(suggestion);
    }
    onSubmit() {
        this.isOpen = false;
        this.submitted.emit(this.searchterm);
    }
    focus() {
        this.textbox.nativeElement.focus();
    }
    onResize() {
        if (typeof window !== 'undefined') {
            this.hostWidth$.next(this.textbox.nativeElement.offsetWidth);
        }
    }
}
BsTypeaheadComponent.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "14.2.2", ngImport: i0, type: BsTypeaheadComponent, deps: [], target: i0.ɵɵFactoryTarget.Component });
BsTypeaheadComponent.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "14.2.2", type: BsTypeaheadComponent, selector: "bs-typeahead", inputs: { searchterm: "searchterm", isLoadingText: "isLoadingText", noSuggestionsText: "noSuggestionsText", suggestions: "suggestions" }, outputs: { provideSuggestions: "provideSuggestions", suggestionSelected: "suggestionSelected", searchtermChange: "searchtermChange", submitted: "submitted" }, host: { listeners: { "window:resize": "onResize()" } }, viewQueries: [{ propertyName: "textbox", first: true, predicate: ["textbox"], descendants: true }], ngImport: i0, template: "<div bsDropdown [(isOpen)]=\"isOpen\" [hasBackdrop]=\"false\" [closeOnClickOutside]=\"true\">\n    <input type=\"text\" class=\"form-control\" #textbox [(ngModel)]=\"searchterm\" (ngModelChange)=\"onProvideSuggestions($event)\" (keyup.enter)=\"onSubmit()\" />\n    <div *bsDropdownMenu>\n        <ul class=\"dropdown-menu d-block position-static\" [style.width.px]=\"hostWidth$ | async\">\n            <bs-progress *ngIf=\"isLoading$ | async\" [height]=\"2\" [isIndeterminate]=\"true\"></bs-progress>\n            <li *ngIf=\"isLoading$ | async\">\n                <a class=\"dropdown-item disabled\">{{ isLoadingText }}</a>\n            </li>\n            <ng-container *ngIf=\"(isLoading$ | async) === false\">\n                <li *ngIf=\"showNoSuggestions$ | async\">\n                    <a class=\"dropdown-item disabled\">{{ noSuggestionsText }}</a>\n                </li>\n                <li *ngFor=\"let suggestion of (suggestions$ | async)\" (click)=\"suggestionClicked(suggestion)\">\n                    <a class=\"dropdown-item cursor-pointer\">{{ suggestion.text }}</a>\n                </li>\n            </ng-container>\n        </ul>\n    </div>\n</div>", styles: ["::ng-deep .dropup,::ng-deep .dropend,::ng-deep .dropdown,::ng-deep .dropstart,::ng-deep .dropup-center,::ng-deep .dropdown-center{position:relative}::ng-deep .dropdown-toggle{white-space:nowrap}::ng-deep .dropdown-toggle:after{display:inline-block;margin-left:.255em;vertical-align:.255em;content:\"\";border-top:.3em solid;border-right:.3em solid transparent;border-bottom:0;border-left:.3em solid transparent}::ng-deep .dropdown-toggle:empty:after{margin-left:0}::ng-deep .dropdown-menu{--bs-dropdown-zindex: 1000;--bs-dropdown-min-width: 10rem;--bs-dropdown-padding-x: 0;--bs-dropdown-padding-y: .5rem;--bs-dropdown-spacer: .125rem;--bs-dropdown-font-size: 1rem;--bs-dropdown-color: #212529;--bs-dropdown-bg: #fff;--bs-dropdown-border-color: var(--bs-border-color-translucent);--bs-dropdown-border-radius: .375rem;--bs-dropdown-border-width: 1px;--bs-dropdown-inner-border-radius:calc(.375rem - 1px);--bs-dropdown-divider-bg: var(--bs-border-color-translucent);--bs-dropdown-divider-margin-y: .5rem;--bs-dropdown-box-shadow: 0 .5rem 1rem rgba(0, 0, 0, .15);--bs-dropdown-link-color: #212529;--bs-dropdown-link-hover-color: #1e2125;--bs-dropdown-link-hover-bg: #e9ecef;--bs-dropdown-link-active-color: #fff;--bs-dropdown-link-active-bg: #0d6efd;--bs-dropdown-link-disabled-color: #adb5bd;--bs-dropdown-item-padding-x: 1rem;--bs-dropdown-item-padding-y: .25rem;--bs-dropdown-header-color: #6c757d;--bs-dropdown-header-padding-x: 1rem;--bs-dropdown-header-padding-y: .5rem;position:absolute;z-index:var(--bs-dropdown-zindex);display:none;min-width:var(--bs-dropdown-min-width);padding:var(--bs-dropdown-padding-y) var(--bs-dropdown-padding-x);margin:0;font-size:var(--bs-dropdown-font-size);color:var(--bs-dropdown-color);text-align:left;list-style:none;background-color:var(--bs-dropdown-bg);background-clip:padding-box;border:var(--bs-dropdown-border-width) solid var(--bs-dropdown-border-color);border-radius:var(--bs-dropdown-border-radius)}::ng-deep .dropdown-menu[data-bs-popper]{top:100%;left:0;margin-top:var(--bs-dropdown-spacer)}::ng-deep .dropdown-menu-start{--bs-position: start}::ng-deep .dropdown-menu-start[data-bs-popper]{right:auto;left:0}::ng-deep .dropdown-menu-end{--bs-position: end}::ng-deep .dropdown-menu-end[data-bs-popper]{right:0;left:auto}@media (min-width: 576px){::ng-deep .dropdown-menu-sm-start{--bs-position: start}::ng-deep .dropdown-menu-sm-start[data-bs-popper]{right:auto;left:0}::ng-deep .dropdown-menu-sm-end{--bs-position: end}::ng-deep .dropdown-menu-sm-end[data-bs-popper]{right:0;left:auto}}@media (min-width: 768px){::ng-deep .dropdown-menu-md-start{--bs-position: start}::ng-deep .dropdown-menu-md-start[data-bs-popper]{right:auto;left:0}::ng-deep .dropdown-menu-md-end{--bs-position: end}::ng-deep .dropdown-menu-md-end[data-bs-popper]{right:0;left:auto}}@media (min-width: 992px){::ng-deep .dropdown-menu-lg-start{--bs-position: start}::ng-deep .dropdown-menu-lg-start[data-bs-popper]{right:auto;left:0}::ng-deep .dropdown-menu-lg-end{--bs-position: end}::ng-deep .dropdown-menu-lg-end[data-bs-popper]{right:0;left:auto}}@media (min-width: 1200px){::ng-deep .dropdown-menu-xl-start{--bs-position: start}::ng-deep .dropdown-menu-xl-start[data-bs-popper]{right:auto;left:0}::ng-deep .dropdown-menu-xl-end{--bs-position: end}::ng-deep .dropdown-menu-xl-end[data-bs-popper]{right:0;left:auto}}@media (min-width: 1400px){::ng-deep .dropdown-menu-xxl-start{--bs-position: start}::ng-deep .dropdown-menu-xxl-start[data-bs-popper]{right:auto;left:0}::ng-deep .dropdown-menu-xxl-end{--bs-position: end}::ng-deep .dropdown-menu-xxl-end[data-bs-popper]{right:0;left:auto}}::ng-deep .dropup .dropdown-menu[data-bs-popper]{top:auto;bottom:100%;margin-top:0;margin-bottom:var(--bs-dropdown-spacer)}::ng-deep .dropup .dropdown-toggle:after{display:inline-block;margin-left:.255em;vertical-align:.255em;content:\"\";border-top:0;border-right:.3em solid transparent;border-bottom:.3em solid;border-left:.3em solid transparent}::ng-deep .dropup .dropdown-toggle:empty:after{margin-left:0}::ng-deep .dropend .dropdown-menu[data-bs-popper]{top:0;right:auto;left:100%;margin-top:0;margin-left:var(--bs-dropdown-spacer)}::ng-deep .dropend .dropdown-toggle:after{display:inline-block;margin-left:.255em;vertical-align:.255em;content:\"\";border-top:.3em solid transparent;border-right:0;border-bottom:.3em solid transparent;border-left:.3em solid}::ng-deep .dropend .dropdown-toggle:empty:after{margin-left:0}::ng-deep .dropend .dropdown-toggle:after{vertical-align:0}::ng-deep .dropstart .dropdown-menu[data-bs-popper]{top:0;right:100%;left:auto;margin-top:0;margin-right:var(--bs-dropdown-spacer)}::ng-deep .dropstart .dropdown-toggle:after{display:inline-block;margin-left:.255em;vertical-align:.255em;content:\"\"}::ng-deep .dropstart .dropdown-toggle:after{display:none}::ng-deep .dropstart .dropdown-toggle:before{display:inline-block;margin-right:.255em;vertical-align:.255em;content:\"\";border-top:.3em solid transparent;border-right:.3em solid;border-bottom:.3em solid transparent}::ng-deep .dropstart .dropdown-toggle:empty:after{margin-left:0}::ng-deep .dropstart .dropdown-toggle:before{vertical-align:0}::ng-deep .dropdown-divider{height:0;margin:var(--bs-dropdown-divider-margin-y) 0;overflow:hidden;border-top:1px solid var(--bs-dropdown-divider-bg);opacity:1}::ng-deep .dropdown-item{display:block;width:100%;padding:var(--bs-dropdown-item-padding-y) var(--bs-dropdown-item-padding-x);clear:both;font-weight:400;color:var(--bs-dropdown-link-color);text-align:inherit;text-decoration:none;white-space:nowrap;background-color:transparent;border:0}::ng-deep .dropdown-item:hover,::ng-deep .dropdown-item:focus{color:var(--bs-dropdown-link-hover-color);background-color:var(--bs-dropdown-link-hover-bg)}::ng-deep .dropdown-item.active,::ng-deep .dropdown-item:active{color:var(--bs-dropdown-link-active-color);text-decoration:none;background-color:var(--bs-dropdown-link-active-bg)}::ng-deep .dropdown-item.disabled,::ng-deep .dropdown-item:disabled{color:var(--bs-dropdown-link-disabled-color);pointer-events:none;background-color:transparent}::ng-deep .dropdown-menu.show{display:block}::ng-deep .dropdown-header{display:block;padding:var(--bs-dropdown-header-padding-y) var(--bs-dropdown-header-padding-x);margin-bottom:0;font-size:.875rem;color:var(--bs-dropdown-header-color);white-space:nowrap}::ng-deep .dropdown-item-text{display:block;padding:var(--bs-dropdown-item-padding-y) var(--bs-dropdown-item-padding-x);color:var(--bs-dropdown-link-color)}::ng-deep .dropdown-menu-dark{--bs-dropdown-color: #dee2e6;--bs-dropdown-bg: #343a40;--bs-dropdown-border-color: var(--bs-border-color-translucent);--bs-dropdown-box-shadow: ;--bs-dropdown-link-color: #dee2e6;--bs-dropdown-link-hover-color: #fff;--bs-dropdown-divider-bg: var(--bs-border-color-translucent);--bs-dropdown-link-hover-bg: rgba(255, 255, 255, .15);--bs-dropdown-link-active-color: #fff;--bs-dropdown-link-active-bg: #0d6efd;--bs-dropdown-link-disabled-color: #adb5bd;--bs-dropdown-header-color: #adb5bd}bs-progress{margin-top:-8px;margin-bottom:6px}\n"], dependencies: [{ kind: "directive", type: i1.NgForOf, selector: "[ngFor][ngForOf]", inputs: ["ngForOf", "ngForTrackBy", "ngForTemplate"] }, { kind: "directive", type: i1.NgIf, selector: "[ngIf]", inputs: ["ngIf", "ngIfThen", "ngIfElse"] }, { kind: "directive", type: i2.DefaultValueAccessor, selector: "input:not([type=checkbox])[formControlName],textarea[formControlName],input:not([type=checkbox])[formControl],textarea[formControl],input:not([type=checkbox])[ngModel],textarea[ngModel],[ngDefaultControl]" }, { kind: "directive", type: i2.NgControlStatus, selector: "[formControlName],[ngModel],[formControl]" }, { kind: "directive", type: i2.NgModel, selector: "[ngModel]:not([formControlName]):not([formControl])", inputs: ["name", "disabled", "ngModel", "ngModelOptions"], outputs: ["ngModelChange"], exportAs: ["ngModel"] }, { kind: "directive", type: BsDropdownDirective, selector: "[bsDropdown]", inputs: ["hasBackdrop", "sameWidth", "closeOnClickOutside", "sameDropdownWidth", "isOpen"], outputs: ["isOpenChange"] }, { kind: "directive", type: BsDropdownMenuDirective, selector: "[bsDropdownMenu]" }, { kind: "component", type: BsProgressComponent, selector: "bs-progress", inputs: ["height", "isIndeterminate"] }, { kind: "pipe", type: i1.AsyncPipe, name: "async" }] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "14.2.2", ngImport: i0, type: BsTypeaheadComponent, decorators: [{
            type: Component,
            args: [{ selector: 'bs-typeahead', template: "<div bsDropdown [(isOpen)]=\"isOpen\" [hasBackdrop]=\"false\" [closeOnClickOutside]=\"true\">\n    <input type=\"text\" class=\"form-control\" #textbox [(ngModel)]=\"searchterm\" (ngModelChange)=\"onProvideSuggestions($event)\" (keyup.enter)=\"onSubmit()\" />\n    <div *bsDropdownMenu>\n        <ul class=\"dropdown-menu d-block position-static\" [style.width.px]=\"hostWidth$ | async\">\n            <bs-progress *ngIf=\"isLoading$ | async\" [height]=\"2\" [isIndeterminate]=\"true\"></bs-progress>\n            <li *ngIf=\"isLoading$ | async\">\n                <a class=\"dropdown-item disabled\">{{ isLoadingText }}</a>\n            </li>\n            <ng-container *ngIf=\"(isLoading$ | async) === false\">\n                <li *ngIf=\"showNoSuggestions$ | async\">\n                    <a class=\"dropdown-item disabled\">{{ noSuggestionsText }}</a>\n                </li>\n                <li *ngFor=\"let suggestion of (suggestions$ | async)\" (click)=\"suggestionClicked(suggestion)\">\n                    <a class=\"dropdown-item cursor-pointer\">{{ suggestion.text }}</a>\n                </li>\n            </ng-container>\n        </ul>\n    </div>\n</div>", styles: ["::ng-deep .dropup,::ng-deep .dropend,::ng-deep .dropdown,::ng-deep .dropstart,::ng-deep .dropup-center,::ng-deep .dropdown-center{position:relative}::ng-deep .dropdown-toggle{white-space:nowrap}::ng-deep .dropdown-toggle:after{display:inline-block;margin-left:.255em;vertical-align:.255em;content:\"\";border-top:.3em solid;border-right:.3em solid transparent;border-bottom:0;border-left:.3em solid transparent}::ng-deep .dropdown-toggle:empty:after{margin-left:0}::ng-deep .dropdown-menu{--bs-dropdown-zindex: 1000;--bs-dropdown-min-width: 10rem;--bs-dropdown-padding-x: 0;--bs-dropdown-padding-y: .5rem;--bs-dropdown-spacer: .125rem;--bs-dropdown-font-size: 1rem;--bs-dropdown-color: #212529;--bs-dropdown-bg: #fff;--bs-dropdown-border-color: var(--bs-border-color-translucent);--bs-dropdown-border-radius: .375rem;--bs-dropdown-border-width: 1px;--bs-dropdown-inner-border-radius:calc(.375rem - 1px);--bs-dropdown-divider-bg: var(--bs-border-color-translucent);--bs-dropdown-divider-margin-y: .5rem;--bs-dropdown-box-shadow: 0 .5rem 1rem rgba(0, 0, 0, .15);--bs-dropdown-link-color: #212529;--bs-dropdown-link-hover-color: #1e2125;--bs-dropdown-link-hover-bg: #e9ecef;--bs-dropdown-link-active-color: #fff;--bs-dropdown-link-active-bg: #0d6efd;--bs-dropdown-link-disabled-color: #adb5bd;--bs-dropdown-item-padding-x: 1rem;--bs-dropdown-item-padding-y: .25rem;--bs-dropdown-header-color: #6c757d;--bs-dropdown-header-padding-x: 1rem;--bs-dropdown-header-padding-y: .5rem;position:absolute;z-index:var(--bs-dropdown-zindex);display:none;min-width:var(--bs-dropdown-min-width);padding:var(--bs-dropdown-padding-y) var(--bs-dropdown-padding-x);margin:0;font-size:var(--bs-dropdown-font-size);color:var(--bs-dropdown-color);text-align:left;list-style:none;background-color:var(--bs-dropdown-bg);background-clip:padding-box;border:var(--bs-dropdown-border-width) solid var(--bs-dropdown-border-color);border-radius:var(--bs-dropdown-border-radius)}::ng-deep .dropdown-menu[data-bs-popper]{top:100%;left:0;margin-top:var(--bs-dropdown-spacer)}::ng-deep .dropdown-menu-start{--bs-position: start}::ng-deep .dropdown-menu-start[data-bs-popper]{right:auto;left:0}::ng-deep .dropdown-menu-end{--bs-position: end}::ng-deep .dropdown-menu-end[data-bs-popper]{right:0;left:auto}@media (min-width: 576px){::ng-deep .dropdown-menu-sm-start{--bs-position: start}::ng-deep .dropdown-menu-sm-start[data-bs-popper]{right:auto;left:0}::ng-deep .dropdown-menu-sm-end{--bs-position: end}::ng-deep .dropdown-menu-sm-end[data-bs-popper]{right:0;left:auto}}@media (min-width: 768px){::ng-deep .dropdown-menu-md-start{--bs-position: start}::ng-deep .dropdown-menu-md-start[data-bs-popper]{right:auto;left:0}::ng-deep .dropdown-menu-md-end{--bs-position: end}::ng-deep .dropdown-menu-md-end[data-bs-popper]{right:0;left:auto}}@media (min-width: 992px){::ng-deep .dropdown-menu-lg-start{--bs-position: start}::ng-deep .dropdown-menu-lg-start[data-bs-popper]{right:auto;left:0}::ng-deep .dropdown-menu-lg-end{--bs-position: end}::ng-deep .dropdown-menu-lg-end[data-bs-popper]{right:0;left:auto}}@media (min-width: 1200px){::ng-deep .dropdown-menu-xl-start{--bs-position: start}::ng-deep .dropdown-menu-xl-start[data-bs-popper]{right:auto;left:0}::ng-deep .dropdown-menu-xl-end{--bs-position: end}::ng-deep .dropdown-menu-xl-end[data-bs-popper]{right:0;left:auto}}@media (min-width: 1400px){::ng-deep .dropdown-menu-xxl-start{--bs-position: start}::ng-deep .dropdown-menu-xxl-start[data-bs-popper]{right:auto;left:0}::ng-deep .dropdown-menu-xxl-end{--bs-position: end}::ng-deep .dropdown-menu-xxl-end[data-bs-popper]{right:0;left:auto}}::ng-deep .dropup .dropdown-menu[data-bs-popper]{top:auto;bottom:100%;margin-top:0;margin-bottom:var(--bs-dropdown-spacer)}::ng-deep .dropup .dropdown-toggle:after{display:inline-block;margin-left:.255em;vertical-align:.255em;content:\"\";border-top:0;border-right:.3em solid transparent;border-bottom:.3em solid;border-left:.3em solid transparent}::ng-deep .dropup .dropdown-toggle:empty:after{margin-left:0}::ng-deep .dropend .dropdown-menu[data-bs-popper]{top:0;right:auto;left:100%;margin-top:0;margin-left:var(--bs-dropdown-spacer)}::ng-deep .dropend .dropdown-toggle:after{display:inline-block;margin-left:.255em;vertical-align:.255em;content:\"\";border-top:.3em solid transparent;border-right:0;border-bottom:.3em solid transparent;border-left:.3em solid}::ng-deep .dropend .dropdown-toggle:empty:after{margin-left:0}::ng-deep .dropend .dropdown-toggle:after{vertical-align:0}::ng-deep .dropstart .dropdown-menu[data-bs-popper]{top:0;right:100%;left:auto;margin-top:0;margin-right:var(--bs-dropdown-spacer)}::ng-deep .dropstart .dropdown-toggle:after{display:inline-block;margin-left:.255em;vertical-align:.255em;content:\"\"}::ng-deep .dropstart .dropdown-toggle:after{display:none}::ng-deep .dropstart .dropdown-toggle:before{display:inline-block;margin-right:.255em;vertical-align:.255em;content:\"\";border-top:.3em solid transparent;border-right:.3em solid;border-bottom:.3em solid transparent}::ng-deep .dropstart .dropdown-toggle:empty:after{margin-left:0}::ng-deep .dropstart .dropdown-toggle:before{vertical-align:0}::ng-deep .dropdown-divider{height:0;margin:var(--bs-dropdown-divider-margin-y) 0;overflow:hidden;border-top:1px solid var(--bs-dropdown-divider-bg);opacity:1}::ng-deep .dropdown-item{display:block;width:100%;padding:var(--bs-dropdown-item-padding-y) var(--bs-dropdown-item-padding-x);clear:both;font-weight:400;color:var(--bs-dropdown-link-color);text-align:inherit;text-decoration:none;white-space:nowrap;background-color:transparent;border:0}::ng-deep .dropdown-item:hover,::ng-deep .dropdown-item:focus{color:var(--bs-dropdown-link-hover-color);background-color:var(--bs-dropdown-link-hover-bg)}::ng-deep .dropdown-item.active,::ng-deep .dropdown-item:active{color:var(--bs-dropdown-link-active-color);text-decoration:none;background-color:var(--bs-dropdown-link-active-bg)}::ng-deep .dropdown-item.disabled,::ng-deep .dropdown-item:disabled{color:var(--bs-dropdown-link-disabled-color);pointer-events:none;background-color:transparent}::ng-deep .dropdown-menu.show{display:block}::ng-deep .dropdown-header{display:block;padding:var(--bs-dropdown-header-padding-y) var(--bs-dropdown-header-padding-x);margin-bottom:0;font-size:.875rem;color:var(--bs-dropdown-header-color);white-space:nowrap}::ng-deep .dropdown-item-text{display:block;padding:var(--bs-dropdown-item-padding-y) var(--bs-dropdown-item-padding-x);color:var(--bs-dropdown-link-color)}::ng-deep .dropdown-menu-dark{--bs-dropdown-color: #dee2e6;--bs-dropdown-bg: #343a40;--bs-dropdown-border-color: var(--bs-border-color-translucent);--bs-dropdown-box-shadow: ;--bs-dropdown-link-color: #dee2e6;--bs-dropdown-link-hover-color: #fff;--bs-dropdown-divider-bg: var(--bs-border-color-translucent);--bs-dropdown-link-hover-bg: rgba(255, 255, 255, .15);--bs-dropdown-link-active-color: #fff;--bs-dropdown-link-active-bg: #0d6efd;--bs-dropdown-link-disabled-color: #adb5bd;--bs-dropdown-header-color: #adb5bd}bs-progress{margin-top:-8px;margin-bottom:6px}\n"] }]
        }], ctorParameters: function () { return []; }, propDecorators: { textbox: [{
                type: ViewChild,
                args: ['textbox']
            }], searchterm: [{
                type: Input
            }], isLoadingText: [{
                type: Input
            }], noSuggestionsText: [{
                type: Input
            }], provideSuggestions: [{
                type: Output
            }], suggestionSelected: [{
                type: Output
            }], searchtermChange: [{
                type: Output
            }], submitted: [{
                type: Output
            }], suggestions: [{
                type: Input
            }], onResize: [{
                type: HostListener,
                args: ['window:resize']
            }] } });

class BsTypeaheadModule {
}
BsTypeaheadModule.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "14.2.2", ngImport: i0, type: BsTypeaheadModule, deps: [], target: i0.ɵɵFactoryTarget.NgModule });
BsTypeaheadModule.ɵmod = i0.ɵɵngDeclareNgModule({ minVersion: "14.0.0", version: "14.2.2", ngImport: i0, type: BsTypeaheadModule, declarations: [BsTypeaheadComponent], imports: [CommonModule,
        FormsModule,
        BsDropdownModule,
        BsProgressBarModule], exports: [BsTypeaheadComponent] });
BsTypeaheadModule.ɵinj = i0.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "14.2.2", ngImport: i0, type: BsTypeaheadModule, imports: [CommonModule,
        FormsModule,
        BsDropdownModule,
        BsProgressBarModule] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "14.2.2", ngImport: i0, type: BsTypeaheadModule, decorators: [{
            type: NgModule,
            args: [{
                    declarations: [
                        BsTypeaheadComponent
                    ],
                    imports: [
                        CommonModule,
                        FormsModule,
                        BsDropdownModule,
                        BsProgressBarModule
                    ],
                    exports: [
                        BsTypeaheadComponent
                    ]
                }]
        }] });

class BsFontColorPipe {
    transform(color_hex) {
        if (color_hex === undefined || color_hex === null || color_hex.length < 7 || typeof (color_hex) !== 'string') {
            return '#FFFFFF';
        }
        const R_HEX = color_hex.substr(1, 2);
        const G_HEX = color_hex.substr(3, 2);
        const B_HEX = color_hex.substr(5, 2);
        const R_DEC = parseInt(R_HEX, 16);
        const G_DEC = parseInt(G_HEX, 16);
        const B_DEC = parseInt(B_HEX, 16);
        const CONTRAST_HEX = R_DEC * 0.299 + G_DEC * 0.587 + B_DEC * 0.114 > 186 ? '#000000' : '#FFFFFF';
        return CONTRAST_HEX;
    }
}
BsFontColorPipe.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "14.2.2", ngImport: i0, type: BsFontColorPipe, deps: [], target: i0.ɵɵFactoryTarget.Pipe });
BsFontColorPipe.ɵpipe = i0.ɵɵngDeclarePipe({ minVersion: "14.0.0", version: "14.2.2", ngImport: i0, type: BsFontColorPipe, name: "bsFontColor" });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "14.2.2", ngImport: i0, type: BsFontColorPipe, decorators: [{
            type: Pipe,
            args: [{
                    name: 'bsFontColor'
                }]
        }] });

class BsFontColorPipeModule {
}
BsFontColorPipeModule.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "14.2.2", ngImport: i0, type: BsFontColorPipeModule, deps: [], target: i0.ɵɵFactoryTarget.NgModule });
BsFontColorPipeModule.ɵmod = i0.ɵɵngDeclareNgModule({ minVersion: "14.0.0", version: "14.2.2", ngImport: i0, type: BsFontColorPipeModule, declarations: [BsFontColorPipe], imports: [CommonModule], exports: [BsFontColorPipe] });
BsFontColorPipeModule.ɵinj = i0.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "14.2.2", ngImport: i0, type: BsFontColorPipeModule, imports: [CommonModule] });
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "14.2.2", ngImport: i0, type: BsFontColorPipeModule, decorators: [{
            type: NgModule,
            args: [{
                    declarations: [
                        BsFontColorPipe
                    ],
                    imports: [
                        CommonModule
                    ],
                    exports: [
                        BsFontColorPipe
                    ]
                }]
        }] });

/**
 * Generated bundle index. Do not edit.
 */

export { BS_DEVELOPMENT, BsAccordionComponent, BsAccordionModule, BsAccordionTabComponent, BsAccordionTabHeaderComponent, BsAddPropertiesModule, BsAddPropertiesPipe, BsAlertCloseComponent, BsAlertComponent, BsAlertModule, BsBadgeComponent, BsBadgeModule, BsBreadcrumbComponent, BsBreadcrumbItemComponent, BsBreadcrumbModule, BsButtonGroupComponent, BsButtonGroupModule, BsButtonTemplateDirective, BsCalendarComponent, BsCalendarModule, BsCardComponent, BsCardHeaderComponent, BsCardModule, BsCarouselComponent, BsCarouselImageDirective, BsCarouselModule, BsCloseComponent, BsCloseModule, BsCodeSnippetComponent, BsCodeSnippetModule, BsContextMenuDirective, BsContextMenuModule, BsCopyDirective, BsCopyModule, BsDatatableColumnDirective, BsDatatableComponent, BsDatatableModule, BsDatepickerComponent, BsDatepickerModule, BsDropdownDirective, BsDropdownMenuDirective, BsDropdownModule, BsDropdownToggleDirective, BsExpandButtonDirective, BsFileUploadComponent, BsFileUploadModule, BsFileUploadTemplateDirective, BsFontColorPipe, BsFontColorPipeModule, BsFooterTemplateDirective, BsForDirective, BsForModule, BsFormatBytesModule, BsFormatBytesPipe, BsGridColumnDirective, BsGridComponent, BsGridModule, BsGridRowDirective, BsHeaderTemplateDirective, BsItemTemplateDirective, BsListGroupComponent, BsListGroupItemComponent, BsListGroupModule, BsModalBodyDirective, BsModalCloseDirective, BsModalComponent, BsModalDirective, BsModalFooterDirective, BsModalHeaderDirective, BsModalHostComponent, BsModalModule, BsMultiselectComponent, BsMultiselectModule, BsNavbarBrandComponent, BsNavbarComponent, BsNavbarDropdownComponent, BsNavbarItemComponent, BsNavbarModule, BsNavbarNavComponent, BsNavbarTogglerComponent, BsOffcanvasCloseDirective, BsOffcanvasComponent, BsOffcanvasContentDirective, BsOffcanvasHostComponent, BsOffcanvasModule, BsPaginationComponent, BsPaginationModule, BsPlaceholderComponent, BsPlaceholderFieldDirective, BsPlaceholderModule, BsPopoverBodyDirective, BsPopoverComponent, BsPopoverDirective, BsPopoverHeaderDirective, BsPopoverModule, BsProgressBarComponent, BsProgressBarModule, BsProgressComponent, BsRangeComponent, BsRangeModule, BsRangeValueAccessor, BsRatingComponent, BsRatingModule, BsRowTemplateDirective, BsSchedulerComponent, BsSchedulerModule, BsScrollspyComponent, BsScrollspyDirective, BsScrollspyModule, BsSelect2Component, BsSelect2Module, BsSelectComponent, BsSelectModule, BsSelectOption, BsSelectValueAccessor, BsSnackbarCloseDirective, BsSnackbarComponent, BsSnackbarModule, BsSnackbarService, BsSpinnerComponent, BsSpinnerModule, BsTabControlComponent, BsTabControlModule, BsTabPageComponent, BsTableComponent, BsTableModule, BsTimepickerComponent, BsTimepickerModule, BsToastBodyComponent, BsToastCloseDirective, BsToastComponent, BsToastContainerComponent, BsToastHeaderComponent, BsToastModule, BsToastService, BsToggleButtonComponent, BsToggleButtonGroupDirective, BsToggleButtonModule, BsToggleButtonValueAccessor, BsTooltipDirective, BsTooltipModule, BsTypeaheadComponent, BsTypeaheadModule, Color, DatatableSettings, DropdownToggleDirective, ESchedulerMode, EnhancedPasteDirective, NavLinkDirective, NavbarContentDirective, OffcanvasBodyComponent, OffcanvasHeaderComponent, Position, ResourceGroupPresenterComponent, availableScales };
//# sourceMappingURL=mintplayer-ng-bootstrap.mjs.map
